import numpy
import os
import typing
from . import CompareElementsAndConditionsUtility as CompareElementsAndConditionsUtility, ConstraintUtilities as ConstraintUtilities, CreateTriangleMeshFromNodes as CreateTriangleMeshFromNodes, EntitiesUtilities as EntitiesUtilities, Expression as Expression, GeometricalTransformationUtilities as GeometricalTransformationUtilities, Globals as Globals, ModelPartOperationUtilities as ModelPartOperationUtilities, MortarUtilities as MortarUtilities, PropertiesUtilities as PropertiesUtilities, SensitivityUtilities as SensitivityUtilities, SingleImportModelPart as SingleImportModelPart, SpecificationsUtilities as SpecificationsUtilities, StringUtilities as StringUtilities, Testing as Testing, TimeDiscretization as TimeDiscretization
from _typeshed import Incomplete
from typing import ClassVar, Iterator, Union, overload

ABSORPTION_COEFFICIENT: DoubleVariable
ACCELERATION: Array1DVariable3
ACCELERATION_MOVING_FRAME_ORIGIN: Array1DVariable3
ACCELERATION_MOVING_FRAME_ORIGIN_X: DoubleVariable
ACCELERATION_MOVING_FRAME_ORIGIN_Y: DoubleVariable
ACCELERATION_MOVING_FRAME_ORIGIN_Z: DoubleVariable
ACCELERATION_X: DoubleVariable
ACCELERATION_Y: DoubleVariable
ACCELERATION_Z: DoubleVariable
ACTIVATION_LEVEL: IntegerVariable
ACTIVE: Flags
ADDITIONAL_FORCE: Array1DVariable3
ADDITIONAL_FORCE_OLD: Array1DVariable3
ADDITIONAL_FORCE_OLD_OLD: Array1DVariable3
ADDITIONAL_FORCE_OLD_OLD_X: DoubleVariable
ADDITIONAL_FORCE_OLD_OLD_Y: DoubleVariable
ADDITIONAL_FORCE_OLD_OLD_Z: DoubleVariable
ADDITIONAL_FORCE_OLD_X: DoubleVariable
ADDITIONAL_FORCE_OLD_Y: DoubleVariable
ADDITIONAL_FORCE_OLD_Z: DoubleVariable
ADDITIONAL_FORCE_X: DoubleVariable
ADDITIONAL_FORCE_Y: DoubleVariable
ADDITIONAL_FORCE_Z: DoubleVariable
ADVPROJ: Array1DVariable3
ADVPROJ_X: DoubleVariable
ADVPROJ_Y: DoubleVariable
ADVPROJ_Z: DoubleVariable
AIR_ENTRY_VALUE: DoubleVariable
AIR_PRESSURE: DoubleVariable
AIR_SOUND_VELOCITY: DoubleVariable
ALL_DEFINED: Flags
ALL_TRUE: Flags
ALMANSI_STRAIN_TENSOR: MatrixVariable
ALMANSI_STRAIN_VECTOR: VectorVariable
ALPHA_SHEAR: DoubleVariable
AMBIENT_TEMPERATURE: DoubleVariable
ANGULAR_ACCELERATION: Array1DVariable3
ANGULAR_ACCELERATION_MOVING_FRAME: Array1DVariable3
ANGULAR_ACCELERATION_MOVING_FRAME_X: DoubleVariable
ANGULAR_ACCELERATION_MOVING_FRAME_Y: DoubleVariable
ANGULAR_ACCELERATION_MOVING_FRAME_Z: DoubleVariable
ANGULAR_ACCELERATION_X: DoubleVariable
ANGULAR_ACCELERATION_Y: DoubleVariable
ANGULAR_ACCELERATION_Z: DoubleVariable
ANGULAR_MOMENTUM: Array1DVariable3
ANGULAR_MOMENTUM_X: DoubleVariable
ANGULAR_MOMENTUM_Y: DoubleVariable
ANGULAR_MOMENTUM_Z: DoubleVariable
ANGULAR_VELOCITY: Array1DVariable3
ANGULAR_VELOCITY_MOVING_FRAME: Array1DVariable3
ANGULAR_VELOCITY_MOVING_FRAME_OLD: Array1DVariable3
ANGULAR_VELOCITY_MOVING_FRAME_OLD_X: DoubleVariable
ANGULAR_VELOCITY_MOVING_FRAME_OLD_Y: DoubleVariable
ANGULAR_VELOCITY_MOVING_FRAME_OLD_Z: DoubleVariable
ANGULAR_VELOCITY_MOVING_FRAME_X: DoubleVariable
ANGULAR_VELOCITY_MOVING_FRAME_Y: DoubleVariable
ANGULAR_VELOCITY_MOVING_FRAME_Z: DoubleVariable
ANGULAR_VELOCITY_PERIOD: DoubleVariable
ANGULAR_VELOCITY_X: DoubleVariable
ANGULAR_VELOCITY_Y: DoubleVariable
ANGULAR_VELOCITY_Z: DoubleVariable
ARRHENIUS: DoubleVariable
ARRHENIUSAUX: DoubleVariable
ARRHENIUSAUX_: DoubleVariable
ARTIFICIAL_BULK_VISCOSITY: DoubleVariable
ARTIFICIAL_CONDUCTIVITY: DoubleVariable
ARTIFICIAL_DYNAMIC_VISCOSITY: DoubleVariable
ARTIFICIAL_MASS_DIFFUSIVITY: DoubleVariable
ATOMIC_VOLUME: DoubleVariable
AUXILIAR_CONSTRAINT_SCALE_FACTOR: DoubleVariable
AUX_DISTANCE: DoubleVariable
AUX_INDEX: DoubleVariable
AUX_MESH_VAR: DoubleVariable
AUX_VEL: Array1DVariable3
AUX_VEL_X: DoubleVariable
AUX_VEL_Y: DoubleVariable
AUX_VEL_Z: DoubleVariable
BASSET_FORCE: Array1DVariable3
BASSET_FORCE_TYPE: IntegerVariable
BASSET_FORCE_X: DoubleVariable
BASSET_FORCE_Y: DoubleVariable
BASSET_FORCE_Z: DoubleVariable
BDF_COEFFICIENTS: VectorVariable
BLOCKED: Flags
BODY_FORCE: Array1DVariable3
BODY_FORCE_X: DoubleVariable
BODY_FORCE_Y: DoubleVariable
BODY_FORCE_Z: DoubleVariable
BOSSAK_ALPHA: DoubleVariable
BOUNDARY: Flags
BUILD_SCALE_FACTOR: DoubleVariable
BULK_AIR: DoubleVariable
BULK_MODULUS: DoubleVariable
BUOYANCY: Array1DVariable3
BUOYANCY_FORCE_TYPE: IntegerVariable
BUOYANCY_X: DoubleVariable
BUOYANCY_Y: DoubleVariable
BUOYANCY_Z: DoubleVariable
C10: DoubleVariable
C20: DoubleVariable
C30: DoubleVariable
CATION_CONCENTRATION: DoubleVariable
CAUCHY_STRESS_TENSOR: MatrixVariable
CAUCHY_STRESS_VECTOR: VectorVariable
CFL_NUMBER: DoubleVariable
CHARACTERISTIC_GEOMETRY_LENGTH: Array1DVariable3
CHARACTERISTIC_GEOMETRY_LENGTH_X: DoubleVariable
CHARACTERISTIC_GEOMETRY_LENGTH_Y: DoubleVariable
CHARACTERISTIC_GEOMETRY_LENGTH_Z: DoubleVariable
CHARACTERISTIC_LENGTH_MULTIPLIER: DoubleVariable
COEFFICIENT_THERMAL_EXPANSION: DoubleVariable
COMPUTE_DYNAMIC_TANGENT: BoolVariable
COMPUTE_LUMPED_MASS_MATRIX: BoolVariable
CONDUCTIVITY: DoubleVariable
CONSTITUTIVE_LAW: ConstitutuveLawVariable
CONSTITUTIVE_LAW_NAME: StringVariable
CONSTITUTIVE_MATRIX: MatrixVariable
CONSTITUTIVE_MATRIX_KIRCHHOFF: MatrixVariable
CONSTITUTIVE_MATRIX_PK2: MatrixVariable
CONSTRAINT_LABELS: VectorVariable
CONSTRAINT_MESHES: VectorVariable
CONSTRAINT_SCALE_FACTOR: DoubleVariable
CONTACT: Flags
CONTACT_FORCE: Array1DVariable3
CONTACT_FORCES_VECTOR: VectorVariable
CONTACT_FORCE_X: DoubleVariable
CONTACT_FORCE_Y: DoubleVariable
CONTACT_FORCE_Z: DoubleVariable
CONTACT_NORMAL: Array1DVariable3
CONTACT_NORMAL_X: DoubleVariable
CONTACT_NORMAL_Y: DoubleVariable
CONTACT_NORMAL_Z: DoubleVariable
CONTACT_PRESSURE: DoubleVariable
CONTINUUM_INI_NEIGHBOURS_IDS: IntegerVectorVariable
CONVECTION_COEFFICIENT: DoubleVariable
CONVECTION_DIFFUSION_SETTINGS: ConvectionDiffusionSettingsVariable
CONVERGENCE_ACCELERATOR_ITERATION: IntegerVariable
CONVERGENCE_RATIO: DoubleVariable
CONV_PROJ: Array1DVariable3
CONV_PROJ_X: DoubleVariable
CONV_PROJ_Y: DoubleVariable
CONV_PROJ_Z: DoubleVariable
COUPLING_TYPE: IntegerVariable
CRACK_OPENING: DoubleVariable
CRACK_TRANSLATION: DoubleVariable
CRITICAL_STATE_LINE: DoubleVariable
CROSS_WIND_STABILIZATION_FACTOR: DoubleVariable
CURRENT_COMPONENT: IntegerVariable
CUTTED_AREA: DoubleVariable
C_SMAGORINSKY: DoubleVariable
DAMAGE_THRESHOLD: DoubleVariable
DAMAGE_VARIABLE: DoubleVariable
DAMP_FORCES: Array1DVariable3
DAMP_FORCES_X: DoubleVariable
DAMP_FORCES_Y: DoubleVariable
DAMP_FORCES_Z: DoubleVariable
DEBUG_INFO: FillCommunicatorEchoLevel
DEFORMATION_GRADIENT: MatrixVariable
DELTA_PLASTIC_DISSIPATION: DoubleVariable
DELTA_PLASTIC_STRAIN: DoubleVariable
DELTA_ROTATION: Array1DVariable3
DELTA_ROTATION_X: DoubleVariable
DELTA_ROTATION_Y: DoubleVariable
DELTA_ROTATION_Z: DoubleVariable
DELTA_TIME: DoubleVariable
DELTA_TIME_QUADRATURE: DoubleVariable
DEM_DELTA_TIME: DoubleVariable
DENSITY: DoubleVariable
DENSITY_AIR: DoubleVariable
DENSITY_WATER: DoubleVariable
DETERMINANT: Array1DVariable3
DETERMINANTS_OF_JACOBIAN_PARENT: VectorVariable
DETERMINANT_F: DoubleVariable
DETERMINANT_X: DoubleVariable
DETERMINANT_Y: DoubleVariable
DETERMINANT_Z: DoubleVariable
DIAMETER: DoubleVariable
DIHEDRAL_ANGLE: DoubleVariable
DIRECTION: Array1DVariable3
DIRECTION_X: DoubleVariable
DIRECTION_Y: DoubleVariable
DIRECTION_Z: DoubleVariable
DISPERSE_FRACTION: DoubleVariable
DISPERSE_FRACTION_GRADIENT: Array1DVariable3
DISPERSE_FRACTION_GRADIENT_PROJECTED: Array1DVariable3
DISPERSE_FRACTION_GRADIENT_PROJECTED_X: DoubleVariable
DISPERSE_FRACTION_GRADIENT_PROJECTED_Y: DoubleVariable
DISPERSE_FRACTION_GRADIENT_PROJECTED_Z: DoubleVariable
DISPERSE_FRACTION_GRADIENT_X: DoubleVariable
DISPERSE_FRACTION_GRADIENT_Y: DoubleVariable
DISPERSE_FRACTION_GRADIENT_Z: DoubleVariable
DISPERSE_FRACTION_PROJECTED: DoubleVariable
DISPERSE_FRACTION_RATE: DoubleVariable
DISPLACEMENT: Array1DVariable3
DISPLACEMENT_PROJECTION: Array1DVariable3
DISPLACEMENT_PROJECTION_REACTION: Array1DVariable3
DISPLACEMENT_PROJECTION_REACTION_X: DoubleVariable
DISPLACEMENT_PROJECTION_REACTION_Y: DoubleVariable
DISPLACEMENT_PROJECTION_REACTION_Z: DoubleVariable
DISPLACEMENT_PROJECTION_X: DoubleVariable
DISPLACEMENT_PROJECTION_Y: DoubleVariable
DISPLACEMENT_PROJECTION_Z: DoubleVariable
DISPLACEMENT_SUBSCALE: Array1DVariable3
DISPLACEMENT_SUBSCALE_X: DoubleVariable
DISPLACEMENT_SUBSCALE_Y: DoubleVariable
DISPLACEMENT_SUBSCALE_Z: DoubleVariable
DISPLACEMENT_X: DoubleVariable
DISPLACEMENT_Y: DoubleVariable
DISPLACEMENT_Z: DoubleVariable
DISTANCE: DoubleVariable
DISTANCE_GRADIENT: Array1DVariable3
DISTANCE_GRADIENT_X: DoubleVariable
DISTANCE_GRADIENT_Y: DoubleVariable
DISTANCE_GRADIENT_Z: DoubleVariable
DIVPROJ: DoubleVariable
DOMAIN_SIZE: IntegerVariable
DP_ALPHA1: DoubleVariable
DP_EPSILON: DoubleVariable
DP_K: DoubleVariable
DRAG_COEFFICIENT: DoubleVariable
DRAG_FORCE: Array1DVariable3
DRAG_FORCE_TYPE: IntegerVariable
DRAG_FORCE_X: DoubleVariable
DRAG_FORCE_Y: DoubleVariable
DRAG_FORCE_Z: DoubleVariable
DRAG_LAW_SLOPE: DoubleVariable
DRAG_MODIFIER_TYPE: IntegerVariable
DRAG_POROSITY_CORRECTION_TYPE: IntegerVariable
DRAG_REACTION: Array1DVariable3
DRAG_REACTION_X: DoubleVariable
DRAG_REACTION_Y: DoubleVariable
DRAG_REACTION_Z: DoubleVariable
DYNAMIC_TAU: DoubleVariable
DYNAMIC_VISCOSITY: DoubleVariable
EFFECTIVE_VISCOSITY: DoubleVariable
ELEMENTAL_DISTANCES: VectorVariable
ELEMENTAL_EDGE_DISTANCES: VectorVariable
ELEMENTAL_EDGE_DISTANCES_EXTRAPOLATED: VectorVariable
ELEMENTSHAPE: Array1DVariable3
ELEMENTSHAPE_X: DoubleVariable
ELEMENTSHAPE_Y: DoubleVariable
ELEMENTSHAPE_Z: DoubleVariable
ELEMENT_ERROR: DoubleVariable
ELEMENT_H: DoubleVariable
ELEMENT_TYPE: StringVariable
EMBEDDED_VELOCITY: Array1DVariable3
EMBEDDED_VELOCITY_X: DoubleVariable
EMBEDDED_VELOCITY_Y: DoubleVariable
EMBEDDED_VELOCITY_Z: DoubleVariable
EMISSIVITY: DoubleVariable
END_TIME: DoubleVariable
ENRICHED_PRESSURES: VectorVariable
ENTHALPY: DoubleVariable
ENTHAPLY_ACTIVATION: DoubleVariable
EQUILIBRIUM_POINT: DoubleVariable
EQ_STRAIN_RATE: DoubleVariable
ERROR_INTEGRATION_POINT: DoubleVariable
ERROR_RATIO: DoubleVariable
EXTERNAL_APPLIED_FORCE: Array1DVariable3
EXTERNAL_APPLIED_FORCE_X: DoubleVariable
EXTERNAL_APPLIED_FORCE_Y: DoubleVariable
EXTERNAL_APPLIED_FORCE_Z: DoubleVariable
EXTERNAL_APPLIED_MOMENT: Array1DVariable3
EXTERNAL_APPLIED_MOMENT_X: DoubleVariable
EXTERNAL_APPLIED_MOMENT_Y: DoubleVariable
EXTERNAL_APPLIED_MOMENT_Z: DoubleVariable
EXTERNAL_ENERGY: DoubleVariable
EXTERNAL_FORCE: Array1DVariable3
EXTERNAL_FORCES_VECTOR: VectorVariable
EXTERNAL_FORCE_X: DoubleVariable
EXTERNAL_FORCE_Y: DoubleVariable
EXTERNAL_FORCE_Z: DoubleVariable
EXTERNAL_PRESSURE: DoubleVariable
FACE_HEAT_FLUX: DoubleVariable
FACE_LOAD: Array1DVariable3
FACE_LOAD_X: DoubleVariable
FACE_LOAD_Y: DoubleVariable
FACE_LOAD_Z: DoubleVariable
FICTITIOUS_FLUID_DENSITY: DoubleVariable
FIRST_SATURATION_PARAM: DoubleVariable
FIRST_TIME_STEP: IntegerVariable
FIXED_MESH_OPTION: IntegerVariable
FLAG_VARIABLE: DoubleVariable
FLUID: Flags
FLUID_ACCEL_FOLLOWING_PARTICLE_PROJECTED: Array1DVariable3
FLUID_ACCEL_FOLLOWING_PARTICLE_PROJECTED_X: DoubleVariable
FLUID_ACCEL_FOLLOWING_PARTICLE_PROJECTED_Y: DoubleVariable
FLUID_ACCEL_FOLLOWING_PARTICLE_PROJECTED_Z: DoubleVariable
FLUID_ACCEL_PROJECTED: Array1DVariable3
FLUID_ACCEL_PROJECTED_X: DoubleVariable
FLUID_ACCEL_PROJECTED_Y: DoubleVariable
FLUID_ACCEL_PROJECTED_Z: DoubleVariable
FLUID_DENSITY_PROJECTED: DoubleVariable
FLUID_FRACTION: DoubleVariable
FLUID_FRACTION_FILTERED: DoubleVariable
FLUID_FRACTION_GRADIENT: Array1DVariable3
FLUID_FRACTION_GRADIENT_PROJECTED: Array1DVariable3
FLUID_FRACTION_GRADIENT_PROJECTED_X: DoubleVariable
FLUID_FRACTION_GRADIENT_PROJECTED_Y: DoubleVariable
FLUID_FRACTION_GRADIENT_PROJECTED_Z: DoubleVariable
FLUID_FRACTION_GRADIENT_X: DoubleVariable
FLUID_FRACTION_GRADIENT_Y: DoubleVariable
FLUID_FRACTION_GRADIENT_Z: DoubleVariable
FLUID_FRACTION_OLD: DoubleVariable
FLUID_FRACTION_PROJECTED: DoubleVariable
FLUID_FRACTION_RATE: DoubleVariable
FLUID_MODEL_TYPE: IntegerVariable
FLUID_VEL_LAPL_PROJECTED: Array1DVariable3
FLUID_VEL_LAPL_PROJECTED_X: DoubleVariable
FLUID_VEL_LAPL_PROJECTED_Y: DoubleVariable
FLUID_VEL_LAPL_PROJECTED_Z: DoubleVariable
FLUID_VEL_LAPL_RATE_PROJECTED: Array1DVariable3
FLUID_VEL_LAPL_RATE_PROJECTED_X: DoubleVariable
FLUID_VEL_LAPL_RATE_PROJECTED_Y: DoubleVariable
FLUID_VEL_LAPL_RATE_PROJECTED_Z: DoubleVariable
FLUID_VEL_PROJECTED: Array1DVariable3
FLUID_VEL_PROJECTED_RATE: Array1DVariable3
FLUID_VEL_PROJECTED_RATE_X: DoubleVariable
FLUID_VEL_PROJECTED_RATE_Y: DoubleVariable
FLUID_VEL_PROJECTED_RATE_Z: DoubleVariable
FLUID_VEL_PROJECTED_X: DoubleVariable
FLUID_VEL_PROJECTED_Y: DoubleVariable
FLUID_VEL_PROJECTED_Z: DoubleVariable
FLUID_VISCOSITY_PROJECTED: DoubleVariable
FLUID_VORTICITY_PROJECTED: Array1DVariable3
FLUID_VORTICITY_PROJECTED_X: DoubleVariable
FLUID_VORTICITY_PROJECTED_Y: DoubleVariable
FLUID_VORTICITY_PROJECTED_Z: DoubleVariable
FORCE: Array1DVariable3
FORCE_CM: Array1DVariable3
FORCE_CM_X: DoubleVariable
FORCE_CM_Y: DoubleVariable
FORCE_CM_Z: DoubleVariable
FORCE_RESIDUAL: Array1DVariable3
FORCE_RESIDUAL_X: DoubleVariable
FORCE_RESIDUAL_Y: DoubleVariable
FORCE_RESIDUAL_Z: DoubleVariable
FORCE_X: DoubleVariable
FORCE_Y: DoubleVariable
FORCE_Z: DoubleVariable
FRACTIONAL_STEP: IntegerVariable
FRACTURE_ENERGY: DoubleVariable
FRACT_VEL: Array1DVariable3
FRACT_VEL_X: DoubleVariable
FRACT_VEL_Y: DoubleVariable
FRACT_VEL_Z: DoubleVariable
FRAME_OF_REFERENCE_TYPE: IntegerVariable
FREE_SURFACE: Flags
FRICTION_COEFFICIENT: DoubleVariable
FSI_INTERFACE_MESH_RESIDUAL: Array1DVariable3
FSI_INTERFACE_MESH_RESIDUAL_NORM: DoubleVariable
FSI_INTERFACE_MESH_RESIDUAL_X: DoubleVariable
FSI_INTERFACE_MESH_RESIDUAL_Y: DoubleVariable
FSI_INTERFACE_MESH_RESIDUAL_Z: DoubleVariable
FSI_INTERFACE_RESIDUAL: Array1DVariable3
FSI_INTERFACE_RESIDUAL_NORM: DoubleVariable
FSI_INTERFACE_RESIDUAL_X: DoubleVariable
FSI_INTERFACE_RESIDUAL_Y: DoubleVariable
FSI_INTERFACE_RESIDUAL_Z: DoubleVariable
FUEL: DoubleVariable
GB_WIDTH: DoubleVariable
GRAVITY: Array1DVariable3
GRAVITY_X: DoubleVariable
GRAVITY_Y: DoubleVariable
GRAVITY_Z: DoubleVariable
GREEN_LAGRANGE_STRAIN_TENSOR: MatrixVariable
GREEN_LAGRANGE_STRAIN_VECTOR: VectorVariable
HARDENING_EXPONENT: DoubleVariable
HARDNESS_CONDUCTIVITY: DoubleVariable
HEAT_FLUX: DoubleVariable
HYDRODYNAMIC_FORCE: Array1DVariable3
HYDRODYNAMIC_FORCE_X: DoubleVariable
HYDRODYNAMIC_FORCE_Y: DoubleVariable
HYDRODYNAMIC_FORCE_Z: DoubleVariable
HYDRODYNAMIC_MOMENT: Array1DVariable3
HYDRODYNAMIC_MOMENT_X: DoubleVariable
HYDRODYNAMIC_MOMENT_Y: DoubleVariable
HYDRODYNAMIC_MOMENT_Z: DoubleVariable
HYDRODYNAMIC_REACTION: Array1DVariable3
HYDRODYNAMIC_REACTION_X: DoubleVariable
HYDRODYNAMIC_REACTION_Y: DoubleVariable
HYDRODYNAMIC_REACTION_Z: DoubleVariable
HYDRO_TORQUE_TYPE: IntegerVariable
Hfuel: DoubleVariable
Hox: DoubleVariable
Hpr: DoubleVariable
Hpr1: DoubleVariable
IDENTIFIER: StringVariable
IMPLEX_CONTACT: BoolVariable
IMPOSED_ANGULAR_VELOCITY_X: IntegerVariable
IMPOSED_ANGULAR_VELOCITY_X_VALUE: DoubleVariable
IMPOSED_ANGULAR_VELOCITY_Y: IntegerVariable
IMPOSED_ANGULAR_VELOCITY_Y_VALUE: DoubleVariable
IMPOSED_ANGULAR_VELOCITY_Z: IntegerVariable
IMPOSED_ANGULAR_VELOCITY_Z_VALUE: DoubleVariable
IMPOSED_PRESSURE: IntegerVariable
IMPOSED_VELOCITY_X: IntegerVariable
IMPOSED_VELOCITY_X_VALUE: DoubleVariable
IMPOSED_VELOCITY_Y: IntegerVariable
IMPOSED_VELOCITY_Y_VALUE: DoubleVariable
IMPOSED_VELOCITY_Z: IntegerVariable
IMPOSED_VELOCITY_Z_VALUE: DoubleVariable
INCIDENT_RADIATION_FUNCTION: DoubleVariable
INERTIA: MatrixVariable
INFINITY_HARDENING_MODULUS: DoubleVariable
INFO: FillCommunicatorEchoLevel
INITIAL_DEFORMATION_GRADIENT_MATRIX: MatrixVariable
INITIAL_PENALTY: DoubleVariable
INITIAL_SHEAR_MODULUS: DoubleVariable
INITIAL_STRAIN: VectorVariable
INITIAL_STRAIN_VECTOR: VectorVariable
INITIAL_STRESS_VECTOR: VectorVariable
INIT_DRAG_FORCE: DoubleVariable
INI_NEIGHBOURS_IDS: IntegerVectorVariable
INLET: Flags
INSIDE: Flags
INSITU_STRESS: VectorVariable
INTEGRATION_COORDINATES: Array1DVariable3
INTEGRATION_COORDINATES_X: DoubleVariable
INTEGRATION_COORDINATES_Y: DoubleVariable
INTEGRATION_COORDINATES_Z: DoubleVariable
INTEGRATION_WEIGHT: DoubleVariable
INTERACTION: Flags
INTERFACE: Flags
INTERNAL_ENERGY: DoubleVariable
INTERNAL_FORCE: Array1DVariable3
INTERNAL_FORCES_VECTOR: VectorVariable
INTERNAL_FORCE_X: DoubleVariable
INTERNAL_FORCE_Y: DoubleVariable
INTERNAL_FORCE_Z: DoubleVariable
INTERNAL_FRICTION_ANGLE: DoubleVariable
INTERNAL_VARIABLES: VectorVariable
INTERVAL_END_TIME: DoubleVariable
ISOLATED: Flags
ISOTROPIC_HARDENING_MODULUS: DoubleVariable
IS_AIR_EXIT: DoubleVariable
IS_BOUNDARY: DoubleVariable
IS_BURN: DoubleVariable
IS_DIVIDED: DoubleVariable
IS_DRIPPING: DoubleVariable
IS_DUPLICATED: BoolVariable
IS_EROSIONABLE: DoubleVariable
IS_ESCAPED: BoolVariable
IS_FLUID: DoubleVariable
IS_FREE_SURFACE: DoubleVariable
IS_GRAVITY_FILLING: IntegerVariable
IS_INLET: DoubleVariable
IS_INTERFACE: DoubleVariable
IS_JACK_LINK: IntegerVariable
IS_LAGRANGIAN_INLET: DoubleVariable
IS_PERMANENT: DoubleVariable
IS_POROUS: DoubleVariable
IS_RESTARTED: BoolVariable
IS_SLIP: DoubleVariable
IS_SOLIDIFIED: IntegerVariable
IS_STRUCTURE: DoubleVariable
IS_VISITED: DoubleVariable
IS_WALL: DoubleVariable
IS_WATER: DoubleVariable
IS_WATER_ELEMENT: DoubleVariable
JC_PARAMETER_A: DoubleVariable
JC_PARAMETER_B: DoubleVariable
JC_PARAMETER_C: DoubleVariable
JC_PARAMETER_K: DoubleVariable
JC_PARAMETER_m: DoubleVariable
JC_PARAMETER_n: DoubleVariable
K0: DoubleVariable
KINEMATIC_HARDENING_MODULUS: DoubleVariable
KINEMATIC_VISCOSITY: DoubleVariable
KINETIC_ENERGY: DoubleVariable
KIRCHHOFF_STRESS_TENSOR: MatrixVariable
KIRCHHOFF_STRESS_VECTOR: VectorVariable
LAGRANGE_AIR_PRESSURE: DoubleVariable
LAGRANGE_DISPLACEMENT: Array1DVariable3
LAGRANGE_DISPLACEMENT_X: DoubleVariable
LAGRANGE_DISPLACEMENT_Y: DoubleVariable
LAGRANGE_DISPLACEMENT_Z: DoubleVariable
LAGRANGE_TEMPERATURE: DoubleVariable
LAGRANGE_WATER_PRESSURE: DoubleVariable
LAMBDA: DoubleVariable
LAME_LAMBDA: DoubleVariable
LAME_MU: DoubleVariable
LAPLACIAN_DIRECTION: IntegerVariable
LARGE_VISCOSITY_COEFFICIENT: DoubleVariable
LAST_TIME_APPENDING: DoubleVariable
LATENT_HEAT: DoubleVariable
LIFT_FORCE: Array1DVariable3
LIFT_FORCE_TYPE: IntegerVariable
LIFT_FORCE_X: DoubleVariable
LIFT_FORCE_Y: DoubleVariable
LIFT_FORCE_Z: DoubleVariable
LIMITER_COEFFICIENT: DoubleVariable
LINEAR_MOMENTUM: Array1DVariable3
LINEAR_MOMENTUM_X: DoubleVariable
LINEAR_MOMENTUM_Y: DoubleVariable
LINEAR_MOMENTUM_Z: DoubleVariable
LIN_DARCY_COEF: DoubleVariable
LOAD_LABELS: VectorVariable
LOAD_MESHES: VectorVariable
LOAD_RESTART: IntegerVariable
LOCAL_AXES_MATRIX: MatrixVariable
LOCAL_AXIS_1: Array1DVariable3
LOCAL_AXIS_1_X: DoubleVariable
LOCAL_AXIS_1_Y: DoubleVariable
LOCAL_AXIS_1_Z: DoubleVariable
LOCAL_AXIS_2: Array1DVariable3
LOCAL_AXIS_2_X: DoubleVariable
LOCAL_AXIS_2_Y: DoubleVariable
LOCAL_AXIS_2_Z: DoubleVariable
LOCAL_AXIS_3: Array1DVariable3
LOCAL_AXIS_3_X: DoubleVariable
LOCAL_AXIS_3_Y: DoubleVariable
LOCAL_AXIS_3_Z: DoubleVariable
LOCAL_CONSTITUTIVE_MATRIX: MatrixVariable
LOCAL_INERTIA_TENSOR: MatrixVariable
LOCAL_TANGENT: Array1DVariable3
LOCAL_TANGENT_MATRIX: MatrixVariable
LOCAL_TANGENT_X: DoubleVariable
LOCAL_TANGENT_Y: DoubleVariable
LOCAL_TANGENT_Z: DoubleVariable
M: DoubleVariable
MAGNUS_FORCE_TYPE: IntegerVariable
MANUALLY_IMPOSED_DRAG_LAW_OPTION: IntegerVariable
MAPPER_SCALAR_PROJECTION_RHS: DoubleVariable
MAPPER_VECTOR_PROJECTION_RHS: Array1DVariable3
MAPPER_VECTOR_PROJECTION_RHS_X: DoubleVariable
MAPPER_VECTOR_PROJECTION_RHS_Y: DoubleVariable
MAPPER_VECTOR_PROJECTION_RHS_Z: DoubleVariable
MARKER: Flags
MARKER_LABELS: VectorVariable
MARKER_MESHES: VectorVariable
MASS: Array1DVariable3
MASS_X: DoubleVariable
MASS_Y: DoubleVariable
MASS_Z: DoubleVariable
MASTER: Flags
MATERIAL_ACCELERATION: Array1DVariable3
MATERIAL_ACCELERATION_X: DoubleVariable
MATERIAL_ACCELERATION_Y: DoubleVariable
MATERIAL_ACCELERATION_Z: DoubleVariable
MATERIAL_FLUID_ACCEL_PROJECTED: Array1DVariable3
MATERIAL_FLUID_ACCEL_PROJECTED_X: DoubleVariable
MATERIAL_FLUID_ACCEL_PROJECTED_Y: DoubleVariable
MATERIAL_FLUID_ACCEL_PROJECTED_Z: DoubleVariable
MATERIAL_ORIENTATION_DX: Array1DVariable3
MATERIAL_ORIENTATION_DX_X: DoubleVariable
MATERIAL_ORIENTATION_DX_Y: DoubleVariable
MATERIAL_ORIENTATION_DX_Z: DoubleVariable
MATERIAL_ORIENTATION_DY: Array1DVariable3
MATERIAL_ORIENTATION_DY_X: DoubleVariable
MATERIAL_ORIENTATION_DY_Y: DoubleVariable
MATERIAL_ORIENTATION_DY_Z: DoubleVariable
MATERIAL_ORIENTATION_DZ: Array1DVariable3
MATERIAL_ORIENTATION_DZ_X: DoubleVariable
MATERIAL_ORIENTATION_DZ_Y: DoubleVariable
MATERIAL_ORIENTATION_DZ_Z: DoubleVariable
MATERIAL_PARAMETERS: VectorVariable
MATERIAL_VARIABLE: DoubleVariable
MAX_DT: DoubleVariable
MEAN_HYDRODYNAMIC_REACTION: Array1DVariable3
MEAN_HYDRODYNAMIC_REACTION_X: DoubleVariable
MEAN_HYDRODYNAMIC_REACTION_Y: DoubleVariable
MEAN_HYDRODYNAMIC_REACTION_Z: DoubleVariable
MELD_TEMPERATURE: DoubleVariable
MESH_ACCELERATION: Array1DVariable3
MESH_ACCELERATION_X: DoubleVariable
MESH_ACCELERATION_Y: DoubleVariable
MESH_ACCELERATION_Z: DoubleVariable
MESH_DISPLACEMENT: Array1DVariable3
MESH_DISPLACEMENT_X: DoubleVariable
MESH_DISPLACEMENT_Y: DoubleVariable
MESH_DISPLACEMENT_Z: DoubleVariable
MESH_POISSON_RATIO: DoubleVariable
MESH_REACTION: Array1DVariable3
MESH_REACTION_X: DoubleVariable
MESH_REACTION_Y: DoubleVariable
MESH_REACTION_Z: DoubleVariable
MESH_RHS: Array1DVariable3
MESH_RHS_X: DoubleVariable
MESH_RHS_Y: DoubleVariable
MESH_RHS_Z: DoubleVariable
MESH_VELOCITY: Array1DVariable3
MESH_VELOCITY_X: DoubleVariable
MESH_VELOCITY_Y: DoubleVariable
MESH_VELOCITY_Z: DoubleVariable
MIN_DT: DoubleVariable
MIU: DoubleVariable
MIXTURE_FRACTION: DoubleVariable
MODIFIED: Flags
MOLECULAR_VISCOSITY: DoubleVariable
MOMENT: Array1DVariable3
MOMENTUM: Array1DVariable3
MOMENTUM_CM: Array1DVariable3
MOMENTUM_CM_X: DoubleVariable
MOMENTUM_CM_Y: DoubleVariable
MOMENTUM_CM_Z: DoubleVariable
MOMENTUM_X: DoubleVariable
MOMENTUM_Y: DoubleVariable
MOMENTUM_Z: DoubleVariable
MOMENT_RESIDUAL: Array1DVariable3
MOMENT_RESIDUAL_X: DoubleVariable
MOMENT_RESIDUAL_Y: DoubleVariable
MOMENT_RESIDUAL_Z: DoubleVariable
MOMENT_X: DoubleVariable
MOMENT_Y: DoubleVariable
MOMENT_Z: DoubleVariable
MPI_BOUNDARY: Flags
MU: DoubleVariable
NAGATIVE_DISTANCE: DoubleVariable
NEGATIVE_FACE_PRESSURE: DoubleVariable
NEGATIVE_MAPPED_VECTOR_VARIABLE: Array1DVariable3
NEGATIVE_MAPPED_VECTOR_VARIABLE_X: DoubleVariable
NEGATIVE_MAPPED_VECTOR_VARIABLE_Y: DoubleVariable
NEGATIVE_MAPPED_VECTOR_VARIABLE_Z: DoubleVariable
NEIGHBOURS_IDS: IntegerVectorVariable
NEIGHBOURS_IDS_DOUBLE: VectorVariable
NET_INPUT_MATERIAL: DoubleVariable
NEWMARK_BETA: DoubleVariable
NEWMARK_GAMMA: DoubleVariable
NEW_ENTITY: Flags
NL_ITERATION_NUMBER: IntegerVariable
NODAL_AREA: DoubleVariable
NODAL_ERROR: DoubleVariable
NODAL_ERROR_COMPONENTS: Array1DVariable3
NODAL_ERROR_COMPONENTS_X: DoubleVariable
NODAL_ERROR_COMPONENTS_Y: DoubleVariable
NODAL_ERROR_COMPONENTS_Z: DoubleVariable
NODAL_H: DoubleVariable
NODAL_INERTIA_TENSOR: Array1DVariable6
NODAL_INERTIA_TENSOR_XX: DoubleVariable
NODAL_INERTIA_TENSOR_XY: DoubleVariable
NODAL_INERTIA_TENSOR_XZ: DoubleVariable
NODAL_INERTIA_TENSOR_YY: DoubleVariable
NODAL_INERTIA_TENSOR_YZ: DoubleVariable
NODAL_INERTIA_TENSOR_ZZ: DoubleVariable
NODAL_MASS: DoubleVariable
NODAL_MAUX: DoubleVariable
NODAL_PAUX: DoubleVariable
NODAL_SWITCH: DoubleVariable
NODAL_VAUX: Array1DVariable3
NODAL_VAUX_X: DoubleVariable
NODAL_VAUX_Y: DoubleVariable
NODAL_VAUX_Z: DoubleVariable
NODAL_VOLUME: DoubleVariable
NODE_PROPERTY_ID: IntegerVariable
NONLIN_DARCY_COEF: DoubleVariable
NON_NEWTONIAN_OPTION: IntegerVariable
NORMAL: Array1DVariable3
NORMAL_COMPRESSION_SLOPE: DoubleVariable
NORMAL_CONTACT_STRESS: DoubleVariable
NORMAL_SENSITIVITY: DoubleVariable
NORMAL_SHAPE_DERIVATIVE: MatrixVariable
NORMAL_STRESS: VectorVariable
NORMAL_TO_WALL: Array1DVariable3
NORMAL_TO_WALL_X: DoubleVariable
NORMAL_TO_WALL_Y: DoubleVariable
NORMAL_TO_WALL_Z: DoubleVariable
NORMAL_X: DoubleVariable
NORMAL_Y: DoubleVariable
NORMAL_Z: DoubleVariable
NORM_ISOCHORIC_STRESS: DoubleVariable
NO_PRINTING: FillCommunicatorEchoLevel
NUMBER_OF_CYCLES: IntegerVariable
NUMBER_OF_INIT_BASSET_STEPS: IntegerVariable
NUMBER_OF_NEIGHBOUR_ELEMENTS: DoubleVariable
OLD_ENTITY: Flags
OLD_NEIGHBOURS_IDS: IntegerVectorVariable
OLD_RELAXED_DISPLACEMENT: Array1DVariable3
OLD_RELAXED_DISPLACEMENT_X: DoubleVariable
OLD_RELAXED_DISPLACEMENT_Y: DoubleVariable
OLD_RELAXED_DISPLACEMENT_Z: DoubleVariable
OLD_RELAXED_SCALAR: DoubleVariable
OLD_RELAXED_SCALAR_TRACTION: DoubleVariable
OLD_RELAXED_TRACTION: Array1DVariable3
OLD_RELAXED_TRACTION_X: DoubleVariable
OLD_RELAXED_TRACTION_Y: DoubleVariable
OLD_RELAXED_TRACTION_Z: DoubleVariable
ORIENTATION: DoubleQuaternionVariable
OSS_SWITCH: IntegerVariable
OUTLET: Flags
OVER_CONSOLIDATION_RATIO: DoubleVariable
PARAMETER_2D_COORDINATES: Array1DVariable3
PARAMETER_2D_COORDINATES_X: DoubleVariable
PARAMETER_2D_COORDINATES_Y: DoubleVariable
PARAMETER_2D_COORDINATES_Z: DoubleVariable
PARTICLE_MASS: DoubleVariable
PARTICLE_MATERIAL: IntegerVariable
PARTICLE_RADIUS: DoubleVariable
PARTICLE_ROTATE_SPRING_FAILURE_TYPE: VectorVariable
PARTICLE_SPHERICITY: DoubleVariable
PARTICLE_VEL_FILTERED: Array1DVariable3
PARTICLE_VEL_FILTERED_X: DoubleVariable
PARTICLE_VEL_FILTERED_Y: DoubleVariable
PARTICLE_VEL_FILTERED_Z: DoubleVariable
PARTITION_INDEX: IntegerVariable
PARTITION_MASK: IntegerVariable
PENALTY: VectorVariable
PENALTY_COEFFICIENT: DoubleVariable
PERIODIC: Flags
PERIODIC_PAIR_INDEX: IntegerVariable
PERMEABILITY: MatrixVariable
PERMEABILITY_AIR: DoubleVariable
PERMEABILITY_WATER: DoubleVariable
PHASE_FRACTION: DoubleVariable
PHASE_FRACTION_GRADIENT: Array1DVariable3
PHASE_FRACTION_GRADIENT_X: DoubleVariable
PHASE_FRACTION_GRADIENT_Y: DoubleVariable
PHASE_FRACTION_GRADIENT_Z: DoubleVariable
PHASE_FRACTION_RATE: DoubleVariable
PK2_STRESS_TENSOR: MatrixVariable
PK2_STRESS_VECTOR: VectorVariable
PLASTIC_DISSIPATION: DoubleVariable
PLASTIC_STRAIN: DoubleVariable
PLASTIC_STRAIN_RATE: DoubleVariable
POISSON_RATIO: DoubleVariable
POISSON_RATIO_XY: DoubleVariable
POISSON_RATIO_XZ: DoubleVariable
POISSON_RATIO_YZ: DoubleVariable
POROSITY: DoubleVariable
POSETIVE_DISTANCE: DoubleVariable
POSITIVE_FACE_PRESSURE: DoubleVariable
POSITIVE_MAPPED_VECTOR_VARIABLE: Array1DVariable3
POSITIVE_MAPPED_VECTOR_VARIABLE_X: DoubleVariable
POSITIVE_MAPPED_VECTOR_VARIABLE_Y: DoubleVariable
POSITIVE_MAPPED_VECTOR_VARIABLE_Z: DoubleVariable
POWER_LAW_K: DoubleVariable
POWER_LAW_N: DoubleVariable
POWER_LAW_TOLERANCE: DoubleVariable
PRESSURE: DoubleVariable
PRESSUREAUX: DoubleVariable
PRESSURE_COEFFICIENT: DoubleVariable
PRESSURE_GRADIENT: Array1DVariable3
PRESSURE_GRADIENT_X: DoubleVariable
PRESSURE_GRADIENT_Y: DoubleVariable
PRESSURE_GRADIENT_Z: DoubleVariable
PRESSURE_GRAD_PROJECTED: Array1DVariable3
PRESSURE_GRAD_PROJECTED_X: DoubleVariable
PRESSURE_GRAD_PROJECTED_Y: DoubleVariable
PRESSURE_GRAD_PROJECTED_Z: DoubleVariable
PRESSURE_OLD_IT: DoubleVariable
PRESS_PROJ: Array1DVariable3
PRESS_PROJ_X: DoubleVariable
PRESS_PROJ_Y: DoubleVariable
PRESS_PROJ_Z: DoubleVariable
PREVIOUS_DELTA_TIME: DoubleVariable
PRE_CONSOLIDATION_STRESS: DoubleVariable
PRE_EXP_DIFFUSION_COEFFICIENT: DoubleVariable
PRINTED_RESTART_STEP: IntegerVariable
PRINTED_STEP: IntegerVariable
PR_ART_VISC: DoubleVariable
QUADRATURE_ORDER: IntegerVariable
QUASI_STATIC_ANALYSIS: IntegerVariable
RADIATION_SETTINGS: RadiationSettingsVariable
RADIATIVE_INTENSITY: DoubleVariable
RADIATIVE_INTENSITY_1: DoubleVariable
RADIATIVE_INTENSITY_10: DoubleVariable
RADIATIVE_INTENSITY_11: DoubleVariable
RADIATIVE_INTENSITY_12: DoubleVariable
RADIATIVE_INTENSITY_13: DoubleVariable
RADIATIVE_INTENSITY_14: DoubleVariable
RADIATIVE_INTENSITY_15: DoubleVariable
RADIATIVE_INTENSITY_16: DoubleVariable
RADIATIVE_INTENSITY_17: DoubleVariable
RADIATIVE_INTENSITY_18: DoubleVariable
RADIATIVE_INTENSITY_19: DoubleVariable
RADIATIVE_INTENSITY_2: DoubleVariable
RADIATIVE_INTENSITY_20: DoubleVariable
RADIATIVE_INTENSITY_21: DoubleVariable
RADIATIVE_INTENSITY_22: DoubleVariable
RADIATIVE_INTENSITY_23: DoubleVariable
RADIATIVE_INTENSITY_24: DoubleVariable
RADIATIVE_INTENSITY_3: DoubleVariable
RADIATIVE_INTENSITY_4: DoubleVariable
RADIATIVE_INTENSITY_5: DoubleVariable
RADIATIVE_INTENSITY_6: DoubleVariable
RADIATIVE_INTENSITY_7: DoubleVariable
RADIATIVE_INTENSITY_8: DoubleVariable
RADIATIVE_INTENSITY_9: DoubleVariable
RADIUS: DoubleVariable
REACTION: Array1DVariable3
REACTION_AIR_PRESSURE: DoubleVariable
REACTION_FLUX: DoubleVariable
REACTION_MOMENT: Array1DVariable3
REACTION_MOMENT_X: DoubleVariable
REACTION_MOMENT_Y: DoubleVariable
REACTION_MOMENT_Z: DoubleVariable
REACTION_WATER_PRESSURE: DoubleVariable
REACTION_X: DoubleVariable
REACTION_Y: DoubleVariable
REACTION_Z: DoubleVariable
RECOVERED_STRESS: VectorVariable
REFERENCE_CONDUCTIVITY: DoubleVariable
REFERENCE_HARDENING_MODULUS: DoubleVariable
REFERENCE_TEMPERATURE: DoubleVariable
REFINEMENT_LEVEL: IntegerVariable
REF_ID: IntegerVariable
RELAXATION_TIME: DoubleVariable
RELAXED_ACCELERATION: Array1DVariable3
RELAXED_ACCELERATION_X: DoubleVariable
RELAXED_ACCELERATION_Y: DoubleVariable
RELAXED_ACCELERATION_Z: DoubleVariable
RELAXED_DISPLACEMENT: Array1DVariable3
RELAXED_DISPLACEMENT_X: DoubleVariable
RELAXED_DISPLACEMENT_Y: DoubleVariable
RELAXED_DISPLACEMENT_Z: DoubleVariable
RELAXED_SCALAR: DoubleVariable
RELAXED_SCALAR_TRACTION: DoubleVariable
RELAXED_TRACTION: Array1DVariable3
RELAXED_TRACTION_X: DoubleVariable
RELAXED_TRACTION_Y: DoubleVariable
RELAXED_TRACTION_Z: DoubleVariable
RESIDUAL_NORM: DoubleVariable
RESIDUAL_STRENGTH: DoubleVariable
RESIDUAL_VECTOR: VectorVariable
REYNOLDS_NUMBER: DoubleVariable
RHS: Array1DVariable3
RHS_AIR: DoubleVariable
RHS_WATER: DoubleVariable
RHS_X: DoubleVariable
RHS_Y: DoubleVariable
RHS_Z: DoubleVariable
RIGID: Flags
RIGID_BODY_ID: IntegerVariable
ROTATION: Array1DVariable3
ROTATION_CENTER: Array1DVariable3
ROTATION_CENTER_X: DoubleVariable
ROTATION_CENTER_Y: DoubleVariable
ROTATION_CENTER_Z: DoubleVariable
ROTATION_X: DoubleVariable
ROTATION_Y: DoubleVariable
ROTATION_Z: DoubleVariable
RUNGE_KUTTA_STEP: IntegerVariable
SATURATION: DoubleVariable
SCALAR_INTERFACE_RESIDUAL: DoubleVariable
SCALAR_LAGRANGE_MULTIPLIER: DoubleVariable
SCALAR_PROJECTED: DoubleVariable
SCALAR_TRACTION_INTERFACE_RESIDUAL: DoubleVariable
SCALE: IntegerVariable
SCALE_FACTOR: DoubleVariable
SEARCH_RADIUS: DoubleVariable
SEARCH_RADIUS_INCREMENT: DoubleVariable
SEARCH_RADIUS_INCREMENT_FOR_WALLS: DoubleVariable
SECOND_SATURATION_PARAM: DoubleVariable
SEEPAGE_DRAG: Array1DVariable3
SEEPAGE_DRAG_X: DoubleVariable
SEEPAGE_DRAG_Y: DoubleVariable
SEEPAGE_DRAG_Z: DoubleVariable
SELECTED: Flags
SERIALIZER_NO_TRACE: SerializerTraceType
SERIALIZER_TRACE_ALL: SerializerTraceType
SERIALIZER_TRACE_ERROR: SerializerTraceType
SHAPE_FUNCTIONS_GRADIENT_MATRIX: MatrixVariable
SHAPE_FUNCTIONS_VECTOR: VectorVariable
SHAPE_SENSITIVITY: Array1DVariable3
SHAPE_SENSITIVITY_X: DoubleVariable
SHAPE_SENSITIVITY_Y: DoubleVariable
SHAPE_SENSITIVITY_Z: DoubleVariable
SHEAR_MODULUS: DoubleVariable
SHEAR_MODULUS_GAMMA12: DoubleVariable
SHEAR_MODULUS_GAMMA12_2: DoubleVariable
SHEAR_MODULUS_GAMMA12_3: DoubleVariable
SHEAR_MODULUS_GAMMA12_4: DoubleVariable
SHEAR_MODULUS_XY: DoubleVariable
SHEAR_MODULUS_XZ: DoubleVariable
SHEAR_MODULUS_YZ: DoubleVariable
SHEAR_RATE_PROJECTED: DoubleVariable
SINTERING_START_TEMPERATURE: DoubleVariable
SLAVE: Flags
SLIP: Flags
SLIP_VELOCITY: Array1DVariable3
SLIP_VELOCITY_X: DoubleVariable
SLIP_VELOCITY_Y: DoubleVariable
SLIP_VELOCITY_Z: DoubleVariable
SOFTENING_SLOPE: DoubleVariable
SOLID: Flags
SOUND_VELOCITY: DoubleVariable
SPACE_DIMENSION: IntegerVariable
SPECIFIC_HEAT: DoubleVariable
SPLIT_ELEMENT: BoolVariable
SPLIT_NODAL: BoolVariable
STABILIZATION_FACTOR: DoubleVariable
START_TIME: DoubleVariable
STATIONARY: IntegerVariable
STEFAN_BOLTZMANN_CONSTANT: DoubleVariable
STEP: IntegerVariable
STRAIN: VectorVariable
STRAIN_ENERGY: DoubleVariable
STRAIN_VECTOR: Array1DVariable6
STRAIN_VECTOR_XX: DoubleVariable
STRAIN_VECTOR_XY: DoubleVariable
STRAIN_VECTOR_XZ: DoubleVariable
STRAIN_VECTOR_YY: DoubleVariable
STRAIN_VECTOR_YZ: DoubleVariable
STRAIN_VECTOR_ZZ: DoubleVariable
STRENGTH_RATIO: DoubleVariable
STRESSES: VectorVariable
STRUCTURE: Flags
STRUCTURE_VELOCITY: Array1DVariable3
STRUCTURE_VELOCITY_X: DoubleVariable
STRUCTURE_VELOCITY_Y: DoubleVariable
STRUCTURE_VELOCITY_Z: DoubleVariable
SURFACE_ENERGY: DoubleVariable
SWELLING_SLOPE: DoubleVariable
SWITCH_TEMPERATURE: DoubleVariable
StrainMeasure_Deformation_Gradient: StrainMeasure
StrainMeasure_GreenLagrange: StrainMeasure
StrainMeasure_Hencky_Material: StrainMeasure
StrainMeasure_Hencky_Spatial: StrainMeasure
StrainMeasure_Infinitesimal: StrainMeasure
StrainMeasure_Left_CauchyGreen: StrainMeasure
StrainMeasure_Right_CauchyGreen: StrainMeasure
StressMeasure_Cauchy: StressMeasure
StressMeasure_Kirchhoff: StressMeasure
StressMeasure_PK1: StressMeasure
StressMeasure_PK2: StressMeasure
TANGENTIAL_CONTACT_STRESS: DoubleVariable
TANGENTIAL_STRESS: VectorVariable
TANGENT_ETA: Array1DVariable3
TANGENT_ETA_X: DoubleVariable
TANGENT_ETA_Y: DoubleVariable
TANGENT_ETA_Z: DoubleVariable
TANGENT_FACTOR: DoubleVariable
TANGENT_XI: Array1DVariable3
TANGENT_XI_X: DoubleVariable
TANGENT_XI_Y: DoubleVariable
TANGENT_XI_Z: DoubleVariable
TAU: DoubleVariable
TC: DoubleVariable
TEMPERATURE: DoubleVariable
TEMPERATURE_GRADIENT: Array1DVariable3
TEMPERATURE_GRADIENT_X: DoubleVariable
TEMPERATURE_GRADIENT_Y: DoubleVariable
TEMPERATURE_GRADIENT_Z: DoubleVariable
TEMPERATURE_OLD_IT: DoubleVariable
TEMP_CONV_PROJ: DoubleVariable
THAWONE: DoubleVariable
THAWTWO: DoubleVariable
THERMAL: Flags
THERMAL_EXPANSION_COEFFICIENT: DoubleVariable
THICKNESS: DoubleVariable
TIME: DoubleVariable
TIME_AVERAGED_ARRAY_3: Array1DVariable3
TIME_AVERAGED_ARRAY_3_X: DoubleVariable
TIME_AVERAGED_ARRAY_3_Y: DoubleVariable
TIME_AVERAGED_ARRAY_3_Z: DoubleVariable
TIME_AVERAGED_DOUBLE: DoubleVariable
TIME_INTEGRATION_THETA: DoubleVariable
TIME_STEPS: IntegerVariable
TIME_STEPS_PER_QUADRATURE_STEP: IntegerVariable
TORQUE: Array1DVariable3
TORQUE_X: DoubleVariable
TORQUE_Y: DoubleVariable
TORQUE_Z: DoubleVariable
TOTAL_ENERGY: DoubleVariable
TOTAL_FORCES: Array1DVariable3
TOTAL_FORCES_X: DoubleVariable
TOTAL_FORCES_Y: DoubleVariable
TOTAL_FORCES_Z: DoubleVariable
TO_ERASE: Flags
TO_REFINE: Flags
TO_SPLIT: Flags
TRACTION_INTERFACE_RESIDUAL: Array1DVariable3
TRACTION_INTERFACE_RESIDUAL_X: DoubleVariable
TRACTION_INTERFACE_RESIDUAL_Y: DoubleVariable
TRACTION_INTERFACE_RESIDUAL_Z: DoubleVariable
TURBULENT_VISCOSITY: DoubleVariable
UPDATE_SENSITIVITIES: BoolVariable
VARIATIONAL_REDISTANCE_COEFFICIENT_FIRST: DoubleVariable
VARIATIONAL_REDISTANCE_COEFFICIENT_SECOND: DoubleVariable
VAUX_EQ_TRACTION: Array1DVariable3
VAUX_EQ_TRACTION_X: DoubleVariable
VAUX_EQ_TRACTION_Y: DoubleVariable
VAUX_EQ_TRACTION_Z: DoubleVariable
VECTOR_LAGRANGE_MULTIPLIER: Array1DVariable3
VECTOR_LAGRANGE_MULTIPLIER_X: DoubleVariable
VECTOR_LAGRANGE_MULTIPLIER_Y: DoubleVariable
VECTOR_LAGRANGE_MULTIPLIER_Z: DoubleVariable
VECTOR_PROJECTED: Array1DVariable3
VECTOR_PROJECTED_X: DoubleVariable
VECTOR_PROJECTED_Y: DoubleVariable
VECTOR_PROJECTED_Z: DoubleVariable
VELOCITY: Array1DVariable3
VELOCITY_COMPONENT_GRADIENT: Array1DVariable3
VELOCITY_COMPONENT_GRADIENT_X: DoubleVariable
VELOCITY_COMPONENT_GRADIENT_Y: DoubleVariable
VELOCITY_COMPONENT_GRADIENT_Z: DoubleVariable
VELOCITY_LAPLACIAN: Array1DVariable3
VELOCITY_LAPLACIAN_RATE: Array1DVariable3
VELOCITY_LAPLACIAN_RATE_X: DoubleVariable
VELOCITY_LAPLACIAN_RATE_Y: DoubleVariable
VELOCITY_LAPLACIAN_RATE_Z: DoubleVariable
VELOCITY_LAPLACIAN_X: DoubleVariable
VELOCITY_LAPLACIAN_Y: DoubleVariable
VELOCITY_LAPLACIAN_Z: DoubleVariable
VELOCITY_OLD: Array1DVariable3
VELOCITY_OLD_OLD: Array1DVariable3
VELOCITY_OLD_OLD_X: DoubleVariable
VELOCITY_OLD_OLD_Y: DoubleVariable
VELOCITY_OLD_OLD_Z: DoubleVariable
VELOCITY_OLD_X: DoubleVariable
VELOCITY_OLD_Y: DoubleVariable
VELOCITY_OLD_Z: DoubleVariable
VELOCITY_PERIOD: DoubleVariable
VELOCITY_X: DoubleVariable
VELOCITY_X_GRADIENT: Array1DVariable3
VELOCITY_X_GRADIENT_X: DoubleVariable
VELOCITY_X_GRADIENT_Y: DoubleVariable
VELOCITY_X_GRADIENT_Z: DoubleVariable
VELOCITY_Y: DoubleVariable
VELOCITY_Y_GRADIENT: Array1DVariable3
VELOCITY_Y_GRADIENT_X: DoubleVariable
VELOCITY_Y_GRADIENT_Y: DoubleVariable
VELOCITY_Y_GRADIENT_Z: DoubleVariable
VELOCITY_Z: DoubleVariable
VELOCITY_Z_GRADIENT: Array1DVariable3
VELOCITY_Z_GRADIENT_X: DoubleVariable
VELOCITY_Z_GRADIENT_Y: DoubleVariable
VELOCITY_Z_GRADIENT_Z: DoubleVariable
VEL_ART_VISC: DoubleVariable
VIRTUAL_MASS_FORCE: Array1DVariable3
VIRTUAL_MASS_FORCE_TYPE: IntegerVariable
VIRTUAL_MASS_FORCE_X: DoubleVariable
VIRTUAL_MASS_FORCE_Y: DoubleVariable
VIRTUAL_MASS_FORCE_Z: DoubleVariable
VISCOSITY: DoubleVariable
VISCOSITY_AIR: DoubleVariable
VISCOSITY_WATER: DoubleVariable
VISITED: Flags
VOLUMETRIC_STRAIN: DoubleVariable
VOLUMETRIC_STRAIN_PROJECTION: DoubleVariable
VOLUMETRIC_STRAIN_PROJECTION_REACTION: DoubleVariable
VOLUMETRIC_STRAIN_SUBSCALE: DoubleVariable
VOLUME_ACCELERATION: Array1DVariable3
VOLUME_ACCELERATION_X: DoubleVariable
VOLUME_ACCELERATION_Y: DoubleVariable
VOLUME_ACCELERATION_Z: DoubleVariable
VORTICITY: Array1DVariable3
VORTICITY_X: DoubleVariable
VORTICITY_Y: DoubleVariable
VORTICITY_Z: DoubleVariable
WALL: Flags
WATER_PRESSURE: DoubleVariable
WATER_PRESSURE_ACCELERATION: DoubleVariable
WATER_SOUND_VELOCITY: DoubleVariable
WEIGHT_FATHER_NODES: DoubleVariable
WET_VOLUME: DoubleVariable
Y: Array1DVariable3
Y1: DoubleVariable
Y2: DoubleVariable
YCH4: DoubleVariable
YCO2: DoubleVariable
YF: DoubleVariable
YH2O: DoubleVariable
YI: DoubleVariable
YIELD_STRESS: DoubleVariable
YN2: DoubleVariable
YO: DoubleVariable
YO2: DoubleVariable
YOUNG_MODULUS: DoubleVariable
YOUNG_MODULUS_X: DoubleVariable
YOUNG_MODULUS_Y: DoubleVariable
YOUNG_MODULUS_Z: DoubleVariable
YP: DoubleVariable
Y_WALL: DoubleVariable
Y_X: DoubleVariable
Y_Y: DoubleVariable
Y_Z: DoubleVariable
Yfuel: DoubleVariable
Yox: DoubleVariable
Ypr: DoubleVariable
a: DoubleVariable
b: DoubleVariable
rhoD: DoubleVariable
xi: DoubleVariable
xi_c: Array1DVariable3
xi_c_X: DoubleVariable
xi_c_Y: DoubleVariable
xi_c_Z: DoubleVariable

class AMGCLCoarseningType:
    __members__: ClassVar[dict] = ...  # read-only
    AGGREGATION: ClassVar[AMGCLCoarseningType] = ...
    RUGE_STUBEN: ClassVar[AMGCLCoarseningType] = ...
    SA: ClassVar[AMGCLCoarseningType] = ...
    SA_EMIN: ClassVar[AMGCLCoarseningType] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.AMGCLCoarseningType, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.AMGCLCoarseningType) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.AMGCLCoarseningType) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class AMGCLIterativeSolverType:
    __members__: ClassVar[dict] = ...  # read-only
    BICGSTAB: ClassVar[AMGCLIterativeSolverType] = ...
    BICGSTAB2: ClassVar[AMGCLIterativeSolverType] = ...
    BICGSTAB_WITH_GMRES_FALLBACK: ClassVar[AMGCLIterativeSolverType] = ...
    CG: ClassVar[AMGCLIterativeSolverType] = ...
    FGMRES: ClassVar[AMGCLIterativeSolverType] = ...
    GMRES: ClassVar[AMGCLIterativeSolverType] = ...
    LGMRES: ClassVar[AMGCLIterativeSolverType] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.AMGCLIterativeSolverType, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.AMGCLIterativeSolverType) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.AMGCLIterativeSolverType) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class AMGCLSmoother:
    __members__: ClassVar[dict] = ...  # read-only
    CHEBYSHEV: ClassVar[AMGCLSmoother] = ...
    DAMPED_JACOBI: ClassVar[AMGCLSmoother] = ...
    GAUSS_SEIDEL: ClassVar[AMGCLSmoother] = ...
    ILU0: ClassVar[AMGCLSmoother] = ...
    SPAI0: ClassVar[AMGCLSmoother] = ...
    SPAI1: ClassVar[AMGCLSmoother] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.AMGCLSmoother, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.AMGCLSmoother) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.AMGCLSmoother) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class AMGCLSolver(LinearSolver):
    @overload
    def __init__(self, arg0: AMGCLSmoother, arg1: AMGCLIterativeSolverType, arg2: float, arg3: int, arg4: int, arg5: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AMGCLSolver, arg0: Kratos.AMGCLSmoother, arg1: Kratos.AMGCLIterativeSolverType, arg2: float, arg3: int, arg4: int, arg5: int) -> None

        2. __init__(self: Kratos.AMGCLSolver, arg0: Kratos.AMGCLSmoother, arg1: Kratos.AMGCLIterativeSolverType, arg2: Kratos.AMGCLCoarseningType, arg3: float, arg4: int, arg5: int, arg6: int, arg7: bool) -> None

        3. __init__(self: Kratos.AMGCLSolver) -> None

        4. __init__(self: Kratos.AMGCLSolver, arg0: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: AMGCLSmoother, arg1: AMGCLIterativeSolverType, arg2: AMGCLCoarseningType, arg3: float, arg4: int, arg5: int, arg6: int, arg7: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AMGCLSolver, arg0: Kratos.AMGCLSmoother, arg1: Kratos.AMGCLIterativeSolverType, arg2: float, arg3: int, arg4: int, arg5: int) -> None

        2. __init__(self: Kratos.AMGCLSolver, arg0: Kratos.AMGCLSmoother, arg1: Kratos.AMGCLIterativeSolverType, arg2: Kratos.AMGCLCoarseningType, arg3: float, arg4: int, arg5: int, arg6: int, arg7: bool) -> None

        3. __init__(self: Kratos.AMGCLSolver) -> None

        4. __init__(self: Kratos.AMGCLSolver, arg0: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AMGCLSolver, arg0: Kratos.AMGCLSmoother, arg1: Kratos.AMGCLIterativeSolverType, arg2: float, arg3: int, arg4: int, arg5: int) -> None

        2. __init__(self: Kratos.AMGCLSolver, arg0: Kratos.AMGCLSmoother, arg1: Kratos.AMGCLIterativeSolverType, arg2: Kratos.AMGCLCoarseningType, arg3: float, arg4: int, arg5: int, arg6: int, arg7: bool) -> None

        3. __init__(self: Kratos.AMGCLSolver) -> None

        4. __init__(self: Kratos.AMGCLSolver, arg0: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AMGCLSolver, arg0: Kratos.AMGCLSmoother, arg1: Kratos.AMGCLIterativeSolverType, arg2: float, arg3: int, arg4: int, arg5: int) -> None

        2. __init__(self: Kratos.AMGCLSolver, arg0: Kratos.AMGCLSmoother, arg1: Kratos.AMGCLIterativeSolverType, arg2: Kratos.AMGCLCoarseningType, arg3: float, arg4: int, arg5: int, arg6: int, arg7: bool) -> None

        3. __init__(self: Kratos.AMGCLSolver) -> None

        4. __init__(self: Kratos.AMGCLSolver, arg0: Kratos::Parameters) -> None
        """
    def GetResidualNorm(self) -> float:
        """GetResidualNorm(self: Kratos.AMGCLSolver) -> float"""

class AMGCL_NS_Solver(LinearSolver):
    def __init__(self, arg0) -> None:
        """__init__(self: Kratos.AMGCL_NS_Solver, arg0: Kratos::Parameters) -> None"""

class Accessor:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @classmethod
    def Create(cls) -> Accessor:
        """Create() -> Kratos.Accessor"""

class ActivationUtilities:
    def __init__(self) -> None:
        """__init__(self: Kratos.ActivationUtilities) -> None"""
    def ActivateElementsAndConditions(self, arg0: ModelPart, arg1: DoubleVariable, arg2: float, arg3: bool) -> None:
        """ActivateElementsAndConditions(self: Kratos.ActivationUtilities, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: float, arg3: bool) -> None"""

class AdaptiveResidualBasedNewtonRaphsonStrategy(ImplicitSolvingStrategy):
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AdaptiveResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AdaptiveResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: int, arg6: bool, arg7: bool, arg8: bool, arg9: float, arg10: float, arg11: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: LinearSolver, arg3: ConvergenceCriteria, arg4: int, arg5: int, arg6: bool, arg7: bool, arg8: bool, arg9: float, arg10: float, arg11: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AdaptiveResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AdaptiveResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: int, arg6: bool, arg7: bool, arg8: bool, arg9: float, arg10: float, arg11: int) -> None
        """

class AdjointResponseFunction:
    def __init__(self) -> None:
        """__init__(self: Kratos.AdjointResponseFunction) -> None"""
    @overload
    def CalculateFirstDerivativesGradient(self, arg0: Condition, arg1: Matrix, arg2: Vector, arg3: ProcessInfo) -> None:
        """CalculateFirstDerivativesGradient(*args, **kwargs)
        Overloaded function.

        1. CalculateFirstDerivativesGradient(self: Kratos.AdjointResponseFunction, arg0: Kratos.Condition, arg1: Kratos.Matrix, arg2: Kratos.Vector, arg3: Kratos.ProcessInfo) -> None

        2. CalculateFirstDerivativesGradient(self: Kratos.AdjointResponseFunction, arg0: Kratos.Element, arg1: Kratos.Matrix, arg2: Kratos.Vector, arg3: Kratos.ProcessInfo) -> None
        """
    @overload
    def CalculateFirstDerivativesGradient(self, arg0: Element, arg1: Matrix, arg2: Vector, arg3: ProcessInfo) -> None:
        """CalculateFirstDerivativesGradient(*args, **kwargs)
        Overloaded function.

        1. CalculateFirstDerivativesGradient(self: Kratos.AdjointResponseFunction, arg0: Kratos.Condition, arg1: Kratos.Matrix, arg2: Kratos.Vector, arg3: Kratos.ProcessInfo) -> None

        2. CalculateFirstDerivativesGradient(self: Kratos.AdjointResponseFunction, arg0: Kratos.Element, arg1: Kratos.Matrix, arg2: Kratos.Vector, arg3: Kratos.ProcessInfo) -> None
        """
    @overload
    def CalculateGradient(self, arg0: Condition, arg1: Matrix, arg2: Vector, arg3: ProcessInfo) -> None:
        """CalculateGradient(*args, **kwargs)
        Overloaded function.

        1. CalculateGradient(self: Kratos.AdjointResponseFunction, arg0: Kratos.Condition, arg1: Kratos.Matrix, arg2: Kratos.Vector, arg3: Kratos.ProcessInfo) -> None

        2. CalculateGradient(self: Kratos.AdjointResponseFunction, arg0: Kratos.Element, arg1: Kratos.Matrix, arg2: Kratos.Vector, arg3: Kratos.ProcessInfo) -> None
        """
    @overload
    def CalculateGradient(self, arg0: Element, arg1: Matrix, arg2: Vector, arg3: ProcessInfo) -> None:
        """CalculateGradient(*args, **kwargs)
        Overloaded function.

        1. CalculateGradient(self: Kratos.AdjointResponseFunction, arg0: Kratos.Condition, arg1: Kratos.Matrix, arg2: Kratos.Vector, arg3: Kratos.ProcessInfo) -> None

        2. CalculateGradient(self: Kratos.AdjointResponseFunction, arg0: Kratos.Element, arg1: Kratos.Matrix, arg2: Kratos.Vector, arg3: Kratos.ProcessInfo) -> None
        """
    @overload
    def CalculatePartialSensitivity(self, arg0: Condition, arg1: DoubleVariable, arg2: Matrix, arg3: Vector, arg4: ProcessInfo) -> None:
        """CalculatePartialSensitivity(*args, **kwargs)
        Overloaded function.

        1. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Condition, arg1: Kratos.DoubleVariable, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None

        2. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Element, arg1: Kratos.DoubleVariable, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None

        3. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Condition, arg1: Kratos.Array1DVariable3, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None

        4. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Element, arg1: Kratos.Array1DVariable3, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None
        """
    @overload
    def CalculatePartialSensitivity(self, arg0: Element, arg1: DoubleVariable, arg2: Matrix, arg3: Vector, arg4: ProcessInfo) -> None:
        """CalculatePartialSensitivity(*args, **kwargs)
        Overloaded function.

        1. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Condition, arg1: Kratos.DoubleVariable, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None

        2. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Element, arg1: Kratos.DoubleVariable, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None

        3. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Condition, arg1: Kratos.Array1DVariable3, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None

        4. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Element, arg1: Kratos.Array1DVariable3, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None
        """
    @overload
    def CalculatePartialSensitivity(self, arg0: Condition, arg1: Array1DVariable3, arg2: Matrix, arg3: Vector, arg4: ProcessInfo) -> None:
        """CalculatePartialSensitivity(*args, **kwargs)
        Overloaded function.

        1. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Condition, arg1: Kratos.DoubleVariable, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None

        2. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Element, arg1: Kratos.DoubleVariable, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None

        3. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Condition, arg1: Kratos.Array1DVariable3, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None

        4. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Element, arg1: Kratos.Array1DVariable3, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None
        """
    @overload
    def CalculatePartialSensitivity(self, arg0: Element, arg1: Array1DVariable3, arg2: Matrix, arg3: Vector, arg4: ProcessInfo) -> None:
        """CalculatePartialSensitivity(*args, **kwargs)
        Overloaded function.

        1. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Condition, arg1: Kratos.DoubleVariable, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None

        2. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Element, arg1: Kratos.DoubleVariable, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None

        3. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Condition, arg1: Kratos.Array1DVariable3, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None

        4. CalculatePartialSensitivity(self: Kratos.AdjointResponseFunction, arg0: Kratos.Element, arg1: Kratos.Array1DVariable3, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: Kratos.ProcessInfo) -> None
        """
    @overload
    def CalculateSecondDerivativesGradient(self, arg0: Condition, arg1: Matrix, arg2: Vector, arg3: ProcessInfo) -> None:
        """CalculateSecondDerivativesGradient(*args, **kwargs)
        Overloaded function.

        1. CalculateSecondDerivativesGradient(self: Kratos.AdjointResponseFunction, arg0: Kratos.Condition, arg1: Kratos.Matrix, arg2: Kratos.Vector, arg3: Kratos.ProcessInfo) -> None

        2. CalculateSecondDerivativesGradient(self: Kratos.AdjointResponseFunction, arg0: Kratos.Element, arg1: Kratos.Matrix, arg2: Kratos.Vector, arg3: Kratos.ProcessInfo) -> None
        """
    @overload
    def CalculateSecondDerivativesGradient(self, arg0: Element, arg1: Matrix, arg2: Vector, arg3: ProcessInfo) -> None:
        """CalculateSecondDerivativesGradient(*args, **kwargs)
        Overloaded function.

        1. CalculateSecondDerivativesGradient(self: Kratos.AdjointResponseFunction, arg0: Kratos.Condition, arg1: Kratos.Matrix, arg2: Kratos.Vector, arg3: Kratos.ProcessInfo) -> None

        2. CalculateSecondDerivativesGradient(self: Kratos.AdjointResponseFunction, arg0: Kratos.Element, arg1: Kratos.Matrix, arg2: Kratos.Vector, arg3: Kratos.ProcessInfo) -> None
        """
    def CalculateValue(self, arg0: ModelPart) -> float:
        """CalculateValue(self: Kratos.AdjointResponseFunction, arg0: Kratos.ModelPart) -> float"""
    def FinalizeSolutionStep(self) -> None:
        """FinalizeSolutionStep(self: Kratos.AdjointResponseFunction) -> None"""
    def Initialize(self) -> None:
        """Initialize(self: Kratos.AdjointResponseFunction) -> None"""
    def InitializeSolutionStep(self) -> None:
        """InitializeSolutionStep(self: Kratos.AdjointResponseFunction) -> None"""

class AndCriteria(ConvergenceCriteria):
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AndCriteria, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AndCriteria, arg0: Kratos.ConvergenceCriteria, arg1: Kratos.ConvergenceCriteria) -> None
        """
    @overload
    def __init__(self, arg0: ConvergenceCriteria, arg1: ConvergenceCriteria) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AndCriteria, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AndCriteria, arg0: Kratos.ConvergenceCriteria, arg1: Kratos.ConvergenceCriteria) -> None
        """

class ApplyConstantScalarValueProcess(Process):
    VARIABLE_IS_FIXED: ClassVar[Flags] = ...  # read-only
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: float, arg3: Kratos.Flags) -> None

        4. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        5. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.IntegerVariable, arg2: int, arg3: Kratos.Flags) -> None

        6. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.BoolVariable, arg2: bool, arg3: Kratos.Flags) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: float, arg3: Kratos.Flags) -> None

        4. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        5. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.IntegerVariable, arg2: int, arg3: Kratos.Flags) -> None

        6. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.BoolVariable, arg2: bool, arg3: Kratos.Flags) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: float, arg3: Flags) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: float, arg3: Kratos.Flags) -> None

        4. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        5. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.IntegerVariable, arg2: int, arg3: Kratos.Flags) -> None

        6. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.BoolVariable, arg2: bool, arg3: Kratos.Flags) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: float, arg3: Kratos.Flags) -> None

        4. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        5. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.IntegerVariable, arg2: int, arg3: Kratos.Flags) -> None

        6. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.BoolVariable, arg2: bool, arg3: Kratos.Flags) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: IntegerVariable, arg2: int, arg3: Flags) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: float, arg3: Kratos.Flags) -> None

        4. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        5. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.IntegerVariable, arg2: int, arg3: Kratos.Flags) -> None

        6. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.BoolVariable, arg2: bool, arg3: Kratos.Flags) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: BoolVariable, arg2: bool, arg3: Flags) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: float, arg3: Kratos.Flags) -> None

        4. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        5. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.IntegerVariable, arg2: int, arg3: Kratos.Flags) -> None

        6. __init__(self: Kratos.ApplyConstantScalarValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.BoolVariable, arg2: bool, arg3: Kratos.Flags) -> None
        """
    def ExecuteInitialize(self) -> None:
        """ExecuteInitialize(self: Kratos.ApplyConstantScalarValueProcess) -> None"""

class ApplyConstantVectorValueProcess(Process):
    X_COMPONENT_FIXED: ClassVar[Flags] = ...  # read-only
    Y_COMPONENT_FIXED: ClassVar[Flags] = ...  # read-only
    Z_COMPONENT_FIXED: ClassVar[Flags] = ...  # read-only
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: float, arg3: Kratos.Vector, arg4: Kratos.Flags) -> None

        4. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: float, arg3: Kratos.Vector, arg4: Kratos.Flags) -> None

        4. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Array1DVariable3, arg2: float, arg3: Vector, arg4: Flags) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: float, arg3: Kratos.Vector, arg4: Kratos.Flags) -> None

        4. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: float, arg3: Kratos.Vector, arg4: Kratos.Flags) -> None

        4. __init__(self: Kratos.ApplyConstantVectorValueProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """

class ApplyFunctionToNodesUtility:
    def __init__(self, arg0: NodesArray, arg1: GenericFunctionUtility) -> None:
        """__init__(self: Kratos.ApplyFunctionToNodesUtility, arg0: Kratos.NodesArray, arg1: Kratos.GenericFunctionUtility) -> None"""
    def ApplyFunction(self, arg0: DoubleVariable, arg1: float) -> None:
        """ApplyFunction(self: Kratos.ApplyFunctionToNodesUtility, arg0: Kratos.DoubleVariable, arg1: float) -> None"""
    def ReturnFunction(self, arg0: float) -> list[float]:
        """ReturnFunction(self: Kratos.ApplyFunctionToNodesUtility, arg0: float) -> list[float]"""

class ApplyPeriodicConditionProcess(Process):
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(self: Kratos.ApplyPeriodicConditionProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None"""

class ApplyRayCastingInterfaceRecognitionProcess2D(Process):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.ApplyRayCastingInterfaceRecognitionProcess2D, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None"""

class ApplyRayCastingInterfaceRecognitionProcess3D(Process):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.ApplyRayCastingInterfaceRecognitionProcess3D, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None"""

class ApplyRayCastingProcess2D(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyRayCastingProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.ApplyRayCastingProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: float) -> None

        3. __init__(self: Kratos.ApplyRayCastingProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyRayCastingProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.ApplyRayCastingProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: float) -> None

        3. __init__(self: Kratos.ApplyRayCastingProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyRayCastingProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.ApplyRayCastingProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: float) -> None

        3. __init__(self: Kratos.ApplyRayCastingProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """

class ApplyRayCastingProcess3D(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyRayCastingProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.ApplyRayCastingProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: float) -> None

        3. __init__(self: Kratos.ApplyRayCastingProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyRayCastingProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.ApplyRayCastingProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: float) -> None

        3. __init__(self: Kratos.ApplyRayCastingProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ApplyRayCastingProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.ApplyRayCastingProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: float) -> None

        3. __init__(self: Kratos.ApplyRayCastingProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """

class ArcLengthStrategy(ResidualBasedNewtonRaphsonStrategy):
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: ConvergenceCriteria, arg3: BuilderAndSolver, arg4) -> None:
        """__init__(self: Kratos.ArcLengthStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: Kratos::Parameters) -> None"""

class Array1DVariable3(VariableData):
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class Array1DVariable4(VariableData):
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class Array1DVariable6(VariableData):
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class Array1DVariable9(VariableData):
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class Array3:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array3) -> None

        2. __init__(self: Kratos.Array3, arg0: Kratos.Array3) -> None

        3. __init__(self: Kratos.Array3, arg0: float) -> None

        4. __init__(self: Kratos.Array3, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array3, arg0: Kratos.Array3) -> None

        6. __init__(self: Kratos.Array3, arg0: list) -> None

        7. __init__(self: Kratos.Array3, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Array3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array3) -> None

        2. __init__(self: Kratos.Array3, arg0: Kratos.Array3) -> None

        3. __init__(self: Kratos.Array3, arg0: float) -> None

        4. __init__(self: Kratos.Array3, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array3, arg0: Kratos.Array3) -> None

        6. __init__(self: Kratos.Array3, arg0: list) -> None

        7. __init__(self: Kratos.Array3, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array3) -> None

        2. __init__(self: Kratos.Array3, arg0: Kratos.Array3) -> None

        3. __init__(self: Kratos.Array3, arg0: float) -> None

        4. __init__(self: Kratos.Array3, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array3, arg0: Kratos.Array3) -> None

        6. __init__(self: Kratos.Array3, arg0: list) -> None

        7. __init__(self: Kratos.Array3, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Vector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array3) -> None

        2. __init__(self: Kratos.Array3, arg0: Kratos.Array3) -> None

        3. __init__(self: Kratos.Array3, arg0: float) -> None

        4. __init__(self: Kratos.Array3, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array3, arg0: Kratos.Array3) -> None

        6. __init__(self: Kratos.Array3, arg0: list) -> None

        7. __init__(self: Kratos.Array3, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Array3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array3) -> None

        2. __init__(self: Kratos.Array3, arg0: Kratos.Array3) -> None

        3. __init__(self: Kratos.Array3, arg0: float) -> None

        4. __init__(self: Kratos.Array3, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array3, arg0: Kratos.Array3) -> None

        6. __init__(self: Kratos.Array3, arg0: list) -> None

        7. __init__(self: Kratos.Array3, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: list) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array3) -> None

        2. __init__(self: Kratos.Array3, arg0: Kratos.Array3) -> None

        3. __init__(self: Kratos.Array3, arg0: float) -> None

        4. __init__(self: Kratos.Array3, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array3, arg0: Kratos.Array3) -> None

        6. __init__(self: Kratos.Array3, arg0: list) -> None

        7. __init__(self: Kratos.Array3, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Buffer) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array3) -> None

        2. __init__(self: Kratos.Array3, arg0: Kratos.Array3) -> None

        3. __init__(self: Kratos.Array3, arg0: float) -> None

        4. __init__(self: Kratos.Array3, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array3, arg0: Kratos.Array3) -> None

        6. __init__(self: Kratos.Array3, arg0: list) -> None

        7. __init__(self: Kratos.Array3, arg0: Buffer) -> None
        """
    def Resize(self, arg0: int) -> None:
        """Resize(self: Kratos.Array3, arg0: int) -> None"""
    def Size(self) -> int:
        """Size(self: Kratos.Array3) -> int"""
    def fill(self, arg0: float) -> None:
        """fill(self: Kratos.Array3, arg0: float) -> None"""
    def norm_1(self) -> float:
        """norm_1(self: Kratos.Array3) -> float"""
    def norm_2(self) -> float:
        """norm_2(self: Kratos.Array3) -> float"""
    def norm_inf(self) -> float:
        """norm_inf(self: Kratos.Array3) -> float"""
    def __add__(self, arg0: Array3) -> Array3:
        """__add__(self: Kratos.Array3, arg0: Kratos.Array3) -> Kratos.Array3"""
    def __div__(self, arg0: float) -> Array3:
        """__div__(self: Kratos.Array3, arg0: float) -> Kratos.Array3"""
    def __getitem__(self, arg0: int) -> float:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Array3, arg0: int) -> float

        2. __getitem__(self: Kratos.Array3, arg0: slice) -> boost::numeric::ublas::vector_slice<Kratos::array_1d<double,3> >
        """
    @overload
    def __iadd__(self, arg0: float) -> Array3:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.Array3, arg0: float) -> Kratos.Array3

        2. __iadd__(self: Kratos.Array3, arg0: Kratos.Array3) -> Kratos.Array3
        """
    @overload
    def __iadd__(self, arg0: Array3) -> Array3:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.Array3, arg0: float) -> Kratos.Array3

        2. __iadd__(self: Kratos.Array3, arg0: Kratos.Array3) -> Kratos.Array3
        """
    def __imul__(self, arg0: float) -> Array3:
        """__imul__(self: Kratos.Array3, arg0: float) -> Kratos.Array3"""
    @overload
    def __isub__(self, arg0: float) -> Array3:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.Array3, arg0: float) -> Kratos.Array3

        2. __isub__(self: Kratos.Array3, arg0: Kratos.Array3) -> Kratos.Array3
        """
    @overload
    def __isub__(self, arg0: Array3) -> Array3:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.Array3, arg0: float) -> Kratos.Array3

        2. __isub__(self: Kratos.Array3, arg0: Kratos.Array3) -> Kratos.Array3
        """
    def __iter__(self) -> Iterator[float]:
        """__iter__(self: Kratos.Array3) -> Iterator[float]"""
    def __itruediv__(self, arg0: float) -> Array3:
        """__itruediv__(self: Kratos.Array3, arg0: float) -> Kratos.Array3"""
    def __len__(self) -> int:
        """__len__(self: Kratos.Array3) -> int"""
    def __mul__(self, arg0: float) -> Array3:
        """__mul__(self: Kratos.Array3, arg0: float) -> Kratos.Array3"""
    def __rdiv__(self, arg0: float) -> None:
        """__rdiv__(self: Kratos.Array3, arg0: float) -> None"""
    def __rmul__(self, arg0: float) -> Array3:
        """__rmul__(self: Kratos.Array3, arg0: float) -> Kratos.Array3"""
    @overload
    def __setitem__(self, arg0: int, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Array3, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.Array3, arg0: slice, arg1: Kratos.Array3) -> None
        """
    @overload
    def __setitem__(self, arg0: slice, arg1: Array3) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Array3, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.Array3, arg0: slice, arg1: Kratos.Array3) -> None
        """
    def __sub__(self, arg0: Array3) -> Array3:
        """__sub__(self: Kratos.Array3, arg0: Kratos.Array3) -> Kratos.Array3"""
    def __truediv__(self, arg0: float) -> Array3:
        """__truediv__(self: Kratos.Array3, arg0: float) -> Kratos.Array3"""

class Array4:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array4) -> None

        2. __init__(self: Kratos.Array4, arg0: Kratos.Array4) -> None

        3. __init__(self: Kratos.Array4, arg0: float) -> None

        4. __init__(self: Kratos.Array4, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array4, arg0: Kratos.Array4) -> None

        6. __init__(self: Kratos.Array4, arg0: list) -> None

        7. __init__(self: Kratos.Array4, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Array4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array4) -> None

        2. __init__(self: Kratos.Array4, arg0: Kratos.Array4) -> None

        3. __init__(self: Kratos.Array4, arg0: float) -> None

        4. __init__(self: Kratos.Array4, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array4, arg0: Kratos.Array4) -> None

        6. __init__(self: Kratos.Array4, arg0: list) -> None

        7. __init__(self: Kratos.Array4, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array4) -> None

        2. __init__(self: Kratos.Array4, arg0: Kratos.Array4) -> None

        3. __init__(self: Kratos.Array4, arg0: float) -> None

        4. __init__(self: Kratos.Array4, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array4, arg0: Kratos.Array4) -> None

        6. __init__(self: Kratos.Array4, arg0: list) -> None

        7. __init__(self: Kratos.Array4, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Vector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array4) -> None

        2. __init__(self: Kratos.Array4, arg0: Kratos.Array4) -> None

        3. __init__(self: Kratos.Array4, arg0: float) -> None

        4. __init__(self: Kratos.Array4, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array4, arg0: Kratos.Array4) -> None

        6. __init__(self: Kratos.Array4, arg0: list) -> None

        7. __init__(self: Kratos.Array4, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Array4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array4) -> None

        2. __init__(self: Kratos.Array4, arg0: Kratos.Array4) -> None

        3. __init__(self: Kratos.Array4, arg0: float) -> None

        4. __init__(self: Kratos.Array4, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array4, arg0: Kratos.Array4) -> None

        6. __init__(self: Kratos.Array4, arg0: list) -> None

        7. __init__(self: Kratos.Array4, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: list) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array4) -> None

        2. __init__(self: Kratos.Array4, arg0: Kratos.Array4) -> None

        3. __init__(self: Kratos.Array4, arg0: float) -> None

        4. __init__(self: Kratos.Array4, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array4, arg0: Kratos.Array4) -> None

        6. __init__(self: Kratos.Array4, arg0: list) -> None

        7. __init__(self: Kratos.Array4, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Buffer) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array4) -> None

        2. __init__(self: Kratos.Array4, arg0: Kratos.Array4) -> None

        3. __init__(self: Kratos.Array4, arg0: float) -> None

        4. __init__(self: Kratos.Array4, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array4, arg0: Kratos.Array4) -> None

        6. __init__(self: Kratos.Array4, arg0: list) -> None

        7. __init__(self: Kratos.Array4, arg0: Buffer) -> None
        """
    def Resize(self, arg0: int) -> None:
        """Resize(self: Kratos.Array4, arg0: int) -> None"""
    def Size(self) -> int:
        """Size(self: Kratos.Array4) -> int"""
    def fill(self, arg0: float) -> None:
        """fill(self: Kratos.Array4, arg0: float) -> None"""
    def norm_1(self) -> float:
        """norm_1(self: Kratos.Array4) -> float"""
    def norm_2(self) -> float:
        """norm_2(self: Kratos.Array4) -> float"""
    def norm_inf(self) -> float:
        """norm_inf(self: Kratos.Array4) -> float"""
    def __add__(self, arg0: Array4) -> Array4:
        """__add__(self: Kratos.Array4, arg0: Kratos.Array4) -> Kratos.Array4"""
    def __div__(self, arg0: float) -> Array4:
        """__div__(self: Kratos.Array4, arg0: float) -> Kratos.Array4"""
    def __getitem__(self, arg0: int) -> float:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Array4, arg0: int) -> float

        2. __getitem__(self: Kratos.Array4, arg0: slice) -> boost::numeric::ublas::vector_slice<Kratos::array_1d<double,4> >
        """
    @overload
    def __iadd__(self, arg0: float) -> Array4:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.Array4, arg0: float) -> Kratos.Array4

        2. __iadd__(self: Kratos.Array4, arg0: Kratos.Array4) -> Kratos.Array4
        """
    @overload
    def __iadd__(self, arg0: Array4) -> Array4:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.Array4, arg0: float) -> Kratos.Array4

        2. __iadd__(self: Kratos.Array4, arg0: Kratos.Array4) -> Kratos.Array4
        """
    def __imul__(self, arg0: float) -> Array4:
        """__imul__(self: Kratos.Array4, arg0: float) -> Kratos.Array4"""
    @overload
    def __isub__(self, arg0: float) -> Array4:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.Array4, arg0: float) -> Kratos.Array4

        2. __isub__(self: Kratos.Array4, arg0: Kratos.Array4) -> Kratos.Array4
        """
    @overload
    def __isub__(self, arg0: Array4) -> Array4:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.Array4, arg0: float) -> Kratos.Array4

        2. __isub__(self: Kratos.Array4, arg0: Kratos.Array4) -> Kratos.Array4
        """
    def __iter__(self) -> Iterator[float]:
        """__iter__(self: Kratos.Array4) -> Iterator[float]"""
    def __itruediv__(self, arg0: float) -> Array4:
        """__itruediv__(self: Kratos.Array4, arg0: float) -> Kratos.Array4"""
    def __len__(self) -> int:
        """__len__(self: Kratos.Array4) -> int"""
    def __mul__(self, arg0: float) -> Array4:
        """__mul__(self: Kratos.Array4, arg0: float) -> Kratos.Array4"""
    def __rdiv__(self, arg0: float) -> None:
        """__rdiv__(self: Kratos.Array4, arg0: float) -> None"""
    def __rmul__(self, arg0: float) -> Array4:
        """__rmul__(self: Kratos.Array4, arg0: float) -> Kratos.Array4"""
    @overload
    def __setitem__(self, arg0: int, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Array4, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.Array4, arg0: slice, arg1: Kratos.Array4) -> None
        """
    @overload
    def __setitem__(self, arg0: slice, arg1: Array4) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Array4, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.Array4, arg0: slice, arg1: Kratos.Array4) -> None
        """
    def __sub__(self, arg0: Array4) -> Array4:
        """__sub__(self: Kratos.Array4, arg0: Kratos.Array4) -> Kratos.Array4"""
    def __truediv__(self, arg0: float) -> Array4:
        """__truediv__(self: Kratos.Array4, arg0: float) -> Kratos.Array4"""

class Array6:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array6) -> None

        2. __init__(self: Kratos.Array6, arg0: Kratos.Array6) -> None

        3. __init__(self: Kratos.Array6, arg0: float) -> None

        4. __init__(self: Kratos.Array6, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array6, arg0: Kratos.Array6) -> None

        6. __init__(self: Kratos.Array6, arg0: list) -> None

        7. __init__(self: Kratos.Array6, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Array6) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array6) -> None

        2. __init__(self: Kratos.Array6, arg0: Kratos.Array6) -> None

        3. __init__(self: Kratos.Array6, arg0: float) -> None

        4. __init__(self: Kratos.Array6, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array6, arg0: Kratos.Array6) -> None

        6. __init__(self: Kratos.Array6, arg0: list) -> None

        7. __init__(self: Kratos.Array6, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array6) -> None

        2. __init__(self: Kratos.Array6, arg0: Kratos.Array6) -> None

        3. __init__(self: Kratos.Array6, arg0: float) -> None

        4. __init__(self: Kratos.Array6, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array6, arg0: Kratos.Array6) -> None

        6. __init__(self: Kratos.Array6, arg0: list) -> None

        7. __init__(self: Kratos.Array6, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Vector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array6) -> None

        2. __init__(self: Kratos.Array6, arg0: Kratos.Array6) -> None

        3. __init__(self: Kratos.Array6, arg0: float) -> None

        4. __init__(self: Kratos.Array6, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array6, arg0: Kratos.Array6) -> None

        6. __init__(self: Kratos.Array6, arg0: list) -> None

        7. __init__(self: Kratos.Array6, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Array6) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array6) -> None

        2. __init__(self: Kratos.Array6, arg0: Kratos.Array6) -> None

        3. __init__(self: Kratos.Array6, arg0: float) -> None

        4. __init__(self: Kratos.Array6, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array6, arg0: Kratos.Array6) -> None

        6. __init__(self: Kratos.Array6, arg0: list) -> None

        7. __init__(self: Kratos.Array6, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: list) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array6) -> None

        2. __init__(self: Kratos.Array6, arg0: Kratos.Array6) -> None

        3. __init__(self: Kratos.Array6, arg0: float) -> None

        4. __init__(self: Kratos.Array6, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array6, arg0: Kratos.Array6) -> None

        6. __init__(self: Kratos.Array6, arg0: list) -> None

        7. __init__(self: Kratos.Array6, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Buffer) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array6) -> None

        2. __init__(self: Kratos.Array6, arg0: Kratos.Array6) -> None

        3. __init__(self: Kratos.Array6, arg0: float) -> None

        4. __init__(self: Kratos.Array6, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array6, arg0: Kratos.Array6) -> None

        6. __init__(self: Kratos.Array6, arg0: list) -> None

        7. __init__(self: Kratos.Array6, arg0: Buffer) -> None
        """
    def Resize(self, arg0: int) -> None:
        """Resize(self: Kratos.Array6, arg0: int) -> None"""
    def Size(self) -> int:
        """Size(self: Kratos.Array6) -> int"""
    def fill(self, arg0: float) -> None:
        """fill(self: Kratos.Array6, arg0: float) -> None"""
    def norm_1(self) -> float:
        """norm_1(self: Kratos.Array6) -> float"""
    def norm_2(self) -> float:
        """norm_2(self: Kratos.Array6) -> float"""
    def norm_inf(self) -> float:
        """norm_inf(self: Kratos.Array6) -> float"""
    def __add__(self, arg0: Array6) -> Array6:
        """__add__(self: Kratos.Array6, arg0: Kratos.Array6) -> Kratos.Array6"""
    def __div__(self, arg0: float) -> Array6:
        """__div__(self: Kratos.Array6, arg0: float) -> Kratos.Array6"""
    def __getitem__(self, arg0: int) -> float:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Array6, arg0: int) -> float

        2. __getitem__(self: Kratos.Array6, arg0: slice) -> boost::numeric::ublas::vector_slice<Kratos::array_1d<double,6> >
        """
    @overload
    def __iadd__(self, arg0: float) -> Array6:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.Array6, arg0: float) -> Kratos.Array6

        2. __iadd__(self: Kratos.Array6, arg0: Kratos.Array6) -> Kratos.Array6
        """
    @overload
    def __iadd__(self, arg0: Array6) -> Array6:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.Array6, arg0: float) -> Kratos.Array6

        2. __iadd__(self: Kratos.Array6, arg0: Kratos.Array6) -> Kratos.Array6
        """
    def __imul__(self, arg0: float) -> Array6:
        """__imul__(self: Kratos.Array6, arg0: float) -> Kratos.Array6"""
    @overload
    def __isub__(self, arg0: float) -> Array6:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.Array6, arg0: float) -> Kratos.Array6

        2. __isub__(self: Kratos.Array6, arg0: Kratos.Array6) -> Kratos.Array6
        """
    @overload
    def __isub__(self, arg0: Array6) -> Array6:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.Array6, arg0: float) -> Kratos.Array6

        2. __isub__(self: Kratos.Array6, arg0: Kratos.Array6) -> Kratos.Array6
        """
    def __iter__(self) -> Iterator[float]:
        """__iter__(self: Kratos.Array6) -> Iterator[float]"""
    def __itruediv__(self, arg0: float) -> Array6:
        """__itruediv__(self: Kratos.Array6, arg0: float) -> Kratos.Array6"""
    def __len__(self) -> int:
        """__len__(self: Kratos.Array6) -> int"""
    def __mul__(self, arg0: float) -> Array6:
        """__mul__(self: Kratos.Array6, arg0: float) -> Kratos.Array6"""
    def __rdiv__(self, arg0: float) -> None:
        """__rdiv__(self: Kratos.Array6, arg0: float) -> None"""
    def __rmul__(self, arg0: float) -> Array6:
        """__rmul__(self: Kratos.Array6, arg0: float) -> Kratos.Array6"""
    @overload
    def __setitem__(self, arg0: int, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Array6, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.Array6, arg0: slice, arg1: Kratos.Array6) -> None
        """
    @overload
    def __setitem__(self, arg0: slice, arg1: Array6) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Array6, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.Array6, arg0: slice, arg1: Kratos.Array6) -> None
        """
    def __sub__(self, arg0: Array6) -> Array6:
        """__sub__(self: Kratos.Array6, arg0: Kratos.Array6) -> Kratos.Array6"""
    def __truediv__(self, arg0: float) -> Array6:
        """__truediv__(self: Kratos.Array6, arg0: float) -> Kratos.Array6"""

class Array9:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array9) -> None

        2. __init__(self: Kratos.Array9, arg0: Kratos.Array9) -> None

        3. __init__(self: Kratos.Array9, arg0: float) -> None

        4. __init__(self: Kratos.Array9, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array9, arg0: Kratos.Array9) -> None

        6. __init__(self: Kratos.Array9, arg0: list) -> None

        7. __init__(self: Kratos.Array9, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Array9) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array9) -> None

        2. __init__(self: Kratos.Array9, arg0: Kratos.Array9) -> None

        3. __init__(self: Kratos.Array9, arg0: float) -> None

        4. __init__(self: Kratos.Array9, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array9, arg0: Kratos.Array9) -> None

        6. __init__(self: Kratos.Array9, arg0: list) -> None

        7. __init__(self: Kratos.Array9, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array9) -> None

        2. __init__(self: Kratos.Array9, arg0: Kratos.Array9) -> None

        3. __init__(self: Kratos.Array9, arg0: float) -> None

        4. __init__(self: Kratos.Array9, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array9, arg0: Kratos.Array9) -> None

        6. __init__(self: Kratos.Array9, arg0: list) -> None

        7. __init__(self: Kratos.Array9, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Vector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array9) -> None

        2. __init__(self: Kratos.Array9, arg0: Kratos.Array9) -> None

        3. __init__(self: Kratos.Array9, arg0: float) -> None

        4. __init__(self: Kratos.Array9, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array9, arg0: Kratos.Array9) -> None

        6. __init__(self: Kratos.Array9, arg0: list) -> None

        7. __init__(self: Kratos.Array9, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Array9) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array9) -> None

        2. __init__(self: Kratos.Array9, arg0: Kratos.Array9) -> None

        3. __init__(self: Kratos.Array9, arg0: float) -> None

        4. __init__(self: Kratos.Array9, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array9, arg0: Kratos.Array9) -> None

        6. __init__(self: Kratos.Array9, arg0: list) -> None

        7. __init__(self: Kratos.Array9, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: list) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array9) -> None

        2. __init__(self: Kratos.Array9, arg0: Kratos.Array9) -> None

        3. __init__(self: Kratos.Array9, arg0: float) -> None

        4. __init__(self: Kratos.Array9, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array9, arg0: Kratos.Array9) -> None

        6. __init__(self: Kratos.Array9, arg0: list) -> None

        7. __init__(self: Kratos.Array9, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Buffer) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Array9) -> None

        2. __init__(self: Kratos.Array9, arg0: Kratos.Array9) -> None

        3. __init__(self: Kratos.Array9, arg0: float) -> None

        4. __init__(self: Kratos.Array9, arg0: Kratos.Vector) -> None

        5. __init__(self: Kratos.Array9, arg0: Kratos.Array9) -> None

        6. __init__(self: Kratos.Array9, arg0: list) -> None

        7. __init__(self: Kratos.Array9, arg0: Buffer) -> None
        """
    def Resize(self, arg0: int) -> None:
        """Resize(self: Kratos.Array9, arg0: int) -> None"""
    def Size(self) -> int:
        """Size(self: Kratos.Array9) -> int"""
    def fill(self, arg0: float) -> None:
        """fill(self: Kratos.Array9, arg0: float) -> None"""
    def norm_1(self) -> float:
        """norm_1(self: Kratos.Array9) -> float"""
    def norm_2(self) -> float:
        """norm_2(self: Kratos.Array9) -> float"""
    def norm_inf(self) -> float:
        """norm_inf(self: Kratos.Array9) -> float"""
    def __add__(self, arg0: Array9) -> Array9:
        """__add__(self: Kratos.Array9, arg0: Kratos.Array9) -> Kratos.Array9"""
    def __div__(self, arg0: float) -> Array9:
        """__div__(self: Kratos.Array9, arg0: float) -> Kratos.Array9"""
    def __getitem__(self, arg0: int) -> float:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Array9, arg0: int) -> float

        2. __getitem__(self: Kratos.Array9, arg0: slice) -> boost::numeric::ublas::vector_slice<Kratos::array_1d<double,9> >
        """
    @overload
    def __iadd__(self, arg0: float) -> Array9:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.Array9, arg0: float) -> Kratos.Array9

        2. __iadd__(self: Kratos.Array9, arg0: Kratos.Array9) -> Kratos.Array9
        """
    @overload
    def __iadd__(self, arg0: Array9) -> Array9:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.Array9, arg0: float) -> Kratos.Array9

        2. __iadd__(self: Kratos.Array9, arg0: Kratos.Array9) -> Kratos.Array9
        """
    def __imul__(self, arg0: float) -> Array9:
        """__imul__(self: Kratos.Array9, arg0: float) -> Kratos.Array9"""
    @overload
    def __isub__(self, arg0: float) -> Array9:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.Array9, arg0: float) -> Kratos.Array9

        2. __isub__(self: Kratos.Array9, arg0: Kratos.Array9) -> Kratos.Array9
        """
    @overload
    def __isub__(self, arg0: Array9) -> Array9:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.Array9, arg0: float) -> Kratos.Array9

        2. __isub__(self: Kratos.Array9, arg0: Kratos.Array9) -> Kratos.Array9
        """
    def __iter__(self) -> Iterator[float]:
        """__iter__(self: Kratos.Array9) -> Iterator[float]"""
    def __itruediv__(self, arg0: float) -> Array9:
        """__itruediv__(self: Kratos.Array9, arg0: float) -> Kratos.Array9"""
    def __len__(self) -> int:
        """__len__(self: Kratos.Array9) -> int"""
    def __mul__(self, arg0: float) -> Array9:
        """__mul__(self: Kratos.Array9, arg0: float) -> Kratos.Array9"""
    def __rdiv__(self, arg0: float) -> None:
        """__rdiv__(self: Kratos.Array9, arg0: float) -> None"""
    def __rmul__(self, arg0: float) -> Array9:
        """__rmul__(self: Kratos.Array9, arg0: float) -> Kratos.Array9"""
    @overload
    def __setitem__(self, arg0: int, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Array9, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.Array9, arg0: slice, arg1: Kratos.Array9) -> None
        """
    @overload
    def __setitem__(self, arg0: slice, arg1: Array9) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Array9, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.Array9, arg0: slice, arg1: Kratos.Array9) -> None
        """
    def __sub__(self, arg0: Array9) -> Array9:
        """__sub__(self: Kratos.Array9, arg0: Kratos.Array9) -> Kratos.Array9"""
    def __truediv__(self, arg0: float) -> Array9:
        """__truediv__(self: Kratos.Array9, arg0: float) -> Kratos.Array9"""

class AssignMasterSlaveConstraintsToNeighboursUtility:
    def __init__(self, arg0: NodesArray) -> None:
        """__init__(self: Kratos.AssignMasterSlaveConstraintsToNeighboursUtility, arg0: Kratos.NodesArray) -> None"""
    def AssignMasterSlaveConstraintsToNodes(self, arg0: NodesArray, arg1: float, arg2: ModelPart, arg3: list[DoubleVariable], arg4: float) -> None:
        """AssignMasterSlaveConstraintsToNodes(self: Kratos.AssignMasterSlaveConstraintsToNeighboursUtility, arg0: Kratos.NodesArray, arg1: float, arg2: Kratos.ModelPart, arg3: list[Kratos.DoubleVariable], arg4: float) -> None"""

class AssignScalarFieldHistoricalToNodesProcess(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarFieldHistoricalToNodesProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarFieldHistoricalToNodesProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarFieldHistoricalToNodesProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarFieldHistoricalToNodesProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """

class AssignScalarFieldToConditionsProcess(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarFieldToConditionsProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarFieldToConditionsProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarFieldToConditionsProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarFieldToConditionsProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """

class AssignScalarFieldToElementsProcess(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarFieldToElementsProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarFieldToElementsProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarFieldToElementsProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarFieldToElementsProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """

class AssignScalarFieldToNodesProcess(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarFieldToNodesProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarFieldToNodesProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarFieldToNodesProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarFieldToNodesProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """

class AssignScalarInputHistoricalToNodesProcess(Process):
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(self: Kratos.AssignScalarInputHistoricalToNodesProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None"""

class AssignScalarInputToConditionsProcess(Process):
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(self: Kratos.AssignScalarInputToConditionsProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None"""

class AssignScalarInputToElementsProcess(Process):
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(self: Kratos.AssignScalarInputToElementsProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None"""

class AssignScalarInputToNodesProcess(Process):
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(self: Kratos.AssignScalarInputToNodesProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None"""

class AssignScalarVariableHistoricalToNodesProcess(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarVariableHistoricalToNodesProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarVariableHistoricalToNodesProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarVariableHistoricalToNodesProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarVariableHistoricalToNodesProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """

class AssignScalarVariableToConditionsProcess(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarVariableToConditionsProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarVariableToConditionsProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarVariableToConditionsProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarVariableToConditionsProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """

class AssignScalarVariableToElementsProcess(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarVariableToElementsProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarVariableToElementsProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarVariableToElementsProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarVariableToElementsProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """

class AssignScalarVariableToMasterSlaveConstraintsProcess(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarVariableToMasterSlaveConstraintsProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarVariableToMasterSlaveConstraintsProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarVariableToMasterSlaveConstraintsProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarVariableToMasterSlaveConstraintsProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """

class AssignScalarVariableToNodesProcess(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarVariableToNodesProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarVariableToNodesProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.AssignScalarVariableToNodesProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.AssignScalarVariableToNodesProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """

class AssignUniqueModelPartCollectionTagUtility:
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.AssignUniqueModelPartCollectionTagUtility, arg0: Kratos.ModelPart) -> None"""
    def DebugAssignUniqueModelPartCollectionTag(self) -> None:
        """DebugAssignUniqueModelPartCollectionTag(self: Kratos.AssignUniqueModelPartCollectionTagUtility) -> None"""
    def GetRecursiveSubModelPart(self, arg0: str) -> ModelPart:
        """GetRecursiveSubModelPart(self: Kratos.ModelPart, arg0: str) -> Kratos.ModelPart"""
    def GetRecursiveSubModelPartNames(self, arg0: str) -> list[str]:
        """GetRecursiveSubModelPartNames(self: Kratos.ModelPart, arg0: str) -> list[str]"""

class AuxiliarModelPartUtilities:
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.ModelPart) -> None"""
    def AddConditionWithNodes(self, arg0: Condition) -> None:
        """AddConditionWithNodes(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition) -> None"""
    def AddElementWithNodes(self, arg0: Element) -> None:
        """AddElementWithNodes(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element) -> None"""
    def CopySubModelPartStructure(self, arg0: ModelPart) -> None:
        """CopySubModelPartStructure(self: Kratos.ModelPart, arg0: Kratos.ModelPart) -> None"""
    @overload
    def EnsureModelPartOwnsProperties(self) -> None:
        """EnsureModelPartOwnsProperties(*args, **kwargs)
        Overloaded function.

        1. EnsureModelPartOwnsProperties(self: Kratos.AuxiliarModelPartUtilities) -> None

        2. EnsureModelPartOwnsProperties(self: Kratos.AuxiliarModelPartUtilities, arg0: bool) -> None
        """
    @overload
    def EnsureModelPartOwnsProperties(self, arg0: bool) -> None:
        """EnsureModelPartOwnsProperties(*args, **kwargs)
        Overloaded function.

        1. EnsureModelPartOwnsProperties(self: Kratos.AuxiliarModelPartUtilities) -> None

        2. EnsureModelPartOwnsProperties(self: Kratos.AuxiliarModelPartUtilities, arg0: bool) -> None
        """
    @overload
    def RecursiveEnsureModelPartOwnsProperties(self) -> None:
        """RecursiveEnsureModelPartOwnsProperties(*args, **kwargs)
        Overloaded function.

        1. RecursiveEnsureModelPartOwnsProperties(self: Kratos.AuxiliarModelPartUtilities) -> None

        2. RecursiveEnsureModelPartOwnsProperties(self: Kratos.AuxiliarModelPartUtilities, arg0: bool) -> None
        """
    @overload
    def RecursiveEnsureModelPartOwnsProperties(self, arg0: bool) -> None:
        """RecursiveEnsureModelPartOwnsProperties(*args, **kwargs)
        Overloaded function.

        1. RecursiveEnsureModelPartOwnsProperties(self: Kratos.AuxiliarModelPartUtilities) -> None

        2. RecursiveEnsureModelPartOwnsProperties(self: Kratos.AuxiliarModelPartUtilities, arg0: bool) -> None
        """
    @overload
    def RemoveConditionAndBelongings(self, arg0: int, arg1: Flags) -> None:
        """RemoveConditionAndBelongings(*args, **kwargs)
        Overloaded function.

        1. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags) -> None

        4. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags, arg2: int) -> None
        """
    @overload
    def RemoveConditionAndBelongings(self, arg0: int, arg1: Flags, arg2: int) -> None:
        """RemoveConditionAndBelongings(*args, **kwargs)
        Overloaded function.

        1. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags) -> None

        4. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags, arg2: int) -> None
        """
    @overload
    def RemoveConditionAndBelongings(self, arg0: Condition, arg1: Flags) -> None:
        """RemoveConditionAndBelongings(*args, **kwargs)
        Overloaded function.

        1. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags) -> None

        4. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags, arg2: int) -> None
        """
    @overload
    def RemoveConditionAndBelongings(self, arg0: Condition, arg1: Flags, arg2: int) -> None:
        """RemoveConditionAndBelongings(*args, **kwargs)
        Overloaded function.

        1. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags) -> None

        4. RemoveConditionAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags, arg2: int) -> None
        """
    @overload
    def RemoveConditionAndBelongingsFromAllLevels(self, arg0: int, arg1: Flags) -> None:
        """RemoveConditionAndBelongingsFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags) -> None

        4. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags, arg2: int) -> None
        """
    @overload
    def RemoveConditionAndBelongingsFromAllLevels(self, arg0: int, arg1: Flags, arg2: int) -> None:
        """RemoveConditionAndBelongingsFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags) -> None

        4. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags, arg2: int) -> None
        """
    @overload
    def RemoveConditionAndBelongingsFromAllLevels(self, arg0: Condition, arg1: Flags) -> None:
        """RemoveConditionAndBelongingsFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags) -> None

        4. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags, arg2: int) -> None
        """
    @overload
    def RemoveConditionAndBelongingsFromAllLevels(self, arg0: Condition, arg1: Flags, arg2: int) -> None:
        """RemoveConditionAndBelongingsFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags) -> None

        4. RemoveConditionAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Condition, arg1: Kratos.Flags, arg2: int) -> None
        """
    def RemoveConditionsAndBelongings(self, arg0: Flags) -> None:
        """RemoveConditionsAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Flags) -> None"""
    def RemoveConditionsAndBelongingsFromAllLevels(self, arg0: Flags) -> None:
        """RemoveConditionsAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Flags) -> None"""
    @overload
    def RemoveElementAndBelongings(self, arg0: int, arg1: Flags) -> None:
        """RemoveElementAndBelongings(*args, **kwargs)
        Overloaded function.

        1. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags) -> None

        4. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags, arg2: int) -> None
        """
    @overload
    def RemoveElementAndBelongings(self, arg0: int, arg1: Flags, arg2: int) -> None:
        """RemoveElementAndBelongings(*args, **kwargs)
        Overloaded function.

        1. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags) -> None

        4. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags, arg2: int) -> None
        """
    @overload
    def RemoveElementAndBelongings(self, arg0: Element, arg1: Flags) -> None:
        """RemoveElementAndBelongings(*args, **kwargs)
        Overloaded function.

        1. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags) -> None

        4. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags, arg2: int) -> None
        """
    @overload
    def RemoveElementAndBelongings(self, arg0: Element, arg1: Flags, arg2: int) -> None:
        """RemoveElementAndBelongings(*args, **kwargs)
        Overloaded function.

        1. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags) -> None

        4. RemoveElementAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags, arg2: int) -> None
        """
    @overload
    def RemoveElementAndBelongingsFromAllLevels(self, arg0: int, arg1: Flags) -> None:
        """RemoveElementAndBelongingsFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags) -> None

        4. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags, arg2: int) -> None
        """
    @overload
    def RemoveElementAndBelongingsFromAllLevels(self, arg0: int, arg1: Flags, arg2: int) -> None:
        """RemoveElementAndBelongingsFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags) -> None

        4. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags, arg2: int) -> None
        """
    @overload
    def RemoveElementAndBelongingsFromAllLevels(self, arg0: Element, arg1: Flags) -> None:
        """RemoveElementAndBelongingsFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags) -> None

        4. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags, arg2: int) -> None
        """
    @overload
    def RemoveElementAndBelongingsFromAllLevels(self, arg0: Element, arg1: Flags, arg2: int) -> None:
        """RemoveElementAndBelongingsFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags) -> None

        2. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: int, arg1: Kratos.Flags, arg2: int) -> None

        3. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags) -> None

        4. RemoveElementAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Element, arg1: Kratos.Flags, arg2: int) -> None
        """
    def RemoveElementsAndBelongings(self, arg0: Flags) -> None:
        """RemoveElementsAndBelongings(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Flags) -> None"""
    def RemoveElementsAndBelongingsFromAllLevels(self, arg0: Flags) -> None:
        """RemoveElementsAndBelongingsFromAllLevels(self: Kratos.AuxiliarModelPartUtilities, arg0: Kratos.Flags) -> None"""
    def RemoveOrphanNodesFromSubModelParts(self) -> None:
        """RemoveOrphanNodesFromSubModelParts(self: Kratos.AuxiliarModelPartUtilities) -> None"""
    def RetrieveConditionsNeighbourConditionsIds(self) -> dict[int, list[int]]:
        """RetrieveConditionsNeighbourConditionsIds(self: Kratos.AuxiliarModelPartUtilities) -> dict[int, list[int]]"""
    def RetrieveElementsNeighbourElementsIds(self) -> dict[int, list[int]]:
        """RetrieveElementsNeighbourElementsIds(self: Kratos.AuxiliarModelPartUtilities) -> dict[int, list[int]]"""

class BICGSTABSolver(IterativeSolver):
    @overload
    def __init__(self, arg0: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BICGSTABSolver, arg0: float) -> None

        2. __init__(self: Kratos.BICGSTABSolver, arg0: float, arg1: int) -> None

        3. __init__(self: Kratos.BICGSTABSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner) -> None

        4. __init__(self: Kratos.BICGSTABSolver, arg0: Kratos::Parameters, arg1: Kratos.Preconditioner) -> None
        """
    @overload
    def __init__(self, arg0: float, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BICGSTABSolver, arg0: float) -> None

        2. __init__(self: Kratos.BICGSTABSolver, arg0: float, arg1: int) -> None

        3. __init__(self: Kratos.BICGSTABSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner) -> None

        4. __init__(self: Kratos.BICGSTABSolver, arg0: Kratos::Parameters, arg1: Kratos.Preconditioner) -> None
        """
    @overload
    def __init__(self, arg0: float, arg1: int, arg2: Preconditioner) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BICGSTABSolver, arg0: float) -> None

        2. __init__(self: Kratos.BICGSTABSolver, arg0: float, arg1: int) -> None

        3. __init__(self: Kratos.BICGSTABSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner) -> None

        4. __init__(self: Kratos.BICGSTABSolver, arg0: Kratos::Parameters, arg1: Kratos.Preconditioner) -> None
        """
    @overload
    def __init__(self, arg0, arg1: Preconditioner) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BICGSTABSolver, arg0: float) -> None

        2. __init__(self: Kratos.BICGSTABSolver, arg0: float, arg1: int) -> None

        3. __init__(self: Kratos.BICGSTABSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner) -> None

        4. __init__(self: Kratos.BICGSTABSolver, arg0: Kratos::Parameters, arg1: Kratos.Preconditioner) -> None
        """
    def SetTolerance(self, arg0: float) -> None:
        """SetTolerance(self: Kratos.BICGSTABSolver, arg0: float) -> None"""

class BaseSolvingStrategy:
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BaseSolvingStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.BaseSolvingStrategy, arg0: Kratos.ModelPart, arg1: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BaseSolvingStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.BaseSolvingStrategy, arg0: Kratos.ModelPart, arg1: bool) -> None
        """
    def CalculateOutputData(self) -> None:
        """CalculateOutputData(self: Kratos.BaseSolvingStrategy) -> None"""
    def Check(self) -> int:
        """Check(self: Kratos.BaseSolvingStrategy) -> int"""
    def Clear(self) -> None:
        """Clear(self: Kratos.BaseSolvingStrategy) -> None"""
    def Create(self, arg0: ModelPart, arg1) -> BaseSolvingStrategy:
        """Create(self: Kratos.BaseSolvingStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> Kratos.BaseSolvingStrategy"""
    def FinalizeSolutionStep(self) -> None:
        """FinalizeSolutionStep(self: Kratos.BaseSolvingStrategy) -> None"""
    def GetDefaultParameters(self, *args, **kwargs):
        """GetDefaultParameters(self: Kratos.BaseSolvingStrategy) -> Kratos::Parameters"""
    def GetEchoLevel(self) -> int:
        """GetEchoLevel(self: Kratos.BaseSolvingStrategy) -> int"""
    def GetModelPart(self) -> ModelPart:
        """GetModelPart(self: Kratos.BaseSolvingStrategy) -> Kratos.ModelPart"""
    def GetMoveMeshFlag(self) -> bool:
        """GetMoveMeshFlag(self: Kratos.BaseSolvingStrategy) -> bool"""
    def GetRebuildLevel(self) -> int:
        """GetRebuildLevel(self: Kratos.BaseSolvingStrategy) -> int"""
    def GetSolutionVector(self) -> Vector:
        """GetSolutionVector(self: Kratos.BaseSolvingStrategy) -> Kratos.Vector"""
    def GetSystemMatrix(self) -> CompressedMatrix:
        """GetSystemMatrix(self: Kratos.BaseSolvingStrategy) -> Kratos.CompressedMatrix"""
    def GetSystemVector(self) -> Vector:
        """GetSystemVector(self: Kratos.BaseSolvingStrategy) -> Kratos.Vector"""
    def Info(self) -> str:
        """Info(self: Kratos.BaseSolvingStrategy) -> str"""
    def Initialize(self) -> None:
        """Initialize(self: Kratos.BaseSolvingStrategy) -> None"""
    def InitializeSolutionStep(self) -> None:
        """InitializeSolutionStep(self: Kratos.BaseSolvingStrategy) -> None"""
    def IsConverged(self) -> bool:
        """IsConverged(self: Kratos.BaseSolvingStrategy) -> bool"""
    def MoveMesh(self) -> None:
        """MoveMesh(self: Kratos.BaseSolvingStrategy) -> None"""
    def MoveMeshFlag(self) -> bool:
        """MoveMeshFlag(self: Kratos.BaseSolvingStrategy) -> bool"""
    def Predict(self) -> None:
        """Predict(self: Kratos.BaseSolvingStrategy) -> None"""
    def SetEchoLevel(self, arg0: int) -> None:
        """SetEchoLevel(self: Kratos.BaseSolvingStrategy, arg0: int) -> None"""
    def SetMoveMeshFlag(self, arg0: bool) -> None:
        """SetMoveMeshFlag(self: Kratos.BaseSolvingStrategy, arg0: bool) -> None"""
    def SetRebuildLevel(self, arg0: int) -> None:
        """SetRebuildLevel(self: Kratos.BaseSolvingStrategy, arg0: int) -> None"""
    def Solve(self) -> float:
        """Solve(self: Kratos.BaseSolvingStrategy) -> float"""
    def SolveSolutionStep(self) -> bool:
        """SolveSolutionStep(self: Kratos.BaseSolvingStrategy) -> bool"""

class BasicGenericFunctionUtility:
    def __init__(self, arg0: str) -> None:
        """__init__(self: Kratos.BasicGenericFunctionUtility, arg0: str) -> None"""
    def CallFunction(self, arg0: float, arg1: float, arg2: float, arg3: float, arg4: float, arg5: float, arg6: float) -> float:
        """CallFunction(self: Kratos.BasicGenericFunctionUtility, arg0: float, arg1: float, arg2: float, arg3: float, arg4: float, arg5: float, arg6: float) -> float"""
    def DependsOnSpace(self) -> bool:
        """DependsOnSpace(self: Kratos.BasicGenericFunctionUtility) -> bool"""
    def FunctionBody(self) -> str:
        """FunctionBody(self: Kratos.BasicGenericFunctionUtility) -> str"""
    def RotateAndCallFunction(self, arg0: float, arg1: float, arg2: float, arg3: float, arg4: float, arg5: float, arg6: float) -> float:
        """RotateAndCallFunction(self: Kratos.BasicGenericFunctionUtility, arg0: float, arg1: float, arg2: float, arg3: float, arg4: float, arg5: float, arg6: float) -> float"""
    def UseLocalSystem(self) -> bool:
        """UseLocalSystem(self: Kratos.BasicGenericFunctionUtility) -> bool"""

class BinBasedFastPointLocator2D:
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.BinBasedFastPointLocator2D, arg0: Kratos.ModelPart) -> None"""
    def FindPointOnMesh(self, arg0: Array3) -> tuple[bool, Vector, Element]:
        """FindPointOnMesh(self: Kratos.BinBasedFastPointLocator2D, arg0: Kratos.Array3) -> tuple[bool, Kratos.Vector, Kratos.Element]"""
    def UpdateSearchDatabase(self) -> None:
        """UpdateSearchDatabase(self: Kratos.BinBasedFastPointLocator2D) -> None"""
    def UpdateSearchDatabaseAssignedSize(self, arg0: float) -> None:
        """UpdateSearchDatabaseAssignedSize(self: Kratos.BinBasedFastPointLocator2D, arg0: float) -> None"""
    def VectorizedFind(self, arg0: Matrix) -> tuple[numpy.ndarray[numpy.int32], numpy.ndarray[numpy.int32], numpy.ndarray[numpy.float64]]:
        """VectorizedFind(self: Kratos.BinBasedFastPointLocator2D, arg0: Kratos.Matrix) -> tuple[numpy.ndarray[numpy.int32], numpy.ndarray[numpy.int32], numpy.ndarray[numpy.float64]]"""

class BinBasedFastPointLocator3D:
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.BinBasedFastPointLocator3D, arg0: Kratos.ModelPart) -> None"""
    def FindPointOnMesh(self, arg0: Array3) -> tuple[bool, Vector, Element]:
        """FindPointOnMesh(self: Kratos.BinBasedFastPointLocator3D, arg0: Kratos.Array3) -> tuple[bool, Kratos.Vector, Kratos.Element]"""
    def UpdateSearchDatabase(self) -> None:
        """UpdateSearchDatabase(self: Kratos.BinBasedFastPointLocator3D) -> None"""
    def UpdateSearchDatabaseAssignedSize(self, arg0: float) -> None:
        """UpdateSearchDatabaseAssignedSize(self: Kratos.BinBasedFastPointLocator3D, arg0: float) -> None"""
    def VectorizedFind(self, arg0: Matrix) -> tuple[numpy.ndarray[numpy.int32], numpy.ndarray[numpy.int32], numpy.ndarray[numpy.float64]]:
        """VectorizedFind(self: Kratos.BinBasedFastPointLocator3D, arg0: Kratos.Matrix) -> tuple[numpy.ndarray[numpy.int32], numpy.ndarray[numpy.int32], numpy.ndarray[numpy.float64]]"""

class BinBasedFastPointLocatorConditions2D:
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.BinBasedFastPointLocatorConditions2D, arg0: Kratos.ModelPart) -> None"""
    def FindPointOnMesh(self, arg0: Array3) -> tuple[bool, Vector, Condition]:
        """FindPointOnMesh(self: Kratos.BinBasedFastPointLocatorConditions2D, arg0: Kratos.Array3) -> tuple[bool, Kratos.Vector, Kratos.Condition]"""
    def UpdateSearchDatabase(self) -> None:
        """UpdateSearchDatabase(self: Kratos.BinBasedFastPointLocatorConditions2D) -> None"""
    def UpdateSearchDatabaseAssignedSize(self, arg0: float) -> None:
        """UpdateSearchDatabaseAssignedSize(self: Kratos.BinBasedFastPointLocatorConditions2D, arg0: float) -> None"""

class BinBasedFastPointLocatorConditions3D:
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.BinBasedFastPointLocatorConditions3D, arg0: Kratos.ModelPart) -> None"""
    def FindPointOnMesh(self, arg0: Array3) -> tuple[bool, Vector, Condition]:
        """FindPointOnMesh(self: Kratos.BinBasedFastPointLocatorConditions3D, arg0: Kratos.Array3) -> tuple[bool, Kratos.Vector, Kratos.Condition]"""
    def UpdateSearchDatabase(self) -> None:
        """UpdateSearchDatabase(self: Kratos.BinBasedFastPointLocatorConditions3D) -> None"""
    def UpdateSearchDatabaseAssignedSize(self, arg0: float) -> None:
        """UpdateSearchDatabaseAssignedSize(self: Kratos.BinBasedFastPointLocatorConditions3D, arg0: float) -> None"""

class BinBasedNodesInElementLocator2D:
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.BinBasedNodesInElementLocator2D, arg0: Kratos.ModelPart) -> None"""
    def FindNodesInElement(self, arg0: Element, arg1: DenseVectorInt, arg2: Matrix, arg3: int, arg4, arg5, arg6: Node) -> int:
        """FindNodesInElement(self: Kratos.BinBasedNodesInElementLocator2D, arg0: Kratos.Element, arg1: Kratos.DenseVectorInt, arg2: Kratos.Matrix, arg3: int, arg4: std::_Vector_iterator<std::_Vector_val<std::_Simple_types<Kratos::intrusive_ptr<Kratos::Node> > > >, arg5: std::_Vector_iterator<std::_Vector_val<std::_Simple_types<double> > >, arg6: Kratos.Node) -> int"""
    def UpdateSearchDatabase(self) -> None:
        """UpdateSearchDatabase(self: Kratos.BinBasedNodesInElementLocator2D) -> None"""
    def UpdateSearchDatabaseAssignedSize(self, arg0: float) -> None:
        """UpdateSearchDatabaseAssignedSize(self: Kratos.BinBasedNodesInElementLocator2D, arg0: float) -> None"""

class BinBasedNodesInElementLocator3D:
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.BinBasedNodesInElementLocator3D, arg0: Kratos.ModelPart) -> None"""
    def FindNodesInElement(self, arg0: Element, arg1: DenseVectorInt, arg2: Matrix, arg3: int, arg4, arg5, arg6: Node) -> int:
        """FindNodesInElement(self: Kratos.BinBasedNodesInElementLocator3D, arg0: Kratos.Element, arg1: Kratos.DenseVectorInt, arg2: Kratos.Matrix, arg3: int, arg4: std::_Vector_iterator<std::_Vector_val<std::_Simple_types<Kratos::intrusive_ptr<Kratos::Node> > > >, arg5: std::_Vector_iterator<std::_Vector_val<std::_Simple_types<double> > >, arg6: Kratos.Node) -> int"""
    def UpdateSearchDatabase(self) -> None:
        """UpdateSearchDatabase(self: Kratos.BinBasedNodesInElementLocator3D) -> None"""
    def UpdateSearchDatabaseAssignedSize(self, arg0: float) -> None:
        """UpdateSearchDatabaseAssignedSize(self: Kratos.BinBasedNodesInElementLocator3D, arg0: float) -> None"""

class BlockBuildDofArrayUtility:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @overload
    @classmethod
    def SetUpDofArray(cls, arg0: ModelPart, arg1: DofsArrayType) -> None:
        """SetUpDofArray(*args, **kwargs)
        Overloaded function.

        1. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType) -> None

        2. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: int) -> None

        3. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: int, arg3: bool) -> None
        """
    @overload
    @classmethod
    def SetUpDofArray(cls, arg0: ModelPart, arg1: DofsArrayType, arg2: int) -> None:
        """SetUpDofArray(*args, **kwargs)
        Overloaded function.

        1. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType) -> None

        2. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: int) -> None

        3. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: int, arg3: bool) -> None
        """
    @overload
    @classmethod
    def SetUpDofArray(cls, arg0: ModelPart, arg1: DofsArrayType, arg2: int, arg3: bool) -> None:
        """SetUpDofArray(*args, **kwargs)
        Overloaded function.

        1. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType) -> None

        2. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: int) -> None

        3. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: int, arg3: bool) -> None
        """

class BodyDistanceCalculationUtils:
    def __init__(self) -> None:
        """__init__(self: Kratos.BodyDistanceCalculationUtils) -> None"""
    def CalculateDistances2D(self, arg0: ElementsArray, arg1: DoubleVariable, arg2: float) -> None:
        """CalculateDistances2D(self: Kratos.BodyDistanceCalculationUtils, arg0: Kratos.ElementsArray, arg1: Kratos.DoubleVariable, arg2: float) -> None"""
    def CalculateDistances3D(self, arg0: ElementsArray, arg1: DoubleVariable, arg2: float) -> None:
        """CalculateDistances3D(self: Kratos.BodyDistanceCalculationUtils, arg0: Kratos.ElementsArray, arg1: Kratos.DoubleVariable, arg2: float) -> None"""

class BodyNormalCalculationUtils:
    def __init__(self) -> None:
        """__init__(self: Kratos.BodyNormalCalculationUtils) -> None"""
    def CalculateBodyNormals(self, arg0: ModelPart, arg1: int) -> None:
        """CalculateBodyNormals(self: Kratos.BodyNormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None"""

class BoolVariable(VariableData):
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class BoolVector:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BoolVector) -> None

        2. __init__(self: Kratos.BoolVector, arg0: Kratos.BoolVector) -> None

        3. __init__(self: Kratos.BoolVector, arg0: int) -> None

        4. __init__(self: Kratos.BoolVector, arg0: int, arg1: bool) -> None

        5. __init__(self: Kratos.BoolVector, arg0: list) -> None
        """
    @overload
    def __init__(self, arg0: BoolVector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BoolVector) -> None

        2. __init__(self: Kratos.BoolVector, arg0: Kratos.BoolVector) -> None

        3. __init__(self: Kratos.BoolVector, arg0: int) -> None

        4. __init__(self: Kratos.BoolVector, arg0: int, arg1: bool) -> None

        5. __init__(self: Kratos.BoolVector, arg0: list) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BoolVector) -> None

        2. __init__(self: Kratos.BoolVector, arg0: Kratos.BoolVector) -> None

        3. __init__(self: Kratos.BoolVector, arg0: int) -> None

        4. __init__(self: Kratos.BoolVector, arg0: int, arg1: bool) -> None

        5. __init__(self: Kratos.BoolVector, arg0: list) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BoolVector) -> None

        2. __init__(self: Kratos.BoolVector, arg0: Kratos.BoolVector) -> None

        3. __init__(self: Kratos.BoolVector, arg0: int) -> None

        4. __init__(self: Kratos.BoolVector, arg0: int, arg1: bool) -> None

        5. __init__(self: Kratos.BoolVector, arg0: list) -> None
        """
    @overload
    def __init__(self, arg0: list) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BoolVector) -> None

        2. __init__(self: Kratos.BoolVector, arg0: Kratos.BoolVector) -> None

        3. __init__(self: Kratos.BoolVector, arg0: int) -> None

        4. __init__(self: Kratos.BoolVector, arg0: int, arg1: bool) -> None

        5. __init__(self: Kratos.BoolVector, arg0: list) -> None
        """
    def Resize(self, arg0: int) -> None:
        """Resize(self: Kratos.BoolVector, arg0: int) -> None"""
    def Size(self) -> int:
        """Size(self: Kratos.BoolVector) -> int"""
    def __getitem__(self, arg0: int) -> bool:
        """__getitem__(self: Kratos.BoolVector, arg0: int) -> bool"""
    def __iter__(self) -> Iterator[bool]:
        """__iter__(self: Kratos.BoolVector) -> Iterator[bool]"""
    def __len__(self) -> int:
        """__len__(self: Kratos.BoolVector) -> int"""
    def __setitem__(self, arg0: int, arg1: bool) -> None:
        """__setitem__(self: Kratos.BoolVector, arg0: int, arg1: bool) -> None"""

class BoundingBox:
    @overload
    def __init__(self, arg0: Point, arg1: Point) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BoundingBox, arg0: Kratos.Point, arg1: Kratos.Point) -> None

        2. __init__(self: Kratos.BoundingBox, arg0: Kratos.NodesArray) -> None
        """
    @overload
    def __init__(self, arg0: NodesArray) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BoundingBox, arg0: Kratos.Point, arg1: Kratos.Point) -> None

        2. __init__(self: Kratos.BoundingBox, arg0: Kratos.NodesArray) -> None
        """
    @overload
    def Extend(self, arg0: float) -> None:
        """Extend(*args, **kwargs)
        Overloaded function.

        1. Extend(self: Kratos.BoundingBox, arg0: float) -> None

        2. Extend(self: Kratos.BoundingBox, arg0: Kratos.NodesArray) -> None
        """
    @overload
    def Extend(self, arg0: NodesArray) -> None:
        """Extend(*args, **kwargs)
        Overloaded function.

        1. Extend(self: Kratos.BoundingBox, arg0: float) -> None

        2. Extend(self: Kratos.BoundingBox, arg0: Kratos.NodesArray) -> None
        """
    def GetMaxPoint(self) -> Point:
        """GetMaxPoint(self: Kratos.BoundingBox) -> Kratos.Point"""
    def GetMinPoint(self) -> Point:
        """GetMinPoint(self: Kratos.BoundingBox) -> Kratos.Point"""
    def GetPoints(self) -> tuple[Point, Point]:
        """GetPoints(self: Kratos.BoundingBox) -> tuple[Kratos.Point, Kratos.Point]"""
    def IsInside(self, arg0: Point) -> bool:
        """IsInside(self: Kratos.BoundingBox, arg0: Kratos.Point) -> bool"""
    def Set(self, arg0: NodesArray) -> None:
        """Set(self: Kratos.BoundingBox, arg0: Kratos.NodesArray) -> None"""

class BruteForcePointLocator:
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.BruteForcePointLocator, arg0: Kratos.ModelPart) -> None"""
    def FindCondition(self, arg0: Point, arg1: Vector, arg2: Configuration, arg3: float) -> int:
        """FindCondition(self: Kratos.BruteForcePointLocator, arg0: Kratos.Point, arg1: Kratos.Vector, arg2: Kratos.Configuration, arg3: float) -> int"""
    def FindElement(self, arg0: Point, arg1: Vector, arg2: Configuration, arg3: float) -> int:
        """FindElement(self: Kratos.BruteForcePointLocator, arg0: Kratos.Point, arg1: Kratos.Vector, arg2: Kratos.Configuration, arg3: float) -> int"""
    def FindNode(self, arg0: Point, arg1: Configuration, arg2: float) -> int:
        """FindNode(self: Kratos.BruteForcePointLocator, arg0: Kratos.Point, arg1: Kratos.Configuration, arg2: float) -> int"""

class BuilderAndSolver:
    @overload
    def __init__(self, arg0: LinearSolver) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BuilderAndSolver, arg0: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.BuilderAndSolver, arg0: Kratos.LinearSolver, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.BuilderAndSolver, arg0: Kratos.LinearSolver) -> None
        """
    @overload
    def __init__(self, arg0: LinearSolver, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BuilderAndSolver, arg0: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.BuilderAndSolver, arg0: Kratos.LinearSolver, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.BuilderAndSolver, arg0: Kratos.LinearSolver) -> None
        """
    @overload
    def __init__(self, arg0: LinearSolver) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.BuilderAndSolver, arg0: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.BuilderAndSolver, arg0: Kratos.LinearSolver, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.BuilderAndSolver, arg0: Kratos.LinearSolver) -> None
        """
    def ApplyConstraints(self, arg0: Scheme, arg1: ModelPart, arg2: CompressedMatrix, arg3: Vector) -> None:
        """ApplyConstraints(self: Kratos.BuilderAndSolver, arg0: Kratos.Scheme, arg1: Kratos.ModelPart, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector) -> None"""
    def ApplyDirichletConditions(self, arg0: Scheme, arg1: ModelPart, arg2: CompressedMatrix, arg3: Vector, arg4: Vector) -> None:
        """ApplyDirichletConditions(self: Kratos.BuilderAndSolver, arg0: Kratos.Scheme, arg1: Kratos.ModelPart, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector, arg4: Kratos.Vector) -> None"""
    def Build(self, arg0: Scheme, arg1: ModelPart, arg2: CompressedMatrix, arg3: Vector) -> None:
        """Build(self: Kratos.BuilderAndSolver, arg0: Kratos.Scheme, arg1: Kratos.ModelPart, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector) -> None"""
    def BuildAndSolve(self, arg0: Scheme, arg1: ModelPart, arg2: CompressedMatrix, arg3: Vector, arg4: Vector) -> None:
        """BuildAndSolve(self: Kratos.BuilderAndSolver, arg0: Kratos.Scheme, arg1: Kratos.ModelPart, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector, arg4: Kratos.Vector) -> None"""
    def BuildAndSolveLinearizedOnPreviousIteration(self, arg0: Scheme, arg1: ModelPart, arg2: CompressedMatrix, arg3: Vector, arg4: Vector, arg5: bool) -> None:
        """BuildAndSolveLinearizedOnPreviousIteration(self: Kratos.BuilderAndSolver, arg0: Kratos.Scheme, arg1: Kratos.ModelPart, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector, arg4: Kratos.Vector, arg5: bool) -> None"""
    def BuildLHS(self, arg0: Scheme, arg1: ModelPart, arg2: CompressedMatrix) -> None:
        """BuildLHS(self: Kratos.BuilderAndSolver, arg0: Kratos.Scheme, arg1: Kratos.ModelPart, arg2: Kratos.CompressedMatrix) -> None"""
    def BuildRHS(self, arg0: Scheme, arg1: ModelPart, arg2: Vector) -> None:
        """BuildRHS(self: Kratos.BuilderAndSolver, arg0: Kratos.Scheme, arg1: Kratos.ModelPart, arg2: Kratos.Vector) -> None"""
    def BuildRHSAndSolve(self, arg0: Scheme, arg1: ModelPart, arg2: CompressedMatrix, arg3: Vector, arg4: Vector) -> None:
        """BuildRHSAndSolve(self: Kratos.BuilderAndSolver, arg0: Kratos.Scheme, arg1: Kratos.ModelPart, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector, arg4: Kratos.Vector) -> None"""
    def CalculateReactions(self, arg0: Scheme, arg1: ModelPart, arg2: CompressedMatrix, arg3: Vector, arg4: Vector) -> None:
        """CalculateReactions(self: Kratos.BuilderAndSolver, arg0: Kratos.Scheme, arg1: Kratos.ModelPart, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector, arg4: Kratos.Vector) -> None"""
    def Check(self, arg0: ModelPart) -> int:
        """Check(self: Kratos.BuilderAndSolver, arg0: Kratos.ModelPart) -> int"""
    def Clear(self) -> None:
        """Clear(self: Kratos.BuilderAndSolver) -> None"""
    def Create(self, arg0: LinearSolver, arg1) -> BuilderAndSolver:
        """Create(self: Kratos.BuilderAndSolver, arg0: Kratos.LinearSolver, arg1: Kratos::Parameters) -> Kratos.BuilderAndSolver"""
    def FinalizeSolutionStep(self, arg0: ModelPart, arg1: CompressedMatrix, arg2: Vector, arg3: Vector) -> None:
        """FinalizeSolutionStep(self: Kratos.BuilderAndSolver, arg0: Kratos.ModelPart, arg1: Kratos.CompressedMatrix, arg2: Kratos.Vector, arg3: Kratos.Vector) -> None"""
    def GetCalculateReactionsFlag(self) -> bool:
        """GetCalculateReactionsFlag(self: Kratos.BuilderAndSolver) -> bool"""
    def GetDefaultParameters(self, *args, **kwargs):
        """GetDefaultParameters(self: Kratos.BuilderAndSolver) -> Kratos::Parameters"""
    def GetDofSet(self) -> DofsArrayType:
        """GetDofSet(self: Kratos.BuilderAndSolver) -> Kratos.DofsArrayType"""
    def GetDofSetIsInitializedFlag(self) -> bool:
        """GetDofSetIsInitializedFlag(self: Kratos.BuilderAndSolver) -> bool"""
    def GetEchoLevel(self) -> int:
        """GetEchoLevel(self: Kratos.BuilderAndSolver) -> int"""
    def GetEquationSystemSize(self) -> int:
        """GetEquationSystemSize(self: Kratos.BuilderAndSolver) -> int"""
    def GetReshapeMatrixFlag(self) -> bool:
        """GetReshapeMatrixFlag(self: Kratos.BuilderAndSolver) -> bool"""
    def Info(self) -> str:
        """Info(self: Kratos.BuilderAndSolver) -> str"""
    def InitializeSolutionStep(self, arg0: ModelPart, arg1: CompressedMatrix, arg2: Vector, arg3: Vector) -> None:
        """InitializeSolutionStep(self: Kratos.BuilderAndSolver, arg0: Kratos.ModelPart, arg1: Kratos.CompressedMatrix, arg2: Kratos.Vector, arg3: Kratos.Vector) -> None"""
    def ResizeAndInitializeVectors(self, arg0: Scheme, arg1: CompressedMatrix, arg2: Vector, arg3: Vector, arg4: ModelPart) -> None:
        """ResizeAndInitializeVectors(self: Kratos.BuilderAndSolver, arg0: Kratos.Scheme, arg1: Kratos.CompressedMatrix, arg2: Kratos.Vector, arg3: Kratos.Vector, arg4: Kratos.ModelPart) -> None"""
    def SetCalculateReactionsFlag(self, arg0: bool) -> None:
        """SetCalculateReactionsFlag(self: Kratos.BuilderAndSolver, arg0: bool) -> None"""
    def SetDofSetIsInitializedFlag(self, arg0: bool) -> None:
        """SetDofSetIsInitializedFlag(self: Kratos.BuilderAndSolver, arg0: bool) -> None"""
    def SetEchoLevel(self, arg0: int) -> None:
        """SetEchoLevel(self: Kratos.BuilderAndSolver, arg0: int) -> None"""
    def SetReshapeMatrixFlag(self, arg0: bool) -> None:
        """SetReshapeMatrixFlag(self: Kratos.BuilderAndSolver, arg0: bool) -> None"""
    def SetUpDofSet(self, arg0: Scheme, arg1: ModelPart) -> None:
        """SetUpDofSet(self: Kratos.BuilderAndSolver, arg0: Kratos.Scheme, arg1: Kratos.ModelPart) -> None"""
    def SetUpSystem(self, arg0: ModelPart) -> None:
        """SetUpSystem(self: Kratos.BuilderAndSolver, arg0: Kratos.ModelPart) -> None"""
    def SystemSolve(self, arg0: CompressedMatrix, arg1: Vector, arg2: Vector) -> None:
        """SystemSolve(self: Kratos.BuilderAndSolver, arg0: Kratos.CompressedMatrix, arg1: Kratos.Vector, arg2: Kratos.Vector) -> None"""

class CGSolver(IterativeSolver):
    @overload
    def __init__(self, arg0: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CGSolver, arg0: float) -> None

        2. __init__(self: Kratos.CGSolver, arg0: float, arg1: int) -> None

        3. __init__(self: Kratos.CGSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner) -> None

        4. __init__(self: Kratos.CGSolver, arg0: Kratos::Parameters, arg1: Kratos.Preconditioner) -> None
        """
    @overload
    def __init__(self, arg0: float, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CGSolver, arg0: float) -> None

        2. __init__(self: Kratos.CGSolver, arg0: float, arg1: int) -> None

        3. __init__(self: Kratos.CGSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner) -> None

        4. __init__(self: Kratos.CGSolver, arg0: Kratos::Parameters, arg1: Kratos.Preconditioner) -> None
        """
    @overload
    def __init__(self, arg0: float, arg1: int, arg2: Preconditioner) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CGSolver, arg0: float) -> None

        2. __init__(self: Kratos.CGSolver, arg0: float, arg1: int) -> None

        3. __init__(self: Kratos.CGSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner) -> None

        4. __init__(self: Kratos.CGSolver, arg0: Kratos::Parameters, arg1: Kratos.Preconditioner) -> None
        """
    @overload
    def __init__(self, arg0, arg1: Preconditioner) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CGSolver, arg0: float) -> None

        2. __init__(self: Kratos.CGSolver, arg0: float, arg1: int) -> None

        3. __init__(self: Kratos.CGSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner) -> None

        4. __init__(self: Kratos.CGSolver, arg0: Kratos::Parameters, arg1: Kratos.Preconditioner) -> None
        """

class CadJsonInput:
    @overload
    def __init__(self, arg0: str) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CadJsonInput, arg0: str) -> None

        2. __init__(self: Kratos.CadJsonInput, arg0: str, arg1: int) -> None

        3. __init__(self: Kratos.CadJsonInput, arg0: Kratos::Parameters) -> None

        4. __init__(self: Kratos.CadJsonInput, arg0: Kratos::Parameters, arg1: int) -> None
        """
    @overload
    def __init__(self, arg0: str, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CadJsonInput, arg0: str) -> None

        2. __init__(self: Kratos.CadJsonInput, arg0: str, arg1: int) -> None

        3. __init__(self: Kratos.CadJsonInput, arg0: Kratos::Parameters) -> None

        4. __init__(self: Kratos.CadJsonInput, arg0: Kratos::Parameters, arg1: int) -> None
        """
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CadJsonInput, arg0: str) -> None

        2. __init__(self: Kratos.CadJsonInput, arg0: str, arg1: int) -> None

        3. __init__(self: Kratos.CadJsonInput, arg0: Kratos::Parameters) -> None

        4. __init__(self: Kratos.CadJsonInput, arg0: Kratos::Parameters, arg1: int) -> None
        """
    @overload
    def __init__(self, arg0, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CadJsonInput, arg0: str) -> None

        2. __init__(self: Kratos.CadJsonInput, arg0: str, arg1: int) -> None

        3. __init__(self: Kratos.CadJsonInput, arg0: Kratos::Parameters) -> None

        4. __init__(self: Kratos.CadJsonInput, arg0: Kratos::Parameters, arg1: int) -> None
        """
    def ReadModelPart(self, arg0: ModelPart) -> None:
        """ReadModelPart(self: Kratos.CadJsonInput, arg0: Kratos.ModelPart) -> None"""

class CalculateDiscontinuousDistanceToSkinProcess2D(Process):
    CALCULATE_ELEMENTAL_EDGE_DISTANCES: ClassVar[Flags] = ...  # read-only
    CALCULATE_ELEMENTAL_EDGE_DISTANCES_EXTRAPOLATED: ClassVar[Flags] = ...  # read-only
    USE_POSITIVE_EPSILON_FOR_ZERO_VALUES: ClassVar[Flags] = ...  # read-only
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Flags) -> None

        3. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Flags) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Flags) -> None

        3. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Flags) -> None

        3. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def CalculateEmbeddedVariableFromSkin(self, arg0: Array1DVariable3, arg1: Array1DVariable3) -> None:
        """CalculateEmbeddedVariableFromSkin(*args, **kwargs)
        Overloaded function.

        1. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess2D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        2. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess2D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None
        """
    @overload
    def CalculateEmbeddedVariableFromSkin(self, arg0: DoubleVariable, arg1: DoubleVariable) -> None:
        """CalculateEmbeddedVariableFromSkin(*args, **kwargs)
        Overloaded function.

        1. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess2D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        2. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess2D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None
        """

class CalculateDiscontinuousDistanceToSkinProcess3D(Process):
    CALCULATE_ELEMENTAL_EDGE_DISTANCES: ClassVar[Flags] = ...  # read-only
    CALCULATE_ELEMENTAL_EDGE_DISTANCES_EXTRAPOLATED: ClassVar[Flags] = ...  # read-only
    USE_POSITIVE_EPSILON_FOR_ZERO_VALUES: ClassVar[Flags] = ...  # read-only
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Flags) -> None

        3. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Flags) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Flags) -> None

        3. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Flags) -> None

        3. __init__(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def CalculateEmbeddedVariableFromSkin(self, arg0: Array1DVariable3, arg1: Array1DVariable3) -> None:
        """CalculateEmbeddedVariableFromSkin(*args, **kwargs)
        Overloaded function.

        1. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess3D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        2. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess3D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None
        """
    @overload
    def CalculateEmbeddedVariableFromSkin(self, arg0: DoubleVariable, arg1: DoubleVariable) -> None:
        """CalculateEmbeddedVariableFromSkin(*args, **kwargs)
        Overloaded function.

        1. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess3D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        2. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDiscontinuousDistanceToSkinProcess3D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None
        """

class CalculateDistanceToPathNonHistoricalProcess(Process):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.CalculateDistanceToPathNonHistoricalProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None"""

class CalculateDistanceToPathProcess(Process):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.CalculateDistanceToPathProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None"""

class CalculateDistanceToSkinProcess2D(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: float) -> None

        3. __init__(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: float) -> None

        3. __init__(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: float) -> None

        3. __init__(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def CalculateEmbeddedVariableFromSkin(self, arg0: Array1DVariable3, arg1: Array1DVariable3) -> None:
        """CalculateEmbeddedVariableFromSkin(*args, **kwargs)
        Overloaded function.

        1. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        2. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None
        """
    @overload
    def CalculateEmbeddedVariableFromSkin(self, arg0: DoubleVariable, arg1: DoubleVariable) -> None:
        """CalculateEmbeddedVariableFromSkin(*args, **kwargs)
        Overloaded function.

        1. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        2. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None
        """

class CalculateDistanceToSkinProcess3D(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: float) -> None

        3. __init__(self: Kratos.CalculateDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: float) -> None

        3. __init__(self: Kratos.CalculateDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: float) -> None

        3. __init__(self: Kratos.CalculateDistanceToSkinProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None
        """
    @overload
    def CalculateEmbeddedVariableFromSkin(self, arg0: Array1DVariable3, arg1: Array1DVariable3) -> None:
        """CalculateEmbeddedVariableFromSkin(*args, **kwargs)
        Overloaded function.

        1. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        2. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None
        """
    @overload
    def CalculateEmbeddedVariableFromSkin(self, arg0: DoubleVariable, arg1: DoubleVariable) -> None:
        """CalculateEmbeddedVariableFromSkin(*args, **kwargs)
        Overloaded function.

        1. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        2. CalculateEmbeddedVariableFromSkin(self: Kratos.CalculateDistanceToSkinProcess2D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None
        """

class CalculateEmbeddedNodalVariableFromSkinProcessArray(Process):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.CalculateEmbeddedNodalVariableFromSkinProcessArray, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None"""

class CalculateEmbeddedNodalVariableFromSkinProcessDouble(Process):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.CalculateEmbeddedNodalVariableFromSkinProcessDouble, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None"""

class CalculateEmbeddedSignedDistanceTo3DSkinProcess(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateEmbeddedSignedDistanceTo3DSkinProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateEmbeddedSignedDistanceTo3DSkinProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateEmbeddedSignedDistanceTo3DSkinProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateEmbeddedSignedDistanceTo3DSkinProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: bool) -> None
        """

class CalculateNodalAreaProcess(Process):
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateNodalAreaProcess, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateNodalAreaProcess, arg0: Kratos.ModelPart, arg1: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateNodalAreaProcess, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateNodalAreaProcess, arg0: Kratos.ModelPart, arg1: int) -> None
        """

class CalculateNodalDistanceToSkinProcess(Process):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.CalculateNodalDistanceToSkinProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None"""

class CalculateNonHistoricalNodalAreaProcess(Process):
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateNonHistoricalNodalAreaProcess, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateNonHistoricalNodalAreaProcess, arg0: Kratos.ModelPart, arg1: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CalculateNonHistoricalNodalAreaProcess, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.CalculateNonHistoricalNodalAreaProcess, arg0: Kratos.ModelPart, arg1: int) -> None
        """

class CalculateSignedDistanceTo3DConditionSkinProcess(Process):
    def __init__(self, arg0: ModelPart, arg1: ModelPart) -> None:
        """__init__(self: Kratos.CalculateSignedDistanceTo3DConditionSkinProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None"""

class CalculateSignedDistanceTo3DSkinProcess(Process):
    def __init__(self, arg0: ModelPart, arg1: ModelPart) -> None:
        """__init__(self: Kratos.CalculateSignedDistanceTo3DSkinProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None"""
    def GenerateSkinModelPart(self, arg0: ModelPart) -> None:
        """GenerateSkinModelPart(self: Kratos.CalculateSignedDistanceTo3DSkinProcess, arg0: Kratos.ModelPart) -> None"""
    def MappingPressureToStructure(self, *args, **kwargs):
        """MappingPressureToStructure(self: Kratos.CalculateSignedDistanceTo3DSkinProcess, arg0: Kratos::BinBasedFastPointLocator<3,Kratos::SpatialContainersConfigure<3,Kratos::Element> >) -> None"""

class CheckSameModelPartUsingSkinDistanceProcess2D(Process):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.CheckSameModelPartUsingSkinDistanceProcess2D, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None"""

class CheckSameModelPartUsingSkinDistanceProcess3D(Process):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.CheckSameModelPartUsingSkinDistanceProcess3D, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None"""

class CheckSkinProcess(Process):
    def __init__(self, arg0: ModelPart, arg1: Flags) -> None:
        """__init__(self: Kratos.CheckSkinProcess, arg0: Kratos.ModelPart, arg1: Kratos.Flags) -> None"""

class CleanUpProblematicTrianglesModeler(Modeler):
    def __init__(self, arg0: Model, arg1) -> None:
        """__init__(self: Kratos.CleanUpProblematicTrianglesModeler, arg0: Kratos.Model, arg1: Kratos::Parameters) -> None"""

class CombineModelPartModeler(Modeler):
    def __init__(self, arg0: Model, arg1) -> None:
        """__init__(self: Kratos.CombineModelPartModeler, arg0: Kratos.Model, arg1: Kratos::Parameters) -> None"""

class Communicator:
    def __init__(self) -> None:
        """__init__(self: Kratos.Communicator) -> None"""
    @overload
    def AssembleCurrentData(self, arg0: IntegerVariable) -> bool:
        """AssembleCurrentData(*args, **kwargs)
        Overloaded function.

        1. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def AssembleCurrentData(self, arg0: DoubleVariable) -> bool:
        """AssembleCurrentData(*args, **kwargs)
        Overloaded function.

        1. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def AssembleCurrentData(self, arg0: Array1DVariable3) -> bool:
        """AssembleCurrentData(*args, **kwargs)
        Overloaded function.

        1. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def AssembleCurrentData(self, arg0: VectorVariable) -> bool:
        """AssembleCurrentData(*args, **kwargs)
        Overloaded function.

        1. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def AssembleCurrentData(self, arg0: MatrixVariable) -> bool:
        """AssembleCurrentData(*args, **kwargs)
        Overloaded function.

        1. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. AssembleCurrentData(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def AssembleNonHistoricalData(self, arg0: IntegerVariable) -> bool:
        """AssembleNonHistoricalData(*args, **kwargs)
        Overloaded function.

        1. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def AssembleNonHistoricalData(self, arg0: DoubleVariable) -> bool:
        """AssembleNonHistoricalData(*args, **kwargs)
        Overloaded function.

        1. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def AssembleNonHistoricalData(self, arg0: Array1DVariable3) -> bool:
        """AssembleNonHistoricalData(*args, **kwargs)
        Overloaded function.

        1. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def AssembleNonHistoricalData(self, arg0: VectorVariable) -> bool:
        """AssembleNonHistoricalData(*args, **kwargs)
        Overloaded function.

        1. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def AssembleNonHistoricalData(self, arg0: MatrixVariable) -> bool:
        """AssembleNonHistoricalData(*args, **kwargs)
        Overloaded function.

        1. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. AssembleNonHistoricalData(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    def GetDataCommunicator(self, *args, **kwargs):
        """GetDataCommunicator(self: Kratos.Communicator) -> Kratos::DataCommunicator"""
    def GetNumberOfColors(self) -> int:
        """GetNumberOfColors(self: Kratos.Communicator) -> int"""
    @overload
    def GhostMesh(self) -> Mesh:
        """GhostMesh(*args, **kwargs)
        Overloaded function.

        1. GhostMesh(self: Kratos.Communicator) -> Kratos.Mesh

        2. GhostMesh(self: Kratos.Communicator, arg0: int) -> Kratos.Mesh
        """
    @overload
    def GhostMesh(self, arg0: int) -> Mesh:
        """GhostMesh(*args, **kwargs)
        Overloaded function.

        1. GhostMesh(self: Kratos.Communicator) -> Kratos.Mesh

        2. GhostMesh(self: Kratos.Communicator, arg0: int) -> Kratos.Mesh
        """
    def GlobalNumberOfConditions(self) -> int:
        """GlobalNumberOfConditions(self: Kratos.Communicator) -> int"""
    def GlobalNumberOfElements(self) -> int:
        """GlobalNumberOfElements(self: Kratos.Communicator) -> int"""
    def GlobalNumberOfMasterSlaveConstraints(self) -> int:
        """GlobalNumberOfMasterSlaveConstraints(self: Kratos.Communicator) -> int"""
    def GlobalNumberOfNodes(self) -> int:
        """GlobalNumberOfNodes(self: Kratos.Communicator) -> int"""
    @overload
    def InterfaceMesh(self) -> Mesh:
        """InterfaceMesh(*args, **kwargs)
        Overloaded function.

        1. InterfaceMesh(self: Kratos.Communicator) -> Kratos.Mesh

        2. InterfaceMesh(self: Kratos.Communicator, arg0: int) -> Kratos.Mesh
        """
    @overload
    def InterfaceMesh(self, arg0: int) -> Mesh:
        """InterfaceMesh(*args, **kwargs)
        Overloaded function.

        1. InterfaceMesh(self: Kratos.Communicator) -> Kratos.Mesh

        2. InterfaceMesh(self: Kratos.Communicator, arg0: int) -> Kratos.Mesh
        """
    @overload
    def LocalMesh(self) -> Mesh:
        """LocalMesh(*args, **kwargs)
        Overloaded function.

        1. LocalMesh(self: Kratos.Communicator) -> Kratos.Mesh

        2. LocalMesh(self: Kratos.Communicator, arg0: int) -> Kratos.Mesh
        """
    @overload
    def LocalMesh(self, arg0: int) -> Mesh:
        """LocalMesh(*args, **kwargs)
        Overloaded function.

        1. LocalMesh(self: Kratos.Communicator) -> Kratos.Mesh

        2. LocalMesh(self: Kratos.Communicator, arg0: int) -> Kratos.Mesh
        """
    def MyPID(self) -> int:
        """MyPID(self: Kratos.Communicator) -> int"""
    def NeighbourIndices(self) -> DenseVectorInt:
        """NeighbourIndices(self: Kratos.Communicator) -> Kratos.DenseVectorInt"""
    def SynchronizeAndNodalFlags(self, arg0: Flags) -> bool:
        """SynchronizeAndNodalFlags(self: Kratos.Communicator, arg0: Kratos.Flags) -> bool"""
    def SynchronizeDofs(self) -> bool:
        """SynchronizeDofs(self: Kratos.Communicator) -> bool"""
    def SynchronizeNodalFlags(self) -> bool:
        """SynchronizeNodalFlags(self: Kratos.Communicator) -> bool"""
    def SynchronizeNodalSolutionStepsData(self) -> bool:
        """SynchronizeNodalSolutionStepsData(self: Kratos.Communicator) -> bool"""
    @overload
    def SynchronizeNonHistoricalVariable(self, arg0: IntegerVariable) -> bool:
        """SynchronizeNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SynchronizeNonHistoricalVariable(self, arg0: DoubleVariable) -> bool:
        """SynchronizeNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SynchronizeNonHistoricalVariable(self, arg0: Array1DVariable3) -> bool:
        """SynchronizeNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SynchronizeNonHistoricalVariable(self, arg0: VectorVariable) -> bool:
        """SynchronizeNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SynchronizeNonHistoricalVariable(self, arg0: MatrixVariable) -> bool:
        """SynchronizeNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. SynchronizeNonHistoricalVariable(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    def SynchronizeOrNodalFlags(self, arg0: Flags) -> bool:
        """SynchronizeOrNodalFlags(self: Kratos.Communicator, arg0: Kratos.Flags) -> bool"""
    @overload
    def SynchronizeVariable(self, arg0: IntegerVariable) -> bool:
        """SynchronizeVariable(*args, **kwargs)
        Overloaded function.

        1. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SynchronizeVariable(self, arg0: DoubleVariable) -> bool:
        """SynchronizeVariable(*args, **kwargs)
        Overloaded function.

        1. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SynchronizeVariable(self, arg0: Array1DVariable3) -> bool:
        """SynchronizeVariable(*args, **kwargs)
        Overloaded function.

        1. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SynchronizeVariable(self, arg0: VectorVariable) -> bool:
        """SynchronizeVariable(*args, **kwargs)
        Overloaded function.

        1. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SynchronizeVariable(self, arg0: MatrixVariable) -> bool:
        """SynchronizeVariable(*args, **kwargs)
        Overloaded function.

        1. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.IntegerVariable) -> bool

        2. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.DoubleVariable) -> bool

        3. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.Array1DVariable3) -> bool

        4. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.VectorVariable) -> bool

        5. SynchronizeVariable(self: Kratos.Communicator, arg0: Kratos.MatrixVariable) -> bool
        """
    def TotalProcesses(self) -> int:
        """TotalProcesses(self: Kratos.Communicator) -> int"""

class ComplexCompressedMatrix:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexCompressedMatrix) -> None

        2. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.ComplexCompressedMatrix) -> None

        3. __init__(self: Kratos.ComplexCompressedMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.CompressedMatrix) -> None

        5. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.ComplexCompressedMatrix) -> None
        """
    @overload
    def __init__(self, arg0: ComplexCompressedMatrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexCompressedMatrix) -> None

        2. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.ComplexCompressedMatrix) -> None

        3. __init__(self: Kratos.ComplexCompressedMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.CompressedMatrix) -> None

        5. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.ComplexCompressedMatrix) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexCompressedMatrix) -> None

        2. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.ComplexCompressedMatrix) -> None

        3. __init__(self: Kratos.ComplexCompressedMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.CompressedMatrix) -> None

        5. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.ComplexCompressedMatrix) -> None
        """
    @overload
    def __init__(self, arg0: CompressedMatrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexCompressedMatrix) -> None

        2. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.ComplexCompressedMatrix) -> None

        3. __init__(self: Kratos.ComplexCompressedMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.CompressedMatrix) -> None

        5. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.ComplexCompressedMatrix) -> None
        """
    @overload
    def __init__(self, arg0: ComplexCompressedMatrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexCompressedMatrix) -> None

        2. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.ComplexCompressedMatrix) -> None

        3. __init__(self: Kratos.ComplexCompressedMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.CompressedMatrix) -> None

        5. __init__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.ComplexCompressedMatrix) -> None
        """
    def Resize(self, arg0: int, arg1: int) -> None:
        """Resize(self: Kratos.ComplexCompressedMatrix, arg0: int, arg1: int) -> None"""
    def Size1(self) -> int:
        """Size1(self: Kratos.ComplexCompressedMatrix) -> int"""
    def Size2(self) -> int:
        """Size2(self: Kratos.ComplexCompressedMatrix) -> int"""
    def index1_data(self) -> list[int]:
        """index1_data(self: Kratos.ComplexCompressedMatrix) -> list[int]"""
    def index2_data(self) -> list[int]:
        """index2_data(self: Kratos.ComplexCompressedMatrix) -> list[int]"""
    def value_data(self) -> list[complex]:
        """value_data(self: Kratos.ComplexCompressedMatrix) -> list[complex]"""
    def __add__(self, arg0: ComplexCompressedMatrix) -> ComplexCompressedMatrix:
        """__add__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.ComplexCompressedMatrix) -> Kratos.ComplexCompressedMatrix"""
    def __getitem__(self, arg0: tuple[int, int]) -> complex:
        """__getitem__(self: Kratos.ComplexCompressedMatrix, arg0: tuple[int, int]) -> complex"""
    def __imul__(self, arg0: complex) -> ComplexCompressedMatrix:
        """__imul__(self: Kratos.ComplexCompressedMatrix, arg0: complex) -> Kratos.ComplexCompressedMatrix"""
    def __itruediv__(self, arg0: complex) -> ComplexCompressedMatrix:
        """__itruediv__(self: Kratos.ComplexCompressedMatrix, arg0: complex) -> Kratos.ComplexCompressedMatrix"""
    def __len__(self) -> int:
        """__len__(self: Kratos.ComplexCompressedMatrix) -> int"""
    @overload
    def __mul__(self, arg0: ComplexCompressedMatrix) -> ComplexCompressedMatrix:
        """__mul__(*args, **kwargs)
        Overloaded function.

        1. __mul__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.ComplexCompressedMatrix) -> Kratos.ComplexCompressedMatrix

        2. __mul__(self: Kratos.ComplexCompressedMatrix, arg0: complex) -> Kratos.ComplexCompressedMatrix
        """
    @overload
    def __mul__(self, arg0: complex) -> ComplexCompressedMatrix:
        """__mul__(*args, **kwargs)
        Overloaded function.

        1. __mul__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.ComplexCompressedMatrix) -> Kratos.ComplexCompressedMatrix

        2. __mul__(self: Kratos.ComplexCompressedMatrix, arg0: complex) -> Kratos.ComplexCompressedMatrix
        """
    def __setitem__(self, arg0: tuple[int, int], arg1: complex) -> None:
        """__setitem__(self: Kratos.ComplexCompressedMatrix, arg0: tuple[int, int], arg1: complex) -> None"""
    def __sub__(self, arg0: ComplexCompressedMatrix) -> ComplexCompressedMatrix:
        """__sub__(self: Kratos.ComplexCompressedMatrix, arg0: Kratos.ComplexCompressedMatrix) -> Kratos.ComplexCompressedMatrix"""
    def __truediv__(self, arg0: complex) -> ComplexCompressedMatrix:
        """__truediv__(self: Kratos.ComplexCompressedMatrix, arg0: complex) -> Kratos.ComplexCompressedMatrix"""

class ComplexDirectSolver(ComplexLinearSolver):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexDirectSolver) -> None

        2. __init__(self: Kratos.ComplexDirectSolver, arg0: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexDirectSolver) -> None

        2. __init__(self: Kratos.ComplexDirectSolver, arg0: Kratos::Parameters) -> None
        """

class ComplexLinearSolver:
    def __init__(self) -> None:
        """__init__(self: Kratos.ComplexLinearSolver) -> None"""
    def Clear(self) -> None:
        """Clear(self: Kratos.ComplexLinearSolver) -> None"""
    def Initialize(self, arg0: ComplexCompressedMatrix, arg1: ComplexVector, arg2: ComplexVector) -> None:
        """Initialize(self: Kratos.ComplexLinearSolver, arg0: Kratos.ComplexCompressedMatrix, arg1: Kratos.ComplexVector, arg2: Kratos.ComplexVector) -> None"""
    @overload
    def Solve(self, arg0: ComplexCompressedMatrix, arg1: ComplexVector, arg2: ComplexVector) -> bool:
        """Solve(*args, **kwargs)
        Overloaded function.

        1. Solve(self: Kratos.ComplexLinearSolver, arg0: Kratos.ComplexCompressedMatrix, arg1: Kratos.ComplexVector, arg2: Kratos.ComplexVector) -> bool

        2. Solve(self: Kratos.ComplexLinearSolver, arg0: Kratos.ComplexCompressedMatrix, arg1: Kratos.ComplexCompressedMatrix, arg2: Kratos.ComplexVector, arg3: Kratos.ComplexMatrix) -> None
        """
    @overload
    def Solve(self, arg0: ComplexCompressedMatrix, arg1: ComplexCompressedMatrix, arg2: ComplexVector, arg3: ComplexMatrix) -> None:
        """Solve(*args, **kwargs)
        Overloaded function.

        1. Solve(self: Kratos.ComplexLinearSolver, arg0: Kratos.ComplexCompressedMatrix, arg1: Kratos.ComplexVector, arg2: Kratos.ComplexVector) -> bool

        2. Solve(self: Kratos.ComplexLinearSolver, arg0: Kratos.ComplexCompressedMatrix, arg1: Kratos.ComplexCompressedMatrix, arg2: Kratos.ComplexVector, arg3: Kratos.ComplexMatrix) -> None
        """

class ComplexLinearSolverFactory:
    def __init__(self) -> None:
        """__init__(self: Kratos.ComplexLinearSolverFactory) -> None"""
    def Create(self, arg0) -> ComplexLinearSolver:
        """Create(self: Kratos.ComplexLinearSolverFactory, arg0: Kratos::Parameters) -> Kratos.ComplexLinearSolver"""
    def Has(self, arg0: str) -> bool:
        """Has(self: Kratos.ComplexLinearSolverFactory, arg0: str) -> bool"""

class ComplexMatrix:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexMatrix) -> None

        2. __init__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> None

        3. __init__(self: Kratos.ComplexMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.ComplexMatrix, arg0: Buffer) -> None

        5. __init__(self: Kratos.ComplexMatrix, arg0: int, arg1: int, arg2: complex) -> None

        6. __init__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> None
        """
    @overload
    def __init__(self, arg0: ComplexMatrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexMatrix) -> None

        2. __init__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> None

        3. __init__(self: Kratos.ComplexMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.ComplexMatrix, arg0: Buffer) -> None

        5. __init__(self: Kratos.ComplexMatrix, arg0: int, arg1: int, arg2: complex) -> None

        6. __init__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexMatrix) -> None

        2. __init__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> None

        3. __init__(self: Kratos.ComplexMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.ComplexMatrix, arg0: Buffer) -> None

        5. __init__(self: Kratos.ComplexMatrix, arg0: int, arg1: int, arg2: complex) -> None

        6. __init__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> None
        """
    @overload
    def __init__(self, arg0: Buffer) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexMatrix) -> None

        2. __init__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> None

        3. __init__(self: Kratos.ComplexMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.ComplexMatrix, arg0: Buffer) -> None

        5. __init__(self: Kratos.ComplexMatrix, arg0: int, arg1: int, arg2: complex) -> None

        6. __init__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: int, arg2: complex) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexMatrix) -> None

        2. __init__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> None

        3. __init__(self: Kratos.ComplexMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.ComplexMatrix, arg0: Buffer) -> None

        5. __init__(self: Kratos.ComplexMatrix, arg0: int, arg1: int, arg2: complex) -> None

        6. __init__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> None
        """
    @overload
    def __init__(self, arg0: ComplexMatrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexMatrix) -> None

        2. __init__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> None

        3. __init__(self: Kratos.ComplexMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.ComplexMatrix, arg0: Buffer) -> None

        5. __init__(self: Kratos.ComplexMatrix, arg0: int, arg1: int, arg2: complex) -> None

        6. __init__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> None
        """
    def Resize(self, arg0: int, arg1: int) -> None:
        """Resize(self: Kratos.ComplexMatrix, arg0: int, arg1: int) -> None"""
    def Size1(self) -> int:
        """Size1(self: Kratos.ComplexMatrix) -> int"""
    def Size2(self) -> int:
        """Size2(self: Kratos.ComplexMatrix) -> int"""
    def fill(self, arg0: complex) -> None:
        """fill(self: Kratos.ComplexMatrix, arg0: complex) -> None"""
    def fill_identity(self) -> None:
        """fill_identity(self: Kratos.ComplexMatrix) -> None"""
    def __add__(self, arg0: ComplexMatrix) -> ComplexMatrix:
        """__add__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> Kratos.ComplexMatrix"""
    def __getitem__(self, arg0: tuple[int, int]) -> complex:
        """__getitem__(self: Kratos.ComplexMatrix, arg0: tuple[int, int]) -> complex"""
    def __imul__(self, arg0: complex) -> ComplexMatrix:
        """__imul__(self: Kratos.ComplexMatrix, arg0: complex) -> Kratos.ComplexMatrix"""
    def __itruediv__(self, arg0: complex) -> ComplexMatrix:
        """__itruediv__(self: Kratos.ComplexMatrix, arg0: complex) -> Kratos.ComplexMatrix"""
    def __len__(self) -> int:
        """__len__(self: Kratos.ComplexMatrix) -> int"""
    @overload
    def __mul__(self, arg0: ComplexMatrix) -> ComplexMatrix:
        """__mul__(*args, **kwargs)
        Overloaded function.

        1. __mul__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> Kratos.ComplexMatrix

        2. __mul__(self: Kratos.ComplexMatrix, arg0: complex) -> Kratos.ComplexMatrix

        3. __mul__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexVector) -> Kratos.ComplexVector
        """
    @overload
    def __mul__(self, arg0: complex) -> ComplexMatrix:
        """__mul__(*args, **kwargs)
        Overloaded function.

        1. __mul__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> Kratos.ComplexMatrix

        2. __mul__(self: Kratos.ComplexMatrix, arg0: complex) -> Kratos.ComplexMatrix

        3. __mul__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexVector) -> Kratos.ComplexVector
        """
    @overload
    def __mul__(self, arg0: ComplexVector) -> ComplexVector:
        """__mul__(*args, **kwargs)
        Overloaded function.

        1. __mul__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> Kratos.ComplexMatrix

        2. __mul__(self: Kratos.ComplexMatrix, arg0: complex) -> Kratos.ComplexMatrix

        3. __mul__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexVector) -> Kratos.ComplexVector
        """
    def __setitem__(self, arg0: tuple[int, int], arg1: complex) -> None:
        """__setitem__(self: Kratos.ComplexMatrix, arg0: tuple[int, int], arg1: complex) -> None"""
    def __sub__(self, arg0: ComplexMatrix) -> ComplexMatrix:
        """__sub__(self: Kratos.ComplexMatrix, arg0: Kratos.ComplexMatrix) -> Kratos.ComplexMatrix"""
    def __truediv__(self, arg0: complex) -> ComplexMatrix:
        """__truediv__(self: Kratos.ComplexMatrix, arg0: complex) -> Kratos.ComplexMatrix"""

class ComplexSkylineLUSolver(ComplexDirectSolver):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexSkylineLUSolver) -> None

        2. __init__(self: Kratos.ComplexSkylineLUSolver, arg0: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexSkylineLUSolver) -> None

        2. __init__(self: Kratos.ComplexSkylineLUSolver, arg0: Kratos::Parameters) -> None
        """

class ComplexVector:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexVector) -> None

        2. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        3. __init__(self: Kratos.ComplexVector, arg0: int) -> None

        4. __init__(self: Kratos.ComplexVector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.ComplexVector, arg0: int, arg1: complex) -> None

        6. __init__(self: Kratos.ComplexVector, arg0: Kratos.Vector) -> None

        7. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        8. __init__(self: Kratos.ComplexVector, arg0: list) -> None
        """
    @overload
    def __init__(self, arg0: ComplexVector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexVector) -> None

        2. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        3. __init__(self: Kratos.ComplexVector, arg0: int) -> None

        4. __init__(self: Kratos.ComplexVector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.ComplexVector, arg0: int, arg1: complex) -> None

        6. __init__(self: Kratos.ComplexVector, arg0: Kratos.Vector) -> None

        7. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        8. __init__(self: Kratos.ComplexVector, arg0: list) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexVector) -> None

        2. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        3. __init__(self: Kratos.ComplexVector, arg0: int) -> None

        4. __init__(self: Kratos.ComplexVector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.ComplexVector, arg0: int, arg1: complex) -> None

        6. __init__(self: Kratos.ComplexVector, arg0: Kratos.Vector) -> None

        7. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        8. __init__(self: Kratos.ComplexVector, arg0: list) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexVector) -> None

        2. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        3. __init__(self: Kratos.ComplexVector, arg0: int) -> None

        4. __init__(self: Kratos.ComplexVector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.ComplexVector, arg0: int, arg1: complex) -> None

        6. __init__(self: Kratos.ComplexVector, arg0: Kratos.Vector) -> None

        7. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        8. __init__(self: Kratos.ComplexVector, arg0: list) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: complex) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexVector) -> None

        2. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        3. __init__(self: Kratos.ComplexVector, arg0: int) -> None

        4. __init__(self: Kratos.ComplexVector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.ComplexVector, arg0: int, arg1: complex) -> None

        6. __init__(self: Kratos.ComplexVector, arg0: Kratos.Vector) -> None

        7. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        8. __init__(self: Kratos.ComplexVector, arg0: list) -> None
        """
    @overload
    def __init__(self, arg0: Vector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexVector) -> None

        2. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        3. __init__(self: Kratos.ComplexVector, arg0: int) -> None

        4. __init__(self: Kratos.ComplexVector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.ComplexVector, arg0: int, arg1: complex) -> None

        6. __init__(self: Kratos.ComplexVector, arg0: Kratos.Vector) -> None

        7. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        8. __init__(self: Kratos.ComplexVector, arg0: list) -> None
        """
    @overload
    def __init__(self, arg0: ComplexVector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexVector) -> None

        2. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        3. __init__(self: Kratos.ComplexVector, arg0: int) -> None

        4. __init__(self: Kratos.ComplexVector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.ComplexVector, arg0: int, arg1: complex) -> None

        6. __init__(self: Kratos.ComplexVector, arg0: Kratos.Vector) -> None

        7. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        8. __init__(self: Kratos.ComplexVector, arg0: list) -> None
        """
    @overload
    def __init__(self, arg0: list) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComplexVector) -> None

        2. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        3. __init__(self: Kratos.ComplexVector, arg0: int) -> None

        4. __init__(self: Kratos.ComplexVector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.ComplexVector, arg0: int, arg1: complex) -> None

        6. __init__(self: Kratos.ComplexVector, arg0: Kratos.Vector) -> None

        7. __init__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> None

        8. __init__(self: Kratos.ComplexVector, arg0: list) -> None
        """
    def Resize(self, arg0: int) -> None:
        """Resize(self: Kratos.ComplexVector, arg0: int) -> None"""
    def Size(self) -> int:
        """Size(self: Kratos.ComplexVector) -> int"""
    def fill(self, arg0: complex) -> None:
        """fill(self: Kratos.ComplexVector, arg0: complex) -> None"""
    def norm_1(self) -> float:
        """norm_1(self: Kratos.ComplexVector) -> float"""
    def norm_2(self) -> float:
        """norm_2(self: Kratos.ComplexVector) -> float"""
    def norm_inf(self) -> float:
        """norm_inf(self: Kratos.ComplexVector) -> float"""
    def __add__(self, arg0: ComplexVector) -> ComplexVector:
        """__add__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> Kratos.ComplexVector"""
    def __div__(self, arg0: complex) -> ComplexVector:
        """__div__(self: Kratos.ComplexVector, arg0: complex) -> Kratos.ComplexVector"""
    def __getitem__(self, arg0: int) -> complex:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.ComplexVector, arg0: int) -> complex

        2. __getitem__(self: Kratos.ComplexVector, arg0: slice) -> boost::numeric::ublas::vector_slice<boost::numeric::ublas::vector<std::complex<double>,boost::numeric::ublas::unbounded_array<std::complex<double>,std::allocator<std::complex<double> > > > >
        """
    @overload
    def __iadd__(self, arg0: complex) -> ComplexVector:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.ComplexVector, arg0: complex) -> Kratos.ComplexVector

        2. __iadd__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> Kratos.ComplexVector
        """
    @overload
    def __iadd__(self, arg0: ComplexVector) -> ComplexVector:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.ComplexVector, arg0: complex) -> Kratos.ComplexVector

        2. __iadd__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> Kratos.ComplexVector
        """
    def __imul__(self, arg0: complex) -> ComplexVector:
        """__imul__(self: Kratos.ComplexVector, arg0: complex) -> Kratos.ComplexVector"""
    @overload
    def __isub__(self, arg0: complex) -> ComplexVector:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.ComplexVector, arg0: complex) -> Kratos.ComplexVector

        2. __isub__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> Kratos.ComplexVector
        """
    @overload
    def __isub__(self, arg0: ComplexVector) -> ComplexVector:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.ComplexVector, arg0: complex) -> Kratos.ComplexVector

        2. __isub__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> Kratos.ComplexVector
        """
    def __iter__(self) -> Iterator[complex]:
        """__iter__(self: Kratos.ComplexVector) -> Iterator[complex]"""
    def __itruediv__(self, arg0: complex) -> ComplexVector:
        """__itruediv__(self: Kratos.ComplexVector, arg0: complex) -> Kratos.ComplexVector"""
    def __len__(self) -> int:
        """__len__(self: Kratos.ComplexVector) -> int"""
    def __mul__(self, arg0: complex) -> ComplexVector:
        """__mul__(self: Kratos.ComplexVector, arg0: complex) -> Kratos.ComplexVector"""
    def __rdiv__(self, arg0: complex) -> None:
        """__rdiv__(self: Kratos.ComplexVector, arg0: complex) -> None"""
    def __rmul__(self, arg0: complex) -> ComplexVector:
        """__rmul__(self: Kratos.ComplexVector, arg0: complex) -> Kratos.ComplexVector"""
    @overload
    def __setitem__(self, arg0: int, arg1: complex) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.ComplexVector, arg0: int, arg1: complex) -> None

        2. __setitem__(self: Kratos.ComplexVector, arg0: slice, arg1: Kratos.ComplexVector) -> None
        """
    @overload
    def __setitem__(self, arg0: slice, arg1: ComplexVector) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.ComplexVector, arg0: int, arg1: complex) -> None

        2. __setitem__(self: Kratos.ComplexVector, arg0: slice, arg1: Kratos.ComplexVector) -> None
        """
    def __sub__(self, arg0: ComplexVector) -> ComplexVector:
        """__sub__(self: Kratos.ComplexVector, arg0: Kratos.ComplexVector) -> Kratos.ComplexVector"""
    def __truediv__(self, arg0: complex) -> ComplexVector:
        """__truediv__(self: Kratos.ComplexVector, arg0: complex) -> Kratos.ComplexVector"""

class CompressedMatrix:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CompressedMatrix) -> None

        2. __init__(self: Kratos.CompressedMatrix, arg0: Kratos.CompressedMatrix) -> None

        3. __init__(self: Kratos.CompressedMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.CompressedMatrix, arg0: Kratos.CompressedMatrix) -> None
        """
    @overload
    def __init__(self, arg0: CompressedMatrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CompressedMatrix) -> None

        2. __init__(self: Kratos.CompressedMatrix, arg0: Kratos.CompressedMatrix) -> None

        3. __init__(self: Kratos.CompressedMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.CompressedMatrix, arg0: Kratos.CompressedMatrix) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CompressedMatrix) -> None

        2. __init__(self: Kratos.CompressedMatrix, arg0: Kratos.CompressedMatrix) -> None

        3. __init__(self: Kratos.CompressedMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.CompressedMatrix, arg0: Kratos.CompressedMatrix) -> None
        """
    @overload
    def __init__(self, arg0: CompressedMatrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CompressedMatrix) -> None

        2. __init__(self: Kratos.CompressedMatrix, arg0: Kratos.CompressedMatrix) -> None

        3. __init__(self: Kratos.CompressedMatrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.CompressedMatrix, arg0: Kratos.CompressedMatrix) -> None
        """
    def Resize(self, arg0: int, arg1: int) -> None:
        """Resize(self: Kratos.CompressedMatrix, arg0: int, arg1: int) -> None"""
    def Size1(self) -> int:
        """Size1(self: Kratos.CompressedMatrix) -> int"""
    def Size2(self) -> int:
        """Size2(self: Kratos.CompressedMatrix) -> int"""
    def index1_data(self) -> list[int]:
        """index1_data(self: Kratos.CompressedMatrix) -> list[int]"""
    def index2_data(self) -> list[int]:
        """index2_data(self: Kratos.CompressedMatrix) -> list[int]"""
    def value_data(self) -> list[float]:
        """value_data(self: Kratos.CompressedMatrix) -> list[float]"""
    def __add__(self, arg0: CompressedMatrix) -> CompressedMatrix:
        """__add__(self: Kratos.CompressedMatrix, arg0: Kratos.CompressedMatrix) -> Kratos.CompressedMatrix"""
    def __getitem__(self, arg0: tuple[int, int]) -> float:
        """__getitem__(self: Kratos.CompressedMatrix, arg0: tuple[int, int]) -> float"""
    def __imul__(self, arg0: float) -> CompressedMatrix:
        """__imul__(self: Kratos.CompressedMatrix, arg0: float) -> Kratos.CompressedMatrix"""
    def __itruediv__(self, arg0: float) -> CompressedMatrix:
        """__itruediv__(self: Kratos.CompressedMatrix, arg0: float) -> Kratos.CompressedMatrix"""
    def __len__(self) -> int:
        """__len__(self: Kratos.CompressedMatrix) -> int"""
    @overload
    def __mul__(self, arg0: CompressedMatrix) -> CompressedMatrix:
        """__mul__(*args, **kwargs)
        Overloaded function.

        1. __mul__(self: Kratos.CompressedMatrix, arg0: Kratos.CompressedMatrix) -> Kratos.CompressedMatrix

        2. __mul__(self: Kratos.CompressedMatrix, arg0: float) -> Kratos.CompressedMatrix
        """
    @overload
    def __mul__(self, arg0: float) -> CompressedMatrix:
        """__mul__(*args, **kwargs)
        Overloaded function.

        1. __mul__(self: Kratos.CompressedMatrix, arg0: Kratos.CompressedMatrix) -> Kratos.CompressedMatrix

        2. __mul__(self: Kratos.CompressedMatrix, arg0: float) -> Kratos.CompressedMatrix
        """
    def __setitem__(self, arg0: tuple[int, int], arg1: float) -> None:
        """__setitem__(self: Kratos.CompressedMatrix, arg0: tuple[int, int], arg1: float) -> None"""
    def __sub__(self, arg0: CompressedMatrix) -> CompressedMatrix:
        """__sub__(self: Kratos.CompressedMatrix, arg0: Kratos.CompressedMatrix) -> Kratos.CompressedMatrix"""
    def __truediv__(self, arg0: float) -> CompressedMatrix:
        """__truediv__(self: Kratos.CompressedMatrix, arg0: float) -> Kratos.CompressedMatrix"""

class ComputeNodalGradientProcess(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """

class ComputeNodalGradientProcess2D(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """

class ComputeNodalGradientProcess3D(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """

class ComputeNodalGradientProcessComp2D(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """

class ComputeNodalGradientProcessComp3D(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """

class ComputeNodalNormalDivergenceProcess(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: Array1DVariable3, arg2: DoubleVariable, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.ComputeNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: bool) -> None

        3. __init__(self: Kratos.ComputeNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: bool, arg5: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Array1DVariable3, arg2: DoubleVariable, arg3: DoubleVariable, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.ComputeNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: bool) -> None

        3. __init__(self: Kratos.ComputeNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: bool, arg5: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Array1DVariable3, arg2: DoubleVariable, arg3: DoubleVariable, arg4: bool, arg5: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.ComputeNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: bool) -> None

        3. __init__(self: Kratos.ComputeNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: bool, arg5: bool) -> None
        """

class ComputeNonHistoricalNodalGradientProcess(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """

class ComputeNonHistoricalNodalGradientProcess2D(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """

class ComputeNonHistoricalNodalGradientProcess3D(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """

class ComputeNonHistoricalNodalGradientProcessComp2D(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """

class ComputeNonHistoricalNodalGradientProcessComp3D(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: DoubleVariable, arg2: Array1DVariable3, arg3: DoubleVariable, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3) -> None

        4. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable) -> None

        5. __init__(self: Kratos.ComputeNonHistoricalNodalGradientProcess, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.Array1DVariable3, arg3: Kratos.DoubleVariable, arg4: bool) -> None
        """

class ComputeNonHistoricalNodalNormalDivergenceProcess(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: Array1DVariable3, arg2: DoubleVariable, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: bool) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: bool, arg5: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Array1DVariable3, arg2: DoubleVariable, arg3: DoubleVariable, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: bool) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: bool, arg5: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Array1DVariable3, arg2: DoubleVariable, arg3: DoubleVariable, arg4: bool, arg5: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ComputeNonHistoricalNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.ComputeNonHistoricalNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: bool) -> None

        3. __init__(self: Kratos.ComputeNonHistoricalNodalNormalDivergenceProcess, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: bool, arg5: bool) -> None
        """

class Condition(GeometricalObject):
    Properties: Properties
    def __init__(self, arg0: int) -> None:
        """__init__(self: Kratos.Condition, arg0: int) -> None"""
    @overload
    def Calculate(self, arg0: IntegerVariable, arg1) -> int:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> int

        2. Calculate(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> float

        3. Calculate(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> Kratos.Array3

        4. Calculate(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> Kratos.Array6

        5. Calculate(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> Kratos.Vector

        6. Calculate(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: DoubleVariable, arg1) -> float:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> int

        2. Calculate(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> float

        3. Calculate(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> Kratos.Array3

        4. Calculate(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> Kratos.Array6

        5. Calculate(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> Kratos.Vector

        6. Calculate(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: Array1DVariable3, arg1) -> Array3:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> int

        2. Calculate(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> float

        3. Calculate(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> Kratos.Array3

        4. Calculate(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> Kratos.Array6

        5. Calculate(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> Kratos.Vector

        6. Calculate(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: Array1DVariable6, arg1) -> Array6:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> int

        2. Calculate(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> float

        3. Calculate(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> Kratos.Array3

        4. Calculate(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> Kratos.Array6

        5. Calculate(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> Kratos.Vector

        6. Calculate(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: VectorVariable, arg1) -> Vector:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> int

        2. Calculate(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> float

        3. Calculate(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> Kratos.Array3

        4. Calculate(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> Kratos.Array6

        5. Calculate(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> Kratos.Vector

        6. Calculate(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: MatrixVariable, arg1) -> Matrix:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> int

        2. Calculate(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> float

        3. Calculate(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> Kratos.Array3

        4. Calculate(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> Kratos.Array6

        5. Calculate(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> Kratos.Vector

        6. Calculate(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> Kratos.Matrix
        """
    def CalculateDampingMatrix(self, arg0: Matrix, arg1) -> None:
        """CalculateDampingMatrix(self: Kratos.Condition, arg0: Kratos.Matrix, arg1: Kratos::ProcessInfo) -> None"""
    def CalculateFirstDerivativesLHS(self, arg0: Matrix, arg1) -> None:
        """CalculateFirstDerivativesLHS(self: Kratos.Condition, arg0: Kratos.Matrix, arg1: Kratos::ProcessInfo) -> None"""
    def CalculateLeftHandSide(self, arg0: Matrix, arg1) -> None:
        """CalculateLeftHandSide(self: Kratos.Condition, arg0: Kratos.Matrix, arg1: Kratos::ProcessInfo) -> None"""
    def CalculateLocalSystem(self, arg0: Matrix, arg1: Vector, arg2) -> None:
        """CalculateLocalSystem(self: Kratos.Condition, arg0: Kratos.Matrix, arg1: Kratos.Vector, arg2: Kratos::ProcessInfo) -> None"""
    def CalculateLocalVelocityContribution(self, arg0: Matrix, arg1: Vector, arg2) -> None:
        """CalculateLocalVelocityContribution(self: Kratos.Condition, arg0: Kratos.Matrix, arg1: Kratos.Vector, arg2: Kratos::ProcessInfo) -> None"""
    def CalculateMassMatrix(self, arg0: Matrix, arg1) -> None:
        """CalculateMassMatrix(self: Kratos.Condition, arg0: Kratos.Matrix, arg1: Kratos::ProcessInfo) -> None"""
    @overload
    def CalculateOnIntegrationPoints(self, arg0: BoolVariable, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: IntegerVariable, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: DoubleVariable, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: Array1DVariable3, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: Array1DVariable4, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: Array1DVariable6, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: Array1DVariable9, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: VectorVariable, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: MatrixVariable, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    def CalculateRightHandSide(self, arg0: Vector, arg1) -> None:
        """CalculateRightHandSide(self: Kratos.Condition, arg0: Kratos.Vector, arg1: Kratos::ProcessInfo) -> None"""
    def CalculateSecondDerivativesLHS(self, arg0: Matrix, arg1) -> None:
        """CalculateSecondDerivativesLHS(self: Kratos.Condition, arg0: Kratos.Matrix, arg1: Kratos::ProcessInfo) -> None"""
    @overload
    def CalculateSensitivityMatrix(self, arg0: DoubleVariable, arg1: Matrix, arg2) -> None:
        """CalculateSensitivityMatrix(*args, **kwargs)
        Overloaded function.

        1. CalculateSensitivityMatrix(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos.Matrix, arg2: Kratos::ProcessInfo) -> None

        2. CalculateSensitivityMatrix(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Matrix, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def CalculateSensitivityMatrix(self, arg0: Array1DVariable3, arg1: Matrix, arg2) -> None:
        """CalculateSensitivityMatrix(*args, **kwargs)
        Overloaded function.

        1. CalculateSensitivityMatrix(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: Kratos.Matrix, arg2: Kratos::ProcessInfo) -> None

        2. CalculateSensitivityMatrix(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Matrix, arg2: Kratos::ProcessInfo) -> None
        """
    def EquationIdVector(self, arg0) -> list[int]:
        """EquationIdVector(self: Kratos.Condition, arg0: Kratos::ProcessInfo) -> list[int]"""
    def GetDofList(self, arg0) -> list[Dof]:
        """GetDofList(self: Kratos.Condition, arg0: Kratos::ProcessInfo) -> list[Kratos.Dof]"""
    @overload
    def GetFirstDerivativesVector(self, arg0: Vector) -> None:
        """GetFirstDerivativesVector(*args, **kwargs)
        Overloaded function.

        1. GetFirstDerivativesVector(self: Kratos.Condition, arg0: Kratos.Vector) -> None

        2. GetFirstDerivativesVector(self: Kratos.Condition, arg0: Kratos.Vector, arg1: int) -> None
        """
    @overload
    def GetFirstDerivativesVector(self, arg0: Vector, arg1: int) -> None:
        """GetFirstDerivativesVector(*args, **kwargs)
        Overloaded function.

        1. GetFirstDerivativesVector(self: Kratos.Condition, arg0: Kratos.Vector) -> None

        2. GetFirstDerivativesVector(self: Kratos.Condition, arg0: Kratos.Vector, arg1: int) -> None
        """
    def GetGeometry(self, *args, **kwargs):
        """GetGeometry(self: Kratos.Condition) -> Kratos::Geometry<Kratos::Node>"""
    def GetNode(self, arg0: int) -> Node:
        """GetNode(self: Kratos.Condition, arg0: int) -> Kratos.Node"""
    def GetNodes(self) -> list:
        """GetNodes(self: Kratos.Condition) -> list"""
    @overload
    def GetSecondDerivativesVector(self, arg0: Vector) -> None:
        """GetSecondDerivativesVector(*args, **kwargs)
        Overloaded function.

        1. GetSecondDerivativesVector(self: Kratos.Condition, arg0: Kratos.Vector) -> None

        2. GetSecondDerivativesVector(self: Kratos.Condition, arg0: Kratos.Vector, arg1: int) -> None
        """
    @overload
    def GetSecondDerivativesVector(self, arg0: Vector, arg1: int) -> None:
        """GetSecondDerivativesVector(*args, **kwargs)
        Overloaded function.

        1. GetSecondDerivativesVector(self: Kratos.Condition, arg0: Kratos.Vector) -> None

        2. GetSecondDerivativesVector(self: Kratos.Condition, arg0: Kratos.Vector, arg1: int) -> None
        """
    def GetSpecifications(self, *args, **kwargs):
        """GetSpecifications(self: Kratos.Condition) -> Kratos::Parameters"""
    @overload
    def GetValue(self, arg0: Array1DVariable3) -> Array3:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable4) -> Array4:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable6) -> Array6:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable9) -> Array9:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: VectorVariable) -> Vector:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: IntegerVectorVariable) -> DenseVectorInt:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: MatrixVariable) -> Matrix:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: IntegerVariable) -> int:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: DoubleVariable) -> float:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: BoolVariable) -> bool:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: StringVariable) -> str:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    def GetValuesOnIntegrationPoints(self, arg0: VectorVariable, arg1) -> None:
        """GetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> None"""
    @overload
    def Has(self, arg0: Array1DVariable3) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Condition, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable4) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Condition, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable6) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Condition, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable9) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Condition, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: VectorVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Condition, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: IntegerVectorVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Condition, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: MatrixVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Condition, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: IntegerVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Condition, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: DoubleVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Condition, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: BoolVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Condition, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: StringVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Condition, arg0: Kratos.StringVariable) -> bool
        """
    def Info(self) -> str:
        """Info(self: Kratos.Condition) -> str"""
    def Initialize(self, arg0) -> None:
        """Initialize(self: Kratos.Condition, arg0: Kratos::ProcessInfo) -> None"""
    @overload
    def SetValue(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable4, arg1: Array4) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable9, arg1: Array9) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: VectorVariable, arg1: Vector) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: IntegerVectorVariable, arg1: DenseVectorInt) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: IntegerVariable, arg1: int) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: DoubleVariable, arg1: float) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: BoolVariable, arg1: bool) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: StringVariable, arg1: str) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: BoolVariable, arg1: list[bool], arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: IntegerVariable, arg1: list[int], arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: DoubleVariable, arg1: list[float], arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: VectorVariable, arg1: list, arg2: int, arg3) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: Array1DVariable3, arg1: list, arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: Array1DVariable4, arg1: list, arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: Array1DVariable6, arg1: list, arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: Array1DVariable9, arg1: list, arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable3) -> Array3:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable4) -> Array4:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable6) -> Array6:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable9) -> Array9:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: VectorVariable) -> Vector:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: IntegerVectorVariable) -> DenseVectorInt:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: MatrixVariable) -> Matrix:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: IntegerVariable) -> int:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: DoubleVariable) -> float:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: BoolVariable) -> bool:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: StringVariable) -> str:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Condition, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable4, arg1: Array4) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable9, arg1: Array9) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: VectorVariable, arg1: Vector) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: IntegerVectorVariable, arg1: DenseVectorInt) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: IntegerVariable, arg1: int) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: DoubleVariable, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: BoolVariable, arg1: bool) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: StringVariable, arg1: str) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Condition, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Condition, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Condition, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Condition, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Condition, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Condition, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Condition, arg0: Kratos.StringVariable, arg1: str) -> None
        """

class ConditionEraseProcess(Process):
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.ConditionEraseProcess, arg0: Kratos.ModelPart) -> None"""

class ConditionNumberUtility:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ConditionNumberUtility) -> None

        2. __init__(self: Kratos.ConditionNumberUtility, arg0: Kratos.LinearSolver, arg1: Kratos.LinearSolver) -> None
        """
    @overload
    def __init__(self, arg0: LinearSolver, arg1: LinearSolver) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ConditionNumberUtility) -> None

        2. __init__(self: Kratos.ConditionNumberUtility, arg0: Kratos.LinearSolver, arg1: Kratos.LinearSolver) -> None
        """
    @overload
    def GetConditionNumber(self, arg0: CompressedMatrix, arg1: LinearSolver, arg2: LinearSolver) -> float:
        """GetConditionNumber(*args, **kwargs)
        Overloaded function.

        1. GetConditionNumber(self: Kratos.ConditionNumberUtility, arg0: Kratos.CompressedMatrix, arg1: Kratos.LinearSolver, arg2: Kratos.LinearSolver) -> float

        2. GetConditionNumber(self: Kratos.ConditionNumberUtility, arg0: Kratos.CompressedMatrix) -> float
        """
    @overload
    def GetConditionNumber(self, arg0: CompressedMatrix) -> float:
        """GetConditionNumber(*args, **kwargs)
        Overloaded function.

        1. GetConditionNumber(self: Kratos.ConditionNumberUtility, arg0: Kratos.CompressedMatrix, arg1: Kratos.LinearSolver, arg2: Kratos.LinearSolver) -> float

        2. GetConditionNumber(self: Kratos.ConditionNumberUtility, arg0: Kratos.CompressedMatrix) -> float
        """

class ConditionsArray:
    def __init__(self) -> None:
        """__init__(self: Kratos.ConditionsArray) -> None"""
    def append(self, arg0: Condition) -> None:
        """append(self: Kratos.ConditionsArray, arg0: Kratos.Condition) -> None"""
    def clear(self) -> None:
        """clear(self: Kratos.ConditionsArray) -> None"""
    @overload
    def __contains__(self, arg0: Condition) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.ConditionsArray, arg0: Kratos.Condition) -> bool

        2. __contains__(self: Kratos.ConditionsArray, arg0: int) -> bool
        """
    @overload
    def __contains__(self, arg0: int) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.ConditionsArray, arg0: Kratos.Condition) -> bool

        2. __contains__(self: Kratos.ConditionsArray, arg0: int) -> bool
        """
    def __getitem__(self, arg0: int) -> Condition:
        """__getitem__(self: Kratos.ConditionsArray, arg0: int) -> Kratos.Condition"""
    def __iter__(self) -> Iterator[Condition]:
        """__iter__(self: Kratos.ConditionsArray) -> Iterator[Kratos.Condition]"""
    def __len__(self) -> int:
        """__len__(self: Kratos.ConditionsArray) -> int"""
    @overload
    def __setitem__(self, arg0: Condition) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.ConditionsArray, arg0: Kratos.Condition) -> None

        2. __setitem__(self: Kratos.ConditionsArray, arg0: Kratos.Condition) -> None
        """
    @overload
    def __setitem__(self, arg0: Condition) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.ConditionsArray, arg0: Kratos.Condition) -> None

        2. __setitem__(self: Kratos.ConditionsArray, arg0: Kratos.Condition) -> None
        """

class Configuration:
    __members__: ClassVar[dict] = ...  # read-only
    Current: ClassVar[Configuration] = ...
    Initial: ClassVar[Configuration] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.Configuration, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.Configuration) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.Configuration) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class ConnectivityPreserveModeler(Modeler):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ConnectivityPreserveModeler) -> None

        2. __init__(self: Kratos.ConnectivityPreserveModeler, arg0: Kratos.Model, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: Model, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ConnectivityPreserveModeler) -> None

        2. __init__(self: Kratos.ConnectivityPreserveModeler, arg0: Kratos.Model, arg1: Kratos::Parameters) -> None
        """
    @overload
    def GenerateModelPart(self, arg0: ModelPart, arg1: ModelPart, arg2: str, arg3: str) -> None:
        """GenerateModelPart(*args, **kwargs)
        Overloaded function.

        1. GenerateModelPart(self: Kratos.Modeler, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: str, arg3: str) -> None

        2. GenerateModelPart(self: Kratos.ConnectivityPreserveModeler, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: str) -> None
        """
    @overload
    def GenerateModelPart(self, arg0: ModelPart, arg1: ModelPart, arg2: str) -> None:
        """GenerateModelPart(*args, **kwargs)
        Overloaded function.

        1. GenerateModelPart(self: Kratos.Modeler, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: str, arg3: str) -> None

        2. GenerateModelPart(self: Kratos.ConnectivityPreserveModeler, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: str) -> None
        """

class ConstitutiveLaw(Flags):
    ANISOTROPIC: ClassVar[Flags] = ...  # read-only
    AXISYMMETRIC_LAW: ClassVar[Flags] = ...  # read-only
    COMPUTE_CONSTITUTIVE_TENSOR: ClassVar[Flags] = ...  # read-only
    COMPUTE_STRAIN_ENERGY: ClassVar[Flags] = ...  # read-only
    COMPUTE_STRESS: ClassVar[Flags] = ...  # read-only
    FINALIZE_MATERIAL_RESPONSE: ClassVar[Flags] = ...  # read-only
    FINITE_STRAINS: ClassVar[Flags] = ...  # read-only
    INCREMENTAL_STRAIN_MEASURE: ClassVar[Flags] = ...  # read-only
    INFINITESIMAL_STRAINS: ClassVar[Flags] = ...  # read-only
    INITIALIZE_MATERIAL_RESPONSE: ClassVar[Flags] = ...  # read-only
    ISOCHORIC_TENSOR_ONLY: ClassVar[Flags] = ...  # read-only
    ISOTROPIC: ClassVar[Flags] = ...  # read-only
    MECHANICAL_RESPONSE_ONLY: ClassVar[Flags] = ...  # read-only
    PLANE_STRAIN_LAW: ClassVar[Flags] = ...  # read-only
    PLANE_STRESS_LAW: ClassVar[Flags] = ...  # read-only
    THERMAL_RESPONSE_ONLY: ClassVar[Flags] = ...  # read-only
    THREE_DIMENSIONAL_LAW: ClassVar[Flags] = ...  # read-only
    USE_ELEMENT_PROVIDED_STRAIN: ClassVar[Flags] = ...  # read-only
    U_P_LAW: ClassVar[Flags] = ...  # read-only
    VOLUMETRIC_TENSOR_ONLY: ClassVar[Flags] = ...  # read-only
    def __init__(self) -> None:
        """__init__(self: Kratos.ConstitutiveLaw) -> None"""
    def CalculateMaterialResponse(self, arg0: ConstitutiveLawParameters, arg1: StressMeasure) -> None:
        """CalculateMaterialResponse(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.StressMeasure) -> None"""
    def CalculateMaterialResponseCauchy(self, arg0: ConstitutiveLawParameters) -> None:
        """CalculateMaterialResponseCauchy(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters) -> None"""
    def CalculateMaterialResponseKirchhoff(self, arg0: ConstitutiveLawParameters) -> None:
        """CalculateMaterialResponseKirchhoff(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters) -> None"""
    def CalculateMaterialResponsePK1(self, arg0: ConstitutiveLawParameters) -> None:
        """CalculateMaterialResponsePK1(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters) -> None"""
    def CalculateMaterialResponsePK2(self, arg0: ConstitutiveLawParameters) -> None:
        """CalculateMaterialResponsePK2(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters) -> None"""
    @overload
    def CalculateValue(self, arg0: ConstitutiveLawParameters, arg1: BoolVariable, arg2: bool) -> bool:
        """CalculateValue(*args, **kwargs)
        Overloaded function.

        1. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.BoolVariable, arg2: bool) -> bool

        2. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.IntegerVariable, arg2: int) -> int

        3. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.DoubleVariable, arg2: float) -> float

        4. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array3) -> Kratos.Array3

        5. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.VectorVariable, arg2: Kratos.Vector) -> Kratos.Vector

        6. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.MatrixVariable, arg2: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def CalculateValue(self, arg0: ConstitutiveLawParameters, arg1: IntegerVariable, arg2: int) -> int:
        """CalculateValue(*args, **kwargs)
        Overloaded function.

        1. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.BoolVariable, arg2: bool) -> bool

        2. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.IntegerVariable, arg2: int) -> int

        3. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.DoubleVariable, arg2: float) -> float

        4. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array3) -> Kratos.Array3

        5. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.VectorVariable, arg2: Kratos.Vector) -> Kratos.Vector

        6. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.MatrixVariable, arg2: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def CalculateValue(self, arg0: ConstitutiveLawParameters, arg1: DoubleVariable, arg2: float) -> float:
        """CalculateValue(*args, **kwargs)
        Overloaded function.

        1. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.BoolVariable, arg2: bool) -> bool

        2. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.IntegerVariable, arg2: int) -> int

        3. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.DoubleVariable, arg2: float) -> float

        4. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array3) -> Kratos.Array3

        5. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.VectorVariable, arg2: Kratos.Vector) -> Kratos.Vector

        6. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.MatrixVariable, arg2: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def CalculateValue(self, arg0: ConstitutiveLawParameters, arg1: Array1DVariable3, arg2: Array3) -> Array3:
        """CalculateValue(*args, **kwargs)
        Overloaded function.

        1. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.BoolVariable, arg2: bool) -> bool

        2. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.IntegerVariable, arg2: int) -> int

        3. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.DoubleVariable, arg2: float) -> float

        4. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array3) -> Kratos.Array3

        5. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.VectorVariable, arg2: Kratos.Vector) -> Kratos.Vector

        6. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.MatrixVariable, arg2: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def CalculateValue(self, arg0: ConstitutiveLawParameters, arg1: VectorVariable, arg2: Vector) -> Vector:
        """CalculateValue(*args, **kwargs)
        Overloaded function.

        1. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.BoolVariable, arg2: bool) -> bool

        2. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.IntegerVariable, arg2: int) -> int

        3. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.DoubleVariable, arg2: float) -> float

        4. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array3) -> Kratos.Array3

        5. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.VectorVariable, arg2: Kratos.Vector) -> Kratos.Vector

        6. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.MatrixVariable, arg2: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def CalculateValue(self, arg0: ConstitutiveLawParameters, arg1: MatrixVariable, arg2: Matrix) -> Matrix:
        """CalculateValue(*args, **kwargs)
        Overloaded function.

        1. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.BoolVariable, arg2: bool) -> bool

        2. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.IntegerVariable, arg2: int) -> int

        3. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.DoubleVariable, arg2: float) -> float

        4. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array3) -> Kratos.Array3

        5. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.VectorVariable, arg2: Kratos.Vector) -> Kratos.Vector

        6. CalculateValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.MatrixVariable, arg2: Kratos.Matrix) -> Kratos.Matrix
        """
    def Check(self, arg0: Properties, arg1, arg2: ProcessInfo) -> int:
        """Check(self: Kratos.ConstitutiveLaw, arg0: Kratos.Properties, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.ProcessInfo) -> int"""
    def Clone(self) -> ConstitutiveLaw:
        """Clone(self: Kratos.ConstitutiveLaw) -> Kratos.ConstitutiveLaw"""
    @overload
    def Create(self, arg0) -> ConstitutiveLaw:
        """Create(*args, **kwargs)
        Overloaded function.

        1. Create(self: Kratos.ConstitutiveLaw, arg0: Kratos::Parameters) -> Kratos.ConstitutiveLaw

        2. Create(self: Kratos.ConstitutiveLaw, arg0: Kratos::Parameters, arg1: Kratos.Properties) -> Kratos.ConstitutiveLaw
        """
    @overload
    def Create(self, arg0, arg1: Properties) -> ConstitutiveLaw:
        """Create(*args, **kwargs)
        Overloaded function.

        1. Create(self: Kratos.ConstitutiveLaw, arg0: Kratos::Parameters) -> Kratos.ConstitutiveLaw

        2. Create(self: Kratos.ConstitutiveLaw, arg0: Kratos::Parameters, arg1: Kratos.Properties) -> Kratos.ConstitutiveLaw
        """
    def FinalizeMaterialResponse(self, arg0: ConstitutiveLawParameters, arg1: StressMeasure) -> None:
        """FinalizeMaterialResponse(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.StressMeasure) -> None"""
    def FinalizeMaterialResponseCauchy(self, arg0: ConstitutiveLawParameters) -> None:
        """FinalizeMaterialResponseCauchy(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters) -> None"""
    def FinalizeMaterialResponseKirchhoff(self, arg0: ConstitutiveLawParameters) -> None:
        """FinalizeMaterialResponseKirchhoff(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters) -> None"""
    def FinalizeMaterialResponsePK1(self, arg0: ConstitutiveLawParameters) -> None:
        """FinalizeMaterialResponsePK1(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters) -> None"""
    def FinalizeMaterialResponsePK2(self, arg0: ConstitutiveLawParameters) -> None:
        """FinalizeMaterialResponsePK2(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters) -> None"""
    def GetLawFeatures(self, arg0: ConstitutiveLawFeatures) -> None:
        """GetLawFeatures(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawFeatures) -> None"""
    def GetStrainSize(self) -> int:
        """GetStrainSize(self: Kratos.ConstitutiveLaw) -> int"""
    def GetStressMeasure(self) -> StressMeasure:
        """GetStressMeasure(self: Kratos.ConstitutiveLaw) -> Kratos.StressMeasure"""
    @overload
    def GetValue(self, arg0: BoolVariable, arg1: bool) -> bool:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.BoolVariable, arg1: bool) -> bool

        2. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable, arg1: int) -> int

        3. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable, arg1: float) -> float

        4. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> Kratos.Array3

        5. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> Kratos.Vector

        6. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def GetValue(self, arg0: IntegerVariable, arg1: int) -> int:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.BoolVariable, arg1: bool) -> bool

        2. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable, arg1: int) -> int

        3. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable, arg1: float) -> float

        4. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> Kratos.Array3

        5. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> Kratos.Vector

        6. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def GetValue(self, arg0: DoubleVariable, arg1: float) -> float:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.BoolVariable, arg1: bool) -> bool

        2. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable, arg1: int) -> int

        3. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable, arg1: float) -> float

        4. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> Kratos.Array3

        5. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> Kratos.Vector

        6. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def GetValue(self, arg0: Array1DVariable3, arg1: Array3) -> Array3:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.BoolVariable, arg1: bool) -> bool

        2. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable, arg1: int) -> int

        3. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable, arg1: float) -> float

        4. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> Kratos.Array3

        5. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> Kratos.Vector

        6. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def GetValue(self, arg0: VectorVariable, arg1: Vector) -> Vector:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.BoolVariable, arg1: bool) -> bool

        2. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable, arg1: int) -> int

        3. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable, arg1: float) -> float

        4. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> Kratos.Array3

        5. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> Kratos.Vector

        6. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def GetValue(self, arg0: MatrixVariable, arg1: Matrix) -> Matrix:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.BoolVariable, arg1: bool) -> bool

        2. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable, arg1: int) -> int

        3. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable, arg1: float) -> float

        4. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> Kratos.Array3

        5. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> Kratos.Vector

        6. GetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def Has(self, arg0: BoolVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def Has(self, arg0: IntegerVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def Has(self, arg0: DoubleVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable3) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def Has(self, arg0: VectorVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def Has(self, arg0: MatrixVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable) -> bool
        """
    def Info(self) -> str:
        """Info(self: Kratos.ConstitutiveLaw) -> str"""
    def InitializeMaterial(self, arg0: Properties, arg1, arg2: Vector) -> None:
        """InitializeMaterial(self: Kratos.ConstitutiveLaw, arg0: Kratos.Properties, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector) -> None"""
    def InitializeMaterialResponse(self, arg0: ConstitutiveLawParameters, arg1: StressMeasure) -> None:
        """InitializeMaterialResponse(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters, arg1: Kratos.StressMeasure) -> None"""
    def InitializeMaterialResponseCauchy(self, arg0: ConstitutiveLawParameters) -> None:
        """InitializeMaterialResponseCauchy(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters) -> None"""
    def InitializeMaterialResponseKirchhoff(self, arg0: ConstitutiveLawParameters) -> None:
        """InitializeMaterialResponseKirchhoff(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters) -> None"""
    def InitializeMaterialResponsePK1(self, arg0: ConstitutiveLawParameters) -> None:
        """InitializeMaterialResponsePK1(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters) -> None"""
    def InitializeMaterialResponsePK2(self, arg0: ConstitutiveLawParameters) -> None:
        """InitializeMaterialResponsePK2(self: Kratos.ConstitutiveLaw, arg0: Kratos.ConstitutiveLawParameters) -> None"""
    def IsIncremental(self) -> bool:
        """IsIncremental(self: Kratos.ConstitutiveLaw) -> bool"""
    def PullBackConstitutiveMatrix(self, arg0: Matrix, arg1: Matrix) -> None:
        """PullBackConstitutiveMatrix(self: Kratos.ConstitutiveLaw, arg0: Kratos.Matrix, arg1: Kratos.Matrix) -> None"""
    def PushForwardConstitutiveMatrix(self, arg0: Matrix, arg1: Matrix) -> None:
        """PushForwardConstitutiveMatrix(self: Kratos.ConstitutiveLaw, arg0: Kratos.Matrix, arg1: Kratos.Matrix) -> None"""
    def ResetMaterial(self, arg0: Properties, arg1, arg2: Vector) -> None:
        """ResetMaterial(self: Kratos.ConstitutiveLaw, arg0: Kratos.Properties, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector) -> None"""
    @overload
    def SetValue(self, arg0: IntegerVariable, arg1: int, arg2: ProcessInfo) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.ProcessInfo) -> None

        2. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ProcessInfo) -> None

        3. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ProcessInfo) -> None

        4. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ProcessInfo) -> None

        5. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ProcessInfo) -> None
        """
    @overload
    def SetValue(self, arg0: DoubleVariable, arg1: float, arg2: ProcessInfo) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.ProcessInfo) -> None

        2. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ProcessInfo) -> None

        3. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ProcessInfo) -> None

        4. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ProcessInfo) -> None

        5. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ProcessInfo) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable3, arg1: Array3, arg2: ProcessInfo) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.ProcessInfo) -> None

        2. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ProcessInfo) -> None

        3. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ProcessInfo) -> None

        4. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ProcessInfo) -> None

        5. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ProcessInfo) -> None
        """
    @overload
    def SetValue(self, arg0: VectorVariable, arg1: Vector, arg2: ProcessInfo) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.ProcessInfo) -> None

        2. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ProcessInfo) -> None

        3. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ProcessInfo) -> None

        4. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ProcessInfo) -> None

        5. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ProcessInfo) -> None
        """
    @overload
    def SetValue(self, arg0: MatrixVariable, arg1: Matrix, arg2: ProcessInfo) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.ProcessInfo) -> None

        2. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ProcessInfo) -> None

        3. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ProcessInfo) -> None

        4. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ProcessInfo) -> None

        5. SetValue(self: Kratos.ConstitutiveLaw, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ProcessInfo) -> None
        """
    def TransformCauchyStresses(self, arg0: Vector, arg1: Matrix, arg2: float, arg3: StressMeasure) -> Vector:
        """TransformCauchyStresses(self: Kratos.ConstitutiveLaw, arg0: Kratos.Vector, arg1: Kratos.Matrix, arg2: float, arg3: Kratos.StressMeasure) -> Kratos.Vector"""
    def TransformKirchhoffStresses(self, arg0: Vector, arg1: Matrix, arg2: float, arg3: StressMeasure) -> Vector:
        """TransformKirchhoffStresses(self: Kratos.ConstitutiveLaw, arg0: Kratos.Vector, arg1: Kratos.Matrix, arg2: float, arg3: Kratos.StressMeasure) -> Kratos.Vector"""
    def TransformPK1Stresses(self, arg0: Vector, arg1: Matrix, arg2: float, arg3: StressMeasure) -> Vector:
        """TransformPK1Stresses(self: Kratos.ConstitutiveLaw, arg0: Kratos.Vector, arg1: Kratos.Matrix, arg2: float, arg3: Kratos.StressMeasure) -> Kratos.Vector"""
    def TransformPK2Stresses(self, arg0: Vector, arg1: Matrix, arg2: float, arg3: StressMeasure) -> Vector:
        """TransformPK2Stresses(self: Kratos.ConstitutiveLaw, arg0: Kratos.Vector, arg1: Kratos.Matrix, arg2: float, arg3: Kratos.StressMeasure) -> Kratos.Vector"""
    def TransformStrains(self, arg0: Vector, arg1: Matrix, arg2: StrainMeasure, arg3: StrainMeasure) -> Vector:
        """TransformStrains(self: Kratos.ConstitutiveLaw, arg0: Kratos.Vector, arg1: Kratos.Matrix, arg2: Kratos.StrainMeasure, arg3: Kratos.StrainMeasure) -> Kratos.Vector"""
    @overload
    def WorkingSpaceDimension(self) -> int:
        """WorkingSpaceDimension(*args, **kwargs)
        Overloaded function.

        1. WorkingSpaceDimension(self: Kratos.ConstitutiveLaw) -> int

        2. WorkingSpaceDimension(self: Kratos.ConstitutiveLaw) -> int
        """
    @overload
    def WorkingSpaceDimension(self) -> int:
        """WorkingSpaceDimension(*args, **kwargs)
        Overloaded function.

        1. WorkingSpaceDimension(self: Kratos.ConstitutiveLaw) -> int

        2. WorkingSpaceDimension(self: Kratos.ConstitutiveLaw) -> int
        """

class ConstitutiveLawFeatures:
    def __init__(self) -> None:
        """__init__(self: Kratos.ConstitutiveLawFeatures) -> None"""
    def GetOptions(self) -> Flags:
        """GetOptions(self: Kratos.ConstitutiveLawFeatures) -> Kratos.Flags"""
    def GetSpaceDimension(self) -> int:
        """GetSpaceDimension(self: Kratos.ConstitutiveLawFeatures) -> int"""
    def GetStrainMeasures(self) -> list[StrainMeasure]:
        """GetStrainMeasures(self: Kratos.ConstitutiveLawFeatures) -> list[Kratos.StrainMeasure]"""
    def GetStrainSize(self) -> int:
        """GetStrainSize(self: Kratos.ConstitutiveLawFeatures) -> int"""
    def SetOptions(self, arg0: Flags) -> None:
        """SetOptions(self: Kratos.ConstitutiveLawFeatures, arg0: Kratos.Flags) -> None"""
    def SetSpaceDimension(self, arg0: int) -> None:
        """SetSpaceDimension(self: Kratos.ConstitutiveLawFeatures, arg0: int) -> None"""
    def SetStrainMeasure(self, arg0: StrainMeasure) -> None:
        """SetStrainMeasure(self: Kratos.ConstitutiveLawFeatures, arg0: Kratos.StrainMeasure) -> None"""
    def SetStrainMeasures(self, arg0: list[StrainMeasure]) -> None:
        """SetStrainMeasures(self: Kratos.ConstitutiveLawFeatures, arg0: list[Kratos.StrainMeasure]) -> None"""
    def SetStrainSize(self, arg0: int) -> None:
        """SetStrainSize(self: Kratos.ConstitutiveLawFeatures, arg0: int) -> None"""

class ConstitutiveLawParameters:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ConstitutiveLawParameters) -> None

        2. __init__(self: Kratos.ConstitutiveLawParameters, arg0: Kratos::Geometry<Kratos::Node>, arg1: Kratos.Properties, arg2: Kratos.ProcessInfo) -> None
        """
    @overload
    def __init__(self, arg0, arg1: Properties, arg2: ProcessInfo) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ConstitutiveLawParameters) -> None

        2. __init__(self: Kratos.ConstitutiveLawParameters, arg0: Kratos::Geometry<Kratos::Node>, arg1: Kratos.Properties, arg2: Kratos.ProcessInfo) -> None
        """
    def CheckAllParameters(self) -> bool:
        """CheckAllParameters(self: Kratos.ConstitutiveLawParameters) -> bool"""
    def CheckInfoMaterialGeometry(self) -> bool:
        """CheckInfoMaterialGeometry(self: Kratos.ConstitutiveLawParameters) -> bool"""
    def CheckMechanicalVariables(self) -> bool:
        """CheckMechanicalVariables(self: Kratos.ConstitutiveLawParameters) -> bool"""
    def CheckShapeFunctions(self) -> bool:
        """CheckShapeFunctions(self: Kratos.ConstitutiveLawParameters) -> bool"""
    @overload
    def GetConstitutiveMatrix(self) -> Matrix:
        """GetConstitutiveMatrix(*args, **kwargs)
        Overloaded function.

        1. GetConstitutiveMatrix(self: Kratos.ConstitutiveLawParameters) -> Kratos.Matrix

        2. GetConstitutiveMatrix(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def GetConstitutiveMatrix(self, arg0: Matrix) -> Matrix:
        """GetConstitutiveMatrix(*args, **kwargs)
        Overloaded function.

        1. GetConstitutiveMatrix(self: Kratos.ConstitutiveLawParameters) -> Kratos.Matrix

        2. GetConstitutiveMatrix(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def GetDeformationGradientF(self) -> Matrix:
        """GetDeformationGradientF(*args, **kwargs)
        Overloaded function.

        1. GetDeformationGradientF(self: Kratos.ConstitutiveLawParameters) -> Kratos.Matrix

        2. GetDeformationGradientF(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def GetDeformationGradientF(self, arg0: Matrix) -> Matrix:
        """GetDeformationGradientF(*args, **kwargs)
        Overloaded function.

        1. GetDeformationGradientF(self: Kratos.ConstitutiveLawParameters) -> Kratos.Matrix

        2. GetDeformationGradientF(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Matrix) -> Kratos.Matrix
        """
    def GetDeterminantF(self) -> float:
        """GetDeterminantF(self: Kratos.ConstitutiveLawParameters) -> float"""
    def GetElementGeometry(self, *args, **kwargs):
        """GetElementGeometry(self: Kratos.ConstitutiveLawParameters) -> Kratos::Geometry<Kratos::Node>"""
    def GetMaterialProperties(self) -> Properties:
        """GetMaterialProperties(self: Kratos.ConstitutiveLawParameters) -> Kratos.Properties"""
    def GetOptions(self) -> Flags:
        """GetOptions(self: Kratos.ConstitutiveLawParameters) -> Kratos.Flags"""
    def GetProcessInfo(self) -> ProcessInfo:
        """GetProcessInfo(self: Kratos.ConstitutiveLawParameters) -> Kratos.ProcessInfo"""
    def GetShapeFunctionsValues(self) -> Vector:
        """GetShapeFunctionsValues(self: Kratos.ConstitutiveLawParameters) -> Kratos.Vector"""
    @overload
    def GetStrainVector(self) -> Vector:
        """GetStrainVector(*args, **kwargs)
        Overloaded function.

        1. GetStrainVector(self: Kratos.ConstitutiveLawParameters) -> Kratos.Vector

        2. GetStrainVector(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Vector) -> Kratos.Vector
        """
    @overload
    def GetStrainVector(self, arg0: Vector) -> Vector:
        """GetStrainVector(*args, **kwargs)
        Overloaded function.

        1. GetStrainVector(self: Kratos.ConstitutiveLawParameters) -> Kratos.Vector

        2. GetStrainVector(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Vector) -> Kratos.Vector
        """
    @overload
    def GetStressVector(self) -> Vector:
        """GetStressVector(*args, **kwargs)
        Overloaded function.

        1. GetStressVector(self: Kratos.ConstitutiveLawParameters) -> Kratos.Vector

        2. GetStressVector(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Vector) -> Kratos.Vector
        """
    @overload
    def GetStressVector(self, arg0: Vector) -> Vector:
        """GetStressVector(*args, **kwargs)
        Overloaded function.

        1. GetStressVector(self: Kratos.ConstitutiveLawParameters) -> Kratos.Vector

        2. GetStressVector(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Vector) -> Kratos.Vector
        """
    def Reset(self, arg0: Flags) -> None:
        """Reset(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Flags) -> None"""
    def Set(self, arg0: Flags) -> None:
        """Set(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Flags) -> None"""
    def SetConstitutiveMatrix(self, arg0: Matrix) -> None:
        """SetConstitutiveMatrix(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Matrix) -> None"""
    def SetDeformationGradientF(self, arg0: Matrix) -> None:
        """SetDeformationGradientF(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Matrix) -> None"""
    def SetDeterminantF(self, arg0: float) -> None:
        """SetDeterminantF(self: Kratos.ConstitutiveLawParameters, arg0: float) -> None"""
    def SetElementGeometry(self, arg0) -> None:
        """SetElementGeometry(self: Kratos.ConstitutiveLawParameters, arg0: Kratos::Geometry<Kratos::Node>) -> None"""
    def SetMaterialProperties(self, arg0: Properties) -> None:
        """SetMaterialProperties(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Properties) -> None"""
    def SetOptions(self, arg0: Flags) -> None:
        """SetOptions(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Flags) -> None"""
    def SetProcessInfo(self, arg0: ProcessInfo) -> None:
        """SetProcessInfo(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.ProcessInfo) -> None"""
    def SetShapeFunctionsDerivatives(self, arg0: Matrix) -> None:
        """SetShapeFunctionsDerivatives(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Matrix) -> None"""
    def SetShapeFunctionsValues(self, arg0: Vector) -> None:
        """SetShapeFunctionsValues(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Vector) -> None"""
    def SetStrainVector(self, arg0: Vector) -> None:
        """SetStrainVector(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Vector) -> None"""
    def SetStressVector(self, arg0: Vector) -> None:
        """SetStressVector(self: Kratos.ConstitutiveLawParameters, arg0: Kratos.Vector) -> None"""

class ConstitutuveLawVariable(VariableData):
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class Controller:
    def __init__(self) -> None:
        """__init__(self: Kratos.Controller) -> None"""
    def Check(self) -> int:
        """Check(self: Kratos.Controller) -> int"""
    def Create(self, model, parameters) -> Controller:
        """Create(self: Kratos.Controller, model: Kratos::Model, parameters: Kratos::Parameters) -> Kratos.Controller"""
    def Evaluate(self) -> bool:
        """Evaluate(self: Kratos.Controller) -> bool"""
    def GetDefaultParameters(self, *args, **kwargs):
        """GetDefaultParameters(self: Kratos.Controller) -> Kratos::Parameters"""
    def Update(self) -> None:
        """Update(self: Kratos.Controller) -> None"""

class ConvectionDiffusionSettings:
    def __init__(self) -> None:
        """__init__(self: Kratos.ConvectionDiffusionSettings) -> None"""
    def GetConvectionVariable(self) -> Array1DVariable3:
        """GetConvectionVariable(self: Kratos.ConvectionDiffusionSettings) -> Kratos.Array1DVariable3"""
    def GetDensityVariable(self) -> DoubleVariable:
        """GetDensityVariable(self: Kratos.ConvectionDiffusionSettings) -> Kratos.DoubleVariable"""
    def GetDiffusionVariable(self) -> DoubleVariable:
        """GetDiffusionVariable(self: Kratos.ConvectionDiffusionSettings) -> Kratos.DoubleVariable"""
    def GetGradientVariable(self) -> Array1DVariable3:
        """GetGradientVariable(self: Kratos.ConvectionDiffusionSettings) -> Kratos.Array1DVariable3"""
    def GetMeshVelocityVariable(self) -> Array1DVariable3:
        """GetMeshVelocityVariable(self: Kratos.ConvectionDiffusionSettings) -> Kratos.Array1DVariable3"""
    def GetProjectionVariable(self) -> DoubleVariable:
        """GetProjectionVariable(self: Kratos.ConvectionDiffusionSettings) -> Kratos.DoubleVariable"""
    def GetReactionGradientVariable(self) -> Array1DVariable3:
        """GetReactionGradientVariable(self: Kratos.ConvectionDiffusionSettings) -> Kratos.Array1DVariable3"""
    def GetReactionVariable(self) -> DoubleVariable:
        """GetReactionVariable(self: Kratos.ConvectionDiffusionSettings) -> Kratos.DoubleVariable"""
    def GetSpecificHeatVariable(self) -> DoubleVariable:
        """GetSpecificHeatVariable(self: Kratos.ConvectionDiffusionSettings) -> Kratos.DoubleVariable"""
    def GetSurfaceSourceVariable(self) -> DoubleVariable:
        """GetSurfaceSourceVariable(self: Kratos.ConvectionDiffusionSettings) -> Kratos.DoubleVariable"""
    def GetTransferCoefficientVariable(self) -> DoubleVariable:
        """GetTransferCoefficientVariable(self: Kratos.ConvectionDiffusionSettings) -> Kratos.DoubleVariable"""
    def GetUnknownVariable(self) -> DoubleVariable:
        """GetUnknownVariable(self: Kratos.ConvectionDiffusionSettings) -> Kratos.DoubleVariable"""
    def GetVelocityVariable(self) -> Array1DVariable3:
        """GetVelocityVariable(self: Kratos.ConvectionDiffusionSettings) -> Kratos.Array1DVariable3"""
    def GetVolumeSourceVariable(self) -> DoubleVariable:
        """GetVolumeSourceVariable(self: Kratos.ConvectionDiffusionSettings) -> Kratos.DoubleVariable"""
    def IsDefinedConvectionVariable(self) -> bool:
        """IsDefinedConvectionVariable(self: Kratos.ConvectionDiffusionSettings) -> bool"""
    def IsDefinedDensityVariable(self) -> bool:
        """IsDefinedDensityVariable(self: Kratos.ConvectionDiffusionSettings) -> bool"""
    def IsDefinedDiffusionVariable(self) -> bool:
        """IsDefinedDiffusionVariable(self: Kratos.ConvectionDiffusionSettings) -> bool"""
    def IsDefinedGradientVariable(self) -> bool:
        """IsDefinedGradientVariable(self: Kratos.ConvectionDiffusionSettings) -> bool"""
    def IsDefinedMeshVelocityVariable(self) -> bool:
        """IsDefinedMeshVelocityVariable(self: Kratos.ConvectionDiffusionSettings) -> bool"""
    def IsDefinedProjectionVariable(self) -> bool:
        """IsDefinedProjectionVariable(self: Kratos.ConvectionDiffusionSettings) -> bool"""
    def IsDefinedReactionGradientVariable(self) -> bool:
        """IsDefinedReactionGradientVariable(self: Kratos.ConvectionDiffusionSettings) -> bool"""
    def IsDefinedReactionVariable(self) -> bool:
        """IsDefinedReactionVariable(self: Kratos.ConvectionDiffusionSettings) -> bool"""
    def IsDefinedSpecificHeatVariable(self) -> bool:
        """IsDefinedSpecificHeatVariable(self: Kratos.ConvectionDiffusionSettings) -> bool"""
    def IsDefinedSurfaceSourceVariable(self) -> bool:
        """IsDefinedSurfaceSourceVariable(self: Kratos.ConvectionDiffusionSettings) -> bool"""
    def IsDefinedTransferCoefficientVariable(self) -> bool:
        """IsDefinedTransferCoefficientVariable(self: Kratos.ConvectionDiffusionSettings) -> bool"""
    def IsDefinedUnknownVariable(self) -> bool:
        """IsDefinedUnknownVariable(self: Kratos.ConvectionDiffusionSettings) -> bool"""
    def IsDefinedVelocityVariable(self) -> bool:
        """IsDefinedVelocityVariable(self: Kratos.ConvectionDiffusionSettings) -> bool"""
    def IsDefinedVolumeSourceVariable(self) -> bool:
        """IsDefinedVolumeSourceVariable(self: Kratos.ConvectionDiffusionSettings) -> bool"""
    def SetConvectionVariable(self, arg0: Array1DVariable3) -> None:
        """SetConvectionVariable(self: Kratos.ConvectionDiffusionSettings, arg0: Kratos.Array1DVariable3) -> None"""
    def SetDensityVariable(self, arg0: DoubleVariable) -> None:
        """SetDensityVariable(self: Kratos.ConvectionDiffusionSettings, arg0: Kratos.DoubleVariable) -> None"""
    def SetDiffusionVariable(self, arg0: DoubleVariable) -> None:
        """SetDiffusionVariable(self: Kratos.ConvectionDiffusionSettings, arg0: Kratos.DoubleVariable) -> None"""
    def SetGradientVariable(self, arg0: Array1DVariable3) -> None:
        """SetGradientVariable(self: Kratos.ConvectionDiffusionSettings, arg0: Kratos.Array1DVariable3) -> None"""
    def SetMeshVelocityVariable(self, arg0: Array1DVariable3) -> None:
        """SetMeshVelocityVariable(self: Kratos.ConvectionDiffusionSettings, arg0: Kratos.Array1DVariable3) -> None"""
    def SetProjectionVariable(self, arg0: DoubleVariable) -> None:
        """SetProjectionVariable(self: Kratos.ConvectionDiffusionSettings, arg0: Kratos.DoubleVariable) -> None"""
    def SetReactionGradientVariable(self, arg0: Array1DVariable3) -> None:
        """SetReactionGradientVariable(self: Kratos.ConvectionDiffusionSettings, arg0: Kratos.Array1DVariable3) -> None"""
    def SetReactionVariable(self, arg0: DoubleVariable) -> None:
        """SetReactionVariable(self: Kratos.ConvectionDiffusionSettings, arg0: Kratos.DoubleVariable) -> None"""
    def SetSpecificHeatVariable(self, arg0: DoubleVariable) -> None:
        """SetSpecificHeatVariable(self: Kratos.ConvectionDiffusionSettings, arg0: Kratos.DoubleVariable) -> None"""
    def SetSurfaceSourceVariable(self, arg0: DoubleVariable) -> None:
        """SetSurfaceSourceVariable(self: Kratos.ConvectionDiffusionSettings, arg0: Kratos.DoubleVariable) -> None"""
    def SetTransferCoefficientVariable(self, arg0: DoubleVariable) -> None:
        """SetTransferCoefficientVariable(self: Kratos.ConvectionDiffusionSettings, arg0: Kratos.DoubleVariable) -> None"""
    def SetUnknownVariable(self, arg0: DoubleVariable) -> None:
        """SetUnknownVariable(self: Kratos.ConvectionDiffusionSettings, arg0: Kratos.DoubleVariable) -> None"""
    def SetVelocityVariable(self, arg0: Array1DVariable3) -> None:
        """SetVelocityVariable(self: Kratos.ConvectionDiffusionSettings, arg0: Kratos.Array1DVariable3) -> None"""
    def SetVolumeSourceVariable(self, arg0: DoubleVariable) -> None:
        """SetVolumeSourceVariable(self: Kratos.ConvectionDiffusionSettings, arg0: Kratos.DoubleVariable) -> None"""

class ConvectionDiffusionSettingsVariable(VariableData):
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class ConvergenceAccelerator:
    def __init__(self, arg0) -> None:
        """__init__(self: Kratos.ConvergenceAccelerator, arg0: Kratos::Parameters) -> None"""
    def Finalize(self) -> None:
        """Finalize(self: Kratos.ConvergenceAccelerator) -> None"""
    def FinalizeNonLinearIteration(self) -> None:
        """FinalizeNonLinearIteration(self: Kratos.ConvergenceAccelerator) -> None"""
    def FinalizeSolutionStep(self) -> None:
        """FinalizeSolutionStep(self: Kratos.ConvergenceAccelerator) -> None"""
    def GetEchoLevel(self) -> int:
        """GetEchoLevel(self: Kratos.ConvergenceAccelerator) -> int"""
    def Initialize(self) -> None:
        """Initialize(self: Kratos.ConvergenceAccelerator) -> None"""
    def InitializeNonLinearIteration(self) -> None:
        """InitializeNonLinearIteration(self: Kratos.ConvergenceAccelerator) -> None"""
    def InitializeSolutionStep(self) -> None:
        """InitializeSolutionStep(self: Kratos.ConvergenceAccelerator) -> None"""
    def IsBlockNewton(self) -> bool:
        """IsBlockNewton(self: Kratos.ConvergenceAccelerator) -> bool"""
    def SetEchoLevel(self, arg0: int) -> None:
        """SetEchoLevel(self: Kratos.ConvergenceAccelerator, arg0: int) -> None"""
    def UpdateSolution(self, arg0: Vector, arg1: Vector) -> None:
        """UpdateSolution(self: Kratos.ConvergenceAccelerator, arg0: Kratos.Vector, arg1: Kratos.Vector) -> None"""

class ConvergenceCriteria:
    def __init__(self) -> None:
        """__init__(self: Kratos.ConvergenceCriteria) -> None"""
    def Check(self, arg0: ModelPart) -> int:
        """Check(self: Kratos.ConvergenceCriteria, arg0: Kratos.ModelPart) -> int"""
    def Create(self, arg0) -> ConvergenceCriteria:
        """Create(self: Kratos.ConvergenceCriteria, arg0: Kratos::Parameters) -> Kratos.ConvergenceCriteria"""
    def FinalizeNonLinearIteration(self, arg0: ModelPart, arg1: DofsArrayType, arg2: CompressedMatrix, arg3: Vector, arg4: Vector) -> None:
        """FinalizeNonLinearIteration(self: Kratos.ConvergenceCriteria, arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector, arg4: Kratos.Vector) -> None"""
    def FinalizeSolutionStep(self, arg0: ModelPart, arg1: DofsArrayType, arg2: CompressedMatrix, arg3: Vector, arg4: Vector) -> None:
        """FinalizeSolutionStep(self: Kratos.ConvergenceCriteria, arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector, arg4: Kratos.Vector) -> None"""
    def GetActualizeRHSflag(self) -> bool:
        """GetActualizeRHSflag(self: Kratos.ConvergenceCriteria) -> bool"""
    def GetDefaultParameters(self, *args, **kwargs):
        """GetDefaultParameters(self: Kratos.ConvergenceCriteria) -> Kratos::Parameters"""
    def Info(self) -> str:
        """Info(self: Kratos.ConvergenceCriteria) -> str"""
    def Initialize(self, arg0: ModelPart) -> None:
        """Initialize(self: Kratos.ConvergenceCriteria, arg0: Kratos.ModelPart) -> None"""
    def InitializeNonLinearIteration(self, arg0: ModelPart, arg1: DofsArrayType, arg2: CompressedMatrix, arg3: Vector, arg4: Vector) -> None:
        """InitializeNonLinearIteration(self: Kratos.ConvergenceCriteria, arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector, arg4: Kratos.Vector) -> None"""
    def InitializeSolutionStep(self, arg0: ModelPart, arg1: DofsArrayType, arg2: CompressedMatrix, arg3: Vector, arg4: Vector) -> None:
        """InitializeSolutionStep(self: Kratos.ConvergenceCriteria, arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector, arg4: Kratos.Vector) -> None"""
    def PostCriteria(self, arg0: ModelPart, arg1: DofsArrayType, arg2: CompressedMatrix, arg3: Vector, arg4: Vector) -> bool:
        """PostCriteria(self: Kratos.ConvergenceCriteria, arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector, arg4: Kratos.Vector) -> bool"""
    def PreCriteria(self, arg0: ModelPart, arg1: DofsArrayType, arg2: CompressedMatrix, arg3: Vector, arg4: Vector) -> bool:
        """PreCriteria(self: Kratos.ConvergenceCriteria, arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector, arg4: Kratos.Vector) -> bool"""
    def SetActualizeRHSFlag(self, arg0: bool) -> None:
        """SetActualizeRHSFlag(self: Kratos.ConvergenceCriteria, arg0: bool) -> None"""
    def SetEchoLevel(self, arg0: int) -> None:
        """SetEchoLevel(self: Kratos.ConvergenceCriteria, arg0: int) -> None"""

class CoordinateTransformationUtils:
    def __init__(self, arg0: int, arg1: int, arg2: Flags) -> None:
        """__init__(self: Kratos.CoordinateTransformationUtils, arg0: int, arg1: int, arg2: Kratos.Flags) -> None"""
    @overload
    def ApplySlipCondition(self, arg0: Matrix, arg1: Vector, arg2) -> None:
        """ApplySlipCondition(*args, **kwargs)
        Overloaded function.

        1. ApplySlipCondition(self: Kratos.CoordinateTransformationUtils, arg0: Kratos.Matrix, arg1: Kratos.Vector, arg2: Kratos::Geometry<Kratos::Node>) -> None

        2. ApplySlipCondition(self: Kratos.CoordinateTransformationUtils, arg0: Kratos.Vector, arg1: Kratos::Geometry<Kratos::Node>) -> None
        """
    @overload
    def ApplySlipCondition(self, arg0: Vector, arg1) -> None:
        """ApplySlipCondition(*args, **kwargs)
        Overloaded function.

        1. ApplySlipCondition(self: Kratos.CoordinateTransformationUtils, arg0: Kratos.Matrix, arg1: Kratos.Vector, arg2: Kratos::Geometry<Kratos::Node>) -> None

        2. ApplySlipCondition(self: Kratos.CoordinateTransformationUtils, arg0: Kratos.Vector, arg1: Kratos::Geometry<Kratos::Node>) -> None
        """
    def CalculateRotationOperatorPure(self, arg0: Matrix, arg1: Node) -> None:
        """CalculateRotationOperatorPure(self: Kratos.CoordinateTransformationUtils, arg0: Kratos.Matrix, arg1: Kratos.Node) -> None"""
    def CalculateRotationOperatorPureShapeSensitivities(self, arg0: Matrix, arg1: int, arg2: int, arg3: Node) -> None:
        """CalculateRotationOperatorPureShapeSensitivities(self: Kratos.CoordinateTransformationUtils, arg0: Kratos.Matrix, arg1: int, arg2: int, arg3: Kratos.Node) -> None"""
    def RecoverVelocities(self, arg0: ModelPart) -> None:
        """RecoverVelocities(self: Kratos.CoordinateTransformationUtils, arg0: Kratos.ModelPart) -> None"""
    @overload
    def Rotate(self, arg0: Matrix, arg1: Vector, arg2) -> None:
        """Rotate(*args, **kwargs)
        Overloaded function.

        1. Rotate(self: Kratos.CoordinateTransformationUtils, arg0: Kratos.Matrix, arg1: Kratos.Vector, arg2: Kratos::Geometry<Kratos::Node>) -> None

        2. Rotate(self: Kratos.CoordinateTransformationUtils, arg0: Kratos.Vector, arg1: Kratos::Geometry<Kratos::Node>) -> None
        """
    @overload
    def Rotate(self, arg0: Vector, arg1) -> None:
        """Rotate(*args, **kwargs)
        Overloaded function.

        1. Rotate(self: Kratos.CoordinateTransformationUtils, arg0: Kratos.Matrix, arg1: Kratos.Vector, arg2: Kratos::Geometry<Kratos::Node>) -> None

        2. Rotate(self: Kratos.CoordinateTransformationUtils, arg0: Kratos.Vector, arg1: Kratos::Geometry<Kratos::Node>) -> None
        """
    def RotateVelocities(self, arg0: ModelPart) -> None:
        """RotateVelocities(self: Kratos.CoordinateTransformationUtils, arg0: Kratos.ModelPart) -> None"""

class CopyPropertiesModeler(Modeler):
    @overload
    def __init__(self, arg0: Model, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CopyPropertiesModeler, arg0: Kratos.Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.CopyPropertiesModeler, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CopyPropertiesModeler, arg0: Kratos.Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.CopyPropertiesModeler, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None
        """

class CppRegistry:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @classmethod
    def GetItem(cls, arg0: str) -> RegistryItem:
        """GetItem(arg0: str) -> Kratos.RegistryItem"""
    @classmethod
    def GetModeler(cls, arg0: str) -> Modeler:
        """GetModeler(arg0: str) -> Kratos.Modeler"""
    @classmethod
    def GetOperation(cls, arg0: str) -> Operation:
        """GetOperation(arg0: str) -> Kratos.Operation"""
    @classmethod
    def GetProcess(cls, arg0: str) -> Process:
        """GetProcess(arg0: str) -> Kratos.Process"""
    @classmethod
    def HasItem(cls, arg0: str) -> bool:
        """HasItem(arg0: str) -> bool"""
    @classmethod
    def HasItems(cls, arg0: str) -> bool:
        """HasItems(arg0: str) -> bool"""
    @classmethod
    def HasValue(cls, arg0: str) -> bool:
        """HasValue(arg0: str) -> bool"""
    @classmethod
    def RemoveItem(cls, arg0: str) -> None:
        """RemoveItem(arg0: str) -> None"""
    @classmethod
    def keys(cls) -> list:
        """keys() -> list"""
    @classmethod
    def size(cls) -> int:
        """size() -> int"""

class CreateEntitiesFromGeometriesModeler(Modeler):
    def __init__(self, arg0: Model, arg1) -> None:
        """__init__(self: Kratos.CreateEntitiesFromGeometriesModeler, arg0: Kratos.Model, arg1: Kratos::Parameters) -> None"""

class CsrMatrix:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CsrMatrix) -> None

        2. __init__(self: Kratos.CsrMatrix, arg0: Kratos.DataCommunicator) -> None

        3. __init__(self: Kratos.CsrMatrix, arg0: Kratos.CsrMatrix) -> None

        4. __init__(self: Kratos.CsrMatrix, arg0: Kratos.SparseGraph) -> None

        5. __init__(self: Kratos.CsrMatrix, arg0: Kratos.SparseContiguousRowGraph) -> None
        """
    @overload
    def __init__(self, arg0: DataCommunicator) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CsrMatrix) -> None

        2. __init__(self: Kratos.CsrMatrix, arg0: Kratos.DataCommunicator) -> None

        3. __init__(self: Kratos.CsrMatrix, arg0: Kratos.CsrMatrix) -> None

        4. __init__(self: Kratos.CsrMatrix, arg0: Kratos.SparseGraph) -> None

        5. __init__(self: Kratos.CsrMatrix, arg0: Kratos.SparseContiguousRowGraph) -> None
        """
    @overload
    def __init__(self, arg0: CsrMatrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CsrMatrix) -> None

        2. __init__(self: Kratos.CsrMatrix, arg0: Kratos.DataCommunicator) -> None

        3. __init__(self: Kratos.CsrMatrix, arg0: Kratos.CsrMatrix) -> None

        4. __init__(self: Kratos.CsrMatrix, arg0: Kratos.SparseGraph) -> None

        5. __init__(self: Kratos.CsrMatrix, arg0: Kratos.SparseContiguousRowGraph) -> None
        """
    @overload
    def __init__(self, arg0: SparseGraph) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CsrMatrix) -> None

        2. __init__(self: Kratos.CsrMatrix, arg0: Kratos.DataCommunicator) -> None

        3. __init__(self: Kratos.CsrMatrix, arg0: Kratos.CsrMatrix) -> None

        4. __init__(self: Kratos.CsrMatrix, arg0: Kratos.SparseGraph) -> None

        5. __init__(self: Kratos.CsrMatrix, arg0: Kratos.SparseContiguousRowGraph) -> None
        """
    @overload
    def __init__(self, arg0: SparseContiguousRowGraph) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.CsrMatrix) -> None

        2. __init__(self: Kratos.CsrMatrix, arg0: Kratos.DataCommunicator) -> None

        3. __init__(self: Kratos.CsrMatrix, arg0: Kratos.CsrMatrix) -> None

        4. __init__(self: Kratos.CsrMatrix, arg0: Kratos.SparseGraph) -> None

        5. __init__(self: Kratos.CsrMatrix, arg0: Kratos.SparseContiguousRowGraph) -> None
        """
    def ApplyHomogeneousDirichlet(self, arg0: Vector, arg1: float, arg2: Vector) -> None:
        """ApplyHomogeneousDirichlet(*args, **kwargs)
        Overloaded function.

        1. ApplyHomogeneousDirichlet(self: Kratos.CsrMatrix, arg0: Kratos.Vector, arg1: float, arg2: Kratos.Vector) -> None

        2. ApplyHomogeneousDirichlet(self: Kratos.CsrMatrix, arg0: Kratos::SystemVector<double,unsigned __int64>, arg1: float, arg2: Kratos::SystemVector<double,unsigned __int64>) -> None
        """
    @overload
    def Assemble(self, arg0: Matrix, arg1: list[int]) -> None:
        """Assemble(*args, **kwargs)
        Overloaded function.

        1. Assemble(self: Kratos.CsrMatrix, arg0: Kratos.Matrix, arg1: list[int]) -> None

        2. Assemble(self: Kratos.CsrMatrix, arg0: Kratos.Matrix, arg1: list[int], arg2: list[int]) -> None
        """
    @overload
    def Assemble(self, arg0: Matrix, arg1: list[int], arg2: list[int]) -> None:
        """Assemble(*args, **kwargs)
        Overloaded function.

        1. Assemble(self: Kratos.CsrMatrix, arg0: Kratos.Matrix, arg1: list[int]) -> None

        2. Assemble(self: Kratos.CsrMatrix, arg0: Kratos.Matrix, arg1: list[int], arg2: list[int]) -> None
        """
    def AssembleEntry(self, arg0: float, arg1: int, arg2: int) -> None:
        """AssembleEntry(self: Kratos.CsrMatrix, arg0: float, arg1: int, arg2: int) -> None"""
    def BeginAssemble(self) -> None:
        """BeginAssemble(self: Kratos.CsrMatrix) -> None"""
    def FinalizeAssemble(self) -> None:
        """FinalizeAssemble(self: Kratos.CsrMatrix) -> None"""
    def GetComm(self) -> DataCommunicator:
        """GetComm(self: Kratos.CsrMatrix) -> Kratos.DataCommunicator"""
    def SetValue(self, arg0: float) -> None:
        """SetValue(self: Kratos.CsrMatrix, arg0: float) -> None"""
    def Size1(self) -> int:
        """Size1(self: Kratos.CsrMatrix) -> int"""
    def Size2(self) -> int:
        """Size2(self: Kratos.CsrMatrix) -> int"""
    def SpMM(self, arg0: CsrMatrix) -> CsrMatrix:
        """SpMM(self: Kratos.CsrMatrix, arg0: Kratos.CsrMatrix) -> Kratos.CsrMatrix"""
    def SpMV(self, arg0: Vector, arg1: Vector) -> None:
        """SpMV(*args, **kwargs)
        Overloaded function.

        1. SpMV(self: Kratos.CsrMatrix, arg0: Kratos::SystemVector<double,unsigned __int64>, arg1: Kratos::SystemVector<double,unsigned __int64>) -> None

        2. SpMV(self: Kratos.CsrMatrix, arg0: Kratos.Vector, arg1: Kratos.Vector) -> None
        """
    def Transpose(self) -> CsrMatrix:
        """Transpose(self: Kratos.CsrMatrix) -> Kratos.CsrMatrix"""
    def TransposeSpMV(self, *args, **kwargs):
        """TransposeSpMV(self: Kratos.CsrMatrix, arg0: Kratos::SystemVector<double,unsigned __int64>, arg1: Kratos::SystemVector<double,unsigned __int64>) -> None"""
    def copy(self) -> CsrMatrix:
        """copy(self: Kratos.CsrMatrix) -> Kratos.CsrMatrix"""
    def index1_data(self) -> numpy.ndarray[numpy.uint64]:
        """index1_data(self: Kratos.CsrMatrix) -> numpy.ndarray[numpy.uint64]"""
    def index2_data(self) -> numpy.ndarray[numpy.uint64]:
        """index2_data(self: Kratos.CsrMatrix) -> numpy.ndarray[numpy.uint64]"""
    def nnz(self) -> int:
        """nnz(self: Kratos.CsrMatrix) -> int"""
    def size1(self) -> int:
        """size1(self: Kratos.CsrMatrix) -> int"""
    def size2(self) -> int:
        """size2(self: Kratos.CsrMatrix) -> int"""
    def value_data(self) -> numpy.ndarray[numpy.float64]:
        """value_data(self: Kratos.CsrMatrix) -> numpy.ndarray[numpy.float64]"""
    def __getitem__(self, arg0: tuple[int, int]) -> float:
        """__getitem__(self: Kratos.CsrMatrix, arg0: tuple[int, int]) -> float"""
    def __matmul__(self, arg0: CsrMatrix) -> CsrMatrix:
        """__matmul__(*args, **kwargs)
        Overloaded function.

        1. __matmul__(self: Kratos.CsrMatrix, arg0: Kratos::SystemVector<double,unsigned __int64>) -> Kratos::SystemVector<double,unsigned __int64>

        2. __matmul__(self: Kratos.CsrMatrix, arg0: Kratos.Vector) -> Kratos::SystemVector<double,unsigned __int64>

        3. __matmul__(self: Kratos.CsrMatrix, arg0: Kratos.CsrMatrix) -> Kratos.CsrMatrix
        """
    def __setitem__(self, arg0: tuple[int, int], arg1: float) -> None:
        """__setitem__(self: Kratos.CsrMatrix, arg0: tuple[int, int], arg1: float) -> None"""

class CuttingUtility:
    def __init__(self) -> None:
        """__init__(self: Kratos.CuttingUtility) -> None"""
    def AddSkinConditions(self, arg0: ModelPart, arg1: ModelPart, arg2: int) -> None:
        """AddSkinConditions(self: Kratos.CuttingUtility, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: int) -> None"""
    def AddVariablesToCutModelPart(self, arg0: ModelPart, arg1: ModelPart) -> None:
        """AddVariablesToCutModelPart(self: Kratos.CuttingUtility, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None"""
    def FindSmallestEdge(self, arg0: ModelPart) -> None:
        """FindSmallestEdge(self: Kratos.CuttingUtility, arg0: Kratos.ModelPart) -> None"""
    def GenerateCut(self, arg0: ModelPart, arg1: ModelPart, arg2: Array3, arg3: Array3, arg4: int, arg5: float) -> None:
        """GenerateCut(self: Kratos.CuttingUtility, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array3, arg3: Kratos.Array3, arg4: int, arg5: float) -> None"""
    def UpdateCutData(self, arg0: ModelPart, arg1: ModelPart) -> None:
        """UpdateCutData(self: Kratos.CuttingUtility, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None"""

class DataCommunicator:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    def AllGatherArray3s(self, list_of_Array3s: list[Array3]) -> list[Array3]:
        """AllGatherArray3s(self: Kratos.DataCommunicator, list_of_Array3s: list[Kratos.Array3]) -> list[Kratos.Array3]"""
    def AllGatherArray4s(self, list_of_Array4s: list[Array4]) -> list[Array4]:
        """AllGatherArray4s(self: Kratos.DataCommunicator, list_of_Array4s: list[Kratos.Array4]) -> list[Kratos.Array4]"""
    def AllGatherArray6s(self, list_of_Array6s: list[Array6]) -> list[Array6]:
        """AllGatherArray6s(self: Kratos.DataCommunicator, list_of_Array6s: list[Kratos.Array6]) -> list[Kratos.Array6]"""
    def AllGatherArray9s(self, list_of_Array9s: list[Array9]) -> list[Array9]:
        """AllGatherArray9s(self: Kratos.DataCommunicator, list_of_Array9s: list[Kratos.Array9]) -> list[Kratos.Array9]"""
    def AllGatherDoubles(self, list_of_Doubles: list[float]) -> list[float]:
        """AllGatherDoubles(self: Kratos.DataCommunicator, list_of_Doubles: list[float]) -> list[float]"""
    def AllGatherInts(self, list_of_Ints: list[int]) -> list[int]:
        """AllGatherInts(self: Kratos.DataCommunicator, list_of_Ints: list[int]) -> list[int]"""
    def AllGatherMatrices(self, list_of_Matrices: list[Matrix]) -> list[Matrix]:
        """AllGatherMatrices(self: Kratos.DataCommunicator, list_of_Matrices: list[Kratos.Matrix]) -> list[Kratos.Matrix]"""
    def AllGatherVectors(self, list_of_Vectors: list[Vector]) -> list[Vector]:
        """AllGatherVectors(self: Kratos.DataCommunicator, list_of_Vectors: list[Kratos.Vector]) -> list[Kratos.Vector]"""
    def AllGathervArray3s(self, list_of_Array3s: list[Array3]) -> list[list[Array3]]:
        """AllGathervArray3s(self: Kratos.DataCommunicator, list_of_Array3s: list[Kratos.Array3]) -> list[list[Kratos.Array3]]"""
    def AllGathervArray4s(self, list_of_Array4s: list[Array4]) -> list[list[Array4]]:
        """AllGathervArray4s(self: Kratos.DataCommunicator, list_of_Array4s: list[Kratos.Array4]) -> list[list[Kratos.Array4]]"""
    def AllGathervArray6s(self, list_of_Array6s: list[Array6]) -> list[list[Array6]]:
        """AllGathervArray6s(self: Kratos.DataCommunicator, list_of_Array6s: list[Kratos.Array6]) -> list[list[Kratos.Array6]]"""
    def AllGathervArray9s(self, list_of_Array9s: list[Array9]) -> list[list[Array9]]:
        """AllGathervArray9s(self: Kratos.DataCommunicator, list_of_Array9s: list[Kratos.Array9]) -> list[list[Kratos.Array9]]"""
    def AllGathervDoubles(self, list_of_Doubles: list[float]) -> list[list[float]]:
        """AllGathervDoubles(self: Kratos.DataCommunicator, list_of_Doubles: list[float]) -> list[list[float]]"""
    def AllGathervInts(self, list_of_Ints: list[int]) -> list[list[int]]:
        """AllGathervInts(self: Kratos.DataCommunicator, list_of_Ints: list[int]) -> list[list[int]]"""
    def AllGathervMatrices(self, list_of_Matrices: list[Matrix]) -> list[list[Matrix]]:
        """AllGathervMatrices(self: Kratos.DataCommunicator, list_of_Matrices: list[Kratos.Matrix]) -> list[list[Kratos.Matrix]]"""
    def AllGathervVectors(self, list_of_Vectors: list[Vector]) -> list[list[Vector]]:
        """AllGathervVectors(self: Kratos.DataCommunicator, list_of_Vectors: list[Kratos.Vector]) -> list[list[Kratos.Vector]]"""
    def Barrier(self) -> None:
        """Barrier(self: Kratos.DataCommunicator) -> None"""
    @overload
    def Broadcast(self, Int_value: int, source_rank: int) -> int:
        """Broadcast(*args, **kwargs)
        Overloaded function.

        1. Broadcast(self: Kratos.DataCommunicator, Int_value: int, source_rank: int) -> int

        2. Broadcast(self: Kratos.DataCommunicator, Double_value: float, source_rank: int) -> float

        3. Broadcast(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, source_rank: int) -> Kratos.Array3

        4. Broadcast(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, source_rank: int) -> Kratos.Array4

        5. Broadcast(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, source_rank: int) -> Kratos.Array6

        6. Broadcast(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, source_rank: int) -> Kratos.Array9

        7. Broadcast(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, source_rank: int) -> Kratos.Vector

        8. Broadcast(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, source_rank: int) -> Kratos.Matrix

        9. Broadcast(self: Kratos.DataCommunicator, arg0: str, arg1: int) -> str
        """
    @overload
    def Broadcast(self, Double_value: float, source_rank: int) -> float:
        """Broadcast(*args, **kwargs)
        Overloaded function.

        1. Broadcast(self: Kratos.DataCommunicator, Int_value: int, source_rank: int) -> int

        2. Broadcast(self: Kratos.DataCommunicator, Double_value: float, source_rank: int) -> float

        3. Broadcast(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, source_rank: int) -> Kratos.Array3

        4. Broadcast(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, source_rank: int) -> Kratos.Array4

        5. Broadcast(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, source_rank: int) -> Kratos.Array6

        6. Broadcast(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, source_rank: int) -> Kratos.Array9

        7. Broadcast(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, source_rank: int) -> Kratos.Vector

        8. Broadcast(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, source_rank: int) -> Kratos.Matrix

        9. Broadcast(self: Kratos.DataCommunicator, arg0: str, arg1: int) -> str
        """
    @overload
    def Broadcast(self, Array3_value: Array3, source_rank: int) -> Array3:
        """Broadcast(*args, **kwargs)
        Overloaded function.

        1. Broadcast(self: Kratos.DataCommunicator, Int_value: int, source_rank: int) -> int

        2. Broadcast(self: Kratos.DataCommunicator, Double_value: float, source_rank: int) -> float

        3. Broadcast(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, source_rank: int) -> Kratos.Array3

        4. Broadcast(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, source_rank: int) -> Kratos.Array4

        5. Broadcast(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, source_rank: int) -> Kratos.Array6

        6. Broadcast(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, source_rank: int) -> Kratos.Array9

        7. Broadcast(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, source_rank: int) -> Kratos.Vector

        8. Broadcast(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, source_rank: int) -> Kratos.Matrix

        9. Broadcast(self: Kratos.DataCommunicator, arg0: str, arg1: int) -> str
        """
    @overload
    def Broadcast(self, Array4_value: Array4, source_rank: int) -> Array4:
        """Broadcast(*args, **kwargs)
        Overloaded function.

        1. Broadcast(self: Kratos.DataCommunicator, Int_value: int, source_rank: int) -> int

        2. Broadcast(self: Kratos.DataCommunicator, Double_value: float, source_rank: int) -> float

        3. Broadcast(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, source_rank: int) -> Kratos.Array3

        4. Broadcast(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, source_rank: int) -> Kratos.Array4

        5. Broadcast(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, source_rank: int) -> Kratos.Array6

        6. Broadcast(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, source_rank: int) -> Kratos.Array9

        7. Broadcast(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, source_rank: int) -> Kratos.Vector

        8. Broadcast(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, source_rank: int) -> Kratos.Matrix

        9. Broadcast(self: Kratos.DataCommunicator, arg0: str, arg1: int) -> str
        """
    @overload
    def Broadcast(self, Array6_value: Array6, source_rank: int) -> Array6:
        """Broadcast(*args, **kwargs)
        Overloaded function.

        1. Broadcast(self: Kratos.DataCommunicator, Int_value: int, source_rank: int) -> int

        2. Broadcast(self: Kratos.DataCommunicator, Double_value: float, source_rank: int) -> float

        3. Broadcast(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, source_rank: int) -> Kratos.Array3

        4. Broadcast(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, source_rank: int) -> Kratos.Array4

        5. Broadcast(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, source_rank: int) -> Kratos.Array6

        6. Broadcast(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, source_rank: int) -> Kratos.Array9

        7. Broadcast(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, source_rank: int) -> Kratos.Vector

        8. Broadcast(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, source_rank: int) -> Kratos.Matrix

        9. Broadcast(self: Kratos.DataCommunicator, arg0: str, arg1: int) -> str
        """
    @overload
    def Broadcast(self, Array9_value: Array9, source_rank: int) -> Array9:
        """Broadcast(*args, **kwargs)
        Overloaded function.

        1. Broadcast(self: Kratos.DataCommunicator, Int_value: int, source_rank: int) -> int

        2. Broadcast(self: Kratos.DataCommunicator, Double_value: float, source_rank: int) -> float

        3. Broadcast(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, source_rank: int) -> Kratos.Array3

        4. Broadcast(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, source_rank: int) -> Kratos.Array4

        5. Broadcast(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, source_rank: int) -> Kratos.Array6

        6. Broadcast(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, source_rank: int) -> Kratos.Array9

        7. Broadcast(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, source_rank: int) -> Kratos.Vector

        8. Broadcast(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, source_rank: int) -> Kratos.Matrix

        9. Broadcast(self: Kratos.DataCommunicator, arg0: str, arg1: int) -> str
        """
    @overload
    def Broadcast(self, Vector_value: Vector, source_rank: int) -> Vector:
        """Broadcast(*args, **kwargs)
        Overloaded function.

        1. Broadcast(self: Kratos.DataCommunicator, Int_value: int, source_rank: int) -> int

        2. Broadcast(self: Kratos.DataCommunicator, Double_value: float, source_rank: int) -> float

        3. Broadcast(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, source_rank: int) -> Kratos.Array3

        4. Broadcast(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, source_rank: int) -> Kratos.Array4

        5. Broadcast(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, source_rank: int) -> Kratos.Array6

        6. Broadcast(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, source_rank: int) -> Kratos.Array9

        7. Broadcast(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, source_rank: int) -> Kratos.Vector

        8. Broadcast(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, source_rank: int) -> Kratos.Matrix

        9. Broadcast(self: Kratos.DataCommunicator, arg0: str, arg1: int) -> str
        """
    @overload
    def Broadcast(self, Matrix_value: Matrix, source_rank: int) -> Matrix:
        """Broadcast(*args, **kwargs)
        Overloaded function.

        1. Broadcast(self: Kratos.DataCommunicator, Int_value: int, source_rank: int) -> int

        2. Broadcast(self: Kratos.DataCommunicator, Double_value: float, source_rank: int) -> float

        3. Broadcast(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, source_rank: int) -> Kratos.Array3

        4. Broadcast(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, source_rank: int) -> Kratos.Array4

        5. Broadcast(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, source_rank: int) -> Kratos.Array6

        6. Broadcast(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, source_rank: int) -> Kratos.Array9

        7. Broadcast(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, source_rank: int) -> Kratos.Vector

        8. Broadcast(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, source_rank: int) -> Kratos.Matrix

        9. Broadcast(self: Kratos.DataCommunicator, arg0: str, arg1: int) -> str
        """
    @overload
    def Broadcast(self, arg0: str, arg1: int) -> str:
        """Broadcast(*args, **kwargs)
        Overloaded function.

        1. Broadcast(self: Kratos.DataCommunicator, Int_value: int, source_rank: int) -> int

        2. Broadcast(self: Kratos.DataCommunicator, Double_value: float, source_rank: int) -> float

        3. Broadcast(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, source_rank: int) -> Kratos.Array3

        4. Broadcast(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, source_rank: int) -> Kratos.Array4

        5. Broadcast(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, source_rank: int) -> Kratos.Array6

        6. Broadcast(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, source_rank: int) -> Kratos.Array9

        7. Broadcast(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, source_rank: int) -> Kratos.Vector

        8. Broadcast(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, source_rank: int) -> Kratos.Matrix

        9. Broadcast(self: Kratos.DataCommunicator, arg0: str, arg1: int) -> str
        """
    def BroadcastArray3s(self, list_of_Array3s: list[Array3], source_rank: int) -> list[Array3]:
        """BroadcastArray3s(self: Kratos.DataCommunicator, list_of_Array3s: list[Kratos.Array3], source_rank: int) -> list[Kratos.Array3]"""
    def BroadcastArray4s(self, list_of_Array4s: list[Array4], source_rank: int) -> list[Array4]:
        """BroadcastArray4s(self: Kratos.DataCommunicator, list_of_Array4s: list[Kratos.Array4], source_rank: int) -> list[Kratos.Array4]"""
    def BroadcastArray6s(self, list_of_Array6s: list[Array6], source_rank: int) -> list[Array6]:
        """BroadcastArray6s(self: Kratos.DataCommunicator, list_of_Array6s: list[Kratos.Array6], source_rank: int) -> list[Kratos.Array6]"""
    def BroadcastArray9s(self, list_of_Array9s: list[Array9], source_rank: int) -> list[Array9]:
        """BroadcastArray9s(self: Kratos.DataCommunicator, list_of_Array9s: list[Kratos.Array9], source_rank: int) -> list[Kratos.Array9]"""
    def BroadcastDoubles(self, list_of_Doubles: list[float], source_rank: int) -> list[float]:
        """BroadcastDoubles(self: Kratos.DataCommunicator, list_of_Doubles: list[float], source_rank: int) -> list[float]"""
    def BroadcastInts(self, list_of_Ints: list[int], source_rank: int) -> list[int]:
        """BroadcastInts(self: Kratos.DataCommunicator, list_of_Ints: list[int], source_rank: int) -> list[int]"""
    def BroadcastMatrices(self, list_of_Matrices: list[Matrix], source_rank: int) -> list[Matrix]:
        """BroadcastMatrices(self: Kratos.DataCommunicator, list_of_Matrices: list[Kratos.Matrix], source_rank: int) -> list[Kratos.Matrix]"""
    def BroadcastStrings(self, arg0: list[str], arg1: int) -> list[str]:
        """BroadcastStrings(self: Kratos.DataCommunicator, arg0: list[str], arg1: int) -> list[str]"""
    def BroadcastVectors(self, list_of_Vectors: list[Vector], source_rank: int) -> list[Vector]:
        """BroadcastVectors(self: Kratos.DataCommunicator, list_of_Vectors: list[Kratos.Vector], source_rank: int) -> list[Kratos.Vector]"""
    def GatherArray3s(self, list_of_Array3s: list[Array3], destination_rank: int) -> list[Array3]:
        """GatherArray3s(self: Kratos.DataCommunicator, list_of_Array3s: list[Kratos.Array3], destination_rank: int) -> list[Kratos.Array3]"""
    def GatherArray4s(self, list_of_Array4s: list[Array4], destination_rank: int) -> list[Array4]:
        """GatherArray4s(self: Kratos.DataCommunicator, list_of_Array4s: list[Kratos.Array4], destination_rank: int) -> list[Kratos.Array4]"""
    def GatherArray6s(self, list_of_Array6s: list[Array6], destination_rank: int) -> list[Array6]:
        """GatherArray6s(self: Kratos.DataCommunicator, list_of_Array6s: list[Kratos.Array6], destination_rank: int) -> list[Kratos.Array6]"""
    def GatherArray9s(self, list_of_Array9s: list[Array9], destination_rank: int) -> list[Array9]:
        """GatherArray9s(self: Kratos.DataCommunicator, list_of_Array9s: list[Kratos.Array9], destination_rank: int) -> list[Kratos.Array9]"""
    def GatherDoubles(self, list_of_Doubles: list[float], destination_rank: int) -> list[float]:
        """GatherDoubles(self: Kratos.DataCommunicator, list_of_Doubles: list[float], destination_rank: int) -> list[float]"""
    def GatherInts(self, list_of_Ints: list[int], destination_rank: int) -> list[int]:
        """GatherInts(self: Kratos.DataCommunicator, list_of_Ints: list[int], destination_rank: int) -> list[int]"""
    def GatherMatrices(self, list_of_Matrices: list[Matrix], destination_rank: int) -> list[Matrix]:
        """GatherMatrices(self: Kratos.DataCommunicator, list_of_Matrices: list[Kratos.Matrix], destination_rank: int) -> list[Kratos.Matrix]"""
    def GatherVectors(self, list_of_Vectors: list[Vector], destination_rank: int) -> list[Vector]:
        """GatherVectors(self: Kratos.DataCommunicator, list_of_Vectors: list[Kratos.Vector], destination_rank: int) -> list[Kratos.Vector]"""
    def GathervArray3s(self, list_of_Array3s: list[Array3], destination_rank: int) -> list[list[Array3]]:
        """GathervArray3s(self: Kratos.DataCommunicator, list_of_Array3s: list[Kratos.Array3], destination_rank: int) -> list[list[Kratos.Array3]]"""
    def GathervArray4s(self, list_of_Array4s: list[Array4], destination_rank: int) -> list[list[Array4]]:
        """GathervArray4s(self: Kratos.DataCommunicator, list_of_Array4s: list[Kratos.Array4], destination_rank: int) -> list[list[Kratos.Array4]]"""
    def GathervArray6s(self, list_of_Array6s: list[Array6], destination_rank: int) -> list[list[Array6]]:
        """GathervArray6s(self: Kratos.DataCommunicator, list_of_Array6s: list[Kratos.Array6], destination_rank: int) -> list[list[Kratos.Array6]]"""
    def GathervArray9s(self, list_of_Array9s: list[Array9], destination_rank: int) -> list[list[Array9]]:
        """GathervArray9s(self: Kratos.DataCommunicator, list_of_Array9s: list[Kratos.Array9], destination_rank: int) -> list[list[Kratos.Array9]]"""
    def GathervDoubles(self, list_of_Doubles: list[float], destination_rank: int) -> list[list[float]]:
        """GathervDoubles(self: Kratos.DataCommunicator, list_of_Doubles: list[float], destination_rank: int) -> list[list[float]]"""
    def GathervInts(self, list_of_Ints: list[int], destination_rank: int) -> list[list[int]]:
        """GathervInts(self: Kratos.DataCommunicator, list_of_Ints: list[int], destination_rank: int) -> list[list[int]]"""
    def GathervMatrices(self, list_of_Matrices: list[Matrix], destination_rank: int) -> list[list[Matrix]]:
        """GathervMatrices(self: Kratos.DataCommunicator, list_of_Matrices: list[Kratos.Matrix], destination_rank: int) -> list[list[Kratos.Matrix]]"""
    def GathervVectors(self, list_of_Vectors: list[Vector], destination_rank: int) -> list[list[Vector]]:
        """GathervVectors(self: Kratos.DataCommunicator, list_of_Vectors: list[Kratos.Vector], destination_rank: int) -> list[list[Kratos.Vector]]"""
    @classmethod
    def GetDefault(cls) -> DataCommunicator:
        """GetDefault() -> Kratos.DataCommunicator"""
    def IsDefinedOnThisRank(self) -> bool:
        """IsDefinedOnThisRank(self: Kratos.DataCommunicator) -> bool"""
    def IsDistributed(self) -> bool:
        """IsDistributed(self: Kratos.DataCommunicator) -> bool"""
    def IsNullOnThisRank(self) -> bool:
        """IsNullOnThisRank(self: Kratos.DataCommunicator) -> bool"""
    @overload
    def Max(self, Int_value: int, root: int) -> int:
        """Max(*args, **kwargs)
        Overloaded function.

        1. Max(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Max(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Max(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Max(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Max(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Max(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Max(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Max(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Max(self, Double_value: float, root: int) -> float:
        """Max(*args, **kwargs)
        Overloaded function.

        1. Max(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Max(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Max(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Max(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Max(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Max(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Max(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Max(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Max(self, Array3_value: Array3, root: int) -> Array3:
        """Max(*args, **kwargs)
        Overloaded function.

        1. Max(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Max(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Max(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Max(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Max(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Max(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Max(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Max(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Max(self, Array4_value: Array4, root: int) -> Array4:
        """Max(*args, **kwargs)
        Overloaded function.

        1. Max(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Max(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Max(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Max(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Max(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Max(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Max(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Max(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Max(self, Array6_value: Array6, root: int) -> Array6:
        """Max(*args, **kwargs)
        Overloaded function.

        1. Max(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Max(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Max(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Max(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Max(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Max(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Max(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Max(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Max(self, Array9_value: Array9, root: int) -> Array9:
        """Max(*args, **kwargs)
        Overloaded function.

        1. Max(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Max(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Max(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Max(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Max(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Max(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Max(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Max(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Max(self, Vector_value: Vector, root: int) -> Vector:
        """Max(*args, **kwargs)
        Overloaded function.

        1. Max(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Max(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Max(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Max(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Max(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Max(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Max(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Max(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Max(self, Matrix_value: Matrix, root: int) -> Matrix:
        """Max(*args, **kwargs)
        Overloaded function.

        1. Max(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Max(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Max(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Max(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Max(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Max(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Max(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Max(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def MaxAll(self, Int_value: int) -> int:
        """MaxAll(*args, **kwargs)
        Overloaded function.

        1. MaxAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MaxAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MaxAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MaxAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MaxAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MaxAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MaxAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MaxAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def MaxAll(self, Double_value: float) -> float:
        """MaxAll(*args, **kwargs)
        Overloaded function.

        1. MaxAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MaxAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MaxAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MaxAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MaxAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MaxAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MaxAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MaxAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def MaxAll(self, Array3_value: Array3) -> Array3:
        """MaxAll(*args, **kwargs)
        Overloaded function.

        1. MaxAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MaxAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MaxAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MaxAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MaxAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MaxAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MaxAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MaxAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def MaxAll(self, Array4_value: Array4) -> Array4:
        """MaxAll(*args, **kwargs)
        Overloaded function.

        1. MaxAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MaxAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MaxAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MaxAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MaxAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MaxAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MaxAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MaxAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def MaxAll(self, Array6_value: Array6) -> Array6:
        """MaxAll(*args, **kwargs)
        Overloaded function.

        1. MaxAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MaxAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MaxAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MaxAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MaxAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MaxAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MaxAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MaxAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def MaxAll(self, Array9_value: Array9) -> Array9:
        """MaxAll(*args, **kwargs)
        Overloaded function.

        1. MaxAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MaxAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MaxAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MaxAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MaxAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MaxAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MaxAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MaxAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def MaxAll(self, Vector_value: Vector) -> Vector:
        """MaxAll(*args, **kwargs)
        Overloaded function.

        1. MaxAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MaxAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MaxAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MaxAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MaxAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MaxAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MaxAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MaxAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def MaxAll(self, Matrix_value: Matrix) -> Matrix:
        """MaxAll(*args, **kwargs)
        Overloaded function.

        1. MaxAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MaxAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MaxAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MaxAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MaxAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MaxAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MaxAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MaxAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    def MaxAllArray3s(self, list_of_Array3s: list[Array3]) -> list[Array3]:
        """MaxAllArray3s(self: Kratos.DataCommunicator, list_of_Array3s: list[Kratos.Array3]) -> list[Kratos.Array3]"""
    def MaxAllArray4s(self, list_of_Array4s: list[Array4]) -> list[Array4]:
        """MaxAllArray4s(self: Kratos.DataCommunicator, list_of_Array4s: list[Kratos.Array4]) -> list[Kratos.Array4]"""
    def MaxAllArray6s(self, list_of_Array6s: list[Array6]) -> list[Array6]:
        """MaxAllArray6s(self: Kratos.DataCommunicator, list_of_Array6s: list[Kratos.Array6]) -> list[Kratos.Array6]"""
    def MaxAllArray9s(self, list_of_Array9s: list[Array9]) -> list[Array9]:
        """MaxAllArray9s(self: Kratos.DataCommunicator, list_of_Array9s: list[Kratos.Array9]) -> list[Kratos.Array9]"""
    def MaxAllDoubles(self, list_of_Doubles: list[float]) -> list[float]:
        """MaxAllDoubles(self: Kratos.DataCommunicator, list_of_Doubles: list[float]) -> list[float]"""
    def MaxAllInts(self, list_of_Ints: list[int]) -> list[int]:
        """MaxAllInts(self: Kratos.DataCommunicator, list_of_Ints: list[int]) -> list[int]"""
    def MaxAllMatrices(self, list_of_Matrices: list[Matrix]) -> list[Matrix]:
        """MaxAllMatrices(self: Kratos.DataCommunicator, list_of_Matrices: list[Kratos.Matrix]) -> list[Kratos.Matrix]"""
    def MaxAllVectors(self, list_of_Vectors: list[Vector]) -> list[Vector]:
        """MaxAllVectors(self: Kratos.DataCommunicator, list_of_Vectors: list[Kratos.Vector]) -> list[Kratos.Vector]"""
    def MaxArray3s(self, list_of_Array3s: list[Array3], root: int) -> list[Array3]:
        """MaxArray3s(self: Kratos.DataCommunicator, list_of_Array3s: list[Kratos.Array3], root: int) -> list[Kratos.Array3]"""
    def MaxArray4s(self, list_of_Array4s: list[Array4], root: int) -> list[Array4]:
        """MaxArray4s(self: Kratos.DataCommunicator, list_of_Array4s: list[Kratos.Array4], root: int) -> list[Kratos.Array4]"""
    def MaxArray6s(self, list_of_Array6s: list[Array6], root: int) -> list[Array6]:
        """MaxArray6s(self: Kratos.DataCommunicator, list_of_Array6s: list[Kratos.Array6], root: int) -> list[Kratos.Array6]"""
    def MaxArray9s(self, list_of_Array9s: list[Array9], root: int) -> list[Array9]:
        """MaxArray9s(self: Kratos.DataCommunicator, list_of_Array9s: list[Kratos.Array9], root: int) -> list[Kratos.Array9]"""
    def MaxDoubles(self, list_of_Doubles: list[float], root: int) -> list[float]:
        """MaxDoubles(self: Kratos.DataCommunicator, list_of_Doubles: list[float], root: int) -> list[float]"""
    def MaxInts(self, list_of_Ints: list[int], root: int) -> list[int]:
        """MaxInts(self: Kratos.DataCommunicator, list_of_Ints: list[int], root: int) -> list[int]"""
    @overload
    def MaxLocAll(self, Int_value: int) -> tuple[int, int]:
        """MaxLocAll(*args, **kwargs)
        Overloaded function.

        1. MaxLocAll(self: Kratos.DataCommunicator, Int_value: int) -> tuple[int, int]

        2. MaxLocAll(self: Kratos.DataCommunicator, Double_value: float) -> tuple[float, int]
        """
    @overload
    def MaxLocAll(self, Double_value: float) -> tuple[float, int]:
        """MaxLocAll(*args, **kwargs)
        Overloaded function.

        1. MaxLocAll(self: Kratos.DataCommunicator, Int_value: int) -> tuple[int, int]

        2. MaxLocAll(self: Kratos.DataCommunicator, Double_value: float) -> tuple[float, int]
        """
    def MaxMatrices(self, list_of_Matrices: list[Matrix], root: int) -> list[Matrix]:
        """MaxMatrices(self: Kratos.DataCommunicator, list_of_Matrices: list[Kratos.Matrix], root: int) -> list[Kratos.Matrix]"""
    def MaxVectors(self, list_of_Vectors: list[Vector], root: int) -> list[Vector]:
        """MaxVectors(self: Kratos.DataCommunicator, list_of_Vectors: list[Kratos.Vector], root: int) -> list[Kratos.Vector]"""
    @overload
    def Min(self, Int_value: int, root: int) -> int:
        """Min(*args, **kwargs)
        Overloaded function.

        1. Min(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Min(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Min(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Min(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Min(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Min(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Min(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Min(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Min(self, Double_value: float, root: int) -> float:
        """Min(*args, **kwargs)
        Overloaded function.

        1. Min(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Min(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Min(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Min(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Min(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Min(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Min(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Min(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Min(self, Array3_value: Array3, root: int) -> Array3:
        """Min(*args, **kwargs)
        Overloaded function.

        1. Min(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Min(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Min(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Min(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Min(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Min(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Min(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Min(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Min(self, Array4_value: Array4, root: int) -> Array4:
        """Min(*args, **kwargs)
        Overloaded function.

        1. Min(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Min(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Min(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Min(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Min(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Min(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Min(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Min(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Min(self, Array6_value: Array6, root: int) -> Array6:
        """Min(*args, **kwargs)
        Overloaded function.

        1. Min(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Min(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Min(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Min(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Min(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Min(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Min(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Min(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Min(self, Array9_value: Array9, root: int) -> Array9:
        """Min(*args, **kwargs)
        Overloaded function.

        1. Min(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Min(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Min(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Min(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Min(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Min(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Min(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Min(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Min(self, Vector_value: Vector, root: int) -> Vector:
        """Min(*args, **kwargs)
        Overloaded function.

        1. Min(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Min(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Min(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Min(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Min(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Min(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Min(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Min(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Min(self, Matrix_value: Matrix, root: int) -> Matrix:
        """Min(*args, **kwargs)
        Overloaded function.

        1. Min(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Min(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Min(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Min(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Min(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Min(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Min(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Min(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def MinAll(self, Int_value: int) -> int:
        """MinAll(*args, **kwargs)
        Overloaded function.

        1. MinAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MinAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MinAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MinAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MinAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MinAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MinAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MinAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def MinAll(self, Double_value: float) -> float:
        """MinAll(*args, **kwargs)
        Overloaded function.

        1. MinAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MinAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MinAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MinAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MinAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MinAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MinAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MinAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def MinAll(self, Array3_value: Array3) -> Array3:
        """MinAll(*args, **kwargs)
        Overloaded function.

        1. MinAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MinAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MinAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MinAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MinAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MinAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MinAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MinAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def MinAll(self, Array4_value: Array4) -> Array4:
        """MinAll(*args, **kwargs)
        Overloaded function.

        1. MinAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MinAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MinAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MinAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MinAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MinAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MinAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MinAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def MinAll(self, Array6_value: Array6) -> Array6:
        """MinAll(*args, **kwargs)
        Overloaded function.

        1. MinAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MinAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MinAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MinAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MinAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MinAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MinAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MinAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def MinAll(self, Array9_value: Array9) -> Array9:
        """MinAll(*args, **kwargs)
        Overloaded function.

        1. MinAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MinAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MinAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MinAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MinAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MinAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MinAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MinAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def MinAll(self, Vector_value: Vector) -> Vector:
        """MinAll(*args, **kwargs)
        Overloaded function.

        1. MinAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MinAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MinAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MinAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MinAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MinAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MinAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MinAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def MinAll(self, Matrix_value: Matrix) -> Matrix:
        """MinAll(*args, **kwargs)
        Overloaded function.

        1. MinAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. MinAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. MinAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. MinAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. MinAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. MinAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. MinAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. MinAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    def MinAllArray3s(self, list_of_Array3s: list[Array3]) -> list[Array3]:
        """MinAllArray3s(self: Kratos.DataCommunicator, list_of_Array3s: list[Kratos.Array3]) -> list[Kratos.Array3]"""
    def MinAllArray4s(self, list_of_Array4s: list[Array4]) -> list[Array4]:
        """MinAllArray4s(self: Kratos.DataCommunicator, list_of_Array4s: list[Kratos.Array4]) -> list[Kratos.Array4]"""
    def MinAllArray6s(self, list_of_Array6s: list[Array6]) -> list[Array6]:
        """MinAllArray6s(self: Kratos.DataCommunicator, list_of_Array6s: list[Kratos.Array6]) -> list[Kratos.Array6]"""
    def MinAllArray9s(self, list_of_Array9s: list[Array9]) -> list[Array9]:
        """MinAllArray9s(self: Kratos.DataCommunicator, list_of_Array9s: list[Kratos.Array9]) -> list[Kratos.Array9]"""
    def MinAllDoubles(self, list_of_Doubles: list[float]) -> list[float]:
        """MinAllDoubles(self: Kratos.DataCommunicator, list_of_Doubles: list[float]) -> list[float]"""
    def MinAllInts(self, list_of_Ints: list[int]) -> list[int]:
        """MinAllInts(self: Kratos.DataCommunicator, list_of_Ints: list[int]) -> list[int]"""
    def MinAllMatrices(self, list_of_Matrices: list[Matrix]) -> list[Matrix]:
        """MinAllMatrices(self: Kratos.DataCommunicator, list_of_Matrices: list[Kratos.Matrix]) -> list[Kratos.Matrix]"""
    def MinAllVectors(self, list_of_Vectors: list[Vector]) -> list[Vector]:
        """MinAllVectors(self: Kratos.DataCommunicator, list_of_Vectors: list[Kratos.Vector]) -> list[Kratos.Vector]"""
    def MinArray3s(self, list_of_Array3s: list[Array3], root: int) -> list[Array3]:
        """MinArray3s(self: Kratos.DataCommunicator, list_of_Array3s: list[Kratos.Array3], root: int) -> list[Kratos.Array3]"""
    def MinArray4s(self, list_of_Array4s: list[Array4], root: int) -> list[Array4]:
        """MinArray4s(self: Kratos.DataCommunicator, list_of_Array4s: list[Kratos.Array4], root: int) -> list[Kratos.Array4]"""
    def MinArray6s(self, list_of_Array6s: list[Array6], root: int) -> list[Array6]:
        """MinArray6s(self: Kratos.DataCommunicator, list_of_Array6s: list[Kratos.Array6], root: int) -> list[Kratos.Array6]"""
    def MinArray9s(self, list_of_Array9s: list[Array9], root: int) -> list[Array9]:
        """MinArray9s(self: Kratos.DataCommunicator, list_of_Array9s: list[Kratos.Array9], root: int) -> list[Kratos.Array9]"""
    def MinDoubles(self, list_of_Doubles: list[float], root: int) -> list[float]:
        """MinDoubles(self: Kratos.DataCommunicator, list_of_Doubles: list[float], root: int) -> list[float]"""
    def MinInts(self, list_of_Ints: list[int], root: int) -> list[int]:
        """MinInts(self: Kratos.DataCommunicator, list_of_Ints: list[int], root: int) -> list[int]"""
    @overload
    def MinLocAll(self, Int_value: int) -> tuple[int, int]:
        """MinLocAll(*args, **kwargs)
        Overloaded function.

        1. MinLocAll(self: Kratos.DataCommunicator, Int_value: int) -> tuple[int, int]

        2. MinLocAll(self: Kratos.DataCommunicator, Double_value: float) -> tuple[float, int]
        """
    @overload
    def MinLocAll(self, Double_value: float) -> tuple[float, int]:
        """MinLocAll(*args, **kwargs)
        Overloaded function.

        1. MinLocAll(self: Kratos.DataCommunicator, Int_value: int) -> tuple[int, int]

        2. MinLocAll(self: Kratos.DataCommunicator, Double_value: float) -> tuple[float, int]
        """
    def MinMatrices(self, list_of_Matrices: list[Matrix], root: int) -> list[Matrix]:
        """MinMatrices(self: Kratos.DataCommunicator, list_of_Matrices: list[Kratos.Matrix], root: int) -> list[Kratos.Matrix]"""
    def MinVectors(self, list_of_Vectors: list[Vector], root: int) -> list[Vector]:
        """MinVectors(self: Kratos.DataCommunicator, list_of_Vectors: list[Kratos.Vector], root: int) -> list[Kratos.Vector]"""
    def Rank(self) -> int:
        """Rank(self: Kratos.DataCommunicator) -> int"""
    @overload
    def ScanSum(self, Int_value: int) -> int:
        """ScanSum(*args, **kwargs)
        Overloaded function.

        1. ScanSum(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. ScanSum(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. ScanSum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. ScanSum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. ScanSum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. ScanSum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. ScanSum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. ScanSum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def ScanSum(self, Double_value: float) -> float:
        """ScanSum(*args, **kwargs)
        Overloaded function.

        1. ScanSum(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. ScanSum(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. ScanSum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. ScanSum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. ScanSum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. ScanSum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. ScanSum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. ScanSum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def ScanSum(self, Array3_value: Array3) -> Array3:
        """ScanSum(*args, **kwargs)
        Overloaded function.

        1. ScanSum(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. ScanSum(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. ScanSum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. ScanSum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. ScanSum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. ScanSum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. ScanSum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. ScanSum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def ScanSum(self, Array4_value: Array4) -> Array4:
        """ScanSum(*args, **kwargs)
        Overloaded function.

        1. ScanSum(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. ScanSum(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. ScanSum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. ScanSum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. ScanSum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. ScanSum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. ScanSum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. ScanSum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def ScanSum(self, Array6_value: Array6) -> Array6:
        """ScanSum(*args, **kwargs)
        Overloaded function.

        1. ScanSum(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. ScanSum(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. ScanSum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. ScanSum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. ScanSum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. ScanSum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. ScanSum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. ScanSum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def ScanSum(self, Array9_value: Array9) -> Array9:
        """ScanSum(*args, **kwargs)
        Overloaded function.

        1. ScanSum(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. ScanSum(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. ScanSum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. ScanSum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. ScanSum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. ScanSum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. ScanSum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. ScanSum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def ScanSum(self, Vector_value: Vector) -> Vector:
        """ScanSum(*args, **kwargs)
        Overloaded function.

        1. ScanSum(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. ScanSum(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. ScanSum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. ScanSum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. ScanSum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. ScanSum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. ScanSum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. ScanSum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def ScanSum(self, Matrix_value: Matrix) -> Matrix:
        """ScanSum(*args, **kwargs)
        Overloaded function.

        1. ScanSum(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. ScanSum(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. ScanSum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. ScanSum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. ScanSum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. ScanSum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. ScanSum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. ScanSum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    def ScanSumArray3s(self, list_of_Array3s: list[Array3]) -> list[Array3]:
        """ScanSumArray3s(self: Kratos.DataCommunicator, list_of_Array3s: list[Kratos.Array3]) -> list[Kratos.Array3]"""
    def ScanSumArray4s(self, list_of_Array4s: list[Array4]) -> list[Array4]:
        """ScanSumArray4s(self: Kratos.DataCommunicator, list_of_Array4s: list[Kratos.Array4]) -> list[Kratos.Array4]"""
    def ScanSumArray6s(self, list_of_Array6s: list[Array6]) -> list[Array6]:
        """ScanSumArray6s(self: Kratos.DataCommunicator, list_of_Array6s: list[Kratos.Array6]) -> list[Kratos.Array6]"""
    def ScanSumArray9s(self, list_of_Array9s: list[Array9]) -> list[Array9]:
        """ScanSumArray9s(self: Kratos.DataCommunicator, list_of_Array9s: list[Kratos.Array9]) -> list[Kratos.Array9]"""
    def ScanSumDoubles(self, list_of_Doubles: list[float]) -> list[float]:
        """ScanSumDoubles(self: Kratos.DataCommunicator, list_of_Doubles: list[float]) -> list[float]"""
    def ScanSumInts(self, list_of_Ints: list[int]) -> list[int]:
        """ScanSumInts(self: Kratos.DataCommunicator, list_of_Ints: list[int]) -> list[int]"""
    def ScanSumMatrices(self, list_of_Matrices: list[Matrix]) -> list[Matrix]:
        """ScanSumMatrices(self: Kratos.DataCommunicator, list_of_Matrices: list[Kratos.Matrix]) -> list[Kratos.Matrix]"""
    def ScanSumVectors(self, list_of_Vectors: list[Vector]) -> list[Vector]:
        """ScanSumVectors(self: Kratos.DataCommunicator, list_of_Vectors: list[Kratos.Vector]) -> list[Kratos.Vector]"""
    def ScatterArray3s(self, list_of_Array3s: list[Array3], source_rank: int) -> list[Array3]:
        """ScatterArray3s(self: Kratos.DataCommunicator, list_of_Array3s: list[Kratos.Array3], source_rank: int) -> list[Kratos.Array3]"""
    def ScatterArray4s(self, list_of_Array4s: list[Array4], source_rank: int) -> list[Array4]:
        """ScatterArray4s(self: Kratos.DataCommunicator, list_of_Array4s: list[Kratos.Array4], source_rank: int) -> list[Kratos.Array4]"""
    def ScatterArray6s(self, list_of_Array6s: list[Array6], source_rank: int) -> list[Array6]:
        """ScatterArray6s(self: Kratos.DataCommunicator, list_of_Array6s: list[Kratos.Array6], source_rank: int) -> list[Kratos.Array6]"""
    def ScatterArray9s(self, list_of_Array9s: list[Array9], source_rank: int) -> list[Array9]:
        """ScatterArray9s(self: Kratos.DataCommunicator, list_of_Array9s: list[Kratos.Array9], source_rank: int) -> list[Kratos.Array9]"""
    def ScatterDoubles(self, list_of_Doubles: list[float], source_rank: int) -> list[float]:
        """ScatterDoubles(self: Kratos.DataCommunicator, list_of_Doubles: list[float], source_rank: int) -> list[float]"""
    def ScatterInts(self, list_of_Ints: list[int], source_rank: int) -> list[int]:
        """ScatterInts(self: Kratos.DataCommunicator, list_of_Ints: list[int], source_rank: int) -> list[int]"""
    def ScatterMatrices(self, list_of_Matrices: list[Matrix], source_rank: int) -> list[Matrix]:
        """ScatterMatrices(self: Kratos.DataCommunicator, list_of_Matrices: list[Kratos.Matrix], source_rank: int) -> list[Kratos.Matrix]"""
    def ScatterVectors(self, list_of_Vectors: list[Vector], source_rank: int) -> list[Vector]:
        """ScatterVectors(self: Kratos.DataCommunicator, list_of_Vectors: list[Kratos.Vector], source_rank: int) -> list[Kratos.Vector]"""
    def ScattervArray3s(self, list_of_Array3s_per_ranks: list[list[Array3]], source_rank: int) -> list[Array3]:
        """ScattervArray3s(self: Kratos.DataCommunicator, list_of_Array3s_per_ranks: list[list[Kratos.Array3]], source_rank: int) -> list[Kratos.Array3]"""
    def ScattervArray4s(self, list_of_Array4s_per_ranks: list[list[Array4]], source_rank: int) -> list[Array4]:
        """ScattervArray4s(self: Kratos.DataCommunicator, list_of_Array4s_per_ranks: list[list[Kratos.Array4]], source_rank: int) -> list[Kratos.Array4]"""
    def ScattervArray6s(self, list_of_Array6s_per_ranks: list[list[Array6]], source_rank: int) -> list[Array6]:
        """ScattervArray6s(self: Kratos.DataCommunicator, list_of_Array6s_per_ranks: list[list[Kratos.Array6]], source_rank: int) -> list[Kratos.Array6]"""
    def ScattervArray9s(self, list_of_Array9s_per_ranks: list[list[Array9]], source_rank: int) -> list[Array9]:
        """ScattervArray9s(self: Kratos.DataCommunicator, list_of_Array9s_per_ranks: list[list[Kratos.Array9]], source_rank: int) -> list[Kratos.Array9]"""
    def ScattervDoubles(self, list_of_Doubles_per_ranks: list[list[float]], source_rank: int) -> list[float]:
        """ScattervDoubles(self: Kratos.DataCommunicator, list_of_Doubles_per_ranks: list[list[float]], source_rank: int) -> list[float]"""
    def ScattervInts(self, list_of_Ints_per_ranks: list[list[int]], source_rank: int) -> list[int]:
        """ScattervInts(self: Kratos.DataCommunicator, list_of_Ints_per_ranks: list[list[int]], source_rank: int) -> list[int]"""
    def ScattervMatrices(self, list_of_Matrices_per_ranks: list[list[Matrix]], source_rank: int) -> list[Matrix]:
        """ScattervMatrices(self: Kratos.DataCommunicator, list_of_Matrices_per_ranks: list[list[Kratos.Matrix]], source_rank: int) -> list[Kratos.Matrix]"""
    def ScattervVectors(self, list_of_Vectors_per_ranks: list[list[Vector]], source_rank: int) -> list[Vector]:
        """ScattervVectors(self: Kratos.DataCommunicator, list_of_Vectors_per_ranks: list[list[Kratos.Vector]], source_rank: int) -> list[Kratos.Vector]"""
    def SendRecvArray3s(self, list_of_Array3s: list[Array3], send_destination: int, recv_source: int) -> list[Array3]:
        """SendRecvArray3s(self: Kratos.DataCommunicator, list_of_Array3s: list[Kratos.Array3], send_destination: int, recv_source: int) -> list[Kratos.Array3]"""
    def SendRecvArray4s(self, list_of_Array4s: list[Array4], send_destination: int, recv_source: int) -> list[Array4]:
        """SendRecvArray4s(self: Kratos.DataCommunicator, list_of_Array4s: list[Kratos.Array4], send_destination: int, recv_source: int) -> list[Kratos.Array4]"""
    def SendRecvArray6s(self, list_of_Array6s: list[Array6], send_destination: int, recv_source: int) -> list[Array6]:
        """SendRecvArray6s(self: Kratos.DataCommunicator, list_of_Array6s: list[Kratos.Array6], send_destination: int, recv_source: int) -> list[Kratos.Array6]"""
    def SendRecvArray9s(self, list_of_Array9s: list[Array9], send_destination: int, recv_source: int) -> list[Array9]:
        """SendRecvArray9s(self: Kratos.DataCommunicator, list_of_Array9s: list[Kratos.Array9], send_destination: int, recv_source: int) -> list[Kratos.Array9]"""
    def SendRecvDoubles(self, list_of_Doubles: list[float], send_destination: int, recv_source: int) -> list[float]:
        """SendRecvDoubles(self: Kratos.DataCommunicator, list_of_Doubles: list[float], send_destination: int, recv_source: int) -> list[float]"""
    def SendRecvInts(self, list_of_Ints: list[int], send_destination: int, recv_source: int) -> list[int]:
        """SendRecvInts(self: Kratos.DataCommunicator, list_of_Ints: list[int], send_destination: int, recv_source: int) -> list[int]"""
    def SendRecvMatrices(self, list_of_Matrices: list[Matrix], send_destination: int, recv_source: int) -> list[Matrix]:
        """SendRecvMatrices(self: Kratos.DataCommunicator, list_of_Matrices: list[Kratos.Matrix], send_destination: int, recv_source: int) -> list[Kratos.Matrix]"""
    def SendRecvString(self, arg0: str, arg1: int, arg2: int) -> str:
        """SendRecvString(self: Kratos.DataCommunicator, arg0: str, arg1: int, arg2: int) -> str"""
    def SendRecvVectors(self, list_of_Vectors: list[Vector], send_destination: int, recv_source: int) -> list[Vector]:
        """SendRecvVectors(self: Kratos.DataCommunicator, list_of_Vectors: list[Kratos.Vector], send_destination: int, recv_source: int) -> list[Kratos.Vector]"""
    def Size(self) -> int:
        """Size(self: Kratos.DataCommunicator) -> int"""
    @overload
    def Sum(self, Int_value: int, root: int) -> int:
        """Sum(*args, **kwargs)
        Overloaded function.

        1. Sum(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Sum(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Sum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Sum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Sum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Sum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Sum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Sum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Sum(self, Double_value: float, root: int) -> float:
        """Sum(*args, **kwargs)
        Overloaded function.

        1. Sum(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Sum(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Sum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Sum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Sum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Sum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Sum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Sum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Sum(self, Array3_value: Array3, root: int) -> Array3:
        """Sum(*args, **kwargs)
        Overloaded function.

        1. Sum(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Sum(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Sum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Sum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Sum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Sum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Sum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Sum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Sum(self, Array4_value: Array4, root: int) -> Array4:
        """Sum(*args, **kwargs)
        Overloaded function.

        1. Sum(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Sum(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Sum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Sum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Sum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Sum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Sum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Sum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Sum(self, Array6_value: Array6, root: int) -> Array6:
        """Sum(*args, **kwargs)
        Overloaded function.

        1. Sum(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Sum(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Sum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Sum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Sum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Sum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Sum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Sum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Sum(self, Array9_value: Array9, root: int) -> Array9:
        """Sum(*args, **kwargs)
        Overloaded function.

        1. Sum(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Sum(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Sum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Sum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Sum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Sum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Sum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Sum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Sum(self, Vector_value: Vector, root: int) -> Vector:
        """Sum(*args, **kwargs)
        Overloaded function.

        1. Sum(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Sum(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Sum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Sum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Sum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Sum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Sum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Sum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def Sum(self, Matrix_value: Matrix, root: int) -> Matrix:
        """Sum(*args, **kwargs)
        Overloaded function.

        1. Sum(self: Kratos.DataCommunicator, Int_value: int, root: int) -> int

        2. Sum(self: Kratos.DataCommunicator, Double_value: float, root: int) -> float

        3. Sum(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3, root: int) -> Kratos.Array3

        4. Sum(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4, root: int) -> Kratos.Array4

        5. Sum(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6, root: int) -> Kratos.Array6

        6. Sum(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9, root: int) -> Kratos.Array9

        7. Sum(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector, root: int) -> Kratos.Vector

        8. Sum(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix, root: int) -> Kratos.Matrix
        """
    @overload
    def SumAll(self, Int_value: int) -> int:
        """SumAll(*args, **kwargs)
        Overloaded function.

        1. SumAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SumAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SumAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SumAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SumAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SumAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SumAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SumAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def SumAll(self, Double_value: float) -> float:
        """SumAll(*args, **kwargs)
        Overloaded function.

        1. SumAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SumAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SumAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SumAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SumAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SumAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SumAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SumAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def SumAll(self, Array3_value: Array3) -> Array3:
        """SumAll(*args, **kwargs)
        Overloaded function.

        1. SumAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SumAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SumAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SumAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SumAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SumAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SumAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SumAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def SumAll(self, Array4_value: Array4) -> Array4:
        """SumAll(*args, **kwargs)
        Overloaded function.

        1. SumAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SumAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SumAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SumAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SumAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SumAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SumAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SumAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def SumAll(self, Array6_value: Array6) -> Array6:
        """SumAll(*args, **kwargs)
        Overloaded function.

        1. SumAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SumAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SumAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SumAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SumAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SumAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SumAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SumAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def SumAll(self, Array9_value: Array9) -> Array9:
        """SumAll(*args, **kwargs)
        Overloaded function.

        1. SumAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SumAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SumAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SumAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SumAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SumAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SumAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SumAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def SumAll(self, Vector_value: Vector) -> Vector:
        """SumAll(*args, **kwargs)
        Overloaded function.

        1. SumAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SumAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SumAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SumAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SumAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SumAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SumAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SumAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def SumAll(self, Matrix_value: Matrix) -> Matrix:
        """SumAll(*args, **kwargs)
        Overloaded function.

        1. SumAll(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SumAll(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SumAll(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SumAll(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SumAll(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SumAll(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SumAll(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SumAll(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    def SumAllArray3s(self, list_of_Array3s: list[Array3]) -> list[Array3]:
        """SumAllArray3s(self: Kratos.DataCommunicator, list_of_Array3s: list[Kratos.Array3]) -> list[Kratos.Array3]"""
    def SumAllArray4s(self, list_of_Array4s: list[Array4]) -> list[Array4]:
        """SumAllArray4s(self: Kratos.DataCommunicator, list_of_Array4s: list[Kratos.Array4]) -> list[Kratos.Array4]"""
    def SumAllArray6s(self, list_of_Array6s: list[Array6]) -> list[Array6]:
        """SumAllArray6s(self: Kratos.DataCommunicator, list_of_Array6s: list[Kratos.Array6]) -> list[Kratos.Array6]"""
    def SumAllArray9s(self, list_of_Array9s: list[Array9]) -> list[Array9]:
        """SumAllArray9s(self: Kratos.DataCommunicator, list_of_Array9s: list[Kratos.Array9]) -> list[Kratos.Array9]"""
    def SumAllDoubles(self, list_of_Doubles: list[float]) -> list[float]:
        """SumAllDoubles(self: Kratos.DataCommunicator, list_of_Doubles: list[float]) -> list[float]"""
    def SumAllInts(self, list_of_Ints: list[int]) -> list[int]:
        """SumAllInts(self: Kratos.DataCommunicator, list_of_Ints: list[int]) -> list[int]"""
    def SumAllMatrices(self, list_of_Matrices: list[Matrix]) -> list[Matrix]:
        """SumAllMatrices(self: Kratos.DataCommunicator, list_of_Matrices: list[Kratos.Matrix]) -> list[Kratos.Matrix]"""
    def SumAllVectors(self, list_of_Vectors: list[Vector]) -> list[Vector]:
        """SumAllVectors(self: Kratos.DataCommunicator, list_of_Vectors: list[Kratos.Vector]) -> list[Kratos.Vector]"""
    def SumArray3s(self, list_of_Array3s: list[Array3], root: int) -> list[Array3]:
        """SumArray3s(self: Kratos.DataCommunicator, list_of_Array3s: list[Kratos.Array3], root: int) -> list[Kratos.Array3]"""
    def SumArray4s(self, list_of_Array4s: list[Array4], root: int) -> list[Array4]:
        """SumArray4s(self: Kratos.DataCommunicator, list_of_Array4s: list[Kratos.Array4], root: int) -> list[Kratos.Array4]"""
    def SumArray6s(self, list_of_Array6s: list[Array6], root: int) -> list[Array6]:
        """SumArray6s(self: Kratos.DataCommunicator, list_of_Array6s: list[Kratos.Array6], root: int) -> list[Kratos.Array6]"""
    def SumArray9s(self, list_of_Array9s: list[Array9], root: int) -> list[Array9]:
        """SumArray9s(self: Kratos.DataCommunicator, list_of_Array9s: list[Kratos.Array9], root: int) -> list[Kratos.Array9]"""
    def SumDoubles(self, list_of_Doubles: list[float], root: int) -> list[float]:
        """SumDoubles(self: Kratos.DataCommunicator, list_of_Doubles: list[float], root: int) -> list[float]"""
    def SumInts(self, list_of_Ints: list[int], root: int) -> list[int]:
        """SumInts(self: Kratos.DataCommunicator, list_of_Ints: list[int], root: int) -> list[int]"""
    def SumMatrices(self, list_of_Matrices: list[Matrix], root: int) -> list[Matrix]:
        """SumMatrices(self: Kratos.DataCommunicator, list_of_Matrices: list[Kratos.Matrix], root: int) -> list[Kratos.Matrix]"""
    def SumVectors(self, list_of_Vectors: list[Vector], root: int) -> list[Vector]:
        """SumVectors(self: Kratos.DataCommunicator, list_of_Vectors: list[Kratos.Vector], root: int) -> list[Kratos.Vector]"""
    @overload
    def SynchronizeShape(self, Int_value: int) -> int:
        """SynchronizeShape(*args, **kwargs)
        Overloaded function.

        1. SynchronizeShape(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SynchronizeShape(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SynchronizeShape(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SynchronizeShape(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SynchronizeShape(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SynchronizeShape(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SynchronizeShape(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SynchronizeShape(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def SynchronizeShape(self, Double_value: float) -> float:
        """SynchronizeShape(*args, **kwargs)
        Overloaded function.

        1. SynchronizeShape(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SynchronizeShape(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SynchronizeShape(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SynchronizeShape(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SynchronizeShape(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SynchronizeShape(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SynchronizeShape(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SynchronizeShape(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def SynchronizeShape(self, Array3_value: Array3) -> Array3:
        """SynchronizeShape(*args, **kwargs)
        Overloaded function.

        1. SynchronizeShape(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SynchronizeShape(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SynchronizeShape(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SynchronizeShape(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SynchronizeShape(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SynchronizeShape(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SynchronizeShape(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SynchronizeShape(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def SynchronizeShape(self, Array4_value: Array4) -> Array4:
        """SynchronizeShape(*args, **kwargs)
        Overloaded function.

        1. SynchronizeShape(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SynchronizeShape(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SynchronizeShape(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SynchronizeShape(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SynchronizeShape(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SynchronizeShape(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SynchronizeShape(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SynchronizeShape(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def SynchronizeShape(self, Array6_value: Array6) -> Array6:
        """SynchronizeShape(*args, **kwargs)
        Overloaded function.

        1. SynchronizeShape(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SynchronizeShape(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SynchronizeShape(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SynchronizeShape(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SynchronizeShape(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SynchronizeShape(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SynchronizeShape(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SynchronizeShape(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def SynchronizeShape(self, Array9_value: Array9) -> Array9:
        """SynchronizeShape(*args, **kwargs)
        Overloaded function.

        1. SynchronizeShape(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SynchronizeShape(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SynchronizeShape(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SynchronizeShape(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SynchronizeShape(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SynchronizeShape(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SynchronizeShape(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SynchronizeShape(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def SynchronizeShape(self, Vector_value: Vector) -> Vector:
        """SynchronizeShape(*args, **kwargs)
        Overloaded function.

        1. SynchronizeShape(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SynchronizeShape(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SynchronizeShape(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SynchronizeShape(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SynchronizeShape(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SynchronizeShape(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SynchronizeShape(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SynchronizeShape(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """
    @overload
    def SynchronizeShape(self, Matrix_value: Matrix) -> Matrix:
        """SynchronizeShape(*args, **kwargs)
        Overloaded function.

        1. SynchronizeShape(self: Kratos.DataCommunicator, Int_value: int) -> int

        2. SynchronizeShape(self: Kratos.DataCommunicator, Double_value: float) -> float

        3. SynchronizeShape(self: Kratos.DataCommunicator, Array3_value: Kratos.Array3) -> Kratos.Array3

        4. SynchronizeShape(self: Kratos.DataCommunicator, Array4_value: Kratos.Array4) -> Kratos.Array4

        5. SynchronizeShape(self: Kratos.DataCommunicator, Array6_value: Kratos.Array6) -> Kratos.Array6

        6. SynchronizeShape(self: Kratos.DataCommunicator, Array9_value: Kratos.Array9) -> Kratos.Array9

        7. SynchronizeShape(self: Kratos.DataCommunicator, Vector_value: Kratos.Vector) -> Kratos.Vector

        8. SynchronizeShape(self: Kratos.DataCommunicator, Matrix_value: Kratos.Matrix) -> Kratos.Matrix
        """

class DataValueContainer:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.DataValueContainer) -> None

        2. Clear(self: Kratos.DataValueContainer) -> None

        3. Clear(self: Kratos.DataValueContainer) -> None

        4. Clear(self: Kratos.DataValueContainer) -> None

        5. Clear(self: Kratos.DataValueContainer) -> None

        6. Clear(self: Kratos.DataValueContainer) -> None

        7. Clear(self: Kratos.DataValueContainer) -> None

        8. Clear(self: Kratos.DataValueContainer) -> None

        9. Clear(self: Kratos.DataValueContainer) -> None

        10. Clear(self: Kratos.DataValueContainer) -> None

        11. Clear(self: Kratos.DataValueContainer) -> None

        12. Clear(self: Kratos.DataValueContainer) -> None

        13. Clear(self: Kratos.DataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.DataValueContainer) -> None

        2. Clear(self: Kratos.DataValueContainer) -> None

        3. Clear(self: Kratos.DataValueContainer) -> None

        4. Clear(self: Kratos.DataValueContainer) -> None

        5. Clear(self: Kratos.DataValueContainer) -> None

        6. Clear(self: Kratos.DataValueContainer) -> None

        7. Clear(self: Kratos.DataValueContainer) -> None

        8. Clear(self: Kratos.DataValueContainer) -> None

        9. Clear(self: Kratos.DataValueContainer) -> None

        10. Clear(self: Kratos.DataValueContainer) -> None

        11. Clear(self: Kratos.DataValueContainer) -> None

        12. Clear(self: Kratos.DataValueContainer) -> None

        13. Clear(self: Kratos.DataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.DataValueContainer) -> None

        2. Clear(self: Kratos.DataValueContainer) -> None

        3. Clear(self: Kratos.DataValueContainer) -> None

        4. Clear(self: Kratos.DataValueContainer) -> None

        5. Clear(self: Kratos.DataValueContainer) -> None

        6. Clear(self: Kratos.DataValueContainer) -> None

        7. Clear(self: Kratos.DataValueContainer) -> None

        8. Clear(self: Kratos.DataValueContainer) -> None

        9. Clear(self: Kratos.DataValueContainer) -> None

        10. Clear(self: Kratos.DataValueContainer) -> None

        11. Clear(self: Kratos.DataValueContainer) -> None

        12. Clear(self: Kratos.DataValueContainer) -> None

        13. Clear(self: Kratos.DataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.DataValueContainer) -> None

        2. Clear(self: Kratos.DataValueContainer) -> None

        3. Clear(self: Kratos.DataValueContainer) -> None

        4. Clear(self: Kratos.DataValueContainer) -> None

        5. Clear(self: Kratos.DataValueContainer) -> None

        6. Clear(self: Kratos.DataValueContainer) -> None

        7. Clear(self: Kratos.DataValueContainer) -> None

        8. Clear(self: Kratos.DataValueContainer) -> None

        9. Clear(self: Kratos.DataValueContainer) -> None

        10. Clear(self: Kratos.DataValueContainer) -> None

        11. Clear(self: Kratos.DataValueContainer) -> None

        12. Clear(self: Kratos.DataValueContainer) -> None

        13. Clear(self: Kratos.DataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.DataValueContainer) -> None

        2. Clear(self: Kratos.DataValueContainer) -> None

        3. Clear(self: Kratos.DataValueContainer) -> None

        4. Clear(self: Kratos.DataValueContainer) -> None

        5. Clear(self: Kratos.DataValueContainer) -> None

        6. Clear(self: Kratos.DataValueContainer) -> None

        7. Clear(self: Kratos.DataValueContainer) -> None

        8. Clear(self: Kratos.DataValueContainer) -> None

        9. Clear(self: Kratos.DataValueContainer) -> None

        10. Clear(self: Kratos.DataValueContainer) -> None

        11. Clear(self: Kratos.DataValueContainer) -> None

        12. Clear(self: Kratos.DataValueContainer) -> None

        13. Clear(self: Kratos.DataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.DataValueContainer) -> None

        2. Clear(self: Kratos.DataValueContainer) -> None

        3. Clear(self: Kratos.DataValueContainer) -> None

        4. Clear(self: Kratos.DataValueContainer) -> None

        5. Clear(self: Kratos.DataValueContainer) -> None

        6. Clear(self: Kratos.DataValueContainer) -> None

        7. Clear(self: Kratos.DataValueContainer) -> None

        8. Clear(self: Kratos.DataValueContainer) -> None

        9. Clear(self: Kratos.DataValueContainer) -> None

        10. Clear(self: Kratos.DataValueContainer) -> None

        11. Clear(self: Kratos.DataValueContainer) -> None

        12. Clear(self: Kratos.DataValueContainer) -> None

        13. Clear(self: Kratos.DataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.DataValueContainer) -> None

        2. Clear(self: Kratos.DataValueContainer) -> None

        3. Clear(self: Kratos.DataValueContainer) -> None

        4. Clear(self: Kratos.DataValueContainer) -> None

        5. Clear(self: Kratos.DataValueContainer) -> None

        6. Clear(self: Kratos.DataValueContainer) -> None

        7. Clear(self: Kratos.DataValueContainer) -> None

        8. Clear(self: Kratos.DataValueContainer) -> None

        9. Clear(self: Kratos.DataValueContainer) -> None

        10. Clear(self: Kratos.DataValueContainer) -> None

        11. Clear(self: Kratos.DataValueContainer) -> None

        12. Clear(self: Kratos.DataValueContainer) -> None

        13. Clear(self: Kratos.DataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.DataValueContainer) -> None

        2. Clear(self: Kratos.DataValueContainer) -> None

        3. Clear(self: Kratos.DataValueContainer) -> None

        4. Clear(self: Kratos.DataValueContainer) -> None

        5. Clear(self: Kratos.DataValueContainer) -> None

        6. Clear(self: Kratos.DataValueContainer) -> None

        7. Clear(self: Kratos.DataValueContainer) -> None

        8. Clear(self: Kratos.DataValueContainer) -> None

        9. Clear(self: Kratos.DataValueContainer) -> None

        10. Clear(self: Kratos.DataValueContainer) -> None

        11. Clear(self: Kratos.DataValueContainer) -> None

        12. Clear(self: Kratos.DataValueContainer) -> None

        13. Clear(self: Kratos.DataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.DataValueContainer) -> None

        2. Clear(self: Kratos.DataValueContainer) -> None

        3. Clear(self: Kratos.DataValueContainer) -> None

        4. Clear(self: Kratos.DataValueContainer) -> None

        5. Clear(self: Kratos.DataValueContainer) -> None

        6. Clear(self: Kratos.DataValueContainer) -> None

        7. Clear(self: Kratos.DataValueContainer) -> None

        8. Clear(self: Kratos.DataValueContainer) -> None

        9. Clear(self: Kratos.DataValueContainer) -> None

        10. Clear(self: Kratos.DataValueContainer) -> None

        11. Clear(self: Kratos.DataValueContainer) -> None

        12. Clear(self: Kratos.DataValueContainer) -> None

        13. Clear(self: Kratos.DataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.DataValueContainer) -> None

        2. Clear(self: Kratos.DataValueContainer) -> None

        3. Clear(self: Kratos.DataValueContainer) -> None

        4. Clear(self: Kratos.DataValueContainer) -> None

        5. Clear(self: Kratos.DataValueContainer) -> None

        6. Clear(self: Kratos.DataValueContainer) -> None

        7. Clear(self: Kratos.DataValueContainer) -> None

        8. Clear(self: Kratos.DataValueContainer) -> None

        9. Clear(self: Kratos.DataValueContainer) -> None

        10. Clear(self: Kratos.DataValueContainer) -> None

        11. Clear(self: Kratos.DataValueContainer) -> None

        12. Clear(self: Kratos.DataValueContainer) -> None

        13. Clear(self: Kratos.DataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.DataValueContainer) -> None

        2. Clear(self: Kratos.DataValueContainer) -> None

        3. Clear(self: Kratos.DataValueContainer) -> None

        4. Clear(self: Kratos.DataValueContainer) -> None

        5. Clear(self: Kratos.DataValueContainer) -> None

        6. Clear(self: Kratos.DataValueContainer) -> None

        7. Clear(self: Kratos.DataValueContainer) -> None

        8. Clear(self: Kratos.DataValueContainer) -> None

        9. Clear(self: Kratos.DataValueContainer) -> None

        10. Clear(self: Kratos.DataValueContainer) -> None

        11. Clear(self: Kratos.DataValueContainer) -> None

        12. Clear(self: Kratos.DataValueContainer) -> None

        13. Clear(self: Kratos.DataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.DataValueContainer) -> None

        2. Clear(self: Kratos.DataValueContainer) -> None

        3. Clear(self: Kratos.DataValueContainer) -> None

        4. Clear(self: Kratos.DataValueContainer) -> None

        5. Clear(self: Kratos.DataValueContainer) -> None

        6. Clear(self: Kratos.DataValueContainer) -> None

        7. Clear(self: Kratos.DataValueContainer) -> None

        8. Clear(self: Kratos.DataValueContainer) -> None

        9. Clear(self: Kratos.DataValueContainer) -> None

        10. Clear(self: Kratos.DataValueContainer) -> None

        11. Clear(self: Kratos.DataValueContainer) -> None

        12. Clear(self: Kratos.DataValueContainer) -> None

        13. Clear(self: Kratos.DataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.DataValueContainer) -> None

        2. Clear(self: Kratos.DataValueContainer) -> None

        3. Clear(self: Kratos.DataValueContainer) -> None

        4. Clear(self: Kratos.DataValueContainer) -> None

        5. Clear(self: Kratos.DataValueContainer) -> None

        6. Clear(self: Kratos.DataValueContainer) -> None

        7. Clear(self: Kratos.DataValueContainer) -> None

        8. Clear(self: Kratos.DataValueContainer) -> None

        9. Clear(self: Kratos.DataValueContainer) -> None

        10. Clear(self: Kratos.DataValueContainer) -> None

        11. Clear(self: Kratos.DataValueContainer) -> None

        12. Clear(self: Kratos.DataValueContainer) -> None

        13. Clear(self: Kratos.DataValueContainer) -> None
        """
    @overload
    def Erase(self, arg0: BoolVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> None

        2. Erase(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> None

        3. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> None

        4. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> None

        5. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> None

        6. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> None

        7. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> None

        8. Erase(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> None

        9. Erase(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> None

        10. Erase(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> None

        11. Erase(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> None

        12. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> None

        13. Erase(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> None
        """
    @overload
    def Erase(self, arg0: IntegerVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> None

        2. Erase(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> None

        3. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> None

        4. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> None

        5. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> None

        6. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> None

        7. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> None

        8. Erase(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> None

        9. Erase(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> None

        10. Erase(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> None

        11. Erase(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> None

        12. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> None

        13. Erase(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> None
        """
    @overload
    def Erase(self, arg0: DoubleVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> None

        2. Erase(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> None

        3. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> None

        4. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> None

        5. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> None

        6. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> None

        7. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> None

        8. Erase(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> None

        9. Erase(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> None

        10. Erase(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> None

        11. Erase(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> None

        12. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> None

        13. Erase(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> None
        """
    @overload
    def Erase(self, arg0: Array1DVariable3) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> None

        2. Erase(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> None

        3. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> None

        4. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> None

        5. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> None

        6. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> None

        7. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> None

        8. Erase(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> None

        9. Erase(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> None

        10. Erase(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> None

        11. Erase(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> None

        12. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> None

        13. Erase(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> None
        """
    @overload
    def Erase(self, arg0: Array1DVariable4) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> None

        2. Erase(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> None

        3. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> None

        4. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> None

        5. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> None

        6. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> None

        7. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> None

        8. Erase(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> None

        9. Erase(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> None

        10. Erase(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> None

        11. Erase(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> None

        12. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> None

        13. Erase(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> None
        """
    @overload
    def Erase(self, arg0: Array1DVariable6) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> None

        2. Erase(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> None

        3. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> None

        4. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> None

        5. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> None

        6. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> None

        7. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> None

        8. Erase(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> None

        9. Erase(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> None

        10. Erase(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> None

        11. Erase(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> None

        12. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> None

        13. Erase(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> None
        """
    @overload
    def Erase(self, arg0: Array1DVariable9) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> None

        2. Erase(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> None

        3. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> None

        4. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> None

        5. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> None

        6. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> None

        7. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> None

        8. Erase(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> None

        9. Erase(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> None

        10. Erase(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> None

        11. Erase(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> None

        12. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> None

        13. Erase(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> None
        """
    @overload
    def Erase(self, arg0: VectorVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> None

        2. Erase(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> None

        3. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> None

        4. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> None

        5. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> None

        6. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> None

        7. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> None

        8. Erase(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> None

        9. Erase(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> None

        10. Erase(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> None

        11. Erase(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> None

        12. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> None

        13. Erase(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> None
        """
    @overload
    def Erase(self, arg0: MatrixVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> None

        2. Erase(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> None

        3. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> None

        4. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> None

        5. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> None

        6. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> None

        7. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> None

        8. Erase(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> None

        9. Erase(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> None

        10. Erase(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> None

        11. Erase(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> None

        12. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> None

        13. Erase(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> None
        """
    @overload
    def Erase(self, arg0: ConvectionDiffusionSettingsVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> None

        2. Erase(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> None

        3. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> None

        4. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> None

        5. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> None

        6. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> None

        7. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> None

        8. Erase(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> None

        9. Erase(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> None

        10. Erase(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> None

        11. Erase(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> None

        12. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> None

        13. Erase(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> None
        """
    @overload
    def Erase(self, arg0: RadiationSettingsVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> None

        2. Erase(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> None

        3. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> None

        4. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> None

        5. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> None

        6. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> None

        7. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> None

        8. Erase(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> None

        9. Erase(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> None

        10. Erase(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> None

        11. Erase(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> None

        12. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> None

        13. Erase(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> None
        """
    @overload
    def Erase(self, arg0: DoubleQuaternionVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> None

        2. Erase(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> None

        3. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> None

        4. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> None

        5. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> None

        6. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> None

        7. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> None

        8. Erase(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> None

        9. Erase(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> None

        10. Erase(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> None

        11. Erase(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> None

        12. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> None

        13. Erase(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> None
        """
    @overload
    def Erase(self, arg0: StringVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> None

        2. Erase(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> None

        3. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> None

        4. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> None

        5. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> None

        6. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> None

        7. Erase(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> None

        8. Erase(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> None

        9. Erase(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> None

        10. Erase(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> None

        11. Erase(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> None

        12. Erase(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> None

        13. Erase(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> None
        """
    @overload
    def GetValue(self, arg0: BoolVariable) -> bool:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: IntegerVariable) -> int:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: DoubleVariable) -> float:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable3) -> Array3:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable4) -> Array4:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable6) -> Array6:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable9) -> Array9:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: VectorVariable) -> Vector:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: MatrixVariable) -> Matrix:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: StringVariable) -> str:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. GetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def Has(self, arg0: BoolVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. Has(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. Has(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: IntegerVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. Has(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. Has(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: DoubleVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. Has(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. Has(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable3) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. Has(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. Has(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable4) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. Has(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. Has(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable6) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. Has(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. Has(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable9) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. Has(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. Has(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: VectorVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. Has(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. Has(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: MatrixVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. Has(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. Has(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: ConvectionDiffusionSettingsVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. Has(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. Has(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: RadiationSettingsVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. Has(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. Has(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: DoubleQuaternionVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. Has(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. Has(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: StringVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. Has(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. Has(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. Has(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def SetValue(self, arg0: BoolVariable, arg1: bool) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: IntegerVariable, arg1: int) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: DoubleVariable, arg1: float) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable4, arg1: Array4) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable9, arg1: Array9) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: VectorVariable, arg1: Vector) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: ConvectionDiffusionSettingsVariable, arg1) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: RadiationSettingsVariable, arg1) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: DoubleQuaternionVariable, arg1) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: StringVariable, arg1: str) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. SetValue(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __contains__(self, arg0: BoolVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: IntegerVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: DoubleVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: Array1DVariable3) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: Array1DVariable4) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: Array1DVariable6) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: Array1DVariable9) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: VectorVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: MatrixVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: ConvectionDiffusionSettingsVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: RadiationSettingsVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: DoubleQuaternionVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: StringVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> bool

        11. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> bool

        12. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        13. __contains__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __getitem__(self, arg0: BoolVariable) -> bool:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: IntegerVariable) -> int:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: DoubleVariable) -> float:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable3) -> Array3:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable4) -> Array4:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable6) -> Array6:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable9) -> Array9:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: VectorVariable) -> Vector:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: MatrixVariable) -> Matrix:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: StringVariable) -> str:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable) -> Kratos::ConvectionDiffusionSettings

        11. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable) -> Kratos::RadiationSettings

        12. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        13. __getitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    def __len__(self) -> int:
        """__len__(self: Kratos.DataValueContainer) -> int"""
    @overload
    def __setitem__(self, arg0: BoolVariable, arg1: bool) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: IntegerVariable, arg1: int) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: DoubleVariable, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable4, arg1: Array4) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable9, arg1: Array9) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: VectorVariable, arg1: Vector) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: ConvectionDiffusionSettingsVariable, arg1) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: RadiationSettingsVariable, arg1) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: DoubleQuaternionVariable, arg1) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: StringVariable, arg1: str) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.ConvectionDiffusionSettingsVariable, arg1: Kratos::ConvectionDiffusionSettings) -> None

        11. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.RadiationSettingsVariable, arg1: Kratos::RadiationSettings) -> None

        12. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        13. __setitem__(self: Kratos.DataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """

class DeflatedCGSolver(IterativeSolver):
    @overload
    def __init__(self, arg0: float, arg1: bool, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DeflatedCGSolver, arg0: float, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.DeflatedCGSolver, arg0: float, arg1: int, arg2: bool, arg3: int) -> None

        3. __init__(self: Kratos.DeflatedCGSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner, arg3: bool, arg4: int) -> None

        4. __init__(self: Kratos.DeflatedCGSolver, arg0: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: float, arg1: int, arg2: bool, arg3: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DeflatedCGSolver, arg0: float, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.DeflatedCGSolver, arg0: float, arg1: int, arg2: bool, arg3: int) -> None

        3. __init__(self: Kratos.DeflatedCGSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner, arg3: bool, arg4: int) -> None

        4. __init__(self: Kratos.DeflatedCGSolver, arg0: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: float, arg1: int, arg2: Preconditioner, arg3: bool, arg4: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DeflatedCGSolver, arg0: float, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.DeflatedCGSolver, arg0: float, arg1: int, arg2: bool, arg3: int) -> None

        3. __init__(self: Kratos.DeflatedCGSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner, arg3: bool, arg4: int) -> None

        4. __init__(self: Kratos.DeflatedCGSolver, arg0: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DeflatedCGSolver, arg0: float, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.DeflatedCGSolver, arg0: float, arg1: int, arg2: bool, arg3: int) -> None

        3. __init__(self: Kratos.DeflatedCGSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner, arg3: bool, arg4: int) -> None

        4. __init__(self: Kratos.DeflatedCGSolver, arg0: Kratos::Parameters) -> None
        """

class DeflationUtils:
    def __init__(self) -> None:
        """__init__(self: Kratos.DeflationUtils) -> None"""
    def VisualizeAggregates(self, arg0: NodesArray, arg1: DoubleVariable, arg2: int) -> None:
        """VisualizeAggregates(self: Kratos.DeflationUtils, arg0: Kratos.NodesArray, arg1: Kratos.DoubleVariable, arg2: int) -> None"""

class DenseQRDecompositionType:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class DenseSingularValueDecomposition:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class DenseVectorInt:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DenseVectorInt) -> None

        2. __init__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> None

        3. __init__(self: Kratos.DenseVectorInt, arg0: int) -> None

        4. __init__(self: Kratos.DenseVectorInt, arg0: int, arg1: int) -> None

        5. __init__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> None

        6. __init__(self: Kratos.DenseVectorInt, arg0: list) -> None

        7. __init__(self: Kratos.DenseVectorInt, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: DenseVectorInt) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DenseVectorInt) -> None

        2. __init__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> None

        3. __init__(self: Kratos.DenseVectorInt, arg0: int) -> None

        4. __init__(self: Kratos.DenseVectorInt, arg0: int, arg1: int) -> None

        5. __init__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> None

        6. __init__(self: Kratos.DenseVectorInt, arg0: list) -> None

        7. __init__(self: Kratos.DenseVectorInt, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DenseVectorInt) -> None

        2. __init__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> None

        3. __init__(self: Kratos.DenseVectorInt, arg0: int) -> None

        4. __init__(self: Kratos.DenseVectorInt, arg0: int, arg1: int) -> None

        5. __init__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> None

        6. __init__(self: Kratos.DenseVectorInt, arg0: list) -> None

        7. __init__(self: Kratos.DenseVectorInt, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DenseVectorInt) -> None

        2. __init__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> None

        3. __init__(self: Kratos.DenseVectorInt, arg0: int) -> None

        4. __init__(self: Kratos.DenseVectorInt, arg0: int, arg1: int) -> None

        5. __init__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> None

        6. __init__(self: Kratos.DenseVectorInt, arg0: list) -> None

        7. __init__(self: Kratos.DenseVectorInt, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: DenseVectorInt) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DenseVectorInt) -> None

        2. __init__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> None

        3. __init__(self: Kratos.DenseVectorInt, arg0: int) -> None

        4. __init__(self: Kratos.DenseVectorInt, arg0: int, arg1: int) -> None

        5. __init__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> None

        6. __init__(self: Kratos.DenseVectorInt, arg0: list) -> None

        7. __init__(self: Kratos.DenseVectorInt, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: list) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DenseVectorInt) -> None

        2. __init__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> None

        3. __init__(self: Kratos.DenseVectorInt, arg0: int) -> None

        4. __init__(self: Kratos.DenseVectorInt, arg0: int, arg1: int) -> None

        5. __init__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> None

        6. __init__(self: Kratos.DenseVectorInt, arg0: list) -> None

        7. __init__(self: Kratos.DenseVectorInt, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Buffer) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DenseVectorInt) -> None

        2. __init__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> None

        3. __init__(self: Kratos.DenseVectorInt, arg0: int) -> None

        4. __init__(self: Kratos.DenseVectorInt, arg0: int, arg1: int) -> None

        5. __init__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> None

        6. __init__(self: Kratos.DenseVectorInt, arg0: list) -> None

        7. __init__(self: Kratos.DenseVectorInt, arg0: Buffer) -> None
        """
    def Resize(self, arg0: int) -> None:
        """Resize(self: Kratos.DenseVectorInt, arg0: int) -> None"""
    def Size(self) -> int:
        """Size(self: Kratos.DenseVectorInt) -> int"""
    def fill(self, arg0: int) -> None:
        """fill(self: Kratos.DenseVectorInt, arg0: int) -> None"""
    def norm_1(self) -> int:
        """norm_1(self: Kratos.DenseVectorInt) -> int"""
    def norm_2(self) -> int:
        """norm_2(self: Kratos.DenseVectorInt) -> int"""
    def norm_inf(self) -> int:
        """norm_inf(self: Kratos.DenseVectorInt) -> int"""
    def __add__(self, arg0: DenseVectorInt) -> DenseVectorInt:
        """__add__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> Kratos.DenseVectorInt"""
    def __div__(self, arg0: int) -> DenseVectorInt:
        """__div__(self: Kratos.DenseVectorInt, arg0: int) -> Kratos.DenseVectorInt"""
    def __getitem__(self, arg0: int) -> int:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.DenseVectorInt, arg0: int) -> int

        2. __getitem__(self: Kratos.DenseVectorInt, arg0: slice) -> boost::numeric::ublas::vector_slice<boost::numeric::ublas::vector<int,boost::numeric::ublas::unbounded_array<int,std::allocator<int> > > >
        """
    @overload
    def __iadd__(self, arg0: int) -> DenseVectorInt:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.DenseVectorInt, arg0: int) -> Kratos.DenseVectorInt

        2. __iadd__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> Kratos.DenseVectorInt
        """
    @overload
    def __iadd__(self, arg0: DenseVectorInt) -> DenseVectorInt:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.DenseVectorInt, arg0: int) -> Kratos.DenseVectorInt

        2. __iadd__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> Kratos.DenseVectorInt
        """
    def __imul__(self, arg0: int) -> DenseVectorInt:
        """__imul__(self: Kratos.DenseVectorInt, arg0: int) -> Kratos.DenseVectorInt"""
    @overload
    def __isub__(self, arg0: int) -> DenseVectorInt:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.DenseVectorInt, arg0: int) -> Kratos.DenseVectorInt

        2. __isub__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> Kratos.DenseVectorInt
        """
    @overload
    def __isub__(self, arg0: DenseVectorInt) -> DenseVectorInt:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.DenseVectorInt, arg0: int) -> Kratos.DenseVectorInt

        2. __isub__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> Kratos.DenseVectorInt
        """
    def __iter__(self) -> Iterator[int]:
        """__iter__(self: Kratos.DenseVectorInt) -> Iterator[int]"""
    def __itruediv__(self, arg0: int) -> DenseVectorInt:
        """__itruediv__(self: Kratos.DenseVectorInt, arg0: int) -> Kratos.DenseVectorInt"""
    def __len__(self) -> int:
        """__len__(self: Kratos.DenseVectorInt) -> int"""
    def __mul__(self, arg0: int) -> DenseVectorInt:
        """__mul__(self: Kratos.DenseVectorInt, arg0: int) -> Kratos.DenseVectorInt"""
    def __rdiv__(self, arg0: int) -> None:
        """__rdiv__(self: Kratos.DenseVectorInt, arg0: int) -> None"""
    def __rmul__(self, arg0: int) -> DenseVectorInt:
        """__rmul__(self: Kratos.DenseVectorInt, arg0: int) -> Kratos.DenseVectorInt"""
    @overload
    def __setitem__(self, arg0: int, arg1: int) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DenseVectorInt, arg0: int, arg1: int) -> None

        2. __setitem__(self: Kratos.DenseVectorInt, arg0: slice, arg1: Kratos.DenseVectorInt) -> None
        """
    @overload
    def __setitem__(self, arg0: slice, arg1: DenseVectorInt) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DenseVectorInt, arg0: int, arg1: int) -> None

        2. __setitem__(self: Kratos.DenseVectorInt, arg0: slice, arg1: Kratos.DenseVectorInt) -> None
        """
    def __sub__(self, arg0: DenseVectorInt) -> DenseVectorInt:
        """__sub__(self: Kratos.DenseVectorInt, arg0: Kratos.DenseVectorInt) -> Kratos.DenseVectorInt"""
    def __truediv__(self, arg0: int) -> DenseVectorInt:
        """__truediv__(self: Kratos.DenseVectorInt, arg0: int) -> Kratos.DenseVectorInt"""

class DenseVectorUnsignedInt:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DenseVectorUnsignedInt) -> None

        2. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> None

        3. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> None

        4. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: int, arg1: int) -> None

        5. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> None

        6. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: list) -> None

        7. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: DenseVectorUnsignedInt) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DenseVectorUnsignedInt) -> None

        2. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> None

        3. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> None

        4. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: int, arg1: int) -> None

        5. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> None

        6. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: list) -> None

        7. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DenseVectorUnsignedInt) -> None

        2. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> None

        3. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> None

        4. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: int, arg1: int) -> None

        5. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> None

        6. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: list) -> None

        7. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DenseVectorUnsignedInt) -> None

        2. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> None

        3. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> None

        4. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: int, arg1: int) -> None

        5. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> None

        6. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: list) -> None

        7. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: DenseVectorUnsignedInt) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DenseVectorUnsignedInt) -> None

        2. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> None

        3. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> None

        4. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: int, arg1: int) -> None

        5. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> None

        6. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: list) -> None

        7. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: list) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DenseVectorUnsignedInt) -> None

        2. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> None

        3. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> None

        4. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: int, arg1: int) -> None

        5. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> None

        6. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: list) -> None

        7. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Buffer) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DenseVectorUnsignedInt) -> None

        2. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> None

        3. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> None

        4. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: int, arg1: int) -> None

        5. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> None

        6. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: list) -> None

        7. __init__(self: Kratos.DenseVectorUnsignedInt, arg0: Buffer) -> None
        """
    def Resize(self, arg0: int) -> None:
        """Resize(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> None"""
    def Size(self) -> int:
        """Size(self: Kratos.DenseVectorUnsignedInt) -> int"""
    def fill(self, arg0: int) -> None:
        """fill(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> None"""
    def norm_1(self) -> int:
        """norm_1(self: Kratos.DenseVectorUnsignedInt) -> int"""
    def norm_2(self) -> int:
        """norm_2(self: Kratos.DenseVectorUnsignedInt) -> int"""
    def norm_inf(self) -> int:
        """norm_inf(self: Kratos.DenseVectorUnsignedInt) -> int"""
    def __add__(self, arg0: DenseVectorUnsignedInt) -> DenseVectorUnsignedInt:
        """__add__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> Kratos.DenseVectorUnsignedInt"""
    def __div__(self, arg0: int) -> DenseVectorUnsignedInt:
        """__div__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> Kratos.DenseVectorUnsignedInt"""
    def __getitem__(self, arg0: int) -> int:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> int

        2. __getitem__(self: Kratos.DenseVectorUnsignedInt, arg0: slice) -> boost::numeric::ublas::vector_slice<boost::numeric::ublas::vector<unsigned int,boost::numeric::ublas::unbounded_array<unsigned int,std::allocator<unsigned int> > > >
        """
    @overload
    def __iadd__(self, arg0: int) -> DenseVectorUnsignedInt:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> Kratos.DenseVectorUnsignedInt

        2. __iadd__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> Kratos.DenseVectorUnsignedInt
        """
    @overload
    def __iadd__(self, arg0: DenseVectorUnsignedInt) -> DenseVectorUnsignedInt:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> Kratos.DenseVectorUnsignedInt

        2. __iadd__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> Kratos.DenseVectorUnsignedInt
        """
    def __imul__(self, arg0: int) -> DenseVectorUnsignedInt:
        """__imul__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> Kratos.DenseVectorUnsignedInt"""
    @overload
    def __isub__(self, arg0: int) -> DenseVectorUnsignedInt:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> Kratos.DenseVectorUnsignedInt

        2. __isub__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> Kratos.DenseVectorUnsignedInt
        """
    @overload
    def __isub__(self, arg0: DenseVectorUnsignedInt) -> DenseVectorUnsignedInt:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> Kratos.DenseVectorUnsignedInt

        2. __isub__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> Kratos.DenseVectorUnsignedInt
        """
    def __iter__(self) -> Iterator[int]:
        """__iter__(self: Kratos.DenseVectorUnsignedInt) -> Iterator[int]"""
    def __itruediv__(self, arg0: int) -> DenseVectorUnsignedInt:
        """__itruediv__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> Kratos.DenseVectorUnsignedInt"""
    def __len__(self) -> int:
        """__len__(self: Kratos.DenseVectorUnsignedInt) -> int"""
    def __mul__(self, arg0: int) -> DenseVectorUnsignedInt:
        """__mul__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> Kratos.DenseVectorUnsignedInt"""
    def __rdiv__(self, arg0: int) -> None:
        """__rdiv__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> None"""
    def __rmul__(self, arg0: int) -> DenseVectorUnsignedInt:
        """__rmul__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> Kratos.DenseVectorUnsignedInt"""
    @overload
    def __setitem__(self, arg0: int, arg1: int) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DenseVectorUnsignedInt, arg0: int, arg1: int) -> None

        2. __setitem__(self: Kratos.DenseVectorUnsignedInt, arg0: slice, arg1: Kratos.DenseVectorUnsignedInt) -> None
        """
    @overload
    def __setitem__(self, arg0: slice, arg1: DenseVectorUnsignedInt) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.DenseVectorUnsignedInt, arg0: int, arg1: int) -> None

        2. __setitem__(self: Kratos.DenseVectorUnsignedInt, arg0: slice, arg1: Kratos.DenseVectorUnsignedInt) -> None
        """
    def __sub__(self, arg0: DenseVectorUnsignedInt) -> DenseVectorUnsignedInt:
        """__sub__(self: Kratos.DenseVectorUnsignedInt, arg0: Kratos.DenseVectorUnsignedInt) -> Kratos.DenseVectorUnsignedInt"""
    def __truediv__(self, arg0: int) -> DenseVectorUnsignedInt:
        """__truediv__(self: Kratos.DenseVectorUnsignedInt, arg0: int) -> Kratos.DenseVectorUnsignedInt"""

class DiagonalPreconditioner(Preconditioner):
    def __init__(self) -> None:
        """__init__(self: Kratos.DiagonalPreconditioner) -> None"""

class DirectSolver(LinearSolver):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DirectSolver) -> None

        2. __init__(self: Kratos.DirectSolver, arg0: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DirectSolver) -> None

        2. __init__(self: Kratos.DirectSolver, arg0: Kratos::Parameters) -> None
        """

class DisplacementCriteria(ConvergenceCriteria):
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DisplacementCriteria, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.DisplacementCriteria, arg0: float, arg1: float) -> None
        """
    @overload
    def __init__(self, arg0: float, arg1: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.DisplacementCriteria, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.DisplacementCriteria, arg0: float, arg1: float) -> None
        """

class Dof:
    EquationId: int
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    def Fix(self) -> None:
        """Fix(self: Kratos.Dof) -> None"""
    def Free(self) -> None:
        """Free(self: Kratos.Dof) -> None"""
    def GetReaction(self) -> VariableData:
        """GetReaction(self: Kratos.Dof) -> Kratos.VariableData"""
    def GetSolutionStepValue(self) -> float:
        """GetSolutionStepValue(self: Kratos.Dof) -> float"""
    def GetVariable(self) -> VariableData:
        """GetVariable(self: Kratos.Dof) -> Kratos.VariableData"""
    def Id(self) -> int:
        """Id(self: Kratos.Dof) -> int"""
    def IsFixed(self) -> bool:
        """IsFixed(self: Kratos.Dof) -> bool"""
    def SetSolutionStepValue(self, arg0: float) -> float:
        """SetSolutionStepValue(self: Kratos.Dof, arg0: float) -> float"""
    def __eq__(self, arg0: Dof) -> bool:
        """__eq__(self: Kratos.Dof, arg0: Kratos.Dof) -> bool"""
    def __ge__(self, arg0: Dof) -> bool:
        """__ge__(self: Kratos.Dof, arg0: Kratos.Dof) -> bool"""
    def __gt__(self, arg0: Dof) -> bool:
        """__gt__(self: Kratos.Dof, arg0: Kratos.Dof) -> bool"""
    def __le__(self, arg0: Dof) -> bool:
        """__le__(self: Kratos.Dof, arg0: Kratos.Dof) -> bool"""
    def __lt__(self, arg0: Dof) -> bool:
        """__lt__(self: Kratos.Dof, arg0: Kratos.Dof) -> bool"""
    def __ne__(self, arg0: Dof) -> bool:
        """__ne__(self: Kratos.Dof, arg0: Kratos.Dof) -> bool"""

class DofsArrayType:
    def __init__(self) -> None:
        """__init__(self: Kratos.DofsArrayType) -> None"""
    def GetEquationIds(self) -> list[int]:
        """GetEquationIds(self: Kratos.DofsArrayType) -> list[int]"""
    def GetValues(self) -> Vector:
        """GetValues(self: Kratos.DofsArrayType) -> Kratos.Vector"""
    def SetValues(self, arg0: Vector) -> None:
        """SetValues(self: Kratos.DofsArrayType, arg0: Kratos.Vector) -> None"""
    def append(self, arg0: Dof) -> None:
        """append(self: Kratos.DofsArrayType, arg0: Kratos.Dof) -> None"""
    def unique(self) -> None:
        """unique(self: Kratos.DofsArrayType) -> None"""
    def __iter__(self) -> Iterator[Dof]:
        """__iter__(self: Kratos.DofsArrayType) -> Iterator[Kratos.Dof]"""
    def __len__(self) -> int:
        """__len__(self: Kratos.DofsArrayType) -> int"""

class DoubleQuaternionVariable:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class DoubleVariable(VariableData):
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class DuplicateMeshModeler(Modeler):
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.DuplicateMeshModeler, arg0: Kratos.ModelPart) -> None"""

class EdgeBasedGradientRecoveryProcessArray(Process):
    def __init__(self, *args, **kwargs) -> None:
        """__init__(self: Kratos.EdgeBasedGradientRecoveryProcessArray, arg0: Kratos::Model, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: Kratos::Parameters) -> None"""

class EdgeBasedGradientRecoveryProcessScalar(Process):
    def __init__(self, *args, **kwargs) -> None:
        """__init__(self: Kratos.EdgeBasedGradientRecoveryProcessScalar, arg0: Kratos::Model, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: Kratos::Parameters) -> None"""

class EdgeSwapping2DModeler(Modeler):
    def __init__(self) -> None:
        """__init__(self: Kratos.EdgeSwapping2DModeler) -> None"""
    def ReGenerateMesh(self, arg0: ModelPart) -> None:
        """ReGenerateMesh(self: Kratos.EdgeSwapping2DModeler, arg0: Kratos.ModelPart) -> None"""

class Element(GeometricalObject):
    Properties: Properties
    def __init__(self, arg0: int) -> None:
        """__init__(self: Kratos.Element, arg0: int) -> None"""
    @overload
    def Calculate(self, arg0: IntegerVariable, arg1) -> int:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> int

        2. Calculate(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> float

        3. Calculate(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> Kratos.Array3

        4. Calculate(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> Kratos.Array6

        5. Calculate(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> Kratos.Vector

        6. Calculate(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: DoubleVariable, arg1) -> float:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> int

        2. Calculate(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> float

        3. Calculate(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> Kratos.Array3

        4. Calculate(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> Kratos.Array6

        5. Calculate(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> Kratos.Vector

        6. Calculate(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: Array1DVariable3, arg1) -> Array3:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> int

        2. Calculate(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> float

        3. Calculate(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> Kratos.Array3

        4. Calculate(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> Kratos.Array6

        5. Calculate(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> Kratos.Vector

        6. Calculate(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: Array1DVariable6, arg1) -> Array6:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> int

        2. Calculate(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> float

        3. Calculate(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> Kratos.Array3

        4. Calculate(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> Kratos.Array6

        5. Calculate(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> Kratos.Vector

        6. Calculate(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: VectorVariable, arg1) -> Vector:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> int

        2. Calculate(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> float

        3. Calculate(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> Kratos.Array3

        4. Calculate(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> Kratos.Array6

        5. Calculate(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> Kratos.Vector

        6. Calculate(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: MatrixVariable, arg1) -> Matrix:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> int

        2. Calculate(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> float

        3. Calculate(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> Kratos.Array3

        4. Calculate(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> Kratos.Array6

        5. Calculate(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> Kratos.Vector

        6. Calculate(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> Kratos.Matrix
        """
    def CalculateDampingMatrix(self, arg0: Matrix, arg1) -> None:
        """CalculateDampingMatrix(self: Kratos.Element, arg0: Kratos.Matrix, arg1: Kratos::ProcessInfo) -> None"""
    def CalculateFirstDerivativesLHS(self, arg0: Matrix, arg1) -> None:
        """CalculateFirstDerivativesLHS(self: Kratos.Element, arg0: Kratos.Matrix, arg1: Kratos::ProcessInfo) -> None"""
    def CalculateLeftHandSide(self, arg0: Matrix, arg1) -> None:
        """CalculateLeftHandSide(self: Kratos.Element, arg0: Kratos.Matrix, arg1: Kratos::ProcessInfo) -> None"""
    @overload
    def CalculateLocalSystem(self, arg0: Matrix, arg1: Vector, arg2) -> None:
        """CalculateLocalSystem(*args, **kwargs)
        Overloaded function.

        1. CalculateLocalSystem(self: Kratos.Element, arg0: Kratos.Matrix, arg1: Kratos.Vector, arg2: Kratos::ProcessInfo) -> None

        2. CalculateLocalSystem(self: Kratos.Element, arg0: Kratos.Matrix, arg1: Kratos.Vector, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def CalculateLocalSystem(self, arg0: Matrix, arg1: Vector, arg2) -> None:
        """CalculateLocalSystem(*args, **kwargs)
        Overloaded function.

        1. CalculateLocalSystem(self: Kratos.Element, arg0: Kratos.Matrix, arg1: Kratos.Vector, arg2: Kratos::ProcessInfo) -> None

        2. CalculateLocalSystem(self: Kratos.Element, arg0: Kratos.Matrix, arg1: Kratos.Vector, arg2: Kratos::ProcessInfo) -> None
        """
    def CalculateLocalVelocityContribution(self, arg0: Matrix, arg1: Vector, arg2) -> None:
        """CalculateLocalVelocityContribution(self: Kratos.Element, arg0: Kratos.Matrix, arg1: Kratos.Vector, arg2: Kratos::ProcessInfo) -> None"""
    def CalculateLumpedMassVector(self, arg0: Vector, arg1) -> None:
        """CalculateLumpedMassVector(self: Kratos.Element, arg0: Kratos.Vector, arg1: Kratos::ProcessInfo) -> None"""
    def CalculateMassMatrix(self, arg0: Matrix, arg1) -> None:
        """CalculateMassMatrix(self: Kratos.Element, arg0: Kratos.Matrix, arg1: Kratos::ProcessInfo) -> None"""
    @overload
    def CalculateOnIntegrationPoints(self, arg0: BoolVariable, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: IntegerVariable, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: DoubleVariable, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: Array1DVariable3, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: Array1DVariable4, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: Array1DVariable6, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: Array1DVariable9, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: VectorVariable, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    @overload
    def CalculateOnIntegrationPoints(self, arg0: MatrixVariable, arg1) -> list:
        """CalculateOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: Kratos::ProcessInfo) -> list

        2. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: Kratos::ProcessInfo) -> list

        3. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos::ProcessInfo) -> list

        4. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos::ProcessInfo) -> list

        5. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos::ProcessInfo) -> list

        6. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos::ProcessInfo) -> list

        7. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos::ProcessInfo) -> list

        8. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> list

        9. CalculateOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos::ProcessInfo) -> list
        """
    def CalculateRightHandSide(self, arg0: Vector, arg1) -> None:
        """CalculateRightHandSide(self: Kratos.Element, arg0: Kratos.Vector, arg1: Kratos::ProcessInfo) -> None"""
    def CalculateSecondDerivativesLHS(self, arg0: Matrix, arg1) -> None:
        """CalculateSecondDerivativesLHS(self: Kratos.Element, arg0: Kratos.Matrix, arg1: Kratos::ProcessInfo) -> None"""
    @overload
    def CalculateSensitivityMatrix(self, arg0: DoubleVariable, arg1: Matrix, arg2) -> None:
        """CalculateSensitivityMatrix(*args, **kwargs)
        Overloaded function.

        1. CalculateSensitivityMatrix(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos.Matrix, arg2: Kratos::ProcessInfo) -> None

        2. CalculateSensitivityMatrix(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Matrix, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def CalculateSensitivityMatrix(self, arg0: Array1DVariable3, arg1: Matrix, arg2) -> None:
        """CalculateSensitivityMatrix(*args, **kwargs)
        Overloaded function.

        1. CalculateSensitivityMatrix(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: Kratos.Matrix, arg2: Kratos::ProcessInfo) -> None

        2. CalculateSensitivityMatrix(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Matrix, arg2: Kratos::ProcessInfo) -> None
        """
    def EquationIdVector(self, arg0) -> list[int]:
        """EquationIdVector(self: Kratos.Element, arg0: Kratos::ProcessInfo) -> list[int]"""
    def GetDofList(self, arg0) -> list[Dof]:
        """GetDofList(self: Kratos.Element, arg0: Kratos::ProcessInfo) -> list[Kratos.Dof]"""
    @overload
    def GetFirstDerivativesVector(self, arg0: Vector) -> None:
        """GetFirstDerivativesVector(*args, **kwargs)
        Overloaded function.

        1. GetFirstDerivativesVector(self: Kratos.Element, arg0: Kratos.Vector) -> None

        2. GetFirstDerivativesVector(self: Kratos.Element, arg0: Kratos.Vector, arg1: int) -> None
        """
    @overload
    def GetFirstDerivativesVector(self, arg0: Vector, arg1: int) -> None:
        """GetFirstDerivativesVector(*args, **kwargs)
        Overloaded function.

        1. GetFirstDerivativesVector(self: Kratos.Element, arg0: Kratos.Vector) -> None

        2. GetFirstDerivativesVector(self: Kratos.Element, arg0: Kratos.Vector, arg1: int) -> None
        """
    def GetGeometry(self, *args, **kwargs):
        """GetGeometry(self: Kratos.Element) -> Kratos::Geometry<Kratos::Node>"""
    def GetIntegrationPoints(self) -> list:
        """GetIntegrationPoints(self: Kratos.Element) -> list"""
    def GetNode(self, arg0: int) -> Node:
        """GetNode(self: Kratos.Element, arg0: int) -> Kratos.Node"""
    def GetNodes(self) -> list:
        """GetNodes(self: Kratos.Element) -> list"""
    @overload
    def GetSecondDerivativesVector(self, arg0: Vector) -> None:
        """GetSecondDerivativesVector(*args, **kwargs)
        Overloaded function.

        1. GetSecondDerivativesVector(self: Kratos.Element, arg0: Kratos.Vector) -> None

        2. GetSecondDerivativesVector(self: Kratos.Element, arg0: Kratos.Vector, arg1: int) -> None
        """
    @overload
    def GetSecondDerivativesVector(self, arg0: Vector, arg1: int) -> None:
        """GetSecondDerivativesVector(*args, **kwargs)
        Overloaded function.

        1. GetSecondDerivativesVector(self: Kratos.Element, arg0: Kratos.Vector) -> None

        2. GetSecondDerivativesVector(self: Kratos.Element, arg0: Kratos.Vector, arg1: int) -> None
        """
    def GetSpecifications(self, *args, **kwargs):
        """GetSpecifications(self: Kratos.Element) -> Kratos::Parameters"""
    @overload
    def GetValue(self, arg0: Array1DVariable3) -> Array3:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable4) -> Array4:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable6) -> Array6:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable9) -> Array9:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: VectorVariable) -> Vector:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: IntegerVectorVariable) -> DenseVectorInt:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: MatrixVariable) -> Matrix:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: IntegerVariable) -> int:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: DoubleVariable) -> float:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: BoolVariable) -> bool:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: StringVariable) -> str:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    def GetValuesOnIntegrationPoints(self, arg0: VectorVariable, arg1) -> None:
        """GetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos::ProcessInfo) -> None"""
    @overload
    def Has(self, arg0: Array1DVariable3) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Element, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Element, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable4) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Element, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Element, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable6) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Element, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Element, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable9) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Element, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Element, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: VectorVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Element, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Element, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: IntegerVectorVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Element, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Element, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: MatrixVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Element, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Element, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: IntegerVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Element, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Element, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: DoubleVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Element, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Element, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: BoolVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Element, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Element, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: StringVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.Element, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.Element, arg0: Kratos.StringVariable) -> bool
        """
    def Info(self) -> str:
        """Info(self: Kratos.Element) -> str"""
    def Initialize(self, arg0) -> None:
        """Initialize(self: Kratos.Element, arg0: Kratos::ProcessInfo) -> None"""
    def ResetConstitutiveLaw(self) -> None:
        """ResetConstitutiveLaw(self: Kratos.Element) -> None"""
    @overload
    def SetValue(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable4, arg1: Array4) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable9, arg1: Array9) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: VectorVariable, arg1: Vector) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: IntegerVectorVariable, arg1: DenseVectorInt) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: IntegerVariable, arg1: int) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: DoubleVariable, arg1: float) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: BoolVariable, arg1: bool) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: StringVariable, arg1: str) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: BoolVariable, arg1: list[bool], arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.ConstitutuveLawVariable, arg1: list, arg2: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        9. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: IntegerVariable, arg1: list[int], arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.ConstitutuveLawVariable, arg1: list, arg2: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        9. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: VectorVariable, arg1: list, arg2: int, arg3) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.ConstitutuveLawVariable, arg1: list, arg2: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        9. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: ConstitutuveLawVariable, arg1: list, arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.ConstitutuveLawVariable, arg1: list, arg2: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        9. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: DoubleVariable, arg1: list[float], arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.ConstitutuveLawVariable, arg1: list, arg2: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        9. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: Array1DVariable3, arg1: list, arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.ConstitutuveLawVariable, arg1: list, arg2: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        9. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: Array1DVariable4, arg1: list, arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.ConstitutuveLawVariable, arg1: list, arg2: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        9. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: Array1DVariable6, arg1: list, arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.ConstitutuveLawVariable, arg1: list, arg2: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        9. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def SetValuesOnIntegrationPoints(self, arg0: Array1DVariable9, arg1: list, arg2) -> None:
        """SetValuesOnIntegrationPoints(*args, **kwargs)
        Overloaded function.

        1. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: list[bool], arg2: Kratos::ProcessInfo) -> None

        2. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: list[int], arg2: Kratos::ProcessInfo) -> None

        3. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: list, arg2: int, arg3: Kratos::ProcessInfo) -> None

        4. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.ConstitutuveLawVariable, arg1: list, arg2: Kratos::ProcessInfo) -> None

        5. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: list[float], arg2: Kratos::ProcessInfo) -> None

        6. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: list, arg2: Kratos::ProcessInfo) -> None

        7. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: list, arg2: Kratos::ProcessInfo) -> None

        8. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: list, arg2: Kratos::ProcessInfo) -> None

        9. SetValuesOnIntegrationPoints(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: list, arg2: Kratos::ProcessInfo) -> None
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable3) -> Array3:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable4) -> Array4:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable6) -> Array6:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable9) -> Array9:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: VectorVariable) -> Vector:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: IntegerVectorVariable) -> DenseVectorInt:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: MatrixVariable) -> Matrix:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: IntegerVariable) -> int:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: DoubleVariable) -> float:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: BoolVariable) -> bool:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: StringVariable) -> str:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.Element, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.Element, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.Element, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable4, arg1: Array4) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable9, arg1: Array9) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: VectorVariable, arg1: Vector) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: IntegerVectorVariable, arg1: DenseVectorInt) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: IntegerVariable, arg1: int) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: DoubleVariable, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: BoolVariable, arg1: bool) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: StringVariable, arg1: str) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.Element, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.Element, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.Element, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.Element, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.Element, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.Element, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.Element, arg0: Kratos.StringVariable, arg1: str) -> None
        """

class ElementEraseProcess(Process):
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.ElementEraseProcess, arg0: Kratos.ModelPart) -> None"""

class ElementsArray:
    def __init__(self) -> None:
        """__init__(self: Kratos.ElementsArray) -> None"""
    def append(self, arg0: Element) -> None:
        """append(self: Kratos.ElementsArray, arg0: Kratos.Element) -> None"""
    def clear(self) -> None:
        """clear(self: Kratos.ElementsArray) -> None"""
    @overload
    def __contains__(self, arg0: Element) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.ElementsArray, arg0: Kratos.Element) -> bool

        2. __contains__(self: Kratos.ElementsArray, arg0: int) -> bool
        """
    @overload
    def __contains__(self, arg0: int) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.ElementsArray, arg0: Kratos.Element) -> bool

        2. __contains__(self: Kratos.ElementsArray, arg0: int) -> bool
        """
    def __getitem__(self, arg0: int) -> Element:
        """__getitem__(self: Kratos.ElementsArray, arg0: int) -> Kratos.Element"""
    def __iter__(self) -> Iterator[Element]:
        """__iter__(self: Kratos.ElementsArray) -> Iterator[Kratos.Element]"""
    def __len__(self) -> int:
        """__len__(self: Kratos.ElementsArray) -> int"""
    @overload
    def __setitem__(self, arg0: Element) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.ElementsArray, arg0: Kratos.Element) -> None

        2. __setitem__(self: Kratos.ElementsArray, arg0: Kratos.Element) -> None
        """
    @overload
    def __setitem__(self, arg0: Element) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.ElementsArray, arg0: Kratos.Element) -> None

        2. __setitem__(self: Kratos.ElementsArray, arg0: Kratos.Element) -> None
        """

class EliminateIsolatedNodesProcess(Process):
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.EliminateIsolatedNodesProcess, arg0: Kratos.ModelPart) -> None"""

class EliminationBuildDofArrayUtility:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @overload
    @classmethod
    def SetUpDofArray(cls, arg0: ModelPart, arg1: DofsArrayType) -> None:
        """SetUpDofArray(*args, **kwargs)
        Overloaded function.

        1. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType) -> None

        2. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: int) -> None

        3. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: int, arg3: bool) -> None
        """
    @overload
    @classmethod
    def SetUpDofArray(cls, arg0: ModelPart, arg1: DofsArrayType, arg2: int) -> None:
        """SetUpDofArray(*args, **kwargs)
        Overloaded function.

        1. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType) -> None

        2. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: int) -> None

        3. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: int, arg3: bool) -> None
        """
    @overload
    @classmethod
    def SetUpDofArray(cls, arg0: ModelPart, arg1: DofsArrayType, arg2: int, arg3: bool) -> None:
        """SetUpDofArray(*args, **kwargs)
        Overloaded function.

        1. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType) -> None

        2. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: int) -> None

        3. SetUpDofArray(arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: int, arg3: bool) -> None
        """

class EmbeddedSkinUtility2D:
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: str) -> None:
        """__init__(self: Kratos.EmbeddedSkinUtility2D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: str) -> None"""
    def GenerateSkin(self) -> None:
        """GenerateSkin(self: Kratos.EmbeddedSkinUtility2D) -> None"""
    @overload
    def InterpolateDiscontinuousMeshVariableToSkin(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: str) -> None:
        """InterpolateDiscontinuousMeshVariableToSkin(*args, **kwargs)
        Overloaded function.

        1. InterpolateDiscontinuousMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility2D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: str) -> None

        2. InterpolateDiscontinuousMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility2D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: str) -> None
        """
    @overload
    def InterpolateDiscontinuousMeshVariableToSkin(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: str) -> None:
        """InterpolateDiscontinuousMeshVariableToSkin(*args, **kwargs)
        Overloaded function.

        1. InterpolateDiscontinuousMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility2D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: str) -> None

        2. InterpolateDiscontinuousMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility2D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: str) -> None
        """
    @overload
    def InterpolateMeshVariableToSkin(self, arg0: Array1DVariable3, arg1: Array1DVariable3) -> None:
        """InterpolateMeshVariableToSkin(*args, **kwargs)
        Overloaded function.

        1. InterpolateMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility2D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        2. InterpolateMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility2D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None
        """
    @overload
    def InterpolateMeshVariableToSkin(self, arg0: DoubleVariable, arg1: DoubleVariable) -> None:
        """InterpolateMeshVariableToSkin(*args, **kwargs)
        Overloaded function.

        1. InterpolateMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility2D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        2. InterpolateMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility2D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None
        """

class EmbeddedSkinUtility3D:
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: str) -> None:
        """__init__(self: Kratos.EmbeddedSkinUtility3D, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: str) -> None"""
    def GenerateSkin(self) -> None:
        """GenerateSkin(self: Kratos.EmbeddedSkinUtility3D) -> None"""
    @overload
    def InterpolateDiscontinuousMeshVariableToSkin(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: str) -> None:
        """InterpolateDiscontinuousMeshVariableToSkin(*args, **kwargs)
        Overloaded function.

        1. InterpolateDiscontinuousMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility3D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: str) -> None

        2. InterpolateDiscontinuousMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility3D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: str) -> None
        """
    @overload
    def InterpolateDiscontinuousMeshVariableToSkin(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: str) -> None:
        """InterpolateDiscontinuousMeshVariableToSkin(*args, **kwargs)
        Overloaded function.

        1. InterpolateDiscontinuousMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility3D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: str) -> None

        2. InterpolateDiscontinuousMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility3D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: str) -> None
        """
    @overload
    def InterpolateMeshVariableToSkin(self, arg0: Array1DVariable3, arg1: Array1DVariable3) -> None:
        """InterpolateMeshVariableToSkin(*args, **kwargs)
        Overloaded function.

        1. InterpolateMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility3D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        2. InterpolateMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility3D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None
        """
    @overload
    def InterpolateMeshVariableToSkin(self, arg0: DoubleVariable, arg1: DoubleVariable) -> None:
        """InterpolateMeshVariableToSkin(*args, **kwargs)
        Overloaded function.

        1. InterpolateMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility3D, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        2. InterpolateMeshVariableToSkin(self: Kratos.EmbeddedSkinUtility3D, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None
        """

class ExactMortarIntegrationUtility2D2N:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int, arg3: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    def GetConsiderDelaunator(self) -> bool:
        """GetConsiderDelaunator(self: Kratos.ExactMortarIntegrationUtility2D2N) -> bool"""
    @overload
    def TestGetExactAreaIntegration(self, arg0: ModelPart, arg1: Condition) -> float:
        """TestGetExactAreaIntegration(*args, **kwargs)
        Overloaded function.

        1. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: Kratos.ModelPart, arg1: Kratos.Condition) -> float

        2. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: Kratos.Condition, arg1: Kratos.Condition) -> float
        """
    @overload
    def TestGetExactAreaIntegration(self, arg0: Condition, arg1: Condition) -> float:
        """TestGetExactAreaIntegration(*args, **kwargs)
        Overloaded function.

        1. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: Kratos.ModelPart, arg1: Kratos.Condition) -> float

        2. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: Kratos.Condition, arg1: Kratos.Condition) -> float
        """
    def TestGetExactIntegration(self, arg0: Condition, arg1: Condition, arg2: Matrix) -> bool:
        """TestGetExactIntegration(self: Kratos.ExactMortarIntegrationUtility2D2N, arg0: Kratos.Condition, arg1: Kratos.Condition, arg2: Kratos.Matrix) -> bool"""

class ExactMortarIntegrationUtility3D3N:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int, arg3: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    def GetConsiderDelaunator(self) -> bool:
        """GetConsiderDelaunator(self: Kratos.ExactMortarIntegrationUtility3D3N) -> bool"""
    @overload
    def TestGetExactAreaIntegration(self, arg0: ModelPart, arg1: Condition) -> float:
        """TestGetExactAreaIntegration(*args, **kwargs)
        Overloaded function.

        1. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: Kratos.ModelPart, arg1: Kratos.Condition) -> float

        2. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: Kratos.Condition, arg1: Kratos.Condition) -> float
        """
    @overload
    def TestGetExactAreaIntegration(self, arg0: Condition, arg1: Condition) -> float:
        """TestGetExactAreaIntegration(*args, **kwargs)
        Overloaded function.

        1. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: Kratos.ModelPart, arg1: Kratos.Condition) -> float

        2. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: Kratos.Condition, arg1: Kratos.Condition) -> float
        """
    def TestGetExactIntegration(self, arg0: Condition, arg1: Condition, arg2: Matrix) -> bool:
        """TestGetExactIntegration(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: Kratos.Condition, arg1: Kratos.Condition, arg2: Kratos.Matrix) -> bool"""
    def TestIODebug(self, arg0: ModelPart, arg1: str) -> None:
        """TestIODebug(self: Kratos.ExactMortarIntegrationUtility3D3N, arg0: Kratos.ModelPart, arg1: str) -> None"""

class ExactMortarIntegrationUtility3D3N4N:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int, arg3: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    def GetConsiderDelaunator(self) -> bool:
        """GetConsiderDelaunator(self: Kratos.ExactMortarIntegrationUtility3D3N4N) -> bool"""
    @overload
    def TestGetExactAreaIntegration(self, arg0: ModelPart, arg1: Condition) -> float:
        """TestGetExactAreaIntegration(*args, **kwargs)
        Overloaded function.

        1. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: Kratos.ModelPart, arg1: Kratos.Condition) -> float

        2. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: Kratos.Condition, arg1: Kratos.Condition) -> float
        """
    @overload
    def TestGetExactAreaIntegration(self, arg0: Condition, arg1: Condition) -> float:
        """TestGetExactAreaIntegration(*args, **kwargs)
        Overloaded function.

        1. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: Kratos.ModelPart, arg1: Kratos.Condition) -> float

        2. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: Kratos.Condition, arg1: Kratos.Condition) -> float
        """
    def TestGetExactIntegration(self, arg0: Condition, arg1: Condition, arg2: Matrix) -> bool:
        """TestGetExactIntegration(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: Kratos.Condition, arg1: Kratos.Condition, arg2: Kratos.Matrix) -> bool"""
    def TestIODebug(self, arg0: ModelPart, arg1: str) -> None:
        """TestIODebug(self: Kratos.ExactMortarIntegrationUtility3D3N4N, arg0: Kratos.ModelPart, arg1: str) -> None"""

class ExactMortarIntegrationUtility3D4N:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int, arg3: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    def GetConsiderDelaunator(self) -> bool:
        """GetConsiderDelaunator(self: Kratos.ExactMortarIntegrationUtility3D4N) -> bool"""
    @overload
    def TestGetExactAreaIntegration(self, arg0: ModelPart, arg1: Condition) -> float:
        """TestGetExactAreaIntegration(*args, **kwargs)
        Overloaded function.

        1. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: Kratos.ModelPart, arg1: Kratos.Condition) -> float

        2. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: Kratos.Condition, arg1: Kratos.Condition) -> float
        """
    @overload
    def TestGetExactAreaIntegration(self, arg0: Condition, arg1: Condition) -> float:
        """TestGetExactAreaIntegration(*args, **kwargs)
        Overloaded function.

        1. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: Kratos.ModelPart, arg1: Kratos.Condition) -> float

        2. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: Kratos.Condition, arg1: Kratos.Condition) -> float
        """
    def TestGetExactIntegration(self, arg0: Condition, arg1: Condition, arg2: Matrix) -> bool:
        """TestGetExactIntegration(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: Kratos.Condition, arg1: Kratos.Condition, arg2: Kratos.Matrix) -> bool"""
    def TestIODebug(self, arg0: ModelPart, arg1: str) -> None:
        """TestIODebug(self: Kratos.ExactMortarIntegrationUtility3D4N, arg0: Kratos.ModelPart, arg1: str) -> None"""

class ExactMortarIntegrationUtility3D4N3N:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int, arg3: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N) -> None

        2. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int) -> None

        3. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float) -> None

        4. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int) -> None

        5. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int, arg3: float) -> None

        6. __init__(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: int, arg1: float, arg2: int, arg3: float, arg4: bool) -> None
        """
    def GetConsiderDelaunator(self) -> bool:
        """GetConsiderDelaunator(self: Kratos.ExactMortarIntegrationUtility3D4N3N) -> bool"""
    @overload
    def TestGetExactAreaIntegration(self, arg0: ModelPart, arg1: Condition) -> float:
        """TestGetExactAreaIntegration(*args, **kwargs)
        Overloaded function.

        1. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: Kratos.ModelPart, arg1: Kratos.Condition) -> float

        2. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: Kratos.Condition, arg1: Kratos.Condition) -> float
        """
    @overload
    def TestGetExactAreaIntegration(self, arg0: Condition, arg1: Condition) -> float:
        """TestGetExactAreaIntegration(*args, **kwargs)
        Overloaded function.

        1. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: Kratos.ModelPart, arg1: Kratos.Condition) -> float

        2. TestGetExactAreaIntegration(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: Kratos.Condition, arg1: Kratos.Condition) -> float
        """
    def TestGetExactIntegration(self, arg0: Condition, arg1: Condition, arg2: Matrix) -> bool:
        """TestGetExactIntegration(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: Kratos.Condition, arg1: Kratos.Condition, arg2: Kratos.Matrix) -> bool"""
    def TestIODebug(self, arg0: ModelPart, arg1: str) -> None:
        """TestIODebug(self: Kratos.ExactMortarIntegrationUtility3D4N3N, arg0: Kratos.ModelPart, arg1: str) -> None"""

class ExplicitBuilder:
    def __init__(self) -> None:
        """__init__(self: Kratos.ExplicitBuilder) -> None"""
    def ApplyConstraints(self, arg0: ModelPart) -> None:
        """ApplyConstraints(self: Kratos.ExplicitBuilder, arg0: Kratos.ModelPart) -> None"""
    def BuildRHS(self, arg0: ModelPart) -> None:
        """BuildRHS(self: Kratos.ExplicitBuilder, arg0: Kratos.ModelPart) -> None"""
    def Check(self, arg0: ModelPart) -> int:
        """Check(self: Kratos.ExplicitBuilder, arg0: Kratos.ModelPart) -> int"""
    def Clear(self) -> None:
        """Clear(self: Kratos.ExplicitBuilder) -> None"""
    def FinalizeSolutionStep(self, arg0: ModelPart) -> None:
        """FinalizeSolutionStep(self: Kratos.ExplicitBuilder, arg0: Kratos.ModelPart) -> None"""
    def GetCalculateReactionsFlag(self) -> bool:
        """GetCalculateReactionsFlag(self: Kratos.ExplicitBuilder) -> bool"""
    def GetDefaultParameters(self, *args, **kwargs):
        """GetDefaultParameters(self: Kratos.ExplicitBuilder) -> Kratos::Parameters"""
    def GetDofSet(self) -> DofsArrayType:
        """GetDofSet(self: Kratos.ExplicitBuilder) -> Kratos.DofsArrayType"""
    def GetDofSetIsInitializedFlag(self) -> bool:
        """GetDofSetIsInitializedFlag(self: Kratos.ExplicitBuilder) -> bool"""
    def GetEchoLevel(self) -> int:
        """GetEchoLevel(self: Kratos.ExplicitBuilder) -> int"""
    def GetEquationSystemSize(self) -> int:
        """GetEquationSystemSize(self: Kratos.ExplicitBuilder) -> int"""
    def GetLumpedMassMatrixVector(self) -> Vector:
        """GetLumpedMassMatrixVector(self: Kratos.ExplicitBuilder) -> Kratos.Vector"""
    def GetResetDofSetFlag(self) -> bool:
        """GetResetDofSetFlag(self: Kratos.ExplicitBuilder) -> bool"""
    def GetResetLumpedMassVectorFlag(self) -> bool:
        """GetResetLumpedMassVectorFlag(self: Kratos.ExplicitBuilder) -> bool"""
    def Info(self) -> str:
        """Info(self: Kratos.ExplicitBuilder) -> str"""
    def Initialize(self, arg0: ModelPart) -> None:
        """Initialize(self: Kratos.ExplicitBuilder, arg0: Kratos.ModelPart) -> None"""
    def InitializeSolutionStep(self, arg0: ModelPart) -> None:
        """InitializeSolutionStep(self: Kratos.ExplicitBuilder, arg0: Kratos.ModelPart) -> None"""
    def SetCalculateReactionsFlag(self, arg0: bool) -> None:
        """SetCalculateReactionsFlag(self: Kratos.ExplicitBuilder, arg0: bool) -> None"""
    def SetDofSetIsInitializedFlag(self, arg0: bool) -> None:
        """SetDofSetIsInitializedFlag(self: Kratos.ExplicitBuilder, arg0: bool) -> None"""
    def SetEchoLevel(self, arg0: int) -> None:
        """SetEchoLevel(self: Kratos.ExplicitBuilder, arg0: int) -> None"""
    def SetResetDofSetFlag(self, arg0: bool) -> None:
        """SetResetDofSetFlag(self: Kratos.ExplicitBuilder, arg0: bool) -> None"""
    def SetResetLumpedMassVectorFlag(self, arg0: bool) -> None:
        """SetResetLumpedMassVectorFlag(self: Kratos.ExplicitBuilder, arg0: bool) -> None"""

class ExplicitBuilderFactory(FactoryBase):
    def __init__(self) -> None:
        """__init__(self: Kratos.ExplicitBuilderFactory) -> None"""
    def Create(self, *args, **kwargs):
        """Create(self: Kratos.ExplicitBuilderFactory, arg0: Kratos::Parameters) -> Kratos::ExplicitBuilder<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > >"""

class ExplicitSolvingStrategy(BaseSolvingStrategy):
    @overload
    def __init__(self, arg0: ModelPart, arg1: bool, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExplicitSolvingStrategy, arg0: Kratos.ModelPart, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.ExplicitSolvingStrategy, arg0: Kratos.ModelPart, arg1: Kratos.ExplicitBuilder, arg2: bool, arg3: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ExplicitBuilder, arg2: bool, arg3: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExplicitSolvingStrategy, arg0: Kratos.ModelPart, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.ExplicitSolvingStrategy, arg0: Kratos.ModelPart, arg1: Kratos.ExplicitBuilder, arg2: bool, arg3: int) -> None
        """

class ExplicitSolvingStrategyBFECC(ExplicitSolvingStrategy):
    @overload
    def __init__(self, arg0: ModelPart, arg1: bool, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExplicitSolvingStrategyBFECC, arg0: Kratos.ModelPart, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.ExplicitSolvingStrategyBFECC, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ExplicitSolvingStrategyBFECC, arg0: Kratos.ModelPart, arg1: Kratos.ExplicitBuilder, arg2: bool, arg3: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExplicitSolvingStrategyBFECC, arg0: Kratos.ModelPart, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.ExplicitSolvingStrategyBFECC, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ExplicitSolvingStrategyBFECC, arg0: Kratos.ModelPart, arg1: Kratos.ExplicitBuilder, arg2: bool, arg3: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ExplicitBuilder, arg2: bool, arg3: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExplicitSolvingStrategyBFECC, arg0: Kratos.ModelPart, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.ExplicitSolvingStrategyBFECC, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ExplicitSolvingStrategyBFECC, arg0: Kratos.ModelPart, arg1: Kratos.ExplicitBuilder, arg2: bool, arg3: int) -> None
        """

class ExplicitSolvingStrategyRungeKutta1(ExplicitSolvingStrategy):
    @overload
    def __init__(self, arg0: ModelPart, arg1: bool, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta1, arg0: Kratos.ModelPart, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta1, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta1, arg0: Kratos.ModelPart, arg1: Kratos.ExplicitBuilder, arg2: bool, arg3: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta1, arg0: Kratos.ModelPart, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta1, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta1, arg0: Kratos.ModelPart, arg1: Kratos.ExplicitBuilder, arg2: bool, arg3: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ExplicitBuilder, arg2: bool, arg3: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta1, arg0: Kratos.ModelPart, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta1, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta1, arg0: Kratos.ModelPart, arg1: Kratos.ExplicitBuilder, arg2: bool, arg3: int) -> None
        """

class ExplicitSolvingStrategyRungeKutta3TVD(ExplicitSolvingStrategy):
    @overload
    def __init__(self, arg0: ModelPart, arg1: bool, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta3TVD, arg0: Kratos.ModelPart, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta3TVD, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta3TVD, arg0: Kratos.ModelPart, arg1: Kratos.ExplicitBuilder, arg2: bool, arg3: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta3TVD, arg0: Kratos.ModelPart, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta3TVD, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta3TVD, arg0: Kratos.ModelPart, arg1: Kratos.ExplicitBuilder, arg2: bool, arg3: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ExplicitBuilder, arg2: bool, arg3: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta3TVD, arg0: Kratos.ModelPart, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta3TVD, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta3TVD, arg0: Kratos.ModelPart, arg1: Kratos.ExplicitBuilder, arg2: bool, arg3: int) -> None
        """

class ExplicitSolvingStrategyRungeKutta4(ExplicitSolvingStrategy):
    @overload
    def __init__(self, arg0: ModelPart, arg1: bool, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta4, arg0: Kratos.ModelPart, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta4, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta4, arg0: Kratos.ModelPart, arg1: Kratos.ExplicitBuilder, arg2: bool, arg3: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta4, arg0: Kratos.ModelPart, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta4, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta4, arg0: Kratos.ModelPart, arg1: Kratos.ExplicitBuilder, arg2: bool, arg3: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ExplicitBuilder, arg2: bool, arg3: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta4, arg0: Kratos.ModelPart, arg1: bool, arg2: int) -> None

        2. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta4, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.ExplicitSolvingStrategyRungeKutta4, arg0: Kratos.ModelPart, arg1: Kratos.ExplicitBuilder, arg2: bool, arg3: int) -> None
        """

class FactoryBase:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    def Has(self, arg0: str) -> bool:
        """Has(self: Kratos.FactoryBase, arg0: str) -> bool"""

class FallbackLinearSolver(LinearSolver):
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FallbackLinearSolver, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.FallbackLinearSolver, arg0: list[Kratos.LinearSolver], arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: list[LinearSolver], arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FallbackLinearSolver, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.FallbackLinearSolver, arg0: list[Kratos.LinearSolver], arg1: Kratos::Parameters) -> None
        """
    def ClearCurrentSolverIndex(self) -> None:
        """ClearCurrentSolverIndex(self: Kratos.FallbackLinearSolver) -> None"""
    def GetCurrentSolverIndex(self) -> int:
        """GetCurrentSolverIndex(self: Kratos.FallbackLinearSolver) -> int"""
    def GetParameters(self, *args, **kwargs):
        """GetParameters(self: Kratos.FallbackLinearSolver) -> Kratos::Parameters"""
    def GetResetSolverEachTry(self) -> bool:
        """GetResetSolverEachTry(self: Kratos.FallbackLinearSolver) -> bool"""
    def GetSolvers(self) -> list[LinearSolver]:
        """GetSolvers(self: Kratos.FallbackLinearSolver) -> list[Kratos.LinearSolver]"""

class FastTransferBetweenModelPartsProcess(Process):
    class EntityTransfered:
        __members__: ClassVar[dict] = ...  # read-only
        ALL: ClassVar[FastTransferBetweenModelPartsProcess.EntityTransfered] = ...
        CONDITIONS: ClassVar[FastTransferBetweenModelPartsProcess.EntityTransfered] = ...
        CONSTRAINTS: ClassVar[FastTransferBetweenModelPartsProcess.EntityTransfered] = ...
        ELEMENTS: ClassVar[FastTransferBetweenModelPartsProcess.EntityTransfered] = ...
        NODES: ClassVar[FastTransferBetweenModelPartsProcess.EntityTransfered] = ...
        NODESANDCONDITIONS: ClassVar[FastTransferBetweenModelPartsProcess.EntityTransfered] = ...
        NODESANDCONSTRAINTS: ClassVar[FastTransferBetweenModelPartsProcess.EntityTransfered] = ...
        NODESANDELEMENTS: ClassVar[FastTransferBetweenModelPartsProcess.EntityTransfered] = ...
        __entries: ClassVar[dict] = ...
        def __init__(self, value: int) -> None:
            """__init__(self: Kratos.FastTransferBetweenModelPartsProcess.EntityTransfered, value: int) -> None"""
        def __eq__(self, other: object) -> bool:
            """__eq__(self: object, other: object) -> bool"""
        def __hash__(self) -> int:
            """__hash__(self: object) -> int"""
        def __index__(self) -> int:
            """__index__(self: Kratos.FastTransferBetweenModelPartsProcess.EntityTransfered) -> int"""
        def __int__(self) -> int:
            """__int__(self: Kratos.FastTransferBetweenModelPartsProcess.EntityTransfered) -> int"""
        def __ne__(self, other: object) -> bool:
            """__ne__(self: object, other: object) -> bool"""
        @property
        def name(self) -> str: ...
        @property
        def value(self) -> int: ...
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::FastTransferBetweenModelPartsProcess::EntityTransfered) -> None

        3. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::FastTransferBetweenModelPartsProcess::EntityTransfered, arg3: Kratos.Flags) -> None

        4. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::FastTransferBetweenModelPartsProcess::EntityTransfered, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::FastTransferBetweenModelPartsProcess::EntityTransfered) -> None

        3. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::FastTransferBetweenModelPartsProcess::EntityTransfered, arg3: Kratos.Flags) -> None

        4. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::FastTransferBetweenModelPartsProcess::EntityTransfered, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2, arg3: Flags) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::FastTransferBetweenModelPartsProcess::EntityTransfered) -> None

        3. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::FastTransferBetweenModelPartsProcess::EntityTransfered, arg3: Kratos.Flags) -> None

        4. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::FastTransferBetweenModelPartsProcess::EntityTransfered, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2, arg3: Flags, arg4: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::FastTransferBetweenModelPartsProcess::EntityTransfered) -> None

        3. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::FastTransferBetweenModelPartsProcess::EntityTransfered, arg3: Kratos.Flags) -> None

        4. __init__(self: Kratos.FastTransferBetweenModelPartsProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::FastTransferBetweenModelPartsProcess::EntityTransfered, arg3: Kratos.Flags, arg4: bool) -> None
        """

class FileLoggerOutput(LoggerOutput):
    def __init__(self, arg0: str) -> None:
        """__init__(self: Kratos.FileLoggerOutput, arg0: str) -> None"""

class FileNameDataCollector:
    class FileNameData:
        @overload
        def __init__(self) -> None:
            """__init__(*args, **kwargs)
            Overloaded function.

            1. __init__(self: Kratos.FileNameDataCollector.FileNameData) -> None

            2. __init__(self: Kratos.FileNameDataCollector.FileNameData, arg0: str, arg1: int, arg2: int, arg3: float) -> None
            """
        @overload
        def __init__(self, arg0: str, arg1: int, arg2: int, arg3: float) -> None:
            """__init__(*args, **kwargs)
            Overloaded function.

            1. __init__(self: Kratos.FileNameDataCollector.FileNameData) -> None

            2. __init__(self: Kratos.FileNameDataCollector.FileNameData, arg0: str, arg1: int, arg2: int, arg3: float) -> None
            """
        def Clear(self) -> None:
            """Clear(self: Kratos.FileNameDataCollector.FileNameData) -> None"""
        def GetFileName(self) -> str:
            """GetFileName(self: Kratos.FileNameDataCollector.FileNameData) -> str"""
        def GetRank(self) -> int:
            """GetRank(self: Kratos.FileNameDataCollector.FileNameData) -> int"""
        def GetStep(self) -> int:
            """GetStep(self: Kratos.FileNameDataCollector.FileNameData) -> int"""
        def GetTime(self) -> float:
            """GetTime(self: Kratos.FileNameDataCollector.FileNameData) -> float"""
        def SetFileName(self, arg0: str) -> None:
            """SetFileName(self: Kratos.FileNameDataCollector.FileNameData, arg0: str) -> None"""
        def SetRank(self, arg0: int) -> None:
            """SetRank(self: Kratos.FileNameDataCollector.FileNameData, arg0: int) -> None"""
        def SetStep(self, arg0: int) -> None:
            """SetStep(self: Kratos.FileNameDataCollector.FileNameData, arg0: int) -> None"""
        def SetTime(self, arg0: float) -> None:
            """SetTime(self: Kratos.FileNameDataCollector.FileNameData, arg0: float) -> None"""
        def __eq__(self, arg0: FileNameDataCollector.FileNameData) -> bool:
            """__eq__(self: Kratos.FileNameDataCollector.FileNameData, arg0: Kratos.FileNameDataCollector.FileNameData) -> bool"""
    def __init__(self, arg0: ModelPart, arg1: str, arg2: dict[str, str]) -> None:
        """__init__(self: Kratos.FileNameDataCollector, arg0: Kratos.ModelPart, arg1: str, arg2: dict[str, str]) -> None"""
    @classmethod
    def ExtractFileNamePattern(cls, arg0: str, arg1: list[str]) -> tuple[bool, str]:
        """ExtractFileNamePattern(arg0: str, arg1: list[str]) -> tuple[bool, str]"""
    def GetFileName(self) -> str:
        """GetFileName(self: Kratos.FileNameDataCollector) -> str"""
    def GetFileNameDataList(self, *args, **kwargs):
        """GetFileNameDataList(self: Kratos.FileNameDataCollector) -> list[Kratos::FileNameDataCollector::FileNameData]"""
    def GetPath(self) -> str:
        """GetPath(self: Kratos.FileNameDataCollector) -> str"""
    def GetSortedFileNamesList(self, arg0: list[str]) -> list[str]:
        """GetSortedFileNamesList(self: Kratos.FileNameDataCollector, arg0: list[str]) -> list[str]"""
    @classmethod
    def GetSortedListOfFileNameData(cls, arg0, arg1: list[str]) -> list:
        """GetSortedListOfFileNameData(arg0: list[Kratos::FileNameDataCollector::FileNameData], arg1: list[str]) -> list"""
    def RetrieveFileNameData(self, arg0, arg1: str) -> bool:
        """RetrieveFileNameData(self: Kratos.FileNameDataCollector, arg0: Kratos::FileNameDataCollector::FileNameData, arg1: str) -> bool"""

class FileSerializer(Serializer):
    @overload
    def __init__(self, arg0: str) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FileSerializer, arg0: str) -> None

        2. __init__(self: Kratos.FileSerializer, arg0: str, arg1: Kratos::Serializer::TraceType) -> None
        """
    @overload
    def __init__(self, arg0: str, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FileSerializer, arg0: str) -> None

        2. __init__(self: Kratos.FileSerializer, arg0: str, arg1: Kratos::Serializer::TraceType) -> None
        """

class FilesystemExtensions:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @classmethod
    def MPISafeCreateDirectories(cls, arg0: os.PathLike) -> None:
        """MPISafeCreateDirectories(arg0: os.PathLike) -> None"""

class FillCommunicator:
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FillCommunicator, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FillCommunicator, arg0: Kratos.ModelPart, arg1: Kratos::DataCommunicator) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FillCommunicator, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FillCommunicator, arg0: Kratos.ModelPart, arg1: Kratos::DataCommunicator) -> None
        """
    def Execute(self) -> None:
        """Execute(self: Kratos.FillCommunicator) -> None"""
    def GetEchoLevel(self) -> FillCommunicatorEchoLevel:
        """GetEchoLevel(self: Kratos.FillCommunicator) -> Kratos.FillCommunicatorEchoLevel"""
    def PrintDebugInfo(self) -> None:
        """PrintDebugInfo(self: Kratos.FillCommunicator) -> None"""
    def SetEchoLevel(self, arg0: FillCommunicatorEchoLevel) -> None:
        """SetEchoLevel(self: Kratos.FillCommunicator, arg0: Kratos.FillCommunicatorEchoLevel) -> None"""

class FillCommunicatorEchoLevel:
    __members__: ClassVar[dict] = ...  # read-only
    DEBUG_INFO: ClassVar[FillCommunicatorEchoLevel] = ...
    INFO: ClassVar[FillCommunicatorEchoLevel] = ...
    NO_PRINTING: ClassVar[FillCommunicatorEchoLevel] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.FillCommunicatorEchoLevel, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.FillCommunicatorEchoLevel) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.FillCommunicatorEchoLevel) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class FindConditionsNeighboursProcess(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FindConditionsNeighboursProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.FindConditionsNeighboursProcess, arg0: Kratos.ModelPart, arg1: int, arg2: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: int, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FindConditionsNeighboursProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.FindConditionsNeighboursProcess, arg0: Kratos.ModelPart, arg1: int, arg2: int) -> None
        """
    def ClearNeighbours(self) -> None:
        """ClearNeighbours(self: Kratos.FindConditionsNeighboursProcess) -> None"""

class FindGlobalNodalConditionNeighboursProcess(Process):
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FindGlobalNodalConditionNeighboursProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.FindGlobalNodalConditionNeighboursProcess, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FindGlobalNodalConditionNeighboursProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.FindGlobalNodalConditionNeighboursProcess, arg0: Kratos.ModelPart) -> None
        """
    def ClearNeighbours(self) -> None:
        """ClearNeighbours(self: Kratos.FindGlobalNodalConditionNeighboursProcess) -> None"""
    def GetNeighbourIds(self, arg0: NodesArray) -> dict[int, list[int]]:
        """GetNeighbourIds(self: Kratos.FindGlobalNodalConditionNeighboursProcess, arg0: Kratos.NodesArray) -> dict[int, list[int]]"""

class FindGlobalNodalElementalNeighboursProcess(Process):
    @overload
    def __init__(self, arg0, arg1: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FindGlobalNodalElementalNeighboursProcess, arg0: Kratos::DataCommunicator, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FindGlobalNodalElementalNeighboursProcess, arg0: Kratos.ModelPart) -> None

        3. __init__(self: Kratos.FindGlobalNodalElementalNeighboursProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FindGlobalNodalElementalNeighboursProcess, arg0: Kratos::DataCommunicator, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FindGlobalNodalElementalNeighboursProcess, arg0: Kratos.ModelPart) -> None

        3. __init__(self: Kratos.FindGlobalNodalElementalNeighboursProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FindGlobalNodalElementalNeighboursProcess, arg0: Kratos::DataCommunicator, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FindGlobalNodalElementalNeighboursProcess, arg0: Kratos.ModelPart) -> None

        3. __init__(self: Kratos.FindGlobalNodalElementalNeighboursProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None
        """
    def ClearNeighbours(self) -> None:
        """ClearNeighbours(self: Kratos.FindGlobalNodalElementalNeighboursProcess) -> None"""
    def GetNeighbourIds(self, arg0: NodesArray) -> dict[int, list[int]]:
        """GetNeighbourIds(self: Kratos.FindGlobalNodalElementalNeighboursProcess, arg0: Kratos.NodesArray) -> dict[int, list[int]]"""

class FindGlobalNodalNeighboursForConditionsProcess(Process):
    @overload
    def __init__(self, arg0, arg1: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FindGlobalNodalNeighboursForConditionsProcess, arg0: Kratos::DataCommunicator, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FindGlobalNodalNeighboursForConditionsProcess, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FindGlobalNodalNeighboursForConditionsProcess, arg0: Kratos::DataCommunicator, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FindGlobalNodalNeighboursForConditionsProcess, arg0: Kratos.ModelPart) -> None
        """
    def ClearNeighbours(self) -> None:
        """ClearNeighbours(self: Kratos.FindGlobalNodalNeighboursForConditionsProcess) -> None"""
    def GetNeighbourIds(self, arg0: NodesArray) -> dict[int, list[int]]:
        """GetNeighbourIds(self: Kratos.FindGlobalNodalNeighboursForConditionsProcess, arg0: Kratos.NodesArray) -> dict[int, list[int]]"""

class FindGlobalNodalNeighboursProcess(Process):
    @overload
    def __init__(self, arg0, arg1: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FindGlobalNodalNeighboursProcess, arg0: Kratos::DataCommunicator, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FindGlobalNodalNeighboursProcess, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FindGlobalNodalNeighboursProcess, arg0: Kratos::DataCommunicator, arg1: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FindGlobalNodalNeighboursProcess, arg0: Kratos.ModelPart) -> None
        """
    def ClearNeighbours(self) -> None:
        """ClearNeighbours(self: Kratos.FindGlobalNodalNeighboursProcess) -> None"""
    def GetNeighbourIds(self, arg0: NodesArray) -> dict[int, list[int]]:
        """GetNeighbourIds(self: Kratos.FindGlobalNodalNeighboursProcess, arg0: Kratos.NodesArray) -> dict[int, list[int]]"""

class FindIntersectedGeometricalObjectsProcess(Process):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.FindIntersectedGeometricalObjectsProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None"""

class FindNodalHNonHistoricalProcess(Process):
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.FindNodalHNonHistoricalProcess, arg0: Kratos.ModelPart) -> None"""

class FindNodalHProcess(Process):
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.FindNodalHProcess, arg0: Kratos.ModelPart) -> None"""

class FindNodalNeighboursProcess(Process):
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FindNodalNeighboursProcess, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FindNodalNeighboursProcess, arg0: Kratos.ModelPart, arg1: int, arg2: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: int, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FindNodalNeighboursProcess, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.FindNodalNeighboursProcess, arg0: Kratos.ModelPart, arg1: int, arg2: int) -> None
        """
    def ClearNeighbours(self) -> None:
        """ClearNeighbours(self: Kratos.FindNodalNeighboursProcess) -> None"""

class Flags:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Flags) -> None

        2. __init__(self: Kratos.Flags, arg0: Kratos.Flags) -> None
        """
    @overload
    def __init__(self, arg0: Flags) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Flags) -> None

        2. __init__(self: Kratos.Flags, arg0: Kratos.Flags) -> None
        """
    def AsFalse(self) -> Flags:
        """AsFalse(self: Kratos.Flags) -> Kratos.Flags"""
    def Clear(self) -> None:
        """Clear(self: Kratos.Flags) -> None"""
    def Flip(self, arg0: Flags) -> None:
        """Flip(self: Kratos.Flags, arg0: Kratos.Flags) -> None"""
    def Is(self, arg0: Flags) -> bool:
        """Is(self: Kratos.Flags, arg0: Kratos.Flags) -> bool"""
    def IsDefined(self, arg0: Flags) -> bool:
        """IsDefined(self: Kratos.Flags, arg0: Kratos.Flags) -> bool"""
    def IsNot(self, arg0: Flags) -> bool:
        """IsNot(self: Kratos.Flags, arg0: Kratos.Flags) -> bool"""
    def IsNotDefined(self, arg0: Flags) -> bool:
        """IsNotDefined(self: Kratos.Flags, arg0: Kratos.Flags) -> bool"""
    def Reset(self, arg0: Flags) -> None:
        """Reset(self: Kratos.Flags, arg0: Kratos.Flags) -> None"""
    @overload
    def Set(self, arg0: Flags) -> None:
        """Set(*args, **kwargs)
        Overloaded function.

        1. Set(self: Kratos.Flags, arg0: Kratos.Flags) -> None

        2. Set(self: Kratos.Flags, arg0: Kratos.Flags, arg1: bool) -> None
        """
    @overload
    def Set(self, arg0: Flags, arg1: bool) -> None:
        """Set(*args, **kwargs)
        Overloaded function.

        1. Set(self: Kratos.Flags, arg0: Kratos.Flags) -> None

        2. Set(self: Kratos.Flags, arg0: Kratos.Flags, arg1: bool) -> None
        """
    def __and__(self, arg0: Flags) -> Flags:
        """__and__(self: Kratos.Flags, arg0: Kratos.Flags) -> Kratos.Flags"""
    def __or__(self, arg0: Flags) -> Flags:
        """__or__(self: Kratos.Flags, arg0: Kratos.Flags) -> Kratos.Flags"""

class FluxCorrectedTransportConvectionProcess2D(Process):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.FluxCorrectedTransportConvectionProcess2D, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None"""

class FluxCorrectedTransportConvectionProcess3D(Process):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.FluxCorrectedTransportConvectionProcess3D, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None"""

class ForceAndTorqueUtils:
    def __init__(self) -> None:
        """__init__(self: Kratos.ForceAndTorqueUtils) -> None"""
    @classmethod
    def ComputeEquivalentForceAndTorque(cls, *args, **kwargs):
        """ComputeEquivalentForceAndTorque(arg0: Kratos.ModelPart, arg1: Kratos.Array3, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> Annotated[list[Kratos.Array3], FixedSize(2)]"""
    @classmethod
    def SumForce(cls, arg0: ModelPart, arg1: Array1DVariable3) -> Array3:
        """SumForce(arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> Kratos.Array3"""
    @classmethod
    def SumForceAndTorque(cls, *args, **kwargs):
        """SumForceAndTorque(arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array1DVariable3) -> Annotated[list[Kratos.Array3], FixedSize(2)]"""

class FromJSONCheckResultProcess(Process):
    CHECK_ONLY_LOCAL_ENTITIES: ClassVar[Flags] = ...
    CORRECT_RESULT: ClassVar[Flags] = ...
    HISTORICAL_VALUE: ClassVar[Flags] = ...
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos::Model) -> None

        2. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos.ModelPart) -> None

        4. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos::Model) -> None

        2. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos.ModelPart) -> None

        4. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos::Model) -> None

        2. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos.ModelPart) -> None

        4. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos::Model) -> None

        2. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None

        3. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos.ModelPart) -> None

        4. __init__(self: Kratos.FromJSONCheckResultProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    def GetErrorMessage(self) -> str:
        """GetErrorMessage(self: Kratos.FromJSONCheckResultProcess) -> str"""
    def IsCorrectResult(self) -> bool:
        """IsCorrectResult(self: Kratos.FromJSONCheckResultProcess) -> bool"""

class GenericFindElementalNeighboursProcess(Process):
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.GenericFindElementalNeighboursProcess, arg0: Kratos.ModelPart) -> None"""
    def HasNeighboursInFaces(self, arg0: Element) -> list[bool]:
        """HasNeighboursInFaces(self: Kratos.GenericFindElementalNeighboursProcess, arg0: Kratos.Element) -> list[bool]"""

class GenericFunctionUtility(BasicGenericFunctionUtility):
    @overload
    def __init__(self, arg0: str) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.GenericFunctionUtility, arg0: str) -> None

        2. __init__(self: Kratos.GenericFunctionUtility, arg0: str, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: str, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.GenericFunctionUtility, arg0: str) -> None

        2. __init__(self: Kratos.GenericFunctionUtility, arg0: str, arg1: Kratos::Parameters) -> None
        """

class GeometricalObject(IndexedObject, Flags):
    def __init__(self, arg0: int) -> None:
        """__init__(self: Kratos.GeometricalObject, arg0: int) -> None"""
    def IsActive(self) -> bool:
        """IsActive(self: Kratos.GeometricalObject) -> bool"""

class GeometricalObjectsBins:
    @overload
    def __init__(self, arg0: ElementsArray) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ElementsArray) -> None

        2. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ConditionsArray) -> None

        3. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ElementsArray, arg1: float) -> None

        4. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ConditionsArray, arg1: float) -> None
        """
    @overload
    def __init__(self, arg0: ConditionsArray) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ElementsArray) -> None

        2. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ConditionsArray) -> None

        3. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ElementsArray, arg1: float) -> None

        4. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ConditionsArray, arg1: float) -> None
        """
    @overload
    def __init__(self, arg0: ElementsArray, arg1: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ElementsArray) -> None

        2. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ConditionsArray) -> None

        3. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ElementsArray, arg1: float) -> None

        4. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ConditionsArray, arg1: float) -> None
        """
    @overload
    def __init__(self, arg0: ConditionsArray, arg1: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ElementsArray) -> None

        2. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ConditionsArray) -> None

        3. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ElementsArray, arg1: float) -> None

        4. __init__(self: Kratos.GeometricalObjectsBins, arg0: Kratos.ConditionsArray, arg1: float) -> None
        """
    def GetBoundingBox(self) -> BoundingBox:
        """GetBoundingBox(self: Kratos.GeometricalObjectsBins) -> Kratos.BoundingBox"""
    def GetCellSizes(self) -> Array3:
        """GetCellSizes(self: Kratos.GeometricalObjectsBins) -> Kratos.Array3"""
    def GetNumberOfCells(self, *args, **kwargs):
        """GetNumberOfCells(self: Kratos.GeometricalObjectsBins) -> Kratos::array_1d<unsigned __int64,3>"""
    def GetTotalNumberOfCells(self) -> int:
        """GetTotalNumberOfCells(self: Kratos.GeometricalObjectsBins) -> int"""
    @overload
    def SearchInRadius(self, arg0: Point, arg1: float) -> list:
        """SearchInRadius(*args, **kwargs)
        Overloaded function.

        1. SearchInRadius(self: Kratos.GeometricalObjectsBins, arg0: Kratos.Point, arg1: float) -> list

        2. SearchInRadius(self: Kratos.GeometricalObjectsBins, arg0: Kratos.NodesArray, arg1: float) -> list
        """
    @overload
    def SearchInRadius(self, arg0: NodesArray, arg1: float) -> list:
        """SearchInRadius(*args, **kwargs)
        Overloaded function.

        1. SearchInRadius(self: Kratos.GeometricalObjectsBins, arg0: Kratos.Point, arg1: float) -> list

        2. SearchInRadius(self: Kratos.GeometricalObjectsBins, arg0: Kratos.NodesArray, arg1: float) -> list
        """
    @overload
    def SearchIsInside(self, arg0: Point) -> ResultType:
        """SearchIsInside(*args, **kwargs)
        Overloaded function.

        1. SearchIsInside(self: Kratos.GeometricalObjectsBins, arg0: Kratos.Point) -> Kratos.ResultType

        2. SearchIsInside(self: Kratos.GeometricalObjectsBins, arg0: Kratos.NodesArray) -> list
        """
    @overload
    def SearchIsInside(self, arg0: NodesArray) -> list:
        """SearchIsInside(*args, **kwargs)
        Overloaded function.

        1. SearchIsInside(self: Kratos.GeometricalObjectsBins, arg0: Kratos.Point) -> Kratos.ResultType

        2. SearchIsInside(self: Kratos.GeometricalObjectsBins, arg0: Kratos.NodesArray) -> list
        """
    @overload
    def SearchNearest(self, arg0: Point) -> ResultType:
        """SearchNearest(*args, **kwargs)
        Overloaded function.

        1. SearchNearest(self: Kratos.GeometricalObjectsBins, arg0: Kratos.Point) -> Kratos.ResultType

        2. SearchNearest(self: Kratos.GeometricalObjectsBins, arg0: Kratos.NodesArray) -> list
        """
    @overload
    def SearchNearest(self, arg0: NodesArray) -> list:
        """SearchNearest(*args, **kwargs)
        Overloaded function.

        1. SearchNearest(self: Kratos.GeometricalObjectsBins, arg0: Kratos.Point) -> Kratos.ResultType

        2. SearchNearest(self: Kratos.GeometricalObjectsBins, arg0: Kratos.NodesArray) -> list
        """
    @overload
    def SearchNearestInRadius(self, arg0: Point, arg1: float) -> ResultType:
        """SearchNearestInRadius(*args, **kwargs)
        Overloaded function.

        1. SearchNearestInRadius(self: Kratos.GeometricalObjectsBins, arg0: Kratos.Point, arg1: float) -> Kratos.ResultType

        2. SearchNearestInRadius(self: Kratos.GeometricalObjectsBins, arg0: Kratos.NodesArray, arg1: float) -> list
        """
    @overload
    def SearchNearestInRadius(self, arg0: NodesArray, arg1: float) -> list:
        """SearchNearestInRadius(*args, **kwargs)
        Overloaded function.

        1. SearchNearestInRadius(self: Kratos.GeometricalObjectsBins, arg0: Kratos.Point, arg1: float) -> Kratos.ResultType

        2. SearchNearestInRadius(self: Kratos.GeometricalObjectsBins, arg0: Kratos.NodesArray, arg1: float) -> list
        """

class GeometriesMapType:
    def __init__(self) -> None:
        """__init__(self: Kratos.GeometriesMapType) -> None"""
    def clear(self) -> None:
        """clear(self: Kratos.GeometriesMapType) -> None"""
    @overload
    def __contains__(self, arg0) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.GeometriesMapType, arg0: Kratos::Geometry<Kratos::Node>) -> bool

        2. __contains__(self: Kratos.GeometriesMapType, arg0: int) -> bool
        """
    @overload
    def __contains__(self, arg0: int) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.GeometriesMapType, arg0: Kratos::Geometry<Kratos::Node>) -> bool

        2. __contains__(self: Kratos.GeometriesMapType, arg0: int) -> bool
        """
    def __getitem__(self, index):
        """__getitem__(self: Kratos.GeometriesMapType, arg0: int) -> Kratos::Geometry<Kratos::Node>"""
    def __iter__(self):
        """__iter__(self: Kratos.GeometriesMapType) -> Iterator[Kratos::Geometry<Kratos::Node>]"""
    def __len__(self) -> int:
        """__len__(self: Kratos.GeometriesMapType) -> int"""
    def __setitem__(self, arg0: int, arg1) -> None:
        """__setitem__(self: Kratos.GeometriesMapType, arg0: int, arg1: Kratos::Geometry<Kratos::Node>) -> None"""

class GeometriesVector:
    def __init__(self) -> None:
        """__init__(self: Kratos.GeometriesVector) -> None"""
    def append(self, arg0: Geometry) -> None:
        """append(self: Kratos.GeometriesVector, arg0: Kratos.Geometry) -> None"""
    def __getitem__(self, arg0: int) -> Geometry:
        """__getitem__(self: Kratos.GeometriesVector, arg0: int) -> Kratos.Geometry"""
    def __iter__(self) -> Iterator[Geometry]:
        """__iter__(self: Kratos.GeometriesVector) -> Iterator[Kratos.Geometry]"""
    def __len__(self) -> int:
        """__len__(self: Kratos.GeometriesVector) -> int"""
    def __setitem__(self, arg0: int, arg1: Geometry) -> None:
        """__setitem__(self: Kratos.GeometriesVector, arg0: int, arg1: Kratos.Geometry) -> None"""

class Geometry:
    BACKGROUND_GEOMETRY_INDEX: ClassVar[int] = ...  # read-only
    Id: int
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Geometry) -> None

        2. __init__(self: Kratos.Geometry, arg0: int) -> None

        3. __init__(self: Kratos.Geometry, arg0: str) -> None

        4. __init__(self: Kratos.Geometry, arg0: Kratos::PointerVector<Kratos::Node,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >) -> None

        5. __init__(self: Kratos.Geometry, arg0: int, arg1: Kratos::PointerVector<Kratos::Node,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >) -> None

        6. __init__(self: Kratos.Geometry, arg0: str, arg1: Kratos::PointerVector<Kratos::Node,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Geometry) -> None

        2. __init__(self: Kratos.Geometry, arg0: int) -> None

        3. __init__(self: Kratos.Geometry, arg0: str) -> None

        4. __init__(self: Kratos.Geometry, arg0: Kratos::PointerVector<Kratos::Node,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >) -> None

        5. __init__(self: Kratos.Geometry, arg0: int, arg1: Kratos::PointerVector<Kratos::Node,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >) -> None

        6. __init__(self: Kratos.Geometry, arg0: str, arg1: Kratos::PointerVector<Kratos::Node,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >) -> None
        """
    @overload
    def __init__(self, arg0: str) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Geometry) -> None

        2. __init__(self: Kratos.Geometry, arg0: int) -> None

        3. __init__(self: Kratos.Geometry, arg0: str) -> None

        4. __init__(self: Kratos.Geometry, arg0: Kratos::PointerVector<Kratos::Node,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >) -> None

        5. __init__(self: Kratos.Geometry, arg0: int, arg1: Kratos::PointerVector<Kratos::Node,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >) -> None

        6. __init__(self: Kratos.Geometry, arg0: str, arg1: Kratos::PointerVector<Kratos::Node,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >) -> None
        """
    def Area(self) -> float:
        """Area(self: Kratos.Geometry) -> float"""
    @overload
    def Assign(self, arg0: BoolVariable, arg1: bool) -> None:
        """Assign(*args, **kwargs)
        Overloaded function.

        1. Assign(self: Kratos.Geometry, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. Assign(self: Kratos.Geometry, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. Assign(self: Kratos.Geometry, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. Assign(self: Kratos.Geometry, arg0: Kratos::Variable<Kratos::array_1d<double,2> >, arg1: Kratos::array_1d<double,2>) -> None

        5. Assign(self: Kratos.Geometry, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        6. Assign(self: Kratos.Geometry, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. Assign(self: Kratos.Geometry, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        8. Assign(self: Kratos.Geometry, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def Assign(self, arg0: IntegerVariable, arg1: int) -> None:
        """Assign(*args, **kwargs)
        Overloaded function.

        1. Assign(self: Kratos.Geometry, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. Assign(self: Kratos.Geometry, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. Assign(self: Kratos.Geometry, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. Assign(self: Kratos.Geometry, arg0: Kratos::Variable<Kratos::array_1d<double,2> >, arg1: Kratos::array_1d<double,2>) -> None

        5. Assign(self: Kratos.Geometry, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        6. Assign(self: Kratos.Geometry, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. Assign(self: Kratos.Geometry, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        8. Assign(self: Kratos.Geometry, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def Assign(self, arg0: DoubleVariable, arg1: float) -> None:
        """Assign(*args, **kwargs)
        Overloaded function.

        1. Assign(self: Kratos.Geometry, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. Assign(self: Kratos.Geometry, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. Assign(self: Kratos.Geometry, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. Assign(self: Kratos.Geometry, arg0: Kratos::Variable<Kratos::array_1d<double,2> >, arg1: Kratos::array_1d<double,2>) -> None

        5. Assign(self: Kratos.Geometry, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        6. Assign(self: Kratos.Geometry, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. Assign(self: Kratos.Geometry, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        8. Assign(self: Kratos.Geometry, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def Assign(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """Assign(*args, **kwargs)
        Overloaded function.

        1. Assign(self: Kratos.Geometry, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. Assign(self: Kratos.Geometry, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. Assign(self: Kratos.Geometry, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. Assign(self: Kratos.Geometry, arg0: Kratos::Variable<Kratos::array_1d<double,2> >, arg1: Kratos::array_1d<double,2>) -> None

        5. Assign(self: Kratos.Geometry, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        6. Assign(self: Kratos.Geometry, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. Assign(self: Kratos.Geometry, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        8. Assign(self: Kratos.Geometry, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def Assign(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """Assign(*args, **kwargs)
        Overloaded function.

        1. Assign(self: Kratos.Geometry, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. Assign(self: Kratos.Geometry, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. Assign(self: Kratos.Geometry, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. Assign(self: Kratos.Geometry, arg0: Kratos::Variable<Kratos::array_1d<double,2> >, arg1: Kratos::array_1d<double,2>) -> None

        5. Assign(self: Kratos.Geometry, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        6. Assign(self: Kratos.Geometry, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. Assign(self: Kratos.Geometry, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        8. Assign(self: Kratos.Geometry, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def Assign(self, arg0: VectorVariable, arg1: Vector) -> None:
        """Assign(*args, **kwargs)
        Overloaded function.

        1. Assign(self: Kratos.Geometry, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. Assign(self: Kratos.Geometry, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. Assign(self: Kratos.Geometry, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. Assign(self: Kratos.Geometry, arg0: Kratos::Variable<Kratos::array_1d<double,2> >, arg1: Kratos::array_1d<double,2>) -> None

        5. Assign(self: Kratos.Geometry, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        6. Assign(self: Kratos.Geometry, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. Assign(self: Kratos.Geometry, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        8. Assign(self: Kratos.Geometry, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def Assign(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """Assign(*args, **kwargs)
        Overloaded function.

        1. Assign(self: Kratos.Geometry, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. Assign(self: Kratos.Geometry, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. Assign(self: Kratos.Geometry, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. Assign(self: Kratos.Geometry, arg0: Kratos::Variable<Kratos::array_1d<double,2> >, arg1: Kratos::array_1d<double,2>) -> None

        5. Assign(self: Kratos.Geometry, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        6. Assign(self: Kratos.Geometry, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. Assign(self: Kratos.Geometry, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        8. Assign(self: Kratos.Geometry, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def Calculate(self, arg0: BoolVariable) -> bool:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Geometry, arg0: Kratos.BoolVariable) -> bool

        2. Calculate(self: Kratos.Geometry, arg0: Kratos.IntegerVariable) -> int

        3. Calculate(self: Kratos.Geometry, arg0: Kratos.DoubleVariable) -> float

        4. Calculate(self: Kratos.Geometry, arg0: Kratos::Variable<Kratos::array_1d<double,2> >) -> Kratos::array_1d<double,2>

        5. Calculate(self: Kratos.Geometry, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        6. Calculate(self: Kratos.Geometry, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. Calculate(self: Kratos.Geometry, arg0: Kratos.VectorVariable) -> Kratos.Vector

        8. Calculate(self: Kratos.Geometry, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: IntegerVariable) -> int:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Geometry, arg0: Kratos.BoolVariable) -> bool

        2. Calculate(self: Kratos.Geometry, arg0: Kratos.IntegerVariable) -> int

        3. Calculate(self: Kratos.Geometry, arg0: Kratos.DoubleVariable) -> float

        4. Calculate(self: Kratos.Geometry, arg0: Kratos::Variable<Kratos::array_1d<double,2> >) -> Kratos::array_1d<double,2>

        5. Calculate(self: Kratos.Geometry, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        6. Calculate(self: Kratos.Geometry, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. Calculate(self: Kratos.Geometry, arg0: Kratos.VectorVariable) -> Kratos.Vector

        8. Calculate(self: Kratos.Geometry, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: DoubleVariable) -> float:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Geometry, arg0: Kratos.BoolVariable) -> bool

        2. Calculate(self: Kratos.Geometry, arg0: Kratos.IntegerVariable) -> int

        3. Calculate(self: Kratos.Geometry, arg0: Kratos.DoubleVariable) -> float

        4. Calculate(self: Kratos.Geometry, arg0: Kratos::Variable<Kratos::array_1d<double,2> >) -> Kratos::array_1d<double,2>

        5. Calculate(self: Kratos.Geometry, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        6. Calculate(self: Kratos.Geometry, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. Calculate(self: Kratos.Geometry, arg0: Kratos.VectorVariable) -> Kratos.Vector

        8. Calculate(self: Kratos.Geometry, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: Array1DVariable3) -> Array3:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Geometry, arg0: Kratos.BoolVariable) -> bool

        2. Calculate(self: Kratos.Geometry, arg0: Kratos.IntegerVariable) -> int

        3. Calculate(self: Kratos.Geometry, arg0: Kratos.DoubleVariable) -> float

        4. Calculate(self: Kratos.Geometry, arg0: Kratos::Variable<Kratos::array_1d<double,2> >) -> Kratos::array_1d<double,2>

        5. Calculate(self: Kratos.Geometry, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        6. Calculate(self: Kratos.Geometry, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. Calculate(self: Kratos.Geometry, arg0: Kratos.VectorVariable) -> Kratos.Vector

        8. Calculate(self: Kratos.Geometry, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: Array1DVariable6) -> Array6:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Geometry, arg0: Kratos.BoolVariable) -> bool

        2. Calculate(self: Kratos.Geometry, arg0: Kratos.IntegerVariable) -> int

        3. Calculate(self: Kratos.Geometry, arg0: Kratos.DoubleVariable) -> float

        4. Calculate(self: Kratos.Geometry, arg0: Kratos::Variable<Kratos::array_1d<double,2> >) -> Kratos::array_1d<double,2>

        5. Calculate(self: Kratos.Geometry, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        6. Calculate(self: Kratos.Geometry, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. Calculate(self: Kratos.Geometry, arg0: Kratos.VectorVariable) -> Kratos.Vector

        8. Calculate(self: Kratos.Geometry, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: VectorVariable) -> Vector:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Geometry, arg0: Kratos.BoolVariable) -> bool

        2. Calculate(self: Kratos.Geometry, arg0: Kratos.IntegerVariable) -> int

        3. Calculate(self: Kratos.Geometry, arg0: Kratos.DoubleVariable) -> float

        4. Calculate(self: Kratos.Geometry, arg0: Kratos::Variable<Kratos::array_1d<double,2> >) -> Kratos::array_1d<double,2>

        5. Calculate(self: Kratos.Geometry, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        6. Calculate(self: Kratos.Geometry, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. Calculate(self: Kratos.Geometry, arg0: Kratos.VectorVariable) -> Kratos.Vector

        8. Calculate(self: Kratos.Geometry, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def Calculate(self, arg0: MatrixVariable) -> Matrix:
        """Calculate(*args, **kwargs)
        Overloaded function.

        1. Calculate(self: Kratos.Geometry, arg0: Kratos.BoolVariable) -> bool

        2. Calculate(self: Kratos.Geometry, arg0: Kratos.IntegerVariable) -> int

        3. Calculate(self: Kratos.Geometry, arg0: Kratos.DoubleVariable) -> float

        4. Calculate(self: Kratos.Geometry, arg0: Kratos::Variable<Kratos::array_1d<double,2> >) -> Kratos::array_1d<double,2>

        5. Calculate(self: Kratos.Geometry, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        6. Calculate(self: Kratos.Geometry, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. Calculate(self: Kratos.Geometry, arg0: Kratos.VectorVariable) -> Kratos.Vector

        8. Calculate(self: Kratos.Geometry, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    def Center(self) -> Point:
        """Center(self: Kratos.Geometry) -> Kratos.Point"""
    def CreateQuadraturePointGeometries(self, *args, **kwargs):
        """CreateQuadraturePointGeometries(*args, **kwargs)
        Overloaded function.

        1. CreateQuadraturePointGeometries(self: Kratos.Geometry, arg0: Kratos::PointerVector<Kratos::Geometry<Kratos::Node>,std::shared_ptr<Kratos::Geometry<Kratos::Node> >,std::vector<std::shared_ptr<Kratos::Geometry<Kratos::Node> >,std::allocator<std::shared_ptr<Kratos::Geometry<Kratos::Node> > > > >, arg1: int) -> None

        2. CreateQuadraturePointGeometries(self: Kratos.Geometry, arg0: Kratos::PointerVector<Kratos::Geometry<Kratos::Node>,std::shared_ptr<Kratos::Geometry<Kratos::Node> >,std::vector<std::shared_ptr<Kratos::Geometry<Kratos::Node> >,std::allocator<std::shared_ptr<Kratos::Geometry<Kratos::Node> > > > >, arg1: int, arg2: list[Annotated[list[float], FixedSize(4)]]) -> None
        """
    @overload
    def DeterminantOfJacobian(self) -> Vector:
        """DeterminantOfJacobian(*args, **kwargs)
        Overloaded function.

        1. DeterminantOfJacobian(self: Kratos.Geometry) -> Kratos.Vector

        2. DeterminantOfJacobian(self: Kratos.Geometry, arg0: int) -> float
        """
    @overload
    def DeterminantOfJacobian(self, arg0: int) -> float:
        """DeterminantOfJacobian(*args, **kwargs)
        Overloaded function.

        1. DeterminantOfJacobian(self: Kratos.Geometry) -> Kratos.Vector

        2. DeterminantOfJacobian(self: Kratos.Geometry, arg0: int) -> float
        """
    def DomainSize(self) -> float:
        """DomainSize(self: Kratos.Geometry) -> float"""
    def EdgesNumber(self) -> int:
        """EdgesNumber(self: Kratos.Geometry) -> int"""
    @classmethod
    def GenerateId(cls, arg0: str) -> int:
        """GenerateId(arg0: str) -> int"""
    def GetDefaultIntegrationMethod(self) -> GeometryData_IntegrationMethod:
        """GetDefaultIntegrationMethod(self: Kratos.Geometry) -> Kratos.GeometryData_IntegrationMethod"""
    def GetGeometryFamily(self) -> GeometryData_KratosGeometryFamily:
        """GetGeometryFamily(self: Kratos.Geometry) -> Kratos.GeometryData_KratosGeometryFamily"""
    def GetGeometryPart(self, arg0: int) -> Geometry:
        """GetGeometryPart(self: Kratos.Geometry, arg0: int) -> Kratos.Geometry"""
    def GetGeometryType(self) -> GeometryData_KratosGeometryType:
        """GetGeometryType(self: Kratos.Geometry) -> Kratos.GeometryData_KratosGeometryType"""
    def GlobalCoordinates(self, arg0: Array3) -> Array3:
        """GlobalCoordinates(self: Kratos.Geometry, arg0: Kratos.Array3) -> Kratos.Array3"""
    def Info(self) -> str:
        """Info(self: Kratos.Geometry) -> str"""
    def IntegrationPointsNumber(self) -> int:
        """IntegrationPointsNumber(self: Kratos.Geometry) -> int"""
    def IsIdGeneratedFromString(self) -> bool:
        """IsIdGeneratedFromString(self: Kratos.Geometry) -> bool"""
    def IsIdSelfAssigned(self) -> bool:
        """IsIdSelfAssigned(self: Kratos.Geometry) -> bool"""
    def Jacobian(self, arg0: int) -> Matrix:
        """Jacobian(self: Kratos.Geometry, arg0: int) -> Kratos.Matrix"""
    def Length(self) -> float:
        """Length(self: Kratos.Geometry) -> float"""
    def LocalSpaceDimension(self) -> int:
        """LocalSpaceDimension(self: Kratos.Geometry) -> int"""
    @overload
    def Normal(self) -> Array3:
        """Normal(*args, **kwargs)
        Overloaded function.

        1. Normal(self: Kratos.Geometry) -> Kratos.Array3

        2. Normal(self: Kratos.Geometry, arg0: Kratos.Array3) -> Kratos.Array3

        3. Normal(self: Kratos.Geometry, arg0: int) -> Kratos.Array3
        """
    @overload
    def Normal(self, arg0: Array3) -> Array3:
        """Normal(*args, **kwargs)
        Overloaded function.

        1. Normal(self: Kratos.Geometry) -> Kratos.Array3

        2. Normal(self: Kratos.Geometry, arg0: Kratos.Array3) -> Kratos.Array3

        3. Normal(self: Kratos.Geometry, arg0: int) -> Kratos.Array3
        """
    @overload
    def Normal(self, arg0: int) -> Array3:
        """Normal(*args, **kwargs)
        Overloaded function.

        1. Normal(self: Kratos.Geometry) -> Kratos.Array3

        2. Normal(self: Kratos.Geometry, arg0: Kratos.Array3) -> Kratos.Array3

        3. Normal(self: Kratos.Geometry, arg0: int) -> Kratos.Array3
        """
    def PointsNumber(self) -> int:
        """PointsNumber(self: Kratos.Geometry) -> int"""
    def PointsNumberInDirection(self, arg0: int) -> int:
        """PointsNumberInDirection(self: Kratos.Geometry, arg0: int) -> int"""
    def PolynomialDegree(self, arg0: int) -> int:
        """PolynomialDegree(self: Kratos.Geometry, arg0: int) -> int"""
    @overload
    def SetId(self, arg0: int) -> None:
        """SetId(*args, **kwargs)
        Overloaded function.

        1. SetId(self: Kratos.Geometry, arg0: int) -> None

        2. SetId(self: Kratos.Geometry, arg0: str) -> None
        """
    @overload
    def SetId(self, arg0: str) -> None:
        """SetId(*args, **kwargs)
        Overloaded function.

        1. SetId(self: Kratos.Geometry, arg0: int) -> None

        2. SetId(self: Kratos.Geometry, arg0: str) -> None
        """
    def ShapeFunctionDerivatives(self, arg0: int, arg1: int) -> Matrix:
        """ShapeFunctionDerivatives(self: Kratos.Geometry, arg0: int, arg1: int) -> Kratos.Matrix"""
    def ShapeFunctionsValues(self) -> Matrix:
        """ShapeFunctionsValues(self: Kratos.Geometry) -> Kratos.Matrix"""
    @overload
    def UnitNormal(self) -> Array3:
        """UnitNormal(*args, **kwargs)
        Overloaded function.

        1. UnitNormal(self: Kratos.Geometry) -> Kratos.Array3

        2. UnitNormal(self: Kratos.Geometry, arg0: Kratos.Array3) -> Kratos.Array3

        3. UnitNormal(self: Kratos.Geometry, arg0: int) -> Kratos.Array3
        """
    @overload
    def UnitNormal(self, arg0: Array3) -> Array3:
        """UnitNormal(*args, **kwargs)
        Overloaded function.

        1. UnitNormal(self: Kratos.Geometry) -> Kratos.Array3

        2. UnitNormal(self: Kratos.Geometry, arg0: Kratos.Array3) -> Kratos.Array3

        3. UnitNormal(self: Kratos.Geometry, arg0: int) -> Kratos.Array3
        """
    @overload
    def UnitNormal(self, arg0: int) -> Array3:
        """UnitNormal(*args, **kwargs)
        Overloaded function.

        1. UnitNormal(self: Kratos.Geometry) -> Kratos.Array3

        2. UnitNormal(self: Kratos.Geometry, arg0: Kratos.Array3) -> Kratos.Array3

        3. UnitNormal(self: Kratos.Geometry, arg0: int) -> Kratos.Array3
        """
    def Volume(self) -> float:
        """Volume(self: Kratos.Geometry) -> float"""
    def WorkingSpaceDimension(self) -> int:
        """WorkingSpaceDimension(self: Kratos.Geometry) -> int"""
    def __getitem__(self, arg0: int) -> Node:
        """__getitem__(self: Kratos.Geometry, arg0: int) -> Kratos.Node"""
    def __iter__(self) -> Iterator[Node]:
        """__iter__(self: Kratos.Geometry) -> Iterator[Kratos.Node]"""
    def __len__(self) -> int:
        """__len__(self: Kratos.Geometry) -> int"""
    @property
    def Name(self) -> str: ...

class GeometryData:
    IntegrationMethod: ClassVar[type[GeometryData_IntegrationMethod]] = ...  # read-only
    KratosGeometryFamily: ClassVar[type[GeometryData_KratosGeometryFamily]] = ...  # read-only
    KratosGeometryType: ClassVar[type[GeometryData_KratosGeometryType]] = ...  # read-only
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class GeometryData_IntegrationMethod:
    __members__: ClassVar[dict] = ...  # read-only
    GI_GAUSS_1: ClassVar[GeometryData_IntegrationMethod] = ...
    GI_GAUSS_2: ClassVar[GeometryData_IntegrationMethod] = ...
    GI_GAUSS_3: ClassVar[GeometryData_IntegrationMethod] = ...
    GI_GAUSS_4: ClassVar[GeometryData_IntegrationMethod] = ...
    GI_GAUSS_5: ClassVar[GeometryData_IntegrationMethod] = ...
    GI_LOBATTO_1: ClassVar[GeometryData_IntegrationMethod] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.GeometryData_IntegrationMethod, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.GeometryData_IntegrationMethod) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.GeometryData_IntegrationMethod) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class GeometryData_KratosGeometryFamily:
    __members__: ClassVar[dict] = ...  # read-only
    Kratos_Brep: ClassVar[GeometryData_KratosGeometryFamily] = ...
    Kratos_Composite: ClassVar[GeometryData_KratosGeometryFamily] = ...
    Kratos_Hexahedra: ClassVar[GeometryData_KratosGeometryFamily] = ...
    Kratos_Linear: ClassVar[GeometryData_KratosGeometryFamily] = ...
    Kratos_NoElement: ClassVar[GeometryData_KratosGeometryFamily] = ...
    Kratos_Nurbs: ClassVar[GeometryData_KratosGeometryFamily] = ...
    Kratos_Point: ClassVar[GeometryData_KratosGeometryFamily] = ...
    Kratos_Prism: ClassVar[GeometryData_KratosGeometryFamily] = ...
    Kratos_Pyramid: ClassVar[GeometryData_KratosGeometryFamily] = ...
    Kratos_Quadrature_Geometry: ClassVar[GeometryData_KratosGeometryFamily] = ...
    Kratos_Quadrilateral: ClassVar[GeometryData_KratosGeometryFamily] = ...
    Kratos_Tetrahedra: ClassVar[GeometryData_KratosGeometryFamily] = ...
    Kratos_Triangle: ClassVar[GeometryData_KratosGeometryFamily] = ...
    Kratos_generic_family: ClassVar[GeometryData_KratosGeometryFamily] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.GeometryData_KratosGeometryFamily, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.GeometryData_KratosGeometryFamily) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.GeometryData_KratosGeometryFamily) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class GeometryData_KratosGeometryType:
    __members__: ClassVar[dict] = ...  # read-only
    Kratos_Brep_Curve: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Brep_Curve_On_Surface: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Brep_Surface: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Coupling_Geometry: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Hexahedra3D20: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Hexahedra3D27: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Hexahedra3D8: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Line2D2: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Line2D3: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Line2D4: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Line2D5: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Line3D2: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Line3D3: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Nurbs_Curve: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Nurbs_Curve_On_Surface: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Nurbs_Surface: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Nurbs_Volume: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Point2D: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Point3D: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Prism3D15: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Prism3D6: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Pyramid3D13: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Pyramid3D5: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Quadrature_Point_Curve_On_Surface_Geometry: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Quadrature_Point_Geometry: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Quadrature_Point_Surface_In_Volume_Geometry: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Quadrilateral2D4: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Quadrilateral2D8: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Quadrilateral2D9: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Quadrilateral3D4: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Quadrilateral3D8: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Quadrilateral3D9: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Sphere3D1: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Surface_In_Nurbs_Volume: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Tetrahedra3D10: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Tetrahedra3D4: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Triangle2D10: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Triangle2D15: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Triangle2D3: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Triangle2D6: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Triangle3D3: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_Triangle3D6: ClassVar[GeometryData_KratosGeometryType] = ...
    Kratos_generic_type: ClassVar[GeometryData_KratosGeometryType] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.GeometryData_KratosGeometryType, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.GeometryData_KratosGeometryType) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.GeometryData_KratosGeometryType) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class GeometryTesterUtility:
    def __init__(self) -> None:
        """__init__(self: Kratos.GeometryTesterUtility) -> None"""
    def RunTest(self, arg0: Model) -> bool:
        """RunTest(self: Kratos.GeometryTesterUtility, arg0: Kratos.Model) -> bool"""
    def TestHexahedra3D20N(self, arg0: ModelPart) -> bool:
        """TestHexahedra3D20N(self: Kratos.GeometryTesterUtility, arg0: Kratos.ModelPart) -> bool"""
    def TestHexahedra3D27N(self, arg0: ModelPart) -> bool:
        """TestHexahedra3D27N(self: Kratos.GeometryTesterUtility, arg0: Kratos.ModelPart) -> bool"""
    def TestHexahedra3D8N(self, arg0: ModelPart) -> bool:
        """TestHexahedra3D8N(self: Kratos.GeometryTesterUtility, arg0: Kratos.ModelPart) -> bool"""
    def TestHexahedraInterface3D8N(self, arg0: ModelPart) -> bool:
        """TestHexahedraInterface3D8N(self: Kratos.GeometryTesterUtility, arg0: Kratos.ModelPart) -> bool"""
    def TestPrismInterface3D6N(self, arg0: ModelPart) -> bool:
        """TestPrismInterface3D6N(self: Kratos.GeometryTesterUtility, arg0: Kratos.ModelPart) -> bool"""
    def TestQuadrilateralInterface2D4N(self, arg0: ModelPart) -> bool:
        """TestQuadrilateralInterface2D4N(self: Kratos.GeometryTesterUtility, arg0: Kratos.ModelPart) -> bool"""
    def TestTetrahedra3D10N(self, arg0: ModelPart) -> bool:
        """TestTetrahedra3D10N(self: Kratos.GeometryTesterUtility, arg0: Kratos.ModelPart) -> bool"""
    def TestTetrahedra3D4N(self, arg0: ModelPart) -> bool:
        """TestTetrahedra3D4N(self: Kratos.GeometryTesterUtility, arg0: Kratos.ModelPart) -> bool"""
    def TestTriangle2D3N(self, arg0: ModelPart) -> bool:
        """TestTriangle2D3N(self: Kratos.GeometryTesterUtility, arg0: Kratos.ModelPart) -> bool"""
    def TestTriangle2D6N(self, arg0: ModelPart) -> bool:
        """TestTriangle2D6N(self: Kratos.GeometryTesterUtility, arg0: Kratos.ModelPart) -> bool"""

class GiDPostMode:
    __members__: ClassVar[dict] = ...  # read-only
    GiD_PostAscii: ClassVar[GiDPostMode] = ...
    GiD_PostAsciiZipped: ClassVar[GiDPostMode] = ...
    GiD_PostBinary: ClassVar[GiDPostMode] = ...
    GiD_PostHDF5: ClassVar[GiDPostMode] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.GiDPostMode, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.GiDPostMode) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.GiDPostMode) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class GidIO(IO):
    @overload
    def __init__(self, arg0: str, arg1: GiD_PostMode, arg2, arg3, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.GidIO, arg0: str, arg1: GiD_PostMode, arg2: Kratos::MultiFileFlag, arg3: Kratos::WriteDeformedMeshFlag, arg4: Kratos::WriteConditionsFlag) -> None

        2. __init__(self: Kratos.GidIO, arg0: str, arg1: GiD_PostMode, arg2: Kratos::MultiFileFlag, arg3: Kratos::WriteDeformedMeshFlag, arg4: Kratos::WriteConditionsFlag, arg5: bool) -> None
        """
    @overload
    def __init__(self, arg0: str, arg1: GiD_PostMode, arg2, arg3, arg4, arg5: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.GidIO, arg0: str, arg1: GiD_PostMode, arg2: Kratos::MultiFileFlag, arg3: Kratos::WriteDeformedMeshFlag, arg4: Kratos::WriteConditionsFlag) -> None

        2. __init__(self: Kratos.GidIO, arg0: str, arg1: GiD_PostMode, arg2: Kratos::MultiFileFlag, arg3: Kratos::WriteDeformedMeshFlag, arg4: Kratos::WriteConditionsFlag, arg5: bool) -> None
        """
    def ChangeOutputName(self, arg0: str) -> None:
        """ChangeOutputName(self: Kratos.GidIO, arg0: str) -> None"""
    def CloseResultFile(self) -> None:
        """CloseResultFile(self: Kratos.GidIO) -> None"""
    def FinalizeMesh(self) -> None:
        """FinalizeMesh(self: Kratos.GidIO) -> None"""
    def FinalizeResults(self) -> None:
        """FinalizeResults(self: Kratos.GidIO) -> None"""
    def Flush(self) -> None:
        """Flush(self: Kratos.GidIO) -> None"""
    def InitializeMesh(self, arg0: float) -> None:
        """InitializeMesh(self: Kratos.GidIO, arg0: float) -> None"""
    def InitializeResults(self, arg0: float, arg1: Mesh) -> None:
        """InitializeResults(self: Kratos.GidIO, arg0: float, arg1: Kratos.Mesh) -> None"""
    def PrintFlagsOnGaussPoints(self, arg0: Flags, arg1: str, arg2: ModelPart, arg3: float) -> None:
        """PrintFlagsOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.Flags, arg1: str, arg2: Kratos.ModelPart, arg3: float) -> None"""
    @overload
    def PrintOnGaussPoints(self, arg0: BoolVariable, arg1: ModelPart, arg2: float) -> None:
        """PrintOnGaussPoints(*args, **kwargs)
        Overloaded function.

        1. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        2. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        3. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        4. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: float) -> None

        5. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        6. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: float) -> None
        """
    @overload
    def PrintOnGaussPoints(self, arg0: IntegerVariable, arg1: ModelPart, arg2: float) -> None:
        """PrintOnGaussPoints(*args, **kwargs)
        Overloaded function.

        1. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        2. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        3. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        4. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: float) -> None

        5. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        6. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: float) -> None
        """
    @overload
    def PrintOnGaussPoints(self, arg0: DoubleVariable, arg1: ModelPart, arg2: float) -> None:
        """PrintOnGaussPoints(*args, **kwargs)
        Overloaded function.

        1. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        2. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        3. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        4. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: float) -> None

        5. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        6. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: float) -> None
        """
    @overload
    def PrintOnGaussPoints(self, arg0: Array1DVariable3, arg1: ModelPart, arg2: float) -> None:
        """PrintOnGaussPoints(*args, **kwargs)
        Overloaded function.

        1. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        2. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        3. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        4. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: float) -> None

        5. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        6. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: float) -> None
        """
    @overload
    def PrintOnGaussPoints(self, arg0: VectorVariable, arg1: ModelPart, arg2: float) -> None:
        """PrintOnGaussPoints(*args, **kwargs)
        Overloaded function.

        1. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        2. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        3. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        4. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: float) -> None

        5. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        6. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: float) -> None
        """
    @overload
    def PrintOnGaussPoints(self, arg0: MatrixVariable, arg1: ModelPart, arg2: float) -> None:
        """PrintOnGaussPoints(*args, **kwargs)
        Overloaded function.

        1. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        2. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        3. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        4. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: float) -> None

        5. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: float) -> None

        6. PrintOnGaussPoints(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: float) -> None
        """
    def WriteCircleMesh(self, arg0: Mesh) -> None:
        """WriteCircleMesh(self: Kratos.GidIO, arg0: Kratos.Mesh) -> None"""
    def WriteClusterMesh(self, arg0: Mesh) -> None:
        """WriteClusterMesh(self: Kratos.GidIO, arg0: Kratos.Mesh) -> None"""
    def WriteLocalAxesOnNodes(self, arg0: Array1DVariable3, arg1: NodesArray, arg2: float, arg3: int) -> None:
        """WriteLocalAxesOnNodes(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None"""
    def WriteLocalAxesOnNodesNonHistorical(self, arg0: Array1DVariable3, arg1: NodesArray, arg2: float) -> None:
        """WriteLocalAxesOnNodesNonHistorical(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray, arg2: float) -> None"""
    def WriteMesh(self, arg0: Mesh) -> None:
        """WriteMesh(self: Kratos.GidIO, arg0: Kratos.Mesh) -> None"""
    def WriteNodalFlags(self, arg0: Flags, arg1: str, arg2: NodesArray, arg3: float) -> None:
        """WriteNodalFlags(self: Kratos.GidIO, arg0: Kratos.Flags, arg1: str, arg2: Kratos.NodesArray, arg3: float) -> None"""
    @overload
    def WriteNodalResults(self, arg0: BoolVariable, arg1: NodesArray, arg2: float, arg3: int) -> None:
        """WriteNodalResults(*args, **kwargs)
        Overloaded function.

        1. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        2. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        3. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        4. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        5. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        6. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None
        """
    @overload
    def WriteNodalResults(self, arg0: DoubleVariable, arg1: NodesArray, arg2: float, arg3: int) -> None:
        """WriteNodalResults(*args, **kwargs)
        Overloaded function.

        1. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        2. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        3. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        4. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        5. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        6. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None
        """
    @overload
    def WriteNodalResults(self, arg0: IntegerVariable, arg1: NodesArray, arg2: float, arg3: int) -> None:
        """WriteNodalResults(*args, **kwargs)
        Overloaded function.

        1. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        2. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        3. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        4. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        5. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        6. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None
        """
    @overload
    def WriteNodalResults(self, arg0: Array1DVariable3, arg1: NodesArray, arg2: float, arg3: int) -> None:
        """WriteNodalResults(*args, **kwargs)
        Overloaded function.

        1. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        2. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        3. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        4. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        5. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        6. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None
        """
    @overload
    def WriteNodalResults(self, arg0: VectorVariable, arg1: NodesArray, arg2: float, arg3: int) -> None:
        """WriteNodalResults(*args, **kwargs)
        Overloaded function.

        1. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        2. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        3. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        4. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        5. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        6. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None
        """
    @overload
    def WriteNodalResults(self, arg0: MatrixVariable, arg1: NodesArray, arg2: float, arg3: int) -> None:
        """WriteNodalResults(*args, **kwargs)
        Overloaded function.

        1. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        2. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        3. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        4. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        5. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None

        6. WriteNodalResults(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray, arg2: float, arg3: int) -> None
        """
    @overload
    def WriteNodalResultsNonHistorical(self, arg0: BoolVariable, arg1: NodesArray, arg2: float) -> None:
        """WriteNodalResultsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        2. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        3. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        4. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray, arg2: float) -> None

        5. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        6. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray, arg2: float) -> None
        """
    @overload
    def WriteNodalResultsNonHistorical(self, arg0: DoubleVariable, arg1: NodesArray, arg2: float) -> None:
        """WriteNodalResultsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        2. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        3. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        4. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray, arg2: float) -> None

        5. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        6. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray, arg2: float) -> None
        """
    @overload
    def WriteNodalResultsNonHistorical(self, arg0: IntegerVariable, arg1: NodesArray, arg2: float) -> None:
        """WriteNodalResultsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        2. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        3. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        4. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray, arg2: float) -> None

        5. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        6. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray, arg2: float) -> None
        """
    @overload
    def WriteNodalResultsNonHistorical(self, arg0: Array1DVariable3, arg1: NodesArray, arg2: float) -> None:
        """WriteNodalResultsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        2. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        3. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        4. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray, arg2: float) -> None

        5. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        6. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray, arg2: float) -> None
        """
    @overload
    def WriteNodalResultsNonHistorical(self, arg0: VectorVariable, arg1: NodesArray, arg2: float) -> None:
        """WriteNodalResultsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        2. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        3. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        4. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray, arg2: float) -> None

        5. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        6. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray, arg2: float) -> None
        """
    @overload
    def WriteNodalResultsNonHistorical(self, arg0: MatrixVariable, arg1: NodesArray, arg2: float) -> None:
        """WriteNodalResultsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        2. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        3. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        4. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray, arg2: float) -> None

        5. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray, arg2: float) -> None

        6. WriteNodalResultsNonHistorical(self: Kratos.GidIO, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray, arg2: float) -> None
        """
    def WriteNodeMesh(self, arg0: Mesh) -> None:
        """WriteNodeMesh(self: Kratos.GidIO, arg0: Kratos.Mesh) -> None"""
    def WriteSphereMesh(self, arg0: Mesh) -> None:
        """WriteSphereMesh(self: Kratos.GidIO, arg0: Kratos.Mesh) -> None"""

class GlobalConditionPointer:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class GlobalConditionPointersVector:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class GlobalElementPointer:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class GlobalElementPointersVector:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class GlobalNodePointer:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class GlobalNodePointersVector:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class Hexahedra3D20(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node, arg4: Node, arg5: Node, arg6: Node, arg7: Node, arg8: Node, arg9: Node, arg10: Node, arg11: Node, arg12: Node, arg13: Node, arg14: Node, arg15: Node, arg16: Node, arg17: Node, arg18: Node, arg19: Node) -> None:
        """__init__(self: Kratos.Hexahedra3D20, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node, arg4: Kratos.Node, arg5: Kratos.Node, arg6: Kratos.Node, arg7: Kratos.Node, arg8: Kratos.Node, arg9: Kratos.Node, arg10: Kratos.Node, arg11: Kratos.Node, arg12: Kratos.Node, arg13: Kratos.Node, arg14: Kratos.Node, arg15: Kratos.Node, arg16: Kratos.Node, arg17: Kratos.Node, arg18: Kratos.Node, arg19: Kratos.Node) -> None"""

class Hexahedra3D27(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node, arg4: Node, arg5: Node, arg6: Node, arg7: Node, arg8: Node, arg9: Node, arg10: Node, arg11: Node, arg12: Node, arg13: Node, arg14: Node, arg15: Node, arg16: Node, arg17: Node, arg18: Node, arg19: Node, arg20: Node, arg21: Node, arg22: Node, arg23: Node, arg24: Node, arg25: Node, arg26: Node) -> None:
        """__init__(self: Kratos.Hexahedra3D27, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node, arg4: Kratos.Node, arg5: Kratos.Node, arg6: Kratos.Node, arg7: Kratos.Node, arg8: Kratos.Node, arg9: Kratos.Node, arg10: Kratos.Node, arg11: Kratos.Node, arg12: Kratos.Node, arg13: Kratos.Node, arg14: Kratos.Node, arg15: Kratos.Node, arg16: Kratos.Node, arg17: Kratos.Node, arg18: Kratos.Node, arg19: Kratos.Node, arg20: Kratos.Node, arg21: Kratos.Node, arg22: Kratos.Node, arg23: Kratos.Node, arg24: Kratos.Node, arg25: Kratos.Node, arg26: Kratos.Node) -> None"""

class Hexahedra3D8(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node, arg4: Node, arg5: Node, arg6: Node, arg7: Node) -> None:
        """__init__(self: Kratos.Hexahedra3D8, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node, arg4: Kratos.Node, arg5: Kratos.Node, arg6: Kratos.Node, arg7: Kratos.Node) -> None"""

class ILU0Preconditioner(Preconditioner):
    def __init__(self) -> None:
        """__init__(self: Kratos.ILU0Preconditioner) -> None"""

class ILUPreconditioner(Preconditioner):
    def __init__(self) -> None:
        """__init__(self: Kratos.ILUPreconditioner) -> None"""

class IO:
    APPEND: ClassVar[Flags] = ...
    IGNORE_VARIABLES_ERROR: ClassVar[Flags] = ...
    MESH_ONLY: ClassVar[Flags] = ...
    READ: ClassVar[Flags] = ...
    SCIENTIFIC_PRECISION: ClassVar[Flags] = ...
    SKIP_TIMER: ClassVar[Flags] = ...
    WRITE: ClassVar[Flags] = ...
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    def ReadConditions(self, arg0: NodesArray, arg1: PropertiesArray, arg2: ConditionsArray) -> None:
        """ReadConditions(self: Kratos.IO, arg0: Kratos.NodesArray, arg1: Kratos.PropertiesArray, arg2: Kratos.ConditionsArray) -> None"""
    def ReadConstraints(self, arg0: NodesArray, arg1: MasterSlaveConstraintsArray) -> None:
        """ReadConstraints(self: Kratos.IO, arg0: Kratos.NodesArray, arg1: Kratos.MasterSlaveConstraintsArray) -> None"""
    def ReadElements(self, arg0: NodesArray, arg1: PropertiesArray, arg2: ElementsArray) -> None:
        """ReadElements(self: Kratos.IO, arg0: Kratos.NodesArray, arg1: Kratos.PropertiesArray, arg2: Kratos.ElementsArray) -> None"""
    def ReadGeometries(self, arg0: NodesArray, arg1) -> None:
        """ReadGeometries(self: Kratos.IO, arg0: Kratos.NodesArray, arg1: Kratos::GeometryContainer<Kratos::Geometry<Kratos::Node> >) -> None"""
    @overload
    def ReadInitialValues(self, arg0: NodesArray, arg1: ElementsArray, arg2: ConditionsArray) -> None:
        """ReadInitialValues(*args, **kwargs)
        Overloaded function.

        1. ReadInitialValues(self: Kratos.IO, arg0: Kratos.NodesArray, arg1: Kratos.ElementsArray, arg2: Kratos.ConditionsArray) -> None

        2. ReadInitialValues(self: Kratos.IO, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def ReadInitialValues(self, arg0: ModelPart) -> None:
        """ReadInitialValues(*args, **kwargs)
        Overloaded function.

        1. ReadInitialValues(self: Kratos.IO, arg0: Kratos.NodesArray, arg1: Kratos.ElementsArray, arg2: Kratos.ConditionsArray) -> None

        2. ReadInitialValues(self: Kratos.IO, arg0: Kratos.ModelPart) -> None
        """
    def ReadMesh(self, arg0: Mesh) -> None:
        """ReadMesh(self: Kratos.IO, arg0: Kratos.Mesh) -> None"""
    def ReadModelPart(self, arg0: ModelPart) -> None:
        """ReadModelPart(self: Kratos.IO, arg0: Kratos.ModelPart) -> None"""
    def ReadNode(self, arg0: Node) -> bool:
        """ReadNode(self: Kratos.IO, arg0: Kratos.Node) -> bool"""
    def ReadNodes(self, arg0: NodesArray) -> bool:
        """ReadNodes(self: Kratos.IO, arg0: Kratos.NodesArray) -> bool"""
    @overload
    def ReadProperties(self, arg0: Properties) -> None:
        """ReadProperties(*args, **kwargs)
        Overloaded function.

        1. ReadProperties(self: Kratos.IO, arg0: Kratos.Properties) -> None

        2. ReadProperties(self: Kratos.IO, arg0: Kratos.PropertiesArray) -> None
        """
    @overload
    def ReadProperties(self, arg0: PropertiesArray) -> None:
        """ReadProperties(*args, **kwargs)
        Overloaded function.

        1. ReadProperties(self: Kratos.IO, arg0: Kratos.Properties) -> None

        2. ReadProperties(self: Kratos.IO, arg0: Kratos.PropertiesArray) -> None
        """
    def WriteConditions(self, arg0: ConditionsArray) -> None:
        """WriteConditions(self: Kratos.IO, arg0: Kratos.ConditionsArray) -> None"""
    def WriteConstraints(self, arg0: MasterSlaveConstraintsArray) -> None:
        """WriteConstraints(self: Kratos.IO, arg0: Kratos.MasterSlaveConstraintsArray) -> None"""
    def WriteElements(self, arg0: ElementsArray) -> None:
        """WriteElements(self: Kratos.IO, arg0: Kratos.ElementsArray) -> None"""
    def WriteGeometries(self, arg0) -> None:
        """WriteGeometries(self: Kratos.IO, arg0: Kratos::GeometryContainer<Kratos::Geometry<Kratos::Node> >) -> None"""
    def WriteModelPart(self, arg0: ModelPart) -> None:
        """WriteModelPart(self: Kratos.IO, arg0: Kratos.ModelPart) -> None"""
    def WriteNodes(self, arg0: NodesArray) -> None:
        """WriteNodes(self: Kratos.IO, arg0: Kratos.NodesArray) -> None"""

class ImplicitSolvingStrategy(BaseSolvingStrategy):
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ImplicitSolvingStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ImplicitSolvingStrategy, arg0: Kratos.ModelPart, arg1: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ImplicitSolvingStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ImplicitSolvingStrategy, arg0: Kratos.ModelPart, arg1: bool) -> None
        """
    def GetStiffnessMatrixIsBuilt(self) -> bool:
        """GetStiffnessMatrixIsBuilt(self: Kratos.ImplicitSolvingStrategy) -> bool"""
    def SetStiffnessMatrixIsBuilt(self, arg0: bool) -> None:
        """SetStiffnessMatrixIsBuilt(self: Kratos.ImplicitSolvingStrategy, arg0: bool) -> None"""

class IndexedObject:
    Id: int
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class IntegerVariable(VariableData):
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class IntegerVectorVariable(VariableData):
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class IntegrationValuesExtrapolationToNodesProcess(Process):
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.IntegrationValuesExtrapolationToNodesProcess, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.IntegrationValuesExtrapolationToNodesProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.IntegrationValuesExtrapolationToNodesProcess, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.IntegrationValuesExtrapolationToNodesProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """

class IntervalUtility:
    def __init__(self, arg0) -> None:
        """__init__(self: Kratos.IntervalUtility, arg0: Kratos::Parameters) -> None"""
    def GetIntervalBegin(self) -> float:
        """GetIntervalBegin(self: Kratos.IntervalUtility) -> float"""
    def GetIntervalEnd(self) -> float:
        """GetIntervalEnd(self: Kratos.IntervalUtility) -> float"""
    def IsInInterval(self, arg0: float) -> bool:
        """IsInInterval(self: Kratos.IntervalUtility, arg0: float) -> bool"""

class IsosurfacePrinterApplication:
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.IsosurfacePrinterApplication, arg0: Kratos.ModelPart) -> None"""
    def AddScalarVarIsosurface(self, arg0: DoubleVariable, arg1: float) -> None:
        """AddScalarVarIsosurface(self: Kratos.IsosurfacePrinterApplication, arg0: Kratos.DoubleVariable, arg1: float) -> None"""
    def AddScalarVarIsosurfaceAndHigher(self, arg0: DoubleVariable, arg1: float) -> None:
        """AddScalarVarIsosurfaceAndHigher(self: Kratos.IsosurfacePrinterApplication, arg0: Kratos.DoubleVariable, arg1: float) -> None"""
    def AddScalarVarIsosurfaceAndLower(self, arg0: DoubleVariable, arg1: float) -> None:
        """AddScalarVarIsosurfaceAndLower(self: Kratos.IsosurfacePrinterApplication, arg0: Kratos.DoubleVariable, arg1: float) -> None"""
    def AddSkinConditions(self) -> None:
        """AddSkinConditions(self: Kratos.IsosurfacePrinterApplication) -> None"""
    def ClearData(self) -> None:
        """ClearData(self: Kratos.IsosurfacePrinterApplication) -> None"""
    def CreateNodesArray(self) -> NodesArray:
        """CreateNodesArray(self: Kratos.IsosurfacePrinterApplication) -> Kratos.NodesArray"""

class IterativeSolver(LinearSolver):
    def __init__(self) -> None:
        """__init__(self: Kratos.IterativeSolver) -> None"""

class Kernel:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Kernel) -> None

        2. __init__(self: Kratos.Kernel, arg0: bool) -> None
        """
    @overload
    def __init__(self, arg0: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Kernel) -> None

        2. __init__(self: Kratos.Kernel, arg0: bool) -> None
        """
    @classmethod
    def BuildType(cls) -> str:
        """BuildType() -> str"""
    @classmethod
    def Compiler(cls) -> str:
        """Compiler() -> str"""
    def GetAllVariableNames(self) -> str:
        """GetAllVariableNames(self: Kratos.Kernel) -> str"""
    def GetArray4Variable(self, *args, **kwargs):
        """GetArray4Variable(self: Kratos.Kernel, arg0: str) -> Kratos::Variable<Kratos::array_1d<double,4> >"""
    def GetArray6Variable(self, *args, **kwargs):
        """GetArray6Variable(self: Kratos.Kernel, arg0: str) -> Kratos::Variable<Kratos::array_1d<double,6> >"""
    def GetArray9Variable(self, *args, **kwargs):
        """GetArray9Variable(self: Kratos.Kernel, arg0: str) -> Kratos::Variable<Kratos::array_1d<double,9> >"""
    def GetArrayVariable(self, *args, **kwargs):
        """GetArrayVariable(self: Kratos.Kernel, arg0: str) -> Kratos::Variable<Kratos::array_1d<double,3> >"""
    @overload
    def GetArrayVariableNames(self) -> str:
        """GetArrayVariableNames(*args, **kwargs)
        Overloaded function.

        1. GetArrayVariableNames(self: Kratos.Kernel) -> str

        2. GetArrayVariableNames(self: Kratos.Kernel) -> str

        3. GetArrayVariableNames(self: Kratos.Kernel) -> str

        4. GetArrayVariableNames(self: Kratos.Kernel) -> str
        """
    @overload
    def GetArrayVariableNames(self) -> str:
        """GetArrayVariableNames(*args, **kwargs)
        Overloaded function.

        1. GetArrayVariableNames(self: Kratos.Kernel) -> str

        2. GetArrayVariableNames(self: Kratos.Kernel) -> str

        3. GetArrayVariableNames(self: Kratos.Kernel) -> str

        4. GetArrayVariableNames(self: Kratos.Kernel) -> str
        """
    @overload
    def GetArrayVariableNames(self) -> str:
        """GetArrayVariableNames(*args, **kwargs)
        Overloaded function.

        1. GetArrayVariableNames(self: Kratos.Kernel) -> str

        2. GetArrayVariableNames(self: Kratos.Kernel) -> str

        3. GetArrayVariableNames(self: Kratos.Kernel) -> str

        4. GetArrayVariableNames(self: Kratos.Kernel) -> str
        """
    @overload
    def GetArrayVariableNames(self) -> str:
        """GetArrayVariableNames(*args, **kwargs)
        Overloaded function.

        1. GetArrayVariableNames(self: Kratos.Kernel) -> str

        2. GetArrayVariableNames(self: Kratos.Kernel) -> str

        3. GetArrayVariableNames(self: Kratos.Kernel) -> str

        4. GetArrayVariableNames(self: Kratos.Kernel) -> str
        """
    def GetBoolVariable(self, *args, **kwargs):
        """GetBoolVariable(self: Kratos.Kernel, arg0: str) -> Kratos::Variable<bool>"""
    def GetBoolVariableNames(self) -> str:
        """GetBoolVariableNames(self: Kratos.Kernel) -> str"""
    def GetConstitutiveLaw(self, *args, **kwargs):
        """GetConstitutiveLaw(self: Kratos.Kernel, arg0: str) -> Kratos::ConstitutiveLaw"""
    def GetDoubleVariable(self, *args, **kwargs):
        """GetDoubleVariable(self: Kratos.Kernel, arg0: str) -> Kratos::Variable<double>"""
    def GetDoubleVariableNames(self) -> str:
        """GetDoubleVariableNames(self: Kratos.Kernel) -> str"""
    def GetFlag(self, *args, **kwargs):
        """GetFlag(self: Kratos.Kernel, arg0: str) -> Kratos::Flags"""
    def GetFlagsVariable(self, *args, **kwargs):
        """GetFlagsVariable(self: Kratos.Kernel, arg0: str) -> Kratos::Variable<Kratos::Flags>"""
    def GetFlagsVariableNames(self) -> str:
        """GetFlagsVariableNames(self: Kratos.Kernel) -> str"""
    def GetIntVariable(self, *args, **kwargs):
        """GetIntVariable(self: Kratos.Kernel, arg0: str) -> Kratos::Variable<int>"""
    def GetIntVariableNames(self) -> str:
        """GetIntVariableNames(self: Kratos.Kernel) -> str"""
    def GetMatrixVariable(self, *args, **kwargs):
        """GetMatrixVariable(self: Kratos.Kernel, arg0: str) -> Kratos::Variable<boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >"""
    def GetMatrixVariableNames(self) -> str:
        """GetMatrixVariableNames(self: Kratos.Kernel) -> str"""
    def GetStringVariable(self, *args, **kwargs):
        """GetStringVariable(self: Kratos.Kernel, arg0: str) -> Kratos::Variable<std::basic_string<char,std::char_traits<char>,std::allocator<char> > >"""
    def GetStringVariableNames(self) -> str:
        """GetStringVariableNames(self: Kratos.Kernel) -> str"""
    def GetUnsignedIntVariable(self, *args, **kwargs):
        """GetUnsignedIntVariable(self: Kratos.Kernel, arg0: str) -> Kratos::Variable<unsigned int>"""
    def GetUnsignedIntVariableNames(self) -> str:
        """GetUnsignedIntVariableNames(self: Kratos.Kernel) -> str"""
    def GetVectorVariable(self, *args, **kwargs):
        """GetVectorVariable(self: Kratos.Kernel, arg0: str) -> Kratos::Variable<boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >"""
    def GetVectorVariableNames(self) -> str:
        """GetVectorVariableNames(self: Kratos.Kernel) -> str"""
    def HasArray4Variable(self, arg0: str) -> bool:
        """HasArray4Variable(self: Kratos.Kernel, arg0: str) -> bool"""
    def HasArray6Variable(self, arg0: str) -> bool:
        """HasArray6Variable(self: Kratos.Kernel, arg0: str) -> bool"""
    def HasArray9Variable(self, arg0: str) -> bool:
        """HasArray9Variable(self: Kratos.Kernel, arg0: str) -> bool"""
    def HasArrayVariable(self, arg0: str) -> bool:
        """HasArrayVariable(self: Kratos.Kernel, arg0: str) -> bool"""
    def HasBoolVariable(self, arg0: str) -> bool:
        """HasBoolVariable(self: Kratos.Kernel, arg0: str) -> bool"""
    def HasConstitutiveLaw(self, arg0: str) -> bool:
        """HasConstitutiveLaw(self: Kratos.Kernel, arg0: str) -> bool"""
    def HasDoubleVariable(self, arg0: str) -> bool:
        """HasDoubleVariable(self: Kratos.Kernel, arg0: str) -> bool"""
    def HasFlag(self, arg0: str) -> bool:
        """HasFlag(self: Kratos.Kernel, arg0: str) -> bool"""
    def HasFlagsVariable(self, arg0: str) -> bool:
        """HasFlagsVariable(self: Kratos.Kernel, arg0: str) -> bool"""
    def HasIntVariable(self, arg0: str) -> bool:
        """HasIntVariable(self: Kratos.Kernel, arg0: str) -> bool"""
    def HasMatrixVariable(self, arg0: str) -> bool:
        """HasMatrixVariable(self: Kratos.Kernel, arg0: str) -> bool"""
    def HasStringVariable(self, arg0: str) -> bool:
        """HasStringVariable(self: Kratos.Kernel, arg0: str) -> bool"""
    def HasUnsignedIntVariable(self, arg0: str) -> bool:
        """HasUnsignedIntVariable(self: Kratos.Kernel, arg0: str) -> bool"""
    def HasVariableData(self, arg0: str) -> bool:
        """HasVariableData(self: Kratos.Kernel, arg0: str) -> bool"""
    def HasVectorVariable(self, arg0: str) -> bool:
        """HasVectorVariable(self: Kratos.Kernel, arg0: str) -> bool"""
    def ImportApplication(self, arg0) -> None:
        """ImportApplication(self: Kratos.Kernel, arg0: Kratos::KratosApplication) -> None"""
    def Initialize(self) -> None:
        """Initialize(self: Kratos.Kernel) -> None"""
    def InitializeApplication(self, arg0) -> None:
        """InitializeApplication(self: Kratos.Kernel, arg0: Kratos::KratosApplication) -> None"""
    @classmethod
    def IsDistributedRun(cls) -> bool:
        """IsDistributedRun() -> bool"""
    def IsImported(self, arg0: str) -> bool:
        """IsImported(self: Kratos.Kernel, arg0: str) -> bool"""
    def IsLibraryAvailable(self, arg0: str) -> bool:
        """IsLibraryAvailable(self: Kratos.Kernel, arg0: str) -> bool"""
    @classmethod
    def OSName(cls) -> str:
        """OSName() -> str"""
    def PrintAllVariables(self) -> None:
        """PrintAllVariables(self: Kratos.Kernel) -> None"""
    def PrintArray4Variables(self) -> None:
        """PrintArray4Variables(self: Kratos.Kernel) -> None"""
    def PrintArray6Variables(self) -> None:
        """PrintArray6Variables(self: Kratos.Kernel) -> None"""
    def PrintArray9Variables(self) -> None:
        """PrintArray9Variables(self: Kratos.Kernel) -> None"""
    def PrintArrayVariables(self) -> None:
        """PrintArrayVariables(self: Kratos.Kernel) -> None"""
    def PrintBoolVariables(self) -> None:
        """PrintBoolVariables(self: Kratos.Kernel) -> None"""
    def PrintDoubleVariables(self) -> None:
        """PrintDoubleVariables(self: Kratos.Kernel) -> None"""
    def PrintFlagsVariables(self) -> None:
        """PrintFlagsVariables(self: Kratos.Kernel) -> None"""
    def PrintIntVariables(self) -> None:
        """PrintIntVariables(self: Kratos.Kernel) -> None"""
    def PrintMatrixVariables(self) -> None:
        """PrintMatrixVariables(self: Kratos.Kernel) -> None"""
    def PrintStringVariables(self) -> None:
        """PrintStringVariables(self: Kratos.Kernel) -> None"""
    def PrintUnsignedIntVariables(self) -> None:
        """PrintUnsignedIntVariables(self: Kratos.Kernel) -> None"""
    def PrintVectorVariables(self) -> None:
        """PrintVectorVariables(self: Kratos.Kernel) -> None"""
    @classmethod
    def PythonVersion(cls) -> str:
        """PythonVersion() -> str"""
    @classmethod
    def RegisterPythonVersion(cls) -> None:
        """RegisterPythonVersion() -> None"""
    @classmethod
    def Version(cls) -> str:
        """Version() -> str"""

class KratosApplication:
    def __init__(self, arg0: str) -> None:
        """__init__(self: Kratos.KratosApplication, arg0: str) -> None"""
    def Register(self) -> None:
        """Register(self: Kratos.KratosApplication) -> None"""

class LevelSetConvectionProcess2D(Process):
    def __init__(self, *args, **kwargs) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.LevelSetConvectionProcess2D, arg0: Kratos::Model, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: Kratos::Parameters) -> None

        2. __init__(self: Kratos.LevelSetConvectionProcess2D, arg0: Kratos.ModelPart, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: Kratos::Parameters) -> None
        """

class LevelSetConvectionProcess3D(Process):
    def __init__(self, *args, **kwargs) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.LevelSetConvectionProcess3D, arg0: Kratos::Model, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: Kratos::Parameters) -> None

        2. __init__(self: Kratos.LevelSetConvectionProcess3D, arg0: Kratos.ModelPart, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: Kratos::Parameters) -> None
        """

class Line2D2(Geometry):
    def __init__(self, arg0: Node, arg1: Node) -> None:
        """__init__(self: Kratos.Line2D2, arg0: Kratos.Node, arg1: Kratos.Node) -> None"""

class Line2D3(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node) -> None:
        """__init__(self: Kratos.Line2D3, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node) -> None"""

class Line3D2(Geometry):
    def __init__(self, arg0: Node, arg1: Node) -> None:
        """__init__(self: Kratos.Line3D2, arg0: Kratos.Node, arg1: Kratos.Node) -> None"""

class Line3D3(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node) -> None:
        """__init__(self: Kratos.Line3D3, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node) -> None"""

class LineSearchStrategy(ResidualBasedNewtonRaphsonStrategy):
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        3. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos::Parameters) -> None

        4. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        5. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None

        6. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: LinearSolver, arg3: ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        3. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos::Parameters) -> None

        4. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        5. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None

        6. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: LinearSolver, arg3: ConvergenceCriteria, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        3. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos::Parameters) -> None

        4. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        5. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None

        6. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: ConvergenceCriteria, arg3: BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        3. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos::Parameters) -> None

        4. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        5. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None

        6. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: LinearSolver, arg3: ConvergenceCriteria, arg4: BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        3. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos::Parameters) -> None

        4. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        5. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None

        6. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: ConvergenceCriteria, arg3: BuilderAndSolver, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        3. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos::Parameters) -> None

        4. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        5. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None

        6. __init__(self: Kratos.LineSearchStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: Kratos::Parameters) -> None
        """

class LinearMasterSlaveConstraint(MasterSlaveConstraint):
    def __init__(self, arg0: int, arg1: list[Dof], arg2: list[Dof], arg3: Matrix, arg4: Vector) -> None:
        """__init__(self: Kratos.LinearMasterSlaveConstraint, arg0: int, arg1: list[Kratos.Dof], arg2: list[Kratos.Dof], arg3: Kratos.Matrix, arg4: Kratos.Vector) -> None"""

class LinearSolver:
    def __init__(self) -> None:
        """__init__(self: Kratos.LinearSolver) -> None"""
    def Clear(self) -> None:
        """Clear(self: Kratos.LinearSolver) -> None"""
    def GetIterationsNumber(self) -> int:
        """GetIterationsNumber(self: Kratos.LinearSolver) -> int"""
    def Initialize(self, arg0: CompressedMatrix, arg1: Vector, arg2: Vector) -> None:
        """Initialize(self: Kratos.LinearSolver, arg0: Kratos.CompressedMatrix, arg1: Kratos.Vector, arg2: Kratos.Vector) -> None"""
    @overload
    def Solve(self, arg0: CompressedMatrix, arg1: Vector, arg2: Vector) -> bool:
        """Solve(*args, **kwargs)
        Overloaded function.

        1. Solve(self: Kratos.LinearSolver, arg0: Kratos.CompressedMatrix, arg1: Kratos.Vector, arg2: Kratos.Vector) -> bool

        2. Solve(self: Kratos.LinearSolver, arg0: Kratos.CompressedMatrix, arg1: Kratos.CompressedMatrix, arg2: Kratos.Vector, arg3: Kratos.Matrix) -> None
        """
    @overload
    def Solve(self, arg0: CompressedMatrix, arg1: CompressedMatrix, arg2: Vector, arg3: Matrix) -> None:
        """Solve(*args, **kwargs)
        Overloaded function.

        1. Solve(self: Kratos.LinearSolver, arg0: Kratos.CompressedMatrix, arg1: Kratos.Vector, arg2: Kratos.Vector) -> bool

        2. Solve(self: Kratos.LinearSolver, arg0: Kratos.CompressedMatrix, arg1: Kratos.CompressedMatrix, arg2: Kratos.Vector, arg3: Kratos.Matrix) -> None
        """

class LinearSolverFactory:
    def __init__(self) -> None:
        """__init__(self: Kratos.LinearSolverFactory) -> None"""
    def Create(self, arg0) -> LinearSolver:
        """Create(self: Kratos.LinearSolverFactory, arg0: Kratos::Parameters) -> Kratos.LinearSolver"""
    def Has(self, arg0: str) -> bool:
        """Has(self: Kratos.LinearSolverFactory, arg0: str) -> bool"""

class Logger:
    class Category:
        __members__: ClassVar[dict] = ...  # read-only
        CHECKING: ClassVar[Logger.Category] = ...
        CRITICAL: ClassVar[Logger.Category] = ...
        PROFILING: ClassVar[Logger.Category] = ...
        STATISTICS: ClassVar[Logger.Category] = ...
        STATUS: ClassVar[Logger.Category] = ...
        __entries: ClassVar[dict] = ...
        def __init__(self, value: int) -> None:
            """__init__(self: Kratos.Logger.Category, value: int) -> None"""
        def __eq__(self, other: object) -> bool:
            """__eq__(self: object, other: object) -> bool"""
        def __hash__(self) -> int:
            """__hash__(self: object) -> int"""
        def __index__(self) -> int:
            """__index__(self: Kratos.Logger.Category) -> int"""
        def __int__(self) -> int:
            """__int__(self: Kratos.Logger.Category) -> int"""
        def __ne__(self, other: object) -> bool:
            """__ne__(self: object, other: object) -> bool"""
        @property
        def name(self) -> str: ...
        @property
        def value(self) -> int: ...

    class Severity:
        __members__: ClassVar[dict] = ...  # read-only
        DEBUG: ClassVar[Logger.Severity] = ...
        DETAIL: ClassVar[Logger.Severity] = ...
        INFO: ClassVar[Logger.Severity] = ...
        TRACE: ClassVar[Logger.Severity] = ...
        WARNING: ClassVar[Logger.Severity] = ...
        __entries: ClassVar[dict] = ...
        def __init__(self, value: int) -> None:
            """__init__(self: Kratos.Logger.Severity, value: int) -> None"""
        def __eq__(self, other: object) -> bool:
            """__eq__(self: object, other: object) -> bool"""
        def __hash__(self) -> int:
            """__hash__(self: object) -> int"""
        def __index__(self) -> int:
            """__index__(self: Kratos.Logger.Severity) -> int"""
        def __int__(self) -> int:
            """__int__(self: Kratos.Logger.Severity) -> int"""
        def __ne__(self, other: object) -> bool:
            """__ne__(self: object, other: object) -> bool"""
        @property
        def name(self) -> str: ...
        @property
        def value(self) -> int: ...
    def __init__(self, arg0: str) -> None:
        """__init__(self: Kratos.Logger, arg0: str) -> None"""
    @classmethod
    def AddOutput(cls, arg0: LoggerOutput) -> None:
        """AddOutput(arg0: Kratos.LoggerOutput) -> None"""
    @classmethod
    def Flush(cls) -> None:
        """Flush() -> None"""
    @classmethod
    def GetDefaultOutput(cls) -> LoggerOutput:
        """GetDefaultOutput() -> Kratos.LoggerOutput"""
    @classmethod
    def Print(cls, *args, **kwargs) -> None:
        """Print(*args, **kwargs) -> None"""
    @classmethod
    def PrintInfo(cls, *args, **kwargs) -> None:
        """PrintInfo(*args, **kwargs) -> None"""
    @classmethod
    def PrintInfoOnAllRanks(cls, *args, **kwargs) -> None:
        """PrintInfoOnAllRanks(*args, **kwargs) -> None"""
    @classmethod
    def PrintOnAllRanks(cls, *args, **kwargs) -> None:
        """PrintOnAllRanks(*args, **kwargs) -> None"""
    @classmethod
    def PrintWarning(cls, *args, **kwargs) -> None:
        """PrintWarning(*args, **kwargs) -> None"""
    @classmethod
    def PrintWarningOnAllRanks(cls, *args, **kwargs) -> None:
        """PrintWarningOnAllRanks(*args, **kwargs) -> None"""
    @classmethod
    def RemoveOutput(cls, arg0: LoggerOutput) -> None:
        """RemoveOutput(arg0: Kratos.LoggerOutput) -> None"""

class LoggerOutput:
    DEBUG_PREFIX: ClassVar[Flags] = ...
    DETAIL_PREFIX: ClassVar[Flags] = ...
    INFO_PREFIX: ClassVar[Flags] = ...
    TRACE_PREFIX: ClassVar[Flags] = ...
    WARNING_PREFIX: ClassVar[Flags] = ...
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    def GetCategory(self, *args, **kwargs):
        """GetCategory(self: Kratos.LoggerOutput) -> Kratos::LoggerMessage::Category"""
    def GetMaxLevel(self) -> int:
        """GetMaxLevel(self: Kratos.LoggerOutput) -> int"""
    def GetOption(self, arg0: Flags) -> bool:
        """GetOption(self: Kratos.LoggerOutput, arg0: Kratos.Flags) -> bool"""
    def GetSeverity(self, *args, **kwargs):
        """GetSeverity(self: Kratos.LoggerOutput) -> Kratos::LoggerMessage::Severity"""
    def SetCategory(self, arg0) -> None:
        """SetCategory(self: Kratos.LoggerOutput, arg0: Kratos::LoggerMessage::Category) -> None"""
    def SetMaxLevel(self, arg0: int) -> None:
        """SetMaxLevel(self: Kratos.LoggerOutput, arg0: int) -> None"""
    def SetOption(self, arg0: Flags, arg1: bool) -> None:
        """SetOption(self: Kratos.LoggerOutput, arg0: Kratos.Flags, arg1: bool) -> None"""
    def SetSeverity(self, arg0) -> None:
        """SetSeverity(self: Kratos.LoggerOutput, arg0: Kratos::LoggerMessage::Severity) -> None"""

class LoggerTableOutput(LoggerOutput):
    def __init__(self, arg0: Parameters) -> None:
        """__init__(self: Kratos.LoggerTableOutput, arg0: Kratos.Parameters) -> None"""

class MLSShapeFunctionsUtility:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @classmethod
    def CalculateShapeFunctions(cls, arg0: int, arg1: int, arg2: Matrix, arg3: Array3, arg4: float, arg5: Vector) -> None:
        """CalculateShapeFunctions(arg0: int, arg1: int, arg2: Kratos.Matrix, arg3: Kratos.Array3, arg4: float, arg5: Kratos.Vector) -> None"""
    @classmethod
    def CalculateShapeFunctionsAndGradients(cls, arg0: int, arg1: int, arg2: Matrix, arg3: Array3, arg4: float, arg5: Vector, arg6: Matrix) -> None:
        """CalculateShapeFunctionsAndGradients(arg0: int, arg1: int, arg2: Kratos.Matrix, arg3: Kratos.Array3, arg4: float, arg5: Kratos.Vector, arg6: Kratos.Matrix) -> None"""

class MPIColoringUtilities:
    def __init__(self) -> None:
        """__init__(self: Kratos.MPIColoringUtilities) -> None"""
    def ComputeCommunicationScheduling(self, arg0) -> list[int]:
        """ComputeCommunicationScheduling(self: list[int], arg0: Kratos::DataCommunicator) -> list[int]"""
    def ComputeRecvList(self, arg0) -> list[int]:
        """ComputeRecvList(self: list[int], arg0: Kratos::DataCommunicator) -> list[int]"""

class Mapper:
    ADD_VALUES: ClassVar[Flags] = ...
    FROM_NON_HISTORICAL: ClassVar[Flags] = ...
    REMESHED: ClassVar[Flags] = ...
    SWAP_SIGN: ClassVar[Flags] = ...
    TO_NON_HISTORICAL: ClassVar[Flags] = ...
    USE_TRANSPOSE: ClassVar[Flags] = ...
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    def AreMeshesConforming(self) -> int:
        """AreMeshesConforming(self: Kratos.Mapper) -> int"""
    def GetInterfaceModelPartDestination(self) -> ModelPart:
        """GetInterfaceModelPartDestination(self: Kratos.Mapper) -> Kratos.ModelPart"""
    def GetInterfaceModelPartOrigin(self) -> ModelPart:
        """GetInterfaceModelPartOrigin(self: Kratos.Mapper) -> Kratos.ModelPart"""
    def GetMappingMatrix(self) -> CompressedMatrix:
        """GetMappingMatrix(self: Kratos.Mapper) -> Kratos.CompressedMatrix"""
    @overload
    def InverseMap(self, arg0: DoubleVariable, arg1: DoubleVariable) -> None:
        """InverseMap(*args, **kwargs)
        Overloaded function.

        1. InverseMap(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None

        2. InverseMap(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        3. InverseMap(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.Flags) -> None

        4. InverseMap(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.Flags) -> None
        """
    @overload
    def InverseMap(self, arg0: Array1DVariable3, arg1: Array1DVariable3) -> None:
        """InverseMap(*args, **kwargs)
        Overloaded function.

        1. InverseMap(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None

        2. InverseMap(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        3. InverseMap(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.Flags) -> None

        4. InverseMap(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.Flags) -> None
        """
    @overload
    def InverseMap(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: Flags) -> None:
        """InverseMap(*args, **kwargs)
        Overloaded function.

        1. InverseMap(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None

        2. InverseMap(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        3. InverseMap(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.Flags) -> None

        4. InverseMap(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.Flags) -> None
        """
    @overload
    def InverseMap(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: Flags) -> None:
        """InverseMap(*args, **kwargs)
        Overloaded function.

        1. InverseMap(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None

        2. InverseMap(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        3. InverseMap(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.Flags) -> None

        4. InverseMap(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.Flags) -> None
        """
    @overload
    def Map(self, arg0: DoubleVariable, arg1: DoubleVariable) -> None:
        """Map(*args, **kwargs)
        Overloaded function.

        1. Map(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None

        2. Map(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        3. Map(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.Flags) -> None

        4. Map(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.Flags) -> None
        """
    @overload
    def Map(self, arg0: Array1DVariable3, arg1: Array1DVariable3) -> None:
        """Map(*args, **kwargs)
        Overloaded function.

        1. Map(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None

        2. Map(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        3. Map(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.Flags) -> None

        4. Map(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.Flags) -> None
        """
    @overload
    def Map(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: Flags) -> None:
        """Map(*args, **kwargs)
        Overloaded function.

        1. Map(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None

        2. Map(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        3. Map(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.Flags) -> None

        4. Map(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.Flags) -> None
        """
    @overload
    def Map(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: Flags) -> None:
        """Map(*args, **kwargs)
        Overloaded function.

        1. Map(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None

        2. Map(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3) -> None

        3. Map(self: Kratos.Mapper, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.Flags) -> None

        4. Map(self: Kratos.Mapper, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.Flags) -> None
        """
    @overload
    def UpdateInterface(self) -> None:
        """UpdateInterface(*args, **kwargs)
        Overloaded function.

        1. UpdateInterface(self: Kratos.Mapper) -> None

        2. UpdateInterface(self: Kratos.Mapper, arg0: Kratos.Flags) -> None

        3. UpdateInterface(self: Kratos.Mapper, arg0: float) -> None

        4. UpdateInterface(self: Kratos.Mapper, arg0: Kratos.Flags, arg1: float) -> None
        """
    @overload
    def UpdateInterface(self, arg0: Flags) -> None:
        """UpdateInterface(*args, **kwargs)
        Overloaded function.

        1. UpdateInterface(self: Kratos.Mapper) -> None

        2. UpdateInterface(self: Kratos.Mapper, arg0: Kratos.Flags) -> None

        3. UpdateInterface(self: Kratos.Mapper, arg0: float) -> None

        4. UpdateInterface(self: Kratos.Mapper, arg0: Kratos.Flags, arg1: float) -> None
        """
    @overload
    def UpdateInterface(self, arg0: float) -> None:
        """UpdateInterface(*args, **kwargs)
        Overloaded function.

        1. UpdateInterface(self: Kratos.Mapper) -> None

        2. UpdateInterface(self: Kratos.Mapper, arg0: Kratos.Flags) -> None

        3. UpdateInterface(self: Kratos.Mapper, arg0: float) -> None

        4. UpdateInterface(self: Kratos.Mapper, arg0: Kratos.Flags, arg1: float) -> None
        """
    @overload
    def UpdateInterface(self, arg0: Flags, arg1: float) -> None:
        """UpdateInterface(*args, **kwargs)
        Overloaded function.

        1. UpdateInterface(self: Kratos.Mapper) -> None

        2. UpdateInterface(self: Kratos.Mapper, arg0: Kratos.Flags) -> None

        3. UpdateInterface(self: Kratos.Mapper, arg0: float) -> None

        4. UpdateInterface(self: Kratos.Mapper, arg0: Kratos.Flags, arg1: float) -> None
        """

class MapperFactory:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @classmethod
    def CreateMapper(cls, arg0: ModelPart, arg1: ModelPart, arg2: Parameters) -> Mapper:
        """CreateMapper(arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Parameters) -> Kratos.Mapper"""
    @classmethod
    def GetRegisteredMapperNames(cls) -> list[str]:
        """GetRegisteredMapperNames() -> list[str]"""
    @classmethod
    def HasMapper(cls, arg0: str) -> bool:
        """HasMapper(arg0: str) -> bool"""

class MasterSlaveConstraint(IndexedObject, Flags):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.MasterSlaveConstraint) -> None

        2. __init__(self: Kratos.MasterSlaveConstraint, arg0: int) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.MasterSlaveConstraint) -> None

        2. __init__(self: Kratos.MasterSlaveConstraint, arg0: int) -> None
        """
    def CalculateLocalSystem(self, arg0: Matrix, arg1: Vector, arg2: ProcessInfo) -> None:
        """CalculateLocalSystem(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Matrix, arg1: Kratos.Vector, arg2: Kratos.ProcessInfo) -> None"""
    def GetMasterDofsVector(self) -> list[Dof]:
        """GetMasterDofsVector(self: Kratos.MasterSlaveConstraint) -> list[Kratos.Dof]"""
    def GetSlaveDofsVector(self) -> list[Dof]:
        """GetSlaveDofsVector(self: Kratos.MasterSlaveConstraint) -> list[Kratos.Dof]"""
    @overload
    def GetValue(self, arg0: Array1DVariable3) -> Array3:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable4) -> Array4:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable6) -> Array6:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable9) -> Array9:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: VectorVariable) -> Vector:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: IntegerVectorVariable) -> DenseVectorInt:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: MatrixVariable) -> Matrix:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: IntegerVariable) -> int:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: DoubleVariable) -> float:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: BoolVariable) -> bool:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: StringVariable) -> str:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. GetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def Has(self, arg0: Array1DVariable3) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable4) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable6) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable9) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: VectorVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: IntegerVectorVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: MatrixVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: IntegerVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: DoubleVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: BoolVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: StringVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> bool

        2. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> bool

        3. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> bool

        4. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> bool

        5. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> bool

        6. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> bool

        7. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> bool

        8. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> bool

        9. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> bool

        10. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. Has(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> bool
        """
    def IsActive(self) -> bool:
        """IsActive(self: Kratos.MasterSlaveConstraint) -> bool"""
    @overload
    def SetValue(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable4, arg1: Array4) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable9, arg1: Array9) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: VectorVariable, arg1: Vector) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: IntegerVectorVariable, arg1: DenseVectorInt) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: IntegerVariable, arg1: int) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: DoubleVariable, arg1: float) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: BoolVariable, arg1: bool) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: StringVariable, arg1: str) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. SetValue(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable3) -> Array3:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable4) -> Array4:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable6) -> Array6:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable9) -> Array9:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: VectorVariable) -> Vector:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: IntegerVectorVariable) -> DenseVectorInt:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: MatrixVariable) -> Matrix:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: IntegerVariable) -> int:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: DoubleVariable) -> float:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: BoolVariable) -> bool:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: StringVariable) -> str:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        2. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        3. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        4. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        5. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable) -> Kratos.Vector

        6. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable) -> Kratos.DenseVectorInt

        7. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        8. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable) -> int

        9. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable) -> float

        10. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable) -> bool

        11. __getitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable4, arg1: Array4) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable9, arg1: Array9) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: VectorVariable, arg1: Vector) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: IntegerVectorVariable, arg1: DenseVectorInt) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: IntegerVariable, arg1: int) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: DoubleVariable, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: BoolVariable, arg1: bool) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: StringVariable, arg1: str) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        2. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        3. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        4. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        5. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        6. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVectorVariable, arg1: Kratos.DenseVectorInt) -> None

        7. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        8. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.IntegerVariable, arg1: int) -> None

        9. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.DoubleVariable, arg1: float) -> None

        10. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.BoolVariable, arg1: bool) -> None

        11. __setitem__(self: Kratos.MasterSlaveConstraint, arg0: Kratos.StringVariable, arg1: str) -> None
        """

class MasterSlaveConstraintEraseProcess(Process):
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.MasterSlaveConstraintEraseProcess, arg0: Kratos.ModelPart) -> None"""

class MasterSlaveConstraintsArray:
    def __init__(self) -> None:
        """__init__(self: Kratos.MasterSlaveConstraintsArray) -> None"""
    def append(self, arg0) -> None:
        """append(self: Kratos.MasterSlaveConstraintsArray, arg0: Kratos::MasterSlaveConstraint) -> None"""
    def clear(self) -> None:
        """clear(self: Kratos.MasterSlaveConstraintsArray) -> None"""
    @overload
    def __contains__(self, arg0) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.MasterSlaveConstraintsArray, arg0: Kratos::MasterSlaveConstraint) -> bool

        2. __contains__(self: Kratos.MasterSlaveConstraintsArray, arg0: int) -> bool
        """
    @overload
    def __contains__(self, arg0: int) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.MasterSlaveConstraintsArray, arg0: Kratos::MasterSlaveConstraint) -> bool

        2. __contains__(self: Kratos.MasterSlaveConstraintsArray, arg0: int) -> bool
        """
    def __getitem__(self, index):
        """__getitem__(self: Kratos.MasterSlaveConstraintsArray, arg0: int) -> Kratos::MasterSlaveConstraint"""
    def __iter__(self):
        """__iter__(self: Kratos.MasterSlaveConstraintsArray) -> Iterator[Kratos::MasterSlaveConstraint]"""
    def __len__(self) -> int:
        """__len__(self: Kratos.MasterSlaveConstraintsArray) -> int"""
    @overload
    def __setitem__(self, arg0) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.MasterSlaveConstraintsArray, arg0: Kratos::MasterSlaveConstraint) -> None

        2. __setitem__(self: Kratos.MasterSlaveConstraintsArray, arg0: Kratos::MasterSlaveConstraint) -> None
        """
    @overload
    def __setitem__(self, arg0) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.MasterSlaveConstraintsArray, arg0: Kratos::MasterSlaveConstraint) -> None

        2. __setitem__(self: Kratos.MasterSlaveConstraintsArray, arg0: Kratos::MasterSlaveConstraint) -> None
        """

class Matrix:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Matrix) -> None

        2. __init__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> None

        3. __init__(self: Kratos.Matrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.Matrix, arg0: Buffer) -> None

        5. __init__(self: Kratos.Matrix, arg0: list) -> None

        6. __init__(self: Kratos.Matrix, arg0: int, arg1: int, arg2: float) -> None

        7. __init__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> None
        """
    @overload
    def __init__(self, arg0: Matrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Matrix) -> None

        2. __init__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> None

        3. __init__(self: Kratos.Matrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.Matrix, arg0: Buffer) -> None

        5. __init__(self: Kratos.Matrix, arg0: list) -> None

        6. __init__(self: Kratos.Matrix, arg0: int, arg1: int, arg2: float) -> None

        7. __init__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Matrix) -> None

        2. __init__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> None

        3. __init__(self: Kratos.Matrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.Matrix, arg0: Buffer) -> None

        5. __init__(self: Kratos.Matrix, arg0: list) -> None

        6. __init__(self: Kratos.Matrix, arg0: int, arg1: int, arg2: float) -> None

        7. __init__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> None
        """
    @overload
    def __init__(self, arg0: Buffer) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Matrix) -> None

        2. __init__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> None

        3. __init__(self: Kratos.Matrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.Matrix, arg0: Buffer) -> None

        5. __init__(self: Kratos.Matrix, arg0: list) -> None

        6. __init__(self: Kratos.Matrix, arg0: int, arg1: int, arg2: float) -> None

        7. __init__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> None
        """
    @overload
    def __init__(self, arg0: list) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Matrix) -> None

        2. __init__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> None

        3. __init__(self: Kratos.Matrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.Matrix, arg0: Buffer) -> None

        5. __init__(self: Kratos.Matrix, arg0: list) -> None

        6. __init__(self: Kratos.Matrix, arg0: int, arg1: int, arg2: float) -> None

        7. __init__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: int, arg2: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Matrix) -> None

        2. __init__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> None

        3. __init__(self: Kratos.Matrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.Matrix, arg0: Buffer) -> None

        5. __init__(self: Kratos.Matrix, arg0: list) -> None

        6. __init__(self: Kratos.Matrix, arg0: int, arg1: int, arg2: float) -> None

        7. __init__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> None
        """
    @overload
    def __init__(self, arg0: Matrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Matrix) -> None

        2. __init__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> None

        3. __init__(self: Kratos.Matrix, arg0: int, arg1: int) -> None

        4. __init__(self: Kratos.Matrix, arg0: Buffer) -> None

        5. __init__(self: Kratos.Matrix, arg0: list) -> None

        6. __init__(self: Kratos.Matrix, arg0: int, arg1: int, arg2: float) -> None

        7. __init__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> None
        """
    def Resize(self, arg0: int, arg1: int) -> None:
        """Resize(self: Kratos.Matrix, arg0: int, arg1: int) -> None"""
    def Size1(self) -> int:
        """Size1(self: Kratos.Matrix) -> int"""
    def Size2(self) -> int:
        """Size2(self: Kratos.Matrix) -> int"""
    def fill(self, arg0: float) -> None:
        """fill(self: Kratos.Matrix, arg0: float) -> None"""
    def fill_identity(self) -> None:
        """fill_identity(self: Kratos.Matrix) -> None"""
    def transpose(self) -> Matrix:
        """transpose(self: Kratos.Matrix) -> Kratos.Matrix"""
    def __add__(self, arg0: Matrix) -> Matrix:
        """__add__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> Kratos.Matrix"""
    def __getitem__(self, arg0: tuple[int, int]) -> float:
        """__getitem__(self: Kratos.Matrix, arg0: tuple[int, int]) -> float"""
    def __imul__(self, arg0: float) -> Matrix:
        """__imul__(self: Kratos.Matrix, arg0: float) -> Kratos.Matrix"""
    def __itruediv__(self, arg0: float) -> Matrix:
        """__itruediv__(self: Kratos.Matrix, arg0: float) -> Kratos.Matrix"""
    def __len__(self) -> int:
        """__len__(self: Kratos.Matrix) -> int"""
    @overload
    def __mul__(self, arg0: Matrix) -> Matrix:
        """__mul__(*args, **kwargs)
        Overloaded function.

        1. __mul__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> Kratos.Matrix

        2. __mul__(self: Kratos.Matrix, arg0: float) -> Kratos.Matrix

        3. __mul__(self: Kratos.Matrix, arg0: Kratos.Vector) -> Kratos.Vector

        4. __mul__(self: Kratos.Matrix, arg0: Kratos.Array3) -> Kratos.Vector
        """
    @overload
    def __mul__(self, arg0: float) -> Matrix:
        """__mul__(*args, **kwargs)
        Overloaded function.

        1. __mul__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> Kratos.Matrix

        2. __mul__(self: Kratos.Matrix, arg0: float) -> Kratos.Matrix

        3. __mul__(self: Kratos.Matrix, arg0: Kratos.Vector) -> Kratos.Vector

        4. __mul__(self: Kratos.Matrix, arg0: Kratos.Array3) -> Kratos.Vector
        """
    @overload
    def __mul__(self, arg0: Vector) -> Vector:
        """__mul__(*args, **kwargs)
        Overloaded function.

        1. __mul__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> Kratos.Matrix

        2. __mul__(self: Kratos.Matrix, arg0: float) -> Kratos.Matrix

        3. __mul__(self: Kratos.Matrix, arg0: Kratos.Vector) -> Kratos.Vector

        4. __mul__(self: Kratos.Matrix, arg0: Kratos.Array3) -> Kratos.Vector
        """
    @overload
    def __mul__(self, arg0: Array3) -> Vector:
        """__mul__(*args, **kwargs)
        Overloaded function.

        1. __mul__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> Kratos.Matrix

        2. __mul__(self: Kratos.Matrix, arg0: float) -> Kratos.Matrix

        3. __mul__(self: Kratos.Matrix, arg0: Kratos.Vector) -> Kratos.Vector

        4. __mul__(self: Kratos.Matrix, arg0: Kratos.Array3) -> Kratos.Vector
        """
    def __setitem__(self, arg0: tuple[int, int], arg1: float) -> None:
        """__setitem__(self: Kratos.Matrix, arg0: tuple[int, int], arg1: float) -> None"""
    def __sub__(self, arg0: Matrix) -> Matrix:
        """__sub__(self: Kratos.Matrix, arg0: Kratos.Matrix) -> Kratos.Matrix"""
    def __truediv__(self, arg0: float) -> Matrix:
        """__truediv__(self: Kratos.Matrix, arg0: float) -> Kratos.Matrix"""

class MatrixVariable(VariableData):
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class MemoryInfo:
    def __init__(self) -> None:
        """__init__(self: Kratos.MemoryInfo) -> None"""
    @classmethod
    def GetCurrentMemoryUsage(cls) -> int:
        """GetCurrentMemoryUsage() -> int"""
    @classmethod
    def GetPeakMemoryUsage(cls) -> int:
        """GetPeakMemoryUsage() -> int"""
    @classmethod
    def HumanReadableSize(cls, arg0: int) -> str:
        """HumanReadableSize(arg0: int) -> str"""

class MergeVariableListsUtility:
    def __init__(self) -> None:
        """__init__(self: Kratos.MergeVariableListsUtility) -> None"""
    def Merge(self, arg0: ModelPart, arg1: ModelPart) -> None:
        """Merge(self: Kratos.MergeVariableListsUtility, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> None"""

class Mesh(DataValueContainer, Flags):
    Conditions: ConditionsArray
    Elements: ElementsArray
    MasterSlaveConstraints: MasterSlaveConstraintsArray
    Nodes: NodesArray
    Properties: PropertiesArray
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    def ConditionsArray(self) -> list[Condition]:
        """ConditionsArray(self: Kratos.Mesh) -> list[Kratos.Condition]"""
    def ElementsArray(self) -> list[Element]:
        """ElementsArray(self: Kratos.Mesh) -> list[Kratos.Element]"""
    def HasCondition(self, arg0: int) -> bool:
        """HasCondition(self: Kratos.Mesh, arg0: int) -> bool"""
    def HasElement(self, arg0: int) -> bool:
        """HasElement(self: Kratos.Mesh, arg0: int) -> bool"""
    def HasMasterSlaveConstraint (self, *args, **kwargs):
        """HasMasterSlaveConstraint (self: Kratos.Mesh, arg0: int) -> bool"""
    def HasNode(self, arg0: int) -> bool:
        """HasNode(self: Kratos.Mesh, arg0: int) -> bool"""
    def HasProperties(self, arg0: int) -> bool:
        """HasProperties(self: Kratos.Mesh, arg0: int) -> bool"""
    def MasterSlaveConstraintsArray(self, *args, **kwargs):
        """MasterSlaveConstraintsArray(self: Kratos.Mesh) -> list[Kratos::MasterSlaveConstraint]"""
    def NodesArray(self) -> list[Node]:
        """NodesArray(self: Kratos.Mesh) -> list[Kratos.Node]"""
    def NumberOfConditions(self) -> int:
        """NumberOfConditions(self: Kratos.Mesh) -> int"""
    def NumberOfElements(self) -> int:
        """NumberOfElements(self: Kratos.Mesh) -> int"""
    def NumberOfMasterSlaveConstraints(self) -> int:
        """NumberOfMasterSlaveConstraints(self: Kratos.Mesh) -> int"""
    def NumberOfNodes(self) -> int:
        """NumberOfNodes(self: Kratos.Mesh) -> int"""
    def NumberOfProperties(self) -> int:
        """NumberOfProperties(self: Kratos.Mesh) -> int"""
    def PropertiesArray(self) -> list[Properties]:
        """PropertiesArray(self: Kratos.Mesh) -> list[Kratos.Properties]"""

class MixedGenericCriteria(ConvergenceCriteria):
    def __init__(self, arg0: list[tuple[VariableData, float, float]]) -> None:
        """__init__(self: Kratos.MixedGenericCriteria, arg0: list[tuple[Kratos.VariableData, float, float]]) -> None"""

class MixedLinearSolver:
    def __init__(self) -> None:
        """__init__(self: Kratos.MixedLinearSolver) -> None"""
    def Clear(self) -> None:
        """Clear(self: Kratos.MixedLinearSolver) -> None"""
    def Initialize(self, arg0: CompressedMatrix, arg1: Vector, arg2: Vector) -> None:
        """Initialize(self: Kratos.MixedLinearSolver, arg0: Kratos.CompressedMatrix, arg1: Kratos.Vector, arg2: Kratos.Vector) -> None"""
    def Solve(self, arg0: CompressedMatrix, arg1: CompressedMatrix, arg2: ComplexVector, arg3: ComplexMatrix) -> None:
        """Solve(self: Kratos.MixedLinearSolver, arg0: Kratos.CompressedMatrix, arg1: Kratos.CompressedMatrix, arg2: Kratos.ComplexVector, arg3: Kratos.ComplexMatrix) -> None"""

class Model:
    def __init__(self) -> None:
        """__init__(self: Kratos.Model) -> None"""
    @overload
    def CreateModelPart(self, arg0: str) -> ModelPart:
        """CreateModelPart(*args, **kwargs)
        Overloaded function.

        1. CreateModelPart(self: Kratos.Model, arg0: str) -> Kratos.ModelPart

        2. CreateModelPart(self: Kratos.Model, arg0: str, arg1: int) -> Kratos.ModelPart
        """
    @overload
    def CreateModelPart(self, arg0: str, arg1: int) -> ModelPart:
        """CreateModelPart(*args, **kwargs)
        Overloaded function.

        1. CreateModelPart(self: Kratos.Model, arg0: str) -> Kratos.ModelPart

        2. CreateModelPart(self: Kratos.Model, arg0: str, arg1: int) -> Kratos.ModelPart
        """
    def DeleteModelPart(self, arg0: str) -> None:
        """DeleteModelPart(self: Kratos.Model, arg0: str) -> None"""
    def GetDataValueContainer(self) -> DataValueContainer:
        """GetDataValueContainer(self: Kratos.Model) -> Kratos.DataValueContainer"""
    def GetModelPart(self, arg0: str) -> ModelPart:
        """GetModelPart(self: Kratos.Model, arg0: str) -> Kratos.ModelPart"""
    def GetModelPartNames(self) -> list[str]:
        """GetModelPartNames(self: Kratos.Model) -> list[str]"""
    def HasModelPart(self, arg0: str) -> bool:
        """HasModelPart(self: Kratos.Model, arg0: str) -> bool"""
    def Reset(self) -> None:
        """Reset(self: Kratos.Model) -> None"""
    def __getitem__(self, arg0: str) -> ModelPart:
        """__getitem__(self: Kratos.Model, arg0: str) -> Kratos.ModelPart"""

class ModelPart(DataValueContainer, Flags):
    Conditions: Incomplete
    Elements: Incomplete
    Geometries: GeometriesMapType
    Name: str
    Nodes: Incomplete
    ProcessInfo: Incomplete
    Properties: Incomplete
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @overload
    def AddCondition(self, arg0) -> None:
        """AddCondition(*args, **kwargs)
        Overloaded function.

        1. AddCondition(self: Kratos.ModelPart, arg0: Kratos::Condition) -> None

        2. AddCondition(self: Kratos.ModelPart, arg0: Kratos::Condition, arg1: int) -> None
        """
    @overload
    def AddCondition(self, arg0, arg1: int) -> None:
        """AddCondition(*args, **kwargs)
        Overloaded function.

        1. AddCondition(self: Kratos.ModelPart, arg0: Kratos::Condition) -> None

        2. AddCondition(self: Kratos.ModelPart, arg0: Kratos::Condition, arg1: int) -> None
        """
    def AddConditions(self, arg0: list[int]) -> None:
        """AddConditions(self: Kratos.ModelPart, arg0: list[int]) -> None"""
    @overload
    def AddElement(self, arg0) -> None:
        """AddElement(*args, **kwargs)
        Overloaded function.

        1. AddElement(self: Kratos.ModelPart, arg0: Kratos::Element) -> None

        2. AddElement(self: Kratos.ModelPart, arg0: Kratos::Element, arg1: int) -> None
        """
    @overload
    def AddElement(self, arg0, arg1: int) -> None:
        """AddElement(*args, **kwargs)
        Overloaded function.

        1. AddElement(self: Kratos.ModelPart, arg0: Kratos::Element) -> None

        2. AddElement(self: Kratos.ModelPart, arg0: Kratos::Element, arg1: int) -> None
        """
    def AddElements(self, arg0: list[int]) -> None:
        """AddElements(self: Kratos.ModelPart, arg0: list[int]) -> None"""
    def AddGeometries(self, arg0: list[int]) -> None:
        """AddGeometries(self: Kratos.ModelPart, arg0: list[int]) -> None"""
    def AddGeometry(self, arg0) -> None:
        """AddGeometry(self: Kratos.ModelPart, arg0: Kratos::Geometry<Kratos::Node>) -> None"""
    def AddMasterSlaveConstraint(self, arg0) -> None:
        """AddMasterSlaveConstraint(self: Kratos.ModelPart, arg0: Kratos::MasterSlaveConstraint) -> None"""
    def AddMasterSlaveConstraints(self, arg0: list[int]) -> None:
        """AddMasterSlaveConstraints(self: Kratos.ModelPart, arg0: list[int]) -> None"""
    @overload
    def AddNodalSolutionStepVariable(self, arg0: BoolVariable) -> None:
        """AddNodalSolutionStepVariable(*args, **kwargs)
        Overloaded function.

        1. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.BoolVariable) -> None

        2. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.IntegerVariable) -> None

        3. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleVariable) -> None

        4. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.Array1DVariable3) -> None

        5. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.VectorVariable) -> None

        6. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.MatrixVariable) -> None

        7. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleQuaternionVariable) -> None
        """
    @overload
    def AddNodalSolutionStepVariable(self, arg0: IntegerVariable) -> None:
        """AddNodalSolutionStepVariable(*args, **kwargs)
        Overloaded function.

        1. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.BoolVariable) -> None

        2. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.IntegerVariable) -> None

        3. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleVariable) -> None

        4. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.Array1DVariable3) -> None

        5. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.VectorVariable) -> None

        6. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.MatrixVariable) -> None

        7. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleQuaternionVariable) -> None
        """
    @overload
    def AddNodalSolutionStepVariable(self, arg0: DoubleVariable) -> None:
        """AddNodalSolutionStepVariable(*args, **kwargs)
        Overloaded function.

        1. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.BoolVariable) -> None

        2. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.IntegerVariable) -> None

        3. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleVariable) -> None

        4. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.Array1DVariable3) -> None

        5. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.VectorVariable) -> None

        6. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.MatrixVariable) -> None

        7. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleQuaternionVariable) -> None
        """
    @overload
    def AddNodalSolutionStepVariable(self, arg0: Array1DVariable3) -> None:
        """AddNodalSolutionStepVariable(*args, **kwargs)
        Overloaded function.

        1. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.BoolVariable) -> None

        2. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.IntegerVariable) -> None

        3. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleVariable) -> None

        4. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.Array1DVariable3) -> None

        5. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.VectorVariable) -> None

        6. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.MatrixVariable) -> None

        7. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleQuaternionVariable) -> None
        """
    @overload
    def AddNodalSolutionStepVariable(self, arg0: VectorVariable) -> None:
        """AddNodalSolutionStepVariable(*args, **kwargs)
        Overloaded function.

        1. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.BoolVariable) -> None

        2. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.IntegerVariable) -> None

        3. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleVariable) -> None

        4. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.Array1DVariable3) -> None

        5. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.VectorVariable) -> None

        6. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.MatrixVariable) -> None

        7. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleQuaternionVariable) -> None
        """
    @overload
    def AddNodalSolutionStepVariable(self, arg0: MatrixVariable) -> None:
        """AddNodalSolutionStepVariable(*args, **kwargs)
        Overloaded function.

        1. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.BoolVariable) -> None

        2. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.IntegerVariable) -> None

        3. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleVariable) -> None

        4. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.Array1DVariable3) -> None

        5. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.VectorVariable) -> None

        6. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.MatrixVariable) -> None

        7. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleQuaternionVariable) -> None
        """
    @overload
    def AddNodalSolutionStepVariable(self, arg0: DoubleQuaternionVariable) -> None:
        """AddNodalSolutionStepVariable(*args, **kwargs)
        Overloaded function.

        1. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.BoolVariable) -> None

        2. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.IntegerVariable) -> None

        3. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleVariable) -> None

        4. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.Array1DVariable3) -> None

        5. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.VectorVariable) -> None

        6. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.MatrixVariable) -> None

        7. AddNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleQuaternionVariable) -> None
        """
    @overload
    def AddNode(self, arg0) -> None:
        """AddNode(*args, **kwargs)
        Overloaded function.

        1. AddNode(self: Kratos.ModelPart, arg0: Kratos::Node) -> None

        2. AddNode(self: Kratos.ModelPart, arg0: Kratos::Node, arg1: int) -> None
        """
    @overload
    def AddNode(self, arg0, arg1: int) -> None:
        """AddNode(*args, **kwargs)
        Overloaded function.

        1. AddNode(self: Kratos.ModelPart, arg0: Kratos::Node) -> None

        2. AddNode(self: Kratos.ModelPart, arg0: Kratos::Node, arg1: int) -> None
        """
    def AddNodes(self, arg0: list[int]) -> None:
        """AddNodes(self: Kratos.ModelPart, arg0: list[int]) -> None"""
    def AddProperties(self, arg0) -> None:
        """AddProperties(self: Kratos.ModelPart, arg0: Kratos::Properties) -> None"""
    def AddTable(self, *args, **kwargs):
        """AddTable(self: Kratos.ModelPart, arg0: int, arg1: Kratos::Table<double,double,1>) -> None"""
    def Check(self) -> int:
        """Check(self: Kratos.ModelPart) -> int"""
    def Clear(self) -> None:
        """Clear(self: Kratos.ModelPart) -> None"""
    def CloneSolutionStep(self) -> int:
        """CloneSolutionStep(self: Kratos.ModelPart) -> int"""
    @overload
    def CloneTimeStep(self) -> int:
        """CloneTimeStep(*args, **kwargs)
        Overloaded function.

        1. CloneTimeStep(self: Kratos.ModelPart) -> int

        2. CloneTimeStep(self: Kratos.ModelPart, arg0: float) -> int
        """
    @overload
    def CloneTimeStep(self, arg0: float) -> int:
        """CloneTimeStep(*args, **kwargs)
        Overloaded function.

        1. CloneTimeStep(self: Kratos.ModelPart) -> int

        2. CloneTimeStep(self: Kratos.ModelPart, arg0: float) -> int
        """
    def ConditionsArray(self, *args, **kwargs):
        """ConditionsArray(self: Kratos.ModelPart, arg0: int) -> list[Kratos::Condition]"""
    def CreateNewCondition(self, *args, **kwargs):
        """CreateNewCondition(*args, **kwargs)
        Overloaded function.

        1. CreateNewCondition(self: Kratos.ModelPart, arg0: str, arg1: int, arg2: list[int], arg3: Kratos::Properties) -> Kratos::Condition

        2. CreateNewCondition(self: Kratos.ModelPart, arg0: str, arg1: int, arg2: Kratos::Geometry<Kratos::Node>, arg3: Kratos::Properties) -> Kratos::Condition
        """
    def CreateNewElement(self, *args, **kwargs):
        """CreateNewElement(*args, **kwargs)
        Overloaded function.

        1. CreateNewElement(self: Kratos.ModelPart, arg0: str, arg1: int, arg2: list[int], arg3: Kratos::Properties) -> Kratos::Element

        2. CreateNewElement(self: Kratos.ModelPart, arg0: str, arg1: int, arg2: Kratos::Geometry<Kratos::Node>, arg3: Kratos::Properties) -> Kratos::Element
        """
    def CreateNewGeometry(self, *args, **kwargs):
        """CreateNewGeometry(*args, **kwargs)
        Overloaded function.

        1. CreateNewGeometry(self: Kratos.ModelPart, arg0: str, arg1: list[int]) -> Kratos::Geometry<Kratos::Node>

        2. CreateNewGeometry(self: Kratos.ModelPart, arg0: str, arg1: int, arg2: list[int]) -> Kratos::Geometry<Kratos::Node>

        3. CreateNewGeometry(self: Kratos.ModelPart, arg0: str, arg1: str, arg2: list[int]) -> Kratos::Geometry<Kratos::Node>

        4. CreateNewGeometry(self: Kratos.ModelPart, arg0: str, arg1: Kratos::Geometry<Kratos::Node>) -> Kratos::Geometry<Kratos::Node>

        5. CreateNewGeometry(self: Kratos.ModelPart, arg0: str, arg1: int, arg2: Kratos::Geometry<Kratos::Node>) -> Kratos::Geometry<Kratos::Node>

        6. CreateNewGeometry(self: Kratos.ModelPart, arg0: str, arg1: str, arg2: Kratos::Geometry<Kratos::Node>) -> Kratos::Geometry<Kratos::Node>
        """
    def CreateNewMasterSlaveConstraint(self, *args, **kwargs):
        """CreateNewMasterSlaveConstraint(*args, **kwargs)
        Overloaded function.

        1. CreateNewMasterSlaveConstraint(self: Kratos.ModelPart, arg0: str, arg1: int, arg2: list[Kratos::Dof<double>], arg3: list[Kratos::Dof<double>], arg4: Kratos.Matrix, arg5: Kratos.Vector) -> Kratos::MasterSlaveConstraint

        2. CreateNewMasterSlaveConstraint(self: Kratos.ModelPart, arg0: str, arg1: int, arg2: Kratos::Node, arg3: Kratos.DoubleVariable, arg4: Kratos::Node, arg5: Kratos.DoubleVariable, arg6: float, arg7: float) -> Kratos::MasterSlaveConstraint
        """
    def CreateNewNode(self, *args, **kwargs):
        """CreateNewNode(self: Kratos.ModelPart, arg0: int, arg1: float, arg2: float, arg3: float) -> Kratos::Node"""
    def CreateNewProperties(self, *args, **kwargs):
        """CreateNewProperties(self: Kratos.ModelPart, arg0: int) -> Kratos::Properties"""
    def CreateSolutionStep(self) -> int:
        """CreateSolutionStep(self: Kratos.ModelPart) -> int"""
    def CreateSubModelPart(self, arg0: str) -> ModelPart:
        """CreateSubModelPart(self: Kratos.ModelPart, arg0: str) -> Kratos.ModelPart"""
    def CreateTimeStep(self, arg0: float) -> int:
        """CreateTimeStep(self: Kratos.ModelPart, arg0: float) -> int"""
    def ElementsArray(self, *args, **kwargs):
        """ElementsArray(self: Kratos.ModelPart, arg0: int) -> list[Kratos::Element]"""
    def FullName(self) -> str:
        """FullName(self: Kratos.ModelPart) -> str"""
    def GetBufferSize(self) -> int:
        """GetBufferSize(self: Kratos.ModelPart) -> int"""
    def GetCommunicator(self, *args, **kwargs):
        """GetCommunicator(self: Kratos.ModelPart) -> Kratos::Communicator"""
    def GetCondition(self, *args, **kwargs):
        """GetCondition(*args, **kwargs)
        Overloaded function.

        1. GetCondition(self: Kratos.ModelPart, arg0: int) -> Kratos::Condition

        2. GetCondition(self: Kratos.ModelPart, arg0: int, arg1: int) -> Kratos::Condition
        """
    def GetConditions(self, *args, **kwargs):
        """GetConditions(*args, **kwargs)
        Overloaded function.

        1. GetConditions(self: Kratos.ModelPart) -> Kratos::PointerVectorSet<Kratos::Condition,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Condition>,std::vector<Kratos::intrusive_ptr<Kratos::Condition>,std::allocator<Kratos::intrusive_ptr<Kratos::Condition> > > >

        2. GetConditions(self: Kratos.ModelPart, arg0: int) -> Kratos::PointerVectorSet<Kratos::Condition,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Condition>,std::vector<Kratos::intrusive_ptr<Kratos::Condition>,std::allocator<Kratos::intrusive_ptr<Kratos::Condition> > > >
        """
    def GetElement(self, *args, **kwargs):
        """GetElement(*args, **kwargs)
        Overloaded function.

        1. GetElement(self: Kratos.ModelPart, arg0: int) -> Kratos::Element

        2. GetElement(self: Kratos.ModelPart, arg0: int, arg1: int) -> Kratos::Element
        """
    def GetElements(self, *args, **kwargs):
        """GetElements(*args, **kwargs)
        Overloaded function.

        1. GetElements(self: Kratos.ModelPart) -> Kratos::PointerVectorSet<Kratos::Element,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Element>,std::vector<Kratos::intrusive_ptr<Kratos::Element>,std::allocator<Kratos::intrusive_ptr<Kratos::Element> > > >

        2. GetElements(self: Kratos.ModelPart, arg0: int) -> Kratos::PointerVectorSet<Kratos::Element,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Element>,std::vector<Kratos::intrusive_ptr<Kratos::Element>,std::allocator<Kratos::intrusive_ptr<Kratos::Element> > > >
        """
    def GetGeometry(self, *args, **kwargs):
        """GetGeometry(*args, **kwargs)
        Overloaded function.

        1. GetGeometry(self: Kratos.ModelPart, arg0: int) -> Kratos::Geometry<Kratos::Node>

        2. GetGeometry(self: Kratos.ModelPart, arg0: str) -> Kratos::Geometry<Kratos::Node>
        """
    def GetHistoricalVariablesNames(self) -> set[str]:
        """GetHistoricalVariablesNames(self: Kratos.ModelPart) -> set[str]"""
    def GetMasterSlaveConstraint(self, *args, **kwargs):
        """GetMasterSlaveConstraint(self: Kratos.ModelPart, arg0: int) -> Kratos::MasterSlaveConstraint"""
    def GetMasterSlaveConstraints(self) -> MasterSlaveConstraintsArray:
        """GetMasterSlaveConstraints(self: Kratos.ModelPart) -> Kratos.MasterSlaveConstraintsArray"""
    def GetMesh(self, *args, **kwargs):
        """GetMesh(*args, **kwargs)
        Overloaded function.

        1. GetMesh(self: Kratos.ModelPart) -> Kratos::Mesh<Kratos::Node,Kratos::Properties,Kratos::Element,Kratos::Condition>

        2. GetMesh(self: Kratos.ModelPart, arg0: int) -> Kratos::Mesh<Kratos::Node,Kratos::Properties,Kratos::Element,Kratos::Condition>
        """
    def GetModel(self, *args, **kwargs):
        """GetModel(self: Kratos.ModelPart) -> Kratos::Model"""
    def GetNodalSolutionStepDataSize(self) -> int:
        """GetNodalSolutionStepDataSize(self: Kratos.ModelPart) -> int"""
    def GetNodalSolutionStepTotalDataSize(self) -> int:
        """GetNodalSolutionStepTotalDataSize(self: Kratos.ModelPart) -> int"""
    def GetNode(self, *args, **kwargs):
        """GetNode(*args, **kwargs)
        Overloaded function.

        1. GetNode(self: Kratos.ModelPart, arg0: int) -> Kratos::Node

        2. GetNode(self: Kratos.ModelPart, arg0: int, arg1: int) -> Kratos::Node
        """
    def GetNodes(self, *args, **kwargs):
        """GetNodes(*args, **kwargs)
        Overloaded function.

        1. GetNodes(self: Kratos.ModelPart) -> Kratos::PointerVectorSet<Kratos::Node,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >

        2. GetNodes(self: Kratos.ModelPart, arg0: int) -> Kratos::PointerVectorSet<Kratos::Node,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >
        """
    def GetNonHistoricalVariablesNames(self, *args, **kwargs):
        """GetNonHistoricalVariablesNames(*args, **kwargs)
        Overloaded function.

        1. GetNonHistoricalVariablesNames(self: Kratos.ModelPart, arg0: Kratos::PointerVectorSet<Kratos::Node,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >, arg1: bool) -> set[str]

        2. GetNonHistoricalVariablesNames(self: Kratos.ModelPart, arg0: Kratos::PointerVectorSet<Kratos::Element,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Element>,std::vector<Kratos::intrusive_ptr<Kratos::Element>,std::allocator<Kratos::intrusive_ptr<Kratos::Element> > > >, arg1: bool) -> set[str]

        3. GetNonHistoricalVariablesNames(self: Kratos.ModelPart, arg0: Kratos::PointerVectorSet<Kratos::Condition,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Condition>,std::vector<Kratos::intrusive_ptr<Kratos::Condition>,std::allocator<Kratos::intrusive_ptr<Kratos::Condition> > > >, arg1: bool) -> set[str]
        """
    def GetParentModelPart(self) -> ModelPart:
        """GetParentModelPart(self: Kratos.ModelPart) -> Kratos.ModelPart"""
    def GetProperties(self, *args, **kwargs):
        """GetProperties(*args, **kwargs)
        Overloaded function.

        1. GetProperties(self: Kratos.ModelPart, arg0: int) -> Kratos::Properties

        2. GetProperties(self: Kratos.ModelPart, arg0: str) -> Kratos::Properties

        3. GetProperties(self: Kratos.ModelPart) -> Kratos::PointerVectorSet<Kratos::Properties,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,std::shared_ptr<Kratos::Properties>,std::vector<std::shared_ptr<Kratos::Properties>,std::allocator<std::shared_ptr<Kratos::Properties> > > >
        """
    def GetRootModelPart(self) -> ModelPart:
        """GetRootModelPart(self: Kratos.ModelPart) -> Kratos.ModelPart"""
    def GetSubModelPart(self, arg0: str) -> ModelPart:
        """GetSubModelPart(self: Kratos.ModelPart, arg0: str) -> Kratos.ModelPart"""
    def GetSubModelPartNames(self) -> list[str]:
        """GetSubModelPartNames(self: Kratos.ModelPart) -> list[str]"""
    def GetTable(self, *args, **kwargs):
        """GetTable(self: Kratos.ModelPart, arg0: int) -> Kratos::Table<double,double,1>"""
    @overload
    def HasCondition(self, arg0: int) -> bool:
        """HasCondition(*args, **kwargs)
        Overloaded function.

        1. HasCondition(self: Kratos.ModelPart, arg0: int) -> bool

        2. HasCondition(self: Kratos.ModelPart, arg0: int, arg1: int) -> bool
        """
    @overload
    def HasCondition(self, arg0: int, arg1: int) -> bool:
        """HasCondition(*args, **kwargs)
        Overloaded function.

        1. HasCondition(self: Kratos.ModelPart, arg0: int) -> bool

        2. HasCondition(self: Kratos.ModelPart, arg0: int, arg1: int) -> bool
        """
    @overload
    def HasElement(self, arg0: int) -> bool:
        """HasElement(*args, **kwargs)
        Overloaded function.

        1. HasElement(self: Kratos.ModelPart, arg0: int) -> bool

        2. HasElement(self: Kratos.ModelPart, arg0: int, arg1: int) -> bool
        """
    @overload
    def HasElement(self, arg0: int, arg1: int) -> bool:
        """HasElement(*args, **kwargs)
        Overloaded function.

        1. HasElement(self: Kratos.ModelPart, arg0: int) -> bool

        2. HasElement(self: Kratos.ModelPart, arg0: int, arg1: int) -> bool
        """
    @overload
    def HasGeometry(self, arg0: int) -> bool:
        """HasGeometry(*args, **kwargs)
        Overloaded function.

        1. HasGeometry(self: Kratos.ModelPart, arg0: int) -> bool

        2. HasGeometry(self: Kratos.ModelPart, arg0: str) -> bool
        """
    @overload
    def HasGeometry(self, arg0: str) -> bool:
        """HasGeometry(*args, **kwargs)
        Overloaded function.

        1. HasGeometry(self: Kratos.ModelPart, arg0: int) -> bool

        2. HasGeometry(self: Kratos.ModelPart, arg0: str) -> bool
        """
    def HasMasterSlaveConstraint(self, arg0: int) -> bool:
        """HasMasterSlaveConstraint(self: Kratos.ModelPart, arg0: int) -> bool"""
    @overload
    def HasNodalSolutionStepVariable(self, arg0: BoolVariable) -> bool:
        """HasNodalSolutionStepVariable(*args, **kwargs)
        Overloaded function.

        1. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.BoolVariable) -> bool

        2. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.IntegerVariable) -> bool

        3. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleVariable) -> bool

        4. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.Array1DVariable3) -> bool

        5. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.VectorVariable) -> bool

        6. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.MatrixVariable) -> bool

        7. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleQuaternionVariable) -> bool
        """
    @overload
    def HasNodalSolutionStepVariable(self, arg0: IntegerVariable) -> bool:
        """HasNodalSolutionStepVariable(*args, **kwargs)
        Overloaded function.

        1. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.BoolVariable) -> bool

        2. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.IntegerVariable) -> bool

        3. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleVariable) -> bool

        4. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.Array1DVariable3) -> bool

        5. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.VectorVariable) -> bool

        6. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.MatrixVariable) -> bool

        7. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleQuaternionVariable) -> bool
        """
    @overload
    def HasNodalSolutionStepVariable(self, arg0: DoubleVariable) -> bool:
        """HasNodalSolutionStepVariable(*args, **kwargs)
        Overloaded function.

        1. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.BoolVariable) -> bool

        2. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.IntegerVariable) -> bool

        3. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleVariable) -> bool

        4. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.Array1DVariable3) -> bool

        5. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.VectorVariable) -> bool

        6. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.MatrixVariable) -> bool

        7. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleQuaternionVariable) -> bool
        """
    @overload
    def HasNodalSolutionStepVariable(self, arg0: Array1DVariable3) -> bool:
        """HasNodalSolutionStepVariable(*args, **kwargs)
        Overloaded function.

        1. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.BoolVariable) -> bool

        2. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.IntegerVariable) -> bool

        3. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleVariable) -> bool

        4. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.Array1DVariable3) -> bool

        5. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.VectorVariable) -> bool

        6. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.MatrixVariable) -> bool

        7. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleQuaternionVariable) -> bool
        """
    @overload
    def HasNodalSolutionStepVariable(self, arg0: VectorVariable) -> bool:
        """HasNodalSolutionStepVariable(*args, **kwargs)
        Overloaded function.

        1. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.BoolVariable) -> bool

        2. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.IntegerVariable) -> bool

        3. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleVariable) -> bool

        4. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.Array1DVariable3) -> bool

        5. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.VectorVariable) -> bool

        6. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.MatrixVariable) -> bool

        7. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleQuaternionVariable) -> bool
        """
    @overload
    def HasNodalSolutionStepVariable(self, arg0: MatrixVariable) -> bool:
        """HasNodalSolutionStepVariable(*args, **kwargs)
        Overloaded function.

        1. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.BoolVariable) -> bool

        2. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.IntegerVariable) -> bool

        3. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleVariable) -> bool

        4. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.Array1DVariable3) -> bool

        5. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.VectorVariable) -> bool

        6. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.MatrixVariable) -> bool

        7. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleQuaternionVariable) -> bool
        """
    @overload
    def HasNodalSolutionStepVariable(self, arg0: DoubleQuaternionVariable) -> bool:
        """HasNodalSolutionStepVariable(*args, **kwargs)
        Overloaded function.

        1. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.BoolVariable) -> bool

        2. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.IntegerVariable) -> bool

        3. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleVariable) -> bool

        4. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.Array1DVariable3) -> bool

        5. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.VectorVariable) -> bool

        6. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.MatrixVariable) -> bool

        7. HasNodalSolutionStepVariable(self: Kratos.ModelPart, arg0: Kratos.DoubleQuaternionVariable) -> bool
        """
    @overload
    def HasNode(self, arg0: int) -> bool:
        """HasNode(*args, **kwargs)
        Overloaded function.

        1. HasNode(self: Kratos.ModelPart, arg0: int) -> bool

        2. HasNode(self: Kratos.ModelPart, arg0: int, arg1: int) -> bool
        """
    @overload
    def HasNode(self, arg0: int, arg1: int) -> bool:
        """HasNode(*args, **kwargs)
        Overloaded function.

        1. HasNode(self: Kratos.ModelPart, arg0: int) -> bool

        2. HasNode(self: Kratos.ModelPart, arg0: int, arg1: int) -> bool
        """
    @overload
    def HasProperties(self, arg0: int) -> bool:
        """HasProperties(*args, **kwargs)
        Overloaded function.

        1. HasProperties(self: Kratos.ModelPart, arg0: int) -> bool

        2. HasProperties(self: Kratos.ModelPart, arg0: str) -> bool
        """
    @overload
    def HasProperties(self, arg0: str) -> bool:
        """HasProperties(*args, **kwargs)
        Overloaded function.

        1. HasProperties(self: Kratos.ModelPart, arg0: int) -> bool

        2. HasProperties(self: Kratos.ModelPart, arg0: str) -> bool
        """
    def HasSubModelPart(self, arg0: str) -> bool:
        """HasSubModelPart(self: Kratos.ModelPart, arg0: str) -> bool"""
    def IsDistributed(self) -> bool:
        """IsDistributed(self: Kratos.ModelPart) -> bool"""
    def IsSubModelPart(self) -> bool:
        """IsSubModelPart(self: Kratos.ModelPart) -> bool"""
    def NodesArray(self, *args, **kwargs):
        """NodesArray(self: Kratos.ModelPart, arg0: int) -> list[Kratos::Node]"""
    @overload
    def NumberOfConditions(self) -> int:
        """NumberOfConditions(*args, **kwargs)
        Overloaded function.

        1. NumberOfConditions(self: Kratos.ModelPart) -> int

        2. NumberOfConditions(self: Kratos.ModelPart, arg0: int) -> int
        """
    @overload
    def NumberOfConditions(self, arg0: int) -> int:
        """NumberOfConditions(*args, **kwargs)
        Overloaded function.

        1. NumberOfConditions(self: Kratos.ModelPart) -> int

        2. NumberOfConditions(self: Kratos.ModelPart, arg0: int) -> int
        """
    @overload
    def NumberOfElements(self) -> int:
        """NumberOfElements(*args, **kwargs)
        Overloaded function.

        1. NumberOfElements(self: Kratos.ModelPart) -> int

        2. NumberOfElements(self: Kratos.ModelPart, arg0: int) -> int
        """
    @overload
    def NumberOfElements(self, arg0: int) -> int:
        """NumberOfElements(*args, **kwargs)
        Overloaded function.

        1. NumberOfElements(self: Kratos.ModelPart) -> int

        2. NumberOfElements(self: Kratos.ModelPart, arg0: int) -> int
        """
    def NumberOfGeometries(self) -> int:
        """NumberOfGeometries(self: Kratos.ModelPart) -> int"""
    @overload
    def NumberOfMasterSlaveConstraints(self) -> int:
        """NumberOfMasterSlaveConstraints(*args, **kwargs)
        Overloaded function.

        1. NumberOfMasterSlaveConstraints(self: Kratos.ModelPart) -> int

        2. NumberOfMasterSlaveConstraints(self: Kratos.ModelPart, arg0: int) -> int
        """
    @overload
    def NumberOfMasterSlaveConstraints(self, arg0: int) -> int:
        """NumberOfMasterSlaveConstraints(*args, **kwargs)
        Overloaded function.

        1. NumberOfMasterSlaveConstraints(self: Kratos.ModelPart) -> int

        2. NumberOfMasterSlaveConstraints(self: Kratos.ModelPart, arg0: int) -> int
        """
    def NumberOfMeshes(self) -> int:
        """NumberOfMeshes(self: Kratos.ModelPart) -> int"""
    @overload
    def NumberOfNodes(self, arg0: int) -> int:
        """NumberOfNodes(*args, **kwargs)
        Overloaded function.

        1. NumberOfNodes(self: Kratos.ModelPart, arg0: int) -> int

        2. NumberOfNodes(self: Kratos.ModelPart) -> int
        """
    @overload
    def NumberOfNodes(self) -> int:
        """NumberOfNodes(*args, **kwargs)
        Overloaded function.

        1. NumberOfNodes(self: Kratos.ModelPart, arg0: int) -> int

        2. NumberOfNodes(self: Kratos.ModelPart) -> int
        """
    def NumberOfProperties(self, ThisIndex: int = ...) -> int:
        """NumberOfProperties(self: Kratos.ModelPart, ThisIndex: int = 0) -> int"""
    def NumberOfSubModelParts(self) -> int:
        """NumberOfSubModelParts(self: Kratos.ModelPart) -> int"""
    def NumberOfTables(self) -> int:
        """NumberOfTables(self: Kratos.ModelPart) -> int"""
    def OverwriteSolutionStepData(self, arg0: int, arg1: int) -> None:
        """OverwriteSolutionStepData(self: Kratos.ModelPart, arg0: int, arg1: int) -> None"""
    def PropertiesArray(self, *args, **kwargs):
        """PropertiesArray(self: Kratos.ModelPart, arg0: int) -> list[Kratos::Properties]"""
    def RecursivelyHasProperties(self, arg0: int) -> bool:
        """RecursivelyHasProperties(self: Kratos.ModelPart, arg0: int) -> bool"""
    def ReduceTimeStep(self, arg0: ModelPart, arg1: float) -> None:
        """ReduceTimeStep(self: Kratos.ModelPart, arg0: Kratos.ModelPart, arg1: float) -> None"""
    @overload
    def RemoveCondition(self, arg0: int) -> None:
        """RemoveCondition(*args, **kwargs)
        Overloaded function.

        1. RemoveCondition(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveCondition(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveCondition(self: Kratos.ModelPart, arg0: Kratos::Condition) -> None

        4. RemoveCondition(self: Kratos.ModelPart, arg0: Kratos::Condition, arg1: int) -> None
        """
    @overload
    def RemoveCondition(self, arg0: int, arg1: int) -> None:
        """RemoveCondition(*args, **kwargs)
        Overloaded function.

        1. RemoveCondition(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveCondition(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveCondition(self: Kratos.ModelPart, arg0: Kratos::Condition) -> None

        4. RemoveCondition(self: Kratos.ModelPart, arg0: Kratos::Condition, arg1: int) -> None
        """
    @overload
    def RemoveCondition(self, arg0) -> None:
        """RemoveCondition(*args, **kwargs)
        Overloaded function.

        1. RemoveCondition(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveCondition(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveCondition(self: Kratos.ModelPart, arg0: Kratos::Condition) -> None

        4. RemoveCondition(self: Kratos.ModelPart, arg0: Kratos::Condition, arg1: int) -> None
        """
    @overload
    def RemoveCondition(self, arg0, arg1: int) -> None:
        """RemoveCondition(*args, **kwargs)
        Overloaded function.

        1. RemoveCondition(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveCondition(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveCondition(self: Kratos.ModelPart, arg0: Kratos::Condition) -> None

        4. RemoveCondition(self: Kratos.ModelPart, arg0: Kratos::Condition, arg1: int) -> None
        """
    @overload
    def RemoveConditionFromAllLevels(self, arg0: int) -> None:
        """RemoveConditionFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Condition) -> None

        4. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Condition, arg1: int) -> None
        """
    @overload
    def RemoveConditionFromAllLevels(self, arg0: int, arg1: int) -> None:
        """RemoveConditionFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Condition) -> None

        4. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Condition, arg1: int) -> None
        """
    @overload
    def RemoveConditionFromAllLevels(self, arg0) -> None:
        """RemoveConditionFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Condition) -> None

        4. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Condition, arg1: int) -> None
        """
    @overload
    def RemoveConditionFromAllLevels(self, arg0, arg1: int) -> None:
        """RemoveConditionFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Condition) -> None

        4. RemoveConditionFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Condition, arg1: int) -> None
        """
    def RemoveConditions(self, arg0: Flags) -> None:
        """RemoveConditions(self: Kratos.ModelPart, arg0: Kratos.Flags) -> None"""
    def RemoveConditionsFromAllLevels(self, arg0: Flags) -> None:
        """RemoveConditionsFromAllLevels(self: Kratos.ModelPart, arg0: Kratos.Flags) -> None"""
    @overload
    def RemoveElement(self, arg0: int) -> None:
        """RemoveElement(*args, **kwargs)
        Overloaded function.

        1. RemoveElement(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveElement(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveElement(self: Kratos.ModelPart, arg0: Kratos::Element) -> None

        4. RemoveElement(self: Kratos.ModelPart, arg0: Kratos::Element, arg1: int) -> None
        """
    @overload
    def RemoveElement(self, arg0: int, arg1: int) -> None:
        """RemoveElement(*args, **kwargs)
        Overloaded function.

        1. RemoveElement(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveElement(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveElement(self: Kratos.ModelPart, arg0: Kratos::Element) -> None

        4. RemoveElement(self: Kratos.ModelPart, arg0: Kratos::Element, arg1: int) -> None
        """
    @overload
    def RemoveElement(self, arg0) -> None:
        """RemoveElement(*args, **kwargs)
        Overloaded function.

        1. RemoveElement(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveElement(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveElement(self: Kratos.ModelPart, arg0: Kratos::Element) -> None

        4. RemoveElement(self: Kratos.ModelPart, arg0: Kratos::Element, arg1: int) -> None
        """
    @overload
    def RemoveElement(self, arg0, arg1: int) -> None:
        """RemoveElement(*args, **kwargs)
        Overloaded function.

        1. RemoveElement(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveElement(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveElement(self: Kratos.ModelPart, arg0: Kratos::Element) -> None

        4. RemoveElement(self: Kratos.ModelPart, arg0: Kratos::Element, arg1: int) -> None
        """
    @overload
    def RemoveElementFromAllLevels(self, arg0: int) -> None:
        """RemoveElementFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Element) -> None

        4. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Element, arg1: int) -> None
        """
    @overload
    def RemoveElementFromAllLevels(self, arg0: int, arg1: int) -> None:
        """RemoveElementFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Element) -> None

        4. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Element, arg1: int) -> None
        """
    @overload
    def RemoveElementFromAllLevels(self, arg0) -> None:
        """RemoveElementFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Element) -> None

        4. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Element, arg1: int) -> None
        """
    @overload
    def RemoveElementFromAllLevels(self, arg0, arg1: int) -> None:
        """RemoveElementFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Element) -> None

        4. RemoveElementFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Element, arg1: int) -> None
        """
    def RemoveElements(self, arg0: Flags) -> None:
        """RemoveElements(self: Kratos.ModelPart, arg0: Kratos.Flags) -> None"""
    def RemoveElementsFromAllLevels(self, arg0: Flags) -> None:
        """RemoveElementsFromAllLevels(self: Kratos.ModelPart, arg0: Kratos.Flags) -> None"""
    @overload
    def RemoveGeometry(self, arg0: int) -> None:
        """RemoveGeometry(*args, **kwargs)
        Overloaded function.

        1. RemoveGeometry(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveGeometry(self: Kratos.ModelPart, arg0: str) -> None
        """
    @overload
    def RemoveGeometry(self, arg0: str) -> None:
        """RemoveGeometry(*args, **kwargs)
        Overloaded function.

        1. RemoveGeometry(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveGeometry(self: Kratos.ModelPart, arg0: str) -> None
        """
    @overload
    def RemoveGeometryFromAllLevels(self, arg0: int) -> None:
        """RemoveGeometryFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveGeometryFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveGeometryFromAllLevels(self: Kratos.ModelPart, arg0: str) -> None
        """
    @overload
    def RemoveGeometryFromAllLevels(self, arg0: str) -> None:
        """RemoveGeometryFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveGeometryFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveGeometryFromAllLevels(self: Kratos.ModelPart, arg0: str) -> None
        """
    @overload
    def RemoveMasterSlaveConstraint(self, arg0: int) -> None:
        """RemoveMasterSlaveConstraint(*args, **kwargs)
        Overloaded function.

        1. RemoveMasterSlaveConstraint(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveMasterSlaveConstraint(self: Kratos.ModelPart, arg0: Kratos::MasterSlaveConstraint) -> None
        """
    @overload
    def RemoveMasterSlaveConstraint(self, arg0) -> None:
        """RemoveMasterSlaveConstraint(*args, **kwargs)
        Overloaded function.

        1. RemoveMasterSlaveConstraint(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveMasterSlaveConstraint(self: Kratos.ModelPart, arg0: Kratos::MasterSlaveConstraint) -> None
        """
    @overload
    def RemoveMasterSlaveConstraintFromAllLevels(self, arg0: int) -> None:
        """RemoveMasterSlaveConstraintFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveMasterSlaveConstraintFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveMasterSlaveConstraintFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::MasterSlaveConstraint) -> None
        """
    @overload
    def RemoveMasterSlaveConstraintFromAllLevels(self, arg0) -> None:
        """RemoveMasterSlaveConstraintFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveMasterSlaveConstraintFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveMasterSlaveConstraintFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::MasterSlaveConstraint) -> None
        """
    def RemoveMasterSlaveConstraints(self, arg0: Flags) -> None:
        """RemoveMasterSlaveConstraints(self: Kratos.ModelPart, arg0: Kratos.Flags) -> None"""
    def RemoveMasterSlaveConstraintsFromAllLevels(self, arg0: Flags) -> None:
        """RemoveMasterSlaveConstraintsFromAllLevels(self: Kratos.ModelPart, arg0: Kratos.Flags) -> None"""
    @overload
    def RemoveNode(self, arg0: int) -> None:
        """RemoveNode(*args, **kwargs)
        Overloaded function.

        1. RemoveNode(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveNode(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveNode(self: Kratos.ModelPart, arg0: Kratos::Node) -> None

        4. RemoveNode(self: Kratos.ModelPart, arg0: Kratos::Node, arg1: int) -> None
        """
    @overload
    def RemoveNode(self, arg0: int, arg1: int) -> None:
        """RemoveNode(*args, **kwargs)
        Overloaded function.

        1. RemoveNode(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveNode(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveNode(self: Kratos.ModelPart, arg0: Kratos::Node) -> None

        4. RemoveNode(self: Kratos.ModelPart, arg0: Kratos::Node, arg1: int) -> None
        """
    @overload
    def RemoveNode(self, arg0) -> None:
        """RemoveNode(*args, **kwargs)
        Overloaded function.

        1. RemoveNode(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveNode(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveNode(self: Kratos.ModelPart, arg0: Kratos::Node) -> None

        4. RemoveNode(self: Kratos.ModelPart, arg0: Kratos::Node, arg1: int) -> None
        """
    @overload
    def RemoveNode(self, arg0, arg1: int) -> None:
        """RemoveNode(*args, **kwargs)
        Overloaded function.

        1. RemoveNode(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveNode(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveNode(self: Kratos.ModelPart, arg0: Kratos::Node) -> None

        4. RemoveNode(self: Kratos.ModelPart, arg0: Kratos::Node, arg1: int) -> None
        """
    @overload
    def RemoveNodeFromAllLevels(self, arg0: int) -> None:
        """RemoveNodeFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Node) -> None

        4. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Node, arg1: int) -> None
        """
    @overload
    def RemoveNodeFromAllLevels(self, arg0: int, arg1: int) -> None:
        """RemoveNodeFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Node) -> None

        4. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Node, arg1: int) -> None
        """
    @overload
    def RemoveNodeFromAllLevels(self, arg0) -> None:
        """RemoveNodeFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Node) -> None

        4. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Node, arg1: int) -> None
        """
    @overload
    def RemoveNodeFromAllLevels(self, arg0, arg1: int) -> None:
        """RemoveNodeFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: int, arg1: int) -> None

        3. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Node) -> None

        4. RemoveNodeFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Node, arg1: int) -> None
        """
    def RemoveNodes(self, arg0: Flags) -> None:
        """RemoveNodes(self: Kratos.ModelPart, arg0: Kratos.Flags) -> None"""
    def RemoveNodesFromAllLevels(self, arg0: Flags) -> None:
        """RemoveNodesFromAllLevels(self: Kratos.ModelPart, arg0: Kratos.Flags) -> None"""
    @overload
    def RemoveProperties(self, arg0: int) -> None:
        """RemoveProperties(*args, **kwargs)
        Overloaded function.

        1. RemoveProperties(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveProperties(self: Kratos.ModelPart, arg0: Kratos::Properties) -> None
        """
    @overload
    def RemoveProperties(self, arg0) -> None:
        """RemoveProperties(*args, **kwargs)
        Overloaded function.

        1. RemoveProperties(self: Kratos.ModelPart, arg0: int) -> None

        2. RemoveProperties(self: Kratos.ModelPart, arg0: Kratos::Properties) -> None
        """
    @overload
    def RemovePropertiesFromAllLevels(self, arg0: int) -> None:
        """RemovePropertiesFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemovePropertiesFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemovePropertiesFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Properties) -> None
        """
    @overload
    def RemovePropertiesFromAllLevels(self, arg0) -> None:
        """RemovePropertiesFromAllLevels(*args, **kwargs)
        Overloaded function.

        1. RemovePropertiesFromAllLevels(self: Kratos.ModelPart, arg0: int) -> None

        2. RemovePropertiesFromAllLevels(self: Kratos.ModelPart, arg0: Kratos::Properties) -> None
        """
    @overload
    def RemoveSubModelPart(self, arg0: str) -> None:
        """RemoveSubModelPart(*args, **kwargs)
        Overloaded function.

        1. RemoveSubModelPart(self: Kratos.ModelPart, arg0: str) -> None

        2. RemoveSubModelPart(self: Kratos.ModelPart, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def RemoveSubModelPart(self, arg0: ModelPart) -> None:
        """RemoveSubModelPart(*args, **kwargs)
        Overloaded function.

        1. RemoveSubModelPart(self: Kratos.ModelPart, arg0: str) -> None

        2. RemoveSubModelPart(self: Kratos.ModelPart, arg0: Kratos.ModelPart) -> None
        """
    def SetBufferSize(self, arg0: int) -> None:
        """SetBufferSize(self: Kratos.ModelPart, arg0: int) -> None"""
    def SetConditions(self, *args, **kwargs):
        """SetConditions(*args, **kwargs)
        Overloaded function.

        1. SetConditions(self: Kratos.ModelPart, arg0: Kratos::PointerVectorSet<Kratos::Condition,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Condition>,std::vector<Kratos::intrusive_ptr<Kratos::Condition>,std::allocator<Kratos::intrusive_ptr<Kratos::Condition> > > >) -> None

        2. SetConditions(self: Kratos.ModelPart, arg0: Kratos::PointerVectorSet<Kratos::Condition,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Condition>,std::vector<Kratos::intrusive_ptr<Kratos::Condition>,std::allocator<Kratos::intrusive_ptr<Kratos::Condition> > > >, arg1: int) -> None
        """
    def SetElements(self, *args, **kwargs):
        """SetElements(*args, **kwargs)
        Overloaded function.

        1. SetElements(self: Kratos.ModelPart, arg0: Kratos::PointerVectorSet<Kratos::Element,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Element>,std::vector<Kratos::intrusive_ptr<Kratos::Element>,std::allocator<Kratos::intrusive_ptr<Kratos::Element> > > >) -> None

        2. SetElements(self: Kratos.ModelPart, arg0: Kratos::PointerVectorSet<Kratos::Element,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Element>,std::vector<Kratos::intrusive_ptr<Kratos::Element>,std::allocator<Kratos::intrusive_ptr<Kratos::Element> > > >, arg1: int) -> None
        """
    def SetNodes(self, *args, **kwargs):
        """SetNodes(*args, **kwargs)
        Overloaded function.

        1. SetNodes(self: Kratos.ModelPart, arg0: Kratos::PointerVectorSet<Kratos::Node,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >) -> None

        2. SetNodes(self: Kratos.ModelPart, arg0: Kratos::PointerVectorSet<Kratos::Node,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >, arg1: int) -> None
        """
    def SetProperties(self, *args, **kwargs):
        """SetProperties(self: Kratos.ModelPart, arg0: Kratos::PointerVectorSet<Kratos::Properties,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,std::shared_ptr<Kratos::Properties>,std::vector<std::shared_ptr<Kratos::Properties>,std::allocator<std::shared_ptr<Kratos::Properties> > > >) -> None"""
    def __copy__(self) -> None:
        """__copy__(self: Kratos.ModelPart) -> None"""
    def __deepcopy__(self, arg0: dict) -> None:
        """__deepcopy__(self: Kratos.ModelPart, arg0: dict) -> None"""
    @property
    def MasterSlaveConstraints(self) -> MasterSlaveConstraintsArray: ...
    @property
    def SubModelParts(self) -> SubModelPartView: ...

class ModelPartCombinationUtilities:
    def __init__(self, arg0: Model) -> None:
        """__init__(self: Kratos.ModelPartCombinationUtilities, arg0: Kratos.Model) -> None"""
    def CombineModelParts(self, arg0) -> ModelPart:
        """CombineModelParts(self: Kratos.ModelPartCombinationUtilities, arg0: Kratos::Parameters) -> Kratos.ModelPart"""

class ModelPartGraphUtilities:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @classmethod
    def ApplyMinimalScalarFixity(cls, arg0: NodesArray, arg1: DoubleVariable, arg2: Vector, arg3: int) -> list[int]:
        """ApplyMinimalScalarFixity(arg0: Kratos.NodesArray, arg1: Kratos.DoubleVariable, arg2: Kratos.Vector, arg3: int) -> list[int]"""
    @classmethod
    def ComputeCSRGraph(cls, arg0: ModelPart) -> tuple[DenseVectorUnsignedInt, DenseVectorUnsignedInt]:
        """ComputeCSRGraph(arg0: Kratos.ModelPart) -> tuple[Kratos.DenseVectorUnsignedInt, Kratos.DenseVectorUnsignedInt]"""
    @classmethod
    def ComputeConnectedComponents(cls, arg0: NodesArray, arg1: DenseVectorUnsignedInt, arg2: DenseVectorUnsignedInt) -> tuple[int, Vector]:
        """ComputeConnectedComponents(arg0: Kratos.NodesArray, arg1: Kratos.DenseVectorUnsignedInt, arg2: Kratos.DenseVectorUnsignedInt) -> tuple[int, Kratos.Vector]"""
    @classmethod
    def ComputeConnectedComponentsWithActiveNodesCheck(cls, arg0: NodesArray, arg1: DenseVectorUnsignedInt, arg2: DenseVectorUnsignedInt, arg3: list[bool]) -> tuple[int, Vector]:
        """ComputeConnectedComponentsWithActiveNodesCheck(arg0: Kratos.NodesArray, arg1: Kratos.DenseVectorUnsignedInt, arg2: Kratos.DenseVectorUnsignedInt, arg3: list[bool]) -> tuple[int, Kratos.Vector]"""
    @classmethod
    def ComputeGraph(cls, *args, **kwargs):
        """ComputeGraph(arg0: Kratos.ModelPart) -> Kratos::SparseContiguousRowGraph<unsigned __int64>"""

class ModelPartIO(IO):
    @overload
    def __init__(self, arg0: os.PathLike) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ModelPartIO, arg0: os.PathLike) -> None

        2. __init__(self: Kratos.ModelPartIO, arg0: os.PathLike, arg1: Kratos.Flags) -> None
        """
    @overload
    def __init__(self, arg0: os.PathLike, arg1: Flags) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ModelPartIO, arg0: os.PathLike) -> None

        2. __init__(self: Kratos.ModelPartIO, arg0: os.PathLike, arg1: Kratos.Flags) -> None
        """

class ModelPartUtils:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @classmethod
    def FromConnectivityGenerateConditions(cls, entity_name: str, entities_connectivities: list[list[int]], nodes: NodesArray, conditions: ConditionsArray, properties: Properties) -> None:
        """FromConnectivityGenerateConditions(entity_name: str, entities_connectivities: list[list[int]], nodes: Kratos.NodesArray, conditions: Kratos.ConditionsArray, properties: Kratos.Properties) -> None"""
    @classmethod
    def FromConnectivityGenerateElements(cls, entity_name: str, entities_connectivities: list[list[int]], nodes: NodesArray, elements: ElementsArray, properties: Properties) -> None:
        """FromConnectivityGenerateElements(entity_name: str, entities_connectivities: list[list[int]], nodes: Kratos.NodesArray, elements: Kratos.ElementsArray, properties: Kratos.Properties) -> None"""

class Modeler:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Modeler) -> None

        2. __init__(self: Kratos.Modeler, arg0: Kratos.Model, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: Model, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Modeler) -> None

        2. __init__(self: Kratos.Modeler, arg0: Kratos.Model, arg1: Kratos::Parameters) -> None
        """
    def Create(self, arg0: Model, arg1) -> Modeler:
        """Create(self: Kratos.Modeler, arg0: Kratos.Model, arg1: Kratos::Parameters) -> Kratos.Modeler"""
    def GenerateMesh(self, arg0: ModelPart, arg1: str, arg2: str) -> None:
        """GenerateMesh(self: Kratos.Modeler, arg0: Kratos.ModelPart, arg1: str, arg2: str) -> None"""
    def GenerateModelPart(self, arg0: ModelPart, arg1: ModelPart, arg2: str, arg3: str) -> None:
        """GenerateModelPart(self: Kratos.Modeler, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: str, arg3: str) -> None"""
    def GenerateNodes(self, arg0: ModelPart) -> None:
        """GenerateNodes(self: Kratos.Modeler, arg0: Kratos.ModelPart) -> None"""
    def PrepareGeometryModel(self) -> None:
        """PrepareGeometryModel(self: Kratos.Modeler) -> None"""
    def SetupGeometryModel(self) -> None:
        """SetupGeometryModel(self: Kratos.Modeler) -> None"""
    def SetupModelPart(self) -> None:
        """SetupModelPart(self: Kratos.Modeler) -> None"""

class MpiSerializer(StreamSerializer):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.MpiSerializer) -> None

        2. __init__(self: Kratos.MpiSerializer, arg0: str) -> None

        3. __init__(self: Kratos.MpiSerializer, arg0: Kratos::Serializer::TraceType) -> None

        4. __init__(self: Kratos.MpiSerializer, arg0: str, arg1: Kratos::Serializer::TraceType) -> None
        """
    @overload
    def __init__(self, arg0: str) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.MpiSerializer) -> None

        2. __init__(self: Kratos.MpiSerializer, arg0: str) -> None

        3. __init__(self: Kratos.MpiSerializer, arg0: Kratos::Serializer::TraceType) -> None

        4. __init__(self: Kratos.MpiSerializer, arg0: str, arg1: Kratos::Serializer::TraceType) -> None
        """
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.MpiSerializer) -> None

        2. __init__(self: Kratos.MpiSerializer, arg0: str) -> None

        3. __init__(self: Kratos.MpiSerializer, arg0: Kratos::Serializer::TraceType) -> None

        4. __init__(self: Kratos.MpiSerializer, arg0: str, arg1: Kratos::Serializer::TraceType) -> None
        """
    @overload
    def __init__(self, arg0: str, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.MpiSerializer) -> None

        2. __init__(self: Kratos.MpiSerializer, arg0: str) -> None

        3. __init__(self: Kratos.MpiSerializer, arg0: Kratos::Serializer::TraceType) -> None

        4. __init__(self: Kratos.MpiSerializer, arg0: str, arg1: Kratos::Serializer::TraceType) -> None
        """

class MultiFileFlag:
    __members__: ClassVar[dict] = ...  # read-only
    MultipleFiles: ClassVar[MultiFileFlag] = ...
    SingleFile: ClassVar[MultiFileFlag] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.MultiFileFlag, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.MultiFileFlag) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.MultiFileFlag) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class Node(Point, Flags):
    Id: int
    X0: float
    Y0: float
    Z0: float
    @overload
    def __init__(self, arg0: int, arg1: float, arg2: float, arg3: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Node, arg0: int, arg1: float, arg2: float, arg3: float) -> None

        2. __init__(self: Kratos.Node, arg0: int, arg1: Kratos.Point) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: Point) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Node, arg0: int, arg1: float, arg2: float, arg3: float) -> None

        2. __init__(self: Kratos.Node, arg0: int, arg1: Kratos.Point) -> None
        """
    @overload
    def AddDof(self, arg0: DoubleVariable) -> None:
        """AddDof(*args, **kwargs)
        Overloaded function.

        1. AddDof(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> None

        2. AddDof(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None
        """
    @overload
    def AddDof(self, arg0: DoubleVariable, arg1: DoubleVariable) -> None:
        """AddDof(*args, **kwargs)
        Overloaded function.

        1. AddDof(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> None

        2. AddDof(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> None
        """
    def Fix(self, arg0: DoubleVariable) -> None:
        """Fix(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> None"""
    def Free(self, arg0: DoubleVariable) -> None:
        """Free(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> None"""
    def GetBufferSize(self) -> int:
        """GetBufferSize(self: Kratos.Node) -> int"""
    def GetDof(self, arg0: DoubleVariable) -> Dof:
        """GetDof(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> Kratos.Dof"""
    @overload
    def GetSolutionStepValue(self, arg0: BoolVariable) -> bool:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: BoolVariable, arg1: int) -> bool:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: IntegerVariable) -> int:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: IntegerVariable, arg1: int) -> int:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: DoubleVariable) -> float:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: DoubleVariable, arg1: int) -> float:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: Array1DVariable3) -> Array3:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: Array1DVariable3, arg1: int) -> Array3:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: Array1DVariable4) -> Array4:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: Array1DVariable4, arg1: int) -> Array4:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: Array1DVariable6) -> Array6:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: Array1DVariable6, arg1: int) -> Array6:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: Array1DVariable9) -> Array9:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: Array1DVariable9, arg1: int) -> Array9:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: VectorVariable) -> Vector:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: VectorVariable, arg1: int) -> Vector:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: MatrixVariable) -> Matrix:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetSolutionStepValue(self, arg0: MatrixVariable, arg1: int) -> Matrix:
        """GetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int) -> bool

        3. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        4. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> int

        5. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        6. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int) -> float

        7. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        8. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int) -> Kratos.Array3

        9. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        10. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int) -> Kratos.Array4

        11. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        12. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int) -> Kratos.Array6

        13. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        14. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int) -> Kratos.Array9

        15. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        16. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int) -> Kratos::Quaternion<double>

        17. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        18. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int) -> Kratos.Vector

        19. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        20. GetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int) -> Kratos.Matrix
        """
    @overload
    def GetValue(self, arg0: BoolVariable) -> bool:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. GetValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. GetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def GetValue(self, arg0: IntegerVariable) -> int:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. GetValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. GetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def GetValue(self, arg0: DoubleVariable) -> float:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. GetValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. GetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def GetValue(self, arg0: Array1DVariable3) -> Array3:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. GetValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. GetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def GetValue(self, arg0: Array1DVariable4) -> Array4:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. GetValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. GetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def GetValue(self, arg0: Array1DVariable6) -> Array6:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. GetValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. GetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def GetValue(self, arg0: Array1DVariable9) -> Array9:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. GetValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. GetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def GetValue(self, arg0: VectorVariable) -> Vector:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. GetValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. GetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def GetValue(self, arg0: MatrixVariable) -> Matrix:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. GetValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. GetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def Has(self, arg0: BoolVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. Has(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. Has(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def Has(self, arg0: IntegerVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. Has(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. Has(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def Has(self, arg0: DoubleVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. Has(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. Has(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable3) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. Has(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. Has(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable4) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. Has(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. Has(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable6) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. Has(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. Has(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable9) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. Has(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. Has(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def Has(self, arg0: DoubleQuaternionVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. Has(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. Has(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def Has(self, arg0: VectorVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. Has(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. Has(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def Has(self, arg0: MatrixVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. Has(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. Has(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    def HasDofFor(self, arg0: DoubleVariable) -> bool:
        """HasDofFor(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool"""
    @overload
    def HasSolutionStepValue(self, arg0: BoolVariable) -> bool:
        """HasSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def HasSolutionStepValue(self, arg0: IntegerVariable) -> bool:
        """HasSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def HasSolutionStepValue(self, arg0: DoubleVariable) -> bool:
        """HasSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def HasSolutionStepValue(self, arg0: Array1DVariable3) -> bool:
        """HasSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def HasSolutionStepValue(self, arg0: Array1DVariable4) -> bool:
        """HasSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def HasSolutionStepValue(self, arg0: Array1DVariable6) -> bool:
        """HasSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def HasSolutionStepValue(self, arg0: Array1DVariable9) -> bool:
        """HasSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def HasSolutionStepValue(self, arg0: DoubleQuaternionVariable) -> bool:
        """HasSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def HasSolutionStepValue(self, arg0: VectorVariable) -> bool:
        """HasSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def HasSolutionStepValue(self, arg0: MatrixVariable) -> bool:
        """HasSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. HasSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    def IsFixed(self, arg0: DoubleVariable) -> bool:
        """IsFixed(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool"""
    def OverwriteSolutionStepData(self, arg0: int, arg1: int) -> None:
        """OverwriteSolutionStepData(self: Kratos.Node, arg0: int, arg1: int) -> None"""
    @overload
    def SetSolutionStepValue(self, arg0: BoolVariable, arg1: bool) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: BoolVariable, arg1: int, arg2: bool) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: IntegerVariable, arg1: int) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: IntegerVariable, arg1: int, arg2: int) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: DoubleVariable, arg1: float) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: DoubleVariable, arg1: int, arg2: float) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: Array1DVariable3, arg1: int, arg2: Array3) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: Array1DVariable4, arg1: Array4) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: Array1DVariable4, arg1: int, arg2: Array4) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: Array1DVariable6, arg1: int, arg2: Array6) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: Array1DVariable9, arg1: Array9) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: Array1DVariable9, arg1: int, arg2: Array9) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: DoubleQuaternionVariable, arg1) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: DoubleQuaternionVariable, arg1: int, arg2) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: VectorVariable, arg1: Vector) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: VectorVariable, arg1: int, arg2: Vector) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetSolutionStepValue(self, arg0: MatrixVariable, arg1: int, arg2: Matrix) -> None:
        """SetSolutionStepValue(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: int, arg2: bool) -> None

        3. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        4. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int, arg2: int) -> None

        5. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        6. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: int, arg2: float) -> None

        7. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        8. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: int, arg2: Kratos.Array3) -> None

        9. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        10. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: int, arg2: Kratos.Array4) -> None

        11. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        12. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: int, arg2: Kratos.Array6) -> None

        13. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        14. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: int, arg2: Kratos.Array9) -> None

        15. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        16. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: int, arg2: Kratos::Quaternion<double>) -> None

        17. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        18. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: int, arg2: Kratos.Vector) -> None

        19. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        20. SetSolutionStepValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: int, arg2: Kratos.Matrix) -> None
        """
    @overload
    def SetValue(self, arg0: BoolVariable, arg1: bool) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. SetValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. SetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def SetValue(self, arg0: IntegerVariable, arg1: int) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. SetValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. SetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def SetValue(self, arg0: DoubleVariable, arg1: float) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. SetValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. SetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. SetValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. SetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable4, arg1: Array4) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. SetValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. SetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. SetValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. SetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable9, arg1: Array9) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. SetValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. SetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def SetValue(self, arg0: DoubleQuaternionVariable, arg1) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. SetValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. SetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def SetValue(self, arg0: VectorVariable, arg1: Vector) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. SetValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. SetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def SetValue(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. SetValue(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. SetValue(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def SolutionStepsDataHas(self, arg0: BoolVariable) -> bool:
        """SolutionStepsDataHas(*args, **kwargs)
        Overloaded function.

        1. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        9. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SolutionStepsDataHas(self, arg0: IntegerVariable) -> bool:
        """SolutionStepsDataHas(*args, **kwargs)
        Overloaded function.

        1. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        9. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SolutionStepsDataHas(self, arg0: DoubleVariable) -> bool:
        """SolutionStepsDataHas(*args, **kwargs)
        Overloaded function.

        1. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        9. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SolutionStepsDataHas(self, arg0: Array1DVariable3) -> bool:
        """SolutionStepsDataHas(*args, **kwargs)
        Overloaded function.

        1. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        9. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SolutionStepsDataHas(self, arg0: Array1DVariable4) -> bool:
        """SolutionStepsDataHas(*args, **kwargs)
        Overloaded function.

        1. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        9. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SolutionStepsDataHas(self, arg0: Array1DVariable6) -> bool:
        """SolutionStepsDataHas(*args, **kwargs)
        Overloaded function.

        1. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        9. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SolutionStepsDataHas(self, arg0: Array1DVariable9) -> bool:
        """SolutionStepsDataHas(*args, **kwargs)
        Overloaded function.

        1. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        9. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SolutionStepsDataHas(self, arg0: VectorVariable) -> bool:
        """SolutionStepsDataHas(*args, **kwargs)
        Overloaded function.

        1. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        9. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def SolutionStepsDataHas(self, arg0: MatrixVariable) -> bool:
        """SolutionStepsDataHas(*args, **kwargs)
        Overloaded function.

        1. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        9. SolutionStepsDataHas(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: BoolVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. __contains__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. __contains__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: IntegerVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. __contains__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. __contains__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: DoubleVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. __contains__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. __contains__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: Array1DVariable3) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. __contains__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. __contains__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: Array1DVariable4) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. __contains__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. __contains__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: Array1DVariable6) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. __contains__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. __contains__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: Array1DVariable9) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. __contains__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. __contains__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: DoubleQuaternionVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. __contains__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. __contains__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: VectorVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. __contains__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. __contains__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: MatrixVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> bool

        9. __contains__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> bool

        10. __contains__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> bool
        """
    @overload
    def __getitem__(self, arg0: BoolVariable) -> bool:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. __getitem__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. __getitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def __getitem__(self, arg0: IntegerVariable) -> int:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. __getitem__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. __getitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def __getitem__(self, arg0: DoubleVariable) -> float:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. __getitem__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. __getitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable3) -> Array3:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. __getitem__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. __getitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable4) -> Array4:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. __getitem__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. __getitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable6) -> Array6:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. __getitem__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. __getitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable9) -> Array9:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. __getitem__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. __getitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def __getitem__(self, arg0: VectorVariable) -> Vector:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. __getitem__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. __getitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def __getitem__(self, arg0: MatrixVariable) -> Matrix:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Node, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        9. __getitem__(self: Kratos.Node, arg0: Kratos.VectorVariable) -> Kratos.Vector

        10. __getitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable) -> Kratos.Matrix
        """
    @overload
    def __setitem__(self, arg0: BoolVariable, arg1: bool) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. __setitem__(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. __setitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __setitem__(self, arg0: IntegerVariable, arg1: int) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. __setitem__(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. __setitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __setitem__(self, arg0: DoubleVariable, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. __setitem__(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. __setitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. __setitem__(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. __setitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable4, arg1: Array4) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. __setitem__(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. __setitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. __setitem__(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. __setitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable9, arg1: Array9) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. __setitem__(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. __setitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __setitem__(self, arg0: DoubleQuaternionVariable, arg1) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. __setitem__(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. __setitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __setitem__(self, arg0: VectorVariable, arg1: Vector) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. __setitem__(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. __setitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __setitem__(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Node, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.Node, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.Node, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.Node, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        9. __setitem__(self: Kratos.Node, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        10. __setitem__(self: Kratos.Node, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None
        """

class NodeEraseProcess(Process):
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(self: Kratos.NodeEraseProcess, arg0: Kratos.ModelPart) -> None"""

class NodesArray:
    def __init__(self) -> None:
        """__init__(self: Kratos.NodesArray) -> None"""
    def append(self, arg0: Node) -> None:
        """append(self: Kratos.NodesArray, arg0: Kratos.Node) -> None"""
    def clear(self) -> None:
        """clear(self: Kratos.NodesArray) -> None"""
    @overload
    def __contains__(self, arg0: Node) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.NodesArray, arg0: Kratos.Node) -> bool

        2. __contains__(self: Kratos.NodesArray, arg0: int) -> bool
        """
    @overload
    def __contains__(self, arg0: int) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.NodesArray, arg0: Kratos.Node) -> bool

        2. __contains__(self: Kratos.NodesArray, arg0: int) -> bool
        """
    def __getitem__(self, arg0: int) -> Node:
        """__getitem__(self: Kratos.NodesArray, arg0: int) -> Kratos.Node"""
    def __iter__(self) -> Iterator[Node]:
        """__iter__(self: Kratos.NodesArray) -> Iterator[Kratos.Node]"""
    def __len__(self) -> int:
        """__len__(self: Kratos.NodesArray) -> int"""
    @overload
    def __setitem__(self, arg0: Node) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.NodesArray, arg0: Kratos.Node) -> None

        2. __setitem__(self: Kratos.NodesArray, arg0: Kratos.Node) -> None
        """
    @overload
    def __setitem__(self, arg0: Node) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.NodesArray, arg0: Kratos.Node) -> None

        2. __setitem__(self: Kratos.NodesArray, arg0: Kratos.Node) -> None
        """

class NodesVector:
    def __init__(self) -> None:
        """__init__(self: Kratos.NodesVector) -> None"""
    def append(self, arg0: Node) -> None:
        """append(self: Kratos.NodesVector, arg0: Kratos.Node) -> None"""
    def __getitem__(self, arg0: int) -> Node:
        """__getitem__(self: Kratos.NodesVector, arg0: int) -> Kratos.Node"""
    def __iter__(self) -> Iterator[Node]:
        """__iter__(self: Kratos.NodesVector) -> Iterator[Kratos.Node]"""
    def __len__(self) -> int:
        """__len__(self: Kratos.NodesVector) -> int"""
    def __setitem__(self, arg0: int, arg1: Node) -> None:
        """__setitem__(self: Kratos.NodesVector, arg0: int, arg1: Kratos.Node) -> None"""

class NormalCalculationUtils:
    def __init__(self) -> None:
        """__init__(self: Kratos.NormalCalculationUtils) -> None"""
    def CalculateNormalShapeDerivativesOnSimplex(self, arg0: ConditionsArray, arg1: int) -> None:
        """CalculateNormalShapeDerivativesOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None"""
    @overload
    def CalculateNormals(self, arg0: ModelPart, arg1: bool, arg2: Array1DVariable3) -> None:
        """CalculateNormals(*args, **kwargs)
        Overloaded function.

        1. CalculateNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool, arg2: Kratos.Array1DVariable3) -> None

        2. CalculateNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool) -> None

        3. CalculateNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def CalculateNormals(self, arg0: ModelPart, arg1: bool) -> None:
        """CalculateNormals(*args, **kwargs)
        Overloaded function.

        1. CalculateNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool, arg2: Kratos.Array1DVariable3) -> None

        2. CalculateNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool) -> None

        3. CalculateNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def CalculateNormals(self, arg0: ModelPart) -> None:
        """CalculateNormals(*args, **kwargs)
        Overloaded function.

        1. CalculateNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool, arg2: Kratos.Array1DVariable3) -> None

        2. CalculateNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool) -> None

        3. CalculateNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None
        """
    def CalculateNormalsInConditions(self, arg0: ModelPart, arg1: Array1DVariable3) -> None:
        """CalculateNormalsInConditions(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None"""
    def CalculateNormalsInElements(self, arg0: ModelPart, arg1: Array1DVariable3) -> None:
        """CalculateNormalsInElements(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None"""
    @overload
    def CalculateNormalsNonHistorical(self, arg0: ModelPart, arg1: bool, arg2: Array1DVariable3) -> None:
        """CalculateNormalsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. CalculateNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool, arg2: Kratos.Array1DVariable3) -> None

        2. CalculateNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool) -> None

        3. CalculateNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def CalculateNormalsNonHistorical(self, arg0: ModelPart, arg1: bool) -> None:
        """CalculateNormalsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. CalculateNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool, arg2: Kratos.Array1DVariable3) -> None

        2. CalculateNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool) -> None

        3. CalculateNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def CalculateNormalsNonHistorical(self, arg0: ModelPart) -> None:
        """CalculateNormalsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. CalculateNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool, arg2: Kratos.Array1DVariable3) -> None

        2. CalculateNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool) -> None

        3. CalculateNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def CalculateOnSimplex(self, arg0: ConditionsArray, arg1: int) -> None:
        """CalculateOnSimplex(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None

        7. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable) -> None

        8. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.IntegerVariable) -> None

        9. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None
        """
    @overload
    def CalculateOnSimplex(self, arg0: ConditionsArray, arg1: int, arg2: Array1DVariable3) -> None:
        """CalculateOnSimplex(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None

        7. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable) -> None

        8. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.IntegerVariable) -> None

        9. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None
        """
    @overload
    def CalculateOnSimplex(self, arg0: ModelPart, arg1: int) -> None:
        """CalculateOnSimplex(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None

        7. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable) -> None

        8. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.IntegerVariable) -> None

        9. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None
        """
    @overload
    def CalculateOnSimplex(self, arg0: ModelPart, arg1: int, arg2: Array1DVariable3) -> None:
        """CalculateOnSimplex(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None

        7. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable) -> None

        8. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.IntegerVariable) -> None

        9. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None
        """
    @overload
    def CalculateOnSimplex(self, arg0: ModelPart) -> None:
        """CalculateOnSimplex(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None

        7. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable) -> None

        8. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.IntegerVariable) -> None

        9. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None
        """
    @overload
    def CalculateOnSimplex(self, arg0: ModelPart, arg1: Array1DVariable3) -> None:
        """CalculateOnSimplex(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None

        7. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable) -> None

        8. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.IntegerVariable) -> None

        9. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None
        """
    @overload
    def CalculateOnSimplex(self, arg0: ModelPart, arg1: int, arg2: DoubleVariable) -> None:
        """CalculateOnSimplex(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None

        7. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable) -> None

        8. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.IntegerVariable) -> None

        9. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None
        """
    @overload
    def CalculateOnSimplex(self, arg0: ModelPart, arg1: int, arg2: IntegerVariable) -> None:
        """CalculateOnSimplex(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None

        7. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable) -> None

        8. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.IntegerVariable) -> None

        9. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None
        """
    @overload
    def CalculateOnSimplex(self, arg0: ModelPart, arg1: int, arg2: DoubleVariable, arg3: float, arg4: float) -> None:
        """CalculateOnSimplex(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None

        7. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable) -> None

        8. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.IntegerVariable) -> None

        9. CalculateOnSimplex(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None
        """
    @overload
    def CalculateOnSimplexNonHistorical(self, arg0: ConditionsArray, arg1: int) -> None:
        """CalculateOnSimplexNonHistorical(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None
        """
    @overload
    def CalculateOnSimplexNonHistorical(self, arg0: ConditionsArray, arg1: int, arg2: Array1DVariable3) -> None:
        """CalculateOnSimplexNonHistorical(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None
        """
    @overload
    def CalculateOnSimplexNonHistorical(self, arg0: ModelPart, arg1: int) -> None:
        """CalculateOnSimplexNonHistorical(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None
        """
    @overload
    def CalculateOnSimplexNonHistorical(self, arg0: ModelPart, arg1: int, arg2: Array1DVariable3) -> None:
        """CalculateOnSimplexNonHistorical(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None
        """
    @overload
    def CalculateOnSimplexNonHistorical(self, arg0: ModelPart) -> None:
        """CalculateOnSimplexNonHistorical(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None
        """
    @overload
    def CalculateOnSimplexNonHistorical(self, arg0: ModelPart, arg1: Array1DVariable3) -> None:
        """CalculateOnSimplexNonHistorical(*args, **kwargs)
        Overloaded function.

        1. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int) -> None

        2. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ConditionsArray, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        3. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int) -> None

        4. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: int, arg2: Kratos.Array1DVariable3) -> None

        5. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None

        6. CalculateOnSimplexNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3) -> None
        """
    @overload
    def CalculateUnitNormals(self, arg0: ModelPart, arg1: bool, arg2: Array1DVariable3) -> None:
        """CalculateUnitNormals(*args, **kwargs)
        Overloaded function.

        1. CalculateUnitNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool, arg2: Kratos.Array1DVariable3) -> None

        2. CalculateUnitNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool) -> None

        3. CalculateUnitNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def CalculateUnitNormals(self, arg0: ModelPart, arg1: bool) -> None:
        """CalculateUnitNormals(*args, **kwargs)
        Overloaded function.

        1. CalculateUnitNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool, arg2: Kratos.Array1DVariable3) -> None

        2. CalculateUnitNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool) -> None

        3. CalculateUnitNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def CalculateUnitNormals(self, arg0: ModelPart) -> None:
        """CalculateUnitNormals(*args, **kwargs)
        Overloaded function.

        1. CalculateUnitNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool, arg2: Kratos.Array1DVariable3) -> None

        2. CalculateUnitNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool) -> None

        3. CalculateUnitNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def CalculateUnitNormalsNonHistorical(self, arg0: ModelPart, arg1: bool, arg2: Array1DVariable3) -> None:
        """CalculateUnitNormalsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. CalculateUnitNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool, arg2: Kratos.Array1DVariable3) -> None

        2. CalculateUnitNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool) -> None

        3. CalculateUnitNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def CalculateUnitNormalsNonHistorical(self, arg0: ModelPart, arg1: bool) -> None:
        """CalculateUnitNormalsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. CalculateUnitNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool, arg2: Kratos.Array1DVariable3) -> None

        2. CalculateUnitNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool) -> None

        3. CalculateUnitNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None
        """
    @overload
    def CalculateUnitNormalsNonHistorical(self, arg0: ModelPart) -> None:
        """CalculateUnitNormalsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. CalculateUnitNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool, arg2: Kratos.Array1DVariable3) -> None

        2. CalculateUnitNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart, arg1: bool) -> None

        3. CalculateUnitNormalsNonHistorical(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None
        """
    def SwapNormals(self, arg0: ModelPart) -> None:
        """SwapNormals(self: Kratos.NormalCalculationUtils, arg0: Kratos.ModelPart) -> None"""

class NurbsCurveGeometry2D(Geometry):
    @overload
    def __init__(self, arg0: NodesVector, arg1: int, arg2: Vector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.NurbsCurveGeometry2D, arg0: Kratos.NodesVector, arg1: int, arg2: Kratos.Vector) -> None

        2. __init__(self: Kratos.NurbsCurveGeometry2D, arg0: Kratos.NodesVector, arg1: int, arg2: Kratos.Vector, arg3: Kratos.Vector) -> None
        """
    @overload
    def __init__(self, arg0: NodesVector, arg1: int, arg2: Vector, arg3: Vector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.NurbsCurveGeometry2D, arg0: Kratos.NodesVector, arg1: int, arg2: Kratos.Vector) -> None

        2. __init__(self: Kratos.NurbsCurveGeometry2D, arg0: Kratos.NodesVector, arg1: int, arg2: Kratos.Vector, arg3: Kratos.Vector) -> None
        """
    def IsRational(self) -> bool:
        """IsRational(self: Kratos.NurbsCurveGeometry2D) -> bool"""
    def Knots(self) -> Vector:
        """Knots(self: Kratos.NurbsCurveGeometry2D) -> Kratos.Vector"""
    def NumberOfControlPoints(self) -> int:
        """NumberOfControlPoints(self: Kratos.NurbsCurveGeometry2D) -> int"""
    def NumberOfKnots(self) -> int:
        """NumberOfKnots(self: Kratos.NurbsCurveGeometry2D) -> int"""
    def PolynomialDegree(self, arg0: int) -> int:
        """PolynomialDegree(self: Kratos.NurbsCurveGeometry2D, arg0: int) -> int"""
    def Weights(self) -> Vector:
        """Weights(self: Kratos.NurbsCurveGeometry2D) -> Kratos.Vector"""

class NurbsCurveGeometry3D(Geometry):
    @overload
    def __init__(self, arg0: NodesVector, arg1: int, arg2: Vector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.NurbsCurveGeometry3D, arg0: Kratos.NodesVector, arg1: int, arg2: Kratos.Vector) -> None

        2. __init__(self: Kratos.NurbsCurveGeometry3D, arg0: Kratos.NodesVector, arg1: int, arg2: Kratos.Vector, arg3: Kratos.Vector) -> None
        """
    @overload
    def __init__(self, arg0: NodesVector, arg1: int, arg2: Vector, arg3: Vector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.NurbsCurveGeometry3D, arg0: Kratos.NodesVector, arg1: int, arg2: Kratos.Vector) -> None

        2. __init__(self: Kratos.NurbsCurveGeometry3D, arg0: Kratos.NodesVector, arg1: int, arg2: Kratos.Vector, arg3: Kratos.Vector) -> None
        """
    def IsRational(self) -> bool:
        """IsRational(self: Kratos.NurbsCurveGeometry3D) -> bool"""
    def Knots(self) -> Vector:
        """Knots(self: Kratos.NurbsCurveGeometry3D) -> Kratos.Vector"""
    def NumberOfControlPoints(self) -> int:
        """NumberOfControlPoints(self: Kratos.NurbsCurveGeometry3D) -> int"""
    def NumberOfKnots(self) -> int:
        """NumberOfKnots(self: Kratos.NurbsCurveGeometry3D) -> int"""
    def PolynomialDegree(self, arg0: int) -> int:
        """PolynomialDegree(self: Kratos.NurbsCurveGeometry3D, arg0: int) -> int"""
    def Weights(self) -> Vector:
        """Weights(self: Kratos.NurbsCurveGeometry3D) -> Kratos.Vector"""

class NurbsCurveOnSurfaceGeometry3D(Geometry):
    def __init__(self, arg0: NurbsSurfaceGeometry3D, arg1: NurbsCurveGeometry2D) -> None:
        """__init__(self: Kratos.NurbsCurveOnSurfaceGeometry3D, arg0: Kratos.NurbsSurfaceGeometry3D, arg1: Kratos.NurbsCurveGeometry2D) -> None"""

class NurbsSurfaceGeometry3D(Geometry):
    @overload
    def __init__(self, arg0: NodesVector, arg1: int, arg2: int, arg3: Vector, arg4: Vector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.NurbsSurfaceGeometry3D, arg0: Kratos.NodesVector, arg1: int, arg2: int, arg3: Kratos.Vector, arg4: Kratos.Vector) -> None

        2. __init__(self: Kratos.NurbsSurfaceGeometry3D, arg0: Kratos.NodesVector, arg1: int, arg2: int, arg3: Kratos.Vector, arg4: Kratos.Vector, arg5: Kratos.Vector) -> None
        """
    @overload
    def __init__(self, arg0: NodesVector, arg1: int, arg2: int, arg3: Vector, arg4: Vector, arg5: Vector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.NurbsSurfaceGeometry3D, arg0: Kratos.NodesVector, arg1: int, arg2: int, arg3: Kratos.Vector, arg4: Kratos.Vector) -> None

        2. __init__(self: Kratos.NurbsSurfaceGeometry3D, arg0: Kratos.NodesVector, arg1: int, arg2: int, arg3: Kratos.Vector, arg4: Kratos.Vector, arg5: Kratos.Vector) -> None
        """
    def IsRational(self) -> bool:
        """IsRational(self: Kratos.NurbsSurfaceGeometry3D) -> bool"""
    def KnotsU(self) -> Vector:
        """KnotsU(self: Kratos.NurbsSurfaceGeometry3D) -> Kratos.Vector"""
    def KnotsV(self) -> Vector:
        """KnotsV(self: Kratos.NurbsSurfaceGeometry3D) -> Kratos.Vector"""
    def NumberOfControlPointsU(self) -> int:
        """NumberOfControlPointsU(self: Kratos.NurbsSurfaceGeometry3D) -> int"""
    def NumberOfControlPointsV(self) -> int:
        """NumberOfControlPointsV(self: Kratos.NurbsSurfaceGeometry3D) -> int"""
    def NumberOfKnotsU(self) -> int:
        """NumberOfKnotsU(self: Kratos.NurbsSurfaceGeometry3D) -> int"""
    def NumberOfKnotsV(self) -> int:
        """NumberOfKnotsV(self: Kratos.NurbsSurfaceGeometry3D) -> int"""
    def PolynomialDegreeU(self) -> int:
        """PolynomialDegreeU(self: Kratos.NurbsSurfaceGeometry3D) -> int"""
    def PolynomialDegreeV(self) -> int:
        """PolynomialDegreeV(self: Kratos.NurbsSurfaceGeometry3D) -> int"""
    def Weights(self) -> Vector:
        """Weights(self: Kratos.NurbsSurfaceGeometry3D) -> Kratos.Vector"""

class NurbsVolumeGeometry(Geometry):
    def __init__(self, arg0: NodesVector, arg1: int, arg2: int, arg3: int, arg4: Vector, arg5: Vector, arg6: Vector) -> None:
        """__init__(self: Kratos.NurbsVolumeGeometry, arg0: Kratos.NodesVector, arg1: int, arg2: int, arg3: int, arg4: Kratos.Vector, arg5: Kratos.Vector, arg6: Kratos.Vector) -> None"""
    def IsRational(self) -> bool:
        """IsRational(self: Kratos.NurbsVolumeGeometry) -> bool"""
    def KnotsU(self) -> Vector:
        """KnotsU(self: Kratos.NurbsVolumeGeometry) -> Kratos.Vector"""
    def KnotsV(self) -> Vector:
        """KnotsV(self: Kratos.NurbsVolumeGeometry) -> Kratos.Vector"""
    def KnotsW(self) -> Vector:
        """KnotsW(self: Kratos.NurbsVolumeGeometry) -> Kratos.Vector"""
    def NumberOfControlPointsU(self) -> int:
        """NumberOfControlPointsU(self: Kratos.NurbsVolumeGeometry) -> int"""
    def NumberOfControlPointsV(self) -> int:
        """NumberOfControlPointsV(self: Kratos.NurbsVolumeGeometry) -> int"""
    def NumberOfControlPointsW(self) -> int:
        """NumberOfControlPointsW(self: Kratos.NurbsVolumeGeometry) -> int"""
    def NumberOfKnotsU(self) -> int:
        """NumberOfKnotsU(self: Kratos.NurbsVolumeGeometry) -> int"""
    def NumberOfKnotsV(self) -> int:
        """NumberOfKnotsV(self: Kratos.NurbsVolumeGeometry) -> int"""
    def NumberOfKnotsW(self) -> int:
        """NumberOfKnotsW(self: Kratos.NurbsVolumeGeometry) -> int"""
    def PolynomialDegreeU(self) -> int:
        """PolynomialDegreeU(self: Kratos.NurbsVolumeGeometry) -> int"""
    def PolynomialDegreeV(self) -> int:
        """PolynomialDegreeV(self: Kratos.NurbsVolumeGeometry) -> int"""
    def PolynomialDegreeW(self) -> int:
        """PolynomialDegreeW(self: Kratos.NurbsVolumeGeometry) -> int"""

class ObjIO(IO):
    @overload
    def __init__(self, arg0: os.PathLike) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ObjIO, arg0: os.PathLike) -> None

        2. __init__(self: Kratos.ObjIO, arg0: os.PathLike, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: os.PathLike, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ObjIO, arg0: os.PathLike) -> None

        2. __init__(self: Kratos.ObjIO, arg0: os.PathLike, arg1: Kratos::Parameters) -> None
        """

class OpenMPUtils:
    def __init__(self) -> None:
        """__init__(self: Kratos.OpenMPUtils) -> None"""
    @classmethod
    def GetNumThreads(cls) -> int:
        """GetNumThreads() -> int"""
    @classmethod
    def GetNumberOfProcessors(cls) -> int:
        """GetNumberOfProcessors() -> int"""
    @classmethod
    def PrintOMPInfo(cls) -> None:
        """PrintOMPInfo() -> None"""
    @classmethod
    def SetNumThreads(cls, arg0: int) -> None:
        """SetNumThreads(arg0: int) -> None"""

class Operation:
    def __init__(self) -> None:
        """__init__(self: Kratos.Operation) -> None"""
    def Create(self, arg0, arg1) -> Operation:
        """Create(self: Kratos.Operation, arg0: Kratos::Model, arg1: Kratos::Parameters) -> Kratos.Operation"""
    def Execute(self) -> None:
        """Execute(self: Kratos.Operation) -> None"""
    def GetDefaultParameters(self, *args, **kwargs):
        """GetDefaultParameters(self: Kratos.Operation) -> Kratos::Parameters"""

class OrCriteria(ConvergenceCriteria):
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.OrCriteria, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.OrCriteria, arg0: Kratos.ConvergenceCriteria, arg1: Kratos.ConvergenceCriteria) -> None
        """
    @overload
    def __init__(self, arg0: ConvergenceCriteria, arg1: ConvergenceCriteria) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.OrCriteria, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.OrCriteria, arg0: Kratos.ConvergenceCriteria, arg1: Kratos.ConvergenceCriteria) -> None
        """

class OutputController(Controller):
    def __init__(self, model, parameters) -> None:
        """__init__(self: Kratos.OutputController, model: Kratos::Model, parameters: Kratos::Parameters) -> None"""
    def GetCurrentControlValue(self) -> Union[int, float]:
        """GetCurrentControlValue(self: Kratos.OutputController) -> Union[int, float]"""
    def GetInterval(self) -> Union[int, float]:
        """GetInterval(self: Kratos.OutputController) -> Union[int, float]"""
    def GetNextPossibleEvaluateControlValue(self) -> Union[int, float]:
        """GetNextPossibleEvaluateControlValue(self: Kratos.OutputController) -> Union[int, float]"""

class OutputProcess(Process):
    def __init__(self) -> None:
        """__init__(self: Kratos.OutputProcess) -> None"""
    def IsOutputStep(self) -> bool:
        """IsOutputStep(self: Kratos.OutputProcess) -> bool"""
    def PrintOutput(self) -> None:
        """PrintOutput(self: Kratos.OutputProcess) -> None"""

class ParallelDistanceCalculationProcess2D(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ParallelDistanceCalculationProcess2D, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ParallelDistanceCalculationProcess2D, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ParallelDistanceCalculationProcess2D, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ParallelDistanceCalculationProcess2D, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None
        """
    def FindMaximumEdgeSize(self) -> float:
        """FindMaximumEdgeSize(self: Kratos.ParallelDistanceCalculationProcess2D) -> float"""

class ParallelDistanceCalculationProcess3D(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ParallelDistanceCalculationProcess3D, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ParallelDistanceCalculationProcess3D, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ParallelDistanceCalculationProcess3D, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ParallelDistanceCalculationProcess3D, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None
        """
    def FindMaximumEdgeSize(self) -> float:
        """FindMaximumEdgeSize(self: Kratos.ParallelDistanceCalculationProcess3D) -> float"""

class ParallelEnvironment:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @overload
    @classmethod
    def CreateCommunicatorFromGlobalParallelism(cls, arg0: ModelPart, arg1: str) -> Communicator:
        """CreateCommunicatorFromGlobalParallelism(*args, **kwargs)
        Overloaded function.

        1. CreateCommunicatorFromGlobalParallelism(arg0: Kratos.ModelPart, arg1: str) -> Kratos.Communicator

        2. CreateCommunicatorFromGlobalParallelism(arg0: Kratos.ModelPart, arg1: Kratos.DataCommunicator) -> Kratos.Communicator
        """
    @overload
    @classmethod
    def CreateCommunicatorFromGlobalParallelism(cls, arg0: ModelPart, arg1: DataCommunicator) -> Communicator:
        """CreateCommunicatorFromGlobalParallelism(*args, **kwargs)
        Overloaded function.

        1. CreateCommunicatorFromGlobalParallelism(arg0: Kratos.ModelPart, arg1: str) -> Kratos.Communicator

        2. CreateCommunicatorFromGlobalParallelism(arg0: Kratos.ModelPart, arg1: Kratos.DataCommunicator) -> Kratos.Communicator
        """
    @classmethod
    def CreateFillCommunicator(cls, arg0: ModelPart) -> FillCommunicator:
        """CreateFillCommunicator(arg0: Kratos.ModelPart) -> Kratos.FillCommunicator"""
    @overload
    @classmethod
    def CreateFillCommunicatorFromGlobalParallelism(cls, arg0: ModelPart, arg1: str) -> FillCommunicator:
        """CreateFillCommunicatorFromGlobalParallelism(*args, **kwargs)
        Overloaded function.

        1. CreateFillCommunicatorFromGlobalParallelism(arg0: Kratos.ModelPart, arg1: str) -> Kratos.FillCommunicator

        2. CreateFillCommunicatorFromGlobalParallelism(arg0: Kratos.ModelPart, arg1: Kratos.DataCommunicator) -> Kratos.FillCommunicator
        """
    @overload
    @classmethod
    def CreateFillCommunicatorFromGlobalParallelism(cls, arg0: ModelPart, arg1: DataCommunicator) -> FillCommunicator:
        """CreateFillCommunicatorFromGlobalParallelism(*args, **kwargs)
        Overloaded function.

        1. CreateFillCommunicatorFromGlobalParallelism(arg0: Kratos.ModelPart, arg1: str) -> Kratos.FillCommunicator

        2. CreateFillCommunicatorFromGlobalParallelism(arg0: Kratos.ModelPart, arg1: Kratos.DataCommunicator) -> Kratos.FillCommunicator
        """
    @classmethod
    def GetDataCommunicator(cls, arg0: str) -> DataCommunicator:
        """GetDataCommunicator(arg0: str) -> Kratos.DataCommunicator"""
    @classmethod
    def GetDefaultDataCommunicator(cls) -> DataCommunicator:
        """GetDefaultDataCommunicator() -> Kratos.DataCommunicator"""
    @classmethod
    def GetDefaultDataCommunicatorName(cls) -> str:
        """GetDefaultDataCommunicatorName() -> str"""
    @classmethod
    def GetDefaultRank(cls) -> int:
        """GetDefaultRank() -> int"""
    @classmethod
    def GetDefaultSize(cls) -> int:
        """GetDefaultSize() -> int"""
    @classmethod
    def HasDataCommunicator(cls, arg0: str) -> bool:
        """HasDataCommunicator(arg0: str) -> bool"""
    @classmethod
    def Info(cls) -> str:
        """Info() -> str"""
    @classmethod
    def SetDefaultDataCommunicator(cls, arg0: str) -> None:
        """SetDefaultDataCommunicator(arg0: str) -> None"""
    @classmethod
    def UnregisterDataCommunicator(cls, arg0: str) -> None:
        """UnregisterDataCommunicator(arg0: str) -> None"""
    @property
    def DoNotMakeDefault(self) -> bool: ...
    @property
    def MakeDefault(self) -> bool: ...

class ParallelUtilities:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @classmethod
    def GetNumProcs(cls) -> int:
        """GetNumProcs() -> int"""
    @classmethod
    def GetNumThreads(cls) -> int:
        """GetNumThreads() -> int"""
    @classmethod
    def SetNumThreads(cls, arg0: int) -> None:
        """SetNumThreads(arg0: int) -> None"""

class Parameters:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Parameters) -> None

        2. __init__(self: Kratos.Parameters, arg0: str) -> None

        3. __init__(self: Kratos.Parameters, arg0: std::basic_ifstream<char,std::char_traits<char> >) -> None

        4. __init__(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None
        """
    @overload
    def __init__(self, arg0: str) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Parameters) -> None

        2. __init__(self: Kratos.Parameters, arg0: str) -> None

        3. __init__(self: Kratos.Parameters, arg0: std::basic_ifstream<char,std::char_traits<char> >) -> None

        4. __init__(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None
        """
    @overload
    def __init__(self, arg0, std) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Parameters) -> None

        2. __init__(self: Kratos.Parameters, arg0: str) -> None

        3. __init__(self: Kratos.Parameters, arg0: std::basic_ifstream<char,std::char_traits<char> >) -> None

        4. __init__(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None
        """
    @overload
    def __init__(self, arg0: Parameters) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Parameters) -> None

        2. __init__(self: Kratos.Parameters, arg0: str) -> None

        3. __init__(self: Kratos.Parameters, arg0: std::basic_ifstream<char,std::char_traits<char> >) -> None

        4. __init__(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None
        """
    def AddBool(self, arg0: str, arg1: bool) -> None:
        """AddBool(self: Kratos.Parameters, arg0: str, arg1: bool) -> None"""
    def AddDouble(self, arg0: str, arg1: float) -> None:
        """AddDouble(self: Kratos.Parameters, arg0: str, arg1: float) -> None"""
    def AddEmptyArray(self, arg0: str) -> None:
        """AddEmptyArray(self: Kratos.Parameters, arg0: str) -> None"""
    def AddEmptyList(self, arg0: str) -> None:
        """AddEmptyList(self: Kratos.Parameters, arg0: str) -> None"""
    def AddEmptyValue(self, arg0: str) -> Parameters:
        """AddEmptyValue(self: Kratos.Parameters, arg0: str) -> Kratos.Parameters"""
    def AddInt(self, arg0: str, arg1: int) -> None:
        """AddInt(self: Kratos.Parameters, arg0: str, arg1: int) -> None"""
    def AddMatrix(self, arg0: str, arg1: Matrix) -> None:
        """AddMatrix(self: Kratos.Parameters, arg0: str, arg1: Kratos.Matrix) -> None"""
    def AddMissingParameters(self, arg0: Parameters) -> None:
        """AddMissingParameters(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None"""
    def AddString(self, arg0: str, arg1: str) -> None:
        """AddString(self: Kratos.Parameters, arg0: str, arg1: str) -> None"""
    def AddStringArray(self, arg0: str, arg1: list[str]) -> None:
        """AddStringArray(self: Kratos.Parameters, arg0: str, arg1: list[str]) -> None"""
    def AddValue(self, arg0: str, arg1: Parameters) -> None:
        """AddValue(self: Kratos.Parameters, arg0: str, arg1: Kratos.Parameters) -> None"""
    def AddVector(self, arg0: str, arg1: Vector) -> None:
        """AddVector(self: Kratos.Parameters, arg0: str, arg1: Kratos.Vector) -> None"""
    @overload
    def Append(self, arg0: int) -> None:
        """Append(*args, **kwargs)
        Overloaded function.

        1. Append(self: Kratos.Parameters, arg0: int) -> None

        2. Append(self: Kratos.Parameters, arg0: bool) -> None

        3. Append(self: Kratos.Parameters, arg0: float) -> None

        4. Append(self: Kratos.Parameters, arg0: Kratos.Vector) -> None

        5. Append(self: Kratos.Parameters, arg0: Kratos.Matrix) -> None

        6. Append(self: Kratos.Parameters, arg0: str) -> None

        7. Append(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None
        """
    @overload
    def Append(self, arg0: bool) -> None:
        """Append(*args, **kwargs)
        Overloaded function.

        1. Append(self: Kratos.Parameters, arg0: int) -> None

        2. Append(self: Kratos.Parameters, arg0: bool) -> None

        3. Append(self: Kratos.Parameters, arg0: float) -> None

        4. Append(self: Kratos.Parameters, arg0: Kratos.Vector) -> None

        5. Append(self: Kratos.Parameters, arg0: Kratos.Matrix) -> None

        6. Append(self: Kratos.Parameters, arg0: str) -> None

        7. Append(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None
        """
    @overload
    def Append(self, arg0: float) -> None:
        """Append(*args, **kwargs)
        Overloaded function.

        1. Append(self: Kratos.Parameters, arg0: int) -> None

        2. Append(self: Kratos.Parameters, arg0: bool) -> None

        3. Append(self: Kratos.Parameters, arg0: float) -> None

        4. Append(self: Kratos.Parameters, arg0: Kratos.Vector) -> None

        5. Append(self: Kratos.Parameters, arg0: Kratos.Matrix) -> None

        6. Append(self: Kratos.Parameters, arg0: str) -> None

        7. Append(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None
        """
    @overload
    def Append(self, arg0: Vector) -> None:
        """Append(*args, **kwargs)
        Overloaded function.

        1. Append(self: Kratos.Parameters, arg0: int) -> None

        2. Append(self: Kratos.Parameters, arg0: bool) -> None

        3. Append(self: Kratos.Parameters, arg0: float) -> None

        4. Append(self: Kratos.Parameters, arg0: Kratos.Vector) -> None

        5. Append(self: Kratos.Parameters, arg0: Kratos.Matrix) -> None

        6. Append(self: Kratos.Parameters, arg0: str) -> None

        7. Append(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None
        """
    @overload
    def Append(self, arg0: Matrix) -> None:
        """Append(*args, **kwargs)
        Overloaded function.

        1. Append(self: Kratos.Parameters, arg0: int) -> None

        2. Append(self: Kratos.Parameters, arg0: bool) -> None

        3. Append(self: Kratos.Parameters, arg0: float) -> None

        4. Append(self: Kratos.Parameters, arg0: Kratos.Vector) -> None

        5. Append(self: Kratos.Parameters, arg0: Kratos.Matrix) -> None

        6. Append(self: Kratos.Parameters, arg0: str) -> None

        7. Append(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None
        """
    @overload
    def Append(self, arg0: str) -> None:
        """Append(*args, **kwargs)
        Overloaded function.

        1. Append(self: Kratos.Parameters, arg0: int) -> None

        2. Append(self: Kratos.Parameters, arg0: bool) -> None

        3. Append(self: Kratos.Parameters, arg0: float) -> None

        4. Append(self: Kratos.Parameters, arg0: Kratos.Vector) -> None

        5. Append(self: Kratos.Parameters, arg0: Kratos.Matrix) -> None

        6. Append(self: Kratos.Parameters, arg0: str) -> None

        7. Append(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None
        """
    @overload
    def Append(self, arg0: Parameters) -> None:
        """Append(*args, **kwargs)
        Overloaded function.

        1. Append(self: Kratos.Parameters, arg0: int) -> None

        2. Append(self: Kratos.Parameters, arg0: bool) -> None

        3. Append(self: Kratos.Parameters, arg0: float) -> None

        4. Append(self: Kratos.Parameters, arg0: Kratos.Vector) -> None

        5. Append(self: Kratos.Parameters, arg0: Kratos.Matrix) -> None

        6. Append(self: Kratos.Parameters, arg0: str) -> None

        7. Append(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None
        """
    def Clone(self) -> Parameters:
        """Clone(self: Kratos.Parameters) -> Kratos.Parameters"""
    def CopyValuesFromExistingParameters(self, arg0: Parameters, arg1: list[str]) -> None:
        """CopyValuesFromExistingParameters(self: Kratos.Parameters, arg0: Kratos.Parameters, arg1: list[str]) -> None"""
    def GetBool(self) -> bool:
        """GetBool(self: Kratos.Parameters) -> bool"""
    def GetDouble(self) -> float:
        """GetDouble(self: Kratos.Parameters) -> float"""
    def GetInt(self) -> int:
        """GetInt(self: Kratos.Parameters) -> int"""
    def GetMatrix(self) -> Matrix:
        """GetMatrix(self: Kratos.Parameters) -> Kratos.Matrix"""
    def GetString(self) -> str:
        """GetString(self: Kratos.Parameters) -> str"""
    def GetStringArray(self) -> list[str]:
        """GetStringArray(self: Kratos.Parameters) -> list[str]"""
    def GetVector(self) -> Vector:
        """GetVector(self: Kratos.Parameters) -> Kratos.Vector"""
    def Has(self, arg0: str) -> bool:
        """Has(self: Kratos.Parameters, arg0: str) -> bool"""
    def HasSameKeysAndTypeOfValuesAs(self, arg0: Parameters) -> bool:
        """HasSameKeysAndTypeOfValuesAs(self: Kratos.Parameters, arg0: Kratos.Parameters) -> bool"""
    def IsArray(self) -> bool:
        """IsArray(self: Kratos.Parameters) -> bool"""
    def IsBool(self) -> bool:
        """IsBool(self: Kratos.Parameters) -> bool"""
    def IsDouble(self) -> bool:
        """IsDouble(self: Kratos.Parameters) -> bool"""
    def IsEquivalentTo(self, arg0: Parameters) -> bool:
        """IsEquivalentTo(self: Kratos.Parameters, arg0: Kratos.Parameters) -> bool"""
    def IsInt(self) -> bool:
        """IsInt(self: Kratos.Parameters) -> bool"""
    def IsMatrix(self) -> bool:
        """IsMatrix(self: Kratos.Parameters) -> bool"""
    def IsNull(self) -> bool:
        """IsNull(self: Kratos.Parameters) -> bool"""
    def IsNumber(self) -> bool:
        """IsNumber(self: Kratos.Parameters) -> bool"""
    def IsString(self) -> bool:
        """IsString(self: Kratos.Parameters) -> bool"""
    def IsStringArray(self) -> bool:
        """IsStringArray(self: Kratos.Parameters) -> bool"""
    def IsSubParameter(self) -> bool:
        """IsSubParameter(self: Kratos.Parameters) -> bool"""
    def IsVector(self) -> bool:
        """IsVector(self: Kratos.Parameters) -> bool"""
    def PrettyPrintJsonString(self) -> str:
        """PrettyPrintJsonString(self: Kratos.Parameters) -> str"""
    def RecursivelyAddMissingParameters(self, arg0: Parameters) -> None:
        """RecursivelyAddMissingParameters(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None"""
    def RecursivelyValidateAndAssignDefaults(self, arg0: Parameters) -> None:
        """RecursivelyValidateAndAssignDefaults(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None"""
    def RecursivelyValidateDefaults(self, arg0: Parameters) -> None:
        """RecursivelyValidateDefaults(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None"""
    def RemoveValue(self, arg0: str) -> bool:
        """RemoveValue(self: Kratos.Parameters, arg0: str) -> bool"""
    def RemoveValues(self, arg0: list[str]) -> bool:
        """RemoveValues(self: Kratos.Parameters, arg0: list[str]) -> bool"""
    def SetBool(self, arg0: bool) -> None:
        """SetBool(self: Kratos.Parameters, arg0: bool) -> None"""
    def SetDouble(self, arg0: float) -> None:
        """SetDouble(self: Kratos.Parameters, arg0: float) -> None"""
    def SetInt(self, arg0: int) -> None:
        """SetInt(self: Kratos.Parameters, arg0: int) -> None"""
    def SetMatrix(self, arg0: Matrix) -> None:
        """SetMatrix(self: Kratos.Parameters, arg0: Kratos.Matrix) -> None"""
    def SetString(self, arg0: str) -> None:
        """SetString(self: Kratos.Parameters, arg0: str) -> None"""
    def SetStringArray(self, arg0: list[str]) -> None:
        """SetStringArray(self: Kratos.Parameters, arg0: list[str]) -> None"""
    def SetVector(self, arg0: Vector) -> None:
        """SetVector(self: Kratos.Parameters, arg0: Kratos.Vector) -> None"""
    def ValidateAndAssignDefaults(self, arg0: Parameters) -> None:
        """ValidateAndAssignDefaults(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None"""
    def ValidateDefaults(self, arg0: Parameters) -> None:
        """ValidateDefaults(self: Kratos.Parameters, arg0: Kratos.Parameters) -> None"""
    def WriteJsonString(self) -> str:
        """WriteJsonString(self: Kratos.Parameters) -> str"""
    def items(self) -> list:
        """items(self: Kratos.Parameters) -> list"""
    def keys(self) -> list:
        """keys(self: Kratos.Parameters) -> list"""
    def size(self) -> int:
        """size(self: Kratos.Parameters) -> int"""
    def values(self) -> list:
        """values(self: Kratos.Parameters) -> list"""
    @overload
    def __copy__(self) -> Parameters:
        """__copy__(*args, **kwargs)
        Overloaded function.

        1. __copy__(self: Kratos.Parameters) -> Kratos.Parameters

        2. __copy__(self: Kratos.Parameters, arg0: object) -> Kratos.Parameters
        """
    @overload
    def __copy__(self, arg0: object) -> Parameters:
        """__copy__(*args, **kwargs)
        Overloaded function.

        1. __copy__(self: Kratos.Parameters) -> Kratos.Parameters

        2. __copy__(self: Kratos.Parameters, arg0: object) -> Kratos.Parameters
        """
    @overload
    def __deepcopy__(self) -> Parameters:
        """__deepcopy__(*args, **kwargs)
        Overloaded function.

        1. __deepcopy__(self: Kratos.Parameters) -> Kratos.Parameters

        2. __deepcopy__(self: Kratos.Parameters, arg0: object) -> Kratos.Parameters
        """
    @overload
    def __deepcopy__(self, arg0: object) -> Parameters:
        """__deepcopy__(*args, **kwargs)
        Overloaded function.

        1. __deepcopy__(self: Kratos.Parameters) -> Kratos.Parameters

        2. __deepcopy__(self: Kratos.Parameters, arg0: object) -> Kratos.Parameters
        """
    @overload
    def __getitem__(self, arg0: str) -> Parameters:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Parameters, arg0: str) -> Kratos.Parameters

        2. __getitem__(self: Kratos.Parameters, arg0: int) -> Kratos.Parameters
        """
    @overload
    def __getitem__(self, arg0: int) -> Parameters:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Parameters, arg0: str) -> Kratos.Parameters

        2. __getitem__(self: Kratos.Parameters, arg0: int) -> Kratos.Parameters
        """
    def __iter__(self) -> Iterator[Parameters]:
        """__iter__(self: Kratos.Parameters) -> Iterator[Kratos.Parameters]"""
    @overload
    def __setitem__(self, arg0: str, arg1: Parameters) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Parameters, arg0: str, arg1: Kratos.Parameters) -> None

        2. __setitem__(self: Kratos.Parameters, arg0: int, arg1: Kratos.Parameters) -> None
        """
    @overload
    def __setitem__(self, arg0: int, arg1: Parameters) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Parameters, arg0: str, arg1: Kratos.Parameters) -> None

        2. __setitem__(self: Kratos.Parameters, arg0: int, arg1: Kratos.Parameters) -> None
        """

class ParticleConvectUtily2D:
    def __init__(self, arg0: BinBasedFastPointLocator2D) -> None:
        """__init__(self: Kratos.ParticleConvectUtily2D, arg0: Kratos.BinBasedFastPointLocator2D) -> None"""
    def MoveParticles_RK4(self, arg0: ModelPart) -> None:
        """MoveParticles_RK4(self: Kratos.ParticleConvectUtily2D, arg0: Kratos.ModelPart) -> None"""
    def MoveParticles_Substepping(self, arg0: ModelPart, arg1: int) -> None:
        """MoveParticles_Substepping(self: Kratos.ParticleConvectUtily2D, arg0: Kratos.ModelPart, arg1: int) -> None"""

class ParticleConvectUtily3D:
    def __init__(self, arg0: BinBasedFastPointLocator3D) -> None:
        """__init__(self: Kratos.ParticleConvectUtily3D, arg0: Kratos.BinBasedFastPointLocator3D) -> None"""
    def MoveParticles_RK4(self, arg0: ModelPart) -> None:
        """MoveParticles_RK4(self: Kratos.ParticleConvectUtily3D, arg0: Kratos.ModelPart) -> None"""
    def MoveParticles_Substepping(self, arg0: ModelPart, arg1: int) -> None:
        """MoveParticles_Substepping(self: Kratos.ParticleConvectUtily3D, arg0: Kratos.ModelPart, arg1: int) -> None"""

class ParticlesUtilities:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @overload
    @classmethod
    def ClassifyParticlesInElementsHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: ModelPart, arg2: ModelPart, arg3: int, arg4: DoubleVariable, arg5: VectorVariable, arg6: float) -> None:
        """ClassifyParticlesInElementsHistorical(*args, **kwargs)
        Overloaded function.

        1. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        2. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        3. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        4. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        5. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None

        6. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None
        """
    @overload
    @classmethod
    def ClassifyParticlesInElementsHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: ModelPart, arg2: ModelPart, arg3: int, arg4: DoubleVariable, arg5: VectorVariable, arg6: float) -> None:
        """ClassifyParticlesInElementsHistorical(*args, **kwargs)
        Overloaded function.

        1. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        2. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        3. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        4. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        5. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None

        6. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None
        """
    @overload
    @classmethod
    def ClassifyParticlesInElementsHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: ModelPart, arg2: ModelPart, arg3: int, arg4: IntegerVariable, arg5: VectorVariable, arg6: float) -> None:
        """ClassifyParticlesInElementsHistorical(*args, **kwargs)
        Overloaded function.

        1. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        2. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        3. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        4. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        5. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None

        6. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None
        """
    @overload
    @classmethod
    def ClassifyParticlesInElementsHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: ModelPart, arg2: ModelPart, arg3: int, arg4: IntegerVariable, arg5: VectorVariable, arg6: float) -> None:
        """ClassifyParticlesInElementsHistorical(*args, **kwargs)
        Overloaded function.

        1. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        2. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        3. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        4. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        5. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None

        6. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None
        """
    @overload
    @classmethod
    def ClassifyParticlesInElementsHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: ModelPart, arg2: ModelPart, arg3: int, arg4, arg5: VectorVariable, arg6: float) -> None:
        """ClassifyParticlesInElementsHistorical(*args, **kwargs)
        Overloaded function.

        1. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        2. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        3. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        4. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        5. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None

        6. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None
        """
    @overload
    @classmethod
    def ClassifyParticlesInElementsHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: ModelPart, arg2: ModelPart, arg3: int, arg4, arg5: VectorVariable, arg6: float) -> None:
        """ClassifyParticlesInElementsHistorical(*args, **kwargs)
        Overloaded function.

        1. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        2. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        3. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        4. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        5. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None

        6. ClassifyParticlesInElementsHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None
        """
    @overload
    @classmethod
    def ClassifyParticlesInElementsNonHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: ModelPart, arg2: ModelPart, arg3: int, arg4: DoubleVariable, arg5: VectorVariable, arg6: float) -> None:
        """ClassifyParticlesInElementsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        2. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        3. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        4. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        5. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None

        6. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None
        """
    @overload
    @classmethod
    def ClassifyParticlesInElementsNonHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: ModelPart, arg2: ModelPart, arg3: int, arg4: DoubleVariable, arg5: VectorVariable, arg6: float) -> None:
        """ClassifyParticlesInElementsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        2. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        3. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        4. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        5. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None

        6. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None
        """
    @overload
    @classmethod
    def ClassifyParticlesInElementsNonHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: ModelPart, arg2: ModelPart, arg3: int, arg4: IntegerVariable, arg5: VectorVariable, arg6: float) -> None:
        """ClassifyParticlesInElementsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        2. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        3. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        4. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        5. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None

        6. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None
        """
    @overload
    @classmethod
    def ClassifyParticlesInElementsNonHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: ModelPart, arg2: ModelPart, arg3: int, arg4: IntegerVariable, arg5: VectorVariable, arg6: float) -> None:
        """ClassifyParticlesInElementsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        2. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        3. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        4. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        5. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None

        6. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None
        """
    @overload
    @classmethod
    def ClassifyParticlesInElementsNonHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: ModelPart, arg2: ModelPart, arg3: int, arg4, arg5: VectorVariable, arg6: float) -> None:
        """ClassifyParticlesInElementsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        2. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        3. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        4. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        5. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None

        6. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None
        """
    @overload
    @classmethod
    def ClassifyParticlesInElementsNonHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: ModelPart, arg2: ModelPart, arg3: int, arg4, arg5: VectorVariable, arg6: float) -> None:
        """ClassifyParticlesInElementsNonHistorical(*args, **kwargs)
        Overloaded function.

        1. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        2. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.DoubleVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        3. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        4. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos.IntegerVariable, arg5: Kratos.VectorVariable, arg6: float) -> None

        5. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None

        6. ClassifyParticlesInElementsNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int, arg4: Kratos::Variable<unsigned int>, arg5: Kratos.VectorVariable, arg6: float) -> None
        """
    @overload
    @classmethod
    def CountParticlesInNodesHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: ModelPart, arg2: ModelPart, arg3: DoubleVariable, arg4: float) -> None:
        """CountParticlesInNodesHistorical(*args, **kwargs)
        Overloaded function.

        1. CountParticlesInNodesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.DoubleVariable, arg4: float) -> None

        2. CountParticlesInNodesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.DoubleVariable, arg4: float) -> None
        """
    @overload
    @classmethod
    def CountParticlesInNodesHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: ModelPart, arg2: ModelPart, arg3: DoubleVariable, arg4: float) -> None:
        """CountParticlesInNodesHistorical(*args, **kwargs)
        Overloaded function.

        1. CountParticlesInNodesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.DoubleVariable, arg4: float) -> None

        2. CountParticlesInNodesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.DoubleVariable, arg4: float) -> None
        """
    @overload
    @classmethod
    def CountParticlesInNodesNonHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: ModelPart, arg2: ModelPart, arg3: DoubleVariable, arg4: float) -> None:
        """CountParticlesInNodesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. CountParticlesInNodesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.DoubleVariable, arg4: float) -> None

        2. CountParticlesInNodesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.DoubleVariable, arg4: float) -> None
        """
    @overload
    @classmethod
    def CountParticlesInNodesNonHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: ModelPart, arg2: ModelPart, arg3: DoubleVariable, arg4: float) -> None:
        """CountParticlesInNodesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. CountParticlesInNodesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.DoubleVariable, arg4: float) -> None

        2. CountParticlesInNodesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.DoubleVariable, arg4: float) -> None
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: Matrix, arg2: DoubleVariable, arg3: float) -> tuple[BoolVector, list[float]]:
        """InterpolateValuesAtCoordinatesHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: Matrix, arg2: DoubleVariable, arg3: float) -> tuple[BoolVector, list[float]]:
        """InterpolateValuesAtCoordinatesHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: Matrix, arg2, arg3: float) -> tuple[BoolVector, list[int]]:
        """InterpolateValuesAtCoordinatesHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: Matrix, arg2, arg3: float) -> tuple[BoolVector, list[int]]:
        """InterpolateValuesAtCoordinatesHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: Matrix, arg2, arg3: float) -> tuple[BoolVector, list[int]]:
        """InterpolateValuesAtCoordinatesHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: Matrix, arg2, arg3: float) -> tuple[BoolVector, list[int]]:
        """InterpolateValuesAtCoordinatesHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: Matrix, arg2: Array1DVariable3, arg3: float) -> tuple[BoolVector, list[Array3]]:
        """InterpolateValuesAtCoordinatesHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: Matrix, arg2: Array1DVariable3, arg3: float) -> tuple[BoolVector, list[Array3]]:
        """InterpolateValuesAtCoordinatesHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesNonHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: Matrix, arg2: DoubleVariable, arg3: float) -> tuple[BoolVector, list[float]]:
        """InterpolateValuesAtCoordinatesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesNonHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: Matrix, arg2: DoubleVariable, arg3: float) -> tuple[BoolVector, list[float]]:
        """InterpolateValuesAtCoordinatesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesNonHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: Matrix, arg2, arg3: float) -> tuple[BoolVector, list[int]]:
        """InterpolateValuesAtCoordinatesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesNonHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: Matrix, arg2, arg3: float) -> tuple[BoolVector, list[int]]:
        """InterpolateValuesAtCoordinatesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesNonHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: Matrix, arg2, arg3: float) -> tuple[BoolVector, list[int]]:
        """InterpolateValuesAtCoordinatesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesNonHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: Matrix, arg2, arg3: float) -> tuple[BoolVector, list[int]]:
        """InterpolateValuesAtCoordinatesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesNonHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: Matrix, arg2: Array1DVariable3, arg3: float) -> tuple[BoolVector, list[Array3]]:
        """InterpolateValuesAtCoordinatesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def InterpolateValuesAtCoordinatesNonHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: Matrix, arg2: Array1DVariable3, arg3: float) -> tuple[BoolVector, list[Array3]]:
        """InterpolateValuesAtCoordinatesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        2. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.DoubleVariable, arg3: float) -> tuple[Kratos.BoolVector, list[float]]

        3. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        4. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned __int64>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        5. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        6. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos::Variable<unsigned int>, arg3: float) -> tuple[Kratos.BoolVector, list[int]]

        7. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]

        8. InterpolateValuesAtCoordinatesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.Matrix, arg2: Kratos.Array1DVariable3, arg3: float) -> tuple[Kratos.BoolVector, list[Kratos.Array3]]
        """
    @overload
    @classmethod
    def MarkOutsiderParticlesHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: ModelPart, arg2: DoubleVariable, arg3: float, arg4: float) -> None:
        """MarkOutsiderParticlesHistorical(*args, **kwargs)
        Overloaded function.

        1. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        3. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        4. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        5. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None

        6. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None
        """
    @overload
    @classmethod
    def MarkOutsiderParticlesHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: ModelPart, arg2: DoubleVariable, arg3: float, arg4: float) -> None:
        """MarkOutsiderParticlesHistorical(*args, **kwargs)
        Overloaded function.

        1. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        3. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        4. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        5. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None

        6. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None
        """
    @overload
    @classmethod
    def MarkOutsiderParticlesHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: ModelPart, arg2, arg3: int, arg4: float) -> None:
        """MarkOutsiderParticlesHistorical(*args, **kwargs)
        Overloaded function.

        1. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        3. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        4. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        5. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None

        6. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None
        """
    @overload
    @classmethod
    def MarkOutsiderParticlesHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: ModelPart, arg2, arg3: int, arg4: float) -> None:
        """MarkOutsiderParticlesHistorical(*args, **kwargs)
        Overloaded function.

        1. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        3. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        4. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        5. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None

        6. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None
        """
    @overload
    @classmethod
    def MarkOutsiderParticlesHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: ModelPart, arg2, arg3: int, arg4: float) -> None:
        """MarkOutsiderParticlesHistorical(*args, **kwargs)
        Overloaded function.

        1. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        3. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        4. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        5. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None

        6. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None
        """
    @overload
    @classmethod
    def MarkOutsiderParticlesHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: ModelPart, arg2, arg3: int, arg4: float) -> None:
        """MarkOutsiderParticlesHistorical(*args, **kwargs)
        Overloaded function.

        1. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        3. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        4. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        5. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None

        6. MarkOutsiderParticlesHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None
        """
    @overload
    @classmethod
    def MarkOutsiderParticlesNonHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: ModelPart, arg2: DoubleVariable, arg3: float, arg4: float) -> None:
        """MarkOutsiderParticlesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        3. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        4. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        5. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None

        6. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None
        """
    @overload
    @classmethod
    def MarkOutsiderParticlesNonHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: ModelPart, arg2: DoubleVariable, arg3: float, arg4: float) -> None:
        """MarkOutsiderParticlesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        3. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        4. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        5. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None

        6. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None
        """
    @overload
    @classmethod
    def MarkOutsiderParticlesNonHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: ModelPart, arg2, arg3: int, arg4: float) -> None:
        """MarkOutsiderParticlesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        3. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        4. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        5. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None

        6. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None
        """
    @overload
    @classmethod
    def MarkOutsiderParticlesNonHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: ModelPart, arg2, arg3: int, arg4: float) -> None:
        """MarkOutsiderParticlesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        3. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        4. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        5. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None

        6. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None
        """
    @overload
    @classmethod
    def MarkOutsiderParticlesNonHistorical(cls, arg0: BinBasedFastPointLocator2D, arg1: ModelPart, arg2, arg3: int, arg4: float) -> None:
        """MarkOutsiderParticlesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        3. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        4. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        5. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None

        6. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None
        """
    @overload
    @classmethod
    def MarkOutsiderParticlesNonHistorical(cls, arg0: BinBasedFastPointLocator3D, arg1: ModelPart, arg2, arg3: int, arg4: float) -> None:
        """MarkOutsiderParticlesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        3. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        4. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned __int64>, arg3: int, arg4: float) -> None

        5. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator2D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None

        6. MarkOutsiderParticlesNonHistorical(arg0: Kratos.BinBasedFastPointLocator3D, arg1: Kratos.ModelPart, arg2: Kratos::Variable<unsigned int>, arg3: int, arg4: float) -> None
        """

class PiecewiseLinearTable:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.PiecewiseLinearTable) -> None

        2. __init__(self: Kratos.PiecewiseLinearTable, arg0: Kratos.Matrix) -> None
        """
    @overload
    def __init__(self, arg0: Matrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.PiecewiseLinearTable) -> None

        2. __init__(self: Kratos.PiecewiseLinearTable, arg0: Kratos.Matrix) -> None
        """
    def AddRow(self, arg0: float, arg1: float) -> None:
        """AddRow(self: Kratos.PiecewiseLinearTable, arg0: float, arg1: float) -> None"""
    def Clear(self) -> None:
        """Clear(self: Kratos.PiecewiseLinearTable) -> None"""
    def GetDerivative(self, arg0: float) -> float:
        """GetDerivative(self: Kratos.PiecewiseLinearTable, arg0: float) -> float"""
    def GetNearestValue(self, arg0: float) -> float:
        """GetNearestValue(self: Kratos.PiecewiseLinearTable, arg0: float) -> float"""
    def GetValue(self, arg0: float) -> float:
        """GetValue(self: Kratos.PiecewiseLinearTable, arg0: float) -> float"""

class Point(Array3):
    X: float
    Y: float
    Z: float
    @overload
    def __init__(self, arg0: float, arg1: float, arg2: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Point, arg0: float, arg1: float, arg2: float) -> None

        2. __init__(self: Kratos.Point, arg0: boost::numeric::ublas::vector_expression<boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >) -> None

        3. __init__(self: Kratos.Point, arg0: Kratos.Array3) -> None
        """
    @overload
    def __init__(self, arg0, boost, std) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Point, arg0: float, arg1: float, arg2: float) -> None

        2. __init__(self: Kratos.Point, arg0: boost::numeric::ublas::vector_expression<boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >) -> None

        3. __init__(self: Kratos.Point, arg0: Kratos.Array3) -> None
        """
    @overload
    def __init__(self, arg0: Array3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Point, arg0: float, arg1: float, arg2: float) -> None

        2. __init__(self: Kratos.Point, arg0: boost::numeric::ublas::vector_expression<boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >) -> None

        3. __init__(self: Kratos.Point, arg0: Kratos.Array3) -> None
        """

class PowerIterationEigenvalueSolver(LinearSolver):
    @overload
    def __init__(self, arg0: float, arg1: int, arg2: int, arg3: LinearSolver) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.PowerIterationEigenvalueSolver, arg0: float, arg1: int, arg2: int, arg3: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.PowerIterationEigenvalueSolver, arg0: Kratos::Parameters, arg1: Kratos.LinearSolver) -> None
        """
    @overload
    def __init__(self, arg0, arg1: LinearSolver) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.PowerIterationEigenvalueSolver, arg0: float, arg1: int, arg2: int, arg3: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.PowerIterationEigenvalueSolver, arg0: Kratos::Parameters, arg1: Kratos.LinearSolver) -> None
        """

class PowerIterationHighestEigenvalueSolver(LinearSolver):
    @overload
    def __init__(self, arg0: float, arg1: int, arg2: int, arg3: LinearSolver) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.PowerIterationHighestEigenvalueSolver, arg0: float, arg1: int, arg2: int, arg3: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.PowerIterationHighestEigenvalueSolver, arg0: Kratos::Parameters, arg1: Kratos.LinearSolver) -> None
        """
    @overload
    def __init__(self, arg0, arg1: LinearSolver) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.PowerIterationHighestEigenvalueSolver, arg0: float, arg1: int, arg2: int, arg3: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.PowerIterationHighestEigenvalueSolver, arg0: Kratos::Parameters, arg1: Kratos.LinearSolver) -> None
        """

class Preconditioner:
    def __init__(self) -> None:
        """__init__(self: Kratos.Preconditioner) -> None"""

class PreconditionerFactory:
    def __init__(self) -> None:
        """__init__(self: Kratos.PreconditionerFactory) -> None"""
    def Create(self, arg0: str) -> Preconditioner:
        """Create(self: Kratos.PreconditionerFactory, arg0: str) -> Kratos.Preconditioner"""
    def Has(self, arg0: str) -> bool:
        """Has(self: Kratos.PreconditionerFactory, arg0: str) -> bool"""

class Prism3D15(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node, arg4: Node, arg5: Node, arg6: Node, arg7: Node, arg8: Node, arg9: Node, arg10: Node, arg11: Node, arg12: Node, arg13: Node, arg14: Node) -> None:
        """__init__(self: Kratos.Prism3D15, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node, arg4: Kratos.Node, arg5: Kratos.Node, arg6: Kratos.Node, arg7: Kratos.Node, arg8: Kratos.Node, arg9: Kratos.Node, arg10: Kratos.Node, arg11: Kratos.Node, arg12: Kratos.Node, arg13: Kratos.Node, arg14: Kratos.Node) -> None"""

class Prism3D6(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node, arg4: Node, arg5: Node) -> None:
        """__init__(self: Kratos.Prism3D6, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node, arg4: Kratos.Node, arg5: Kratos.Node) -> None"""

class Process(Flags):
    def __init__(self) -> None:
        """__init__(self: Kratos.Process) -> None"""
    def Check(self) -> int:
        """Check(self: Kratos.Process) -> int"""
    def Clear(self) -> None:
        """Clear(self: Kratos.Process) -> None"""
    def Create(self, arg0, arg1) -> Process:
        """Create(self: Kratos.Process, arg0: Kratos::Model, arg1: Kratos::Parameters) -> Kratos.Process"""
    def Execute(self) -> None:
        """Execute(self: Kratos.Process) -> None"""
    def ExecuteAfterOutputStep(self) -> None:
        """ExecuteAfterOutputStep(self: Kratos.Process) -> None"""
    def ExecuteBeforeOutputStep(self) -> None:
        """ExecuteBeforeOutputStep(self: Kratos.Process) -> None"""
    def ExecuteBeforeSolutionLoop(self) -> None:
        """ExecuteBeforeSolutionLoop(self: Kratos.Process) -> None"""
    def ExecuteFinalize(self) -> None:
        """ExecuteFinalize(self: Kratos.Process) -> None"""
    def ExecuteFinalizeSolutionStep(self) -> None:
        """ExecuteFinalizeSolutionStep(self: Kratos.Process) -> None"""
    def ExecuteInitialize(self) -> None:
        """ExecuteInitialize(self: Kratos.Process) -> None"""
    def ExecuteInitializeSolutionStep(self) -> None:
        """ExecuteInitializeSolutionStep(self: Kratos.Process) -> None"""
    def GetDefaultParameters(self, *args, **kwargs):
        """GetDefaultParameters(self: Kratos.Process) -> Kratos::Parameters"""
    def Info(self) -> str:
        """Info(self: Kratos.Process) -> str"""

class ProcessInfo(DataValueContainer, Flags):
    def __init__(self) -> None:
        """__init__(self: Kratos.ProcessInfo) -> None"""
    def CreateSolutionStepInfo(self, arg0: int) -> None:
        """CreateSolutionStepInfo(self: Kratos.ProcessInfo, arg0: int) -> None"""
    def GetPreviousSolutionStepInfo(self) -> ProcessInfo:
        """GetPreviousSolutionStepInfo(self: Kratos.ProcessInfo) -> Kratos.ProcessInfo"""
    def GetPreviousTimeStepInfo(self) -> ProcessInfo:
        """GetPreviousTimeStepInfo(self: Kratos.ProcessInfo) -> Kratos.ProcessInfo"""

class Properties(IndexedObject):
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Properties, arg0: int) -> None

        2. __init__(self: Kratos.Properties, arg0: Kratos.Properties) -> None
        """
    @overload
    def __init__(self, arg0: Properties) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Properties, arg0: int) -> None

        2. __init__(self: Kratos.Properties, arg0: Kratos.Properties) -> None
        """
    def AddSubProperties(self, arg0: Properties) -> None:
        """AddSubProperties(self: Kratos.Properties, arg0: Kratos.Properties) -> None"""
    @overload
    def Erase(self, arg0: Array1DVariable6) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> None

        2. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> None

        3. Erase(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> None

        4. Erase(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> None

        5. Erase(self: Kratos.Properties, arg0: Kratos.StringVariable) -> None

        6. Erase(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> None

        7. Erase(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> None

        8. Erase(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> None

        9. Erase(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> None
        """
    @overload
    def Erase(self, arg0: Array1DVariable3) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> None

        2. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> None

        3. Erase(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> None

        4. Erase(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> None

        5. Erase(self: Kratos.Properties, arg0: Kratos.StringVariable) -> None

        6. Erase(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> None

        7. Erase(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> None

        8. Erase(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> None

        9. Erase(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> None
        """
    @overload
    def Erase(self, arg0: VectorVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> None

        2. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> None

        3. Erase(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> None

        4. Erase(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> None

        5. Erase(self: Kratos.Properties, arg0: Kratos.StringVariable) -> None

        6. Erase(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> None

        7. Erase(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> None

        8. Erase(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> None

        9. Erase(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> None
        """
    @overload
    def Erase(self, arg0: MatrixVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> None

        2. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> None

        3. Erase(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> None

        4. Erase(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> None

        5. Erase(self: Kratos.Properties, arg0: Kratos.StringVariable) -> None

        6. Erase(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> None

        7. Erase(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> None

        8. Erase(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> None

        9. Erase(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> None
        """
    @overload
    def Erase(self, arg0: StringVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> None

        2. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> None

        3. Erase(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> None

        4. Erase(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> None

        5. Erase(self: Kratos.Properties, arg0: Kratos.StringVariable) -> None

        6. Erase(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> None

        7. Erase(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> None

        8. Erase(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> None

        9. Erase(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> None
        """
    @overload
    def Erase(self, arg0: BoolVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> None

        2. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> None

        3. Erase(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> None

        4. Erase(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> None

        5. Erase(self: Kratos.Properties, arg0: Kratos.StringVariable) -> None

        6. Erase(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> None

        7. Erase(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> None

        8. Erase(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> None

        9. Erase(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> None
        """
    @overload
    def Erase(self, arg0: IntegerVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> None

        2. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> None

        3. Erase(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> None

        4. Erase(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> None

        5. Erase(self: Kratos.Properties, arg0: Kratos.StringVariable) -> None

        6. Erase(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> None

        7. Erase(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> None

        8. Erase(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> None

        9. Erase(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> None
        """
    @overload
    def Erase(self, arg0: DoubleVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> None

        2. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> None

        3. Erase(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> None

        4. Erase(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> None

        5. Erase(self: Kratos.Properties, arg0: Kratos.StringVariable) -> None

        6. Erase(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> None

        7. Erase(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> None

        8. Erase(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> None

        9. Erase(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> None
        """
    @overload
    def Erase(self, arg0: ConstitutuveLawVariable) -> None:
        """Erase(*args, **kwargs)
        Overloaded function.

        1. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> None

        2. Erase(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> None

        3. Erase(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> None

        4. Erase(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> None

        5. Erase(self: Kratos.Properties, arg0: Kratos.StringVariable) -> None

        6. Erase(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> None

        7. Erase(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> None

        8. Erase(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> None

        9. Erase(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> None
        """
    def GetAccessor(self, *args, **kwargs):
        """GetAccessor(*args, **kwargs)
        Overloaded function.

        1. GetAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >

        2. GetAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >

        3. GetAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >

        4. GetAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >

        5. GetAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >

        6. GetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >

        7. GetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >

        8. GetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9) -> std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >

        9. GetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4) -> std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >

        10. GetAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable) -> std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >
        """
    def GetSubProperties(self, arg0: int) -> Properties:
        """GetSubProperties(*args, **kwargs)
        Overloaded function.

        1. GetSubProperties(self: Kratos.Properties, arg0: int) -> Kratos.Properties

        2. GetSubProperties(self: Kratos.Properties) -> Kratos::PointerVectorSet<Kratos::Properties,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,std::shared_ptr<Kratos::Properties>,std::vector<std::shared_ptr<Kratos::Properties>,std::allocator<std::shared_ptr<Kratos::Properties> > > >

        3. GetSubProperties(self: Kratos.Properties) -> Kratos::PointerVectorSet<Kratos::Properties,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,std::shared_ptr<Kratos::Properties>,std::vector<std::shared_ptr<Kratos::Properties>,std::allocator<std::shared_ptr<Kratos::Properties> > > >
        """
    def GetTable(self, *args, **kwargs):
        """GetTable(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> Kratos::Table<double,double,1>"""
    @overload
    def GetValue(self, arg0: Array1DVariable6) -> Array6:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable3) -> Array3:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: VectorVariable) -> Vector:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: MatrixVariable) -> Matrix:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: StringVariable) -> str:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: BoolVariable) -> bool:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: IntegerVariable) -> int:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: DoubleVariable) -> float:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: BoolVariable, arg1, arg2: Vector, arg3) -> bool:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: IntegerVariable, arg1, arg2: Vector, arg3) -> int:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: DoubleVariable, arg1, arg2: Vector, arg3) -> float:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: VectorVariable, arg1, arg2: Vector, arg3) -> Vector:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: MatrixVariable, arg1, arg2: Vector, arg3) -> Matrix:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable3, arg1, arg2: Vector, arg3) -> Array3:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable6, arg1, arg2: Vector, arg3) -> Array6:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable9, arg1, arg2: Vector, arg3) -> Array9:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable4, arg1, arg2: Vector, arg3) -> Array4:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def GetValue(self, arg0: StringVariable, arg1, arg2: Vector, arg3) -> str:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. GetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw

        10. GetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> bool

        11. GetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> int

        12. GetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> float

        13. GetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Vector

        14. GetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Matrix

        15. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array3

        16. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array6

        17. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array9

        18. GetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> Kratos.Array4

        19. GetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: Kratos::Geometry<Kratos::Node>, arg2: Kratos.Vector, arg3: Kratos::ProcessInfo) -> str
        """
    @overload
    def Has(self, arg0: Array1DVariable6) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        2. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        3. Has(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        4. Has(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        5. Has(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool

        6. Has(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. Has(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        8. Has(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        9. Has(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable3) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        2. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        3. Has(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        4. Has(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        5. Has(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool

        6. Has(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. Has(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        8. Has(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        9. Has(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> bool
        """
    @overload
    def Has(self, arg0: VectorVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        2. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        3. Has(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        4. Has(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        5. Has(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool

        6. Has(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. Has(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        8. Has(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        9. Has(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> bool
        """
    @overload
    def Has(self, arg0: MatrixVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        2. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        3. Has(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        4. Has(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        5. Has(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool

        6. Has(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. Has(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        8. Has(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        9. Has(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> bool
        """
    @overload
    def Has(self, arg0: StringVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        2. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        3. Has(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        4. Has(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        5. Has(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool

        6. Has(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. Has(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        8. Has(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        9. Has(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> bool
        """
    @overload
    def Has(self, arg0: BoolVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        2. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        3. Has(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        4. Has(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        5. Has(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool

        6. Has(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. Has(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        8. Has(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        9. Has(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> bool
        """
    @overload
    def Has(self, arg0: IntegerVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        2. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        3. Has(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        4. Has(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        5. Has(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool

        6. Has(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. Has(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        8. Has(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        9. Has(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> bool
        """
    @overload
    def Has(self, arg0: DoubleVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        2. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        3. Has(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        4. Has(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        5. Has(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool

        6. Has(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. Has(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        8. Has(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        9. Has(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> bool
        """
    @overload
    def Has(self, arg0: ConstitutuveLawVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        2. Has(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        3. Has(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        4. Has(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        5. Has(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool

        6. Has(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. Has(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        8. Has(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        9. Has(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> bool
        """
    @overload
    def HasAccessor(self, arg0: BoolVariable) -> bool:
        """HasAccessor(*args, **kwargs)
        Overloaded function.

        1. HasAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        2. HasAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        3. HasAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        4. HasAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        5. HasAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        6. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        7. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        8. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9) -> bool

        9. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4) -> bool

        10. HasAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def HasAccessor(self, arg0: IntegerVariable) -> bool:
        """HasAccessor(*args, **kwargs)
        Overloaded function.

        1. HasAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        2. HasAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        3. HasAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        4. HasAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        5. HasAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        6. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        7. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        8. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9) -> bool

        9. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4) -> bool

        10. HasAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def HasAccessor(self, arg0: DoubleVariable) -> bool:
        """HasAccessor(*args, **kwargs)
        Overloaded function.

        1. HasAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        2. HasAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        3. HasAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        4. HasAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        5. HasAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        6. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        7. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        8. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9) -> bool

        9. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4) -> bool

        10. HasAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def HasAccessor(self, arg0: VectorVariable) -> bool:
        """HasAccessor(*args, **kwargs)
        Overloaded function.

        1. HasAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        2. HasAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        3. HasAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        4. HasAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        5. HasAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        6. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        7. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        8. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9) -> bool

        9. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4) -> bool

        10. HasAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def HasAccessor(self, arg0: MatrixVariable) -> bool:
        """HasAccessor(*args, **kwargs)
        Overloaded function.

        1. HasAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        2. HasAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        3. HasAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        4. HasAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        5. HasAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        6. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        7. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        8. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9) -> bool

        9. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4) -> bool

        10. HasAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def HasAccessor(self, arg0: Array1DVariable3) -> bool:
        """HasAccessor(*args, **kwargs)
        Overloaded function.

        1. HasAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        2. HasAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        3. HasAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        4. HasAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        5. HasAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        6. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        7. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        8. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9) -> bool

        9. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4) -> bool

        10. HasAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def HasAccessor(self, arg0: Array1DVariable6) -> bool:
        """HasAccessor(*args, **kwargs)
        Overloaded function.

        1. HasAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        2. HasAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        3. HasAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        4. HasAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        5. HasAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        6. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        7. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        8. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9) -> bool

        9. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4) -> bool

        10. HasAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def HasAccessor(self, arg0: Array1DVariable9) -> bool:
        """HasAccessor(*args, **kwargs)
        Overloaded function.

        1. HasAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        2. HasAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        3. HasAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        4. HasAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        5. HasAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        6. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        7. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        8. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9) -> bool

        9. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4) -> bool

        10. HasAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def HasAccessor(self, arg0: Array1DVariable4) -> bool:
        """HasAccessor(*args, **kwargs)
        Overloaded function.

        1. HasAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        2. HasAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        3. HasAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        4. HasAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        5. HasAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        6. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        7. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        8. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9) -> bool

        9. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4) -> bool

        10. HasAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def HasAccessor(self, arg0: StringVariable) -> bool:
        """HasAccessor(*args, **kwargs)
        Overloaded function.

        1. HasAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        2. HasAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> bool

        3. HasAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> bool

        4. HasAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> bool

        5. HasAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> bool

        6. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> bool

        7. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> bool

        8. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9) -> bool

        9. HasAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4) -> bool

        10. HasAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable) -> bool
        """
    def HasSubProperties(self, arg0: int) -> bool:
        """HasSubProperties(self: Kratos.Properties, arg0: int) -> bool"""
    def HasTable(self, arg0: DoubleVariable, arg1: DoubleVariable) -> bool:
        """HasTable(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable) -> bool"""
    def HasTables(self) -> bool:
        """HasTables(self: Kratos.Properties) -> bool"""
    def HasVariables(self) -> bool:
        """HasVariables(self: Kratos.Properties) -> bool"""
    def IsEmpty(self) -> bool:
        """IsEmpty(self: Kratos.Properties) -> bool"""
    def NumberOfSubproperties(self) -> int:
        """NumberOfSubproperties(self: Kratos.Properties) -> int"""
    @overload
    def SetAccessor(self, arg0: BoolVariable, arg1, std) -> None:
        """SetAccessor(*args, **kwargs)
        Overloaded function.

        1. SetAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        2. SetAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        3. SetAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        4. SetAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        5. SetAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        6. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        7. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        8. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        9. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        10. SetAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None
        """
    @overload
    def SetAccessor(self, arg0: IntegerVariable, arg1, std) -> None:
        """SetAccessor(*args, **kwargs)
        Overloaded function.

        1. SetAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        2. SetAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        3. SetAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        4. SetAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        5. SetAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        6. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        7. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        8. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        9. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        10. SetAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None
        """
    @overload
    def SetAccessor(self, arg0: DoubleVariable, arg1, std) -> None:
        """SetAccessor(*args, **kwargs)
        Overloaded function.

        1. SetAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        2. SetAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        3. SetAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        4. SetAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        5. SetAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        6. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        7. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        8. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        9. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        10. SetAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None
        """
    @overload
    def SetAccessor(self, arg0: VectorVariable, arg1, std) -> None:
        """SetAccessor(*args, **kwargs)
        Overloaded function.

        1. SetAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        2. SetAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        3. SetAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        4. SetAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        5. SetAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        6. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        7. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        8. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        9. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        10. SetAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None
        """
    @overload
    def SetAccessor(self, arg0: MatrixVariable, arg1, std) -> None:
        """SetAccessor(*args, **kwargs)
        Overloaded function.

        1. SetAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        2. SetAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        3. SetAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        4. SetAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        5. SetAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        6. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        7. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        8. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        9. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        10. SetAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None
        """
    @overload
    def SetAccessor(self, arg0: Array1DVariable3, arg1, std) -> None:
        """SetAccessor(*args, **kwargs)
        Overloaded function.

        1. SetAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        2. SetAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        3. SetAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        4. SetAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        5. SetAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        6. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        7. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        8. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        9. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        10. SetAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None
        """
    @overload
    def SetAccessor(self, arg0: Array1DVariable6, arg1, std) -> None:
        """SetAccessor(*args, **kwargs)
        Overloaded function.

        1. SetAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        2. SetAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        3. SetAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        4. SetAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        5. SetAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        6. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        7. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        8. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        9. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        10. SetAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None
        """
    @overload
    def SetAccessor(self, arg0: Array1DVariable9, arg1, std) -> None:
        """SetAccessor(*args, **kwargs)
        Overloaded function.

        1. SetAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        2. SetAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        3. SetAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        4. SetAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        5. SetAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        6. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        7. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        8. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        9. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        10. SetAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None
        """
    @overload
    def SetAccessor(self, arg0: Array1DVariable4, arg1, std) -> None:
        """SetAccessor(*args, **kwargs)
        Overloaded function.

        1. SetAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        2. SetAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        3. SetAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        4. SetAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        5. SetAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        6. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        7. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        8. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        9. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        10. SetAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None
        """
    @overload
    def SetAccessor(self, arg0: StringVariable, arg1, std) -> None:
        """SetAccessor(*args, **kwargs)
        Overloaded function.

        1. SetAccessor(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        2. SetAccessor(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        3. SetAccessor(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        4. SetAccessor(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        5. SetAccessor(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        6. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        7. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        8. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable9, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        9. SetAccessor(self: Kratos.Properties, arg0: Kratos.Array1DVariable4, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None

        10. SetAccessor(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: std::unique_ptr<Kratos::Accessor,std::default_delete<Kratos::Accessor> >) -> None
        """
    def SetSubProperties(self, *args, **kwargs):
        """SetSubProperties(self: Kratos.Properties, arg0: Kratos::PointerVectorSet<Kratos::Properties,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,std::shared_ptr<Kratos::Properties>,std::vector<std::shared_ptr<Kratos::Properties>,std::allocator<std::shared_ptr<Kratos::Properties> > > >) -> None"""
    def SetTable(self, *args, **kwargs):
        """SetTable(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos::Table<double,double,1>) -> None"""
    @overload
    def SetValue(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. SetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. SetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. SetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. SetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. SetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. SetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. SetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. SetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. SetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. SetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. SetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. SetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. SetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. SetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def SetValue(self, arg0: VectorVariable, arg1: Vector) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. SetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. SetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. SetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. SetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. SetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. SetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. SetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def SetValue(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. SetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. SetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. SetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. SetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. SetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. SetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. SetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def SetValue(self, arg0: StringVariable, arg1: str) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. SetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. SetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. SetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. SetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. SetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. SetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. SetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def SetValue(self, arg0: BoolVariable, arg1: bool) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. SetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. SetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. SetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. SetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. SetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. SetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. SetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def SetValue(self, arg0: IntegerVariable, arg1: int) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. SetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. SetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. SetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. SetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. SetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. SetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. SetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def SetValue(self, arg0: DoubleVariable, arg1: float) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. SetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. SetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. SetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. SetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. SetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. SetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. SetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def SetValue(self, arg0: ConstitutuveLawVariable, arg1) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. SetValue(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. SetValue(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. SetValue(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. SetValue(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. SetValue(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. SetValue(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. SetValue(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. SetValue(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable6) -> Array6:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. __getitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. __getitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. __getitem__(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. __getitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. __getitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. __getitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. __getitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable3) -> Array3:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. __getitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. __getitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. __getitem__(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. __getitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. __getitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. __getitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. __getitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw
        """
    @overload
    def __getitem__(self, arg0: VectorVariable) -> Vector:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. __getitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. __getitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. __getitem__(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. __getitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. __getitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. __getitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. __getitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw
        """
    @overload
    def __getitem__(self, arg0: MatrixVariable) -> Matrix:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. __getitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. __getitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. __getitem__(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. __getitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. __getitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. __getitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. __getitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw
        """
    @overload
    def __getitem__(self, arg0: StringVariable) -> str:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. __getitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. __getitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. __getitem__(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. __getitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. __getitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. __getitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. __getitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw
        """
    @overload
    def __getitem__(self, arg0: BoolVariable) -> bool:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. __getitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. __getitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. __getitem__(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. __getitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. __getitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. __getitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. __getitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw
        """
    @overload
    def __getitem__(self, arg0: IntegerVariable) -> int:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. __getitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. __getitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. __getitem__(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. __getitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. __getitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. __getitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. __getitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw
        """
    @overload
    def __getitem__(self, arg0: DoubleVariable) -> float:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        2. __getitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        3. __getitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable) -> Kratos.Vector

        4. __getitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        5. __getitem__(self: Kratos.Properties, arg0: Kratos.StringVariable) -> str

        6. __getitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable) -> bool

        7. __getitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable) -> int

        8. __getitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable) -> float

        9. __getitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable) -> Kratos::ConstitutiveLaw
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. __setitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. __setitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. __setitem__(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. __setitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. __setitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. __setitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. __setitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. __setitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. __setitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. __setitem__(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. __setitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. __setitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. __setitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. __setitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def __setitem__(self, arg0: VectorVariable, arg1: Vector) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. __setitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. __setitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. __setitem__(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. __setitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. __setitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. __setitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. __setitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def __setitem__(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. __setitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. __setitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. __setitem__(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. __setitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. __setitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. __setitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. __setitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def __setitem__(self, arg0: StringVariable, arg1: str) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. __setitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. __setitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. __setitem__(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. __setitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. __setitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. __setitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. __setitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def __setitem__(self, arg0: BoolVariable, arg1: bool) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. __setitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. __setitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. __setitem__(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. __setitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. __setitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. __setitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. __setitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def __setitem__(self, arg0: IntegerVariable, arg1: int) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. __setitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. __setitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. __setitem__(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. __setitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. __setitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. __setitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. __setitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def __setitem__(self, arg0: DoubleVariable, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. __setitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. __setitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. __setitem__(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. __setitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. __setitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. __setitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. __setitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """
    @overload
    def __setitem__(self, arg0: ConstitutuveLawVariable, arg1) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        2. __setitem__(self: Kratos.Properties, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        3. __setitem__(self: Kratos.Properties, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        4. __setitem__(self: Kratos.Properties, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        5. __setitem__(self: Kratos.Properties, arg0: Kratos.StringVariable, arg1: str) -> None

        6. __setitem__(self: Kratos.Properties, arg0: Kratos.BoolVariable, arg1: bool) -> None

        7. __setitem__(self: Kratos.Properties, arg0: Kratos.IntegerVariable, arg1: int) -> None

        8. __setitem__(self: Kratos.Properties, arg0: Kratos.DoubleVariable, arg1: float) -> None

        9. __setitem__(self: Kratos.Properties, arg0: Kratos.ConstitutuveLawVariable, arg1: Kratos::ConstitutiveLaw) -> None
        """

class PropertiesArray:
    def __init__(self) -> None:
        """__init__(self: Kratos.PropertiesArray) -> None"""
    def append(self, arg0: Properties) -> None:
        """append(self: Kratos.PropertiesArray, arg0: Kratos.Properties) -> None"""
    def clear(self) -> None:
        """clear(self: Kratos.PropertiesArray) -> None"""
    @overload
    def __contains__(self, arg0: Properties) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.PropertiesArray, arg0: Kratos.Properties) -> bool

        2. __contains__(self: Kratos.PropertiesArray, arg0: int) -> bool
        """
    @overload
    def __contains__(self, arg0: int) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.PropertiesArray, arg0: Kratos.Properties) -> bool

        2. __contains__(self: Kratos.PropertiesArray, arg0: int) -> bool
        """
    def __getitem__(self, arg0: int) -> Properties:
        """__getitem__(self: Kratos.PropertiesArray, arg0: int) -> Kratos.Properties"""
    def __iter__(self) -> Iterator[Properties]:
        """__iter__(self: Kratos.PropertiesArray) -> Iterator[Kratos.Properties]"""
    def __len__(self) -> int:
        """__len__(self: Kratos.PropertiesArray) -> int"""
    @overload
    def __setitem__(self, arg0: Properties) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.PropertiesArray, arg0: Kratos.Properties) -> None

        2. __setitem__(self: Kratos.PropertiesArray, arg0: Kratos.Properties) -> None
        """
    @overload
    def __setitem__(self, arg0: Properties) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.PropertiesArray, arg0: Kratos.Properties) -> None

        2. __setitem__(self: Kratos.PropertiesArray, arg0: Kratos.Properties) -> None
        """

class Pyramid3D13(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node, arg4: Node, arg5: Node, arg6: Node, arg7: Node, arg8: Node, arg9: Node, arg10: Node, arg11: Node, arg12: Node) -> None:
        """__init__(self: Kratos.Pyramid3D13, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node, arg4: Kratos.Node, arg5: Kratos.Node, arg6: Kratos.Node, arg7: Kratos.Node, arg8: Kratos.Node, arg9: Kratos.Node, arg10: Kratos.Node, arg11: Kratos.Node, arg12: Kratos.Node) -> None"""

class Pyramid3D5(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node, arg4: Node) -> None:
        """__init__(self: Kratos.Pyramid3D5, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node, arg4: Kratos.Node) -> None"""

class PythonGenericFunctionUtility(GenericFunctionUtility):
    @overload
    def __init__(self, arg0: str) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.PythonGenericFunctionUtility, arg0: str) -> None

        2. __init__(self: Kratos.PythonGenericFunctionUtility, arg0: str, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: str, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.PythonGenericFunctionUtility, arg0: str) -> None

        2. __init__(self: Kratos.PythonGenericFunctionUtility, arg0: str, arg1: Kratos::Parameters) -> None
        """

class Quadrilateral2D4(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node) -> None:
        """__init__(self: Kratos.Quadrilateral2D4, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node) -> None"""

class Quadrilateral2D8(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node, arg4: Node, arg5: Node, arg6: Node, arg7: Node) -> None:
        """__init__(self: Kratos.Quadrilateral2D8, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node, arg4: Kratos.Node, arg5: Kratos.Node, arg6: Kratos.Node, arg7: Kratos.Node) -> None"""

class Quadrilateral2D9(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node, arg4: Node, arg5: Node, arg6: Node, arg7: Node, arg8: Node) -> None:
        """__init__(self: Kratos.Quadrilateral2D9, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node, arg4: Kratos.Node, arg5: Kratos.Node, arg6: Kratos.Node, arg7: Kratos.Node, arg8: Kratos.Node) -> None"""

class Quadrilateral3D4(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node) -> None:
        """__init__(self: Kratos.Quadrilateral3D4, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node) -> None"""

class Quadrilateral3D8(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node, arg4: Node, arg5: Node, arg6: Node, arg7: Node) -> None:
        """__init__(self: Kratos.Quadrilateral3D8, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node, arg4: Kratos.Node, arg5: Kratos.Node, arg6: Kratos.Node, arg7: Kratos.Node) -> None"""

class Quadrilateral3D9(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node, arg4: Node, arg5: Node, arg6: Node, arg7: Node, arg8: Node) -> None:
        """__init__(self: Kratos.Quadrilateral3D9, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node, arg4: Kratos.Node, arg5: Kratos.Node, arg6: Kratos.Node, arg7: Kratos.Node, arg8: Kratos.Node) -> None"""

class Quaternion:
    W: float
    X: float
    Y: float
    Z: float
    def __init__(self) -> None:
        """__init__(self: Kratos.Quaternion) -> None"""
    @classmethod
    def Identity(cls) -> Quaternion:
        """Identity() -> Kratos.Quaternion"""
    def MultiplyQuaternion(self, arg0: Quaternion, arg1: Quaternion) -> Quaternion:
        """MultiplyQuaternion(self: Kratos.Quaternion, arg0: Kratos.Quaternion, arg1: Kratos.Quaternion) -> Kratos.Quaternion"""
    def Normalize(self) -> None:
        """Normalize(self: Kratos.Quaternion) -> None"""
    def ToRotationMatrix(self, arg0: Matrix) -> None:
        """ToRotationMatrix(self: Kratos.Quaternion, arg0: Kratos.Matrix) -> None"""

class RBFShapeFunctionsUtility:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @overload
    @classmethod
    def CalculateShapeFunctions(cls, arg0: Matrix, arg1: Array3, arg2: Vector) -> None:
        """CalculateShapeFunctions(*args, **kwargs)
        Overloaded function.

        1. CalculateShapeFunctions(arg0: Kratos.Matrix, arg1: Kratos.Array3, arg2: Kratos.Vector) -> None

        2. CalculateShapeFunctions(arg0: Kratos.Matrix, arg1: Kratos.Array3, arg2: Kratos.Vector, arg3: Kratos::DenseQRDecomposition<Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > >) -> None

        3. CalculateShapeFunctions(arg0: Kratos.Matrix, arg1: Kratos.Array3, arg2: float, arg3: Kratos.Vector) -> None

        4. CalculateShapeFunctions(arg0: Kratos.Matrix, arg1: Kratos.Array3, arg2: float, arg3: Kratos.Vector, arg4: Kratos::DenseQRDecomposition<Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > >) -> None
        """
    @overload
    @classmethod
    def CalculateShapeFunctions(cls, arg0: Matrix, arg1: Array3, arg2: float, arg3: Vector) -> None:
        """CalculateShapeFunctions(*args, **kwargs)
        Overloaded function.

        1. CalculateShapeFunctions(arg0: Kratos.Matrix, arg1: Kratos.Array3, arg2: Kratos.Vector) -> None

        2. CalculateShapeFunctions(arg0: Kratos.Matrix, arg1: Kratos.Array3, arg2: Kratos.Vector, arg3: Kratos::DenseQRDecomposition<Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > >) -> None

        3. CalculateShapeFunctions(arg0: Kratos.Matrix, arg1: Kratos.Array3, arg2: float, arg3: Kratos.Vector) -> None

        4. CalculateShapeFunctions(arg0: Kratos.Matrix, arg1: Kratos.Array3, arg2: float, arg3: Kratos.Vector, arg4: Kratos::DenseQRDecomposition<Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > >) -> None
        """

class RVEPeriodicityUtility:
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.RVEPeriodicityUtility, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.RVEPeriodicityUtility, arg0: Kratos.ModelPart, arg1: int) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.RVEPeriodicityUtility, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.RVEPeriodicityUtility, arg0: Kratos.ModelPart, arg1: int) -> None
        """
    def AssignPeriodicity(self, arg0: ModelPart, arg1: ModelPart, arg2: Matrix, arg3: Vector, arg4: float) -> None:
        """AssignPeriodicity(self: Kratos.RVEPeriodicityUtility, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Matrix, arg3: Kratos.Vector, arg4: float) -> None"""
    def Finalize(self, arg0: Array1DVariable3) -> None:
        """Finalize(self: Kratos.RVEPeriodicityUtility, arg0: Kratos.Array1DVariable3) -> None"""

class RadiationSettings:
    def __init__(self) -> None:
        """__init__(self: Kratos.RadiationSettings) -> None"""
    def GetDensityVariable(self) -> DoubleVariable:
        """GetDensityVariable(self: Kratos.RadiationSettings) -> Kratos.DoubleVariable"""
    def GetDiffusionVariable(self) -> DoubleVariable:
        """GetDiffusionVariable(self: Kratos.RadiationSettings) -> Kratos.DoubleVariable"""
    def GetMeshVelocityVariable(self) -> Array1DVariable3:
        """GetMeshVelocityVariable(self: Kratos.RadiationSettings) -> Kratos.Array1DVariable3"""
    def GetProjectionVariable(self) -> DoubleVariable:
        """GetProjectionVariable(self: Kratos.RadiationSettings) -> Kratos.DoubleVariable"""
    def GetSurfaceSourceVariable(self) -> DoubleVariable:
        """GetSurfaceSourceVariable(self: Kratos.RadiationSettings) -> Kratos.DoubleVariable"""
    def GetUnknownVariable(self) -> DoubleVariable:
        """GetUnknownVariable(self: Kratos.RadiationSettings) -> Kratos.DoubleVariable"""
    def GetVolumeSourceVariable(self) -> DoubleVariable:
        """GetVolumeSourceVariable(self: Kratos.RadiationSettings) -> Kratos.DoubleVariable"""
    def SetDensityVariable(self, arg0: DoubleVariable) -> None:
        """SetDensityVariable(self: Kratos.RadiationSettings, arg0: Kratos.DoubleVariable) -> None"""
    def SetDiffusionVariable(self, arg0: DoubleVariable) -> None:
        """SetDiffusionVariable(self: Kratos.RadiationSettings, arg0: Kratos.DoubleVariable) -> None"""
    def SetMeshVelocityVariable(self, arg0: Array1DVariable3) -> None:
        """SetMeshVelocityVariable(self: Kratos.RadiationSettings, arg0: Kratos.Array1DVariable3) -> None"""
    def SetProjectionVariable(self, arg0: DoubleVariable) -> None:
        """SetProjectionVariable(self: Kratos.RadiationSettings, arg0: Kratos.DoubleVariable) -> None"""
    def SetSurfaceSourceVariable(self, arg0: DoubleVariable) -> None:
        """SetSurfaceSourceVariable(self: Kratos.RadiationSettings, arg0: Kratos.DoubleVariable) -> None"""
    def SetUnknownVariable(self, arg0: DoubleVariable) -> None:
        """SetUnknownVariable(self: Kratos.RadiationSettings, arg0: Kratos.DoubleVariable) -> None"""
    def SetVolumeSourceVariable(self, arg0: DoubleVariable) -> None:
        """SetVolumeSourceVariable(self: Kratos.RadiationSettings, arg0: Kratos.DoubleVariable) -> None"""

class RadiationSettingsVariable(VariableData):
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class RayleighQuotientIterationEigenvalueSolver(LinearSolver):
    @overload
    def __init__(self, arg0: float, arg1: int, arg2: int, arg3: LinearSolver, arg4: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.RayleighQuotientIterationEigenvalueSolver, arg0: float, arg1: int, arg2: int, arg3: Kratos.LinearSolver, arg4: float) -> None

        2. __init__(self: Kratos.RayleighQuotientIterationEigenvalueSolver, arg0: Kratos::Parameters, arg1: Kratos.LinearSolver) -> None
        """
    @overload
    def __init__(self, arg0, arg1: LinearSolver) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.RayleighQuotientIterationEigenvalueSolver, arg0: float, arg1: int, arg2: int, arg3: Kratos.LinearSolver, arg4: float) -> None

        2. __init__(self: Kratos.RayleighQuotientIterationEigenvalueSolver, arg0: Kratos::Parameters, arg1: Kratos.LinearSolver) -> None
        """

class ReadMaterialsUtility:
    @overload
    def __init__(self, arg0: Model) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ReadMaterialsUtility, arg0: Kratos.Model) -> None

        2. __init__(self: Kratos.ReadMaterialsUtility, arg0: Kratos::Parameters, arg1: Kratos.Model) -> None
        """
    @overload
    def __init__(self, arg0, arg1: Model) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ReadMaterialsUtility, arg0: Kratos.Model) -> None

        2. __init__(self: Kratos.ReadMaterialsUtility, arg0: Kratos::Parameters, arg1: Kratos.Model) -> None
        """
    def AssignConstitutiveLawToProperty(self, arg0, arg1: Properties) -> None:
        """AssignConstitutiveLawToProperty(self: Kratos.ReadMaterialsUtility, arg0: Kratos::Parameters, arg1: Kratos.Properties) -> None"""
    def AssignMaterialToProperty(self, arg0, arg1: Properties) -> None:
        """AssignMaterialToProperty(self: Kratos.ReadMaterialsUtility, arg0: Kratos::Parameters, arg1: Kratos.Properties) -> None"""
    def AssignTablesToProperty(self, arg0, arg1: Properties) -> None:
        """AssignTablesToProperty(self: Kratos.ReadMaterialsUtility, arg0: Kratos::Parameters, arg1: Kratos.Properties) -> None"""
    def AssignVariablesToProperty(self, arg0, arg1: Properties) -> None:
        """AssignVariablesToProperty(self: Kratos.ReadMaterialsUtility, arg0: Kratos::Parameters, arg1: Kratos.Properties) -> None"""
    def ReadMaterials(self, arg0) -> None:
        """ReadMaterials(self: Kratos.ReadMaterialsUtility, arg0: Kratos::Parameters) -> None"""

class RegistryItem:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    def HasItems(self) -> bool:
        """HasItems(self: Kratos.RegistryItem) -> bool"""
    def HasValue(self) -> bool:
        """HasValue(self: Kratos.RegistryItem) -> bool"""
    def Name(self) -> str:
        """Name(self: Kratos.RegistryItem) -> str"""
    def keys(self) -> list:
        """keys(self: Kratos.RegistryItem) -> list"""
    def size(self) -> int:
        """size(self: Kratos.RegistryItem) -> int"""
    def __iter__(self) -> Iterator[str]:
        """__iter__(self: Kratos.RegistryItem) -> Iterator[str]"""

class ReorderAndOptimizeModelPartProcess(Process):
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(self: Kratos.ReorderAndOptimizeModelPartProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None"""

class ReorderConsecutiveModelPartIO(ModelPartIO):
    @overload
    def __init__(self, arg0: os.PathLike) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ReorderConsecutiveModelPartIO, arg0: os.PathLike) -> None

        2. __init__(self: Kratos.ReorderConsecutiveModelPartIO, arg0: os.PathLike, arg1: Kratos.Flags) -> None
        """
    @overload
    def __init__(self, arg0: os.PathLike, arg1: Flags) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ReorderConsecutiveModelPartIO, arg0: os.PathLike) -> None

        2. __init__(self: Kratos.ReorderConsecutiveModelPartIO, arg0: os.PathLike, arg1: Kratos.Flags) -> None
        """

class Reorderer:
    def __init__(self) -> None:
        """__init__(self: Kratos.Reorderer) -> None"""
    def Initialize(self, arg0: CompressedMatrix, arg1: Vector, arg2: Vector) -> None:
        """Initialize(self: Kratos.Reorderer, arg0: Kratos.CompressedMatrix, arg1: Kratos.Vector, arg2: Kratos.Vector) -> None"""
    def InverseReorder(self, arg0: CompressedMatrix, arg1: Vector, arg2: Vector) -> None:
        """InverseReorder(self: Kratos.Reorderer, arg0: Kratos.CompressedMatrix, arg1: Kratos.Vector, arg2: Kratos.Vector) -> None"""
    def Reorder(self, arg0: CompressedMatrix, arg1: Vector, arg2: Vector) -> None:
        """Reorder(self: Kratos.Reorderer, arg0: Kratos.CompressedMatrix, arg1: Kratos.Vector, arg2: Kratos.Vector) -> None"""

class ReplaceElementsAndConditionsProcess(Process):
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(self: Kratos.ReplaceElementsAndConditionsProcess, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None"""

class ResidualBasedAdjointBossakScheme(Scheme):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.ResidualBasedAdjointBossakScheme, arg0: Kratos::Parameters, arg1: Kratos::AdjointResponseFunction) -> None"""

class ResidualBasedAdjointStaticScheme(Scheme):
    def __init__(self, arg0) -> None:
        """__init__(self: Kratos.ResidualBasedAdjointStaticScheme, arg0: Kratos::AdjointResponseFunction) -> None"""
    def SetResponseFunction(self, new_response_function) -> None:
        """SetResponseFunction(self: Kratos.ResidualBasedAdjointStaticScheme, new_response_function: Kratos::AdjointResponseFunction) -> None"""

class ResidualBasedAdjointSteadyScheme(ResidualBasedAdjointStaticScheme):
    def __init__(self, arg0) -> None:
        """__init__(self: Kratos.ResidualBasedAdjointSteadyScheme, arg0: Kratos::AdjointResponseFunction) -> None"""

class ResidualBasedBDFCustomScheme(Scheme):
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedBDFCustomScheme, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedBDFCustomScheme) -> None

        3. __init__(self: Kratos.ResidualBasedBDFCustomScheme, arg0: int) -> None

        4. __init__(self: Kratos.ResidualBasedBDFCustomScheme, arg0: int, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedBDFCustomScheme, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedBDFCustomScheme) -> None

        3. __init__(self: Kratos.ResidualBasedBDFCustomScheme, arg0: int) -> None

        4. __init__(self: Kratos.ResidualBasedBDFCustomScheme, arg0: int, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedBDFCustomScheme, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedBDFCustomScheme) -> None

        3. __init__(self: Kratos.ResidualBasedBDFCustomScheme, arg0: int) -> None

        4. __init__(self: Kratos.ResidualBasedBDFCustomScheme, arg0: int, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedBDFCustomScheme, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedBDFCustomScheme) -> None

        3. __init__(self: Kratos.ResidualBasedBDFCustomScheme, arg0: int) -> None

        4. __init__(self: Kratos.ResidualBasedBDFCustomScheme, arg0: int, arg1: Kratos::Parameters) -> None
        """

class ResidualBasedBDFDisplacementScheme(Scheme):
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedBDFDisplacementScheme, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedBDFDisplacementScheme) -> None

        3. __init__(self: Kratos.ResidualBasedBDFDisplacementScheme, arg0: int) -> None
        """
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedBDFDisplacementScheme, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedBDFDisplacementScheme) -> None

        3. __init__(self: Kratos.ResidualBasedBDFDisplacementScheme, arg0: int) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedBDFDisplacementScheme, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedBDFDisplacementScheme) -> None

        3. __init__(self: Kratos.ResidualBasedBDFDisplacementScheme, arg0: int) -> None
        """

class ResidualBasedBlockBuilderAndSolver(BuilderAndSolver):
    @overload
    def __init__(self, arg0: LinearSolver) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedBlockBuilderAndSolver, arg0: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.ResidualBasedBlockBuilderAndSolver, arg0: Kratos.LinearSolver, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: LinearSolver, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedBlockBuilderAndSolver, arg0: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.ResidualBasedBlockBuilderAndSolver, arg0: Kratos.LinearSolver, arg1: Kratos::Parameters) -> None
        """

class ResidualBasedBlockBuilderAndSolverWithLagrangeMultiplier(BuilderAndSolver):
    @overload
    def __init__(self, arg0: LinearSolver) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedBlockBuilderAndSolverWithLagrangeMultiplier, arg0: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.ResidualBasedBlockBuilderAndSolverWithLagrangeMultiplier, arg0: Kratos.LinearSolver, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: LinearSolver, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedBlockBuilderAndSolverWithLagrangeMultiplier, arg0: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.ResidualBasedBlockBuilderAndSolverWithLagrangeMultiplier, arg0: Kratos.LinearSolver, arg1: Kratos::Parameters) -> None
        """

class ResidualBasedBossakDisplacementScheme(Scheme):
    @overload
    def __init__(self, arg0: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedBossakDisplacementScheme, arg0: float) -> None

        2. __init__(self: Kratos.ResidualBasedBossakDisplacementScheme, arg0: float, arg1: float) -> None
        """
    @overload
    def __init__(self, arg0: float, arg1: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedBossakDisplacementScheme, arg0: float) -> None

        2. __init__(self: Kratos.ResidualBasedBossakDisplacementScheme, arg0: float, arg1: float) -> None
        """

class ResidualBasedEliminationBuilderAndSolver(BuilderAndSolver):
    @overload
    def __init__(self, arg0: LinearSolver, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolver, arg0: Kratos.LinearSolver, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolver, arg0: Kratos.LinearSolver) -> None
        """
    @overload
    def __init__(self, arg0: LinearSolver) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolver, arg0: Kratos.LinearSolver, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolver, arg0: Kratos.LinearSolver) -> None
        """

class ResidualBasedEliminationBuilderAndSolverWithConstraints(BuilderAndSolver):
    @overload
    def __init__(self, arg0: LinearSolver) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver, arg1: bool) -> None

        3. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver, arg1: bool, arg2: bool) -> None

        4. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: LinearSolver, arg1: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver, arg1: bool) -> None

        3. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver, arg1: bool, arg2: bool) -> None

        4. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: LinearSolver, arg1: bool, arg2: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver, arg1: bool) -> None

        3. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver, arg1: bool, arg2: bool) -> None

        4. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: LinearSolver, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver, arg1: bool) -> None

        3. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver, arg1: bool, arg2: bool) -> None

        4. __init__(self: Kratos.ResidualBasedEliminationBuilderAndSolverWithConstraints, arg0: Kratos.LinearSolver, arg1: Kratos::Parameters) -> None
        """

class ResidualBasedIncrementalUpdateStaticScheme(Scheme):
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedIncrementalUpdateStaticScheme, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedIncrementalUpdateStaticScheme) -> None
        """
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedIncrementalUpdateStaticScheme, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedIncrementalUpdateStaticScheme) -> None
        """

class ResidualBasedIncrementalUpdateStaticSchemeSlip(ResidualBasedIncrementalUpdateStaticScheme):
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedIncrementalUpdateStaticSchemeSlip, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedIncrementalUpdateStaticSchemeSlip, arg0: int, arg1: int) -> None

        3. __init__(self: Kratos.ResidualBasedIncrementalUpdateStaticSchemeSlip, arg0: Kratos::CoordinateTransformationUtils<boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,double>) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedIncrementalUpdateStaticSchemeSlip, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedIncrementalUpdateStaticSchemeSlip, arg0: int, arg1: int) -> None

        3. __init__(self: Kratos.ResidualBasedIncrementalUpdateStaticSchemeSlip, arg0: Kratos::CoordinateTransformationUtils<boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,double>) -> None
        """

class ResidualBasedLinearStrategy(ImplicitSolvingStrategy):
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: bool, arg4: bool, arg5: bool, arg6: bool) -> None

        3. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.BuilderAndSolver, arg3: bool, arg4: bool, arg5: bool, arg6: bool) -> None

        4. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.BuilderAndSolver, arg4: bool, arg5: bool, arg6: bool, arg7: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: LinearSolver, arg3: bool, arg4: bool, arg5: bool, arg6: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: bool, arg4: bool, arg5: bool, arg6: bool) -> None

        3. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.BuilderAndSolver, arg3: bool, arg4: bool, arg5: bool, arg6: bool) -> None

        4. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.BuilderAndSolver, arg4: bool, arg5: bool, arg6: bool, arg7: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: BuilderAndSolver, arg3: bool, arg4: bool, arg5: bool, arg6: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: bool, arg4: bool, arg5: bool, arg6: bool) -> None

        3. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.BuilderAndSolver, arg3: bool, arg4: bool, arg5: bool, arg6: bool) -> None

        4. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.BuilderAndSolver, arg4: bool, arg5: bool, arg6: bool, arg7: bool) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: LinearSolver, arg3: BuilderAndSolver, arg4: bool, arg5: bool, arg6: bool, arg7: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: bool, arg4: bool, arg5: bool, arg6: bool) -> None

        3. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.BuilderAndSolver, arg3: bool, arg4: bool, arg5: bool, arg6: bool) -> None

        4. __init__(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.BuilderAndSolver, arg4: bool, arg5: bool, arg6: bool, arg7: bool) -> None
        """
    def GetReformDofSetAtEachStepFlag(self) -> bool:
        """GetReformDofSetAtEachStepFlag(self: Kratos.ResidualBasedLinearStrategy) -> bool"""
    def GetResidualNorm(self) -> float:
        """GetResidualNorm(self: Kratos.ResidualBasedLinearStrategy) -> float"""
    def GetScheme(self) -> Scheme:
        """GetScheme(self: Kratos.ResidualBasedLinearStrategy) -> Kratos.Scheme"""
    def SetBuilderAndSolver(self, arg0: BuilderAndSolver) -> None:
        """SetBuilderAndSolver(self: Kratos.ResidualBasedLinearStrategy, arg0: Kratos.BuilderAndSolver) -> None"""
    def SetReformDofSetAtEachStepFlag(self, arg0: bool) -> None:
        """SetReformDofSetAtEachStepFlag(self: Kratos.ResidualBasedLinearStrategy, arg0: bool) -> None"""

class ResidualBasedNewmarkDisplacementScheme(Scheme):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedNewmarkDisplacementScheme) -> None

        2. __init__(self: Kratos.ResidualBasedNewmarkDisplacementScheme, arg0: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedNewmarkDisplacementScheme) -> None

        2. __init__(self: Kratos.ResidualBasedNewmarkDisplacementScheme, arg0: Kratos::Parameters) -> None
        """

class ResidualBasedNewtonRaphsonStrategy(ImplicitSolvingStrategy):
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        3. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        4. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos::Parameters) -> None

        5. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: Kratos::Parameters) -> None

        6. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None

        7. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: LinearSolver, arg3: ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        3. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        4. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos::Parameters) -> None

        5. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: Kratos::Parameters) -> None

        6. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None

        7. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: ConvergenceCriteria, arg3: BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        3. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        4. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos::Parameters) -> None

        5. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: Kratos::Parameters) -> None

        6. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None

        7. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: LinearSolver, arg3: ConvergenceCriteria, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        3. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        4. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos::Parameters) -> None

        5. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: Kratos::Parameters) -> None

        6. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None

        7. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: ConvergenceCriteria, arg3: BuilderAndSolver, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        3. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        4. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos::Parameters) -> None

        5. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: Kratos::Parameters) -> None

        6. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None

        7. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: LinearSolver, arg3: ConvergenceCriteria, arg4: BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        3. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        4. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos::Parameters) -> None

        5. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: Kratos::Parameters) -> None

        6. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None

        7. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Scheme, arg2: LinearSolver, arg3: ConvergenceCriteria, arg4: BuilderAndSolver, arg5) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        3. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: int, arg5: bool, arg6: bool, arg7: bool) -> None

        4. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos::Parameters) -> None

        5. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.ConvergenceCriteria, arg3: Kratos.BuilderAndSolver, arg4: Kratos::Parameters) -> None

        6. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: int, arg6: bool, arg7: bool, arg8: bool) -> None

        7. __init__(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: Kratos.ModelPart, arg1: Kratos.Scheme, arg2: Kratos.LinearSolver, arg3: Kratos.ConvergenceCriteria, arg4: Kratos.BuilderAndSolver, arg5: Kratos::Parameters) -> None
        """
    def GetInitializePerformedFlag(self) -> bool:
        """GetInitializePerformedFlag(self: Kratos.ResidualBasedNewtonRaphsonStrategy) -> bool"""
    def GetKeepSystemConstantDuringIterations(self) -> bool:
        """GetKeepSystemConstantDuringIterations(self: Kratos.ResidualBasedNewtonRaphsonStrategy) -> bool"""
    def GetMaxIterationNumber(self) -> int:
        """GetMaxIterationNumber(self: Kratos.ResidualBasedNewtonRaphsonStrategy) -> int"""
    def GetNonconvergedSolutions(self) -> tuple[Matrix, DofsArrayType]:
        """GetNonconvergedSolutions(self: Kratos.ResidualBasedNewtonRaphsonStrategy) -> tuple[Kratos.Matrix, Kratos.DofsArrayType]"""
    def GetReformDofSetAtEachStepFlag(self) -> bool:
        """GetReformDofSetAtEachStepFlag(self: Kratos.ResidualBasedNewtonRaphsonStrategy) -> bool"""
    def GetUseOldStiffnessInFirstIterationFlag(self) -> bool:
        """GetUseOldStiffnessInFirstIterationFlag(self: Kratos.ResidualBasedNewtonRaphsonStrategy) -> bool"""
    def SetInitializePerformedFlag(self, arg0: bool) -> None:
        """SetInitializePerformedFlag(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: bool) -> None"""
    def SetKeepSystemConstantDuringIterations(self, arg0: bool) -> None:
        """SetKeepSystemConstantDuringIterations(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: bool) -> None"""
    def SetMaxIterationNumber(self, arg0: int) -> None:
        """SetMaxIterationNumber(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: int) -> None"""
    def SetReformDofSetAtEachStepFlag(self, arg0: bool) -> None:
        """SetReformDofSetAtEachStepFlag(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: bool) -> None"""
    def SetUpNonconvergedSolutionsFlag(self, arg0: bool) -> None:
        """SetUpNonconvergedSolutionsFlag(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: bool) -> None"""
    def SetUseOldStiffnessInFirstIterationFlag(self, arg0: bool) -> None:
        """SetUseOldStiffnessInFirstIterationFlag(self: Kratos.ResidualBasedNewtonRaphsonStrategy, arg0: bool) -> None"""

class ResidualBasedPseudoStaticDisplacementScheme(Scheme):
    @overload
    def __init__(self, arg0: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedPseudoStaticDisplacementScheme, arg0: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.ResidualBasedPseudoStaticDisplacementScheme, arg0: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualBasedPseudoStaticDisplacementScheme, arg0: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.ResidualBasedPseudoStaticDisplacementScheme, arg0: Kratos::Parameters) -> None
        """

class ResidualCriteria(ConvergenceCriteria):
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualCriteria, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualCriteria, arg0: float, arg1: float) -> None
        """
    @overload
    def __init__(self, arg0: float, arg1: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResidualCriteria, arg0: Kratos::Parameters) -> None

        2. __init__(self: Kratos.ResidualCriteria, arg0: float, arg1: float) -> None
        """

class ResultType:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResultType) -> None

        2. __init__(self: Kratos.ResultType, arg0: Kratos.GeometricalObject) -> None
        """
    @overload
    def __init__(self, arg0: GeometricalObject) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ResultType) -> None

        2. __init__(self: Kratos.ResultType, arg0: Kratos.GeometricalObject) -> None
        """
    def Get(self) -> GeometricalObject:
        """Get(self: Kratos.ResultType) -> Kratos.GeometricalObject"""
    def GetDistance(self) -> float:
        """GetDistance(self: Kratos.ResultType) -> float"""
    def IsDistanceCalculated(self) -> bool:
        """IsDistanceCalculated(self: Kratos.ResultType) -> bool"""
    def IsObjectFound(self) -> bool:
        """IsObjectFound(self: Kratos.ResultType) -> bool"""
    def Reset(self) -> None:
        """Reset(self: Kratos.ResultType) -> None"""
    def Set(self, arg0: GeometricalObject) -> None:
        """Set(self: Kratos.ResultType, arg0: Kratos.GeometricalObject) -> None"""
    def SetDistance(self, arg0: float) -> None:
        """SetDistance(self: Kratos.ResultType, arg0: float) -> None"""

class ScalingSolver(LinearSolver):
    @overload
    def __init__(self, arg0: LinearSolver) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ScalingSolver, arg0: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.ScalingSolver, arg0: Kratos.LinearSolver, arg1: bool) -> None

        3. __init__(self: Kratos.ScalingSolver, arg0: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: LinearSolver, arg1: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ScalingSolver, arg0: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.ScalingSolver, arg0: Kratos.LinearSolver, arg1: bool) -> None

        3. __init__(self: Kratos.ScalingSolver, arg0: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.ScalingSolver, arg0: Kratos.LinearSolver) -> None

        2. __init__(self: Kratos.ScalingSolver, arg0: Kratos.LinearSolver, arg1: bool) -> None

        3. __init__(self: Kratos.ScalingSolver, arg0: Kratos::Parameters) -> None
        """

class Scheme:
    def __init__(self) -> None:
        """__init__(self: Kratos.Scheme) -> None"""
    def CalculateOutputData(self, arg0: ModelPart, arg1: DofsArrayType, arg2: CompressedMatrix, arg3: Vector, arg4: Vector) -> None:
        """CalculateOutputData(self: Kratos.Scheme, arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector, arg4: Kratos.Vector) -> None"""
    def Check(self, arg0: ModelPart) -> int:
        """Check(self: Kratos.Scheme, arg0: Kratos.ModelPart) -> int"""
    def Clean(self) -> None:
        """Clean(self: Kratos.Scheme) -> None"""
    def Clear(self) -> None:
        """Clear(self: Kratos.Scheme) -> None"""
    def ConditionsAreInitialized(self) -> bool:
        """ConditionsAreInitialized(self: Kratos.Scheme) -> bool"""
    def Create(self, arg0) -> Scheme:
        """Create(self: Kratos.Scheme, arg0: Kratos::Parameters) -> Kratos.Scheme"""
    def ElementsAreInitialized(self) -> bool:
        """ElementsAreInitialized(self: Kratos.Scheme) -> bool"""
    def FinalizeNonLinIteration(self, arg0: ModelPart, arg1: CompressedMatrix, arg2: Vector, arg3: Vector) -> None:
        """FinalizeNonLinIteration(self: Kratos.Scheme, arg0: Kratos.ModelPart, arg1: Kratos.CompressedMatrix, arg2: Kratos.Vector, arg3: Kratos.Vector) -> None"""
    def FinalizeSolutionStep(self, arg0: ModelPart, arg1: CompressedMatrix, arg2: Vector, arg3: Vector) -> None:
        """FinalizeSolutionStep(self: Kratos.Scheme, arg0: Kratos.ModelPart, arg1: Kratos.CompressedMatrix, arg2: Kratos.Vector, arg3: Kratos.Vector) -> None"""
    def GetDefaultParameters(self, *args, **kwargs):
        """GetDefaultParameters(self: Kratos.Scheme) -> Kratos::Parameters"""
    def Info(self) -> str:
        """Info(self: Kratos.Scheme) -> str"""
    def Initialize(self, arg0: ModelPart) -> None:
        """Initialize(self: Kratos.Scheme, arg0: Kratos.ModelPart) -> None"""
    def InitializeConditions(self, arg0: ModelPart) -> None:
        """InitializeConditions(self: Kratos.Scheme, arg0: Kratos.ModelPart) -> None"""
    def InitializeElements(self, arg0: ModelPart) -> None:
        """InitializeElements(self: Kratos.Scheme, arg0: Kratos.ModelPart) -> None"""
    def InitializeNonLinIteration(self, arg0: ModelPart, arg1: CompressedMatrix, arg2: Vector, arg3: Vector) -> None:
        """InitializeNonLinIteration(self: Kratos.Scheme, arg0: Kratos.ModelPart, arg1: Kratos.CompressedMatrix, arg2: Kratos.Vector, arg3: Kratos.Vector) -> None"""
    def InitializeSolutionStep(self, arg0: ModelPart, arg1: CompressedMatrix, arg2: Vector, arg3: Vector) -> None:
        """InitializeSolutionStep(self: Kratos.Scheme, arg0: Kratos.ModelPart, arg1: Kratos.CompressedMatrix, arg2: Kratos.Vector, arg3: Kratos.Vector) -> None"""
    def MoveMesh(self, arg0: NodesArray) -> None:
        """MoveMesh(self: Kratos.Scheme, arg0: Kratos.NodesArray) -> None"""
    def Predict(self, arg0: ModelPart, arg1: DofsArrayType, arg2: CompressedMatrix, arg3: Vector, arg4: Vector) -> None:
        """Predict(self: Kratos.Scheme, arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector, arg4: Kratos.Vector) -> None"""
    def SchemeIsInitialized(self) -> bool:
        """SchemeIsInitialized(self: Kratos.Scheme) -> bool"""
    def Update(self, arg0: ModelPart, arg1: DofsArrayType, arg2: CompressedMatrix, arg3: Vector, arg4: Vector) -> None:
        """Update(self: Kratos.Scheme, arg0: Kratos.ModelPart, arg1: Kratos.DofsArrayType, arg2: Kratos.CompressedMatrix, arg3: Kratos.Vector, arg4: Kratos.Vector) -> None"""

class SensitivityBuilder:
    @overload
    def __init__(self, arg0, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SensitivityBuilder, arg0: Kratos::Parameters, arg1: Kratos.ModelPart, arg2: Kratos::AdjointResponseFunction) -> None

        2. __init__(self: Kratos.SensitivityBuilder, arg0: Kratos::Parameters, arg1: Kratos.ModelPart, arg2: Kratos::AdjointResponseFunction, arg3: Kratos.SensitivityBuilderScheme) -> None
        """
    @overload
    def __init__(self, arg0, arg1: ModelPart, arg2, arg3: SensitivityBuilderScheme) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SensitivityBuilder, arg0: Kratos::Parameters, arg1: Kratos.ModelPart, arg2: Kratos::AdjointResponseFunction) -> None

        2. __init__(self: Kratos.SensitivityBuilder, arg0: Kratos::Parameters, arg1: Kratos.ModelPart, arg2: Kratos::AdjointResponseFunction, arg3: Kratos.SensitivityBuilderScheme) -> None
        """
    def Finalize(self) -> None:
        """Finalize(self: Kratos.SensitivityBuilder) -> None"""
    def FinalizeSolutionStep(self) -> None:
        """FinalizeSolutionStep(self: Kratos.SensitivityBuilder) -> None"""
    def Initialize(self) -> None:
        """Initialize(self: Kratos.SensitivityBuilder) -> None"""
    def InitializeSolutionStep(self) -> None:
        """InitializeSolutionStep(self: Kratos.SensitivityBuilder) -> None"""
    def SetResponseFunction(self, new_response_function) -> None:
        """SetResponseFunction(self: Kratos.SensitivityBuilder, new_response_function: Kratos::AdjointResponseFunction) -> None"""
    def UpdateSensitivities(self) -> None:
        """UpdateSensitivities(self: Kratos.SensitivityBuilder) -> None"""

class SensitivityBuilderScheme:
    def __init__(self) -> None:
        """__init__(self: Kratos.SensitivityBuilderScheme) -> None"""
    def Check(self, arg0: ModelPart, arg1: ModelPart) -> int:
        """Check(self: Kratos.SensitivityBuilderScheme, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart) -> int"""
    def Clear(self) -> None:
        """Clear(self: Kratos.SensitivityBuilderScheme) -> None"""
    def Finalize(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """Finalize(self: Kratos.SensitivityBuilderScheme, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::AdjointResponseFunction) -> None"""
    def FinalizeSolutionStep(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """FinalizeSolutionStep(self: Kratos.SensitivityBuilderScheme, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::AdjointResponseFunction) -> None"""
    def Info(self) -> str:
        """Info(self: Kratos.SensitivityBuilderScheme) -> str"""
    def Initialize(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """Initialize(self: Kratos.SensitivityBuilderScheme, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::AdjointResponseFunction) -> None"""
    def InitializeSolutionStep(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """InitializeSolutionStep(self: Kratos.SensitivityBuilderScheme, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::AdjointResponseFunction) -> None"""
    def Update(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """Update(self: Kratos.SensitivityBuilderScheme, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::AdjointResponseFunction) -> None"""

class SerialModelPartCombinatorModeler(Modeler):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SerialModelPartCombinatorModeler) -> None

        2. __init__(self: Kratos.SerialModelPartCombinatorModeler, arg0: Kratos.Model, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: Model, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SerialModelPartCombinatorModeler) -> None

        2. __init__(self: Kratos.SerialModelPartCombinatorModeler, arg0: Kratos.Model, arg1: Kratos::Parameters) -> None
        """

class Serializer:
    MPI: ClassVar[Flags] = ...
    SHALLOW_GLOBAL_POINTERS_SERIALIZATION: ClassVar[Flags] = ...
    @overload
    def __init__(self, arg0: str) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Serializer, arg0: str) -> None

        2. __init__(self: Kratos.Serializer, arg0: str, arg1: Kratos::Serializer::TraceType) -> None
        """
    @overload
    def __init__(self, arg0: str, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Serializer, arg0: str) -> None

        2. __init__(self: Kratos.Serializer, arg0: str, arg1: Kratos::Serializer::TraceType) -> None
        """
    @overload
    def Load(self, arg0: str, arg1: ModelPart) -> None:
        """Load(*args, **kwargs)
        Overloaded function.

        1. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos.ModelPart) -> None

        2. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos::Parameters) -> None

        3. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos.Model) -> None

        4. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos.Flags) -> None
        """
    @overload
    def Load(self, arg0: str, arg1) -> None:
        """Load(*args, **kwargs)
        Overloaded function.

        1. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos.ModelPart) -> None

        2. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos::Parameters) -> None

        3. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos.Model) -> None

        4. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos.Flags) -> None
        """
    @overload
    def Load(self, arg0: str, arg1: Model) -> None:
        """Load(*args, **kwargs)
        Overloaded function.

        1. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos.ModelPart) -> None

        2. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos::Parameters) -> None

        3. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos.Model) -> None

        4. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos.Flags) -> None
        """
    @overload
    def Load(self, arg0: str, arg1: Flags) -> None:
        """Load(*args, **kwargs)
        Overloaded function.

        1. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos.ModelPart) -> None

        2. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos::Parameters) -> None

        3. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos.Model) -> None

        4. Load(self: Kratos.Serializer, arg0: str, arg1: Kratos.Flags) -> None
        """
    @overload
    def LoadFromBeginning(self, arg0: str, arg1: ModelPart) -> None:
        """LoadFromBeginning(*args, **kwargs)
        Overloaded function.

        1. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos.ModelPart) -> None

        2. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos::Parameters) -> None

        3. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos.Model) -> None

        4. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos.Flags) -> None
        """
    @overload
    def LoadFromBeginning(self, arg0: str, arg1) -> None:
        """LoadFromBeginning(*args, **kwargs)
        Overloaded function.

        1. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos.ModelPart) -> None

        2. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos::Parameters) -> None

        3. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos.Model) -> None

        4. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos.Flags) -> None
        """
    @overload
    def LoadFromBeginning(self, arg0: str, arg1: Model) -> None:
        """LoadFromBeginning(*args, **kwargs)
        Overloaded function.

        1. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos.ModelPart) -> None

        2. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos::Parameters) -> None

        3. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos.Model) -> None

        4. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos.Flags) -> None
        """
    @overload
    def LoadFromBeginning(self, arg0: str, arg1: Flags) -> None:
        """LoadFromBeginning(*args, **kwargs)
        Overloaded function.

        1. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos.ModelPart) -> None

        2. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos::Parameters) -> None

        3. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos.Model) -> None

        4. LoadFromBeginning(self: Kratos.Serializer, arg0: str, arg1: Kratos.Flags) -> None
        """
    def Print(self) -> None:
        """Print(self: Kratos.Serializer) -> None"""
    @overload
    def Save(self, arg0: str, arg1: ModelPart) -> None:
        """Save(*args, **kwargs)
        Overloaded function.

        1. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos.ModelPart) -> None

        2. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos::Parameters) -> None

        3. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos.Model) -> None

        4. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos.Flags) -> None
        """
    @overload
    def Save(self, arg0: str, arg1) -> None:
        """Save(*args, **kwargs)
        Overloaded function.

        1. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos.ModelPart) -> None

        2. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos::Parameters) -> None

        3. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos.Model) -> None

        4. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos.Flags) -> None
        """
    @overload
    def Save(self, arg0: str, arg1: Model) -> None:
        """Save(*args, **kwargs)
        Overloaded function.

        1. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos.ModelPart) -> None

        2. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos::Parameters) -> None

        3. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos.Model) -> None

        4. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos.Flags) -> None
        """
    @overload
    def Save(self, arg0: str, arg1: Flags) -> None:
        """Save(*args, **kwargs)
        Overloaded function.

        1. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos.ModelPart) -> None

        2. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos::Parameters) -> None

        3. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos.Model) -> None

        4. Save(self: Kratos.Serializer, arg0: str, arg1: Kratos.Flags) -> None
        """
    def Set(self, arg0: Flags) -> None:
        """Set(self: Kratos.Serializer, arg0: Kratos.Flags) -> None"""

class SerializerTraceType:
    __members__: ClassVar[dict] = ...  # read-only
    SERIALIZER_NO_TRACE: ClassVar[SerializerTraceType] = ...
    SERIALIZER_TRACE_ALL: ClassVar[SerializerTraceType] = ...
    SERIALIZER_TRACE_ERROR: ClassVar[SerializerTraceType] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.SerializerTraceType, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.SerializerTraceType) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.SerializerTraceType) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class SetInitialStateProcess2D(Process):
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: Kratos.Vector, arg3: Kratos.Matrix) -> None

        3. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: int) -> None

        4. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Vector, arg2: Vector, arg3: Matrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: Kratos.Vector, arg3: Kratos.Matrix) -> None

        3. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: int) -> None

        4. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Vector, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: Kratos.Vector, arg3: Kratos.Matrix) -> None

        3. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: int) -> None

        4. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Matrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: Kratos.Vector, arg3: Kratos.Matrix) -> None

        3. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: int) -> None

        4. __init__(self: Kratos.SetInitialStateProcess2D, arg0: Kratos.ModelPart, arg1: Kratos.Matrix) -> None
        """

class SetInitialStateProcess3D(Process):
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: Kratos.Vector, arg3: Kratos.Matrix) -> None

        3. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: int) -> None

        4. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Vector, arg2: Vector, arg3: Matrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: Kratos.Vector, arg3: Kratos.Matrix) -> None

        3. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: int) -> None

        4. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Vector, arg2: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: Kratos.Vector, arg3: Kratos.Matrix) -> None

        3. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: int) -> None

        4. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.Matrix) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: Matrix) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: Kratos.Vector, arg3: Kratos.Matrix) -> None

        3. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.Vector, arg2: int) -> None

        4. __init__(self: Kratos.SetInitialStateProcess3D, arg0: Kratos.ModelPart, arg1: Kratos.Matrix) -> None
        """

class ShiftedBoundaryMeshlessInterfaceUtility:
    def __init__(self, arg0: Model, arg1) -> None:
        """__init__(self: Kratos.ShiftedBoundaryMeshlessInterfaceUtility, arg0: Kratos.Model, arg1: Kratos::Parameters) -> None"""
    def CalculateExtensionOperator(self) -> None:
        """CalculateExtensionOperator(self: Kratos.ShiftedBoundaryMeshlessInterfaceUtility) -> None"""

class SignedDistanceCalculationUtils2D:
    def __init__(self) -> None:
        """__init__(self: Kratos.SignedDistanceCalculationUtils2D) -> None"""
    def CalculateDistances(self, arg0: ModelPart, arg1: DoubleVariable, arg2: float) -> None:
        """CalculateDistances(self: Kratos.SignedDistanceCalculationUtils2D, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: float) -> None"""
    def FindMaximumEdgeSize(self, arg0: ModelPart) -> float:
        """FindMaximumEdgeSize(self: Kratos.SignedDistanceCalculationUtils2D, arg0: Kratos.ModelPart) -> float"""

class SignedDistanceCalculationUtils3D:
    def __init__(self) -> None:
        """__init__(self: Kratos.SignedDistanceCalculationUtils3D) -> None"""
    def CalculateDistances(self, arg0: ModelPart, arg1: DoubleVariable, arg2: float) -> None:
        """CalculateDistances(self: Kratos.SignedDistanceCalculationUtils3D, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: float) -> None"""
    def FindMaximumEdgeSize(self, arg0: ModelPart) -> float:
        """FindMaximumEdgeSize(self: Kratos.SignedDistanceCalculationUtils3D, arg0: Kratos.ModelPart) -> float"""

class SimpleMortarMapperProcess(Process):
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters, arg3: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """

class SimpleMortarMapperProcess2D2NDouble(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3: DoubleVariable, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    def Map(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: Flags) -> None:
        """Map(self: Kratos.SimpleMortarMapperProcess2D2NDouble, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.Flags) -> None"""

class SimpleMortarMapperProcess2D2NVector(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3: Array1DVariable3, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    def Map(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: Flags) -> None:
        """Map(self: Kratos.SimpleMortarMapperProcess2D2NVector, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.Flags) -> None"""

class SimpleMortarMapperProcess3D3N4NDouble(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3: DoubleVariable, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    def Map(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: Flags) -> None:
        """Map(self: Kratos.SimpleMortarMapperProcess3D3N4NDouble, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.Flags) -> None"""

class SimpleMortarMapperProcess3D3N4NVector(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3: Array1DVariable3, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    def Map(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: Flags) -> None:
        """Map(self: Kratos.SimpleMortarMapperProcess3D3N4NVector, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.Flags) -> None"""

class SimpleMortarMapperProcess3D3NDouble(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3: DoubleVariable, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    def Map(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: Flags) -> None:
        """Map(self: Kratos.SimpleMortarMapperProcess3D3NDouble, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.Flags) -> None"""

class SimpleMortarMapperProcess3D3NVector(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3: Array1DVariable3, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    def Map(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: Flags) -> None:
        """Map(self: Kratos.SimpleMortarMapperProcess3D3NVector, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.Flags) -> None"""

class SimpleMortarMapperProcess3D4N3NDouble(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3: DoubleVariable, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    def Map(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: Flags) -> None:
        """Map(self: Kratos.SimpleMortarMapperProcess3D4N3NDouble, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.Flags) -> None"""

class SimpleMortarMapperProcess3D4N3NVector(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3: Array1DVariable3, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    def Map(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: Flags) -> None:
        """Map(self: Kratos.SimpleMortarMapperProcess3D4N3NVector, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.Flags) -> None"""

class SimpleMortarMapperProcess3D4NDouble(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3: DoubleVariable) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: DoubleVariable, arg3: DoubleVariable, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    def Map(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: Flags) -> None:
        """Map(self: Kratos.SimpleMortarMapperProcess3D4NDouble, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.Flags) -> None"""

class SimpleMortarMapperProcess3D4NVector(Process):
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3: Array1DVariable3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: ModelPart, arg2: Array1DVariable3, arg3: Array1DVariable3, arg4) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3) -> None

        2. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None

        3. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters) -> None

        4. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos::Parameters, arg4: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        5. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters) -> None

        7. __init__(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: Kratos::Parameters, arg5: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None
        """
    def Map(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: Flags) -> None:
        """Map(self: Kratos.SimpleMortarMapperProcess3D4NVector, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.Flags) -> None"""

class SkinDetectionProcess2D(Process):
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SkinDetectionProcess2D, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.SkinDetectionProcess2D, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SkinDetectionProcess2D, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.SkinDetectionProcess2D, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """

class SkinDetectionProcess3D(Process):
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SkinDetectionProcess3D, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.SkinDetectionProcess3D, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SkinDetectionProcess3D, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.SkinDetectionProcess3D, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """

class SkylineLUFactorizationSolver(DirectSolver):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SkylineLUFactorizationSolver) -> None

        2. __init__(self: Kratos.SkylineLUFactorizationSolver, arg0: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SkylineLUFactorizationSolver) -> None

        2. __init__(self: Kratos.SkylineLUFactorizationSolver, arg0: Kratos::Parameters) -> None
        """

class SlipConstraint(LinearMasterSlaveConstraint):
    @overload
    def __init__(self, arg0: int, arg1: Dof, arg2: Dof, arg3: Array3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SlipConstraint, arg0: int, arg1: Kratos.Dof, arg2: Kratos.Dof, arg3: Kratos.Array3) -> None

        2. __init__(self: Kratos.SlipConstraint, arg0: int, arg1: Kratos.Dof, arg2: Kratos.Dof, arg3: Kratos.Dof, arg4: Kratos.Array3) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: Dof, arg2: Dof, arg3: Dof, arg4: Array3) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SlipConstraint, arg0: int, arg1: Kratos.Dof, arg2: Kratos.Dof, arg3: Kratos.Array3) -> None

        2. __init__(self: Kratos.SlipConstraint, arg0: int, arg1: Kratos.Dof, arg2: Kratos.Dof, arg3: Kratos.Dof, arg4: Kratos.Array3) -> None
        """

class SparseContiguousRowGraph:
    def __init__(self, arg0: int) -> None:
        """__init__(self: Kratos.SparseContiguousRowGraph, arg0: int) -> None"""
    @overload
    def AddEntries(self, arg0: list[int]) -> None:
        """AddEntries(*args, **kwargs)
        Overloaded function.

        1. AddEntries(self: Kratos.SparseContiguousRowGraph, arg0: list[int]) -> None

        2. AddEntries(self: Kratos.SparseContiguousRowGraph, arg0: list[int], arg1: list[int]) -> None
        """
    @overload
    def AddEntries(self, arg0: list[int], arg1: list[int]) -> None:
        """AddEntries(*args, **kwargs)
        Overloaded function.

        1. AddEntries(self: Kratos.SparseContiguousRowGraph, arg0: list[int]) -> None

        2. AddEntries(self: Kratos.SparseContiguousRowGraph, arg0: list[int], arg1: list[int]) -> None
        """
    def AddEntry(self, arg0: int, arg1: int) -> None:
        """AddEntry(self: Kratos.SparseContiguousRowGraph, arg0: int, arg1: int) -> None"""
    def ExportSingleVectorRepresentation(self) -> list[int]:
        """ExportSingleVectorRepresentation(self: Kratos.SparseContiguousRowGraph) -> list[int]"""
    def Finalize(self) -> None:
        """Finalize(self: Kratos.SparseContiguousRowGraph) -> None"""
    def GetComm(self) -> DataCommunicator:
        """GetComm(self: Kratos.SparseContiguousRowGraph) -> Kratos.DataCommunicator"""
    def GetGraph(self, *args, **kwargs):
        """GetGraph(self: Kratos.SparseContiguousRowGraph) -> boost::numeric::ublas::vector<std::unordered_set<unsigned __int64,std::hash<unsigned __int64>,std::equal_to<unsigned __int64>,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<std::unordered_set<unsigned __int64,std::hash<unsigned __int64>,std::equal_to<unsigned __int64>,std::allocator<unsigned __int64> >,std::allocator<std::unordered_set<unsigned __int64,std::hash<unsigned __int64>,std::equal_to<unsigned __int64>,std::allocator<unsigned __int64> > > > >"""
    def Size(self) -> int:
        """Size(self: Kratos.SparseContiguousRowGraph) -> int"""

class SparseGraph:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SparseGraph) -> None

        2. __init__(self: Kratos.SparseGraph, arg0: int) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SparseGraph) -> None

        2. __init__(self: Kratos.SparseGraph, arg0: int) -> None
        """
    @overload
    def AddEntries(self, arg0: list[int]) -> None:
        """AddEntries(*args, **kwargs)
        Overloaded function.

        1. AddEntries(self: Kratos.SparseGraph, arg0: list[int]) -> None

        2. AddEntries(self: Kratos.SparseGraph, arg0: list[int], arg1: list[int]) -> None
        """
    @overload
    def AddEntries(self, arg0: list[int], arg1: list[int]) -> None:
        """AddEntries(*args, **kwargs)
        Overloaded function.

        1. AddEntries(self: Kratos.SparseGraph, arg0: list[int]) -> None

        2. AddEntries(self: Kratos.SparseGraph, arg0: list[int], arg1: list[int]) -> None
        """
    def AddEntry(self, arg0: int, arg1: int) -> None:
        """AddEntry(self: Kratos.SparseGraph, arg0: int, arg1: int) -> None"""
    def ExportSingleVectorRepresentation(self) -> list[int]:
        """ExportSingleVectorRepresentation(self: Kratos.SparseGraph) -> list[int]"""
    def Finalize(self) -> None:
        """Finalize(self: Kratos.SparseGraph) -> None"""
    def GetComm(self) -> DataCommunicator:
        """GetComm(self: Kratos.SparseGraph) -> Kratos.DataCommunicator"""
    def GetGraph(self) -> dict[int, set[int]]:
        """GetGraph(self: Kratos.SparseGraph) -> dict[int, set[int]]"""
    def IsEmpty(self) -> bool:
        """IsEmpty(self: Kratos.SparseGraph) -> bool"""
    def Size(self) -> int:
        """Size(self: Kratos.SparseGraph) -> int"""

class SparseMatrixMultiplicationUtility:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @classmethod
    def MatrixAdd(cls, arg0: CompressedMatrix, arg1: CompressedMatrix, arg2: float) -> None:
        """MatrixAdd(arg0: Kratos.CompressedMatrix, arg1: Kratos.CompressedMatrix, arg2: float) -> None"""
    @classmethod
    def MatrixMultiplication(cls, arg0: CompressedMatrix, arg1: CompressedMatrix, arg2: CompressedMatrix) -> None:
        """MatrixMultiplication(arg0: Kratos.CompressedMatrix, arg1: Kratos.CompressedMatrix, arg2: Kratos.CompressedMatrix) -> None"""
    @classmethod
    def MatrixMultiplicationRMerge(cls, arg0: CompressedMatrix, arg1: CompressedMatrix, arg2: CompressedMatrix) -> None:
        """MatrixMultiplicationRMerge(arg0: Kratos.CompressedMatrix, arg1: Kratos.CompressedMatrix, arg2: Kratos.CompressedMatrix) -> None"""
    @classmethod
    def MatrixMultiplicationSaad(cls, arg0: CompressedMatrix, arg1: CompressedMatrix, arg2: CompressedMatrix) -> None:
        """MatrixMultiplicationSaad(arg0: Kratos.CompressedMatrix, arg1: Kratos.CompressedMatrix, arg2: Kratos.CompressedMatrix) -> None"""
    @classmethod
    def TransposeMatrix(cls, arg0: CompressedMatrix, arg1: CompressedMatrix, arg2: float) -> None:
        """TransposeMatrix(arg0: Kratos.CompressedMatrix, arg1: Kratos.CompressedMatrix, arg2: float) -> None"""

class SpatialSearch:
    def __init__(self) -> None:
        """__init__(self: Kratos.SpatialSearch) -> None"""
    @overload
    def SearchConditionsInRadiusExclusive(self, arg0: ModelPart, arg1: list) -> tuple[list, list]:
        """SearchConditionsInRadiusExclusive(*args, **kwargs)
        Overloaded function.

        1. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]

        3. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: list) -> tuple[list, list]

        4. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchConditionsInRadiusExclusive(self, arg0: ModelPart, arg1: ConditionsArray, arg2: list) -> tuple[list, list]:
        """SearchConditionsInRadiusExclusive(*args, **kwargs)
        Overloaded function.

        1. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]

        3. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: list) -> tuple[list, list]

        4. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchConditionsInRadiusExclusive(self, arg0: ConditionsArray, arg1: list) -> tuple[list, list]:
        """SearchConditionsInRadiusExclusive(*args, **kwargs)
        Overloaded function.

        1. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]

        3. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: list) -> tuple[list, list]

        4. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchConditionsInRadiusExclusive(self, arg0: ConditionsArray, arg1: ConditionsArray, arg2: list) -> tuple[list, list]:
        """SearchConditionsInRadiusExclusive(*args, **kwargs)
        Overloaded function.

        1. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]

        3. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: list) -> tuple[list, list]

        4. SearchConditionsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchConditionsInRadiusInclusive(self, arg0: ModelPart, arg1: list) -> tuple[list, list]:
        """SearchConditionsInRadiusInclusive(*args, **kwargs)
        Overloaded function.

        1. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]

        3. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: list) -> tuple[list, list]

        4. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchConditionsInRadiusInclusive(self, arg0: ModelPart, arg1: ConditionsArray, arg2: list) -> tuple[list, list]:
        """SearchConditionsInRadiusInclusive(*args, **kwargs)
        Overloaded function.

        1. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]

        3. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: list) -> tuple[list, list]

        4. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchConditionsInRadiusInclusive(self, arg0: ConditionsArray, arg1: list) -> tuple[list, list]:
        """SearchConditionsInRadiusInclusive(*args, **kwargs)
        Overloaded function.

        1. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]

        3. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: list) -> tuple[list, list]

        4. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchConditionsInRadiusInclusive(self, arg0: ConditionsArray, arg1: ConditionsArray, arg2: list) -> tuple[list, list]:
        """SearchConditionsInRadiusInclusive(*args, **kwargs)
        Overloaded function.

        1. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]

        3. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: list) -> tuple[list, list]

        4. SearchConditionsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ConditionsArray, arg1: Kratos.ConditionsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchElementsInRadiusExclusive(self, arg0: ModelPart, arg1: list) -> tuple[list, list]:
        """SearchElementsInRadiusExclusive(*args, **kwargs)
        Overloaded function.

        1. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]

        3. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: list) -> tuple[list, list]

        4. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchElementsInRadiusExclusive(self, arg0: ModelPart, arg1: ElementsArray, arg2: list) -> tuple[list, list]:
        """SearchElementsInRadiusExclusive(*args, **kwargs)
        Overloaded function.

        1. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]

        3. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: list) -> tuple[list, list]

        4. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchElementsInRadiusExclusive(self, arg0: ElementsArray, arg1: list) -> tuple[list, list]:
        """SearchElementsInRadiusExclusive(*args, **kwargs)
        Overloaded function.

        1. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]

        3. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: list) -> tuple[list, list]

        4. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchElementsInRadiusExclusive(self, arg0: ElementsArray, arg1: ElementsArray, arg2: list) -> tuple[list, list]:
        """SearchElementsInRadiusExclusive(*args, **kwargs)
        Overloaded function.

        1. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]

        3. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: list) -> tuple[list, list]

        4. SearchElementsInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchElementsInRadiusInclusive(self, arg0: ModelPart, arg1: list) -> tuple[list, list]:
        """SearchElementsInRadiusInclusive(*args, **kwargs)
        Overloaded function.

        1. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]

        3. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: list) -> tuple[list, list]

        4. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchElementsInRadiusInclusive(self, arg0: ModelPart, arg1: ElementsArray, arg2: list) -> tuple[list, list]:
        """SearchElementsInRadiusInclusive(*args, **kwargs)
        Overloaded function.

        1. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]

        3. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: list) -> tuple[list, list]

        4. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchElementsInRadiusInclusive(self, arg0: ElementsArray, arg1: list) -> tuple[list, list]:
        """SearchElementsInRadiusInclusive(*args, **kwargs)
        Overloaded function.

        1. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]

        3. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: list) -> tuple[list, list]

        4. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchElementsInRadiusInclusive(self, arg0: ElementsArray, arg1: ElementsArray, arg2: list) -> tuple[list, list]:
        """SearchElementsInRadiusInclusive(*args, **kwargs)
        Overloaded function.

        1. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]

        3. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: list) -> tuple[list, list]

        4. SearchElementsInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ElementsArray, arg1: Kratos.ElementsArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchNodesInRadiusExclusive(self, arg0: ModelPart, arg1: list) -> tuple[list, list]:
        """SearchNodesInRadiusExclusive(*args, **kwargs)
        Overloaded function.

        1. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]

        3. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: list) -> tuple[list, list]

        4. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchNodesInRadiusExclusive(self, arg0: ModelPart, arg1: NodesArray, arg2: list) -> tuple[list, list]:
        """SearchNodesInRadiusExclusive(*args, **kwargs)
        Overloaded function.

        1. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]

        3. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: list) -> tuple[list, list]

        4. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchNodesInRadiusExclusive(self, arg0: NodesArray, arg1: list) -> tuple[list, list]:
        """SearchNodesInRadiusExclusive(*args, **kwargs)
        Overloaded function.

        1. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]

        3. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: list) -> tuple[list, list]

        4. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchNodesInRadiusExclusive(self, arg0: NodesArray, arg1: NodesArray, arg2: list) -> tuple[list, list]:
        """SearchNodesInRadiusExclusive(*args, **kwargs)
        Overloaded function.

        1. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]

        3. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: list) -> tuple[list, list]

        4. SearchNodesInRadiusExclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchNodesInRadiusInclusive(self, arg0: ModelPart, arg1: list) -> tuple[list, list]:
        """SearchNodesInRadiusInclusive(*args, **kwargs)
        Overloaded function.

        1. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]

        3. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: list) -> tuple[list, list]

        4. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchNodesInRadiusInclusive(self, arg0: ModelPart, arg1: NodesArray, arg2: list) -> tuple[list, list]:
        """SearchNodesInRadiusInclusive(*args, **kwargs)
        Overloaded function.

        1. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]

        3. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: list) -> tuple[list, list]

        4. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchNodesInRadiusInclusive(self, arg0: NodesArray, arg1: list) -> tuple[list, list]:
        """SearchNodesInRadiusInclusive(*args, **kwargs)
        Overloaded function.

        1. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]

        3. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: list) -> tuple[list, list]

        4. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]
        """
    @overload
    def SearchNodesInRadiusInclusive(self, arg0: NodesArray, arg1: NodesArray, arg2: list) -> tuple[list, list]:
        """SearchNodesInRadiusInclusive(*args, **kwargs)
        Overloaded function.

        1. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: list) -> tuple[list, list]

        2. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.ModelPart, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]

        3. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: list) -> tuple[list, list]

        4. SearchNodesInRadiusInclusive(self: Kratos.SpatialSearch, arg0: Kratos.NodesArray, arg1: Kratos.NodesArray, arg2: list) -> tuple[list, list]
        """

class SpatialSearchBinsDynamic(SpatialSearch):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SpatialSearchBinsDynamic) -> None

        2. __init__(self: Kratos.SpatialSearchBinsDynamic, arg0: Kratos.Parameters) -> None
        """
    @overload
    def __init__(self, arg0: Parameters) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SpatialSearchBinsDynamic) -> None

        2. __init__(self: Kratos.SpatialSearchBinsDynamic, arg0: Kratos.Parameters) -> None
        """

class SpatialSearchBinsStatic(SpatialSearch):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SpatialSearchBinsStatic) -> None

        2. __init__(self: Kratos.SpatialSearchBinsStatic, arg0: Kratos.Parameters) -> None
        """
    @overload
    def __init__(self, arg0: Parameters) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SpatialSearchBinsStatic) -> None

        2. __init__(self: Kratos.SpatialSearchBinsStatic, arg0: Kratos.Parameters) -> None
        """

class SpatialSearchKDTree(SpatialSearch):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SpatialSearchKDTree) -> None

        2. __init__(self: Kratos.SpatialSearchKDTree, arg0: Kratos.Parameters) -> None
        """
    @overload
    def __init__(self, arg0: Parameters) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SpatialSearchKDTree) -> None

        2. __init__(self: Kratos.SpatialSearchKDTree, arg0: Kratos.Parameters) -> None
        """

class SpatialSearchOctree(SpatialSearch):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SpatialSearchOctree) -> None

        2. __init__(self: Kratos.SpatialSearchOctree, arg0: Kratos.Parameters) -> None
        """
    @overload
    def __init__(self, arg0: Parameters) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SpatialSearchOctree) -> None

        2. __init__(self: Kratos.SpatialSearchOctree, arg0: Kratos.Parameters) -> None
        """

class SpecializedSpatialSearch(SpatialSearch):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SpecializedSpatialSearch) -> None

        2. __init__(self: Kratos.SpecializedSpatialSearch, arg0: Kratos.Parameters) -> None
        """
    @overload
    def __init__(self, arg0: Parameters) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SpecializedSpatialSearch) -> None

        2. __init__(self: Kratos.SpecializedSpatialSearch, arg0: Kratos.Parameters) -> None
        """

class SplitInternalInterfacesProcess(Process):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.SplitInternalInterfacesProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None"""

class StlIO(IO):
    @overload
    def __init__(self, arg0: os.PathLike) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.StlIO, arg0: os.PathLike) -> None

        2. __init__(self: Kratos.StlIO, arg0: os.PathLike, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: os.PathLike, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.StlIO, arg0: os.PathLike) -> None

        2. __init__(self: Kratos.StlIO, arg0: os.PathLike, arg1: Kratos::Parameters) -> None
        """

class StrainMeasure:
    __members__: ClassVar[dict] = ...  # read-only
    StrainMeasure_Deformation_Gradient: ClassVar[StrainMeasure] = ...
    StrainMeasure_GreenLagrange: ClassVar[StrainMeasure] = ...
    StrainMeasure_Hencky_Material: ClassVar[StrainMeasure] = ...
    StrainMeasure_Hencky_Spatial: ClassVar[StrainMeasure] = ...
    StrainMeasure_Infinitesimal: ClassVar[StrainMeasure] = ...
    StrainMeasure_Left_CauchyGreen: ClassVar[StrainMeasure] = ...
    StrainMeasure_Right_CauchyGreen: ClassVar[StrainMeasure] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.StrainMeasure, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.StrainMeasure) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.StrainMeasure) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class StreamSerializer(Serializer):
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.StreamSerializer) -> None

        2. __init__(self: Kratos.StreamSerializer, arg0: str) -> None

        3. __init__(self: Kratos.StreamSerializer, arg0: Kratos::Serializer::TraceType) -> None

        4. __init__(self: Kratos.StreamSerializer, arg0: str, arg1: Kratos::Serializer::TraceType) -> None
        """
    @overload
    def __init__(self, arg0: str) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.StreamSerializer) -> None

        2. __init__(self: Kratos.StreamSerializer, arg0: str) -> None

        3. __init__(self: Kratos.StreamSerializer, arg0: Kratos::Serializer::TraceType) -> None

        4. __init__(self: Kratos.StreamSerializer, arg0: str, arg1: Kratos::Serializer::TraceType) -> None
        """
    @overload
    def __init__(self, arg0) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.StreamSerializer) -> None

        2. __init__(self: Kratos.StreamSerializer, arg0: str) -> None

        3. __init__(self: Kratos.StreamSerializer, arg0: Kratos::Serializer::TraceType) -> None

        4. __init__(self: Kratos.StreamSerializer, arg0: str, arg1: Kratos::Serializer::TraceType) -> None
        """
    @overload
    def __init__(self, arg0: str, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.StreamSerializer) -> None

        2. __init__(self: Kratos.StreamSerializer, arg0: str) -> None

        3. __init__(self: Kratos.StreamSerializer, arg0: Kratos::Serializer::TraceType) -> None

        4. __init__(self: Kratos.StreamSerializer, arg0: str, arg1: Kratos::Serializer::TraceType) -> None
        """

class StressMeasure:
    __members__: ClassVar[dict] = ...  # read-only
    StressMeasure_Cauchy: ClassVar[StressMeasure] = ...
    StressMeasure_Kirchhoff: ClassVar[StressMeasure] = ...
    StressMeasure_PK1: ClassVar[StressMeasure] = ...
    StressMeasure_PK2: ClassVar[StressMeasure] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.StressMeasure, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.StressMeasure) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.StressMeasure) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class StringVariable(VariableData):
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class StructuredMeshGeneratorProcess(Process):
    def __init__(self, arg0, arg1: ModelPart, arg2) -> None:
        """__init__(self: Kratos.StructuredMeshGeneratorProcess, arg0: Kratos::Geometry<Kratos::Node>, arg1: Kratos.ModelPart, arg2: Kratos::Parameters) -> None"""

class SubModelPartConditionsBooleanOperationUtility:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @classmethod
    def Difference(cls, arg0: ModelPart, arg1: ModelPart, arg2: ModelPart) -> None:
        """Difference(arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None"""
    @classmethod
    def Intersection(cls, arg0: ModelPart, arg1: ModelPart, arg2: ModelPart) -> None:
        """Intersection(arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None"""
    @classmethod
    def Union(cls, arg0: ModelPart, arg1: ModelPart, arg2: ModelPart) -> None:
        """Union(arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None"""

class SubModelPartConstraintsBooleanOperationUtility:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @classmethod
    def Difference(cls, arg0: ModelPart, arg1: ModelPart, arg2: ModelPart) -> None:
        """Difference(arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None"""
    @classmethod
    def Intersection(cls, arg0: ModelPart, arg1: ModelPart, arg2: ModelPart) -> None:
        """Intersection(arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None"""
    @classmethod
    def Union(cls, arg0: ModelPart, arg1: ModelPart, arg2: ModelPart) -> None:
        """Union(arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None"""

class SubModelPartElementsBooleanOperationUtility:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @classmethod
    def Difference(cls, arg0: ModelPart, arg1: ModelPart, arg2: ModelPart) -> None:
        """Difference(arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None"""
    @classmethod
    def Intersection(cls, arg0: ModelPart, arg1: ModelPart, arg2: ModelPart) -> None:
        """Intersection(arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None"""
    @classmethod
    def Union(cls, arg0: ModelPart, arg1: ModelPart, arg2: ModelPart) -> None:
        """Union(arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None"""

class SubModelPartNodesBooleanOperationUtility:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @classmethod
    def Difference(cls, arg0: ModelPart, arg1: ModelPart, arg2: ModelPart) -> None:
        """Difference(arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None"""
    @classmethod
    def Intersection(cls, arg0: ModelPart, arg1: ModelPart, arg2: ModelPart) -> None:
        """Intersection(arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None"""
    @classmethod
    def Union(cls, arg0: ModelPart, arg1: ModelPart, arg2: ModelPart) -> None:
        """Union(arg0: Kratos.ModelPart, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None"""

class SubModelPartSkinDetectionProcess2D(SkinDetectionProcess2D):
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(self: Kratos.SubModelPartSkinDetectionProcess2D, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None"""

class SubModelPartSkinDetectionProcess3D(SkinDetectionProcess3D):
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(self: Kratos.SubModelPartSkinDetectionProcess3D, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None"""

class SubModelPartView:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    def __getitem__(self, index):
        """__getitem__(self: Kratos.SubModelPartView, arg0: int) -> Kratos::ModelPart"""
    def __iter__(self):
        """__iter__(self: Kratos.SubModelPartView) -> Iterator[Kratos::ModelPart]"""
    def __len__(self) -> int:
        """__len__(self: Kratos.SubModelPartView) -> int"""

class SubModelPartsContainerType:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    def __iter__(self):
        """__iter__(self: Kratos.SubModelPartsContainerType) -> Iterator[Kratos::ModelPart]"""

class SurfaceInNurbsVolumeGeometry(Geometry):
    def __init__(self, arg0: NurbsVolumeGeometry, arg1: Geometry) -> None:
        """__init__(self: Kratos.SurfaceInNurbsVolumeGeometry, arg0: Kratos.NurbsVolumeGeometry, arg1: Kratos.Geometry) -> None"""

class SystemVector:
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SystemVector, arg0: int) -> None

        2. __init__(self: Kratos.SystemVector, arg0: int, arg1: Kratos.DataCommunicator) -> None

        3. __init__(self: Kratos.SystemVector, arg0: Kratos.SparseGraph) -> None

        4. __init__(self: Kratos.SystemVector, arg0: Kratos.SparseContiguousRowGraph) -> None

        5. __init__(self: Kratos.SystemVector, arg0: Kratos.Vector) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: DataCommunicator) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SystemVector, arg0: int) -> None

        2. __init__(self: Kratos.SystemVector, arg0: int, arg1: Kratos.DataCommunicator) -> None

        3. __init__(self: Kratos.SystemVector, arg0: Kratos.SparseGraph) -> None

        4. __init__(self: Kratos.SystemVector, arg0: Kratos.SparseContiguousRowGraph) -> None

        5. __init__(self: Kratos.SystemVector, arg0: Kratos.Vector) -> None
        """
    @overload
    def __init__(self, arg0: SparseGraph) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SystemVector, arg0: int) -> None

        2. __init__(self: Kratos.SystemVector, arg0: int, arg1: Kratos.DataCommunicator) -> None

        3. __init__(self: Kratos.SystemVector, arg0: Kratos.SparseGraph) -> None

        4. __init__(self: Kratos.SystemVector, arg0: Kratos.SparseContiguousRowGraph) -> None

        5. __init__(self: Kratos.SystemVector, arg0: Kratos.Vector) -> None
        """
    @overload
    def __init__(self, arg0: SparseContiguousRowGraph) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SystemVector, arg0: int) -> None

        2. __init__(self: Kratos.SystemVector, arg0: int, arg1: Kratos.DataCommunicator) -> None

        3. __init__(self: Kratos.SystemVector, arg0: Kratos.SparseGraph) -> None

        4. __init__(self: Kratos.SystemVector, arg0: Kratos.SparseContiguousRowGraph) -> None

        5. __init__(self: Kratos.SystemVector, arg0: Kratos.Vector) -> None
        """
    @overload
    def __init__(self, arg0: Vector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.SystemVector, arg0: int) -> None

        2. __init__(self: Kratos.SystemVector, arg0: int, arg1: Kratos.DataCommunicator) -> None

        3. __init__(self: Kratos.SystemVector, arg0: Kratos.SparseGraph) -> None

        4. __init__(self: Kratos.SystemVector, arg0: Kratos.SparseContiguousRowGraph) -> None

        5. __init__(self: Kratos.SystemVector, arg0: Kratos.Vector) -> None
        """
    def Add(self, arg0: float, arg1: SystemVector) -> None:
        """Add(self: Kratos.SystemVector, arg0: float, arg1: Kratos.SystemVector) -> None"""
    def Assemble(self, arg0: Vector, arg1: list[int]) -> None:
        """Assemble(self: Kratos.SystemVector, arg0: Kratos.Vector, arg1: list[int]) -> None"""
    def Assign(self, arg0: SystemVector) -> None:
        """Assign(self: Kratos.SystemVector, arg0: Kratos.SystemVector) -> None"""
    @overload
    def BeginAssemble(self) -> None:
        """BeginAssemble(*args, **kwargs)
        Overloaded function.

        1. BeginAssemble(self: Kratos.SystemVector) -> None

        2. BeginAssemble(self: Kratos.SystemVector) -> None
        """
    @overload
    def BeginAssemble(self) -> None:
        """BeginAssemble(*args, **kwargs)
        Overloaded function.

        1. BeginAssemble(self: Kratos.SystemVector) -> None

        2. BeginAssemble(self: Kratos.SystemVector) -> None
        """
    def Clear(self) -> None:
        """Clear(self: Kratos.SystemVector) -> None"""
    def Data(self) -> Vector:
        """Data(self: Kratos.SystemVector) -> Kratos.Vector"""
    def FinalizeAssemble(self) -> None:
        """FinalizeAssemble(self: Kratos.SystemVector) -> None"""
    def GetComm(self) -> DataCommunicator:
        """GetComm(self: Kratos.SystemVector) -> Kratos.DataCommunicator"""
    def SetData(self, arg0: Vector) -> None:
        """SetData(self: Kratos.SystemVector, arg0: Kratos.Vector) -> None"""
    def SetValue(self, arg0: float) -> None:
        """SetValue(self: Kratos.SystemVector, arg0: float) -> None"""
    def Size(self) -> int:
        """Size(self: Kratos.SystemVector) -> int"""
    def copy(self) -> SystemVector:
        """copy(self: Kratos.SystemVector) -> Kratos.SystemVector"""
    def size(self) -> int:
        """size(self: Kratos.SystemVector) -> int"""
    def __add__(self, arg0: SystemVector) -> SystemVector:
        """__add__(self: Kratos.SystemVector, arg0: Kratos.SystemVector) -> Kratos.SystemVector"""
    @overload
    def __getitem__(self, arg0: int) -> float:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.SystemVector, arg0: int) -> float

        2. __getitem__(self: Kratos.SystemVector, arg0: int) -> float
        """
    @overload
    def __getitem__(self, arg0: int) -> float:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.SystemVector, arg0: int) -> float

        2. __getitem__(self: Kratos.SystemVector, arg0: int) -> float
        """
    def __iter__(self) -> typing.Iterator[float]:
        """def __iter__(self) -> typing.Iterator[float]"""
    def __iadd__(self, arg0: SystemVector) -> SystemVector:
        """__iadd__(self: Kratos.SystemVector, arg0: Kratos.SystemVector) -> Kratos.SystemVector"""
    def __imul__(self, arg0: float) -> SystemVector:
        """__imul__(self: Kratos.SystemVector, arg0: float) -> Kratos.SystemVector"""
    def __isub__(self, arg0: SystemVector) -> SystemVector:
        """__isub__(self: Kratos.SystemVector, arg0: Kratos.SystemVector) -> Kratos.SystemVector"""
    def __itruediv__(self, arg0: float) -> SystemVector:
        """__itruediv__(self: Kratos.SystemVector, arg0: float) -> Kratos.SystemVector"""
    def __mul__(self, arg0: float) -> SystemVector:
        """__mul__(self: Kratos.SystemVector, arg0: float) -> Kratos.SystemVector"""
    def __rmul__(self, arg0: float) -> SystemVector:
        """__rmul__(self: Kratos.SystemVector, arg0: float) -> Kratos.SystemVector"""
    @overload
    def __setitem__(self, arg0: int, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.SystemVector, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.SystemVector, arg0: int, arg1: float) -> None
        """
    @overload
    def __setitem__(self, arg0: int, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.SystemVector, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.SystemVector, arg0: int, arg1: float) -> None
        """
    def __sub__(self, arg0: SystemVector) -> SystemVector:
        """__sub__(self: Kratos.SystemVector, arg0: Kratos.SystemVector) -> Kratos.SystemVector"""

class TFQMRSolver(IterativeSolver):
    @overload
    def __init__(self, arg0: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.TFQMRSolver, arg0: float) -> None

        2. __init__(self: Kratos.TFQMRSolver, arg0: float, arg1: int) -> None

        3. __init__(self: Kratos.TFQMRSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner) -> None

        4. __init__(self: Kratos.TFQMRSolver, arg0: Kratos::Parameters, arg1: Kratos.Preconditioner) -> None
        """
    @overload
    def __init__(self, arg0: float, arg1: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.TFQMRSolver, arg0: float) -> None

        2. __init__(self: Kratos.TFQMRSolver, arg0: float, arg1: int) -> None

        3. __init__(self: Kratos.TFQMRSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner) -> None

        4. __init__(self: Kratos.TFQMRSolver, arg0: Kratos::Parameters, arg1: Kratos.Preconditioner) -> None
        """
    @overload
    def __init__(self, arg0: float, arg1: int, arg2: Preconditioner) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.TFQMRSolver, arg0: float) -> None

        2. __init__(self: Kratos.TFQMRSolver, arg0: float, arg1: int) -> None

        3. __init__(self: Kratos.TFQMRSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner) -> None

        4. __init__(self: Kratos.TFQMRSolver, arg0: Kratos::Parameters, arg1: Kratos.Preconditioner) -> None
        """
    @overload
    def __init__(self, arg0, arg1: Preconditioner) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.TFQMRSolver, arg0: float) -> None

        2. __init__(self: Kratos.TFQMRSolver, arg0: float, arg1: int) -> None

        3. __init__(self: Kratos.TFQMRSolver, arg0: float, arg1: int, arg2: Kratos.Preconditioner) -> None

        4. __init__(self: Kratos.TFQMRSolver, arg0: Kratos::Parameters, arg1: Kratos.Preconditioner) -> None
        """

class TableStreamUtility:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.TableStreamUtility) -> None

        2. __init__(self: Kratos.TableStreamUtility, arg0: bool) -> None
        """
    @overload
    def __init__(self, arg0: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.TableStreamUtility) -> None

        2. __init__(self: Kratos.TableStreamUtility, arg0: bool) -> None
        """
    def SetOnProcessInfo(self, arg0) -> None:
        """SetOnProcessInfo(self: Kratos.TableStreamUtility, arg0: Kratos::ProcessInfo) -> None"""

class Tetrahedra3D10(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node, arg4: Node, arg5: Node, arg6: Node, arg7: Node, arg8: Node, arg9: Node) -> None:
        """__init__(self: Kratos.Tetrahedra3D10, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node, arg4: Kratos.Node, arg5: Kratos.Node, arg6: Kratos.Node, arg7: Kratos.Node, arg8: Kratos.Node, arg9: Kratos.Node) -> None"""

class Tetrahedra3D4(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node) -> None:
        """__init__(self: Kratos.Tetrahedra3D4, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node) -> None"""

class TetrahedralMeshOrientationCheck(Process):
    ASSIGN_NEIGHBOUR_ELEMENTS_TO_CONDITIONS: ClassVar[Flags] = ...
    COMPUTE_CONDITION_NORMALS: ClassVar[Flags] = ...
    COMPUTE_NODAL_NORMALS: ClassVar[Flags] = ...
    @overload
    def __init__(self, arg0: ModelPart, arg1: bool) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.TetrahedralMeshOrientationCheck, arg0: Kratos.ModelPart, arg1: bool) -> None

        2. __init__(self: Kratos.TetrahedralMeshOrientationCheck, arg0: Kratos.ModelPart, arg1: bool, arg2: Kratos.Flags) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1: bool, arg2: Flags) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.TetrahedralMeshOrientationCheck, arg0: Kratos.ModelPart, arg1: bool) -> None

        2. __init__(self: Kratos.TetrahedralMeshOrientationCheck, arg0: Kratos.ModelPart, arg1: bool, arg2: Kratos.Flags) -> None
        """
    def SwapAll(self) -> None:
        """SwapAll(self: Kratos.TetrahedralMeshOrientationCheck) -> None"""
    def SwapNegativeElements(self) -> None:
        """SwapNegativeElements(self: Kratos.TetrahedralMeshOrientationCheck) -> None"""

class TimeAveragingProcess(Process):
    def __init__(self, arg0, arg1) -> None:
        """__init__(self: Kratos.TimeAveragingProcess, arg0: Kratos::Model, arg1: Kratos::Parameters) -> None"""

class Timer:
    PrintIntervalInformation: bool
    PrintOnScreen: bool
    def __init__(self) -> None:
        """__init__(self: Kratos.Timer) -> None"""
    @classmethod
    def CloseOuputFile(cls) -> int:
        """CloseOuputFile() -> int"""
    @classmethod
    def CloseOutputFile(cls) -> int:
        """CloseOutputFile() -> int"""
    @classmethod
    def GetPrintIntervalInformation(cls) -> bool:
        """GetPrintIntervalInformation() -> bool"""
    @classmethod
    def GetPrintOnScreen(cls) -> bool:
        """GetPrintOnScreen() -> bool"""
    @classmethod
    def GetTime(cls) -> float:
        """GetTime() -> float"""
    @overload
    @classmethod
    def PrintTimingInformation(cls) -> None:
        """PrintTimingInformation(*args, **kwargs)
        Overloaded function.

        1. PrintTimingInformation() -> None

        2. PrintTimingInformation(arg0: Kratos.Timer) -> None
        """
    @overload
    @classmethod
    def PrintTimingInformation(cls, arg0: Timer) -> None:
        """PrintTimingInformation(*args, **kwargs)
        Overloaded function.

        1. PrintTimingInformation() -> None

        2. PrintTimingInformation(arg0: Kratos.Timer) -> None
        """
    @classmethod
    def SetOuputFile(cls, arg0: str) -> int:
        """SetOuputFile(arg0: str) -> int"""
    @classmethod
    def SetOutputFile(cls, arg0: str) -> int:
        """SetOutputFile(arg0: str) -> int"""
    @classmethod
    def SetPrintIntervalInformation(cls, arg0: bool) -> None:
        """SetPrintIntervalInformation(arg0: bool) -> None"""
    @classmethod
    def SetPrintOnScreen(cls, arg0: bool) -> None:
        """SetPrintOnScreen(arg0: bool) -> None"""
    @classmethod
    def Start(cls, arg0: str) -> None:
        """Start(arg0: str) -> None"""
    @classmethod
    def Stop(cls, arg0: str) -> None:
        """Stop(arg0: str) -> None"""

class Triangle2D3(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node) -> None:
        """__init__(self: Kratos.Triangle2D3, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node) -> None"""

class Triangle2D6(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node, arg4: Node, arg5: Node) -> None:
        """__init__(self: Kratos.Triangle2D6, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node, arg4: Kratos.Node, arg5: Kratos.Node) -> None"""

class Triangle3D3(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node) -> None:
        """__init__(self: Kratos.Triangle3D3, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node) -> None"""

class Triangle3D6(Geometry):
    def __init__(self, arg0: Node, arg1: Node, arg2: Node, arg3: Node, arg4: Node, arg5: Node) -> None:
        """__init__(self: Kratos.Triangle3D6, arg0: Kratos.Node, arg1: Kratos.Node, arg2: Kratos.Node, arg3: Kratos.Node, arg4: Kratos.Node, arg5: Kratos.Node) -> None"""

class UblasComplexSparseSpace:
    def __init__(self) -> None:
        """__init__(self: Kratos.UblasComplexSparseSpace) -> None"""
    def ClearMatrix(self, arg0: ComplexCompressedMatrix) -> None:
        """ClearMatrix(self: Kratos.UblasComplexSparseSpace, arg0: Kratos.ComplexCompressedMatrix) -> None"""
    def ClearVector(self, arg0: ComplexVector) -> None:
        """ClearVector(self: Kratos.UblasComplexSparseSpace, arg0: Kratos.ComplexVector) -> None"""
    def CreateEmptyMatrixPointer(self) -> ComplexCompressedMatrix:
        """CreateEmptyMatrixPointer(self: Kratos.UblasComplexSparseSpace) -> Kratos.ComplexCompressedMatrix"""
    def CreateEmptyVectorPointer(self) -> ComplexVector:
        """CreateEmptyVectorPointer(self: Kratos.UblasComplexSparseSpace) -> Kratos.ComplexVector"""
    def Mult(self, arg0: ComplexCompressedMatrix, arg1: ComplexVector, arg2: ComplexVector) -> None:
        """Mult(self: Kratos.UblasComplexSparseSpace, arg0: Kratos.ComplexCompressedMatrix, arg1: Kratos.ComplexVector, arg2: Kratos.ComplexVector) -> None"""
    def ResizeMatrix(self, arg0: ComplexCompressedMatrix, arg1: int, arg2: int) -> None:
        """ResizeMatrix(self: Kratos.UblasComplexSparseSpace, arg0: Kratos.ComplexCompressedMatrix, arg1: int, arg2: int) -> None"""
    def ResizeVector(self, arg0: ComplexVector, arg1: int) -> None:
        """ResizeVector(self: Kratos.UblasComplexSparseSpace, arg0: Kratos.ComplexVector, arg1: int) -> None"""
    def ScaleAndAdd(self, arg0: float, arg1: ComplexVector, arg2: float, arg3: ComplexVector) -> None:
        """ScaleAndAdd(self: Kratos.UblasComplexSparseSpace, arg0: float, arg1: Kratos.ComplexVector, arg2: float, arg3: Kratos.ComplexVector) -> None"""
    def SetToZeroMatrix(self, arg0: ComplexCompressedMatrix) -> None:
        """SetToZeroMatrix(self: Kratos.UblasComplexSparseSpace, arg0: Kratos.ComplexCompressedMatrix) -> None"""
    def SetToZeroVector(self, arg0: ComplexVector) -> None:
        """SetToZeroVector(self: Kratos.UblasComplexSparseSpace, arg0: Kratos.ComplexVector) -> None"""
    def Size(self, arg0: ComplexVector) -> int:
        """Size(self: Kratos.UblasComplexSparseSpace, arg0: Kratos.ComplexVector) -> int"""
    def Size1(self, arg0: ComplexCompressedMatrix) -> int:
        """Size1(self: Kratos.UblasComplexSparseSpace, arg0: Kratos.ComplexCompressedMatrix) -> int"""
    def Size2(self, arg0: ComplexCompressedMatrix) -> int:
        """Size2(self: Kratos.UblasComplexSparseSpace, arg0: Kratos.ComplexCompressedMatrix) -> int"""
    def UnaliasedAdd(self, arg0: ComplexVector, arg1: float, arg2: ComplexVector) -> None:
        """UnaliasedAdd(self: Kratos.UblasComplexSparseSpace, arg0: Kratos.ComplexVector, arg1: float, arg2: Kratos.ComplexVector) -> None"""

class UblasSparseSpace:
    def __init__(self) -> None:
        """__init__(self: Kratos.UblasSparseSpace) -> None"""
    def ClearMatrix(self, arg0: CompressedMatrix) -> None:
        """ClearMatrix(self: Kratos.UblasSparseSpace, arg0: Kratos.CompressedMatrix) -> None"""
    def ClearVector(self, arg0: Vector) -> None:
        """ClearVector(self: Kratos.UblasSparseSpace, arg0: Kratos.Vector) -> None"""
    def CreateEmptyMatrixPointer(self) -> CompressedMatrix:
        """CreateEmptyMatrixPointer(self: Kratos.UblasSparseSpace) -> Kratos.CompressedMatrix"""
    def CreateEmptyVectorPointer(self) -> Vector:
        """CreateEmptyVectorPointer(self: Kratos.UblasSparseSpace) -> Kratos.Vector"""
    def Dot(self, arg0: Vector, arg1: Vector) -> float:
        """Dot(self: Kratos.UblasSparseSpace, arg0: Kratos.Vector, arg1: Kratos.Vector) -> float"""
    def FastestDirectSolverList(self) -> list[str]:
        """FastestDirectSolverList() -> list[str]"""
    def IsDistributed(self) -> bool:
        """IsDistributed() -> bool"""
    def Mult(self, arg0: CompressedMatrix, arg1: Vector, arg2: Vector) -> None:
        """Mult(self: Kratos.UblasSparseSpace, arg0: Kratos.CompressedMatrix, arg1: Kratos.Vector, arg2: Kratos.Vector) -> None"""
    def ResizeMatrix(self, arg0: CompressedMatrix, arg1: int, arg2: int) -> None:
        """ResizeMatrix(self: Kratos.UblasSparseSpace, arg0: Kratos.CompressedMatrix, arg1: int, arg2: int) -> None"""
    def ResizeVector(self, arg0: Vector, arg1: int) -> None:
        """ResizeVector(self: Kratos.UblasSparseSpace, arg0: Kratos.Vector, arg1: int) -> None"""
    def ScaleAndAdd(self, arg0: float, arg1: Vector, arg2: float, arg3: Vector) -> None:
        """ScaleAndAdd(self: Kratos.UblasSparseSpace, arg0: float, arg1: Kratos.Vector, arg2: float, arg3: Kratos.Vector) -> None"""
    def SetToZeroMatrix(self, arg0: CompressedMatrix) -> None:
        """SetToZeroMatrix(self: Kratos.UblasSparseSpace, arg0: Kratos.CompressedMatrix) -> None"""
    def SetToZeroVector(self, arg0: Vector) -> None:
        """SetToZeroVector(self: Kratos.UblasSparseSpace, arg0: Kratos.Vector) -> None"""
    @overload
    def Size(self, arg0: Vector) -> int:
        """Size(*args, **kwargs)
        Overloaded function.

        1. Size(self: Kratos.UblasSparseSpace, arg0: Kratos.Vector) -> int

        2. Size(self: Kratos.Vector) -> int
        """
    @overload
    def Size(self) -> int:
        """Size(*args, **kwargs)
        Overloaded function.

        1. Size(self: Kratos.UblasSparseSpace, arg0: Kratos.Vector) -> int

        2. Size(self: Kratos.Vector) -> int
        """
    @overload
    def Size1(self, arg0: CompressedMatrix) -> int:
        """Size1(*args, **kwargs)
        Overloaded function.

        1. Size1(self: Kratos.UblasSparseSpace, arg0: Kratos.CompressedMatrix) -> int

        2. Size1(self: Kratos.CompressedMatrix) -> int
        """
    @overload
    def Size1(self) -> int:
        """Size1(*args, **kwargs)
        Overloaded function.

        1. Size1(self: Kratos.UblasSparseSpace, arg0: Kratos.CompressedMatrix) -> int

        2. Size1(self: Kratos.CompressedMatrix) -> int
        """
    @overload
    def Size2(self, arg0: CompressedMatrix) -> int:
        """Size2(*args, **kwargs)
        Overloaded function.

        1. Size2(self: Kratos.UblasSparseSpace, arg0: Kratos.CompressedMatrix) -> int

        2. Size2(self: Kratos.CompressedMatrix) -> int
        """
    @overload
    def Size2(self) -> int:
        """Size2(*args, **kwargs)
        Overloaded function.

        1. Size2(self: Kratos.UblasSparseSpace, arg0: Kratos.CompressedMatrix) -> int

        2. Size2(self: Kratos.CompressedMatrix) -> int
        """
    def TransposeMult(self, arg0: CompressedMatrix, arg1: Vector, arg2: Vector) -> None:
        """TransposeMult(self: Kratos.UblasSparseSpace, arg0: Kratos.CompressedMatrix, arg1: Kratos.Vector, arg2: Kratos.Vector) -> None"""
    def TwoNorm(self, arg0: Vector) -> float:
        """TwoNorm(self: Kratos.UblasSparseSpace, arg0: Kratos.Vector) -> float"""
    def UnaliasedAdd(self, arg0: Vector, arg1: float, arg2: Vector) -> None:
        """UnaliasedAdd(self: Kratos.UblasSparseSpace, arg0: Kratos.Vector, arg1: float, arg2: Kratos.Vector) -> None"""

class UnvOutput:
    def __init__(self, arg0: ModelPart, arg1: str) -> None:
        """__init__(self: Kratos.UnvOutput, arg0: Kratos.ModelPart, arg1: str) -> None"""
    def InitializeMesh(self) -> None:
        """InitializeMesh(self: Kratos.UnvOutput) -> None"""
    @overload
    def PrintOutput(self, arg0: BoolVariable, arg1: float) -> None:
        """PrintOutput(*args, **kwargs)
        Overloaded function.

        1. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.BoolVariable, arg1: float) -> None

        2. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.IntegerVariable, arg1: float) -> None

        3. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.Array1DVariable3, arg1: float) -> None
        """
    @overload
    def PrintOutput(self, arg0: IntegerVariable, arg1: float) -> None:
        """PrintOutput(*args, **kwargs)
        Overloaded function.

        1. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.BoolVariable, arg1: float) -> None

        2. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.IntegerVariable, arg1: float) -> None

        3. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.Array1DVariable3, arg1: float) -> None
        """
    @overload
    def PrintOutput(self, arg0: DoubleVariable, arg1: float) -> None:
        """PrintOutput(*args, **kwargs)
        Overloaded function.

        1. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.BoolVariable, arg1: float) -> None

        2. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.IntegerVariable, arg1: float) -> None

        3. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.Array1DVariable3, arg1: float) -> None
        """
    @overload
    def PrintOutput(self, arg0: Array1DVariable3, arg1: float) -> None:
        """PrintOutput(*args, **kwargs)
        Overloaded function.

        1. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.BoolVariable, arg1: float) -> None

        2. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.IntegerVariable, arg1: float) -> None

        3. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. PrintOutput(self: Kratos.UnvOutput, arg0: Kratos.Array1DVariable3, arg1: float) -> None
        """
    def WriteMesh(self) -> None:
        """WriteMesh(self: Kratos.UnvOutput) -> None"""

class VariableData:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    def GetComponentIndex(self) -> int:
        """GetComponentIndex(self: Kratos.VariableData) -> int"""
    def GetSourceVariable(self) -> VariableData:
        """GetSourceVariable(self: Kratos.VariableData) -> Kratos.VariableData"""
    def IsComponent(self) -> bool:
        """IsComponent(self: Kratos.VariableData) -> bool"""
    def Key(self) -> int:
        """Key(self: Kratos.VariableData) -> int"""
    def Name(self) -> str:
        """Name(self: Kratos.VariableData) -> str"""

class VariableRedistributionUtility:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @overload
    @classmethod
    def ConvertDistributedValuesToPoint(cls, arg0: ModelPart, arg1: DoubleVariable, arg2: DoubleVariable) -> None:
        """ConvertDistributedValuesToPoint(*args, **kwargs)
        Overloaded function.

        1. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable) -> None

        2. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        3. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        4. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array1DVariable3) -> None

        5. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None
        """
    @overload
    @classmethod
    def ConvertDistributedValuesToPoint(cls, arg0: ModelPart, arg1: ElementsArray, arg2: DoubleVariable, arg3: DoubleVariable) -> None:
        """ConvertDistributedValuesToPoint(*args, **kwargs)
        Overloaded function.

        1. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable) -> None

        2. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        3. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        4. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array1DVariable3) -> None

        5. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None
        """
    @overload
    @classmethod
    def ConvertDistributedValuesToPoint(cls, arg0: ModelPart, arg1: ConditionsArray, arg2: DoubleVariable, arg3: DoubleVariable) -> None:
        """ConvertDistributedValuesToPoint(*args, **kwargs)
        Overloaded function.

        1. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable) -> None

        2. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        3. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        4. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array1DVariable3) -> None

        5. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None
        """
    @overload
    @classmethod
    def ConvertDistributedValuesToPoint(cls, arg0: ModelPart, arg1: Array1DVariable3, arg2: Array1DVariable3) -> None:
        """ConvertDistributedValuesToPoint(*args, **kwargs)
        Overloaded function.

        1. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable) -> None

        2. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        3. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        4. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array1DVariable3) -> None

        5. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None
        """
    @overload
    @classmethod
    def ConvertDistributedValuesToPoint(cls, arg0: ModelPart, arg1: ElementsArray, arg2: Array1DVariable3, arg3: Array1DVariable3) -> None:
        """ConvertDistributedValuesToPoint(*args, **kwargs)
        Overloaded function.

        1. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable) -> None

        2. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        3. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        4. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array1DVariable3) -> None

        5. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None
        """
    @overload
    @classmethod
    def ConvertDistributedValuesToPoint(cls, arg0: ModelPart, arg1: ConditionsArray, arg2: Array1DVariable3, arg3: Array1DVariable3) -> None:
        """ConvertDistributedValuesToPoint(*args, **kwargs)
        Overloaded function.

        1. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable) -> None

        2. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        3. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        4. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array1DVariable3) -> None

        5. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        6. ConvertDistributedValuesToPoint(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None
        """
    @overload
    @classmethod
    def ConvertDistributedValuesToPointNonHistorical(cls, arg0: ModelPart, arg1: ElementsArray, arg2: DoubleVariable, arg3: DoubleVariable) -> None:
        """ConvertDistributedValuesToPointNonHistorical(*args, **kwargs)
        Overloaded function.

        1. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        2. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        3. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        4. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None
        """
    @overload
    @classmethod
    def ConvertDistributedValuesToPointNonHistorical(cls, arg0: ModelPart, arg1: ConditionsArray, arg2: DoubleVariable, arg3: DoubleVariable) -> None:
        """ConvertDistributedValuesToPointNonHistorical(*args, **kwargs)
        Overloaded function.

        1. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        2. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        3. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        4. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None
        """
    @overload
    @classmethod
    def ConvertDistributedValuesToPointNonHistorical(cls, arg0: ModelPart, arg1: ElementsArray, arg2: Array1DVariable3, arg3: Array1DVariable3) -> None:
        """ConvertDistributedValuesToPointNonHistorical(*args, **kwargs)
        Overloaded function.

        1. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        2. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        3. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        4. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None
        """
    @overload
    @classmethod
    def ConvertDistributedValuesToPointNonHistorical(cls, arg0: ModelPart, arg1: ConditionsArray, arg2: Array1DVariable3, arg3: Array1DVariable3) -> None:
        """ConvertDistributedValuesToPointNonHistorical(*args, **kwargs)
        Overloaded function.

        1. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        2. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable) -> None

        3. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None

        4. ConvertDistributedValuesToPointNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3) -> None
        """
    @overload
    @classmethod
    def DistributePointValues(cls, arg0: ModelPart, arg1: DoubleVariable, arg2: DoubleVariable, arg3: float, arg4: float) -> None:
        """DistributePointValues(*args, **kwargs)
        Overloaded function.

        1. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        3. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        4. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array1DVariable3, arg3: float, arg4: float) -> None

        5. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None

        6. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None
        """
    @overload
    @classmethod
    def DistributePointValues(cls, arg0: ModelPart, arg1: ElementsArray, arg2: DoubleVariable, arg3: DoubleVariable, arg4: float, arg5: float) -> None:
        """DistributePointValues(*args, **kwargs)
        Overloaded function.

        1. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        3. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        4. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array1DVariable3, arg3: float, arg4: float) -> None

        5. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None

        6. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None
        """
    @overload
    @classmethod
    def DistributePointValues(cls, arg0: ModelPart, arg1: ConditionsArray, arg2: DoubleVariable, arg3: DoubleVariable, arg4: float, arg5: float) -> None:
        """DistributePointValues(*args, **kwargs)
        Overloaded function.

        1. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        3. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        4. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array1DVariable3, arg3: float, arg4: float) -> None

        5. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None

        6. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None
        """
    @overload
    @classmethod
    def DistributePointValues(cls, arg0: ModelPart, arg1: Array1DVariable3, arg2: Array1DVariable3, arg3: float, arg4: float) -> None:
        """DistributePointValues(*args, **kwargs)
        Overloaded function.

        1. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        3. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        4. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array1DVariable3, arg3: float, arg4: float) -> None

        5. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None

        6. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None
        """
    @overload
    @classmethod
    def DistributePointValues(cls, arg0: ModelPart, arg1: ElementsArray, arg2: Array1DVariable3, arg3: Array1DVariable3, arg4: float, arg5: float) -> None:
        """DistributePointValues(*args, **kwargs)
        Overloaded function.

        1. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        3. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        4. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array1DVariable3, arg3: float, arg4: float) -> None

        5. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None

        6. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None
        """
    @overload
    @classmethod
    def DistributePointValues(cls, arg0: ModelPart, arg1: ConditionsArray, arg2: Array1DVariable3, arg3: Array1DVariable3, arg4: float, arg5: float) -> None:
        """DistributePointValues(*args, **kwargs)
        Overloaded function.

        1. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable, arg3: float, arg4: float) -> None

        2. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        3. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        4. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.Array1DVariable3, arg3: float, arg4: float) -> None

        5. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None

        6. DistributePointValues(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None
        """
    @overload
    @classmethod
    def DistributePointValuesNonHistorical(cls, arg0: ModelPart, arg1: ElementsArray, arg2: DoubleVariable, arg3: DoubleVariable, arg4: float, arg5: float) -> None:
        """DistributePointValuesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        2. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        3. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None

        4. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None
        """
    @overload
    @classmethod
    def DistributePointValuesNonHistorical(cls, arg0: ModelPart, arg1: ConditionsArray, arg2: DoubleVariable, arg3: DoubleVariable, arg4: float, arg5: float) -> None:
        """DistributePointValuesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        2. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        3. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None

        4. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None
        """
    @overload
    @classmethod
    def DistributePointValuesNonHistorical(cls, arg0: ModelPart, arg1: ElementsArray, arg2: Array1DVariable3, arg3: Array1DVariable3, arg4: float, arg5: float) -> None:
        """DistributePointValuesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        2. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        3. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None

        4. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None
        """
    @overload
    @classmethod
    def DistributePointValuesNonHistorical(cls, arg0: ModelPart, arg1: ConditionsArray, arg2: Array1DVariable3, arg3: Array1DVariable3, arg4: float, arg5: float) -> None:
        """DistributePointValuesNonHistorical(*args, **kwargs)
        Overloaded function.

        1. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        2. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.DoubleVariable, arg3: Kratos.DoubleVariable, arg4: float, arg5: float) -> None

        3. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ElementsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None

        4. DistributePointValuesNonHistorical(arg0: Kratos.ModelPart, arg1: Kratos.ConditionsArray, arg2: Kratos.Array1DVariable3, arg3: Kratos.Array1DVariable3, arg4: float, arg5: float) -> None
        """

class VariableUtils:
    def __init__(self) -> None:
        """__init__(self: Kratos.VariableUtils) -> None"""
    @overload
    def AddDof(self, arg0: DoubleVariable, arg1: ModelPart) -> None:
        """AddDof(*args, **kwargs)
        Overloaded function.

        1. AddDof(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart) -> None

        2. AddDof(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart) -> None
        """
    @overload
    def AddDof(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart) -> None:
        """AddDof(*args, **kwargs)
        Overloaded function.

        1. AddDof(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart) -> None

        2. AddDof(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart) -> None
        """
    @overload
    @classmethod
    def AddDofsList(cls, arg0: list[str], arg1: ModelPart) -> None:
        """AddDofsList(*args, **kwargs)
        Overloaded function.

        1. AddDofsList(arg0: list[str], arg1: Kratos.ModelPart) -> None

        2. AddDofsList(arg0: list[Annotated[list[str], FixedSize(2)]], arg1: Kratos.ModelPart) -> None
        """
    @overload
    @classmethod
    def AddDofsList(cls, arg0, arg1: ModelPart) -> None:
        """AddDofsList(*args, **kwargs)
        Overloaded function.

        1. AddDofsList(arg0: list[str], arg1: Kratos.ModelPart) -> None

        2. AddDofsList(arg0: list[Annotated[list[str], FixedSize(2)]], arg1: Kratos.ModelPart) -> None
        """
    @overload
    def ApplyFixity(self, arg0: DoubleVariable, arg1: bool, arg2: NodesArray) -> None:
        """ApplyFixity(*args, **kwargs)
        Overloaded function.

        1. ApplyFixity(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        2. ApplyFixity(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def ApplyFixity(self, arg0: DoubleVariable, arg1: bool, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """ApplyFixity(*args, **kwargs)
        Overloaded function.

        1. ApplyFixity(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        2. ApplyFixity(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    def ApplyVector(self, arg0: DoubleVariable, arg1: Vector, arg2: NodesArray) -> None:
        """ApplyVector(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None"""
    def CheckVariableKeys(self) -> bool:
        """CheckVariableKeys(self: Kratos.VariableUtils) -> bool"""
    @overload
    def ClearNonHistoricalData(self, arg0: NodesArray) -> None:
        """ClearNonHistoricalData(*args, **kwargs)
        Overloaded function.

        1. ClearNonHistoricalData(self: Kratos.VariableUtils, arg0: Kratos.NodesArray) -> None

        2. ClearNonHistoricalData(self: Kratos.VariableUtils, arg0: Kratos.ConditionsArray) -> None

        3. ClearNonHistoricalData(self: Kratos.VariableUtils, arg0: Kratos.ElementsArray) -> None
        """
    @overload
    def ClearNonHistoricalData(self, arg0: ConditionsArray) -> None:
        """ClearNonHistoricalData(*args, **kwargs)
        Overloaded function.

        1. ClearNonHistoricalData(self: Kratos.VariableUtils, arg0: Kratos.NodesArray) -> None

        2. ClearNonHistoricalData(self: Kratos.VariableUtils, arg0: Kratos.ConditionsArray) -> None

        3. ClearNonHistoricalData(self: Kratos.VariableUtils, arg0: Kratos.ElementsArray) -> None
        """
    @overload
    def ClearNonHistoricalData(self, arg0: ElementsArray) -> None:
        """ClearNonHistoricalData(*args, **kwargs)
        Overloaded function.

        1. ClearNonHistoricalData(self: Kratos.VariableUtils, arg0: Kratos.NodesArray) -> None

        2. ClearNonHistoricalData(self: Kratos.VariableUtils, arg0: Kratos.ConditionsArray) -> None

        3. ClearNonHistoricalData(self: Kratos.VariableUtils, arg0: Kratos.ElementsArray) -> None
        """
    @overload
    def CopyModelPartElementalVar(self, arg0: BoolVariable, arg1: ModelPart, arg2: ModelPart) -> None:
        """CopyModelPartElementalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        2. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        3. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        4. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        5. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        6. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        7. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        8. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        9. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None
        """
    @overload
    def CopyModelPartElementalVar(self, arg0: DoubleVariable, arg1: ModelPart, arg2: ModelPart) -> None:
        """CopyModelPartElementalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        2. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        3. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        4. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        5. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        6. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        7. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        8. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        9. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None
        """
    @overload
    def CopyModelPartElementalVar(self, arg0: Array1DVariable3, arg1: ModelPart, arg2: ModelPart) -> None:
        """CopyModelPartElementalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        2. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        3. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        4. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        5. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        6. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        7. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        8. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        9. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None
        """
    @overload
    def CopyModelPartElementalVar(self, arg0: Array1DVariable4, arg1: ModelPart, arg2: ModelPart) -> None:
        """CopyModelPartElementalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        2. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        3. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        4. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        5. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        6. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        7. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        8. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        9. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None
        """
    @overload
    def CopyModelPartElementalVar(self, arg0: Array1DVariable6, arg1: ModelPart, arg2: ModelPart) -> None:
        """CopyModelPartElementalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        2. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        3. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        4. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        5. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        6. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        7. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        8. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        9. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None
        """
    @overload
    def CopyModelPartElementalVar(self, arg0: Array1DVariable9, arg1: ModelPart, arg2: ModelPart) -> None:
        """CopyModelPartElementalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        2. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        3. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        4. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        5. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        6. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        7. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        8. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        9. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None
        """
    @overload
    def CopyModelPartElementalVar(self, arg0: DoubleQuaternionVariable, arg1: ModelPart, arg2: ModelPart) -> None:
        """CopyModelPartElementalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        2. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        3. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        4. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        5. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        6. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        7. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        8. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        9. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None
        """
    @overload
    def CopyModelPartElementalVar(self, arg0: VectorVariable, arg1: ModelPart, arg2: ModelPart) -> None:
        """CopyModelPartElementalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        2. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        3. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        4. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        5. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        6. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        7. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        8. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        9. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None
        """
    @overload
    def CopyModelPartElementalVar(self, arg0: MatrixVariable, arg1: ModelPart, arg2: ModelPart) -> None:
        """CopyModelPartElementalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        2. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        3. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        4. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        5. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        6. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        7. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        8. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None

        9. CopyModelPartElementalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: BoolVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: DoubleVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: Array1DVariable3, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: Array1DVariable4, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: Array1DVariable6, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: Array1DVariable9, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: VectorVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedConditionVar(self, arg0: MatrixVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedConditionVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedConditionVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: BoolVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: DoubleVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: Array1DVariable3, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: Array1DVariable4, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: Array1DVariable6, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: Array1DVariable9, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: VectorVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedElementVar(self, arg0: MatrixVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedElementVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedElementVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int, arg7: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: BoolVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int, arg7: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: DoubleVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int, arg7: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: Array1DVariable3, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int, arg7: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: Array1DVariable4, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int, arg7: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: Array1DVariable6, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int, arg7: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: Array1DVariable9, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int, arg7: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: VectorVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int, arg7: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self, arg0: MatrixVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int, arg7: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int, arg6: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: BoolVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: BoolVariable, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: DoubleVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: DoubleVariable, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable3, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable3, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable4, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable4, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable6, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable6, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable9, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable9, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: VectorVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: VectorVariable, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: MatrixVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self, arg0: MatrixVariable, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: BoolVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: BoolVariable, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: DoubleVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: DoubleVariable, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable3, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable3, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable4, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable4, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable6, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable6, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable9, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: Array1DVariable9, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: VectorVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: VectorVariable, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool, arg6: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: MatrixVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool, arg5: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self, arg0: MatrixVariable, arg1: ModelPart, arg2: Flags, arg3: bool, arg4: int) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        25. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        26. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        27. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        28. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None

        29. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool, arg6: int) -> None

        30. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        31. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool, arg5: int) -> None

        32. CopyModelPartFlaggedNodalNonHistoricalVarToHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.Flags, arg3: bool, arg4: int) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: BoolVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: DoubleVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable3, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable4, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable6, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: Array1DVariable9, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: VectorVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ModelPart, arg3: ModelPart, arg4: Flags, arg5: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self, arg0: MatrixVariable, arg1: ModelPart, arg2: ModelPart, arg3: Flags, arg4: bool) -> None:
        """CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        2. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        3. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        4. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        5. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        6. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        7. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        8. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        9. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        10. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        11. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        12. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        13. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        14. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        15. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        16. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        17. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        18. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        19. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        20. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        21. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        22. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: Kratos.Flags, arg5: bool) -> None

        23. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None

        24. CopyModelPartFlaggedNodalNonHistoricalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: BoolVariable, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: DoubleVariable, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: Array1DVariable3, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: Array1DVariable4, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: Array1DVariable6, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: Array1DVariable9, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: DoubleQuaternionVariable, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: VectorVariable, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: MatrixVariable, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: IntegerVariable, arg1: IntegerVariable, arg2: ModelPart, arg3: ModelPart, arg4: int, arg5: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: ModelPart, arg4: int, arg5: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: ModelPart, arg4: int, arg5: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: DoubleQuaternionVariable, arg1: DoubleQuaternionVariable, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVar(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.IntegerVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        11. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        12. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int, arg5: int) -> None

        13. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        19. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        20. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        21. CopyModelPartNodalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: BoolVariable, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: DoubleVariable, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: Array1DVariable3, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: Array1DVariable4, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: Array1DVariable6, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: Array1DVariable9, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: DoubleQuaternionVariable, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: VectorVariable, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: MatrixVariable, arg1: ModelPart, arg2: ModelPart, arg3: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: DoubleQuaternionVariable, arg1: DoubleQuaternionVariable, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    @overload
    def CopyModelPartNodalVarToNonHistoricalVar(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ModelPart, arg3: ModelPart, arg4: int) -> None:
        """CopyModelPartNodalVarToNonHistoricalVar(*args, **kwargs)
        Overloaded function.

        1. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        2. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        3. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        4. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        5. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        6. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        7. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        8. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        9. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ModelPart, arg2: Kratos.ModelPart, arg3: int) -> None

        10. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        11. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        12. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        13. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        14. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        15. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        16. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.DoubleQuaternionVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        17. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None

        18. CopyModelPartNodalVarToNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ModelPart, arg3: Kratos.ModelPart, arg4: int) -> None
        """
    def CopyScalarVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: NodesArray) -> None:
        """CopyScalarVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None"""
    @overload
    def CopyVariable(self, arg0: BoolVariable, arg1: BoolVariable, arg2: NodesArray) -> None:
        """CopyVariable(*args, **kwargs)
        Overloaded function.

        1. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def CopyVariable(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: NodesArray) -> None:
        """CopyVariable(*args, **kwargs)
        Overloaded function.

        1. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def CopyVariable(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: NodesArray) -> None:
        """CopyVariable(*args, **kwargs)
        Overloaded function.

        1. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def CopyVariable(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: NodesArray) -> None:
        """CopyVariable(*args, **kwargs)
        Overloaded function.

        1. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def CopyVariable(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: NodesArray) -> None:
        """CopyVariable(*args, **kwargs)
        Overloaded function.

        1. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def CopyVariable(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: NodesArray) -> None:
        """CopyVariable(*args, **kwargs)
        Overloaded function.

        1. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def CopyVariable(self, arg0: VectorVariable, arg1: VectorVariable, arg2: NodesArray) -> None:
        """CopyVariable(*args, **kwargs)
        Overloaded function.

        1. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def CopyVariable(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: NodesArray) -> None:
        """CopyVariable(*args, **kwargs)
        Overloaded function.

        1. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. CopyVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    def CopyVectorVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: NodesArray) -> None:
        """CopyVectorVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None"""
    @overload
    def EraseNonHistoricalVariable(self, arg0: BoolVariable, arg1: NodesArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: IntegerVariable, arg1: NodesArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: DoubleVariable, arg1: NodesArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: Array1DVariable3, arg1: NodesArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: Array1DVariable4, arg1: NodesArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: Array1DVariable6, arg1: NodesArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: Array1DVariable9, arg1: NodesArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: DoubleQuaternionVariable, arg1: NodesArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: VectorVariable, arg1: NodesArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: MatrixVariable, arg1: NodesArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: BoolVariable, arg1: ConditionsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: IntegerVariable, arg1: ConditionsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: DoubleVariable, arg1: ConditionsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: Array1DVariable3, arg1: ConditionsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: Array1DVariable4, arg1: ConditionsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: Array1DVariable6, arg1: ConditionsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: Array1DVariable9, arg1: ConditionsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: DoubleQuaternionVariable, arg1: ConditionsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: VectorVariable, arg1: ConditionsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: MatrixVariable, arg1: ConditionsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: BoolVariable, arg1: ElementsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: IntegerVariable, arg1: ElementsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: DoubleVariable, arg1: ElementsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: Array1DVariable3, arg1: ElementsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: Array1DVariable4, arg1: ElementsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: Array1DVariable6, arg1: ElementsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: Array1DVariable9, arg1: ElementsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: DoubleQuaternionVariable, arg1: ElementsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: VectorVariable, arg1: ElementsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def EraseNonHistoricalVariable(self, arg0: MatrixVariable, arg1: ElementsArray) -> None:
        """EraseNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.NodesArray) -> None

        2. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        3. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        4. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        5. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        6. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        7. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        8. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.NodesArray) -> None

        9. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.NodesArray) -> None

        10. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.NodesArray) -> None

        11. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ConditionsArray) -> None

        12. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        13. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        14. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        15. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        16. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        17. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        18. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ConditionsArray) -> None

        19. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ConditionsArray) -> None

        20. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ConditionsArray) -> None

        21. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.ElementsArray) -> None

        22. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        23. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        24. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        25. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        26. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        27. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        28. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.ElementsArray) -> None

        29. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.ElementsArray) -> None

        30. EraseNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.ElementsArray) -> None
        """
    @overload
    def FlipFlag(self, arg0: Flags, arg1: NodesArray) -> None:
        """FlipFlag(*args, **kwargs)
        Overloaded function.

        1. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.NodesArray) -> None

        2. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ConditionsArray) -> None

        3. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ElementsArray) -> None

        4. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def FlipFlag(self, arg0: Flags, arg1: ConditionsArray) -> None:
        """FlipFlag(*args, **kwargs)
        Overloaded function.

        1. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.NodesArray) -> None

        2. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ConditionsArray) -> None

        3. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ElementsArray) -> None

        4. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def FlipFlag(self, arg0: Flags, arg1: ElementsArray) -> None:
        """FlipFlag(*args, **kwargs)
        Overloaded function.

        1. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.NodesArray) -> None

        2. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ConditionsArray) -> None

        3. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ElementsArray) -> None

        4. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def FlipFlag(self, arg0: Flags, arg1: MasterSlaveConstraintsArray) -> None:
        """FlipFlag(*args, **kwargs)
        Overloaded function.

        1. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.NodesArray) -> None

        2. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ConditionsArray) -> None

        3. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ElementsArray) -> None

        4. FlipFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    def GetCurrentPositionsVector(self, arg0: NodesArray, arg1: int) -> Vector:
        """GetCurrentPositionsVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: int) -> Kratos.Vector"""
    def GetInitialPositionsVector(self, arg0: NodesArray, arg1: int) -> Vector:
        """GetInitialPositionsVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: int) -> Kratos.Vector"""
    @overload
    def GetSolutionStepValuesVector(self, arg0: NodesArray, arg1: Array1DVariable3, arg2: int, arg3: int) -> Vector:
        """GetSolutionStepValuesVector(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Array1DVariable3, arg2: int, arg3: int) -> Kratos.Vector

        2. GetSolutionStepValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.DoubleVariable, arg2: int) -> Kratos.Vector
        """
    @overload
    def GetSolutionStepValuesVector(self, arg0: NodesArray, arg1: DoubleVariable, arg2: int) -> Vector:
        """GetSolutionStepValuesVector(*args, **kwargs)
        Overloaded function.

        1. GetSolutionStepValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Array1DVariable3, arg2: int, arg3: int) -> Kratos.Vector

        2. GetSolutionStepValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.DoubleVariable, arg2: int) -> Kratos.Vector
        """
    @overload
    def GetValuesVector(self, arg0: NodesArray, arg1: Array1DVariable3, arg2: int) -> Vector:
        """GetValuesVector(*args, **kwargs)
        Overloaded function.

        1. GetValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Array1DVariable3, arg2: int) -> Kratos.Vector

        2. GetValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.DoubleVariable) -> Kratos.Vector
        """
    @overload
    def GetValuesVector(self, arg0: NodesArray, arg1: DoubleVariable) -> Vector:
        """GetValuesVector(*args, **kwargs)
        Overloaded function.

        1. GetValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Array1DVariable3, arg2: int) -> Kratos.Vector

        2. GetValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.DoubleVariable) -> Kratos.Vector
        """
    @overload
    def ResetFlag(self, arg0: Flags, arg1: NodesArray) -> None:
        """ResetFlag(*args, **kwargs)
        Overloaded function.

        1. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.NodesArray) -> None

        2. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ConditionsArray) -> None

        3. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ElementsArray) -> None

        4. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def ResetFlag(self, arg0: Flags, arg1: ConditionsArray) -> None:
        """ResetFlag(*args, **kwargs)
        Overloaded function.

        1. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.NodesArray) -> None

        2. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ConditionsArray) -> None

        3. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ElementsArray) -> None

        4. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def ResetFlag(self, arg0: Flags, arg1: ElementsArray) -> None:
        """ResetFlag(*args, **kwargs)
        Overloaded function.

        1. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.NodesArray) -> None

        2. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ConditionsArray) -> None

        3. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ElementsArray) -> None

        4. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def ResetFlag(self, arg0: Flags, arg1: MasterSlaveConstraintsArray) -> None:
        """ResetFlag(*args, **kwargs)
        Overloaded function.

        1. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.NodesArray) -> None

        2. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ConditionsArray) -> None

        3. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.ElementsArray) -> None

        4. ResetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: BoolVariable, arg1: BoolVariable, arg2: NodesArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: NodesArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: NodesArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: NodesArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: NodesArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: NodesArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: VectorVariable, arg1: VectorVariable, arg2: NodesArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: NodesArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ConditionsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ConditionsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ConditionsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ConditionsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ConditionsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ConditionsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ConditionsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ConditionsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: BoolVariable, arg1: BoolVariable, arg2: ElementsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: ElementsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: ElementsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: ElementsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: ElementsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: ElementsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: VectorVariable, arg1: VectorVariable, arg2: ElementsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    @overload
    def SaveNonHistoricalVariable(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: ElementsArray) -> None:
        """SaveNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None

        9. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ConditionsArray) -> None

        10. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ConditionsArray) -> None

        11. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ConditionsArray) -> None

        12. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ConditionsArray) -> None

        13. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ConditionsArray) -> None

        14. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ConditionsArray) -> None

        15. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ConditionsArray) -> None

        16. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ConditionsArray) -> None

        17. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.ElementsArray) -> None

        18. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.ElementsArray) -> None

        19. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.ElementsArray) -> None

        20. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.ElementsArray) -> None

        21. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.ElementsArray) -> None

        22. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.ElementsArray) -> None

        23. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.ElementsArray) -> None

        24. SaveNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.ElementsArray) -> None
        """
    def SaveScalarNonHistoricalVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: NodesArray) -> None:
        """SaveScalarNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None"""
    def SaveScalarVar(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: NodesArray) -> None:
        """SaveScalarVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None"""
    @overload
    def SaveVariable(self, arg0: BoolVariable, arg1: BoolVariable, arg2: NodesArray) -> None:
        """SaveVariable(*args, **kwargs)
        Overloaded function.

        1. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def SaveVariable(self, arg0: DoubleVariable, arg1: DoubleVariable, arg2: NodesArray) -> None:
        """SaveVariable(*args, **kwargs)
        Overloaded function.

        1. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def SaveVariable(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: NodesArray) -> None:
        """SaveVariable(*args, **kwargs)
        Overloaded function.

        1. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def SaveVariable(self, arg0: Array1DVariable4, arg1: Array1DVariable4, arg2: NodesArray) -> None:
        """SaveVariable(*args, **kwargs)
        Overloaded function.

        1. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def SaveVariable(self, arg0: Array1DVariable6, arg1: Array1DVariable6, arg2: NodesArray) -> None:
        """SaveVariable(*args, **kwargs)
        Overloaded function.

        1. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def SaveVariable(self, arg0: Array1DVariable9, arg1: Array1DVariable9, arg2: NodesArray) -> None:
        """SaveVariable(*args, **kwargs)
        Overloaded function.

        1. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def SaveVariable(self, arg0: VectorVariable, arg1: VectorVariable, arg2: NodesArray) -> None:
        """SaveVariable(*args, **kwargs)
        Overloaded function.

        1. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def SaveVariable(self, arg0: MatrixVariable, arg1: MatrixVariable, arg2: NodesArray) -> None:
        """SaveVariable(*args, **kwargs)
        Overloaded function.

        1. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: Kratos.BoolVariable, arg2: Kratos.NodesArray) -> None

        2. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.DoubleVariable, arg2: Kratos.NodesArray) -> None

        3. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None

        4. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array1DVariable4, arg2: Kratos.NodesArray) -> None

        5. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array1DVariable6, arg2: Kratos.NodesArray) -> None

        6. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array1DVariable9, arg2: Kratos.NodesArray) -> None

        7. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.VectorVariable, arg2: Kratos.NodesArray) -> None

        8. SaveVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.MatrixVariable, arg2: Kratos.NodesArray) -> None
        """
    def SaveVectorNonHistoricalVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: NodesArray) -> None:
        """SaveVectorNonHistoricalVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None"""
    def SaveVectorVar(self, arg0: Array1DVariable3, arg1: Array1DVariable3, arg2: NodesArray) -> None:
        """SaveVectorVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array1DVariable3, arg2: Kratos.NodesArray) -> None"""
    def SelectNodeList(self, variable: DoubleVariable, value: float, nodes: NodesArray) -> NodesArray:
        """SelectNodeList(self: Kratos.VariableUtils, variable: Kratos.DoubleVariable, value: float, nodes: Kratos.NodesArray) -> Kratos.NodesArray"""
    def SetCurrentPositionsVector(self, arg0: NodesArray, arg1: Vector) -> None:
        """SetCurrentPositionsVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Vector) -> None"""
    @overload
    def SetFlag(self, arg0: Flags, arg1: bool, arg2: NodesArray) -> None:
        """SetFlag(*args, **kwargs)
        Overloaded function.

        1. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.NodesArray) -> None

        2. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        3. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.ElementsArray) -> None

        4. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetFlag(self, arg0: Flags, arg1: bool, arg2: ConditionsArray) -> None:
        """SetFlag(*args, **kwargs)
        Overloaded function.

        1. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.NodesArray) -> None

        2. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        3. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.ElementsArray) -> None

        4. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetFlag(self, arg0: Flags, arg1: bool, arg2: ElementsArray) -> None:
        """SetFlag(*args, **kwargs)
        Overloaded function.

        1. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.NodesArray) -> None

        2. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        3. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.ElementsArray) -> None

        4. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetFlag(self, arg0: Flags, arg1: bool, arg2: MasterSlaveConstraintsArray) -> None:
        """SetFlag(*args, **kwargs)
        Overloaded function.

        1. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.NodesArray) -> None

        2. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        3. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.ElementsArray) -> None

        4. SetFlag(self: Kratos.VariableUtils, arg0: Kratos.Flags, arg1: bool, arg2: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetHistoricalVariableToZero(self, arg0: IntegerVariable, arg1: NodesArray) -> None:
        """SetHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None
        """
    @overload
    def SetHistoricalVariableToZero(self, arg0: DoubleVariable, arg1: NodesArray) -> None:
        """SetHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None
        """
    @overload
    def SetHistoricalVariableToZero(self, arg0: Array1DVariable3, arg1: NodesArray) -> None:
        """SetHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None
        """
    def SetInitialPositionsVector(self, arg0: NodesArray, arg1: Vector) -> None:
        """SetInitialPositionsVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Vector) -> None"""
    @overload
    def SetNonHistoricalScalarVar(self, arg0: IntegerVariable, arg1: int, arg2: NodesArray) -> None:
        """SetNonHistoricalScalarVar(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalScalarVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalScalarVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def SetNonHistoricalScalarVar(self, arg0: DoubleVariable, arg1: float, arg2: NodesArray) -> None:
        """SetNonHistoricalScalarVar(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalScalarVar(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalScalarVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: IntegerVariable, arg1: int, arg2: NodesArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: BoolVariable, arg1: bool, arg2: NodesArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: DoubleVariable, arg1: float, arg2: NodesArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable3, arg1: Array3, arg2: NodesArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable4, arg1: Array4, arg2: NodesArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable6, arg1: Array6, arg2: NodesArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable9, arg1: Array9, arg2: NodesArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: DoubleQuaternionVariable, arg1: Quaternion, arg2: NodesArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: VectorVariable, arg1: Vector, arg2: NodesArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: MatrixVariable, arg1: Matrix, arg2: NodesArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: BoolVariable, arg1: bool, arg2: ConditionsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: DoubleVariable, arg1: float, arg2: ConditionsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable3, arg1: Array3, arg2: ConditionsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable4, arg1: Array4, arg2: ConditionsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable6, arg1: Array6, arg2: ConditionsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable9, arg1: Array9, arg2: ConditionsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: DoubleQuaternionVariable, arg1: Quaternion, arg2: ConditionsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: VectorVariable, arg1: Vector, arg2: ConditionsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: MatrixVariable, arg1: Matrix, arg2: ConditionsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: BoolVariable, arg1: bool, arg2: ElementsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: DoubleVariable, arg1: float, arg2: ElementsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable3, arg1: Array3, arg2: ElementsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable4, arg1: Array4, arg2: ElementsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable6, arg1: Array6, arg2: ElementsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable9, arg1: Array9, arg2: ElementsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: DoubleQuaternionVariable, arg1: Quaternion, arg2: ElementsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: VectorVariable, arg1: Vector, arg2: ElementsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: MatrixVariable, arg1: Matrix, arg2: ElementsArray) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: BoolVariable, arg1: bool, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: DoubleVariable, arg1: float, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable3, arg1: Array3, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable4, arg1: Array4, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable6, arg1: Array6, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable9, arg1: Array9, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: DoubleQuaternionVariable, arg1: Quaternion, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: VectorVariable, arg1: Vector, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: MatrixVariable, arg1: Matrix, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: BoolVariable, arg1: bool, arg2: ConditionsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: DoubleVariable, arg1: float, arg2: ConditionsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable3, arg1: Array3, arg2: ConditionsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable4, arg1: Array4, arg2: ConditionsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable6, arg1: Array6, arg2: ConditionsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable9, arg1: Array9, arg2: ConditionsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: DoubleQuaternionVariable, arg1: Quaternion, arg2: ConditionsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: VectorVariable, arg1: Vector, arg2: ConditionsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: MatrixVariable, arg1: Matrix, arg2: ConditionsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: BoolVariable, arg1: bool, arg2: ElementsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: DoubleVariable, arg1: float, arg2: ElementsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable3, arg1: Array3, arg2: ElementsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable4, arg1: Array4, arg2: ElementsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable6, arg1: Array6, arg2: ElementsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: Array1DVariable9, arg1: Array9, arg2: ElementsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: DoubleQuaternionVariable, arg1: Quaternion, arg2: ElementsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: VectorVariable, arg1: Vector, arg2: ElementsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariable(self, arg0: MatrixVariable, arg1: Matrix, arg2: ElementsArray, arg3: Flags, arg4: bool) -> None:
        """SetNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray) -> None

        6. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray) -> None

        7. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray) -> None

        8. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        10. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        11. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray) -> None

        12. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray) -> None

        13. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray) -> None

        14. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray) -> None

        16. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray) -> None

        17. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray) -> None

        18. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray) -> None

        20. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray) -> None

        21. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray) -> None

        23. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray) -> None

        24. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray) -> None

        25. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray) -> None

        26. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray) -> None

        27. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray) -> None

        28. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray) -> None

        29. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        30. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        31. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        32. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        33. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        34. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        35. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        36. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        37. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        38. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        39. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        40. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        41. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        42. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        43. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        44. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        45. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        46. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ConditionsArray, arg3: Kratos.Flags, arg4: bool) -> None

        47. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        48. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        49. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        50. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        51. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        52. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        53. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        54. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None

        55. SetNonHistoricalVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.ElementsArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: IntegerVariable, arg1: NodesArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: DoubleVariable, arg1: NodesArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: DoubleVariable, arg1: ElementsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: IntegerVariable, arg1: ElementsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: DoubleVariable, arg1: ConditionsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: IntegerVariable, arg1: ConditionsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: DoubleVariable, arg1: MasterSlaveConstraintsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable3, arg1: NodesArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable3, arg1: ElementsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable3, arg1: ConditionsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable3, arg1: MasterSlaveConstraintsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable4, arg1: NodesArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable4, arg1: ElementsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable4, arg1: ConditionsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable4, arg1: MasterSlaveConstraintsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable6, arg1: NodesArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable6, arg1: ElementsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable6, arg1: ConditionsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable6, arg1: MasterSlaveConstraintsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable9, arg1: NodesArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable9, arg1: ElementsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable9, arg1: ConditionsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    @overload
    def SetNonHistoricalVariableToZero(self, arg0: Array1DVariable9, arg1: MasterSlaveConstraintsArray) -> None:
        """SetNonHistoricalVariableToZero(*args, **kwargs)
        Overloaded function.

        1. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.NodesArray) -> None

        2. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.NodesArray) -> None

        3. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ElementsArray) -> None

        4. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ElementsArray) -> None

        5. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ConditionsArray) -> None

        6. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: Kratos.ConditionsArray) -> None

        7. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        8. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.NodesArray) -> None

        9. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ElementsArray) -> None

        10. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ConditionsArray) -> None

        11. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        12. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.NodesArray) -> None

        13. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ElementsArray) -> None

        14. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.ConditionsArray) -> None

        15. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        16. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.NodesArray) -> None

        17. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ElementsArray) -> None

        18. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.ConditionsArray) -> None

        19. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.MasterSlaveConstraintsArray) -> None

        20. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.NodesArray) -> None

        21. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ElementsArray) -> None

        22. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.ConditionsArray) -> None

        23. SetNonHistoricalVariableToZero(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.MasterSlaveConstraintsArray) -> None
        """
    def SetNonHistoricalVectorVar(self, arg0: Array1DVariable3, arg1: Array3, arg2: NodesArray) -> None:
        """SetNonHistoricalVectorVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None"""
    @overload
    def SetScalarVar(self, arg0: DoubleVariable, arg1: float, arg2: NodesArray) -> None:
        """SetScalarVar(*args, **kwargs)
        Overloaded function.

        1. SetScalarVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        2. SetScalarVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        3. SetScalarVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetScalarVar(self, arg0: DoubleVariable, arg1: float, arg2: NodesArray, arg3: int) -> None:
        """SetScalarVar(*args, **kwargs)
        Overloaded function.

        1. SetScalarVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        2. SetScalarVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        3. SetScalarVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetScalarVar(self, arg0: DoubleVariable, arg1: float, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetScalarVar(*args, **kwargs)
        Overloaded function.

        1. SetScalarVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        2. SetScalarVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        3. SetScalarVar(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetSolutionStepValuesVector(self, arg0: NodesArray, arg1: Array1DVariable3, arg2: Vector, arg3: int) -> None:
        """SetSolutionStepValuesVector(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Array1DVariable3, arg2: Kratos.Vector, arg3: int) -> None

        2. SetSolutionStepValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.DoubleVariable, arg2: Kratos.Vector, arg3: int) -> None
        """
    @overload
    def SetSolutionStepValuesVector(self, arg0: NodesArray, arg1: DoubleVariable, arg2: Vector, arg3: int) -> None:
        """SetSolutionStepValuesVector(*args, **kwargs)
        Overloaded function.

        1. SetSolutionStepValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Array1DVariable3, arg2: Kratos.Vector, arg3: int) -> None

        2. SetSolutionStepValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.DoubleVariable, arg2: Kratos.Vector, arg3: int) -> None
        """
    @overload
    def SetValuesVector(self, arg0: NodesArray, arg1: Array1DVariable3, arg2: Vector) -> None:
        """SetValuesVector(*args, **kwargs)
        Overloaded function.

        1. SetValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Array1DVariable3, arg2: Kratos.Vector) -> None

        2. SetValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.DoubleVariable, arg2: Kratos.Vector) -> None
        """
    @overload
    def SetValuesVector(self, arg0: NodesArray, arg1: DoubleVariable, arg2: Vector) -> None:
        """SetValuesVector(*args, **kwargs)
        Overloaded function.

        1. SetValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Array1DVariable3, arg2: Kratos.Vector) -> None

        2. SetValuesVector(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.DoubleVariable, arg2: Kratos.Vector) -> None
        """
    @overload
    def SetVariable(self, arg0: IntegerVariable, arg1: int, arg2: NodesArray) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: BoolVariable, arg1: bool, arg2: NodesArray) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: DoubleVariable, arg1: float, arg2: NodesArray) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: Array1DVariable3, arg1: Array3, arg2: NodesArray) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: VectorVariable, arg1: Vector, arg2: NodesArray) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: MatrixVariable, arg1: Matrix, arg2: NodesArray) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: DoubleQuaternionVariable, arg1: Quaternion, arg2: NodesArray) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: IntegerVariable, arg1: int, arg2: NodesArray, arg3: int) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: BoolVariable, arg1: bool, arg2: NodesArray, arg3: int) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: DoubleVariable, arg1: float, arg2: NodesArray, arg3: int) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: Array1DVariable3, arg1: Array3, arg2: NodesArray, arg3: int) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: VectorVariable, arg1: Vector, arg2: NodesArray, arg3: int) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: MatrixVariable, arg1: Matrix, arg2: NodesArray, arg3: int) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: DoubleQuaternionVariable, arg1: Quaternion, arg2: NodesArray, arg3: int) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: BoolVariable, arg1: bool, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: DoubleVariable, arg1: float, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: Array1DVariable3, arg1: Array3, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: Array1DVariable4, arg1: Array4, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: Array1DVariable6, arg1: Array6, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: Array1DVariable9, arg1: Array9, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: VectorVariable, arg1: Vector, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: MatrixVariable, arg1: Matrix, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVariable(self, arg0: DoubleQuaternionVariable, arg1: Quaternion, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetVariable(*args, **kwargs)
        Overloaded function.

        1. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray) -> None

        2. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray) -> None

        3. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray) -> None

        4. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        5. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray) -> None

        6. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray) -> None

        7. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray) -> None

        8. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.IntegerVariable, arg1: int, arg2: Kratos.NodesArray, arg3: int) -> None

        9. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: int) -> None

        10. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: int) -> None

        11. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        12. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: int) -> None

        13. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: int) -> None

        14. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: int) -> None

        15. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.BoolVariable, arg1: bool, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        16. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: float, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        17. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        18. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        19. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        20. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        21. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.VectorVariable, arg1: Kratos.Vector, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        22. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None

        23. SetVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos.Quaternion, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVectorVar(self, arg0: Array1DVariable3, arg1: Array3, arg2: NodesArray) -> None:
        """SetVectorVar(*args, **kwargs)
        Overloaded function.

        1. SetVectorVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        2. SetVectorVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        3. SetVectorVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVectorVar(self, arg0: Array1DVariable3, arg1: Array3, arg2: NodesArray, arg3: int) -> None:
        """SetVectorVar(*args, **kwargs)
        Overloaded function.

        1. SetVectorVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        2. SetVectorVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        3. SetVectorVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    @overload
    def SetVectorVar(self, arg0: Array1DVariable3, arg1: Array3, arg2: NodesArray, arg3: Flags, arg4: bool) -> None:
        """SetVectorVar(*args, **kwargs)
        Overloaded function.

        1. SetVectorVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray) -> None

        2. SetVectorVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: int) -> None

        3. SetVectorVar(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3, arg2: Kratos.NodesArray, arg3: Kratos.Flags, arg4: bool) -> None
        """
    def SumConditionScalarVariable(self, arg0: DoubleVariable, arg1: ModelPart) -> float:
        """SumConditionScalarVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart) -> float"""
    def SumConditionVectorVariable(self, arg0: Array1DVariable3, arg1: ModelPart) -> Array3:
        """SumConditionVectorVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart) -> Kratos.Array3"""
    def SumElementScalarVariable(self, arg0: DoubleVariable, arg1: ModelPart) -> float:
        """SumElementScalarVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart) -> float"""
    def SumElementVectorVariable(self, arg0: Array1DVariable3, arg1: ModelPart) -> Array3:
        """SumElementVectorVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart) -> Kratos.Array3"""
    def SumHistoricalNodeScalarVariable(self, arg0: DoubleVariable, arg1: ModelPart, arg2: int) -> float:
        """SumHistoricalNodeScalarVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart, arg2: int) -> float"""
    def SumHistoricalNodeVectorVariable(self, arg0: Array1DVariable3, arg1: ModelPart, arg2: int) -> Array3:
        """SumHistoricalNodeVectorVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart, arg2: int) -> Kratos.Array3"""
    def SumNonHistoricalNodeScalarVariable(self, arg0: DoubleVariable, arg1: ModelPart) -> float:
        """SumNonHistoricalNodeScalarVariable(self: Kratos.VariableUtils, arg0: Kratos.DoubleVariable, arg1: Kratos.ModelPart) -> float"""
    def SumNonHistoricalNodeVectorVariable(self, arg0: Array1DVariable3, arg1: ModelPart) -> Array3:
        """SumNonHistoricalNodeVectorVariable(self: Kratos.VariableUtils, arg0: Kratos.Array1DVariable3, arg1: Kratos.ModelPart) -> Kratos.Array3"""
    @overload
    def UpdateCurrentPosition(self, arg0: NodesArray) -> None:
        """UpdateCurrentPosition(*args, **kwargs)
        Overloaded function.

        1. UpdateCurrentPosition(self: Kratos.VariableUtils, arg0: Kratos.NodesArray) -> None

        2. UpdateCurrentPosition(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Array1DVariable3) -> None

        3. UpdateCurrentPosition(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Array1DVariable3, arg2: int) -> None
        """
    @overload
    def UpdateCurrentPosition(self, arg0: NodesArray, arg1: Array1DVariable3) -> None:
        """UpdateCurrentPosition(*args, **kwargs)
        Overloaded function.

        1. UpdateCurrentPosition(self: Kratos.VariableUtils, arg0: Kratos.NodesArray) -> None

        2. UpdateCurrentPosition(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Array1DVariable3) -> None

        3. UpdateCurrentPosition(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Array1DVariable3, arg2: int) -> None
        """
    @overload
    def UpdateCurrentPosition(self, arg0: NodesArray, arg1: Array1DVariable3, arg2: int) -> None:
        """UpdateCurrentPosition(*args, **kwargs)
        Overloaded function.

        1. UpdateCurrentPosition(self: Kratos.VariableUtils, arg0: Kratos.NodesArray) -> None

        2. UpdateCurrentPosition(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Array1DVariable3) -> None

        3. UpdateCurrentPosition(self: Kratos.VariableUtils, arg0: Kratos.NodesArray, arg1: Kratos.Array1DVariable3, arg2: int) -> None
        """
    def UpdateCurrentToInitialConfiguration(self, arg0: NodesArray) -> None:
        """UpdateCurrentToInitialConfiguration(self: Kratos.VariableUtils, arg0: Kratos.NodesArray) -> None"""
    def UpdateInitialToCurrentConfiguration(self, arg0: NodesArray) -> None:
        """UpdateInitialToCurrentConfiguration(self: Kratos.VariableUtils, arg0: Kratos.NodesArray) -> None"""
    @overload
    def WeightedAccumulateConditionVariableOnNodes(self, arg0: ModelPart, arg1: DoubleVariable, arg2: IntegerVariable, arg3: bool) -> None:
        """WeightedAccumulateConditionVariableOnNodes(*args, **kwargs)
        Overloaded function.

        1. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        2. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        3. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable, arg3: bool) -> None

        4. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: bool) -> None
        """
    @overload
    def WeightedAccumulateConditionVariableOnNodes(self, arg0: ModelPart, arg1: Array1DVariable3, arg2: IntegerVariable, arg3: bool) -> None:
        """WeightedAccumulateConditionVariableOnNodes(*args, **kwargs)
        Overloaded function.

        1. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        2. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        3. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable, arg3: bool) -> None

        4. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: bool) -> None
        """
    @overload
    def WeightedAccumulateConditionVariableOnNodes(self, arg0: ModelPart, arg1: DoubleVariable, arg2: DoubleVariable, arg3: bool) -> None:
        """WeightedAccumulateConditionVariableOnNodes(*args, **kwargs)
        Overloaded function.

        1. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        2. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        3. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable, arg3: bool) -> None

        4. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: bool) -> None
        """
    @overload
    def WeightedAccumulateConditionVariableOnNodes(self, arg0: ModelPart, arg1: Array1DVariable3, arg2: DoubleVariable, arg3: bool) -> None:
        """WeightedAccumulateConditionVariableOnNodes(*args, **kwargs)
        Overloaded function.

        1. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        2. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        3. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable, arg3: bool) -> None

        4. WeightedAccumulateConditionVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: bool) -> None
        """
    @overload
    def WeightedAccumulateElementVariableOnNodes(self, arg0: ModelPart, arg1: DoubleVariable, arg2: IntegerVariable, arg3: bool) -> None:
        """WeightedAccumulateElementVariableOnNodes(*args, **kwargs)
        Overloaded function.

        1. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        2. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        3. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable, arg3: bool) -> None

        4. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: bool) -> None
        """
    @overload
    def WeightedAccumulateElementVariableOnNodes(self, arg0: ModelPart, arg1: Array1DVariable3, arg2: IntegerVariable, arg3: bool) -> None:
        """WeightedAccumulateElementVariableOnNodes(*args, **kwargs)
        Overloaded function.

        1. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        2. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        3. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable, arg3: bool) -> None

        4. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: bool) -> None
        """
    @overload
    def WeightedAccumulateElementVariableOnNodes(self, arg0: ModelPart, arg1: DoubleVariable, arg2: DoubleVariable, arg3: bool) -> None:
        """WeightedAccumulateElementVariableOnNodes(*args, **kwargs)
        Overloaded function.

        1. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        2. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        3. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable, arg3: bool) -> None

        4. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: bool) -> None
        """
    @overload
    def WeightedAccumulateElementVariableOnNodes(self, arg0: ModelPart, arg1: Array1DVariable3, arg2: DoubleVariable, arg3: bool) -> None:
        """WeightedAccumulateElementVariableOnNodes(*args, **kwargs)
        Overloaded function.

        1. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        2. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.IntegerVariable, arg3: bool) -> None

        3. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.DoubleVariable, arg2: Kratos.DoubleVariable, arg3: bool) -> None

        4. WeightedAccumulateElementVariableOnNodes(self: Kratos.VariableUtils, arg0: Kratos.ModelPart, arg1: Kratos.Array1DVariable3, arg2: Kratos.DoubleVariable, arg3: bool) -> None
        """

class VariablesListDataValueContainer:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        2. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        3. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        4. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        5. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        6. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        7. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        8. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        9. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        10. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        11. Clear(self: Kratos.VariablesListDataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        2. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        3. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        4. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        5. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        6. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        7. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        8. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        9. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        10. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        11. Clear(self: Kratos.VariablesListDataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        2. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        3. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        4. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        5. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        6. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        7. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        8. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        9. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        10. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        11. Clear(self: Kratos.VariablesListDataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        2. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        3. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        4. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        5. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        6. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        7. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        8. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        9. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        10. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        11. Clear(self: Kratos.VariablesListDataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        2. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        3. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        4. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        5. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        6. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        7. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        8. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        9. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        10. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        11. Clear(self: Kratos.VariablesListDataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        2. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        3. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        4. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        5. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        6. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        7. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        8. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        9. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        10. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        11. Clear(self: Kratos.VariablesListDataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        2. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        3. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        4. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        5. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        6. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        7. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        8. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        9. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        10. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        11. Clear(self: Kratos.VariablesListDataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        2. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        3. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        4. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        5. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        6. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        7. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        8. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        9. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        10. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        11. Clear(self: Kratos.VariablesListDataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        2. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        3. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        4. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        5. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        6. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        7. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        8. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        9. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        10. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        11. Clear(self: Kratos.VariablesListDataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        2. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        3. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        4. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        5. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        6. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        7. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        8. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        9. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        10. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        11. Clear(self: Kratos.VariablesListDataValueContainer) -> None
        """
    @overload
    def Clear(self) -> None:
        """Clear(*args, **kwargs)
        Overloaded function.

        1. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        2. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        3. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        4. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        5. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        6. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        7. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        8. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        9. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        10. Clear(self: Kratos.VariablesListDataValueContainer) -> None

        11. Clear(self: Kratos.VariablesListDataValueContainer) -> None
        """
    @overload
    def GetValue(self, arg0: BoolVariable) -> bool:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: IntegerVariable) -> int:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: DoubleVariable) -> float:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable3) -> Array3:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable4) -> Array4:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable6) -> Array6:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: Array1DVariable9) -> Array9:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: VectorVariable) -> Vector:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: MatrixVariable) -> Matrix:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def GetValue(self, arg0: StringVariable) -> str:
        """GetValue(*args, **kwargs)
        Overloaded function.

        1. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. GetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def Has(self, arg0: BoolVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: IntegerVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: DoubleVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable3) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable4) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable6) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: Array1DVariable9) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: VectorVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: MatrixVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: DoubleQuaternionVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def Has(self, arg0: StringVariable) -> bool:
        """Has(*args, **kwargs)
        Overloaded function.

        1. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. Has(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def SetValue(self, arg0: BoolVariable, arg1: bool) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: IntegerVariable, arg1: int) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: DoubleVariable, arg1: float) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable4, arg1: Array4) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: Array1DVariable9, arg1: Array9) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: VectorVariable, arg1: Vector) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: DoubleQuaternionVariable, arg1) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def SetValue(self, arg0: StringVariable, arg1: str) -> None:
        """SetValue(*args, **kwargs)
        Overloaded function.

        1. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. SetValue(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __contains__(self, arg0: BoolVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: IntegerVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: DoubleVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: Array1DVariable3) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: Array1DVariable4) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: Array1DVariable6) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: Array1DVariable9) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: VectorVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: MatrixVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: DoubleQuaternionVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __contains__(self, arg0: StringVariable) -> bool:
        """__contains__(*args, **kwargs)
        Overloaded function.

        1. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> bool

        3. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> bool

        4. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> bool

        5. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> bool

        6. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> bool

        7. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> bool

        8. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> bool

        9. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> bool

        10. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> bool

        11. __contains__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> bool
        """
    @overload
    def __getitem__(self, arg0: BoolVariable) -> bool:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: IntegerVariable) -> int:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: DoubleVariable) -> float:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable3) -> Array3:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable4) -> Array4:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable6) -> Array6:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: Array1DVariable9) -> Array9:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: VectorVariable) -> Vector:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: MatrixVariable) -> Matrix:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    @overload
    def __getitem__(self, arg0: StringVariable) -> str:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable) -> bool

        2. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable) -> int

        3. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable) -> float

        4. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3) -> Kratos.Array3

        5. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4) -> Kratos.Array4

        6. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6) -> Kratos.Array6

        7. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9) -> Kratos.Array9

        8. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable) -> Kratos.Vector

        9. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable) -> Kratos.Matrix

        10. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable) -> Kratos::Quaternion<double>

        11. __getitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable) -> str
        """
    def __len__(self) -> int:
        """__len__(self: Kratos.VariablesListDataValueContainer) -> int"""
    @overload
    def __setitem__(self, arg0: BoolVariable, arg1: bool) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: IntegerVariable, arg1: int) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: DoubleVariable, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable3, arg1: Array3) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable4, arg1: Array4) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable6, arg1: Array6) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: Array1DVariable9, arg1: Array9) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: VectorVariable, arg1: Vector) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: MatrixVariable, arg1: Matrix) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: DoubleQuaternionVariable, arg1) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """
    @overload
    def __setitem__(self, arg0: StringVariable, arg1: str) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.BoolVariable, arg1: bool) -> None

        2. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.IntegerVariable, arg1: int) -> None

        3. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleVariable, arg1: float) -> None

        4. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable3, arg1: Kratos.Array3) -> None

        5. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable4, arg1: Kratos.Array4) -> None

        6. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable6, arg1: Kratos.Array6) -> None

        7. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.Array1DVariable9, arg1: Kratos.Array9) -> None

        8. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.VectorVariable, arg1: Kratos.Vector) -> None

        9. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.MatrixVariable, arg1: Kratos.Matrix) -> None

        10. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.DoubleQuaternionVariable, arg1: Kratos::Quaternion<double>) -> None

        11. __setitem__(self: Kratos.VariablesListDataValueContainer, arg0: Kratos.StringVariable, arg1: str) -> None
        """

class VariationalDistanceCalculationProcess2D(Process):
    CALCULATE_EXACT_DISTANCES_TO_PLANE: ClassVar[Flags] = ...  # read-only
    def __init__(self, *args, **kwargs) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.VariationalDistanceCalculationProcess2D, arg0: Kratos::Model, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: Kratos::Parameters) -> None

        2. __init__(self: Kratos.VariationalDistanceCalculationProcess2D, arg0: Kratos.ModelPart, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        3. __init__(self: Kratos.VariationalDistanceCalculationProcess2D, arg0: Kratos.ModelPart, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: int) -> None

        4. __init__(self: Kratos.VariationalDistanceCalculationProcess2D, arg0: Kratos.ModelPart, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: int, arg3: Kratos.Flags) -> None

        5. __init__(self: Kratos.VariationalDistanceCalculationProcess2D, arg0: Kratos.ModelPart, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: int, arg3: Kratos.Flags, arg4: str) -> None

        6. __init__(self: Kratos.VariationalDistanceCalculationProcess2D, arg0: Kratos.ModelPart, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: int, arg3: Kratos.Flags, arg4: str, arg5: float) -> None

        7. __init__(self: Kratos.VariationalDistanceCalculationProcess2D, arg0: Kratos.ModelPart, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: int, arg3: Kratos.Flags, arg4: str, arg5: float, arg6: float) -> None
        """

class VariationalDistanceCalculationProcess3D(Process):
    CALCULATE_EXACT_DISTANCES_TO_PLANE: ClassVar[Flags] = ...  # read-only
    def __init__(self, *args, **kwargs) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.VariationalDistanceCalculationProcess3D, arg0: Kratos::Model, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: Kratos::Parameters) -> None

        2. __init__(self: Kratos.VariationalDistanceCalculationProcess3D, arg0: Kratos.ModelPart, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >) -> None

        3. __init__(self: Kratos.VariationalDistanceCalculationProcess3D, arg0: Kratos.ModelPart, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: int) -> None

        4. __init__(self: Kratos.VariationalDistanceCalculationProcess3D, arg0: Kratos.ModelPart, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: int, arg3: Kratos.Flags) -> None

        5. __init__(self: Kratos.VariationalDistanceCalculationProcess3D, arg0: Kratos.ModelPart, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: int, arg3: Kratos.Flags, arg4: str) -> None

        6. __init__(self: Kratos.VariationalDistanceCalculationProcess3D, arg0: Kratos.ModelPart, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: int, arg3: Kratos.Flags, arg4: str, arg5: float) -> None

        7. __init__(self: Kratos.VariationalDistanceCalculationProcess3D, arg0: Kratos.ModelPart, arg1: Kratos::LinearSolver<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::Reorderer<Kratos::UblasSpace<double,boost::numeric::ublas::compressed_matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,0,boost::numeric::ublas::unbounded_array<unsigned __int64,std::allocator<unsigned __int64> >,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > >,Kratos::UblasSpace<double,boost::numeric::ublas::matrix<double,boost::numeric::ublas::basic_row_major<unsigned __int64,__int64>,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >,boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > > > > >, arg2: int, arg3: Kratos.Flags, arg4: str, arg5: float, arg6: float) -> None
        """

class Vector:
    @overload
    def __init__(self) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Vector) -> None

        2. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        3. __init__(self: Kratos.Vector, arg0: int) -> None

        4. __init__(self: Kratos.Vector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        6. __init__(self: Kratos.Vector, arg0: Kratos::array_1d<double,3>) -> None

        7. __init__(self: Kratos.Vector, arg0: list) -> None

        8. __init__(self: Kratos.Vector, arg0: Kratos.VectorSlice) -> None

        9. __init__(self: Kratos.Vector, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Vector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Vector) -> None

        2. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        3. __init__(self: Kratos.Vector, arg0: int) -> None

        4. __init__(self: Kratos.Vector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        6. __init__(self: Kratos.Vector, arg0: Kratos::array_1d<double,3>) -> None

        7. __init__(self: Kratos.Vector, arg0: list) -> None

        8. __init__(self: Kratos.Vector, arg0: Kratos.VectorSlice) -> None

        9. __init__(self: Kratos.Vector, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: int) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Vector) -> None

        2. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        3. __init__(self: Kratos.Vector, arg0: int) -> None

        4. __init__(self: Kratos.Vector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        6. __init__(self: Kratos.Vector, arg0: Kratos::array_1d<double,3>) -> None

        7. __init__(self: Kratos.Vector, arg0: list) -> None

        8. __init__(self: Kratos.Vector, arg0: Kratos.VectorSlice) -> None

        9. __init__(self: Kratos.Vector, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: int, arg1: float) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Vector) -> None

        2. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        3. __init__(self: Kratos.Vector, arg0: int) -> None

        4. __init__(self: Kratos.Vector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        6. __init__(self: Kratos.Vector, arg0: Kratos::array_1d<double,3>) -> None

        7. __init__(self: Kratos.Vector, arg0: list) -> None

        8. __init__(self: Kratos.Vector, arg0: Kratos.VectorSlice) -> None

        9. __init__(self: Kratos.Vector, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Vector) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Vector) -> None

        2. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        3. __init__(self: Kratos.Vector, arg0: int) -> None

        4. __init__(self: Kratos.Vector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        6. __init__(self: Kratos.Vector, arg0: Kratos::array_1d<double,3>) -> None

        7. __init__(self: Kratos.Vector, arg0: list) -> None

        8. __init__(self: Kratos.Vector, arg0: Kratos.VectorSlice) -> None

        9. __init__(self: Kratos.Vector, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: list) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Vector) -> None

        2. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        3. __init__(self: Kratos.Vector, arg0: int) -> None

        4. __init__(self: Kratos.Vector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        6. __init__(self: Kratos.Vector, arg0: Kratos::array_1d<double,3>) -> None

        7. __init__(self: Kratos.Vector, arg0: list) -> None

        8. __init__(self: Kratos.Vector, arg0: Kratos.VectorSlice) -> None

        9. __init__(self: Kratos.Vector, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: VectorSlice) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Vector) -> None

        2. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        3. __init__(self: Kratos.Vector, arg0: int) -> None

        4. __init__(self: Kratos.Vector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        6. __init__(self: Kratos.Vector, arg0: Kratos::array_1d<double,3>) -> None

        7. __init__(self: Kratos.Vector, arg0: list) -> None

        8. __init__(self: Kratos.Vector, arg0: Kratos.VectorSlice) -> None

        9. __init__(self: Kratos.Vector, arg0: Buffer) -> None
        """
    @overload
    def __init__(self, arg0: Buffer) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.Vector) -> None

        2. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        3. __init__(self: Kratos.Vector, arg0: int) -> None

        4. __init__(self: Kratos.Vector, arg0: int, arg1: float) -> None

        5. __init__(self: Kratos.Vector, arg0: Kratos.Vector) -> None

        6. __init__(self: Kratos.Vector, arg0: Kratos::array_1d<double,3>) -> None

        7. __init__(self: Kratos.Vector, arg0: list) -> None

        8. __init__(self: Kratos.Vector, arg0: Kratos.VectorSlice) -> None

        9. __init__(self: Kratos.Vector, arg0: Buffer) -> None
        """
    def Resize(self, arg0: int) -> None:
        """Resize(self: Kratos.Vector, arg0: int) -> None"""
    def Size(self) -> int:
        """Size(self: Kratos.Vector) -> int"""
    def fill(self, arg0: float) -> None:
        """fill(self: Kratos.Vector, arg0: float) -> None"""
    def norm_1(self) -> float:
        """norm_1(self: Kratos.Vector) -> float"""
    def norm_2(self) -> float:
        """norm_2(self: Kratos.Vector) -> float"""
    def norm_inf(self) -> float:
        """norm_inf(self: Kratos.Vector) -> float"""
    def __add__(self, arg0: Vector) -> Vector:
        """__add__(self: Kratos.Vector, arg0: Kratos.Vector) -> Kratos.Vector"""
    def __div__(self, arg0: float) -> Vector:
        """__div__(self: Kratos.Vector, arg0: float) -> Kratos.Vector"""
    @overload
    def __getitem__(self, arg0: int) -> float:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Vector, arg0: int) -> float

        2. __getitem__(self: Kratos.Vector, arg0: slice) -> Kratos.VectorSlice
        """
    @overload
    def __getitem__(self, arg0: slice) -> VectorSlice:
        """__getitem__(*args, **kwargs)
        Overloaded function.

        1. __getitem__(self: Kratos.Vector, arg0: int) -> float

        2. __getitem__(self: Kratos.Vector, arg0: slice) -> Kratos.VectorSlice
        """
    @overload
    def __iadd__(self, arg0: float) -> Vector:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.Vector, arg0: float) -> Kratos.Vector

        2. __iadd__(self: Kratos.Vector, arg0: Kratos.Vector) -> Kratos.Vector
        """
    @overload
    def __iadd__(self, arg0: Vector) -> Vector:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.Vector, arg0: float) -> Kratos.Vector

        2. __iadd__(self: Kratos.Vector, arg0: Kratos.Vector) -> Kratos.Vector
        """
    def __imul__(self, arg0: float) -> Vector:
        """__imul__(self: Kratos.Vector, arg0: float) -> Kratos.Vector"""
    @overload
    def __isub__(self, arg0: float) -> Vector:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.Vector, arg0: float) -> Kratos.Vector

        2. __isub__(self: Kratos.Vector, arg0: Kratos.Vector) -> Kratos.Vector
        """
    @overload
    def __isub__(self, arg0: Vector) -> Vector:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.Vector, arg0: float) -> Kratos.Vector

        2. __isub__(self: Kratos.Vector, arg0: Kratos.Vector) -> Kratos.Vector
        """
    def __iter__(self) -> Iterator[float]:
        """__iter__(self: Kratos.Vector) -> Iterator[float]"""
    def __itruediv__(self, arg0: float) -> Vector:
        """__itruediv__(self: Kratos.Vector, arg0: float) -> Kratos.Vector"""
    def __len__(self) -> int:
        """__len__(self: Kratos.Vector) -> int"""
    def __mul__(self, arg0: float) -> Vector:
        """__mul__(self: Kratos.Vector, arg0: float) -> Kratos.Vector"""
    def __rdiv__(self, arg0: float) -> None:
        """__rdiv__(self: Kratos.Vector, arg0: float) -> None"""
    def __rmul__(self, arg0: float) -> Vector:
        """__rmul__(self: Kratos.Vector, arg0: float) -> Kratos.Vector"""
    @overload
    def __setitem__(self, arg0: int, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Vector, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.Vector, arg0: slice, arg1: Kratos.Vector) -> None
        """
    @overload
    def __setitem__(self, arg0: slice, arg1: Vector) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.Vector, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.Vector, arg0: slice, arg1: Kratos.Vector) -> None
        """
    def __sub__(self, arg0: Vector) -> Vector:
        """__sub__(self: Kratos.Vector, arg0: Kratos.Vector) -> Kratos.Vector"""
    def __truediv__(self, arg0: float) -> Vector:
        """__truediv__(self: Kratos.Vector, arg0: float) -> Kratos.Vector"""

class VectorSlice:
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""
    def Size(self) -> int:
        """Size(self: Kratos.VectorSlice) -> int"""
    def __add__(self, other):
        """__add__(self: Kratos.VectorSlice, arg0: Kratos.VectorSlice) -> boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >"""
    def __div__(self, arg0: float) -> VectorSlice:
        """__div__(self: Kratos.VectorSlice, arg0: float) -> Kratos.VectorSlice"""
    def __getitem__(self, arg0: int) -> float:
        """__getitem__(self: Kratos.VectorSlice, arg0: int) -> float"""
    @overload
    def __iadd__(self, arg0: float) -> VectorSlice:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.VectorSlice, arg0: float) -> Kratos.VectorSlice

        2. __iadd__(self: Kratos.VectorSlice, arg0: Kratos.VectorSlice) -> Kratos.VectorSlice
        """
    @overload
    def __iadd__(self, arg0: VectorSlice) -> VectorSlice:
        """__iadd__(*args, **kwargs)
        Overloaded function.

        1. __iadd__(self: Kratos.VectorSlice, arg0: float) -> Kratos.VectorSlice

        2. __iadd__(self: Kratos.VectorSlice, arg0: Kratos.VectorSlice) -> Kratos.VectorSlice
        """
    def __imul__(self, arg0: float) -> VectorSlice:
        """__imul__(self: Kratos.VectorSlice, arg0: float) -> Kratos.VectorSlice"""
    @overload
    def __isub__(self, arg0: float) -> VectorSlice:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.VectorSlice, arg0: float) -> Kratos.VectorSlice

        2. __isub__(self: Kratos.VectorSlice, arg0: Kratos.VectorSlice) -> Kratos.VectorSlice
        """
    @overload
    def __isub__(self, arg0: VectorSlice) -> VectorSlice:
        """__isub__(*args, **kwargs)
        Overloaded function.

        1. __isub__(self: Kratos.VectorSlice, arg0: float) -> Kratos.VectorSlice

        2. __isub__(self: Kratos.VectorSlice, arg0: Kratos.VectorSlice) -> Kratos.VectorSlice
        """
    def __iter__(self) -> Iterator[float]:
        """__iter__(self: Kratos.VectorSlice) -> Iterator[float]"""
    def __itruediv__(self, arg0: float) -> VectorSlice:
        """__itruediv__(self: Kratos.VectorSlice, arg0: float) -> Kratos.VectorSlice"""
    def __len__(self) -> int:
        """__len__(self: Kratos.VectorSlice) -> int"""
    def __mul__(self, arg0: float) -> VectorSlice:
        """__mul__(self: Kratos.VectorSlice, arg0: float) -> Kratos.VectorSlice"""
    def __rdiv__(self, arg0: float) -> None:
        """__rdiv__(self: Kratos.VectorSlice, arg0: float) -> None"""
    def __rmul__(self, arg0: float) -> VectorSlice:
        """__rmul__(self: Kratos.VectorSlice, arg0: float) -> Kratos.VectorSlice"""
    @overload
    def __setitem__(self, arg0: int, arg1: float) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.VectorSlice, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.VectorSlice, arg0: slice, arg1: Kratos.VectorSlice) -> None

        3. __setitem__(self: Kratos.VectorSlice, arg0: slice, arg1: boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >) -> None
        """
    @overload
    def __setitem__(self, arg0: slice, arg1: VectorSlice) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.VectorSlice, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.VectorSlice, arg0: slice, arg1: Kratos.VectorSlice) -> None

        3. __setitem__(self: Kratos.VectorSlice, arg0: slice, arg1: boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >) -> None
        """
    @overload
    def __setitem__(self, arg0: slice, arg1, boost, std) -> None:
        """__setitem__(*args, **kwargs)
        Overloaded function.

        1. __setitem__(self: Kratos.VectorSlice, arg0: int, arg1: float) -> None

        2. __setitem__(self: Kratos.VectorSlice, arg0: slice, arg1: Kratos.VectorSlice) -> None

        3. __setitem__(self: Kratos.VectorSlice, arg0: slice, arg1: boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >) -> None
        """
    def __sub__(self, other):
        """__sub__(self: Kratos.VectorSlice, arg0: Kratos.VectorSlice) -> boost::numeric::ublas::vector<double,boost::numeric::ublas::unbounded_array<double,std::allocator<double> > >"""

class VectorVariable(VariableData):
    def __init__(self, *args, **kwargs) -> None:
        """Initialize self.  See help(type(self)) for accurate signature."""

class VoxelMeshGeneratorModeler(Modeler):
    def __init__(self, arg0: Model, arg1) -> None:
        """__init__(self: Kratos.VoxelMeshGeneratorModeler, arg0: Kratos.Model, arg1: Kratos::Parameters) -> None"""

class VtkOutput(IO):
    @overload
    def __init__(self, arg0: ModelPart) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.VtkOutput, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.VtkOutput, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @overload
    def __init__(self, arg0: ModelPart, arg1) -> None:
        """__init__(*args, **kwargs)
        Overloaded function.

        1. __init__(self: Kratos.VtkOutput, arg0: Kratos.ModelPart) -> None

        2. __init__(self: Kratos.VtkOutput, arg0: Kratos.ModelPart, arg1: Kratos::Parameters) -> None
        """
    @classmethod
    def GetDefaultParameters(cls, *args, **kwargs):
        """GetDefaultParameters() -> Kratos::Parameters"""
    def PrintOutput(self, output_filename: str = ...) -> None:
        """PrintOutput(self: Kratos.VtkOutput, output_filename: str = '') -> None"""

class VtuOutput:
    class WriterFormat:
        __members__: ClassVar[dict] = ...  # read-only
        ASCII: ClassVar[VtuOutput.WriterFormat] = ...
        BINARY: ClassVar[VtuOutput.WriterFormat] = ...
        __entries: ClassVar[dict] = ...
        def __init__(self, value: int) -> None:
            """__init__(self: Kratos.VtuOutput.WriterFormat, value: int) -> None"""
        def __eq__(self, other: object) -> bool:
            """__eq__(self: object, other: object) -> bool"""
        def __hash__(self) -> int:
            """__hash__(self: object) -> int"""
        def __index__(self) -> int:
            """__index__(self: Kratos.VtuOutput.WriterFormat) -> int"""
        def __int__(self) -> int:
            """__int__(self: Kratos.VtuOutput.WriterFormat) -> int"""
        def __ne__(self, other: object) -> bool:
            """__ne__(self: object, other: object) -> bool"""
        @property
        def name(self) -> str: ...
        @property
        def value(self) -> int: ...
    ASCII: ClassVar[VtuOutput.WriterFormat] = ...
    BINARY: ClassVar[VtuOutput.WriterFormat] = ...
    CONDITIONS: ClassVar[Flags] = ...
    ELEMENTS: ClassVar[Flags] = ...
    NODES: ClassVar[Flags] = ...
    def __init__(self, model_part: ModelPart, is_initial_configuration_considered: bool = ..., binary_output: VtuOutput.WriterFormat = ..., precision: int = ...) -> None:
        """__init__(self: Kratos.VtuOutput, model_part: Kratos.ModelPart, is_initial_configuration_considered: bool = True, binary_output: Kratos.VtuOutput.WriterFormat = <WriterFormat.BINARY: 1>, precision: int = 9) -> None"""
    def AddContainerExpression(self, *args, **kwargs):
        """AddContainerExpression(*args, **kwargs)
        Overloaded function.

        1. AddContainerExpression(self: Kratos.VtuOutput, container_expression_name: str, container_expression: Kratos::ContainerExpression<Kratos::PointerVectorSet<Kratos::Node,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Node>,std::vector<Kratos::intrusive_ptr<Kratos::Node>,std::allocator<Kratos::intrusive_ptr<Kratos::Node> > > >,0>) -> None

        2. AddContainerExpression(self: Kratos.VtuOutput, container_expression_name: str, container_expression: Kratos::ContainerExpression<Kratos::PointerVectorSet<Kratos::Condition,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Condition>,std::vector<Kratos::intrusive_ptr<Kratos::Condition>,std::allocator<Kratos::intrusive_ptr<Kratos::Condition> > > >,0>) -> None

        3. AddContainerExpression(self: Kratos.VtuOutput, container_expression_name: str, container_expression: Kratos::ContainerExpression<Kratos::PointerVectorSet<Kratos::Element,Kratos::IndexedObject,std::less<unsigned __int64>,std::equal_to<unsigned __int64>,Kratos::intrusive_ptr<Kratos::Element>,std::vector<Kratos::intrusive_ptr<Kratos::Element>,std::allocator<Kratos::intrusive_ptr<Kratos::Element> > > >,0>) -> None
        """
    def AddFlagVariable(self, flag_variable_name: str, flag: Flags, entity_flags: Flags) -> None:
        """AddFlagVariable(self: Kratos.VtuOutput, flag_variable_name: str, flag: Kratos.Flags, entity_flags: Kratos.Flags) -> None"""
    @overload
    def AddHistoricalVariable(self, int_variable: IntegerVariable) -> None:
        """AddHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. AddHistoricalVariable(self: Kratos.VtuOutput, int_variable: Kratos.IntegerVariable) -> None

        2. AddHistoricalVariable(self: Kratos.VtuOutput, double_variable: Kratos.DoubleVariable) -> None

        3. AddHistoricalVariable(self: Kratos.VtuOutput, array3_variable: Kratos.Array1DVariable3) -> None

        4. AddHistoricalVariable(self: Kratos.VtuOutput, array4_variable: Kratos.Array1DVariable4) -> None

        5. AddHistoricalVariable(self: Kratos.VtuOutput, array6_variable: Kratos.Array1DVariable6) -> None

        6. AddHistoricalVariable(self: Kratos.VtuOutput, array9_variable: Kratos.Array1DVariable9) -> None
        """
    @overload
    def AddHistoricalVariable(self, double_variable: DoubleVariable) -> None:
        """AddHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. AddHistoricalVariable(self: Kratos.VtuOutput, int_variable: Kratos.IntegerVariable) -> None

        2. AddHistoricalVariable(self: Kratos.VtuOutput, double_variable: Kratos.DoubleVariable) -> None

        3. AddHistoricalVariable(self: Kratos.VtuOutput, array3_variable: Kratos.Array1DVariable3) -> None

        4. AddHistoricalVariable(self: Kratos.VtuOutput, array4_variable: Kratos.Array1DVariable4) -> None

        5. AddHistoricalVariable(self: Kratos.VtuOutput, array6_variable: Kratos.Array1DVariable6) -> None

        6. AddHistoricalVariable(self: Kratos.VtuOutput, array9_variable: Kratos.Array1DVariable9) -> None
        """
    @overload
    def AddHistoricalVariable(self, array3_variable: Array1DVariable3) -> None:
        """AddHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. AddHistoricalVariable(self: Kratos.VtuOutput, int_variable: Kratos.IntegerVariable) -> None

        2. AddHistoricalVariable(self: Kratos.VtuOutput, double_variable: Kratos.DoubleVariable) -> None

        3. AddHistoricalVariable(self: Kratos.VtuOutput, array3_variable: Kratos.Array1DVariable3) -> None

        4. AddHistoricalVariable(self: Kratos.VtuOutput, array4_variable: Kratos.Array1DVariable4) -> None

        5. AddHistoricalVariable(self: Kratos.VtuOutput, array6_variable: Kratos.Array1DVariable6) -> None

        6. AddHistoricalVariable(self: Kratos.VtuOutput, array9_variable: Kratos.Array1DVariable9) -> None
        """
    @overload
    def AddHistoricalVariable(self, array4_variable: Array1DVariable4) -> None:
        """AddHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. AddHistoricalVariable(self: Kratos.VtuOutput, int_variable: Kratos.IntegerVariable) -> None

        2. AddHistoricalVariable(self: Kratos.VtuOutput, double_variable: Kratos.DoubleVariable) -> None

        3. AddHistoricalVariable(self: Kratos.VtuOutput, array3_variable: Kratos.Array1DVariable3) -> None

        4. AddHistoricalVariable(self: Kratos.VtuOutput, array4_variable: Kratos.Array1DVariable4) -> None

        5. AddHistoricalVariable(self: Kratos.VtuOutput, array6_variable: Kratos.Array1DVariable6) -> None

        6. AddHistoricalVariable(self: Kratos.VtuOutput, array9_variable: Kratos.Array1DVariable9) -> None
        """
    @overload
    def AddHistoricalVariable(self, array6_variable: Array1DVariable6) -> None:
        """AddHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. AddHistoricalVariable(self: Kratos.VtuOutput, int_variable: Kratos.IntegerVariable) -> None

        2. AddHistoricalVariable(self: Kratos.VtuOutput, double_variable: Kratos.DoubleVariable) -> None

        3. AddHistoricalVariable(self: Kratos.VtuOutput, array3_variable: Kratos.Array1DVariable3) -> None

        4. AddHistoricalVariable(self: Kratos.VtuOutput, array4_variable: Kratos.Array1DVariable4) -> None

        5. AddHistoricalVariable(self: Kratos.VtuOutput, array6_variable: Kratos.Array1DVariable6) -> None

        6. AddHistoricalVariable(self: Kratos.VtuOutput, array9_variable: Kratos.Array1DVariable9) -> None
        """
    @overload
    def AddHistoricalVariable(self, array9_variable: Array1DVariable9) -> None:
        """AddHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. AddHistoricalVariable(self: Kratos.VtuOutput, int_variable: Kratos.IntegerVariable) -> None

        2. AddHistoricalVariable(self: Kratos.VtuOutput, double_variable: Kratos.DoubleVariable) -> None

        3. AddHistoricalVariable(self: Kratos.VtuOutput, array3_variable: Kratos.Array1DVariable3) -> None

        4. AddHistoricalVariable(self: Kratos.VtuOutput, array4_variable: Kratos.Array1DVariable4) -> None

        5. AddHistoricalVariable(self: Kratos.VtuOutput, array6_variable: Kratos.Array1DVariable6) -> None

        6. AddHistoricalVariable(self: Kratos.VtuOutput, array9_variable: Kratos.Array1DVariable9) -> None
        """
    @overload
    def AddNonHistoricalVariable(self, int_variable: IntegerVariable, entity_flags: Flags) -> None:
        """AddNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. AddNonHistoricalVariable(self: Kratos.VtuOutput, int_variable: Kratos.IntegerVariable, entity_flags: Kratos.Flags) -> None

        2. AddNonHistoricalVariable(self: Kratos.VtuOutput, double_variable: Kratos.DoubleVariable, entity_flags: Kratos.Flags) -> None

        3. AddNonHistoricalVariable(self: Kratos.VtuOutput, array3_variable: Kratos.Array1DVariable3, entity_flags: Kratos.Flags) -> None

        4. AddNonHistoricalVariable(self: Kratos.VtuOutput, array4_variable: Kratos.Array1DVariable4, entity_flags: Kratos.Flags) -> None

        5. AddNonHistoricalVariable(self: Kratos.VtuOutput, array6_variable: Kratos.Array1DVariable6, entity_flags: Kratos.Flags) -> None

        6. AddNonHistoricalVariable(self: Kratos.VtuOutput, array9_variable: Kratos.Array1DVariable9, entity_flags: Kratos.Flags) -> None
        """
    @overload
    def AddNonHistoricalVariable(self, double_variable: DoubleVariable, entity_flags: Flags) -> None:
        """AddNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. AddNonHistoricalVariable(self: Kratos.VtuOutput, int_variable: Kratos.IntegerVariable, entity_flags: Kratos.Flags) -> None

        2. AddNonHistoricalVariable(self: Kratos.VtuOutput, double_variable: Kratos.DoubleVariable, entity_flags: Kratos.Flags) -> None

        3. AddNonHistoricalVariable(self: Kratos.VtuOutput, array3_variable: Kratos.Array1DVariable3, entity_flags: Kratos.Flags) -> None

        4. AddNonHistoricalVariable(self: Kratos.VtuOutput, array4_variable: Kratos.Array1DVariable4, entity_flags: Kratos.Flags) -> None

        5. AddNonHistoricalVariable(self: Kratos.VtuOutput, array6_variable: Kratos.Array1DVariable6, entity_flags: Kratos.Flags) -> None

        6. AddNonHistoricalVariable(self: Kratos.VtuOutput, array9_variable: Kratos.Array1DVariable9, entity_flags: Kratos.Flags) -> None
        """
    @overload
    def AddNonHistoricalVariable(self, array3_variable: Array1DVariable3, entity_flags: Flags) -> None:
        """AddNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. AddNonHistoricalVariable(self: Kratos.VtuOutput, int_variable: Kratos.IntegerVariable, entity_flags: Kratos.Flags) -> None

        2. AddNonHistoricalVariable(self: Kratos.VtuOutput, double_variable: Kratos.DoubleVariable, entity_flags: Kratos.Flags) -> None

        3. AddNonHistoricalVariable(self: Kratos.VtuOutput, array3_variable: Kratos.Array1DVariable3, entity_flags: Kratos.Flags) -> None

        4. AddNonHistoricalVariable(self: Kratos.VtuOutput, array4_variable: Kratos.Array1DVariable4, entity_flags: Kratos.Flags) -> None

        5. AddNonHistoricalVariable(self: Kratos.VtuOutput, array6_variable: Kratos.Array1DVariable6, entity_flags: Kratos.Flags) -> None

        6. AddNonHistoricalVariable(self: Kratos.VtuOutput, array9_variable: Kratos.Array1DVariable9, entity_flags: Kratos.Flags) -> None
        """
    @overload
    def AddNonHistoricalVariable(self, array4_variable: Array1DVariable4, entity_flags: Flags) -> None:
        """AddNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. AddNonHistoricalVariable(self: Kratos.VtuOutput, int_variable: Kratos.IntegerVariable, entity_flags: Kratos.Flags) -> None

        2. AddNonHistoricalVariable(self: Kratos.VtuOutput, double_variable: Kratos.DoubleVariable, entity_flags: Kratos.Flags) -> None

        3. AddNonHistoricalVariable(self: Kratos.VtuOutput, array3_variable: Kratos.Array1DVariable3, entity_flags: Kratos.Flags) -> None

        4. AddNonHistoricalVariable(self: Kratos.VtuOutput, array4_variable: Kratos.Array1DVariable4, entity_flags: Kratos.Flags) -> None

        5. AddNonHistoricalVariable(self: Kratos.VtuOutput, array6_variable: Kratos.Array1DVariable6, entity_flags: Kratos.Flags) -> None

        6. AddNonHistoricalVariable(self: Kratos.VtuOutput, array9_variable: Kratos.Array1DVariable9, entity_flags: Kratos.Flags) -> None
        """
    @overload
    def AddNonHistoricalVariable(self, array6_variable: Array1DVariable6, entity_flags: Flags) -> None:
        """AddNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. AddNonHistoricalVariable(self: Kratos.VtuOutput, int_variable: Kratos.IntegerVariable, entity_flags: Kratos.Flags) -> None

        2. AddNonHistoricalVariable(self: Kratos.VtuOutput, double_variable: Kratos.DoubleVariable, entity_flags: Kratos.Flags) -> None

        3. AddNonHistoricalVariable(self: Kratos.VtuOutput, array3_variable: Kratos.Array1DVariable3, entity_flags: Kratos.Flags) -> None

        4. AddNonHistoricalVariable(self: Kratos.VtuOutput, array4_variable: Kratos.Array1DVariable4, entity_flags: Kratos.Flags) -> None

        5. AddNonHistoricalVariable(self: Kratos.VtuOutput, array6_variable: Kratos.Array1DVariable6, entity_flags: Kratos.Flags) -> None

        6. AddNonHistoricalVariable(self: Kratos.VtuOutput, array9_variable: Kratos.Array1DVariable9, entity_flags: Kratos.Flags) -> None
        """
    @overload
    def AddNonHistoricalVariable(self, array9_variable: Array1DVariable9, entity_flags: Flags) -> None:
        """AddNonHistoricalVariable(*args, **kwargs)
        Overloaded function.

        1. AddNonHistoricalVariable(self: Kratos.VtuOutput, int_variable: Kratos.IntegerVariable, entity_flags: Kratos.Flags) -> None

        2. AddNonHistoricalVariable(self: Kratos.VtuOutput, double_variable: Kratos.DoubleVariable, entity_flags: Kratos.Flags) -> None

        3. AddNonHistoricalVariable(self: Kratos.VtuOutput, array3_variable: Kratos.Array1DVariable3, entity_flags: Kratos.Flags) -> None

        4. AddNonHistoricalVariable(self: Kratos.VtuOutput, array4_variable: Kratos.Array1DVariable4, entity_flags: Kratos.Flags) -> None

        5. AddNonHistoricalVariable(self: Kratos.VtuOutput, array6_variable: Kratos.Array1DVariable6, entity_flags: Kratos.Flags) -> None

        6. AddNonHistoricalVariable(self: Kratos.VtuOutput, array9_variable: Kratos.Array1DVariable9, entity_flags: Kratos.Flags) -> None
        """
    def ClearCellContainerExpressions(self) -> None:
        """ClearCellContainerExpressions(self: Kratos.VtuOutput) -> None"""
    def ClearCellFlags(self) -> None:
        """ClearCellFlags(self: Kratos.VtuOutput) -> None"""
    def ClearCellNonHistoricalVariables(self) -> None:
        """ClearCellNonHistoricalVariables(self: Kratos.VtuOutput) -> None"""
    def ClearHistoricalVariables(self) -> None:
        """ClearHistoricalVariables(self: Kratos.VtuOutput) -> None"""
    def ClearNodalContainerExpressions(self) -> None:
        """ClearNodalContainerExpressions(self: Kratos.VtuOutput) -> None"""
    def ClearNodalFlags(self) -> None:
        """ClearNodalFlags(self: Kratos.VtuOutput) -> None"""
    def ClearNodalNonHistoricalVariables(self) -> None:
        """ClearNodalNonHistoricalVariables(self: Kratos.VtuOutput) -> None"""
    def GetModelPart(self) -> ModelPart:
        """GetModelPart(self: Kratos.VtuOutput) -> Kratos.ModelPart"""
    def PrintOutput(self, output_file_name_prefix: str) -> None:
        """PrintOutput(self: Kratos.VtuOutput, output_file_name_prefix: str) -> None"""

class WriteConditionsFlag:
    __members__: ClassVar[dict] = ...  # read-only
    WriteConditions: ClassVar[WriteConditionsFlag] = ...
    WriteConditionsOnly: ClassVar[WriteConditionsFlag] = ...
    WriteElementsOnly: ClassVar[WriteConditionsFlag] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.WriteConditionsFlag, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.WriteConditionsFlag) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.WriteConditionsFlag) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class WriteDeformedMeshFlag:
    __members__: ClassVar[dict] = ...  # read-only
    WriteDeformed: ClassVar[WriteDeformedMeshFlag] = ...
    WriteUndeformed: ClassVar[WriteDeformedMeshFlag] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None:
        """__init__(self: Kratos.WriteDeformedMeshFlag, value: int) -> None"""
    def __eq__(self, other: object) -> bool:
        """__eq__(self: object, other: object) -> bool"""
    def __hash__(self) -> int:
        """__hash__(self: object) -> int"""
    def __index__(self) -> int:
        """__index__(self: Kratos.WriteDeformedMeshFlag) -> int"""
    def __int__(self) -> int:
        """__int__(self: Kratos.WriteDeformedMeshFlag) -> int"""
    def __ne__(self, other: object) -> bool:
        """__ne__(self: object, other: object) -> bool"""
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

def CreateModeler(*args, **kwargs):
    """CreateModeler(arg0: str, arg1: Kratos.Model, arg2: Kratos::Parameters) -> Kratos::Modeler"""
def HasModeler(arg0: str) -> bool:
    """HasModeler(arg0: str) -> bool"""
def Hello() -> str:
    """Hello() -> str"""
@overload
def ReadMatrixMarketMatrix(arg0: str, arg1: CompressedMatrix) -> bool:
    """ReadMatrixMarketMatrix(*args, **kwargs)
    Overloaded function.

    1. ReadMatrixMarketMatrix(arg0: str, arg1: Kratos.CompressedMatrix) -> bool

    2. ReadMatrixMarketMatrix(arg0: str, arg1: Kratos.ComplexCompressedMatrix) -> bool
    """
@overload
def ReadMatrixMarketMatrix(arg0: str, arg1: ComplexCompressedMatrix) -> bool:
    """ReadMatrixMarketMatrix(*args, **kwargs)
    Overloaded function.

    1. ReadMatrixMarketMatrix(arg0: str, arg1: Kratos.CompressedMatrix) -> bool

    2. ReadMatrixMarketMatrix(arg0: str, arg1: Kratos.ComplexCompressedMatrix) -> bool
    """
@overload
def ReadMatrixMarketVector(arg0: str, arg1: Vector) -> bool:
    """ReadMatrixMarketVector(*args, **kwargs)
    Overloaded function.

    1. ReadMatrixMarketVector(arg0: str, arg1: Kratos.Vector) -> bool

    2. ReadMatrixMarketVector(arg0: str, arg1: Kratos.ComplexVector) -> bool
    """
@overload
def ReadMatrixMarketVector(arg0: str, arg1: ComplexVector) -> bool:
    """ReadMatrixMarketVector(*args, **kwargs)
    Overloaded function.

    1. ReadMatrixMarketVector(arg0: str, arg1: Kratos.Vector) -> bool

    2. ReadMatrixMarketVector(arg0: str, arg1: Kratos.ComplexVector) -> bool
    """
@overload
def WriteMatrixMarketMatrix(arg0: str, arg1: CompressedMatrix, arg2: bool) -> bool:
    """WriteMatrixMarketMatrix(*args, **kwargs)
    Overloaded function.

    1. WriteMatrixMarketMatrix(arg0: str, arg1: Kratos.CompressedMatrix, arg2: bool) -> bool

    2. WriteMatrixMarketMatrix(arg0: str, arg1: Kratos.ComplexCompressedMatrix, arg2: bool) -> bool
    """
@overload
def WriteMatrixMarketMatrix(arg0: str, arg1: ComplexCompressedMatrix, arg2: bool) -> bool:
    """WriteMatrixMarketMatrix(*args, **kwargs)
    Overloaded function.

    1. WriteMatrixMarketMatrix(arg0: str, arg1: Kratos.CompressedMatrix, arg2: bool) -> bool

    2. WriteMatrixMarketMatrix(arg0: str, arg1: Kratos.ComplexCompressedMatrix, arg2: bool) -> bool
    """
@overload
def WriteMatrixMarketVector(arg0: str, arg1: Vector) -> bool:
    """WriteMatrixMarketVector(*args, **kwargs)
    Overloaded function.

    1. WriteMatrixMarketVector(arg0: str, arg1: Kratos.Vector) -> bool

    2. WriteMatrixMarketVector(arg0: str, arg1: Kratos.ComplexVector) -> bool
    """
@overload
def WriteMatrixMarketVector(arg0: str, arg1: ComplexVector) -> bool:
    """WriteMatrixMarketVector(*args, **kwargs)
    Overloaded function.

    1. WriteMatrixMarketVector(arg0: str, arg1: Kratos.Vector) -> bool

    2. WriteMatrixMarketVector(arg0: str, arg1: Kratos.ComplexVector) -> bool
    """
